/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_pm_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM_SIZE_IN_BYTES (1613U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM { \
    0x47068230U,     0x2f048230U,     0x010203a0U,     0x69140202U, \
    0x91887342U,     0xe69977b3U,     0xcbcc5031U,     0x538b08f9U, \
    0x30943059U,     0x2a09060dU,     0xf7864886U,     0x0d01010dU, \
    0x81300005U,     0x300b318bU,     0x55030609U,     0x02130604U, \
    0x0b315355U,     0x03060930U,     0x0c080455U,     0x31435302U, \
    0x060d300fU,     0x07045503U,     0x6144060cU,     0x73616c6cU, \
    0x1f302131U,     0x04550306U,     0x54180c0aU,     0x73617865U, \
    0x736e4920U,     0x6d757274U,     0x73746e65U,     0x49202c2eU, \
    0x312e636eU,     0x060a300cU,     0x0b045503U,     0x4250030cU, \
    0x300f3155U,     0x5503060dU,     0x060c0304U,     0x65626c41U, \
    0x1c317472U,     0x09061a30U,     0x8648862aU,     0x09010df7U, \
    0x410d1601U,     0x7265626cU,     0x69744074U,     0x6d6f632eU, \
    0x0d171e30U,     0x39303132U,     0x33313531U,     0x37323230U, \
    0x320d175aU,     0x31303131U,     0x30333135U,     0x5a373232U, \
    0x318b8130U,     0x0609300bU,     0x06045503U,     0x53550213U, \
    0x09300b31U,     0x04550306U,     0x53020c08U,     0x300f3143U, \
    0x5503060dU,     0x060c0704U,     0x6c6c6144U,     0x21317361U, \
    0x03061f30U,     0x0c0a0455U,     0x78655418U,     0x49207361U, \
    0x7274736eU,     0x6e656d75U,     0x2c2e7374U,     0x636e4920U, \
    0x300c312eU,     0x5503060aU,     0x030c0b04U,     0x31554250U, \
    0x060d300fU,     0x03045503U,     0x6c41060cU,     0x74726562U, \
    0x1a301c31U,     0x862a0906U,     0x0df78648U,     0x16010901U, \
    0x626c410dU,     0x40747265U,     0x632e6974U,     0x82306d6fU, \
    0x0d302202U,     0x862a0906U,     0x0df78648U,     0x05010101U, \
    0x02820300U,     0x8230000fU,     0x82020a02U,     0xbf000102U, \
    0xd849ae14U,     0x6bd3727fU,     0x48ebcd23U,     0x22dc650eU, \
    0x4f0ef24dU,     0xb5edf682U,     0x7cdbddf2U,     0x596efa91U, \
    0xb6f7d5ffU,     0x8a1d04deU,     0xd995d2ccU,     0xc1c4e0d1U, \
    0xffbf50f8U,     0x22910c48U,     0x7b4c9a50U,     0x0a96f38bU, \
    0xa4b32628U,     0x55a9e0d9U,     0x3efb1a41U,     0xbf6c275bU, \
    0xaf71c0caU,     0xee22722fU,     0x62250146U,     0x04c73eadU, \
    0xb618b1f6U,     0x6e12c02cU,     0x3e9be20fU,     0xa8a0a6e5U, \
    0x41034506U,     0x1f164e17U,     0x84d674a9U,     0xa779d64eU, \
    0xa911b810U,     0x251f920eU,     0xf2b17fddU,     0x68f2b9d1U, \
    0x4b5933d8U,     0xcc777d82U,     0x23fa9cd1U,     0x8858fbb4U, \
    0xd5eacdf2U,     0x752cf216U,     0xc362fa2dU,     0xe06e09c1U, \
    0xb5e07006U,     0x62990907U,     0xe7e4d6d9U,     0x82c86d6cU, \
    0xf7935007U,     0xd1edd8e2U,     0x9ed0e35fU,     0xd95493cfU, \
    0xce5ddd5fU,     0xabf16037U,     0x7b048a14U,     0x7fbaa765U, \
    0x7c4545dfU,     0xae5ba14bU,     0x3d94c64eU,     0xd2874e8cU, \
    0xf3a43c94U,     0xf2fcda9fU,     0x0de77c36U,     0x37425aadU, \
    0xd0812af1U,     0x67a7a16eU,     0xed871e03U,     0x4a73bb00U, \
    0xa2312868U,     0x04a39a82U,     0xff87e8c1U,     0xc1aa7e45U, \
    0x053bd49fU,     0x21fd83c7U,     0x7fbdfe71U,     0x1916c938U, \
    0x03e60e52U,     0x1e1d8d33U,     0xcd1c36c9U,     0x29829d4eU, \
    0x2a9bcd88U,     0x7b5f6cbeU,     0x793ab2b2U,     0xf57d6a00U, \
    0x1e9d1aadU,     0xcf2a58cdU,     0x804ef45eU,     0xdd4f3babU, \
    0x34ded4f8U,     0xd920c4a2U,     0x852d1959U,     0x681f5e02U, \
    0xb98d4cb1U,     0x2de90611U,     0x8c58b576U,     0x6e37a850U, \
    0x836f7866U,     0x344d4630U,     0x4a18b49fU,     0x7bfabbb9U, \
    0x32d6aec5U,     0x6c848410U,     0x33809a3fU,     0xbc4dfc35U, \
    0x54606ed5U,     0x6d7ecf50U,     0xfa049780U,     0xfd200b8fU, \
    0xa12b98bdU,     0xfd59bd37U,     0xa145ec4aU,     0xc9178b09U, \
    0xb7331472U,     0x5d125e05U,     0xce1d5ae2U,     0xe1f65421U, \
    0xaa55d5eaU,     0x094deb27U,     0x824019dfU,     0x1789662eU, \
    0xb36ed965U,     0x8d4e38d6U,     0x74d61661U,     0x5f16ded4U, \
    0x42d51951U,     0xc8d283b8U,     0x69a94bdeU,     0x028db697U, \
    0x01000103U,     0x30a081a3U,     0x0c309d81U,     0x1d550306U, \
    0x30050413U,     0xff010103U,     0x09061230U,     0x0401062bU, \
    0x01268201U,     0x30050403U,     0x01010203U,     0x09065f30U, \
    0x0401062bU,     0x01268201U,     0x30520422U,     0x60090650U, \
    0x65014886U,     0x03020403U,     0x53804004U,     0xdd70616cU, \
    0x08dc2686U,     0xd348f11aU,     0x5dfdc29eU,     0x78c50c09U, \
    0xe74766a7U,     0x4bd33f90U,     0x33432ed0U,     0x0e7be5ecU, \
    0x6f11ff24U,     0x6f9b4243U,     0x4b8341f5U,     0xc8f00ed4U, \
    0xce3a56d3U,     0xd20fedf5U,     0x0102b854U,     0x06183002U, \
    0x01062b09U,     0x26820104U,     0x0b042301U,     0x04040930U, \
    0x00000000U,     0x30020102U,     0x2a09060dU,     0xf7864886U, \
    0x0d01010dU,     0x82030005U,     0x61000102U,     0xa6eba0aaU, \
    0x8ee79dc1U,     0x1808127eU,     0x44b8b98bU,     0x5e0837b8U, \
    0x9380e0daU,     0xaaa95fdeU,     0xc1c232ecU,     0x449ff7f9U, \
    0xb5c98050U,     0xb52fe4eeU,     0xf154f0b8U,     0x07dc6403U, \
    0x0540f6c1U,     0xa89db667U,     0x0fbe1a8bU,     0xdc8382f6U, \
    0x1f6ee4c5U,     0x32d69116U,     0x5ccd52b6U,     0x0c70e227U, \
    0x9293b248U,     0xa8a4374cU,     0xd403dcc9U,     0x86faa685U, \
    0xb92541e9U,     0xca18c453U,     0x874a6838U,     0x07a5903cU, \
    0x1fdc99bdU,     0x4d86951fU,     0xb5e260c1U,     0x582131f5U, \
    0x78449852U,     0x41f92fb6U,     0x717aebb4U,     0xedc5a5adU, \
    0x769c3b8cU,     0x3dfc4468U,     0xa01f12b7U,     0x8c18eaedU, \
    0xb4c4ab8aU,     0xe711efe2U,     0x0917c41cU,     0x3dfb2752U, \
    0xe197d211U,     0x5702edd1U,     0xb0061047U,     0x3bbf4fc7U, \
    0xb55b5010U,     0x94395da4U,     0xa85e15a7U,     0x1fde2b0fU, \
    0xd6cffcd5U,     0xe5c1e104U,     0xf6018542U,     0x5d3871e0U, \
    0xffe5b8c9U,     0xe3a87faeU,     0x702d004bU,     0x4143d931U, \
    0x8247277fU,     0x0185bdeaU,     0x7afb1980U,     0xdb987e3bU, \
    0xbe630996U,     0x16c92f45U,     0x9f41546eU,     0xcfa2f10fU, \
    0x7b6638bcU,     0x1b7d33f3U,     0x46ccbc98U,     0x6495c0f9U, \
    0xdc093f5bU,     0x05a4322aU,     0x472b23e2U,     0x268edbb9U, \
    0xb3dddd6bU,     0xeb3a3931U,     0x161bd739U,     0xd7e11745U, \
    0xb977237dU,     0x5b5e6ff2U,     0xf6dd0fa9U,     0xf4c2b2c6U, \
    0x9b71046dU,     0x4213651bU,     0xea5489cfU,     0x66488d25U, \
    0x9cc9f21aU,     0xb61b1785U,     0xcd0b1e6fU,     0xe81a1cf5U, \
    0x6003c1ccU,     0xe5ccd759U,     0xc9c1c710U,     0xa57119a1U, \
    0x8f663e3dU,     0x4c18f8f8U,     0x1334d5adU,     0x91a6bfd4U, \
    0x4e3ef939U,     0xd02a03e5U,     0x6cbd8640U,     0x790ba059U, \
    0xc3c9648dU,     0x5f59a575U,     0x078e1a38U,     0x1df5ef76U, \
    0xbe5d9b53U,     0x6edb8760U,     0xbe632ce4U,     0xf641d852U, \
    0x3ea47a2fU,     0x1ad56df9U,     0x5dddd907U,     0xa48c5e8eU, \
    0x9c3e2c8cU,     0xb8291e8cU,     0xf9237056U,     0x26ed2ee2U, \
    0x5d830c6eU,     0x0f7f8242U,     0x1d1fe31eU,     0x7a852febU, \
    0xd0955a59U,     0x0e7a7b65U,     0x00a4d5c0U,     0x00000001U\
} /* 1613 bytes */
