/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_security_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY_SIZE_IN_BYTES (1961U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY { \
    0x48068230U,     0x30048230U,     0x010203a0U,     0x06140202U, \
    0xa8817fe6U,     0xdf34dd37U,     0x8ad9dcd6U,     0xcf359e05U, \
    0x3065e43dU,     0x2a09060dU,     0xf7864886U,     0x0d01010dU, \
    0x81300005U,     0x300b318bU,     0x55030609U,     0x02130604U, \
    0x0b315355U,     0x03060930U,     0x0c080455U,     0x31435302U, \
    0x060d300fU,     0x07045503U,     0x6144060cU,     0x73616c6cU, \
    0x1f302131U,     0x04550306U,     0x54180c0aU,     0x73617865U, \
    0x736e4920U,     0x6d757274U,     0x73746e65U,     0x49202c2eU, \
    0x312e636eU,     0x060a300cU,     0x0b045503U,     0x4250030cU, \
    0x300f3155U,     0x5503060dU,     0x060c0304U,     0x65626c41U, \
    0x1c317472U,     0x09061a30U,     0x8648862aU,     0x09010df7U, \
    0x410d1601U,     0x7265626cU,     0x69744074U,     0x6d6f632eU, \
    0x0d171e30U,     0x39303132U,     0x33313531U,     0x37323230U, \
    0x320d175aU,     0x31303131U,     0x30333135U,     0x5a373232U, \
    0x318b8130U,     0x0609300bU,     0x06045503U,     0x53550213U, \
    0x09300b31U,     0x04550306U,     0x53020c08U,     0x300f3143U, \
    0x5503060dU,     0x060c0704U,     0x6c6c6144U,     0x21317361U, \
    0x03061f30U,     0x0c0a0455U,     0x78655418U,     0x49207361U, \
    0x7274736eU,     0x6e656d75U,     0x2c2e7374U,     0x636e4920U, \
    0x300c312eU,     0x5503060aU,     0x030c0b04U,     0x31554250U, \
    0x060d300fU,     0x03045503U,     0x6c41060cU,     0x74726562U, \
    0x1a301c31U,     0x862a0906U,     0x0df78648U,     0x16010901U, \
    0x626c410dU,     0x40747265U,     0x632e6974U,     0x82306d6fU, \
    0x0d302202U,     0x862a0906U,     0x0df78648U,     0x05010101U, \
    0x02820300U,     0x8230000fU,     0x82020a02U,     0xbf000102U, \
    0xd849ae14U,     0x6bd3727fU,     0x48ebcd23U,     0x22dc650eU, \
    0x4f0ef24dU,     0xb5edf682U,     0x7cdbddf2U,     0x596efa91U, \
    0xb6f7d5ffU,     0x8a1d04deU,     0xd995d2ccU,     0xc1c4e0d1U, \
    0xffbf50f8U,     0x22910c48U,     0x7b4c9a50U,     0x0a96f38bU, \
    0xa4b32628U,     0x55a9e0d9U,     0x3efb1a41U,     0xbf6c275bU, \
    0xaf71c0caU,     0xee22722fU,     0x62250146U,     0x04c73eadU, \
    0xb618b1f6U,     0x6e12c02cU,     0x3e9be20fU,     0xa8a0a6e5U, \
    0x41034506U,     0x1f164e17U,     0x84d674a9U,     0xa779d64eU, \
    0xa911b810U,     0x251f920eU,     0xf2b17fddU,     0x68f2b9d1U, \
    0x4b5933d8U,     0xcc777d82U,     0x23fa9cd1U,     0x8858fbb4U, \
    0xd5eacdf2U,     0x752cf216U,     0xc362fa2dU,     0xe06e09c1U, \
    0xb5e07006U,     0x62990907U,     0xe7e4d6d9U,     0x82c86d6cU, \
    0xf7935007U,     0xd1edd8e2U,     0x9ed0e35fU,     0xd95493cfU, \
    0xce5ddd5fU,     0xabf16037U,     0x7b048a14U,     0x7fbaa765U, \
    0x7c4545dfU,     0xae5ba14bU,     0x3d94c64eU,     0xd2874e8cU, \
    0xf3a43c94U,     0xf2fcda9fU,     0x0de77c36U,     0x37425aadU, \
    0xd0812af1U,     0x67a7a16eU,     0xed871e03U,     0x4a73bb00U, \
    0xa2312868U,     0x04a39a82U,     0xff87e8c1U,     0xc1aa7e45U, \
    0x053bd49fU,     0x21fd83c7U,     0x7fbdfe71U,     0x1916c938U, \
    0x03e60e52U,     0x1e1d8d33U,     0xcd1c36c9U,     0x29829d4eU, \
    0x2a9bcd88U,     0x7b5f6cbeU,     0x793ab2b2U,     0xf57d6a00U, \
    0x1e9d1aadU,     0xcf2a58cdU,     0x804ef45eU,     0xdd4f3babU, \
    0x34ded4f8U,     0xd920c4a2U,     0x852d1959U,     0x681f5e02U, \
    0xb98d4cb1U,     0x2de90611U,     0x8c58b576U,     0x6e37a850U, \
    0x836f7866U,     0x344d4630U,     0x4a18b49fU,     0x7bfabbb9U, \
    0x32d6aec5U,     0x6c848410U,     0x33809a3fU,     0xbc4dfc35U, \
    0x54606ed5U,     0x6d7ecf50U,     0xfa049780U,     0xfd200b8fU, \
    0xa12b98bdU,     0xfd59bd37U,     0xa145ec4aU,     0xc9178b09U, \
    0xb7331472U,     0x5d125e05U,     0xce1d5ae2U,     0xe1f65421U, \
    0xaa55d5eaU,     0x094deb27U,     0x824019dfU,     0x1789662eU, \
    0xb36ed965U,     0x8d4e38d6U,     0x74d61661U,     0x5f16ded4U, \
    0x42d51951U,     0xc8d283b8U,     0x69a94bdeU,     0x028db697U, \
    0x01000103U,     0x30a181a3U,     0x0c309e81U,     0x1d550306U, \
    0x30050413U,     0xff010103U,     0x09061230U,     0x0401062bU, \
    0x01268201U,     0x30050403U,     0x01010203U,     0x09066030U, \
    0x0401062bU,     0x01268201U,     0x30530422U,     0x60090651U, \
    0x65014886U,     0x03020403U,     0xd2494004U,     0xe97552c8U, \
    0x3a76561fU,     0xa44a89b0U,     0x3e831ebcU,     0x8b02e4d0U, \
    0x575fd8fbU,     0x9ca235f4U,     0x04f509e7U,     0xe08d7557U, \
    0xa864f7a9U,     0x7278fa63U,     0x1711b033U,     0x1678afe8U, \
    0x64f25dcaU,     0x3a907fb0U,     0x0202c9beU,     0x18305d01U, \
    0x062b0906U,     0x82010401U,     0x04230126U,     0x0409300bU, \
    0x00000004U,     0x02010200U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x0300050dU,     0x00010282U,     0x3bf1a462U, \
    0xfb7cd36cU,     0x8e4b9d31U,     0xd66b4a03U,     0x7a0dfef1U, \
    0xca0f068cU,     0x8b98e082U,     0x8d0d6afaU,     0xeaf4d7ceU, \
    0x03b62a1cU,     0x6a68c03fU,     0x2a78bd38U,     0xb773c3beU, \
    0x8feae627U,     0x277be44fU,     0xec5ca204U,     0x58ab81a7U, \
    0x6b262560U,     0xf6046fe0U,     0x94ba28b0U,     0x1b57fddeU, \
    0xf38ca6eaU,     0x0ce12b7aU,     0xc3813b16U,     0x956dec3eU, \
    0x80818f28U,     0x825bdc0cU,     0xd7302a43U,     0xd287ab7aU, \
    0x8efd7f63U,     0x83ce7628U,     0x89a5ad2cU,     0x273ae28dU, \
    0xd184eee7U,     0x64505f2bU,     0xd06942c1U,     0x175fd08fU, \
    0x7e5c9fa9U,     0x53d9e7d3U,     0xe129e580U,     0xd3a62794U, \
    0x12f06d5fU,     0x32e13729U,     0xb997db4eU,     0xbb5936edU, \
    0x19cc95f6U,     0x5fb4281bU,     0x11a66567U,     0x0889bbf5U, \
    0x3fd5f4a7U,     0x1f1e3d4eU,     0x19f6f617U,     0x3d492deeU, \
    0xbb7f775fU,     0x16708b56U,     0xcaa6bdddU,     0x77f13376U, \
    0x3603caabU,     0xc794aeecU,     0xcd875fc6U,     0x512a2ef8U, \
    0x6a74321cU,     0x538fa97cU,     0xe0e0d1c2U,     0x47f0c7e3U, \
    0xe9b73bbeU,     0xa77b6bb9U,     0x2f2cfa7dU,     0x7981ef4eU, \
    0x78d7562cU,     0x8892fbecU,     0x3f88b9beU,     0x5f6d7631U, \
    0xb0bbb323U,     0x57e92184U,     0xe76381ccU,     0xf3c15796U, \
    0x3cd3be43U,     0x5801508bU,     0x1a11dec5U,     0x7fc34ff5U, \
    0x77360b8cU,     0xccd126f2U,     0x0da3a7d5U,     0x772b7362U, \
    0x37a892deU,     0xac313314U,     0x53cd3682U,     0x5d2e963fU, \
    0x0a38b533U,     0x736abd00U,     0x46a6373eU,     0xfb3dfdeeU, \
    0x5519fab3U,     0x839bf216U,     0x923c9c01U,     0x59deabfaU, \
    0xfbd67404U,     0x0d09a51dU,     0xb5575176U,     0x7c03c5c2U, \
    0xc78c0b91U,     0xbbdb3621U,     0x8eb5e5d0U,     0x011063b8U, \
    0x9663c940U,     0xfea339e9U,     0x9ed2602aU,     0xbb423af0U, \
    0x44a816e7U,     0xe1af23a8U,     0xda24dd80U,     0x78f711f9U, \
    0xfab81e04U,     0x5fb066f7U,     0x697f8783U,     0xbee793c2U, \
    0xfe8a45e1U,     0x4813d196U,     0x219c28e1U,     0x294339faU, \
    0x080c9583U,     0xccffa617U,     0x25b29458U,     0xabbddb3eU, \
    0xc13d7821U,     0x839f898bU,     0xbb38a60dU,     0xf1ea0100U, \
    0x000000a4U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x8d270000U,     0x00000044U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x40810000U,     0x00000045U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x70000000U,     0x80000c51U, \
    0x5a000000U,     0xbe000000U,     0x00000023U,     0xaf000000U, \
    0x00001042U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U\
} /* 1961 bytes */
