/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_firmware_V1-hs-enc.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE_SIZE_IN_BYTES (265572U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE { \
    0xcc068230U,     0xb4048230U,     0x010203a0U,     0x2a140202U, \
    0xf1150f46U,     0xfd6955e0U,     0x428078d6U,     0x4a5e035cU, \
    0x305b29faU,     0x2a09060dU,     0xf7864886U,     0x0d01010dU, \
    0x81300005U,     0x300b318bU,     0x55030609U,     0x02130604U, \
    0x0b315355U,     0x03060930U,     0x0c080455U,     0x31435302U, \
    0x060d300fU,     0x07045503U,     0x6144060cU,     0x73616c6cU, \
    0x1f302131U,     0x04550306U,     0x54180c0aU,     0x73617865U, \
    0x736e4920U,     0x6d757274U,     0x73746e65U,     0x49202c2eU, \
    0x312e636eU,     0x060a300cU,     0x0b045503U,     0x4250030cU, \
    0x300f3155U,     0x5503060dU,     0x060c0304U,     0x65626c41U, \
    0x1c317472U,     0x09061a30U,     0x8648862aU,     0x09010df7U, \
    0x410d1601U,     0x7265626cU,     0x69744074U,     0x6d6f632eU, \
    0x0d171e30U,     0x39303132U,     0x33313531U,     0x39313131U, \
    0x320d175aU,     0x31303131U,     0x31333135U,     0x5a393131U, \
    0x318b8130U,     0x0609300bU,     0x06045503U,     0x53550213U, \
    0x09300b31U,     0x04550306U,     0x53020c08U,     0x300f3143U, \
    0x5503060dU,     0x060c0704U,     0x6c6c6144U,     0x21317361U, \
    0x03061f30U,     0x0c0a0455U,     0x78655418U,     0x49207361U, \
    0x7274736eU,     0x6e656d75U,     0x2c2e7374U,     0x636e4920U, \
    0x300c312eU,     0x5503060aU,     0x030c0b04U,     0x31554250U, \
    0x060d300fU,     0x03045503U,     0x6c41060cU,     0x74726562U, \
    0x1a301c31U,     0x862a0906U,     0x0df78648U,     0x16010901U, \
    0x626c410dU,     0x40747265U,     0x632e6974U,     0x82306d6fU, \
    0x0d302202U,     0x862a0906U,     0x0df78648U,     0x05010101U, \
    0x02820300U,     0x8230000fU,     0x82020a02U,     0xbf000102U, \
    0xd849ae14U,     0x6bd3727fU,     0x48ebcd23U,     0x22dc650eU, \
    0x4f0ef24dU,     0xb5edf682U,     0x7cdbddf2U,     0x596efa91U, \
    0xb6f7d5ffU,     0x8a1d04deU,     0xd995d2ccU,     0xc1c4e0d1U, \
    0xffbf50f8U,     0x22910c48U,     0x7b4c9a50U,     0x0a96f38bU, \
    0xa4b32628U,     0x55a9e0d9U,     0x3efb1a41U,     0xbf6c275bU, \
    0xaf71c0caU,     0xee22722fU,     0x62250146U,     0x04c73eadU, \
    0xb618b1f6U,     0x6e12c02cU,     0x3e9be20fU,     0xa8a0a6e5U, \
    0x41034506U,     0x1f164e17U,     0x84d674a9U,     0xa779d64eU, \
    0xa911b810U,     0x251f920eU,     0xf2b17fddU,     0x68f2b9d1U, \
    0x4b5933d8U,     0xcc777d82U,     0x23fa9cd1U,     0x8858fbb4U, \
    0xd5eacdf2U,     0x752cf216U,     0xc362fa2dU,     0xe06e09c1U, \
    0xb5e07006U,     0x62990907U,     0xe7e4d6d9U,     0x82c86d6cU, \
    0xf7935007U,     0xd1edd8e2U,     0x9ed0e35fU,     0xd95493cfU, \
    0xce5ddd5fU,     0xabf16037U,     0x7b048a14U,     0x7fbaa765U, \
    0x7c4545dfU,     0xae5ba14bU,     0x3d94c64eU,     0xd2874e8cU, \
    0xf3a43c94U,     0xf2fcda9fU,     0x0de77c36U,     0x37425aadU, \
    0xd0812af1U,     0x67a7a16eU,     0xed871e03U,     0x4a73bb00U, \
    0xa2312868U,     0x04a39a82U,     0xff87e8c1U,     0xc1aa7e45U, \
    0x053bd49fU,     0x21fd83c7U,     0x7fbdfe71U,     0x1916c938U, \
    0x03e60e52U,     0x1e1d8d33U,     0xcd1c36c9U,     0x29829d4eU, \
    0x2a9bcd88U,     0x7b5f6cbeU,     0x793ab2b2U,     0xf57d6a00U, \
    0x1e9d1aadU,     0xcf2a58cdU,     0x804ef45eU,     0xdd4f3babU, \
    0x34ded4f8U,     0xd920c4a2U,     0x852d1959U,     0x681f5e02U, \
    0xb98d4cb1U,     0x2de90611U,     0x8c58b576U,     0x6e37a850U, \
    0x836f7866U,     0x344d4630U,     0x4a18b49fU,     0x7bfabbb9U, \
    0x32d6aec5U,     0x6c848410U,     0x33809a3fU,     0xbc4dfc35U, \
    0x54606ed5U,     0x6d7ecf50U,     0xfa049780U,     0xfd200b8fU, \
    0xa12b98bdU,     0xfd59bd37U,     0xa145ec4aU,     0xc9178b09U, \
    0xb7331472U,     0x5d125e05U,     0xce1d5ae2U,     0xe1f65421U, \
    0xaa55d5eaU,     0x094deb27U,     0x824019dfU,     0x1789662eU, \
    0xb36ed965U,     0x8d4e38d6U,     0x74d61661U,     0x5f16ded4U, \
    0x42d51951U,     0xc8d283b8U,     0x69a94bdeU,     0x028db697U, \
    0x01000103U,     0x240182a3U,     0x20018230U,     0x03060c30U, \
    0x04131d55U,     0x01033005U,     0x1230ff01U,     0x062b0906U, \
    0x82010401U,     0x04030126U,     0x02033005U,     0x60300101U, \
    0x062b0906U,     0x82010401U,     0x04220126U,     0x06513053U, \
    0x48866009U,     0x04036501U,     0x40040302U,     0x39aaeba7U, \
    0x14c063ceU,     0x18ad1a82U,     0xf025a487U,     0x3efaaad3U, \
    0x7d864f55U,     0xd361a5e4U,     0x7c7233bcU,     0x9af271dbU, \
    0x4b341573U,     0xa664155eU,     0xd3a8c3dfU,     0x3dc20f83U, \
    0x3e5e7d68U,     0x5dd439c2U,     0xeea9f97bU,     0x94060202U, \
    0x09061830U,     0x0401062bU,     0x01268201U,     0x300b0423U, \
    0x00040409U,     0x02000004U,     0x22300101U,     0x062b0906U, \
    0x82010401U,     0x04010126U,     0x02133015U,     0x01020301U, \
    0x00010200U,     0x04000404U,     0x02020000U,     0x5c309406U, \
    0x062b0906U,     0x82010401U,     0x04020126U,     0x064d304fU, \
    0x48866009U,     0x04036501U,     0x40040302U,     0x39aaeba7U, \
    0x14c063ceU,     0x18ad1a82U,     0xf025a487U,     0x3efaaad3U, \
    0x7d864f55U,     0xd361a5e4U,     0x7c7233bcU,     0x9af271dbU, \
    0x4b341573U,     0xa664155eU,     0xd3a8c3dfU,     0x3dc20f83U, \
    0x3e5e7d68U,     0x5dd439c2U,     0xeea9f97bU,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x2111982bU,     0x0fa8a345U,     0x2691c028U,     0xeccab739U, \
    0xa17abfa7U,     0x895cc701U,     0xc3abe0ecU,     0x9d9577ffU, \
    0x1b0eef7cU,     0xaefdf247U,     0x209093bcU,     0x75cd12dcU, \
    0xe9a796f7U,     0x0d48df41U,     0x3a690454U,     0xb3449eeaU, \
    0x72ff52c1U,     0x94462e40U,     0xfc717167U,     0x19e652f1U, \
    0x4dd28482U,     0x8dbc8d05U,     0x71c39772U,     0xff2e7e88U, \
    0x4e065b0dU,     0xfc3fcdfaU,     0x52cb5ad7U,     0x5ded967fU, \
    0xaeeb1ff0U,     0x66e5cf96U,     0x85a3e42dU,     0xabb358fbU, \
    0x978c37ccU,     0xde6e88b9U,     0x809087c1U,     0x5aa2792eU, \
    0x07906606U,     0xa5e969a4U,     0x31872f5fU,     0x68cf4c6cU, \
    0x8b0643c6U,     0x88ee8c2eU,     0xadc14caeU,     0x51c4a7c8U, \
    0xacd0c413U,     0x00810cedU,     0xe745c8b5U,     0x9f8ca45dU, \
    0x161abe0dU,     0xcde89be1U,     0xc25e8c35U,     0x7789042fU, \
    0x329203d8U,     0x3067a801U,     0x935f0431U,     0x8d66d2bfU, \
    0x2fc4bf23U,     0xe6780624U,     0x62bc492eU,     0xcdc05161U, \
    0x1c736aadU,     0x39d54679U,     0x0dae2f98U,     0x0bf94e2dU, \
    0x4635b90eU,     0xb56e632dU,     0x896505c6U,     0x328cd336U, \
    0x1dc83353U,     0x0bc15a85U,     0xbcec895dU,     0xa9543027U, \
    0xc902568dU,     0x7fe67044U,     0x054438d5U,     0x97559a23U, \
    0x60b38f0fU,     0x15f5794cU,     0xff19db0dU,     0xc31be489U, \
    0xcba513d9U,     0xea9c9680U,     0x7c76d958U,     0x54e1d8b6U, \
    0x928946cfU,     0x558e84dcU,     0x747166f1U,     0x56e0b085U, \
    0xeb7c36faU,     0x6ec432f9U,     0x367ff540U,     0x8cb03a65U, \
    0xbff30701U,     0x81ad410cU,     0x38ffb8cdU,     0x445163f5U, \
    0x685a7a2cU,     0xfb286f2aU,     0xc697dc97U,     0x51aa6c0cU, \
    0xa4a65c38U,     0x49ee5b6bU,     0x9f5f3367U,     0x4fe222c7U, \
    0x1886d269U,     0x889d04d4U,     0x13049340U,     0xff49d4d5U, \
    0x941e51c2U,     0xd61f9b52U,     0x1800287dU,     0x4a24d349U, \
    0xada146c2U,     0x153fa3d2U,     0x0bdd9380U,     0x534d5691U, \
    0x2ee59f99U,     0x4da39c1fU,     0x0bd1f304U,     0xeeafbd7bU, \
    0x82c2e7fbU,     0xf076c942U,     0xf4cfb58fU,     0xb23e0c4fU, \
    0x4e43821aU,     0xda1c7d79U,     0x926db45fU,     0x4359864fU, \
    0x90068230U,     0x78048230U,     0x010203a0U,     0x00090202U, \
    0x8a418f87U,     0x3c320082U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3031320dU,     0x30353231U, \
    0x33393137U,     0x0d175a39U,     0x32303132U,     0x37303432U, \
    0x39333931U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x9c4de9ddU,     0x3997804dU,     0xbcc894ceU, \
    0x7ce2ab88U,     0xd2a982beU,     0xf3afe00bU,     0x796a98eaU, \
    0x02c395eeU,     0x02c47abdU,     0x91ebc475U,     0x410910c5U, \
    0x9045da01U,     0x30f0a6edU,     0x3bd4e613U,     0x40f22433U, \
    0xafc1d912U,     0xc56ab16aU,     0xcc63163cU,     0x7c5284a3U, \
    0x84d6530cU,     0x26a9392dU,     0x32cbefb4U,     0xcb3d0317U, \
    0x4b009674U,     0x65705992U,     0x3d6fe2c7U,     0x13f73473U, \
    0x47876f7fU,     0x46fc36abU,     0xc7fb5f5bU,     0xbabb1e03U, \
    0x8c39f42bU,     0xdb2855e0U,     0xa534435eU,     0x83d8161eU, \
    0xa6f946acU,     0xc4876f8eU,     0x6522092cU,     0x71c38675U, \
    0x299437bbU,     0x27147fb4U,     0xe80e7489U,     0x673670f7U, \
    0x7cc50991U,     0xbfc11cefU,     0x054b28a9U,     0xef50f19bU, \
    0x3e19e846U,     0xfb80fee2U,     0x34e935f6U,     0x4482d477U, \
    0xb4f23c04U,     0xefa91840U,     0xf498ffabU,     0x3c8e2989U, \
    0x90eee772U,     0xa040b93aU,     0x8a880ef0U,     0x42f1f62fU, \
    0xa2507e67U,     0x458a1e84U,     0xed19c607U,     0x99e504d0U, \
    0xd34fa696U,     0x00b9de1aU,     0xb55b7853U,     0x6cb2355cU, \
    0x17d2bc45U,     0x967133a8U,     0xb21738ccU,     0xd0233901U, \
    0xd4f74307U,     0x80f5987aU,     0x309b3765U,     0x931bbd3cU, \
    0x35e06a78U,     0xb10e174dU,     0x7c56ca19U,     0x98e5d4c7U, \
    0x0a5b6ea8U,     0x7f201037U,     0xb44b49e4U,     0x2b78f7ebU, \
    0x77cf201bU,     0xc797730aU,     0x2fd84f1aU,     0x9b048219U, \
    0x3074b66dU,     0x9f26d39fU,     0x3ca16da9U,     0x319d01cfU, \
    0xea1d2a12U,     0xa866651dU,     0x6a0396bfU,     0x8ea22d7dU, \
    0x2426f8c6U,     0x2f0347a5U,     0x20983a52U,     0x644c4b32U, \
    0xa9b4cb01U,     0xbe966640U,     0xa35e82e6U,     0x2502345cU, \
    0xef53fd70U,     0xe685e66fU,     0x2100a8f9U,     0x04701b6cU, \
    0x3be1b61aU,     0xbbf70b11U,     0xb45f5584U,     0x11cabc4cU, \
    0x35aa9ce7U,     0xec57233dU,     0x3ce9f4c8U,     0x6eb9a7e9U, \
    0xbfcb79b5U,     0xbd702bd1U,     0xc808ab54U,     0x88c364e9U, \
    0xee36460eU,     0x3ee886c7U,     0xed0b7454U,     0x5c82359aU, \
    0x0649f61aU,     0xa0e6c537U,     0x97aa0a22U,     0x78cd4e41U, \
    0x158aff59U,     0x00010302U,     0xf481a301U,     0x30f18130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x062330ffU, \
    0x01062b09U,     0x26820104U,     0x16040101U,     0x01021430U, \
    0x00010202U,     0x04000102U,     0x00040004U,     0x04030200U, \
    0x5c300000U,     0x062b0906U,     0x82010401U,     0x04020126U, \
    0x064d304fU,     0x48866009U,     0x04036501U,     0x40040302U, \
    0x243864d7U,     0x010c7597U,     0xfb6521e9U,     0x9eb735b4U, \
    0xd2bad8bfU,     0xbb1f8d5fU,     0x221dbe17U,     0xb1173e95U, \
    0x558b21a0U,     0x16670acfU,     0x893e2d01U,     0x2ca16443U, \
    0x276708bbU,     0xaba5ec77U,     0x399d3978U,     0xa3517ab2U, \
    0x09061230U,     0x0401062bU,     0x01268201U,     0x30050403U, \
    0x00010203U,     0x09064a30U,     0x0401062bU,     0x01268201U, \
    0x303d0404U,     0x8210043bU,     0x0759d364U,     0xb4f85311U, \
    0x12af0ba4U,     0x044878bdU,     0xde91b420U,     0xa3026f08U, \
    0x492e29d4U,     0x0a4d617aU,     0x41afa4dfU,     0x0be2902bU, \
    0x1067c626U,     0x8fe01ccaU,     0x00010247U,     0x00000204U, \
    0x09060d30U,     0x8648862aU,     0x01010df7U,     0x0300050dU, \
    0x00010282U,     0xdd758dd1U,     0xf73374ffU,     0x04f20128U, \
    0xb173a8d8U,     0x84d2cb06U,     0x2e1ad564U,     0x544018c6U, \
    0xc9ca7ea4U,     0xefdba7c7U,     0x40f02679U,     0x5dc0c343U, \
    0x004473beU,     0xb2528809U,     0xf161571eU,     0xcf9aad00U, \
    0x4f7f9f03U,     0xacb4a361U,     0xf58bff18U,     0x283004d3U, \
    0x8027b88bU,     0x7a552332U,     0x153688caU,     0xadc50f7eU, \
    0xc24ae96dU,     0xa942800dU,     0xf5dde027U,     0xfd656d6fU, \
    0x75dcaa8bU,     0xef38162bU,     0x766cbe3dU,     0x9c856533U, \
    0x1619cbe8U,     0xf82f8c2cU,     0x7f0ecd4aU,     0xdd396517U, \
    0x67cf9e70U,     0xf3464c1cU,     0x4dc4698aU,     0xedd204f0U, \
    0x6cd4cb37U,     0xc4d42241U,     0x9fd65d83U,     0x39dfe1ffU, \
    0xdbafa3c1U,     0x29474fc1U,     0x960a5979U,     0x4e85c7c3U, \
    0xf6cfbcb8U,     0x757daf08U,     0x04fa34b8U,     0x6e92f535U, \
    0xefc2c767U,     0x2de5babeU,     0x54fdc669U,     0x7a27db9bU, \
    0xb2bb1eefU,     0x4529bae3U,     0xf49536c1U,     0x2e67182bU, \
    0x31c4a017U,     0x68030307U,     0x87d460a3U,     0x1e3b9b22U, \
    0x88a214deU,     0x5c9014f5U,     0x9371df76U,     0xdbc3e81bU, \
    0x2120f529U,     0x1a3170a0U,     0xa76362a8U,     0xe2bbcff2U, \
    0x6ce68c81U,     0xc6fac020U,     0x604cb7edU,     0xb4abd8dcU, \
    0x476e02c2U,     0xf6b5385aU,     0x23b177d3U,     0x03303cdeU, \
    0xb154a8b7U,     0xe1ace4acU,     0x64154d1cU,     0x4d288796U, \
    0x146ae8f9U,     0x907b3e76U,     0xf3e2a7d6U,     0xa7c026d1U, \
    0xb02aee0fU,     0x06411008U,     0x3de7f139U,     0xc1029325U, \
    0x43b12787U,     0x1dd5a7b7U,     0x6af49e2fU,     0x30a712aaU, \
    0x59460121U,     0xb9af07d2U,     0xe84acf1cU,     0x2b3988baU, \
    0x3b5e7e23U,     0xa045ffb2U,     0x0373c6acU,     0xb47d706fU, \
    0x81953b8bU,     0xa0c04b3dU,     0x6b93df4bU,     0xcf41cd28U, \
    0x837617faU,     0xa63d62f0U,     0xa06a8d7aU,     0xad9620b6U, \
    0x8a4fbcc8U,     0x317b4f17U,     0xc0f3d5c2U,     0xb0b6921dU, \
    0x2f114da9U,     0x96919ea9U,     0x5e248595U,     0x76049535U, \
    0x320e6a41U,     0x7af0a5faU,     0xb5906a8dU,     0x76a574cbU, \
    0xe09335d0U,     0xe0452294U,     0x2e4b065cU,     0x75706dbaU, \
    0x0af40ef9U,     0xd85a08d4U,     0xb1e3e99cU,     0x66d0c2fdU, \
    0x2202078eU,     0xa2033a13U,     0xba07042cU,     0x5cb98df9U, \
    0x1573ea29U,     0xb2a722c5U,     0x2a52a67cU,     0xa9b31e50U, \
    0xedd83d09U,     0x74f88cecU,     0x48032ba8U,     0x84ea8ee7U, \
    0x3461739fU,     0xe4700868U,     0xd37c7272U,     0x85b61c0dU, \
    0x11636f61U,     0xb057e8ccU,     0x1497e7b7U,     0xf0959ff2U, \
    0xb10ac644U,     0x81fc488dU,     0x7ca95cddU,     0x2a283507U, \
    0xa25cf838U,     0xcbaaf786U,     0x2533236aU,     0x20d7fb22U, \
    0xf7d2c68aU,     0xf39bcbf6U,     0x7363dd2dU,     0x026020ceU, \
    0xbf0dc9abU,     0x6c136ffbU,     0x77f3726aU,     0x09cbc611U, \
    0x4bf58896U,     0x2ef44badU,     0xd0078000U,     0x0ca3e8d1U, \
    0x22532f7bU,     0x5eb21f4fU,     0xe0b0c1bbU,     0xe2b2842eU, \
    0x836686c4U,     0xdc1a80beU,     0x62dc1c0bU,     0xe8bd489bU, \
    0x9add62f3U,     0x4c0df9f0U,     0x4c5fb18eU,     0xd59f7cf2U, \
    0x61be7aacU,     0xec1587ddU,     0x4aa0de30U,     0x22a5ee99U, \
    0xb8d92231U,     0xaf9591d4U,     0xdb64c1edU,     0x3f507237U, \
    0x935543d9U,     0x34e9307dU,     0xb07bde6eU,     0x06ae729eU, \
    0x48b2e01eU,     0x8b1380b9U,     0x72981767U,     0x031086dfU, \
    0x2d30fbe2U,     0xaf0f24e7U,     0x08a8acdbU,     0x2a8d9a99U, \
    0x75f1dcefU,     0x1cb2e445U,     0xdb32334eU,     0xe6645c92U, \
    0xb90174e5U,     0x4a000876U,     0xc2814ce8U,     0x197d2accU, \
    0xea21329aU,     0x159ab872U,     0x72ee92adU,     0x1b39ed91U, \
    0xc20ea093U,     0xbf3eae2eU,     0x0ad7bcd3U,     0x21057c39U, \
    0xecf7a0f4U,     0xa2197765U,     0x3a3cf4c1U,     0x30fc6ee9U, \
    0xc5ae4a00U,     0xb90880c3U,     0x8d9ebbddU,     0x191f521aU, \
    0xdca39bd3U,     0x108d0a34U,     0xa67491ddU,     0xd07756b5U, \
    0x90341b70U,     0x7e2cb483U,     0x21aaeaa2U,     0x92bd3b32U, \
    0xa2e1ee6bU,     0x25f3f388U,     0xa60105f0U,     0xdc4d40c3U, \
    0x9798f1edU,     0x8ad879dfU,     0x258eee4cU,     0x1af06b72U, \
    0x66d0d91fU,     0xe25bb669U,     0x112c1221U,     0xb484541cU, \
    0xd22141faU,     0x8ab67ee2U,     0xd963daefU,     0x778072dbU, \
    0x2517854eU,     0x0b14ee30U,     0x5abe40c2U,     0x1355b285U, \
    0xd37bcdccU,     0x76a7df51U,     0xba74d1a6U,     0x1156cdacU, \
    0x9e4f437cU,     0xb2ab7ccaU,     0xdfc8e090U,     0x91fcd590U, \
    0x5893151eU,     0x01cf2e4aU,     0x9ec91921U,     0x7e9f7858U, \
    0xed04e5a7U,     0xf6e35114U,     0xf1550a34U,     0xf3f20711U, \
    0xfee4664bU,     0x791d9bd5U,     0xc65fdab6U,     0xaedab961U, \
    0x353a4bc5U,     0x6a0b70c8U,     0x1d0292a0U,     0x41e5442eU, \
    0x75f09f43U,     0x6794afcaU,     0x76cfeee2U,     0x841a4199U, \
    0x676dddf6U,     0x66589b6eU,     0x21e3c2fcU,     0x934c0ef4U, \
    0x9ea2c357U,     0x6dcc8d15U,     0x48b254f9U,     0x86b8ed01U, \
    0xd8ae898aU,     0xc4bb81e1U,     0x4454a2e2U,     0x9c3070aeU, \
    0xc9ba36c9U,     0x8ac32602U,     0xe8837c36U,     0x4dccf768U, \
    0x02c8ca7cU,     0x7043890aU,     0x24b60af0U,     0x1eba014cU, \
    0xf508d6bdU,     0x0c180ee3U,     0x24e3ce6aU,     0xcbe2f80bU, \
    0x082e2a13U,     0x20d16dedU,     0x539fa35aU,     0xed1b91e7U, \
    0x3967382eU,     0x604a2b4aU,     0x4d1a2d07U,     0x6474dd14U, \
    0x6f3ed78fU,     0xa634f274U,     0xa6fb120dU,     0x4dae86ceU, \
    0x80bd2c56U,     0x93cfa01cU,     0x947ba727U,     0xf470fd67U, \
    0xa8e863f5U,     0xeb4fd8d3U,     0xae9fe97dU,     0xfd4cdc61U, \
    0xae440ff1U,     0xb69b67ffU,     0x33dc634aU,     0x7d871e9dU, \
    0x1f25e199U,     0x29e6ea74U,     0x90b663b7U,     0x3757fc94U, \
    0x544aeba3U,     0x66e12b65U,     0x2ca86e3fU,     0x7303801fU, \
    0x6a74811eU,     0x2059f93aU,     0x2592845fU,     0x35ebca25U, \
    0x351ef82aU,     0x83c5cae5U,     0x0a302779U,     0xe958af40U, \
    0xa5b1b409U,     0x9918655aU,     0x716eaa58U,     0xb4520f5fU, \
    0x66f0a298U,     0x171e9c18U,     0x5a8b3599U,     0xa724c93eU, \
    0x6224e359U,     0x9e94c02fU,     0x765c0667U,     0x15de3561U, \
    0x11f36819U,     0x9946e8eeU,     0x2aa99754U,     0x1765b16fU, \
    0x60e5030eU,     0xcd49bbd5U,     0xcc001c9fU,     0xa1574170U, \
    0x7053db37U,     0x69582b46U,     0xb01fc255U,     0x1aaa6b9dU, \
    0x04d0ec83U,     0xc35889a4U,     0x82a11207U,     0x9729cdb6U, \
    0xaa5f2754U,     0x7271ee18U,     0x32ef7c3dU,     0x34548060U, \
    0xaf84ea5dU,     0xfcc12fc5U,     0x3265c130U,     0x89ba18f2U, \
    0x49094622U,     0xf497d72aU,     0xd7e9f5c6U,     0x297449f8U, \
    0x7a9a67e8U,     0xc655e51aU,     0x3abe31b4U,     0xb6a5869eU, \
    0x87ec2affU,     0xb1abd88aU,     0x31319dadU,     0x3da013e5U, \
    0x6913348bU,     0x70d85f18U,     0xadd1ecd7U,     0x49596b41U, \
    0x1af2ab6dU,     0x1bf65e9dU,     0xe58ad3a9U,     0xaab7847eU, \
    0x0d2c8ffdU,     0xfacf9bc6U,     0x1340d1c6U,     0x2fa0b30dU, \
    0x680fc9f3U,     0x7a46370bU,     0x9e74dc7eU,     0xea8f5f5cU, \
    0xcaedb888U,     0x4156df60U,     0x929654a7U,     0x27b5c5c9U, \
    0xc67bc496U,     0x16b9b6a0U,     0x8bd71fa8U,     0x21113abaU, \
    0x02132cc8U,     0x35f14093U,     0x60d5d14eU,     0x1095d727U, \
    0x53216b0aU,     0x2eaad802U,     0x1ff5cfd1U,     0x3839f665U, \
    0xb8f7f71bU,     0x7cbffcdbU,     0x6522f429U,     0x4d746cb0U, \
    0x06b6017bU,     0xcaf42232U,     0xed08bf1aU,     0x612d88d0U, \
    0x927d5dcdU,     0x2fa7ab19U,     0xd007e9b2U,     0x32cf36b2U, \
    0x189b124aU,     0xbbe13e81U,     0xcd61916dU,     0x7ef73a32U, \
    0xfdeeab37U,     0xc4296ffcU,     0x23852cbdU,     0x922d57baU, \
    0x5e591c80U,     0xfe41466fU,     0x9e5fee8fU,     0xd91d76b6U, \
    0x474745c7U,     0xf953f9d1U,     0x1a8336efU,     0x8baa4da8U, \
    0xb3ccfc5dU,     0xca751da6U,     0xf9796332U,     0x33a68e0dU, \
    0x27652d05U,     0xa114d2c6U,     0xa80c1cdbU,     0xd31c033aU, \
    0xbe89cc15U,     0xc2a0a2a3U,     0x6aaba4d9U,     0xccc5b98eU, \
    0x51cd3501U,     0x37062f0cU,     0x738c733bU,     0x44d6e4ecU, \
    0x4f73adcfU,     0x00c85277U,     0x60a25dd2U,     0x6a9fae1aU, \
    0xc63db5baU,     0xa2869f88U,     0xa74f9191U,     0x875f7fccU, \
    0x72ed5aabU,     0xeb6dc94dU,     0xbeab42a7U,     0xa26b3ed9U, \
    0x05268dfeU,     0x024b62c5U,     0xad5c6d68U,     0x61275f5fU, \
    0x15432a1bU,     0x63c7beceU,     0xa52111f4U,     0xa707f285U, \
    0x22a31376U,     0xc32f1350U,     0xabf04e49U,     0x825379f2U, \
    0x37605c44U,     0xc2a9b22cU,     0xf623d1bfU,     0x10fe71dbU, \
    0xf3bc7a03U,     0xa19a5688U,     0xa06700e2U,     0x347c48e8U, \
    0xec99761aU,     0x864bc41eU,     0x251948ebU,     0xdc33f366U, \
    0x239d0f8fU,     0x458605dbU,     0x10cbefe0U,     0x8e551119U, \
    0xf63a4ce6U,     0x75ec5ed9U,     0x637d7e6dU,     0x5c9a214bU, \
    0x6686ec9fU,     0x8f1fa63eU,     0x13da3853U,     0xb1d74a36U, \
    0x89f47ebbU,     0x3011b23fU,     0x577cf43cU,     0x8c5b1450U, \
    0xa7eaec8cU,     0x707d31c7U,     0xbcc08bf1U,     0xf48752f3U, \
    0x7930525aU,     0x28bd557cU,     0xf9bdc26dU,     0xdaef2edbU, \
    0xe5ae3ca7U,     0x8666adaaU,     0x94b9891dU,     0xfac03968U, \
    0xfdea2cefU,     0xb8b2532fU,     0x32431ac2U,     0xc3141de1U, \
    0x752a7c16U,     0x30cd3938U,     0x1981a301U,     0xb855541dU, \
    0xf806f6d2U,     0x1e697a8dU,     0xf179a727U,     0xc731955dU, \
    0xb95551f5U,     0xbead8a1cU,     0x711d0386U,     0xaf6c1e80U, \
    0x915053ffU,     0x7ec5bccfU,     0x29790792U,     0x1401b5a2U, \
    0xcc57b9daU,     0x1a5f58f2U,     0x0aca8867U,     0xba2fa6dfU, \
    0x03b34ec9U,     0x17240cbeU,     0x13806cddU,     0xcb6aab1bU, \
    0xa635d075U,     0xea70d5d1U,     0x4c1b3fcbU,     0x50fb13d9U, \
    0x76a38233U,     0xbdd3d205U,     0xc77d17f4U,     0x530b6f99U, \
    0x1c91f4b6U,     0x17b3f9feU,     0xbf12eeb4U,     0x48f9df7bU, \
    0x73baacf3U,     0x171ad281U,     0x021f9311U,     0x04c83911U, \
    0xe41c26acU,     0xf5b71691U,     0xb6152d97U,     0xdae2a149U, \
    0x4ed9a935U,     0x6519daa3U,     0x1f21b19aU,     0x4c3103d0U, \
    0x80e75276U,     0xfb7e1f83U,     0x2b33945bU,     0x83349891U, \
    0xcbd760a7U,     0xf07a2f87U,     0xbe9417c5U,     0x74e3e388U, \
    0x153a127fU,     0xab033164U,     0x764172e8U,     0xf72f6585U, \
    0x66f82b5fU,     0xcd00dc7dU,     0xac4ef6c1U,     0x21082295U, \
    0x6a85cbedU,     0x3b65f706U,     0x60a3ac93U,     0x27028839U, \
    0x41d4de4eU,     0x917701a9U,     0xd252362cU,     0x2024664fU, \
    0x6aaee6d9U,     0xfb6f506cU,     0x814cc9e0U,     0x49daa7b9U, \
    0x4ad8ab76U,     0x4c8ae9a4U,     0x55b558f6U,     0x32d1c44aU, \
    0xb814f2edU,     0x864affccU,     0x36d1f9a2U,     0x019233c9U, \
    0xda7470a4U,     0x8a556218U,     0x9d93d8cfU,     0x01f241afU, \
    0x3aa337bdU,     0x5510eed2U,     0x003f8914U,     0x9951a3f8U, \
    0xc1892680U,     0xc35ee851U,     0xa11ffddbU,     0x6e1e7898U, \
    0x3c0be493U,     0x97b3d4b6U,     0x137398a8U,     0x602d5440U, \
    0x124ce574U,     0x8bf87972U,     0x6c590739U,     0xe85eb57eU, \
    0x72efece8U,     0xb714c74dU,     0x63e353b1U,     0xef3e0afdU, \
    0x31fc4fb8U,     0xcfd43596U,     0x050676dfU,     0x1c9c5640U, \
    0x2ec9ebb3U,     0x10e0af10U,     0x715007afU,     0x8f176894U, \
    0x2dd6a838U,     0x205258dfU,     0xc1c3e563U,     0x1ad6c7f9U, \
    0x3404f754U,     0x1e503df2U,     0xfce70129U,     0xfcd84149U, \
    0xf94e8e0dU,     0x44db2f37U,     0x1c85aedbU,     0x80323133U, \
    0x8264d04eU,     0xf2f23e08U,     0xcdd2b3a3U,     0x46aa88d5U, \
    0x6d44fed3U,     0x2f440ecfU,     0x6f603b59U,     0xb0eb8a80U, \
    0x3413f420U,     0x813824a8U,     0x169fd7b5U,     0x3da48d80U, \
    0xd10a43b8U,     0x181af501U,     0xe7f7fb30U,     0x8ff97a77U, \
    0x8de19ca3U,     0x3e9cf46dU,     0x5e5852b4U,     0x8f416184U, \
    0x3a05a226U,     0xbf3bf695U,     0x276c5e32U,     0x1a33eef3U, \
    0xc1650484U,     0x6e8b9acbU,     0xe9414b75U,     0xf7a2ea5dU, \
    0xaf65a26fU,     0xf62e7eaeU,     0xa5a0c5d7U,     0x82794088U, \
    0xe2c1e07dU,     0x047fb826U,     0x6e90b975U,     0x155ab05bU, \
    0x590ab168U,     0x335b5e03U,     0xf8d9c63dU,     0xd322d8a0U, \
    0x30900d20U,     0x12e71ca0U,     0xf8ae34cdU,     0xd6c3caecU, \
    0x71b291c9U,     0x0daa213aU,     0x0945025bU,     0xe9f3e5fcU, \
    0x8c722fe3U,     0xf8ce916bU,     0xe96dd684U,     0xf387a693U, \
    0xb0c208beU,     0xb1d83be8U,     0x5bed782cU,     0x2eb07e0aU, \
    0x55088b90U,     0xa666e021U,     0x227ccbbeU,     0x95d725fcU, \
    0xe429ea0cU,     0x3829ebe4U,     0x63bd492aU,     0x49f70621U, \
    0xbf9fc292U,     0x32518c1aU,     0x753d816aU,     0xc68dc23bU, \
    0xc860f8d1U,     0xfa4d2eb2U,     0x27460017U,     0x2efacc47U, \
    0xb5865774U,     0x9e42b1a2U,     0x021dbef6U,     0x8936ef13U, \
    0x71178af4U,     0x0f373830U,     0x02c17ca7U,     0xc782f9a7U, \
    0x2ad22850U,     0xbbf77e1eU,     0xb9fcdde5U,     0xddf3a60bU, \
    0xd3843100U,     0xdcd5cca5U,     0x92260459U,     0x71acbe0eU, \
    0x2e9987e9U,     0x8e493cd1U,     0xd3ab0789U,     0x28199a94U, \
    0xb118e01eU,     0x05d3a1d5U,     0xccfbd071U,     0xba7a01a1U, \
    0x0ca12948U,     0xbb79f45bU,     0x17fd8ff6U,     0xacb90ddbU, \
    0xb5189742U,     0x588ebff1U,     0x0fefd53bU,     0x79c23b72U, \
    0xf26173c6U,     0x7bb92b8eU,     0x5795237eU,     0xfd27cd2cU, \
    0xde567932U,     0x5303c400U,     0x2fa321d6U,     0x20ec9cedU, \
    0x0e9fbe01U,     0x014c630dU,     0xa94f998aU,     0x851e9b2fU, \
    0x56f61564U,     0x2b8e668fU,     0x86e0fb1bU,     0xa89358b9U, \
    0x9a071f6aU,     0x8a32eceaU,     0x9d8198faU,     0x13e34febU, \
    0x7506c985U,     0x8e8fb46aU,     0x0616a4fcU,     0x3d5a2975U, \
    0x479e4abbU,     0x883a2adaU,     0x8424c140U,     0xb1122235U, \
    0x06fa2056U,     0x15bcb101U,     0xa0bd2d1fU,     0xbbbd662dU, \
    0x0be658ffU,     0x4797a7ebU,     0xb2026541U,     0xe02361a4U, \
    0x53f937edU,     0x75c85235U,     0xb71eb352U,     0x5438edbaU, \
    0xf13e1435U,     0x980293baU,     0x5d29beb7U,     0xd6a0be1aU, \
    0x5c572d5aU,     0xc42b0dc8U,     0xda2fc551U,     0x03b96780U, \
    0xedf70784U,     0x5550065dU,     0x80b4116bU,     0x403abe2aU, \
    0x594d5e5fU,     0x514d87adU,     0x2196a2cdU,     0x91f8da88U, \
    0x36290bc8U,     0x9ba15ff3U,     0xacfc92b8U,     0xf601dfa4U, \
    0x4b362c98U,     0xb6100ebcU,     0x14d31a96U,     0x9d8c5ab6U, \
    0xf03ba234U,     0xd1077d65U,     0x44c8ce21U,     0x47759034U, \
    0xb307b1a5U,     0x03894a99U,     0x076352b7U,     0x1e29891fU, \
    0x87c1da80U,     0xa4012713U,     0x988741d5U,     0x1c233695U, \
    0xf55988d5U,     0x4378f898U,     0x87f9e434U,     0x83729c22U, \
    0x2f7c8383U,     0x2f3a5f71U,     0x32aad364U,     0xc06b1188U, \
    0x93da4cdbU,     0xe9f7a753U,     0xc10916cdU,     0x5b770217U, \
    0x68f2fe67U,     0x58a67e5eU,     0x6ecdb844U,     0x63b07d63U, \
    0xbdf70624U,     0xa7e707b5U,     0x449ad4d4U,     0x46fbbaedU, \
    0x4838e2feU,     0xef2c03edU,     0x4348cc7bU,     0x822d5354U, \
    0x118e913fU,     0xb7a63441U,     0x800a257cU,     0x3b3607b4U, \
    0x47129f88U,     0xb39e8c2aU,     0xd9fd6aedU,     0x81ecf811U, \
    0xc7a6afa9U,     0x62cbb802U,     0x064dc88dU,     0x620848c0U, \
    0x9ee73e54U,     0x71d3d583U,     0xcda7b50cU,     0x9ab8a0c1U, \
    0xa1c54e16U,     0xa62b43a7U,     0xd8483207U,     0x2263c895U, \
    0x8a111c91U,     0x4e51cfcdU,     0x5ee280b8U,     0xe4590709U, \
    0x224dc2e8U,     0x33b51709U,     0x68b0a39eU,     0x536c2e96U, \
    0x4fee1630U,     0xbb22c03eU,     0x43eb684cU,     0x19fb7ce5U, \
    0xab713775U,     0xd1e1c6a5U,     0x58cca152U,     0x403769bbU, \
    0x9b17cdfeU,     0xd3a807a4U,     0xa85367b9U,     0x9c0c1177U, \
    0xd55a4f58U,     0x5fea53b6U,     0x142872c1U,     0x9a0199fcU, \
    0x51ac29b9U,     0x39db46a8U,     0x85607fa2U,     0x96068d1aU, \
    0xb77b1eebU,     0x5d355012U,     0x4383cbebU,     0x2eb7c82dU, \
    0x2bf392bcU,     0xf9440d16U,     0xaf510d8fU,     0x28f6b006U, \
    0xcf416571U,     0x15b9c4c4U,     0x87fe940dU,     0xca91d61bU, \
    0x7e5f33b8U,     0x1c514903U,     0xf2f301e7U,     0xea2d73b5U, \
    0x23ff9204U,     0xa1636911U,     0x79d38eb8U,     0x46b11ce9U, \
    0xc5cab36bU,     0x5b3f0a32U,     0xce6acbaaU,     0x085da989U, \
    0x5a07350fU,     0x613d63a7U,     0x4b43b91bU,     0x048e1019U, \
    0xc049c8a1U,     0xc89037d2U,     0xae05f520U,     0xe6315f37U, \
    0x45e43736U,     0x50453977U,     0xef743866U,     0x12f4ba9dU, \
    0xc129c83cU,     0x1789f7b3U,     0xe82c78e0U,     0x5234b215U, \
    0xf268405eU,     0x93523f5fU,     0x0e8b8221U,     0x0a7fd72fU, \
    0xfa1a1ff0U,     0x582896d7U,     0x2b212b44U,     0x85e9a1e8U, \
    0x0bcc6f83U,     0x4deb28ecU,     0x974d1f83U,     0xbcc71da2U, \
    0xdf5e1d5cU,     0x1d1ffb91U,     0xf3f5fb30U,     0x8d83c935U, \
    0xb08c24f5U,     0x1856df9dU,     0xc10e568bU,     0xd8116c58U, \
    0xae465106U,     0x4e3e1fe1U,     0x53434514U,     0xcbe49cf0U, \
    0x0241fef6U,     0x4370b2d1U,     0xe275736fU,     0xe5e14756U, \
    0x5d997e06U,     0x3df927f1U,     0x0b376a09U,     0xe43b1bd7U, \
    0x11bc8839U,     0x3f7d7e84U,     0x3843f822U,     0x84a05ec8U, \
    0xc7848b9dU,     0xbe17e98aU,     0x302c99f7U,     0xbaee0ba0U, \
    0x7294b6f5U,     0x99a79625U,     0x6f0f111eU,     0xe8b9fdb6U, \
    0x5a47aac1U,     0x64a35405U,     0xb1f1ead1U,     0x492ff3b1U, \
    0xd82e425aU,     0x10e4fb0cU,     0xf055d921U,     0x8b533bb2U, \
    0x464994fcU,     0xbd6f7207U,     0x1216f070U,     0x68eeb4dfU, \
    0x7c099d70U,     0x3e8eab87U,     0x306412ddU,     0x68e408fbU, \
    0x72b4bc71U,     0x05c7d636U,     0xa5d23185U,     0x62224cb6U, \
    0x7b317886U,     0x074bb94eU,     0x2b017dcaU,     0xed245de3U, \
    0x678bc162U,     0xddfeea70U,     0x6f30cc0cU,     0x42a410dbU, \
    0x69f7b4e9U,     0x81ad4e11U,     0x3c226f74U,     0x78aebb58U, \
    0xa6ee3de1U,     0x9bee3ce9U,     0xbb621e22U,     0x60c96672U, \
    0xc68dbc5cU,     0x65071963U,     0x2fdc9a53U,     0x0dc55efeU, \
    0xe7bb2aabU,     0x3f3cfef8U,     0x86ebe126U,     0x29f93486U, \
    0x4710c3fbU,     0xd2091cbdU,     0x52f4a488U,     0x5c350999U, \
    0xfdd7ebf0U,     0x2e9a594bU,     0xe9c61704U,     0xfb671627U, \
    0x5cce0917U,     0x14f37a3aU,     0x9d5f3fb9U,     0x42bb41f2U, \
    0x1cfe3785U,     0x1757d9b7U,     0xa963dceeU,     0xe9f5787aU, \
    0xbe72d333U,     0x595604fcU,     0x3fd4a2c7U,     0x043979faU, \
    0x643be35cU,     0x3d299744U,     0x5cf02925U,     0x506ed20fU, \
    0x1e64d33cU,     0x243a5023U,     0x4ce796c8U,     0x93c1bd8fU, \
    0xa4e111b7U,     0x9c7e63f1U,     0x90ad8f7bU,     0x9ca81dabU, \
    0xf9797599U,     0x0e7fbeeeU,     0x3e4cea1dU,     0xf667889cU, \
    0x5e513ed3U,     0x0fcb0969U,     0xe8a8f9c4U,     0x3904c044U, \
    0x5112ce62U,     0x0aac40cfU,     0x832092b1U,     0xa7c283a7U, \
    0x90af00faU,     0xb963c37bU,     0x611c19aaU,     0x0a89a809U, \
    0x3c3a3cf6U,     0x676a92bfU,     0xe63e7cd1U,     0xe2b9f1e8U, \
    0x362cae43U,     0x5b407009U,     0x14d31816U,     0xe3223952U, \
    0xeb93d977U,     0x976bbf46U,     0x67226b90U,     0xcd035c11U, \
    0xaf9fd93aU,     0x0be71ff1U,     0x1bdb556fU,     0xdbf9099dU, \
    0x0202e2cfU,     0xff7707c4U,     0x1584a564U,     0x6de2f832U, \
    0x7c709ba7U,     0x631b6975U,     0x91b946cdU,     0x549205ecU, \
    0xd2714ae2U,     0xcc5626a9U,     0xa48b660cU,     0x47404445U, \
    0x2eef4fcfU,     0x95e9b263U,     0xb7fa74b4U,     0x575e4849U, \
    0xfdaea805U,     0xaca12cc9U,     0x7ee419fdU,     0x7295cbdcU, \
    0xa52d75a1U,     0x21eb16a5U,     0xdc3b8b64U,     0x2762374aU, \
    0x0b81773bU,     0x2f72e81eU,     0xfd80284aU,     0x87b4c55fU, \
    0x15e126a5U,     0x53e622b7U,     0x138f3592U,     0x06c89ae6U, \
    0x42e68eeaU,     0x67185219U,     0xc6511f6fU,     0x46cdcafeU, \
    0xd51beabbU,     0xb954f5daU,     0xd772e230U,     0xc96b2c7bU, \
    0x12eabbc1U,     0xd35468efU,     0x7ab6b0e6U,     0xbfa2b4f4U, \
    0x62509794U,     0x2d2ce810U,     0x222407b0U,     0x5323deeeU, \
    0xff6c734cU,     0x48f6c5a0U,     0x78fa0b2fU,     0x1cd63559U, \
    0x4a5a2d57U,     0xdf172855U,     0x7756266bU,     0x4ed577bbU, \
    0x9f3aff46U,     0x10019862U,     0xb59f360aU,     0x1bfe38b8U, \
    0x4639d7beU,     0x01630f11U,     0x3d9f35f6U,     0xf24519d0U, \
    0x92e25a0eU,     0x0e129d94U,     0x4e8d7412U,     0xa2c5943fU, \
    0x987b0476U,     0xd9ca3e6dU,     0x448e174aU,     0xb3521effU, \
    0x3f0b7986U,     0xb5eb40daU,     0x4522a94cU,     0xa7f1968cU, \
    0x9305a713U,     0xbae2285bU,     0x9edbec93U,     0x04de5d30U, \
    0xc9aa7234U,     0xf17b4735U,     0x16851c51U,     0x19da3adeU, \
    0x24977eb4U,     0x8b91c5b9U,     0x2790568aU,     0x29d4cd86U, \
    0xb22e581eU,     0x8b5424afU,     0x345cc9e9U,     0x6160f49fU, \
    0x56e72c50U,     0x5f804cc6U,     0x2bc1daadU,     0xd1bf8c2aU, \
    0x889e3c52U,     0x991f401eU,     0xeac45c4dU,     0xe3ba5645U, \
    0x258d8b53U,     0x4c977e2aU,     0xcd741cddU,     0xde2ca898U, \
    0xad25e696U,     0xd63add0bU,     0x6025d140U,     0xd408aee6U, \
    0x705255e4U,     0xbe7b7f95U,     0x45196a86U,     0x5dbcad9aU, \
    0x260ec4caU,     0x591900d1U,     0xbb86f1b9U,     0xf2bdea97U, \
    0xbd882995U,     0xff550104U,     0x94645184U,     0x1b131ee0U, \
    0x56cd7f28U,     0x16bd75e0U,     0x4764ecfaU,     0x6f31165aU, \
    0xb77e8af5U,     0xb1a2f029U,     0xd48bde0bU,     0xe135d059U, \
    0xd6623d12U,     0x28c0724bU,     0x02636dcaU,     0x495cab20U, \
    0xe194eef6U,     0x65ae5cefU,     0xb7298fc9U,     0x53a00a92U, \
    0x5f71baefU,     0x421b4fffU,     0xe32fa06cU,     0xb9c7adc6U, \
    0x67363104U,     0xce079b09U,     0x3f76442aU,     0xb3393f8aU, \
    0x6901cc53U,     0xf2422a62U,     0xd0401736U,     0x938bb88eU, \
    0xeba827f7U,     0xc9ffe382U,     0xb8b8cf10U,     0x348a4c3aU, \
    0x9087e35bU,     0x0164f13cU,     0xeb67c774U,     0x914a1915U, \
    0x1cf33c7aU,     0xeeb19c29U,     0x5e315945U,     0xe3c6bba6U, \
    0x2ea832f5U,     0x04acf08dU,     0x989ae6eaU,     0x307c8725U, \
    0x2395aa06U,     0x32e70d93U,     0xcb2d076aU,     0x8c858cb2U, \
    0x31b6003bU,     0xfb7def68U,     0x4e2f3154U,     0x4c1ac10eU, \
    0xf3623c35U,     0x585ede59U,     0x53ddfe06U,     0x99aaa2f5U, \
    0xbf9c02ccU,     0xd400044eU,     0x15de56e3U,     0xcf9870baU, \
    0xb9c4de95U,     0x9a1cc6faU,     0x9c90d6b9U,     0x244c4a7cU, \
    0x60c00293U,     0x89123e86U,     0x438047cfU,     0x6d055bdaU, \
    0x1b89bd32U,     0xc822b383U,     0x9edcb34bU,     0x2ec97da8U, \
    0x59dd795eU,     0x84a121c5U,     0x98f710f5U,     0x1d1f054dU, \
    0x02b191caU,     0x84070c93U,     0xcfa93721U,     0x59e5fe05U, \
    0xd752e01dU,     0x03b9344bU,     0x99b01391U,     0x88476c8dU, \
    0xdb3aac4bU,     0x660db2f5U,     0xb68fd45cU,     0xc01f2941U, \
    0x764ddda2U,     0x69ab3f4aU,     0xd3a7849bU,     0x0850a348U, \
    0x5eb71460U,     0x87c14f07U,     0xfd5f0f6eU,     0xcf87426bU, \
    0x84972fd9U,     0x65194205U,     0x28737f29U,     0xed1dca93U, \
    0x546e6b19U,     0x099be6ecU,     0x1b689a6aU,     0x0bbb0bc3U, \
    0x8ce02c8aU,     0x015732a6U,     0x43bb5dd7U,     0x1e139151U, \
    0x1572a9c4U,     0x51f67f25U,     0x292b09c0U,     0x3a1dbc7cU, \
    0x6da9dee2U,     0x353ec385U,     0x7efc6438U,     0x03648c5dU, \
    0x40349e52U,     0xc171624fU,     0x1d8f02c8U,     0xfd844398U, \
    0xb6b3446bU,     0x1eb2191aU,     0xe4254352U,     0x50dde2b0U, \
    0xb9094ce8U,     0x2019b885U,     0xfb8ede0aU,     0x052be215U, \
    0x48eed920U,     0x79dc5d72U,     0x2efb6fc5U,     0xe5f39939U, \
    0xa52272ddU,     0x85270a80U,     0x88f9ab19U,     0x0d7fc5d6U, \
    0xd70fedadU,     0x2f24a9c9U,     0xd8dc4d99U,     0x46e8b5ffU, \
    0x3d815ec3U,     0xe55f47b2U,     0xe523b48cU,     0x07726292U, \
    0x5ee5b212U,     0x434ea211U,     0x08c6f3c3U,     0xbef8804dU, \
    0x9dbb5a79U,     0x865ed4b2U,     0x701d4759U,     0x3ea63018U, \
    0x368fda58U,     0x5a49daa2U,     0x33c5b22cU,     0xbe441907U, \
    0x3d794bcaU,     0x08143f62U,     0xbf641bb7U,     0xe6756edeU, \
    0xc03dc64cU,     0x0a451765U,     0x39e12e7cU,     0x398d90e8U, \
    0x88b6abd1U,     0x3dfdf22fU,     0x6ea754f1U,     0x009f4088U, \
    0xbf83c76dU,     0x346dd9aeU,     0x5667324fU,     0xfefa34e6U, \
    0x957fc921U,     0x4ae9718eU,     0x59168b49U,     0x3c324ea2U, \
    0x3131b7d8U,     0x338b617cU,     0x23ff0563U,     0xff04a0aeU, \
    0x4c75970aU,     0xaa374af4U,     0x33592ac4U,     0x55164f6aU, \
    0x248d3f07U,     0xe8f697b8U,     0xfa76da7eU,     0x80ad4861U, \
    0x56309d8cU,     0x3fa3c9ccU,     0x4848f453U,     0x469c4fa3U, \
    0xd9bbca3aU,     0x98ed3d52U,     0x6428217fU,     0x7f9464a4U, \
    0xb643dcc5U,     0x89093a0dU,     0x5ac39eb7U,     0xa5ebf454U, \
    0x0fde121fU,     0x57d17013U,     0x5d258975U,     0xd90e41b1U, \
    0x4426d0d6U,     0xb35e304dU,     0x3bc7cd20U,     0xa378000bU, \
    0x2d68d185U,     0x42685c48U,     0x786abb72U,     0x12f10744U, \
    0xf4523322U,     0x51175f00U,     0xe91eb812U,     0x0706e361U, \
    0xeb9cb679U,     0x36e2395dU,     0x1cf6f4d8U,     0x2c815a49U, \
    0x95113f19U,     0xcfabd2fdU,     0x23335da5U,     0x7fe2c6b1U, \
    0x1f2bbb46U,     0xf5df1fb3U,     0x95b0ea47U,     0x99885ddcU, \
    0xa344fe04U,     0x918abde5U,     0x7695cea5U,     0xb88d4049U, \
    0xc972c9b4U,     0x339aacf6U,     0xddf32b9bU,     0x1ee74c30U, \
    0xcb953422U,     0xc87f53d4U,     0xbe33136bU,     0xb5441647U, \
    0xa88a557bU,     0x9bd86da8U,     0x0094745dU,     0x588c6b93U, \
    0xcc14aa7dU,     0x7f4a0b8bU,     0x79180e91U,     0xe023ad0dU, \
    0x56975e8dU,     0xe03e588cU,     0x027b4c7bU,     0x95b014e8U, \
    0x66f23f07U,     0x696f8e0cU,     0x8976038eU,     0x35e87ceeU, \
    0x60ff13aaU,     0xadcead45U,     0x2525ef80U,     0x37e33b87U, \
    0x132e48feU,     0xea2da292U,     0x036ef85fU,     0xb7deb386U, \
    0x784327c9U,     0x861a7634U,     0x9edfd3d6U,     0x611a1510U, \
    0x183de5efU,     0xff8335bdU,     0x23167af0U,     0xde506e9dU, \
    0xf6dc86ddU,     0x55e5995fU,     0xb74edac5U,     0xefc96911U, \
    0x296ee347U,     0xc3bdef6fU,     0x68e3ceb9U,     0x8f629a1aU, \
    0x29678d2cU,     0x86fae7f5U,     0x2a29abbaU,     0xea018323U, \
    0x20e99525U,     0xb4649e66U,     0x6c46dc37U,     0x4b6f3f97U, \
    0x430fb4feU,     0x8d974b0bU,     0xa677e41cU,     0xf7c4671eU, \
    0xd01dbc75U,     0xe546ff67U,     0xeda5d8b5U,     0x6372ad3cU, \
    0x9bc26a4fU,     0x1d439c6dU,     0x37549e34U,     0x495d1d2aU, \
    0x1dbda401U,     0x1a715663U,     0x9a4d3c62U,     0x23652724U, \
    0xe6a734f6U,     0x1e2a3484U,     0xc86769c5U,     0xa04c2b0bU, \
    0xa2eb23faU,     0x70531861U,     0x99ad695dU,     0x5b907496U, \
    0xa5e1a496U,     0xf122f3ffU,     0xebeb8305U,     0x64db5e33U, \
    0x12189c4bU,     0x7cd91ae3U,     0xb21b4fc7U,     0xfbbd9380U, \
    0xed97fc11U,     0x87682763U,     0x232aeffaU,     0x375cf734U, \
    0xe3f9132cU,     0xfca3163fU,     0xe886ec23U,     0xcae7d3b6U, \
    0x03c6c206U,     0x7ff623ddU,     0xc091cd16U,     0x527487c1U, \
    0x5fd15504U,     0xa8467072U,     0x7d035accU,     0x80eb8d13U, \
    0x613131edU,     0x6ec19f05U,     0xb008f6f6U,     0x4c9ef8bcU, \
    0x58e6941cU,     0x85269219U,     0x06b03e19U,     0x261f48c8U, \
    0x7e885c66U,     0x7e3b8d8cU,     0xc73c2ecbU,     0xc1148becU, \
    0xf0004400U,     0x7d7403d3U,     0x228b9ce3U,     0x03c0892dU, \
    0xef38994fU,     0x9027cec6U,     0x7fa652deU,     0x482c2e4eU, \
    0xfe7d2618U,     0xb6a9f1dbU,     0x60f8addcU,     0x2318f050U, \
    0x301fea60U,     0x0a942217U,     0x97c8a606U,     0x63d6bca9U, \
    0x6fb53fb7U,     0x7627e60bU,     0x4057fc58U,     0xac1fb549U, \
    0xf6c37b90U,     0x371ad16dU,     0x6769fcf5U,     0x6aa08bc5U, \
    0xbf6636f7U,     0x3fc3ae36U,     0xdf422f70U,     0xb81690d1U, \
    0x6891e734U,     0x64bd3b82U,     0xf85b8e59U,     0xff25d0e0U, \
    0x3330703fU,     0xcfb910c6U,     0xdbc4b301U,     0xf2cac64eU, \
    0xb7ed8847U,     0x53a4a71cU,     0x0e857a00U,     0xe5a1f0d6U, \
    0x67d96a06U,     0xd9ff8afdU,     0xf919d527U,     0xbcbdd3aaU, \
    0x67f759c2U,     0xee3eb0ddU,     0xa0253043U,     0xad699659U, \
    0xad386178U,     0x50d003ceU,     0x0d3db126U,     0x73ce457cU, \
    0x93cc7637U,     0xb5649265U,     0x14c832f2U,     0xea4d6be6U, \
    0x46c12cfbU,     0x7e685b6bU,     0x3e54f345U,     0x5b9f9a1fU, \
    0x2bb24d9dU,     0xd4116dc9U,     0xeeec1f45U,     0x0ad2492eU, \
    0x8c1fbf90U,     0xbbcd8bb0U,     0x11d837bfU,     0x6e6e72f3U, \
    0xddd6cac7U,     0x192684bcU,     0xbfabd0ecU,     0xcab02126U, \
    0x023aa53cU,     0x66d049b6U,     0x95b8c934U,     0xb1b301c1U, \
    0xc4c76d63U,     0xd101add7U,     0x6734284cU,     0x2faf1f21U, \
    0x5e9f8fd2U,     0x39c7a8f1U,     0xac3d6533U,     0x32c36937U, \
    0xb227ef4aU,     0x570fc907U,     0x0a2fc524U,     0xbc3590fbU, \
    0x69a0d062U,     0x795bd77aU,     0x56a63521U,     0x39f59b5aU, \
    0x852f03c9U,     0x41a2477cU,     0x421d2e4cU,     0x6c513c7dU, \
    0xadef0091U,     0xbac5b132U,     0x00614681U,     0x8cbcebc0U, \
    0x442e5329U,     0x24803290U,     0xd58a328fU,     0xb70ea6daU, \
    0x2f56ba96U,     0xd45c1efeU,     0x1dd8af56U,     0x5bb5dcc0U, \
    0xc357da1cU,     0x5f1d2783U,     0x2e3525e6U,     0xd1bf488dU, \
    0xa68ceff0U,     0xa013ed11U,     0x1b4a6e47U,     0x542f2f4dU, \
    0x71d3f99bU,     0xc54b90f9U,     0xa3885a3cU,     0x3566b432U, \
    0x99819417U,     0x40d30f47U,     0x02f3f5f1U,     0x1f335a63U, \
    0x17e0fee8U,     0xcb8e20b2U,     0x9176d2cfU,     0x6b4733b2U, \
    0xebbb6546U,     0xcca2ba9aU,     0xcd5564f8U,     0x2c464b76U, \
    0xb02ac406U,     0x0f135a6fU,     0x185005bbU,     0xd86c1c99U, \
    0x6b56e54fU,     0x8a2ab923U,     0xbc3f70e0U,     0x0cb92483U, \
    0x95f75fd4U,     0x8d613d17U,     0xdd6d05e8U,     0xea62c810U, \
    0xef5e9df3U,     0xf57595b4U,     0xc6774cd7U,     0xda7aec82U, \
    0x816a5793U,     0x184b82adU,     0x8d3b8e3cU,     0xa7134982U, \
    0xa7110b5aU,     0x39d5c20eU,     0x96b9914bU,     0xd7526377U, \
    0x4fcc2543U,     0x3634e3feU,     0x5073d3b7U,     0x3f81daaaU, \
    0x34cef8b9U,     0x949ce51eU,     0x4e5c14beU,     0xc23c47fcU, \
    0x48df5110U,     0x09f0c810U,     0x4bc5098aU,     0x99d7fe0fU, \
    0x865446f6U,     0x2259f80cU,     0xaf9f9ac0U,     0x69036f5cU, \
    0xf808bf58U,     0x9dadd32bU,     0xf298c887U,     0x80453757U, \
    0xb433b059U,     0xcf7e1d3eU,     0xeb26f4b7U,     0x44dd0d7eU, \
    0x85817117U,     0x2303d720U,     0x7879ef6fU,     0x5cfcf763U, \
    0xd4c98cc2U,     0xa20a583dU,     0x177d4dd0U,     0x5b00462cU, \
    0xad6a9602U,     0xbf2b482aU,     0x246a2b32U,     0xfd557281U, \
    0x94e34ef8U,     0xb3316765U,     0xa52d31b6U,     0xd7399edaU, \
    0xda2621e3U,     0x810a9355U,     0xa2d14d65U,     0x7ed9dd0cU, \
    0x564697cfU,     0x112856b1U,     0xbb553c9cU,     0xe40a43b3U, \
    0x2094428aU,     0x3f0cb82aU,     0xf4e4aab4U,     0x7be40728U, \
    0xfee54f7aU,     0xf114f653U,     0x388b8877U,     0xc03d56a0U, \
    0x5d7b90d9U,     0x3075726dU,     0x6eedd1b0U,     0xfcae2facU, \
    0xdd481298U,     0x108300faU,     0xfe40e454U,     0xdaa032bfU, \
    0x10810927U,     0x55d4e966U,     0x06d6e6e8U,     0x6fedffc9U, \
    0x4f3d1e5dU,     0x92a6e35cU,     0x919f318dU,     0x12e2de20U, \
    0x01516cdeU,     0x4560f7dbU,     0xf7342ef0U,     0x949abe3dU, \
    0x33aeb872U,     0xab76be20U,     0xc6264a79U,     0xaae44ae8U, \
    0x48cfab4aU,     0xe854f1b6U,     0x30f8eaf8U,     0xcccba00aU, \
    0x3b08e8eaU,     0x355532bbU,     0x149d0e20U,     0xc5b4ad4eU, \
    0x9bae9edeU,     0x41b13e6bU,     0x016c01bdU,     0xe482f5a9U, \
    0x78fa24d5U,     0xd5d49065U,     0x7e3dd321U,     0x3213c789U, \
    0xb4d23e6aU,     0xeb70527aU,     0x2ce5b9c4U,     0x7175021fU, \
    0xe8960d96U,     0x00152856U,     0x3c0f39ebU,     0xd79ce394U, \
    0x813a48bbU,     0x54d064c5U,     0x02eed54aU,     0x1c78f929U, \
    0x696e5ad8U,     0x2362451dU,     0x975a2e8dU,     0xfbc5df88U, \
    0x0289e3ecU,     0x137b2bdbU,     0xdab209a0U,     0x4f61bab0U, \
    0xc7f591e7U,     0xd2177345U,     0x05c7a38cU,     0xf19ec802U, \
    0x96c807d7U,     0x8e78af52U,     0x590cbdd0U,     0x8bfb6c39U, \
    0x3cf34079U,     0x54656ef3U,     0x1bb290edU,     0xee231640U, \
    0x00d0fca3U,     0xea5e1febU,     0x0c05be74U,     0xc0f2905dU, \
    0xee9bfa36U,     0x144e0f06U,     0x848b6756U,     0x7717cc54U, \
    0x36c626abU,     0xd33500b8U,     0xce2e12d0U,     0x68caec97U, \
    0x91b419f1U,     0x835c0484U,     0x5fc0abc0U,     0x21c7031bU, \
    0xe21785f5U,     0x4c0e0b52U,     0x1c155973U,     0xb071bbd8U, \
    0x62adee1bU,     0x61f9c74aU,     0xa24b1a54U,     0x26996374U, \
    0xb139fda2U,     0x724d2d57U,     0xffffd316U,     0xb3da10f6U, \
    0x93a435a9U,     0xf1b8e786U,     0x8a3f2f6dU,     0xc83101ecU, \
    0xdb8ab279U,     0xe2e9bcd1U,     0x47b1bf8fU,     0x01a68862U, \
    0x89ad506eU,     0xa8380a67U,     0x4682164bU,     0xc1024ec3U, \
    0x30b05814U,     0xcdfc2084U,     0x9f99e0c7U,     0xb5a92c60U, \
    0xcd809325U,     0x37eb0244U,     0x9b1ce655U,     0xbefbc2c5U, \
    0xcca2aa96U,     0x1a1e1f69U,     0x3ddce5ffU,     0x64f529c8U, \
    0x3c04a618U,     0xb37a249bU,     0xeb2ed9f2U,     0xe1dfba50U, \
    0xff5a7f0cU,     0xac0f5afdU,     0x81432aadU,     0x6a67d6a4U, \
    0xb7566097U,     0x9c544479U,     0xae412cfaU,     0x609c77c5U, \
    0xa5788d63U,     0xfc273529U,     0x3d9459d8U,     0x3624ca40U, \
    0x43d5adbcU,     0xa971fd20U,     0x09ec86c8U,     0xbe826382U, \
    0x38f8a78eU,     0xbd4a3aebU,     0x8070786bU,     0x4d24275aU, \
    0xbe073cc1U,     0x47ca0c76U,     0xe239247fU,     0xdb3f768aU, \
    0x97cf8fabU,     0x766d2447U,     0x9d7751f2U,     0xc1796ce9U, \
    0x26f44be1U,     0xcd214c15U,     0x0f39f5bbU,     0x986042faU, \
    0x7357e1b1U,     0x6421a09eU,     0x55325955U,     0x2a07705dU, \
    0x7e8f9c8dU,     0xd582ae91U,     0xe380176bU,     0xda317386U, \
    0x49bf153aU,     0xca2a1237U,     0x2dbea768U,     0x47ba85f4U, \
    0xaf02a9f5U,     0x44d2c98eU,     0x8fc63fb3U,     0xa78a0c4bU, \
    0xadf1fa72U,     0xbe234901U,     0x58083d0cU,     0x3ff9843cU, \
    0x32d26359U,     0xfbd1a4f8U,     0x2f21ff76U,     0xd7bf0d90U, \
    0xaf398ca4U,     0x0b3c7599U,     0x9f85fb64U,     0xc735ca7fU, \
    0xa254e6b4U,     0x2e299b7aU,     0xd8ecf55cU,     0xdcea7313U, \
    0xca7a4c39U,     0xc1d90b55U,     0x474259b5U,     0x65fda6faU, \
    0xedc9371eU,     0x3676730dU,     0xe4f0c257U,     0xb4f41308U, \
    0x1689d23eU,     0x48532d8aU,     0x27e8007aU,     0x7538f7b9U, \
    0xe63f6f15U,     0x19568213U,     0x82268dafU,     0x85f8f261U, \
    0xc32f50c8U,     0xcf131e57U,     0x35482a59U,     0x6001b6dfU, \
    0x06c02e0cU,     0xc6e9df95U,     0xc952f183U,     0x66e69b76U, \
    0xec027b2aU,     0x60672f3dU,     0xc0e1853fU,     0x70eb13f8U, \
    0x5cf62cf8U,     0x0cdfa337U,     0x450a2b95U,     0xefaac742U, \
    0xcced339bU,     0x5d3684abU,     0x3c527082U,     0x89877379U, \
    0x70ece1b0U,     0xa1308931U,     0x4d0dc861U,     0x046bd31fU, \
    0x543d2e25U,     0xa146fe1cU,     0x1dbcc57cU,     0x9a27e89cU, \
    0x50c7102bU,     0x2f666e62U,     0x8d0a1e5dU,     0xe504bc3eU, \
    0x737f9be5U,     0x087b0719U,     0xbed505faU,     0xb507bbcfU, \
    0x91a7306fU,     0xc3c22f18U,     0x5244691bU,     0xa62bae02U, \
    0xec564eb0U,     0x430b1417U,     0x744f2c4bU,     0x6c659e8dU, \
    0x130cd253U,     0x56b99f71U,     0x6182f8c7U,     0xac3de3c3U, \
    0xbf64da1aU,     0xc6db3164U,     0xaf9eba1aU,     0x3ef6be69U, \
    0xffe43827U,     0x7bc9a2bcU,     0xa66cb5bfU,     0x5f5b2d9cU, \
    0x7ca316edU,     0x27746a5dU,     0xb1b4238fU,     0xc8e8e493U, \
    0xf9a49dd6U,     0xbe1c5d11U,     0x7a48b7e7U,     0xede7a5f3U, \
    0xf37ece14U,     0x57a01a0aU,     0x9822e2e1U,     0x42bb8223U, \
    0x54255db6U,     0x9ad0160dU,     0x59b8f04dU,     0x600d1d29U, \
    0x86ee59b4U,     0xc26a154fU,     0x06eeeefaU,     0x73e44551U, \
    0x1c94c913U,     0x24910229U,     0x30f326a0U,     0xcd69c7d2U, \
    0x20b53c08U,     0x9cba2dbdU,     0x2cfc69c8U,     0x6e4a9368U, \
    0xc8f1c6c0U,     0x86fbcc3fU,     0x8efeae38U,     0x74518e36U, \
    0x7fd9fa07U,     0xfde33609U,     0x216fdef9U,     0xfd039cf5U, \
    0x2481368fU,     0x716f50bfU,     0x20664192U,     0x71a2ffffU, \
    0x6dd2e447U,     0x7d7704d1U,     0xc95999f6U,     0x017b26dbU, \
    0xf40033caU,     0xbd3be447U,     0x8d68fafdU,     0x863dc496U, \
    0x089392aaU,     0xb80ae04cU,     0xe933060dU,     0x7acceb51U, \
    0xc0ceb004U,     0xff1b062bU,     0xf30b9abbU,     0xa0063feaU, \
    0xc4fc4fa0U,     0xfc794aa5U,     0x92252e76U,     0xea127b5eU, \
    0x5896dde1U,     0x25889b11U,     0x03485ef0U,     0x97d298edU, \
    0xad4ca859U,     0x4e8e65e0U,     0x52203541U,     0x33187239U, \
    0x474d8311U,     0xe77c906dU,     0x3937716dU,     0xda7a143cU, \
    0xbdbe09b7U,     0x38021bfaU,     0x6684354cU,     0xa4ed0ec8U, \
    0x8f628821U,     0xf2c25d92U,     0x9b7795a5U,     0xeeaa7e28U, \
    0x61ca4ac3U,     0x595788e2U,     0x16fb0a70U,     0x94a247e3U, \
    0x2e5984d0U,     0xf96aaecbU,     0x4febfc84U,     0x1555d87eU, \
    0x6710b0e0U,     0xf2e03a61U,     0x2bc5c112U,     0x2144a83aU, \
    0x8751f3bdU,     0x678f51aeU,     0xbcbf1fe7U,     0x91df037fU, \
    0x9c43fb89U,     0xf3a4af69U,     0x5d19a7a3U,     0x7da75db8U, \
    0xf47b17ddU,     0xcd80e1d7U,     0x509f5621U,     0xa422a9e0U, \
    0x9b71ea44U,     0x9451395dU,     0xfd55c1acU,     0x8a5e83b3U, \
    0x52c6d8bfU,     0xae5dbd0dU,     0xbc45a399U,     0x52902f02U, \
    0xe59d5063U,     0xaa548f1aU,     0x6ae83dffU,     0x97a02ecaU, \
    0x2260e2e9U,     0x01f341c8U,     0x171871a1U,     0xfc0f114fU, \
    0xa85e7a70U,     0x27cff715U,     0xc7fd1349U,     0xd5c77cf4U, \
    0x6f4e61ccU,     0x6bd00284U,     0x2f16c490U,     0xe3fd9ee8U, \
    0x766a17d0U,     0x79568072U,     0x29cf0f0dU,     0x2fd0f607U, \
    0x6151169fU,     0xd79ee326U,     0x1f88de7bU,     0x8b20c509U, \
    0xc647ff0fU,     0x82299145U,     0x7074c7b8U,     0x091a6ec7U, \
    0x6c5f64e8U,     0x6e8aa8a8U,     0x9c215b27U,     0x460a0517U, \
    0x627c9f01U,     0xd379007fU,     0x1a365adaU,     0x71a08a02U, \
    0xd32f4204U,     0x5e6c0aaaU,     0x321e4b00U,     0xcc5c8a12U, \
    0x8f320d10U,     0x62109652U,     0xc07d0f6dU,     0x35e1c60bU, \
    0xc4deff97U,     0x28ca73c8U,     0x21625502U,     0x582f7550U, \
    0x24d8079aU,     0x148f0c86U,     0xc0fab30fU,     0xfdd7dc04U, \
    0x9e2a09dfU,     0x682c5007U,     0xb8583cf7U,     0x7cf49a30U, \
    0xc09d583fU,     0x4add091eU,     0x9a73b819U,     0x5b471445U, \
    0x0151fbd4U,     0x1e809c67U,     0xa12a00eeU,     0x52fcbbacU, \
    0x8ab818faU,     0x2352fab7U,     0x7a6d8213U,     0xa7d0c3a4U, \
    0x5fb0051fU,     0xe969e377U,     0xf87a6bd3U,     0xe86ae41aU, \
    0x78461616U,     0x4f53afc7U,     0xe5d35d7aU,     0x5839e1aeU, \
    0x44d4b228U,     0xc321cd9cU,     0xc3887c93U,     0xfb68aefeU, \
    0x9b7eaee8U,     0xed3e91abU,     0x9273cb29U,     0x95b7424fU, \
    0x0b4c4000U,     0xf70eadcfU,     0x8dc6bed1U,     0xb3568de6U, \
    0x9513c36eU,     0xba4de72bU,     0xe1f446c8U,     0x5875a219U, \
    0x3b57d0e4U,     0x1163ac4fU,     0x1c5fb3eeU,     0x756179dbU, \
    0xad8f38eaU,     0xde719ec6U,     0xfe17e1e0U,     0x3d4e8dd7U, \
    0x9c97f410U,     0x819858d5U,     0xef00bdc0U,     0x25e17349U, \
    0xfd6bc41dU,     0xfb547c25U,     0x0712f780U,     0x027b151fU, \
    0x2393a36bU,     0xdf040b0fU,     0x59f4ecc9U,     0xcc458211U, \
    0xe40ca254U,     0x81f17c6fU,     0x90642021U,     0x6c4dfc38U, \
    0x8ccb783cU,     0x38f37715U,     0xb55c239bU,     0xc645b20cU, \
    0xf7661b40U,     0x88d07ee9U,     0x623e1cfcU,     0x8b7f3740U, \
    0x81a02eacU,     0x9f4273aaU,     0x7d8a1e4fU,     0x882e2f38U, \
    0x856e8623U,     0x3565597cU,     0x2acc9493U,     0x2d3cb346U, \
    0x0d20c563U,     0x86a5e04fU,     0xccd0e664U,     0xe6986757U, \
    0x6c200b9dU,     0x6f0f80d3U,     0x7d68f99eU,     0xbdd5df70U, \
    0x4b57c317U,     0x753ad663U,     0xcb253395U,     0x6091c075U, \
    0xc0900ecbU,     0xf3e86328U,     0xa00a0933U,     0x9684f962U, \
    0x741bc113U,     0x94e776b0U,     0x8db9aafaU,     0x34c4c159U, \
    0x81f87381U,     0xae6c7fb7U,     0xd41f2891U,     0x36e35bedU, \
    0x3b7b2888U,     0x42ac4619U,     0x47fb279eU,     0xd04bbb6eU, \
    0x40e3e0c8U,     0x00fa139cU,     0x6525ff4eU,     0xc6465631U, \
    0x07aa6793U,     0xfbd387f0U,     0x71f1149bU,     0xac82ecbdU, \
    0xf5f013c2U,     0x0a834908U,     0x31c1aec7U,     0x07504111U, \
    0x7efd6ba8U,     0xf91aae78U,     0x3d49d599U,     0x72337bdeU, \
    0x15c03651U,     0xe06db340U,     0x59ecb4faU,     0x0ac043afU, \
    0xfa52cdd7U,     0x59a7269cU,     0x9898ae8aU,     0x4cc95556U, \
    0x704e52ebU,     0x95645885U,     0xb06d51b1U,     0xc6c18d7dU, \
    0xe9cdcc22U,     0x493d6051U,     0x1fc3a480U,     0x0d40f397U, \
    0xe43701e9U,     0x038d6f31U,     0x63ea4189U,     0x668eef2cU, \
    0x7b1da09aU,     0x16b74207U,     0xbd9c956bU,     0xf1af86dcU, \
    0x252a45dfU,     0x2392b75aU,     0x8d5d1f5dU,     0x688f389bU, \
    0x41765674U,     0xb558bdf5U,     0x2f4b106dU,     0x097601bfU, \
    0x85ff0ac7U,     0x354ef277U,     0x6dd0e540U,     0xf58994cbU, \
    0x7263e99fU,     0x5047fc13U,     0xcac5d16fU,     0xc0807981U, \
    0x5c0e525dU,     0x10dfb090U,     0xd02997dbU,     0x88c9286bU, \
    0x143a46f0U,     0x1d0bfe7cU,     0x097c0204U,     0xe4e038e7U, \
    0x41e59e11U,     0xdfb04bb6U,     0xef4ae64cU,     0x695f60c2U, \
    0xc6f91683U,     0xa5f93e21U,     0x1febacf5U,     0x2e3e1f11U, \
    0x1f1a321fU,     0x5de4548fU,     0xb996c374U,     0xbcd38390U, \
    0x30beb21aU,     0x63d01f72U,     0x25e60433U,     0x10690009U, \
    0x05cd1eabU,     0x847cb89cU,     0x7221107cU,     0xcaa7d896U, \
    0xf43f550dU,     0x7b324978U,     0x50c0abf9U,     0x44db637cU, \
    0x89601c2fU,     0xf5adbc81U,     0xdc0be750U,     0x3c19feb4U, \
    0x8df0d5e0U,     0x66dc8574U,     0x6d153ae2U,     0xcbe3d0deU, \
    0xb003d8c7U,     0x27eb1070U,     0xeab97c20U,     0x524bf318U, \
    0x791c4ec0U,     0xcce15e71U,     0x2f0da926U,     0xd1f6af25U, \
    0xfc9d03f5U,     0xe78a997cU,     0x3b3f971eU,     0x29643e23U, \
    0x63feb89fU,     0x3bf0a66bU,     0x248b7873U,     0xc16ecd46U, \
    0xafae95e2U,     0x15d7e849U,     0xcd41a9f0U,     0x2c6c7a00U, \
    0x4115b6edU,     0x56832187U,     0x64ed85aeU,     0xcbe7c276U, \
    0xfcdecb21U,     0xa88341a8U,     0xb204cad5U,     0xdc5baf88U, \
    0xeca380eaU,     0xc159c5eeU,     0x290d60ecU,     0xad7c810fU, \
    0xcca36685U,     0x7b0da9cdU,     0x3797a60fU,     0x8826a97aU, \
    0x4a6bc1ccU,     0x92c5385fU,     0x88249393U,     0x0ea0ea79U, \
    0x8515159aU,     0xacc9364aU,     0xd0a8f289U,     0x97548d1cU, \
    0x49eb4213U,     0xd7430b48U,     0x9c38701cU,     0xabcec4c1U, \
    0xa57d60a2U,     0x66382857U,     0xc30b61d7U,     0x362824f0U, \
    0x872f4cb0U,     0x9ce4bb01U,     0x06a482dcU,     0x722fa126U, \
    0xdf34bc1eU,     0xb7932e01U,     0x25666aceU,     0xc61af26cU, \
    0xd92130faU,     0x3532ba49U,     0xcd9d38e5U,     0xaf72ddf9U, \
    0xde61b03aU,     0xb55d63c8U,     0x7f104c72U,     0x04c68003U, \
    0x511f9544U,     0x06048535U,     0x74ff7ebeU,     0x926deb56U, \
    0x3bba25e8U,     0x19add205U,     0x8ee566f5U,     0x23de857fU, \
    0x60c6c4fbU,     0xc5560c0dU,     0x2cf9d5c9U,     0xba7ef0a6U, \
    0xa99e1e90U,     0xc72df51fU,     0x6f735b72U,     0xb3644e9bU, \
    0x25fd1f38U,     0x47b75935U,     0x06dffe7cU,     0xda952a90U, \
    0x498cb960U,     0x9818125eU,     0x8346428bU,     0x8d44a463U, \
    0xb034de95U,     0x4a0144feU,     0x4a602435U,     0x9b1af3e7U, \
    0x7fdbe9aeU,     0x4ef2da2bU,     0x0e20bbcbU,     0x23ca36faU, \
    0xe566d766U,     0x96c7c149U,     0x498b46c7U,     0xee35b9e8U, \
    0xa40aaebdU,     0xa59351f4U,     0xb75c9345U,     0x4150dd8bU, \
    0x92088edbU,     0xf20c6dd7U,     0xc454b4d3U,     0xb3765cf4U, \
    0xc1fe0096U,     0x35e3421fU,     0x60a77f85U,     0x4384bf1dU, \
    0x92d7cc18U,     0x4a46ae49U,     0x2fa9c449U,     0xd09d7dd1U, \
    0xc7c25b72U,     0xa8aef9f7U,     0xf6237b9cU,     0xb21c0421U, \
    0xa3941864U,     0x54a65379U,     0x879e3876U,     0xcd863742U, \
    0x768faf64U,     0x4d15c90fU,     0xd1b13c18U,     0xeb0cd9d1U, \
    0x37d883e6U,     0x069534c2U,     0xfa4f02c0U,     0x093ed366U, \
    0x46a45985U,     0xae7c2901U,     0x1e4b980aU,     0x298a6f8aU, \
    0x4d368b45U,     0x446f9064U,     0xf1bc2e73U,     0x1889d74cU, \
    0x27d95a61U,     0x5670a58cU,     0x042c3a8cU,     0xbceebfc1U, \
    0x3e4fb5f6U,     0x47d81615U,     0xddf3a2c1U,     0x6b3f12b7U, \
    0xb9dbd2f1U,     0x12e1e3d7U,     0xf1c22ad4U,     0x4aced286U, \
    0x4e5662bbU,     0x36f4ace9U,     0x0045d0f0U,     0xa2b8abd2U, \
    0x1d58a206U,     0x4d0907f2U,     0xe0a024ceU,     0x427cae50U, \
    0x44bd5b38U,     0xfdd53fd1U,     0x443e8ff9U,     0x659cc2efU, \
    0xa437e337U,     0x7d50ab94U,     0x5785524aU,     0x0b5c251bU, \
    0xf030ce85U,     0x3db87458U,     0xead83392U,     0xb7ecdafdU, \
    0x68d6b617U,     0xdfe08523U,     0x0ee2a0a5U,     0x22809b20U, \
    0xc7769e54U,     0x7879c5a1U,     0xbe23702fU,     0xf5072803U, \
    0x401368c5U,     0xb990dfa9U,     0x38e576dbU,     0xd91667a5U, \
    0xb9049085U,     0x260f9d07U,     0x50f10806U,     0xb9fdc506U, \
    0xab6f3c34U,     0x8e7fddfbU,     0x15e0d700U,     0xd2dcea5aU, \
    0x1078fd93U,     0xd612a403U,     0x49ef774bU,     0x3dc90b0bU, \
    0x11e2a2d8U,     0xe214080bU,     0x7972645eU,     0x92eb63a3U, \
    0x24688019U,     0x61d23a17U,     0xf97e175aU,     0x01e089c1U, \
    0x00a12c38U,     0x8c2324a6U,     0x15922fefU,     0xa4584244U, \
    0xd5fa628aU,     0x83aef4bfU,     0x23d7ad22U,     0x7f3ffb25U, \
    0xe73f3f0dU,     0xa8901977U,     0x256abd05U,     0x19e3e571U, \
    0x19407e64U,     0x9b7ec7c9U,     0x9412fa38U,     0x9e13b361U, \
    0xf43f452aU,     0xd471f00fU,     0x2ffe6f6aU,     0x8a6efec9U, \
    0xd3c85be0U,     0xb560d54eU,     0x56a7aa7bU,     0x0de11a0cU, \
    0x18f45f09U,     0x83ded952U,     0x559244efU,     0xebeddf2fU, \
    0x46fb9434U,     0xf1bb5cb3U,     0x9ce20b03U,     0x32996f3dU, \
    0xa2431de6U,     0xbdd00cf8U,     0x1623bf0aU,     0x01a3993aU, \
    0x6b8d586eU,     0xfdacf2f7U,     0x2a388fb4U,     0xe20dfbf6U, \
    0xec2753f2U,     0x438edd34U,     0xafdd5b52U,     0x436de273U, \
    0x77f3e11dU,     0xd6b5bd34U,     0xbace3d78U,     0xa7bc8567U, \
    0xc4ce21aaU,     0x9ad658dbU,     0x5464b2ecU,     0x17fd8aa4U, \
    0x952f4eb8U,     0xe43175acU,     0x76c7d839U,     0xf40a0f46U, \
    0x4675372cU,     0xfb464508U,     0x6a69969cU,     0xd3ef2f11U, \
    0xc16e17a7U,     0x6a49fe49U,     0x3a81d06bU,     0x9893167cU, \
    0xd12ace68U,     0xdd57f7d3U,     0x4ac96bb8U,     0x6c41028eU, \
    0x30961b69U,     0x2779181bU,     0x5c295935U,     0x2aaf14f8U, \
    0x57affdd8U,     0x0a2bc907U,     0x74bb53d3U,     0xb11ed73dU, \
    0xa0f7da53U,     0x8b0742f3U,     0x1214c0a6U,     0x6ecf31e7U, \
    0x8afaf1baU,     0x9fd181cdU,     0xc16f4265U,     0x4345e277U, \
    0x8f75e6b8U,     0x802d993bU,     0x5bbe1577U,     0xe71da972U, \
    0xa4f87abbU,     0x434cbd15U,     0x8284bd51U,     0x34de52d5U, \
    0x0b1261b8U,     0xe5042c18U,     0xae456a3cU,     0x9680c53cU, \
    0xdac737a0U,     0x566c1d1bU,     0x9c45d317U,     0x400c9a21U, \
    0x2ac3982bU,     0xb4c0b410U,     0xfda92781U,     0xb7c8023cU, \
    0xb335d387U,     0x5ec924a1U,     0x761987c5U,     0x8786f119U, \
    0x8255bd8bU,     0xb3dbe440U,     0x7ef3889dU,     0x598c6172U, \
    0xb73981c8U,     0xf129b2fcU,     0x15c53ea9U,     0x36a997caU, \
    0x5b3bc983U,     0xfb66f77fU,     0xc1e7471aU,     0xbd4b7788U, \
    0x394c7bc3U,     0x40fd0d75U,     0xea1f5bc7U,     0x53b3f2f7U, \
    0xb586b984U,     0xd4adf978U,     0xe88fd15fU,     0x11008f9fU, \
    0xeee96e83U,     0xc54f7478U,     0x0a8e76e7U,     0xf5e8f63bU, \
    0x91d827d5U,     0x3aa18c73U,     0x1ee5135bU,     0xd94d4f04U, \
    0xd4dcda92U,     0xe1f0c48fU,     0x7743f0cdU,     0xd814cd0eU, \
    0xf56958d5U,     0x29009f82U,     0xa9739c32U,     0x2197b119U, \
    0xe02f569aU,     0x119d529bU,     0xac24420eU,     0xccd7464dU, \
    0x3ce67fc4U,     0xa4350cffU,     0xb4b782d9U,     0x35b26a0fU, \
    0x48c97e80U,     0xcbb8c05eU,     0xba1ec4caU,     0xbbb83317U, \
    0x1e3650c8U,     0xba6fd740U,     0xddfcaafdU,     0xa153ef8aU, \
    0x7064edb9U,     0x0688580aU,     0xe927abb9U,     0xe0c53477U, \
    0x72937163U,     0x33062795U,     0xbe9b614cU,     0xfada9b59U, \
    0xd3bdf8a9U,     0x23898779U,     0x8cc46963U,     0xd2d1b0b9U, \
    0x5bf9251fU,     0xdd30eaefU,     0xc5257906U,     0x5ecedd52U, \
    0x825ad5eaU,     0x992679a7U,     0x1f3e650eU,     0x88b3848cU, \
    0x031eb8c2U,     0xa742bbc5U,     0x0c8bfabfU,     0xc17cfb9bU, \
    0x45228858U,     0x816b9f63U,     0xc3b966f9U,     0xafed7ae3U, \
    0x2ec23593U,     0x216b685cU,     0xf30de5deU,     0x3f30e4cbU, \
    0xd4f24e63U,     0x1e71c705U,     0x9c68a35fU,     0xc43c87b7U, \
    0x76f4f212U,     0x68f25df7U,     0x69437b0cU,     0xda79e61fU, \
    0x5260c424U,     0x0639eb8eU,     0x622006caU,     0x5e0f8d5eU, \
    0x9c74e48eU,     0x48e00addU,     0x3397d922U,     0x185e7271U, \
    0xc71c3520U,     0xb16cddd6U,     0x2ec10fafU,     0xe80a1738U, \
    0xf36903eaU,     0x047fec56U,     0xda63625dU,     0xfc2f0a92U, \
    0xa6d0aca1U,     0x81aaf18eU,     0xfc46a2e6U,     0x6a50ddb4U, \
    0x1d90ede6U,     0xb435ee9bU,     0x2ed7389bU,     0x671a8109U, \
    0x54cb7c4bU,     0x1cdfbc11U,     0xf2b87b79U,     0x42660e64U, \
    0x2fc16e83U,     0xcaebe311U,     0xc8398149U,     0xd9bc9653U, \
    0x328c955eU,     0xe85b5a34U,     0x3247c3e8U,     0x71c55671U, \
    0xe00bd37eU,     0xba020ec8U,     0xfc902e49U,     0x488ab2e8U, \
    0x338e8a8cU,     0xbefac7c8U,     0x4dc07b1fU,     0xe2dea342U, \
    0x06c3e2c2U,     0x8b642414U,     0x5f1cf0c7U,     0x66018d09U, \
    0x194e68f2U,     0xd6f27a4eU,     0xad9d6204U,     0xa5ffe912U, \
    0x0a22e0a9U,     0xfea6365eU,     0x31cef52eU,     0x5f4936a7U, \
    0xd1bace00U,     0x2ce5e546U,     0x0ac91323U,     0x31dd5d31U, \
    0x3c3941a6U,     0xa7fa15f4U,     0xcb674efaU,     0x0d8b2f3bU, \
    0x9812acb5U,     0xea7cabbcU,     0xeaf7fd28U,     0xfb8525dfU, \
    0x9fedcd73U,     0xfeec812aU,     0xc7116cf3U,     0xbb9e3928U, \
    0x2bc3a8fbU,     0x798ab611U,     0x1791151aU,     0x7a2693ccU, \
    0x5af876fcU,     0xea364cbfU,     0x2bfa4d3cU,     0x60c44cc5U, \
    0xc8b7c0eeU,     0xd7b1b694U,     0x424bd5b1U,     0xe2f76828U, \
    0xd4ceaf42U,     0xbff81cb9U,     0x803c47b8U,     0x983a089fU, \
    0x8d5c4eaaU,     0x3be710fdU,     0xa1daf04fU,     0xa45204fdU, \
    0x8cd32393U,     0x7ea5889fU,     0xcc8bdf26U,     0xf95b16eeU, \
    0x769db153U,     0xe5a89823U,     0x1a0bc249U,     0x1f50af55U, \
    0x5de104c0U,     0xc9b66c7cU,     0x287ecc24U,     0x6cc6fae6U, \
    0xfcdaab25U,     0x8907bc84U,     0x67c3d137U,     0xb0d08c69U, \
    0x4be1d1d5U,     0xbb3a2fe9U,     0x5fa6eb17U,     0x526e1f21U, \
    0x3854c806U,     0x8b077d78U,     0x869c8a5bU,     0x4c753bd8U, \
    0x6964b1e7U,     0x4e9b7fc4U,     0x282faedcU,     0x35919b43U, \
    0xbaf03e9eU,     0xd90b4296U,     0x6a54142fU,     0x372f485dU, \
    0xf2fb0309U,     0x173718beU,     0x4c2b7b80U,     0x50590947U, \
    0x6151d2e8U,     0xb75a474eU,     0x5c06616aU,     0x933a363dU, \
    0x40951c89U,     0xdad40292U,     0x67cefbc8U,     0x3884fef2U, \
    0x0767a95cU,     0xd00654e5U,     0x5109abfbU,     0xb042bc40U, \
    0xf2562946U,     0x97e2ec9aU,     0x0c2c9dfdU,     0x4fa4f380U, \
    0x84d94a60U,     0x14ecb942U,     0x7123ec3dU,     0x6bbc6f61U, \
    0xcdb98df3U,     0x1ac12324U,     0x0b551b65U,     0x145ebdc9U, \
    0x52dcc5c1U,     0x2146149aU,     0x1bb08527U,     0xbd4c2207U, \
    0x4fe53108U,     0x9ceb4514U,     0x7d946bd1U,     0x5837ee92U, \
    0x7e39fdccU,     0xf33bb3faU,     0xa55f1fddU,     0xf40e65e2U, \
    0xcf6f1b6eU,     0xa5ebafe6U,     0x1797f5f5U,     0xa8b16407U, \
    0x536b9ac8U,     0xd7c879f7U,     0x2233e97aU,     0x1188be84U, \
    0x49f1c61dU,     0x54151bd4U,     0x19029015U,     0xb4501a86U, \
    0xb857e647U,     0xf2a20c9cU,     0x14107f0aU,     0x0f8973bfU, \
    0xf200972bU,     0x688a081aU,     0x75ff7e76U,     0x562183d8U, \
    0x3506616fU,     0x0657bc02U,     0x4117e02fU,     0xef98c146U, \
    0xd6d1f351U,     0xd857566eU,     0xf39db177U,     0xbf8af2ebU, \
    0x860b1adbU,     0x52d73e15U,     0xbe3c8581U,     0x1bc16b9cU, \
    0x228b4dc6U,     0xb2317638U,     0x2a87713aU,     0x9e9dc325U, \
    0x59844039U,     0x975da605U,     0x1d33873fU,     0xe5997b51U, \
    0xdbd1e8b7U,     0xa40386f2U,     0xc9ab7fd8U,     0xbf0768c3U, \
    0x6adbe35dU,     0x340afc4eU,     0xcca6e019U,     0xe56bae51U, \
    0xbc4e8f0bU,     0xc4df7c5eU,     0x0bff7067U,     0x42df14caU, \
    0x05ec0bb0U,     0x7f13ffe1U,     0x18e36c35U,     0x8fd4c162U, \
    0x972483dfU,     0xc9e0f8beU,     0xc1cf2589U,     0x2b429a6dU, \
    0xf5ead19fU,     0xaa17ec9eU,     0xd7320496U,     0x432034e5U, \
    0xaecb8333U,     0x390968dbU,     0xca7124cfU,     0x44859134U, \
    0x88603eddU,     0xe069f684U,     0x85070939U,     0xd479869bU, \
    0x0e99006bU,     0x871df7a1U,     0x5580932bU,     0x54b84a66U, \
    0xd0f0f3d2U,     0x9a25c44eU,     0xf2d1e1bcU,     0x0c785626U, \
    0x23f1f905U,     0xeb94707eU,     0xaffcbc73U,     0x54864588U, \
    0x19db564bU,     0x23ae7e9fU,     0x68d9bb53U,     0x806a9e25U, \
    0xc8ecd072U,     0xad4a1ddbU,     0xec61ec31U,     0xfa8a60f7U, \
    0xa411fcf6U,     0x1053c677U,     0xc1666c0eU,     0x427bec14U, \
    0x7f26b059U,     0xaaf2d565U,     0x034c577dU,     0xdd757590U, \
    0x4bf0fa8aU,     0x03eec179U,     0x8dbb2d59U,     0x8472c08bU, \
    0x14d1dc0cU,     0x03ef86c4U,     0x5889e663U,     0x91908d90U, \
    0x777c18a9U,     0x03934ca9U,     0xf395b016U,     0x78c93932U, \
    0x8ace139cU,     0xdaded5a3U,     0x528f2300U,     0x786b9db9U, \
    0xd6531b85U,     0x69009eefU,     0xedcc0e26U,     0xc292c8e9U, \
    0x3a13da98U,     0xbe065f47U,     0x69d1b817U,     0x19cae0e8U, \
    0xfdf934c2U,     0x9ef17216U,     0x904aba88U,     0xd244712aU, \
    0x96342f64U,     0x765dd1deU,     0xf023167bU,     0x489b6b5cU, \
    0xe31ecdc6U,     0x9222ce49U,     0xe255ad23U,     0xd05c772dU, \
    0x9440f050U,     0xb9b4b19aU,     0xe66e3e31U,     0x169d8f77U, \
    0x0af18c79U,     0xfa88c3d0U,     0xdc75a723U,     0xdf6faf91U, \
    0xacfe3026U,     0xaf5f2e4bU,     0xef0fa550U,     0xf1fdb66eU, \
    0xcebb5694U,     0xb638a196U,     0x1f60b306U,     0x9f955c8aU, \
    0x2b2e3a4dU,     0xc304444eU,     0xc8b04d4fU,     0xf7a0a71cU, \
    0xc97fe05dU,     0x9aee5f87U,     0x62a663c0U,     0xd24a3154U, \
    0x37bc1392U,     0x4d79f7abU,     0xed59fb2bU,     0xfdacd7d6U, \
    0xb8500f97U,     0xa67f03eeU,     0x313d423dU,     0x620fb84cU, \
    0x886a4783U,     0xba31db4aU,     0xfdad0808U,     0x4a508a8eU, \
    0x904a788aU,     0x4bc26eebU,     0x5a45310eU,     0x4250e3d7U, \
    0x28565fe7U,     0x694d6a70U,     0xe1d27d5cU,     0x0f9848c2U, \
    0x641e3222U,     0xfefb4a35U,     0xeba64961U,     0x8b633154U, \
    0x4631de10U,     0x8e2f8e20U,     0x3c5a3d19U,     0xc95ac39aU, \
    0x63907242U,     0x99238250U,     0xea22e0feU,     0x13857e4fU, \
    0x48e0c53cU,     0x50a9dbb1U,     0x75b22dfaU,     0xffdd4a4cU, \
    0x088e9828U,     0xfd6118edU,     0xb29ba3efU,     0x623dcf04U, \
    0xf01772eeU,     0xfc1c830cU,     0xfed83dbaU,     0x83762030U, \
    0x6a4744d8U,     0xbbad8746U,     0x63c4c078U,     0x8adf78ccU, \
    0xd660bcdcU,     0x457403f0U,     0xa6de72ccU,     0x5c22f3bfU, \
    0xdf4503e7U,     0xaa4fa155U,     0x56632d0fU,     0xa3698673U, \
    0xdb391388U,     0x9f86be5eU,     0xa6b66de2U,     0x1c398fc9U, \
    0x044e7e04U,     0x0539b197U,     0xef1488f9U,     0x0d6cab96U, \
    0xaff1dcd6U,     0x7cfc9b45U,     0xa9be3fd7U,     0xdd37607bU, \
    0x5ba2f64aU,     0x57c9f584U,     0x2d92fd84U,     0xb8baa559U, \
    0x5e43529fU,     0xffab51d4U,     0x92d7e8b3U,     0x57fe0b48U, \
    0x6520e12aU,     0xb98a0b2bU,     0x3f5fdb6fU,     0x15a45c6cU, \
    0x01d2a264U,     0x1ff7e0a2U,     0xa247eaceU,     0x90d7952dU, \
    0x13691952U,     0x08c76ea9U,     0xc69c49d8U,     0xdafaf2b1U, \
    0xa7859ec9U,     0x81f2e79bU,     0x19fd3a18U,     0x74a3cd55U, \
    0x86e9fbf1U,     0xbe06fbf0U,     0xd6be8237U,     0xd3521c09U, \
    0x13d943b4U,     0x4bc7d4c2U,     0x94644370U,     0x358f2631U, \
    0xe48c8462U,     0x70dc93f1U,     0xab82e07cU,     0x168be766U, \
    0x8bf3dc62U,     0x6d5887f4U,     0x878b00aaU,     0x910424bbU, \
    0x958b9d5fU,     0x2676f074U,     0xa2d22cb2U,     0x779b86e8U, \
    0x308f9569U,     0xd69a9199U,     0x7a2c7955U,     0x25de19dcU, \
    0xe3165819U,     0x2d1f7628U,     0x9c4b3f94U,     0x02ccfe99U, \
    0xeeb7c52fU,     0x5303ba9bU,     0x3f22d0dcU,     0xdf805ff8U, \
    0xd693f31aU,     0xfafc8c76U,     0x18bb33d7U,     0x2ce0a2ecU, \
    0x486cc3a2U,     0xa597e453U,     0xef1eb55bU,     0x02b5f645U, \
    0x0472682bU,     0x022ac567U,     0xc790ae22U,     0xeb0e39b4U, \
    0xede98ddbU,     0x46f66a6eU,     0x77e8ad42U,     0x5cb9d4bdU, \
    0x4ecc1734U,     0x3b99054cU,     0xce0aabe0U,     0x62bb5639U, \
    0x0bf051cbU,     0xdd2bfdd0U,     0xf879c270U,     0x3c1f24daU, \
    0xeb4971afU,     0x08cd69d9U,     0xdb31c1aaU,     0x8ef9da75U, \
    0xe6434630U,     0x9861211cU,     0x0d4f43c9U,     0x5e13386eU, \
    0x6c0a01a5U,     0x7e5e6b54U,     0xdadeef8cU,     0x4f576d95U, \
    0x85002958U,     0x508e8bb2U,     0x7071d302U,     0x08587291U, \
    0x77affcfcU,     0xb7a3d8caU,     0xe5ffcf78U,     0xa8e4c735U, \
    0xaf53d00fU,     0x676cab9eU,     0xcf5e718bU,     0xa7920585U, \
    0x490df976U,     0x78a6e930U,     0x14e00bc5U,     0x40429d70U, \
    0xa1ce9699U,     0xaa23a0aaU,     0x57637665U,     0x1e07275eU, \
    0x6a78d067U,     0x0862f091U,     0x1f811dbbU,     0xd44a2063U, \
    0x85e3c447U,     0x87b21b6fU,     0xa5568e47U,     0x244c4654U, \
    0xa3ed4277U,     0xde4069feU,     0x5a5b81e7U,     0x31959d82U, \
    0x45138ca9U,     0x1ff41738U,     0xbdb389bcU,     0x4a564c22U, \
    0x92613808U,     0x48043587U,     0xd66d3abdU,     0xb922d1f5U, \
    0xeeccf58fU,     0x6c5fe7a7U,     0x8d7bf74cU,     0xe304a466U, \
    0xf7fc15d2U,     0xfe89e2b7U,     0xaae01e4aU,     0x49e57ce8U, \
    0xf04de2afU,     0x3238dea7U,     0x0a9d1155U,     0x8c58fbe2U, \
    0x3aa48c7cU,     0xa6e79ba5U,     0x9eec68e8U,     0x88477192U, \
    0xd423619eU,     0x69607f54U,     0xdbd56142U,     0x8e6166e4U, \
    0x5a030fa3U,     0x94e24557U,     0x46bae1cbU,     0xf7b4b3aaU, \
    0x751c32f8U,     0xba2d6e56U,     0xe571184fU,     0x9de6f41eU, \
    0xe087f96aU,     0x4e7f8c88U,     0xeb40e0f9U,     0x7d799decU, \
    0x68d73bfbU,     0x38a53fb4U,     0xdce23b06U,     0x48b42d22U, \
    0x7befd656U,     0x58dd61b2U,     0xce80d0a9U,     0x0337e466U, \
    0x35eb0d59U,     0x0997185eU,     0xa31ef7b8U,     0xad28c59aU, \
    0x6b1381e0U,     0xd3d06e03U,     0x336ad717U,     0x9e15cc64U, \
    0xdcc18fadU,     0xe4458eb8U,     0x3470f5dfU,     0x5670bc24U, \
    0xb857c010U,     0xd7169604U,     0x2385f5eeU,     0xd2bb0843U, \
    0x17bb9cd3U,     0xddc827baU,     0xe0bec8afU,     0x4dfe4375U, \
    0x4e9bb501U,     0x1ed6ebedU,     0x1b2b8e0bU,     0x6786a905U, \
    0x35d6f480U,     0xafc21883U,     0x558c1e09U,     0xea4c3ed7U, \
    0x1857fdbdU,     0xb060472cU,     0x2f6be17cU,     0x84c1a44dU, \
    0xc10cfa8eU,     0x12b9e327U,     0xf670c0b5U,     0x10fe6817U, \
    0x928325c1U,     0xd06c655fU,     0x6c725e36U,     0x50f69e0cU, \
    0x70f736a2U,     0x774ba6ffU,     0x05ab1fe4U,     0x3dbd8751U, \
    0x7420d00eU,     0xb32cd72eU,     0x27e668ccU,     0xea048c19U, \
    0x7a213247U,     0x58dd2409U,     0xe79e1296U,     0x9e38479bU, \
    0x519251c1U,     0x0df473f2U,     0xe531dcefU,     0xfd40d9b4U, \
    0x4f0568f3U,     0xcc5897f4U,     0x07a78039U,     0x9fe23144U, \
    0x9c89e504U,     0x81342db0U,     0x9e0b6d7eU,     0x1280bfc3U, \
    0x6a015692U,     0x91d4f31dU,     0x4538fef6U,     0x36b6c4bdU, \
    0xb302cde7U,     0x4dea8a3cU,     0x9dcae2baU,     0x7a28add6U, \
    0xb44ab775U,     0x502f357aU,     0xdb4afb44U,     0x535332bbU, \
    0xb7b32461U,     0x76d3380bU,     0x1edf2f67U,     0x00e66b85U, \
    0xd8184820U,     0x3739aa9fU,     0xd8b94ef7U,     0x5c807745U, \
    0xc26ad81aU,     0x958ebee9U,     0xbe9f2f24U,     0xb2c42bc0U, \
    0xb1eb212aU,     0x4c16d03aU,     0x2415a3a2U,     0x7d3d853eU, \
    0xf8124a3dU,     0x4b927c03U,     0x91f9616eU,     0x3ea2ed64U, \
    0x7a7e8004U,     0x725da06fU,     0x320202b0U,     0x62b8efdeU, \
    0x825fdab1U,     0xb50f90e9U,     0x2f41580fU,     0x6227a332U, \
    0xd3f44b00U,     0x53c3237bU,     0x37db6a63U,     0x036838eeU, \
    0x3b2048c8U,     0xa4c4cfafU,     0x4370a67aU,     0x00ab0400U, \
    0x376a6d11U,     0x04334ef9U,     0x3f9fc22fU,     0xb1864426U, \
    0x5202e957U,     0x517472ecU,     0x2cc6da9dU,     0xf7ba4542U, \
    0xdde0b9f5U,     0x1a3a02efU,     0x09aed91fU,     0x62f49de3U, \
    0xf1f856d7U,     0xea8a2d1cU,     0x25ffdf90U,     0xe86a793fU, \
    0xa38e232bU,     0xfa410ccaU,     0x9d5f8d34U,     0xdf779f88U, \
    0xc867cd33U,     0xef24cb04U,     0x81ca137bU,     0x41d8b190U, \
    0xdd34ec54U,     0x1f9c96cfU,     0x4e2771e4U,     0xd4906d22U, \
    0x6c2f2c74U,     0x7fd72676U,     0x4e4b38d7U,     0x393fade5U, \
    0x8c0d5aedU,     0x2337e90aU,     0x626b892cU,     0xe94505f1U, \
    0x08c20c96U,     0xb8c29885U,     0xe7266881U,     0x3001b7fbU, \
    0xc2c9f460U,     0xa6da1146U,     0x0a13b18cU,     0x4acf0f3cU, \
    0x93bf9f50U,     0xc973c9afU,     0x5e59e84bU,     0xe712019dU, \
    0xdeaf1218U,     0x9088420cU,     0xb059f503U,     0x78329eadU, \
    0x0b1ab9a0U,     0x2c92ae16U,     0x51458b95U,     0x0a6ae21eU, \
    0x8a07ca44U,     0xdbcd5deaU,     0x5cd6a099U,     0xc327944cU, \
    0xca426eb6U,     0x31925759U,     0x29befecaU,     0x81f92ecdU, \
    0x063d6a10U,     0xd079d3a9U,     0x561727adU,     0x2743260eU, \
    0xc00775bdU,     0x5fef5839U,     0xabad4c75U,     0xe01e2daeU, \
    0x6f8a5e8bU,     0xbc777610U,     0x78f65575U,     0x95d2f5edU, \
    0xe31aba61U,     0x594c8d4bU,     0xd03ff2ebU,     0x51fcd144U, \
    0xfd59d23fU,     0x64bf6e5fU,     0x04a47bcbU,     0x0566e015U, \
    0x748f0095U,     0x05e4addbU,     0x3408d08aU,     0xf3f5fd05U, \
    0x35747b43U,     0xf4d21e35U,     0x4ea12a4fU,     0x12571d28U, \
    0xa5a06815U,     0x333dee98U,     0xb0c8cf40U,     0x27dd83bfU, \
    0xd63a9788U,     0xa83c7384U,     0x877b66f4U,     0xfc231e67U, \
    0x5508622fU,     0x630d5b63U,     0x7ef6061dU,     0x5c33cd90U, \
    0x0060d4f7U,     0x34fcab78U,     0x36bdb3b9U,     0x75e0973bU, \
    0x94c702bcU,     0x968224f5U,     0xa492d922U,     0x3ebd7e72U, \
    0x5542973cU,     0x0ccb74bdU,     0xe0570240U,     0x5cd23fd2U, \
    0xb38a2126U,     0x92df2bdcU,     0x4402c535U,     0x15fc1182U, \
    0x324fee9eU,     0xe1615922U,     0x1eb9a770U,     0x66b9205eU, \
    0x85eac975U,     0x55b98de3U,     0xf2d20c81U,     0x9468b4b4U, \
    0xe1cab235U,     0x821c55dcU,     0x4a070eb8U,     0x105a8c6fU, \
    0xe8c126b6U,     0x2acb77fbU,     0xa7b1b400U,     0x35e5483eU, \
    0x18f2550bU,     0x02b66514U,     0xf880791fU,     0x930bdc1bU, \
    0x1fdb6444U,     0x82d63d61U,     0x942d94e7U,     0xa1c1e714U, \
    0x54d3bfb7U,     0x7352c75eU,     0x5e7ce1f9U,     0x61d7dd27U, \
    0x4037ade4U,     0x564d0502U,     0x351a52bfU,     0x7035c0a0U, \
    0x50647aa2U,     0xd37dbbd1U,     0xc0e4f426U,     0x6c71ac3fU, \
    0x718c7ea4U,     0xb8054c21U,     0xcedeece7U,     0x8de7663fU, \
    0xfafa7eefU,     0xe980f1e1U,     0xc9493052U,     0x4506b704U, \
    0x0a8348b3U,     0xc9e1d22fU,     0xe8dc2ecfU,     0xbdb9acf9U, \
    0x29bd93baU,     0x64ad9088U,     0xd1807624U,     0x26c7ae3cU, \
    0xef06eeddU,     0x16868d8cU,     0x1c816af0U,     0x20ae49f4U, \
    0x1683cce4U,     0xda9014baU,     0x33e315f4U,     0x6fe7ed3eU, \
    0xe3064aa8U,     0xac1a85f0U,     0x7435df40U,     0x0f7a9c87U, \
    0x2e566dbaU,     0xdf9f9becU,     0x384cd93dU,     0xba98f7a5U, \
    0x92e0fc7aU,     0xb95fe2c1U,     0x11733912U,     0x05e99edeU, \
    0x7ac2a59bU,     0x829eeed8U,     0x66470417U,     0x1af1b809U, \
    0xcac3c0feU,     0x3e4f8ad6U,     0x43343647U,     0xa526ae33U, \
    0x7c56a51aU,     0xad5cbc7cU,     0x12e2fbcbU,     0xa18c4b37U, \
    0x110ca8ebU,     0xead7e6eaU,     0xce1c485bU,     0x5c547421U, \
    0x8cd889b3U,     0x3f9ad991U,     0x8e0df559U,     0xb3d4fd61U, \
    0xcfd07e39U,     0xcc2cddffU,     0x98ca84d9U,     0xd88f30f0U, \
    0x2492c1e8U,     0xcb34b3c5U,     0xdfee5cafU,     0x0af99974U, \
    0xdf7a8bbaU,     0x70124fdaU,     0xa9442bb2U,     0xd460a8c8U, \
    0xbe8b1e36U,     0x309ec60fU,     0x60f5d1f0U,     0xfa4b9455U, \
    0x2c6b35deU,     0x0761a30cU,     0x0e3cf37bU,     0xaeacef74U, \
    0xa6ae5b14U,     0x7d06116eU,     0x64289eccU,     0x80e4a724U, \
    0x022dc292U,     0x3cdc866fU,     0xf4c7e7a2U,     0xb5882337U, \
    0x10391c52U,     0xdd79f9caU,     0x313863e9U,     0x9d795c7cU, \
    0xf17a9003U,     0xeefa3ffeU,     0x8695d39bU,     0x3c10838cU, \
    0x414dfe1aU,     0x6dfa2420U,     0xac436954U,     0xa9265db0U, \
    0x73751597U,     0x469b6665U,     0xc8c477daU,     0x89b09361U, \
    0xe0ecf421U,     0x7dd57838U,     0xa8a419cbU,     0x3e748958U, \
    0x537fd6b1U,     0x053942fcU,     0xfdc05180U,     0xa5a84459U, \
    0x462405d2U,     0x9fc8da20U,     0x6d4921a4U,     0xb163e47dU, \
    0xf6172024U,     0xa7f24efeU,     0xa8bf2b4fU,     0xe7945399U, \
    0x4299d563U,     0xfd081657U,     0x8d3b6d9cU,     0x98f53b1bU, \
    0x8623cbc0U,     0xb60a93a1U,     0xdbf56d2cU,     0x2ab2d433U, \
    0xe765de44U,     0x5af983b5U,     0x2010a518U,     0xea1fe5d0U, \
    0xbedb0ed4U,     0x855ef2eaU,     0x7109387bU,     0xeb1a4f0cU, \
    0x8fb892fcU,     0x4c321d0cU,     0xbf2faeb9U,     0x0f04c92bU, \
    0x891a1979U,     0x9c47c3e4U,     0xeac12d89U,     0xa7a77afcU, \
    0xcabf4ee1U,     0x323bd2f5U,     0xe9c8a8fdU,     0x3698f4efU, \
    0x6314d5b3U,     0xd8067b4bU,     0xc34e517bU,     0xe934b076U, \
    0x3f96ab4bU,     0x3e924bf8U,     0x0dcf11efU,     0x692431c5U, \
    0x174d0c80U,     0xa6bff5dfU,     0x79b7c6e7U,     0x15e4acf3U, \
    0xe4d87c1bU,     0x11097d82U,     0x71827d47U,     0xdc5d4071U, \
    0x3d59c5c3U,     0x5d1e8f0aU,     0x65338ba9U,     0x17252190U, \
    0xd099581eU,     0x4c75450bU,     0x03eef4e5U,     0x94ae7966U, \
    0x1b810b22U,     0xdff60608U,     0xc2414a06U,     0xa91fc1dbU, \
    0x52c5aaf5U,     0xdce2b852U,     0xb98beebfU,     0xdafc276cU, \
    0x15c8f76dU,     0x310bfe3cU,     0xf201e787U,     0xbdf7a8bdU, \
    0x935b7139U,     0xad878838U,     0x665af0e9U,     0x11c41363U, \
    0xd249b2f4U,     0x4c5542fdU,     0x0a3280d7U,     0x8c5df799U, \
    0x38f2057dU,     0x33bcc715U,     0x926f2cb4U,     0x2da585bfU, \
    0x9d6cc888U,     0x35ae11c5U,     0x128fe10cU,     0x5c50bd7cU, \
    0x10c44ab9U,     0xcc2d1a21U,     0x28aed939U,     0x03f5a02eU, \
    0x4c497e7bU,     0x106c58e7U,     0xd224df3bU,     0xc6a28ad9U, \
    0xcd227ad0U,     0xd644f841U,     0xc3113c60U,     0xe79a8667U, \
    0x6c4ccf66U,     0x88958d31U,     0x15fe1b19U,     0xc9c1fb4bU, \
    0xa4df72bcU,     0xe5ce89e0U,     0xdab75b4cU,     0x2891a206U, \
    0x3d6295ecU,     0xf99f7632U,     0x9647d946U,     0x48d16adeU, \
    0xcaba8ee5U,     0xf38bbf71U,     0x2216b24fU,     0x99c7cf36U, \
    0x6e05b301U,     0x321a3ed9U,     0x0c2c58e7U,     0x63f443f1U, \
    0xa8b0676fU,     0xe3f3b060U,     0xc1c464cdU,     0x1543ed9fU, \
    0x473b4f72U,     0x85f5a12dU,     0x6f4dfc53U,     0xb7452712U, \
    0xd7311738U,     0xb9dbe7fbU,     0xc8762cd0U,     0x40d28b91U, \
    0xb2ba897fU,     0x893b5cbaU,     0xac3c3716U,     0xe7032cd6U, \
    0xaeccbdccU,     0x35454df2U,     0x59df5c11U,     0xd6fc31a0U, \
    0x3bccbe45U,     0x98456c38U,     0x7492a50dU,     0x68870165U, \
    0x47477b7dU,     0x2df5e310U,     0xee2e251cU,     0xeb7245aaU, \
    0x6e7749ccU,     0x6fb7bb06U,     0x71662bb5U,     0x97e5ea9fU, \
    0x96da207fU,     0x465b6edcU,     0xe53ee74aU,     0xb584d524U, \
    0xf17ace23U,     0xd16f0123U,     0x72f52c88U,     0xc6a845baU, \
    0xbaf64d4bU,     0xe4fdafa9U,     0xc56e5007U,     0x9f23441aU, \
    0x392d1e39U,     0xc8890922U,     0x2ddb3eecU,     0x909a711bU, \
    0x00bd33dfU,     0x28bd99a4U,     0xea250b07U,     0x00cbb1daU, \
    0x0b723cabU,     0x1f24932bU,     0xed957a0bU,     0x85b18c72U, \
    0x7214e06aU,     0x48721d31U,     0xe6267176U,     0x01c7dba1U, \
    0x9153c54fU,     0x24675a4dU,     0x79b79aa4U,     0xaba0c672U, \
    0x418b3dcaU,     0x8194a2f9U,     0xa86ea2feU,     0x471ee7e6U, \
    0xdf8860e5U,     0x549dfd7bU,     0x0de06b4fU,     0xcb53c1a7U, \
    0x9bfba1c6U,     0x481a4ef2U,     0x217cc713U,     0xbcb8f3bfU, \
    0xe3349160U,     0x3becdb9aU,     0x303459a0U,     0xe7320a61U, \
    0xe4e5b537U,     0xe1f2318aU,     0x1a3145b1U,     0x01f6eefaU, \
    0x08bc3c97U,     0x58097ae6U,     0xa2c33159U,     0x7a8b7f37U, \
    0xd639b929U,     0x7d757760U,     0x962a216fU,     0x96dc7a4eU, \
    0x372ec164U,     0x5487d504U,     0xbe970c23U,     0xb8fc4373U, \
    0x0ca0f63bU,     0xfa8a9c35U,     0xb4ecf655U,     0x3524b959U, \
    0xa22f11acU,     0x71aa5c47U,     0x093137cbU,     0xb94d7a52U, \
    0x3450268cU,     0x830bfca9U,     0x13e17646U,     0x6c89624fU, \
    0x9d59d94dU,     0x04bd2608U,     0xabae85b7U,     0xce84410dU, \
    0x7b9f3e8fU,     0x589da8d8U,     0x7a3344a4U,     0x940bd2c7U, \
    0x1d9fc835U,     0x5427c9e5U,     0x4fecf45cU,     0x2fe99340U, \
    0x32ccffafU,     0x1c5f74f0U,     0x96f470e8U,     0xbbdc515dU, \
    0x66fe3589U,     0x7b96f638U,     0x69dd0e78U,     0x4ec98731U, \
    0xbbdffe6aU,     0x570e5fa8U,     0xbe28049fU,     0xc6611c73U, \
    0x4594ba6dU,     0xe272282cU,     0xc7f9ba17U,     0x088b8e91U, \
    0xd6b67472U,     0x70e985e7U,     0xecc6bcd5U,     0x6b120d6dU, \
    0x98484f07U,     0xf54fdeafU,     0x4ec553a1U,     0x3b3b609fU, \
    0x0695f1aeU,     0xe448b4dcU,     0x27cfee28U,     0x65c0ef64U, \
    0xa744fd0eU,     0xfa1ad4efU,     0x20ab97aeU,     0xe4deff04U, \
    0xa39df31aU,     0x44ed5b35U,     0xb3f0d9d3U,     0x5433c7ebU, \
    0x68262ebbU,     0xe807834aU,     0x93ba2151U,     0xcc58f958U, \
    0x71e78055U,     0xbe641787U,     0x1d7be89cU,     0x56229c0bU, \
    0xdedeadbcU,     0x5c315fc9U,     0x782bad17U,     0x416aa1bfU, \
    0xe02be3e8U,     0xcc5bac05U,     0x8c182020U,     0xddad7077U, \
    0xa770b966U,     0x1fec5afdU,     0x2b7a611bU,     0xd9713b7aU, \
    0x4163b869U,     0x7158bbf0U,     0x7fec187fU,     0x1c1f42c6U, \
    0x9edbe06cU,     0x0c6cf0fcU,     0xc4206ef8U,     0xa996488bU, \
    0x48fee241U,     0x64b0c874U,     0x40372396U,     0x50d26044U, \
    0x20e26ebcU,     0x2f038364U,     0x9be2ed1cU,     0x004486ccU, \
    0xf4f0e43aU,     0x7e985e33U,     0x8dac432dU,     0x860b0313U, \
    0xa20d0717U,     0x16a5c04bU,     0x49b277a0U,     0xb494619cU, \
    0x9972e0f4U,     0x418b3dceU,     0x2f62e072U,     0x3eda0bc3U, \
    0x437890ebU,     0xbb703f15U,     0xac04e757U,     0xe174c6cdU, \
    0x8d4cbf92U,     0x1ab70573U,     0x52b9a55dU,     0x5592c21fU, \
    0xfc0d7cdfU,     0xed32c733U,     0x506185a1U,     0x25c4cb58U, \
    0x931ea847U,     0xfcbc0216U,     0xf1f4e8ffU,     0x528138c2U, \
    0x79f26758U,     0x654551dcU,     0x12243878U,     0x274a3842U, \
    0x90a7d335U,     0xd4936165U,     0xaa0c94baU,     0xe398070fU, \
    0xdedb599eU,     0x2d2e695cU,     0x06826cdaU,     0x24b51bd9U, \
    0x254bbec8U,     0x0a58811eU,     0xc27842dbU,     0xeffd8e2fU, \
    0x37b3e773U,     0xc1425946U,     0xefa8deb6U,     0x8a3bb8ffU, \
    0xaa6f0e2bU,     0xc9c39391U,     0x79ddb7dfU,     0x9d186536U, \
    0x741d21eeU,     0x63555b9fU,     0xa8575203U,     0x76cc47b4U, \
    0x39eb0cabU,     0xfb919b72U,     0x506da38cU,     0x9202a59aU, \
    0x66c3527eU,     0x9e3a6ec1U,     0x2736c952U,     0x7d4f810eU, \
    0xb39b4d17U,     0x9bb05cdfU,     0xa2cc07d6U,     0x5aa5958cU, \
    0xfaed1a89U,     0x026a9b3fU,     0x481ee867U,     0x88172a26U, \
    0x9935d5c3U,     0xa5c14b92U,     0xa04417a1U,     0x7f185e9eU, \
    0xb6c7992bU,     0x0da90533U,     0xad44863cU,     0x30459f9cU, \
    0xf99f7015U,     0x88921d8fU,     0x402eb403U,     0xf1566343U, \
    0xcff0fe0aU,     0x1927cfa5U,     0xa936d405U,     0x1ee8fb22U, \
    0xa74d4ca2U,     0xaea43d81U,     0x99094ed0U,     0xb243e13bU, \
    0xed515463U,     0x0d3a848cU,     0x99d7ddf2U,     0x44db2747U, \
    0xbf1b4782U,     0x25cdd7eaU,     0x52995187U,     0xda1e79fbU, \
    0x47687b3cU,     0xa651b941U,     0x02912388U,     0x62e9078cU, \
    0xacd49f71U,     0xb09bd082U,     0x4bb5c049U,     0x8550fc6bU, \
    0x52d66aaeU,     0xf8a4cf68U,     0x6d463bb8U,     0x5576dd18U, \
    0x29f786c2U,     0xd0075416U,     0xd41d4bd1U,     0xd6b60f74U, \
    0x875116c0U,     0x436564a6U,     0x44b1c39cU,     0x85c1ab22U, \
    0xe9438fb9U,     0x169ff61fU,     0xf59b6c7dU,     0x37a4726eU, \
    0xdce139dfU,     0x493c4088U,     0x96217631U,     0xd9ebc734U, \
    0x211733f2U,     0xb754eb44U,     0xfc19abf3U,     0x6b127f5cU, \
    0x98b7bc4fU,     0x866e6e33U,     0xaa89de1bU,     0x43716d17U, \
    0x5c605364U,     0x425558adU,     0xb5e35d4eU,     0x9ac3347cU, \
    0xde5a92ffU,     0xf26cbd1fU,     0xf43ed63dU,     0x91436853U, \
    0x880766b5U,     0xb57a382fU,     0xd7afbc65U,     0x30478a70U, \
    0x2787886fU,     0x08ff92bcU,     0x64d93e7eU,     0x94c55007U, \
    0xa7a40edeU,     0x1b0b6ef7U,     0xf48581d7U,     0x96b8f12eU, \
    0x2429d5deU,     0xf7b70443U,     0x4d6135cfU,     0x9e953da6U, \
    0xb08cdc9fU,     0x806db451U,     0x25bf1039U,     0xd485ee46U, \
    0x12ddc469U,     0xcfab536eU,     0xfef0d3c3U,     0x395b3d23U, \
    0x8459be4cU,     0xefeb82b5U,     0x9985a241U,     0x39ea66a2U, \
    0xdced2ff1U,     0xae623b54U,     0xc072387eU,     0xc01e4fc4U, \
    0xe95f9af9U,     0x35a73d92U,     0x18af165eU,     0xb2ba1225U, \
    0xb0412914U,     0xa9324c5bU,     0x958f8773U,     0x247b3aeeU, \
    0xb8cc8ff9U,     0x3d84c097U,     0x22610762U,     0xeccef374U, \
    0x5a427258U,     0x0dc433c3U,     0x98f0c6e4U,     0x8085ae4dU, \
    0xc5721926U,     0xe1e35a26U,     0xe466be54U,     0x772ad9e9U, \
    0xa59e8b1dU,     0xed0acf6eU,     0xb4c38fc7U,     0x716f8956U, \
    0xf0ef5321U,     0x2ae55ce2U,     0x299afe74U,     0x1cf55eccU, \
    0x348a3f8aU,     0x07f10772U,     0x01b050fbU,     0x69434ed7U, \
    0x2870b29aU,     0x7e877d2fU,     0x0c1cd1b3U,     0x9085b18aU, \
    0x94266626U,     0xfa2ca825U,     0x823da614U,     0xd11019d6U, \
    0xc229e9e0U,     0x836eaeeaU,     0x6a585a22U,     0x457dc959U, \
    0xe3023bceU,     0x4bce6847U,     0xe120c7c0U,     0x34b063e4U, \
    0x38f577fbU,     0x47430460U,     0x82be089fU,     0xff8ea55cU, \
    0xc85bbbe1U,     0xb6c4714eU,     0x3de575e2U,     0x1b95018aU, \
    0xef41ffdbU,     0x4e9a1bf2U,     0xb90de72cU,     0x35a07b35U, \
    0x26e50100U,     0xb374f34bU,     0x0f55dfbbU,     0xd615751aU, \
    0x50b3169aU,     0x37f60e5cU,     0x2cfe5025U,     0x18327e89U, \
    0x0f6b4d93U,     0xb4161686U,     0xdbf40bc7U,     0xace71b30U, \
    0xe4f92cadU,     0x3afdf865U,     0x6559fef1U,     0xa1057d5eU, \
    0x26a815a6U,     0x090c96e1U,     0x2fc57ec4U,     0x23d9bfd7U, \
    0x1ba58d59U,     0x0148b0a7U,     0xd50c3970U,     0x30d4f888U, \
    0x03ee5555U,     0x0d976369U,     0xf33e79c2U,     0x412ffd65U, \
    0x2b8b6860U,     0xbf85d4dbU,     0x48517930U,     0x53fb4440U, \
    0x78d465d9U,     0x9fe70d6aU,     0x0b7f6920U,     0x36546f2bU, \
    0xef28cce4U,     0xef7ab177U,     0xd02237c3U,     0xbc92426cU, \
    0x9c098306U,     0x548cba76U,     0x1d18631bU,     0xb9f71ff9U, \
    0xa51fcf21U,     0x49976611U,     0xdeba9d5bU,     0x18ef1945U, \
    0xcd66b075U,     0x680b8a7cU,     0x01add715U,     0x526fedeeU, \
    0x30103f70U,     0x9f1b5dc2U,     0x86a7bd9dU,     0x65f1c193U, \
    0x2cc06caeU,     0x20aa1995U,     0x8dac65f3U,     0x1c86619dU, \
    0x69cd9987U,     0x8faeafb0U,     0x25bd15b9U,     0x09236fabU, \
    0x0168e412U,     0x9e453c99U,     0x1ca900bbU,     0xe8ab9047U, \
    0x1dd25789U,     0x4972b948U,     0x169c11b0U,     0x8f238cacU, \
    0x2b78adfeU,     0xc00331ceU,     0xa3da9af5U,     0xc3356980U, \
    0xf3e5758fU,     0x82158786U,     0x62c80dbcU,     0x5341648eU, \
    0xffe693e4U,     0xc0332e4dU,     0xe60781cdU,     0x0d7eaa7fU, \
    0xb2a34df5U,     0x7a56d0b0U,     0x28d208a5U,     0xfaf2a9adU, \
    0x6e04eff9U,     0xf21f3347U,     0xe50b8865U,     0x88789737U, \
    0xaede86cfU,     0x67eabd14U,     0xb63cc21dU,     0xc621489eU, \
    0x45185c52U,     0x4c1e36c7U,     0xa062b289U,     0x2083a1d7U, \
    0xa006e101U,     0xdd522731U,     0xad3cf8ceU,     0xe8b663a5U, \
    0x95cc99c5U,     0x29f9ac3fU,     0x7d7a3959U,     0x8a102ec8U, \
    0xa13fd80dU,     0x5cd89ddeU,     0xfa87b4e6U,     0xae5efb7fU, \
    0x8b4edf22U,     0x5974ae0dU,     0xd623cf5bU,     0x1c5e4f29U, \
    0x206a9b18U,     0xcb87d475U,     0xee262755U,     0x0241a23cU, \
    0x60873d28U,     0x5f2a626cU,     0x3f0cd5a4U,     0xd8149151U, \
    0x97af27acU,     0x4d592176U,     0xeb427a50U,     0xd7e7e731U, \
    0xfe58834eU,     0xa6a8808dU,     0xa9519d52U,     0x9afe78d9U, \
    0xccbcab0aU,     0xa8503ce8U,     0x0dd7dda8U,     0x948574acU, \
    0xd1470da4U,     0xa0a31af7U,     0x3dbd681dU,     0x1162d8f5U, \
    0x3606d5e4U,     0xce828a5dU,     0x94fe39d8U,     0x78fc9677U, \
    0xe7f9c86fU,     0xa1b496deU,     0x50bab6a7U,     0x3cecb677U, \
    0x6a07cef2U,     0x9dbded4cU,     0x34a7395bU,     0x503f3a71U, \
    0x7e9b33c3U,     0x7eb378c5U,     0x305a6493U,     0xa7d2e956U, \
    0x2306599eU,     0x6528eb96U,     0x5bf5c613U,     0x5e5fa0bdU, \
    0x499cfc53U,     0xa1ba8ee4U,     0xc687a22fU,     0xb30351dfU, \
    0xc99a5445U,     0x2778bad1U,     0x219c9cebU,     0x7cf37e1aU, \
    0x9fa51625U,     0xfcfccda8U,     0xc859dc34U,     0x28b407a8U, \
    0xf174098bU,     0x4c98cbc8U,     0x71b12f83U,     0xa716d250U, \
    0xe6da411eU,     0x3ac32092U,     0x688d4281U,     0x7a51e04fU, \
    0xd981dfb0U,     0xbb4fe925U,     0x81bb8ce8U,     0x21f65f67U, \
    0xe234fc11U,     0x2d8ba6e9U,     0x4c2430aaU,     0x5c08ab25U, \
    0xbe235d7fU,     0x10579e4aU,     0x0e89a931U,     0xc58b90adU, \
    0x9d02d5a1U,     0x07817c1eU,     0x52d12dadU,     0x2d25d0fbU, \
    0xd2ee305eU,     0x13113d7dU,     0x23ae642eU,     0xc6977ea2U, \
    0xd3f0d78aU,     0x7606e265U,     0xd0f30300U,     0x6e2323f0U, \
    0x81a2ea09U,     0x70d2cdbeU,     0xb004a633U,     0x12ecf71cU, \
    0x3714fb2aU,     0xe550f57dU,     0x04e2aa73U,     0x1f3cfad6U, \
    0x7e2cabe8U,     0x0dd3cc95U,     0xa3af1ba2U,     0x947e4c27U, \
    0x9b3dc5bdU,     0xe26a4f4fU,     0xeffba232U,     0xf18ef39fU, \
    0x4a9df356U,     0xe3de9c56U,     0xebcd6a4dU,     0xfb202410U, \
    0xd399b9b1U,     0xf4f6a394U,     0x8a0dbb7dU,     0x7fe4fd0eU, \
    0x0cba16bdU,     0x156aa219U,     0x76faf59cU,     0xb93d2b1dU, \
    0x3a479922U,     0x54868059U,     0xdf7cca40U,     0x322db47aU, \
    0x4acc8ec7U,     0xdf0dbb8dU,     0x094235d7U,     0xcf70c571U, \
    0xb59b78e7U,     0x7377046dU,     0xd49389bcU,     0xbab51868U, \
    0x901c018bU,     0x01617902U,     0x7e575856U,     0x631922afU, \
    0x8aceb732U,     0x48aebf5eU,     0xafb8c215U,     0x4b2bf31aU, \
    0xd08612e9U,     0x500a9e77U,     0x7ce7f786U,     0xcb5b41daU, \
    0x78f05d55U,     0xab598fccU,     0x6897d871U,     0xdc3cdef8U, \
    0x84e95d8fU,     0x1c048459U,     0x65338ed1U,     0xb4292e36U, \
    0xe70db069U,     0xde327b45U,     0x391c0f65U,     0xa22ca037U, \
    0x927fdef1U,     0xf4a677feU,     0x67ae9b6fU,     0x7afc0406U, \
    0x632da8d5U,     0x3c93c11aU,     0x80997f5bU,     0xa07e9487U, \
    0xd5da0c2fU,     0x336899c3U,     0x17984c16U,     0xb0fe1891U, \
    0x2ae69378U,     0x8a84c7afU,     0xfba84a7aU,     0x007e625aU, \
    0x2920597dU,     0x5f99ef4fU,     0x1f0fe010U,     0x2a689d4bU, \
    0x51637f05U,     0xb8f8b92fU,     0x30e90c7fU,     0x10eb56c4U, \
    0xc6b58f10U,     0xd66bdca2U,     0xc994852dU,     0x9da00318U, \
    0xc3241f17U,     0xfb2c4ed0U,     0x13eeef21U,     0xad4ca23aU, \
    0x12f733dbU,     0xbc848f10U,     0xf4d1df19U,     0xcdb6e082U, \
    0x6a520e36U,     0x63edc2e3U,     0xaf1841fcU,     0xd4d88073U, \
    0xa2793a69U,     0xcde2aad9U,     0x8a7e756aU,     0x853a1262U, \
    0x6a314b68U,     0xc5efc543U,     0x9b4465d6U,     0xc9fe0ba2U, \
    0x95354838U,     0x3576bbd6U,     0x0a5048b0U,     0x8126cea9U, \
    0x26a2c495U,     0x2d6bf3bcU,     0x17d4ca88U,     0x91d7878dU, \
    0x6b92a210U,     0x4381efe8U,     0xc604ad38U,     0x06c3c912U, \
    0x389a2136U,     0xb17a1357U,     0xaec17cefU,     0x0d4ed5e7U, \
    0x2c3cbed1U,     0xb44b48deU,     0xcd37de34U,     0x942c6188U, \
    0x90ab1ee3U,     0xcadd4377U,     0x9e05afc4U,     0x77ee1afcU, \
    0x671fcbeeU,     0x762aad9aU,     0x9509e601U,     0x0233aa96U, \
    0x7aea72d2U,     0x72a458d1U,     0x05aff212U,     0xac917c7cU, \
    0x4d3217a6U,     0xbaa92b30U,     0x01e69cbbU,     0xd0c8f528U, \
    0xcd44e06fU,     0xea262ca6U,     0xfafe74a0U,     0xcb671f71U, \
    0xefc636f3U,     0xbb38fe88U,     0xbb9ef6bdU,     0xfcf75903U, \
    0xcd4d3eaeU,     0x78a3fc4eU,     0x90a46c89U,     0x7d4420e5U, \
    0x62f5d13aU,     0xab22cf84U,     0x0d9cdac9U,     0x96de19d2U, \
    0x48b65f83U,     0x4220e608U,     0x195a2a4eU,     0x63a951d8U, \
    0x400f8256U,     0x334720d1U,     0xcd6cfe8aU,     0xffabce5eU, \
    0x881f1192U,     0x1325d336U,     0x591b3ee0U,     0x69c96884U, \
    0xca374329U,     0x511efd46U,     0x419ce584U,     0xe3bf3bc4U, \
    0x667e73ebU,     0x6911b2fdU,     0x5ca0d00fU,     0x9408a346U, \
    0x2cb14772U,     0x8f71eb82U,     0x56aac344U,     0x15ad837aU, \
    0x9f96373fU,     0xc9008091U,     0xa4c748f7U,     0x2dd14550U, \
    0x7a97975cU,     0xae49a52dU,     0xd3c98197U,     0x95010922U, \
    0x0dd30708U,     0x4876ece2U,     0xf28a75feU,     0x58fcbd1cU, \
    0x84783b25U,     0xfb03a09eU,     0xded3b3f3U,     0x59477a0bU, \
    0x53089647U,     0x9e0d9462U,     0x3eb4b833U,     0x0feb86c7U, \
    0x04ffbfa6U,     0x446e0485U,     0x2daf7dd5U,     0x62c72449U, \
    0xf200a406U,     0x9fbe8439U,     0x22540f59U,     0x093e70d7U, \
    0x019c3b7dU,     0x30fb3460U,     0x6e4b3b09U,     0x6f9c59e9U, \
    0x385bcce2U,     0xf5fbcbd5U,     0x5687e025U,     0x8c2836f8U, \
    0x8067bc5eU,     0x1aefb233U,     0x702a714cU,     0xfb4b1cfdU, \
    0xbfabf13fU,     0x4f8ca2d7U,     0x286cefbaU,     0x2dbc32abU, \
    0xf61c9ebeU,     0x63a22bc3U,     0x2efcd2cbU,     0x8263cdf8U, \
    0xe7fb215eU,     0xedd4991bU,     0x3d40126fU,     0x95242665U, \
    0x25945ca6U,     0x92e3ea9bU,     0x61d225f1U,     0xf0a76f0bU, \
    0xee946ed4U,     0x43f8aaf9U,     0xe2907b6eU,     0xc1e6fde4U, \
    0xad2bae0cU,     0x5a1bb2f3U,     0xb84b96daU,     0x09d067a9U, \
    0xbc211a96U,     0x706d9d5aU,     0x5a901f2dU,     0xb4ab7b5bU, \
    0x66bdb8d8U,     0xab29d806U,     0x8c47b778U,     0xb8dee79aU, \
    0x1b7409bcU,     0x1d5dca4fU,     0xe4d3c302U,     0x60edea1fU, \
    0x7dea3631U,     0x45e77f83U,     0xbe6ae11cU,     0xef1dfacfU, \
    0xfca4b0a8U,     0x6cd9820eU,     0x9f61ea37U,     0xdd333b93U, \
    0x1f91fe0bU,     0x169347f8U,     0x30e7c329U,     0x5fcf3594U, \
    0x4c952c5bU,     0x1852cb56U,     0xc745185fU,     0xfe804baeU, \
    0x65e18a8dU,     0x5a186d01U,     0x16420a30U,     0x83039709U, \
    0x9fb44f67U,     0x9f87b00cU,     0xccd7ce69U,     0x5bb46023U, \
    0xe7f6bdbbU,     0xd5df44b1U,     0x6501b6ecU,     0xf712ef99U, \
    0xfe9f3cf1U,     0xd1e31d6cU,     0x0fb8dd8dU,     0x62b19896U, \
    0x0bd2c428U,     0x5e969958U,     0xb7c0dd81U,     0xbfdcf842U, \
    0x6eeb11c8U,     0x34104da1U,     0xf793f496U,     0x935061f9U, \
    0xcc889fb8U,     0xd3bb9648U,     0xfbea1a84U,     0x346ef184U, \
    0x4c684016U,     0x3637840eU,     0x0af58aa4U,     0x526849a4U, \
    0xf926cc86U,     0x0ead1735U,     0xccb2cc47U,     0x54955a48U, \
    0x24a99e2fU,     0x64416fcbU,     0x73c8659eU,     0xddbf04adU, \
    0xcd212995U,     0x9ebf359fU,     0xe4c0039eU,     0xb99d37d7U, \
    0x3e70b59fU,     0x5b70db17U,     0x69c7c4faU,     0x7512e0e0U, \
    0x4b9b513bU,     0x5189ef7eU,     0xa51074f9U,     0x772caf8bU, \
    0xe1721e58U,     0x9cb0ee16U,     0x82d4bbcaU,     0xe4f7f89dU, \
    0xf25ce0a5U,     0xc5d8e525U,     0x29226fc5U,     0xa62f9e98U, \
    0xd759bc1dU,     0xb33867fbU,     0xdd91ef14U,     0x2e0bc37bU, \
    0x53159250U,     0xc5f6da45U,     0x95f8619cU,     0xed7e8c74U, \
    0x12833776U,     0xb39a43f3U,     0xb8062317U,     0x8007226fU, \
    0x60f06956U,     0xfec61ff1U,     0x2a5cc4ddU,     0xa0c2d3edU, \
    0xb5be828fU,     0xde6f4e6cU,     0xb1978590U,     0x85f99f01U, \
    0x71e391f8U,     0x2a8c8bd7U,     0x3f316e91U,     0x3306404cU, \
    0xced98f96U,     0xd040090fU,     0xcff6189dU,     0x8353ba56U, \
    0x2c8c18b6U,     0x7f351295U,     0xdff9bd21U,     0xdf3f3aa0U, \
    0x16453a79U,     0xb4a5b9d0U,     0xa4ff49e0U,     0xc637664bU, \
    0xa1e76c1fU,     0x1ba26eb2U,     0x853b18c1U,     0x7412f753U, \
    0x78446a19U,     0xe75d8a18U,     0xf9bcd59aU,     0x7c2d9d96U, \
    0x39f5290dU,     0x11c3f1c9U,     0x0b3f9dadU,     0x9bdd7560U, \
    0x0b17aed4U,     0xf8f3a8c2U,     0x70b72b59U,     0xd5533c48U, \
    0x5950c748U,     0x3e47d895U,     0x9a3b6f56U,     0x2dbd408bU, \
    0xe8854a0eU,     0x70b07f09U,     0x8d408495U,     0x327a852eU, \
    0xcb429741U,     0xd171b978U,     0xd506da3bU,     0xf983f354U, \
    0x26a66adcU,     0x1b0ca89bU,     0x19a051e7U,     0xce7402d8U, \
    0x7cc667b2U,     0x87861083U,     0xa9dbc453U,     0x45924561U, \
    0xf3ccef55U,     0x9d7de256U,     0xdd08166cU,     0xf72f8913U, \
    0x14f66297U,     0x9ffe32e0U,     0x4d365b43U,     0x90aa4acdU, \
    0xa159bd26U,     0x9b713c3aU,     0x1f5582e5U,     0x98d121f4U, \
    0x92bd4776U,     0xa33c7cf7U,     0x5a2fc218U,     0x7674901fU, \
    0x0e6c77eeU,     0x05527b26U,     0xf976501cU,     0x770ae147U, \
    0xac688cb8U,     0xd90c53cbU,     0xf30f6723U,     0x1497b113U, \
    0x3d17374aU,     0x82e5bcc6U,     0x585a2379U,     0xd93e7aa0U, \
    0x67ee6a43U,     0x9f599980U,     0x0c3d0f4cU,     0xabf27df7U, \
    0x3b7d3d99U,     0xa87e7d08U,     0xd31cb67dU,     0x85e809f8U, \
    0x8bebd85bU,     0xf033f52eU,     0xf7fbc2cbU,     0x72f1eafcU, \
    0x5cec6263U,     0xd0066ae2U,     0x90f1668cU,     0x1d1ada79U, \
    0x53bf8df1U,     0x4908f3f5U,     0x318f67ebU,     0x0f3ba013U, \
    0xa2eaf613U,     0x0d9d2a06U,     0xa27841f6U,     0x652f8528U, \
    0xfad79338U,     0x4efbaf84U,     0x8b0e20e6U,     0x07f4985bU, \
    0xaaa83962U,     0x46d28b0cU,     0x5d0266beU,     0x69d19d85U, \
    0x66fb4cc5U,     0x6a7c68f1U,     0x97b3cd03U,     0xf6383e90U, \
    0x04dd609cU,     0xeadf082eU,     0xc6fc2a38U,     0x7ee6c224U, \
    0x182dd278U,     0x32c767c9U,     0xff878007U,     0xc2a51d87U, \
    0x82c651b5U,     0x028718a3U,     0x9a9cdc98U,     0x00227199U, \
    0xffe83520U,     0xc5e9769eU,     0x8e411cb1U,     0x47011bb6U, \
    0xe10445a7U,     0x9048f83eU,     0x22520578U,     0x7495742dU, \
    0x06aa53f9U,     0x5a84b97cU,     0x37f47c81U,     0xe7d22ad1U, \
    0x55db6327U,     0x5ecee648U,     0xbdeacfc0U,     0xba5f48e0U, \
    0xcee87bf1U,     0xdc5ecf2aU,     0x5469a496U,     0x0add2f03U, \
    0xce2ebe79U,     0x706ab820U,     0x560f2742U,     0xc5d91c7eU, \
    0xa2b9c476U,     0x18b7e279U,     0xc59e6db8U,     0xed0ebadbU, \
    0x6ee78e54U,     0x460a560cU,     0xcb1b32eaU,     0x0719a7f0U, \
    0xcbb4f4b4U,     0x261328edU,     0xa54ea423U,     0x9d33de89U, \
    0x5d2830b8U,     0xfadb8d6eU,     0x606df714U,     0x27e8159aU, \
    0x79da3426U,     0x09377f66U,     0x8cebe703U,     0xb3920860U, \
    0x642f541bU,     0x2c127d29U,     0xfbec00a7U,     0x4b56a76eU, \
    0x1093b20dU,     0x12dc2cabU,     0x096182cfU,     0x80807df1U, \
    0xbc3cc9d9U,     0x03e7eda9U,     0xec5c842bU,     0x6e5ede03U, \
    0x07fcb7b0U,     0xea18a158U,     0xc5c1c976U,     0xe92cbdcaU, \
    0x86cd5487U,     0x18c90caeU,     0x674ff1c0U,     0xd17d0c7fU, \
    0xedc7cf35U,     0xaaf5f1a1U,     0x280147d7U,     0xc0227cdbU, \
    0x1c5e51c5U,     0x1ed37a45U,     0xbfc9d0edU,     0xe8a65dbbU, \
    0x6a7aee1eU,     0x026f3109U,     0xbbe35918U,     0x8c0970c1U, \
    0x6490c315U,     0xf84424e0U,     0xfe4cf1ccU,     0x5ff32c88U, \
    0x9dd2b80eU,     0xd28b85ddU,     0x00d00856U,     0x7032160bU, \
    0xd4430928U,     0x5ddd24a6U,     0x7ecd2acfU,     0x2d21a115U, \
    0x30e82f58U,     0x242c6687U,     0xf22a8721U,     0xbd326f5bU, \
    0xf7fa8b26U,     0x2af2014bU,     0xfb6fe15fU,     0x30d92dffU, \
    0xd2c3af3bU,     0x2116b3c8U,     0xe448ef9cU,     0xf1a9994cU, \
    0x06a7218dU,     0xcff89a90U,     0xa852428aU,     0x67b15db6U, \
    0x4aad7c37U,     0xa8736e28U,     0xeb508888U,     0x9ec8316eU, \
    0xcfdf1177U,     0xdbaec845U,     0xd36c8b06U,     0xda0b137aU, \
    0xb83c4f7cU,     0xe0905ee8U,     0xb98209a6U,     0x2f10c083U, \
    0x03a8ac12U,     0xa199dc81U,     0x7bca3602U,     0x0c98b8b6U, \
    0x3ecdad8eU,     0xf27b6823U,     0xb84cd986U,     0x5de2c330U, \
    0x99454242U,     0x18a0f35bU,     0x39d224ecU,     0x63263f93U, \
    0x0a0305a2U,     0xe4b95ac1U,     0xbac93819U,     0x8ba29e23U, \
    0x86659ad3U,     0xa772f6caU,     0xd4743e98U,     0xd99710d2U, \
    0xdcbf6dfcU,     0x347ba1e2U,     0x54645506U,     0xd04c0b83U, \
    0xd8190939U,     0xd07e7a96U,     0xe2ea335bU,     0xe2977117U, \
    0xa74f0f42U,     0x40ecc46eU,     0x15c4dd96U,     0x92771e7eU, \
    0x7e166891U,     0x6452a012U,     0x929b8a4cU,     0x38ca245eU, \
    0x9c19a68aU,     0x5475031aU,     0x7128da3cU,     0x322496a9U, \
    0x2aaeca2bU,     0x58a90ed0U,     0x07c0ccbbU,     0xcf31e678U, \
    0x357da9c7U,     0x8aa99e07U,     0xf14381d8U,     0x4aa822d1U, \
    0x1ac1dbe3U,     0x724ae88eU,     0x8d7777ddU,     0x5a9f6237U, \
    0x69d750dcU,     0xd0694341U,     0xab0bc253U,     0xcde81129U, \
    0xcd33eb65U,     0x43548a8bU,     0xb0a4c40fU,     0x3bf492e1U, \
    0xb1f884a2U,     0x0b77ed50U,     0x6cd7144cU,     0x2eb82ad9U, \
    0x8c57a352U,     0x3b405bdbU,     0xa9074539U,     0x41233decU, \
    0x4fb09009U,     0x11acb622U,     0x6c4e0725U,     0xfc47fd4eU, \
    0xf9f7b2a8U,     0xcb445a3dU,     0x53c52647U,     0xb690ac14U, \
    0x9abbe185U,     0xd0100865U,     0xe9d36afdU,     0xb18abb4aU, \
    0xe6de99c0U,     0xdca96c42U,     0xf649bfe2U,     0x867bdc94U, \
    0x93c0d9a3U,     0x863a5c45U,     0x4ef10ce2U,     0xe331ae25U, \
    0xa6235aadU,     0x2756cabaU,     0x9fc2bbf5U,     0xcec85cc0U, \
    0xbd540d1eU,     0x7962c735U,     0x84bcec90U,     0x45214680U, \
    0xe664da70U,     0xbc360e60U,     0x94672281U,     0xca53b3b9U, \
    0x52f06691U,     0xf72d0371U,     0x90402325U,     0x0c7325c0U, \
    0x43b68718U,     0xa2df22d7U,     0xf6d62a4eU,     0x49c4679aU, \
    0x47f0403aU,     0x569bed48U,     0x9b3ea342U,     0xebf162a0U, \
    0x7598e8c8U,     0xd72d3b84U,     0xd726faefU,     0x3e065c51U, \
    0x0e626043U,     0x298b62bbU,     0xe1aa338cU,     0xa5c2f87aU, \
    0x93e211cfU,     0xab84ca18U,     0x07f27175U,     0x20c5464dU, \
    0xa3cee440U,     0x6d242475U,     0x4740b2f7U,     0x448d8276U, \
    0xfa8a2767U,     0x01a24f2dU,     0x87185907U,     0xc551db12U, \
    0x56cb4be7U,     0x5e1d38ddU,     0xb8e6dc7bU,     0x674d5849U, \
    0x3756d6ebU,     0x5878481fU,     0x4888aadfU,     0x6849d5adU, \
    0xbc72331aU,     0x939a10e5U,     0x6eb1fe7bU,     0x886797baU, \
    0xb7984abaU,     0xc7dd0e84U,     0xcb950526U,     0x977c3a8cU, \
    0x6a3c39c4U,     0x66bd5968U,     0x545ab53aU,     0x62cc020eU, \
    0x772a9d37U,     0xf9afa791U,     0xc04744d7U,     0x36b74dbbU, \
    0xa2f52fd9U,     0x96dc7996U,     0xc0cb9643U,     0xf55cbe5aU, \
    0x2f9a9b4aU,     0x058d4e47U,     0x7c253f02U,     0x17822566U, \
    0xe6365967U,     0x2efa8294U,     0xbb6984a6U,     0x660b0d9fU, \
    0xc902e88cU,     0x7b140f79U,     0x286e9f76U,     0x74a30121U, \
    0x1fc72882U,     0xef20fdd4U,     0x142e4afcU,     0x12f11c71U, \
    0x4cdb4b2bU,     0xa210a4a8U,     0xa821c8d1U,     0x182cfc32U, \
    0xc4188b08U,     0xd4cfe61aU,     0xc82636a7U,     0x342642b1U, \
    0x40858bb7U,     0xf4211669U,     0x837dd925U,     0xa39bdb8bU, \
    0x7e0520fdU,     0xac1ed045U,     0xe5e10458U,     0x74773c06U, \
    0x30d4678eU,     0x88cfbcc6U,     0x0198cab9U,     0x350a2249U, \
    0xf830098eU,     0x19d747d7U,     0x0819afebU,     0x7d1db6b4U, \
    0x7d79f952U,     0x7c0f3e19U,     0x1aa7af13U,     0x333049feU, \
    0x208911efU,     0x148c89aaU,     0x6b49c2e9U,     0x5059b9e8U, \
    0xd35ab4cbU,     0x76e815fbU,     0x622c25d0U,     0x6ab8c758U, \
    0x97277bd5U,     0x4b2faf4bU,     0xcf03a910U,     0x4ac35f7fU, \
    0x8078d6a5U,     0x426ea43bU,     0x3a8adae1U,     0x1bf6f514U, \
    0xe8c8bc56U,     0xf77f6e44U,     0xcbb97c9bU,     0x58c06f89U, \
    0x9f8e6f9fU,     0xe28bde6aU,     0x615a9a8bU,     0xe5d10cb5U, \
    0x101ae93fU,     0xb6d478b8U,     0xeeac0102U,     0x1bdb8b67U, \
    0x541d57e9U,     0x9868d667U,     0xf4626eadU,     0x72dcb9d6U, \
    0x72b3bf9dU,     0x2e60180dU,     0x638feabaU,     0x5ad99f30U, \
    0x4c0628fdU,     0xee036d1bU,     0xb0e317eaU,     0x38eabf72U, \
    0x64e9e3e7U,     0x893e3401U,     0x3a9cd54bU,     0xa028f957U, \
    0x45a1782bU,     0xb3ea60dfU,     0x17ca3c88U,     0x871aef8fU, \
    0xf6fe58f3U,     0x89d0129bU,     0xa05ed4c0U,     0x9b69f544U, \
    0xba43a9a4U,     0x8cd4ea63U,     0x1c69fafdU,     0x231f6c6cU, \
    0xd73fedb6U,     0xeaafc437U,     0x9456f10aU,     0xa52dbe97U, \
    0x3fe14ad5U,     0xeb083d0eU,     0x87789abbU,     0x7bee17a5U, \
    0xbce4cf20U,     0xf2776122U,     0x96a25471U,     0xe2a83534U, \
    0x6b62c964U,     0xc292438aU,     0xfc2f790eU,     0xaea6a940U, \
    0x89069184U,     0x730def34U,     0x6feb6fafU,     0xd98ec16bU, \
    0x18226640U,     0x3baa830eU,     0xc4df93faU,     0x934ccffdU, \
    0x0f7593d5U,     0x85bc2625U,     0xe32c5943U,     0x77144a79U, \
    0x0233651bU,     0x80d653c5U,     0x12df9132U,     0x01484679U, \
    0xd56442d1U,     0xf12dc830U,     0x90833e83U,     0x37f2d8b6U, \
    0x1d11d506U,     0x7112fbe9U,     0xc952c017U,     0xd819cec4U, \
    0x4b492e43U,     0xffc789c9U,     0x0a80778eU,     0xc9553e03U, \
    0xd1717d59U,     0xf75f3e51U,     0xe0dfda54U,     0x6695841cU, \
    0x84970159U,     0x3df47d15U,     0x7423fca9U,     0x0fc768b2U, \
    0xd0db4d15U,     0x519f03deU,     0xcb409194U,     0x9042bed4U, \
    0xd0faea98U,     0xea1fd0f7U,     0x74e54e62U,     0x437dc64dU, \
    0x4163286bU,     0x25197ff8U,     0x30077f24U,     0x339ae182U, \
    0x370bdce9U,     0x04a4d8c3U,     0xc8ebfaefU,     0x9ac63509U, \
    0xabfd6defU,     0x196d696dU,     0x0fd0357eU,     0x105a6656U, \
    0x12f0f645U,     0x85dd321dU,     0x66820290U,     0x2631ee52U, \
    0x2cb21becU,     0xe1611fd7U,     0xd51b9d78U,     0x3fe466cdU, \
    0x943a7be3U,     0x2506f62dU,     0x42cc0526U,     0x95e48ed5U, \
    0xe57cc936U,     0x19299a41U,     0x2d58d3c8U,     0x47a337c6U, \
    0x8b7c1da6U,     0xaf69f958U,     0xe9bae912U,     0xa875faf2U, \
    0xc84f95efU,     0x28dfec9eU,     0x652e342dU,     0xb21df97aU, \
    0x0b5a7f1fU,     0x5aed4f51U,     0x87b4539aU,     0x025fca13U, \
    0xb2748c70U,     0x08599be7U,     0x8a1ccbb0U,     0x78c77bd2U, \
    0x17319ef4U,     0xb11536e8U,     0x776b5f12U,     0x02793f0cU, \
    0x7b147ff2U,     0x340cc7f7U,     0x0834e3f9U,     0xe2204689U, \
    0xef886d44U,     0x77af244fU,     0x977ab48dU,     0x20679099U, \
    0x29851846U,     0xef4bc57bU,     0x5b468358U,     0xe426b1daU, \
    0x7106ce34U,     0xfbea33beU,     0x0748aea8U,     0x5c665368U, \
    0x3f776e81U,     0xb718ed7fU,     0xa6d4b392U,     0x10009680U, \
    0x952ccf5dU,     0x6093922aU,     0xe232780fU,     0x975f7e4cU, \
    0x87c6f384U,     0x5d80f88dU,     0x318f7941U,     0x67da4708U, \
    0x290e098fU,     0x34365c0dU,     0xc7c48293U,     0x820bb7b1U, \
    0xaaa92d71U,     0xd04c705aU,     0xb7e23791U,     0x6906cb8dU, \
    0xa131dc51U,     0x85fddc5fU,     0x940dade0U,     0x758ac89eU, \
    0x8012f9b0U,     0x5cd16de7U,     0x756f9a3aU,     0xeb332872U, \
    0x51f8ec07U,     0x8bd94ae1U,     0x6ca97c2aU,     0xb67df0dfU, \
    0xe32b5ae4U,     0x58cd7ad7U,     0x126c9b3fU,     0x43e7aabeU, \
    0x92807fbdU,     0x305a1c3dU,     0x0a8a6c69U,     0xfa85d673U, \
    0xb9dc1909U,     0xe5d7fe7fU,     0xf0b60446U,     0x44ed923dU, \
    0x010c9ff9U,     0x7472f65bU,     0xf227137cU,     0x50e10338U, \
    0x40516f4aU,     0x4068310eU,     0xbd4a0a1bU,     0xd5f20d2dU, \
    0x26f98f40U,     0x7c600040U,     0xc529077aU,     0x801571aaU, \
    0x40631500U,     0xcc95ec90U,     0x0abea6f4U,     0xcf349011U, \
    0x2bccd2afU,     0xde24b188U,     0xa31adc62U,     0x781b8c84U, \
    0x71941371U,     0x9b425da2U,     0xdcb229cbU,     0x0b8b2eabU, \
    0xe2caaf2eU,     0xb8cebe76U,     0x1ad230fcU,     0x3f1ae67eU, \
    0x8598824fU,     0x6b26f313U,     0x8b40d796U,     0xf3892d6dU, \
    0xfd2fd9d2U,     0x62ef4496U,     0x8b6e507aU,     0xa78a48aeU, \
    0x4b3e5f87U,     0xa5477408U,     0xa4047e8dU,     0xe30aa9baU, \
    0x68bc9ffbU,     0x2a2049f2U,     0x98b402a0U,     0x4a5be75aU, \
    0x6dfea1c9U,     0x87381562U,     0x18338a81U,     0xec785770U, \
    0xc7bb09c4U,     0x81e00949U,     0xf26db67dU,     0x5ea8d297U, \
    0x264c6c1cU,     0x350113b7U,     0x944d9472U,     0x179acc28U, \
    0x23818d63U,     0xd13e5a36U,     0x487d3004U,     0xb9e11936U, \
    0xff832d04U,     0x63fc8128U,     0xaac3619fU,     0x1fd01792U, \
    0xa3d6dd2bU,     0x9cb90ef9U,     0x7635cfb6U,     0xc5527a32U, \
    0xa43d9552U,     0x7bb7f031U,     0x1b0dae0fU,     0x33e0b2c6U, \
    0x881f3790U,     0x5e3b8ca5U,     0x6f614405U,     0x26444f35U, \
    0x6366864dU,     0x4ac7ba81U,     0x5e609b59U,     0x0a6d6399U, \
    0x1ea8d39aU,     0x03de02c5U,     0x83cfb055U,     0x6df91b01U, \
    0x0e75cd48U,     0x6a7cb314U,     0x4d8abeefU,     0x235fa74bU, \
    0xcaf33957U,     0x93620e72U,     0x59ca2c9cU,     0x9d30fa7dU, \
    0x53c85242U,     0x5d9a9ccfU,     0xa812b7d2U,     0xe6e5f5f9U, \
    0x611c4888U,     0xd46209e9U,     0xd4057ad1U,     0x31dfbe97U, \
    0x2f7c1613U,     0x639ff1bdU,     0x92dfc711U,     0xbebcd7b3U, \
    0xbe4fe05aU,     0x9b28573aU,     0xbb01e768U,     0x54b5ee87U, \
    0x28e86811U,     0x34be6c50U,     0x1d5f74cdU,     0x5e24afeaU, \
    0xb09e5c85U,     0x82773032U,     0x05b053caU,     0x4f2b439cU, \
    0x9772132cU,     0xc088ff4dU,     0xa55961cbU,     0x99c4ea20U, \
    0x3e5c57b9U,     0x4268a0a9U,     0x786b57edU,     0x95de3ecbU, \
    0x17576ffcU,     0x8473989dU,     0xe12603a3U,     0x5ac0f501U, \
    0x5fef912eU,     0xa4ff4af6U,     0x7284abbeU,     0x34aecdf3U, \
    0x9a271affU,     0x67ffcc22U,     0xd4b81320U,     0x37eb4758U, \
    0x1151607cU,     0xa0cf4366U,     0xa6efcdbaU,     0x4d331180U, \
    0x76b4137bU,     0xc02d7a8eU,     0xca203a5aU,     0xef3847c1U, \
    0x17960523U,     0xf294e92eU,     0xaabc3a20U,     0xcdb86487U, \
    0x554ceec2U,     0x67787b8eU,     0xa5591df8U,     0xd46e6f6aU, \
    0x2cb94dd8U,     0x21da89dcU,     0xe2af6916U,     0x9d17adc6U, \
    0xf49e5993U,     0xd47e0aeaU,     0x3c29faacU,     0x5f347a23U, \
    0x71f2122fU,     0xf1057af7U,     0x20b8b8ceU,     0x9a331ec2U, \
    0xb1b70a44U,     0xf681754bU,     0x7541bd86U,     0xb403772fU, \
    0xe1cdccb9U,     0x8a423c35U,     0xd5e83b45U,     0x077ec18eU, \
    0x1cfc15cdU,     0xf39226a6U,     0x50099f3bU,     0x07939ca5U, \
    0x4f025fb0U,     0x5cc690fcU,     0x20e34d91U,     0x0739a826U, \
    0x99b3a2e0U,     0xaabf7919U,     0xd3111629U,     0x1d215517U, \
    0x262a4f8dU,     0x0c4dda78U,     0x0597f399U,     0x0dcd4c20U, \
    0xcac2a24fU,     0x96b19ac7U,     0xbbcee114U,     0xd23ac2e6U, \
    0xf4ed795aU,     0x377e4098U,     0x4b7fededU,     0x1702f4bdU, \
    0x52dc14deU,     0x09940c37U,     0xabec0a72U,     0x39fa5b34U, \
    0x16058b6fU,     0xf2cdd25cU,     0xe63744c0U,     0x5ebd3415U, \
    0xb787229dU,     0x7b291b3cU,     0xe869297dU,     0xf378916dU, \
    0x66219ed3U,     0xe1216845U,     0xf18ed9aaU,     0x9a10363cU, \
    0x66c59d8dU,     0xe0acb5daU,     0x4963aed9U,     0x298caf94U, \
    0xd8e2ba56U,     0x105c720aU,     0xcfa51de8U,     0x06e09d19U, \
    0x392e6d1bU,     0x90752c89U,     0x79726520U,     0x54e2fe53U, \
    0x3e97152bU,     0xaf28d35aU,     0xb9a1c183U,     0x7b874e63U, \
    0x640260c0U,     0x5db07d11U,     0x29a1ea1cU,     0x576be111U, \
    0xb50bbe99U,     0xda548bc9U,     0x83d688abU,     0x8bd65826U, \
    0x19db259eU,     0x685d1378U,     0x447e7fb2U,     0x717361d1U, \
    0xecce69bcU,     0xaf1c29beU,     0xbed539e5U,     0x126da38aU, \
    0xeb8a5379U,     0x6c37626dU,     0xc21dd209U,     0xe0c6a7d2U, \
    0xffc8266cU,     0xd14f1e0aU,     0x0e6e976cU,     0x35631a0cU, \
    0x6a5a9425U,     0xcc7e2431U,     0x473bddabU,     0x173b6847U, \
    0xfb0409ccU,     0x6e856270U,     0xba3c2d53U,     0x8a992b55U, \
    0xcad83841U,     0x261f8025U,     0x90a68db4U,     0x32cb21c7U, \
    0xb2de6f70U,     0xd9146753U,     0x5b042121U,     0xd6141480U, \
    0xd62d4fefU,     0x558272e9U,     0x7d8a8177U,     0x07824358U, \
    0xf523a1f9U,     0xbd8facbeU,     0xd22e252fU,     0x0938a1caU, \
    0xd19e7569U,     0xc7e71e1cU,     0xc22a4ed2U,     0x32ecf928U, \
    0x7e94249aU,     0x72418e00U,     0xa5f09f85U,     0xe56c1478U, \
    0x9262c5bbU,     0x5d6a244fU,     0xb9703f2fU,     0x9adb74d1U, \
    0xa53e2ffbU,     0xfb273662U,     0x40419df2U,     0x6927dab1U, \
    0x94ba8756U,     0xac8cdc4cU,     0x6527eeb4U,     0x92920d41U, \
    0xdacd8dedU,     0x20a8b326U,     0x30dfd815U,     0xa3eefa6aU, \
    0x31c711a5U,     0x32b0251cU,     0x7138c63eU,     0x5f42f940U, \
    0x7133289aU,     0x54734b3fU,     0x09ee1b53U,     0xfaa8762cU, \
    0xf3f3bf05U,     0x423eb3a3U,     0xba719fa0U,     0x6ca37ef5U, \
    0x6abdb913U,     0x535975afU,     0x0dd088ecU,     0x6c27ee85U, \
    0x9607bea3U,     0xe5cb377dU,     0x07d17ad8U,     0xe35818f8U, \
    0xdc282c16U,     0xd712744bU,     0xda3aed09U,     0x3de473ffU, \
    0x25771be1U,     0x9536f954U,     0xed4ed739U,     0x5cd58629U, \
    0x6d356f57U,     0x086f1589U,     0xec0f3ab3U,     0x01dcf646U, \
    0x6a5c3092U,     0x905ca248U,     0x430d694bU,     0x18191464U, \
    0x0beaf6a5U,     0x46fd2c08U,     0x798bd8a9U,     0x2b81743eU, \
    0x81d0e9b6U,     0x2a660758U,     0x0377e9c8U,     0x47ed46c0U, \
    0x2dd77b1aU,     0x9f125158U,     0xe1ba3417U,     0x1175b10eU, \
    0x119be01aU,     0xfc343b45U,     0x47b4cf67U,     0xbfc9dc0fU, \
    0xc9c46774U,     0x0bf06c0bU,     0x43288f0bU,     0xf1d0105cU, \
    0x1d01fe67U,     0xde6457d7U,     0x8b549214U,     0xac6a205dU, \
    0x160716a4U,     0x15ac5836U,     0x0c6a1a4dU,     0xdfacebb9U, \
    0x242c0f82U,     0x7571816cU,     0x43ab34b6U,     0xad43f93cU, \
    0x5ad064b5U,     0xab786bcaU,     0x4f322838U,     0x7dea0749U, \
    0xbfefee2cU,     0x91525a11U,     0x9afe3a07U,     0x59e7dd29U, \
    0x8d2aa3e4U,     0x08bac2dfU,     0xdffc813cU,     0xa38d4a11U, \
    0x09cb365fU,     0x86f7e0f6U,     0x0944c3c2U,     0x7e7e6a59U, \
    0x91083adbU,     0x8024059bU,     0x4c2f1263U,     0x2d85fd96U, \
    0x42dc284cU,     0xeecabb09U,     0xc4c0e97eU,     0xecacb37bU, \
    0xfd158633U,     0xc8a4c584U,     0x1236ce83U,     0x17bfcc9cU, \
    0xa1420038U,     0xdea39237U,     0x958007cbU,     0x6f7c3b4aU, \
    0x7aa4dbc2U,     0x93ac3372U,     0x29ef88caU,     0xa7c11471U, \
    0x09551c5eU,     0x7d432825U,     0xa7403672U,     0xb99de2a4U, \
    0x8f520e49U,     0x737d047bU,     0xb2205033U,     0xbe613bdcU, \
    0x890d8ae8U,     0x4d782951U,     0x1d50e69fU,     0x8b2388e1U, \
    0xcb88ece1U,     0xfad4655fU,     0x16b9fb15U,     0xef7f9b16U, \
    0x764aad9fU,     0xb9ab1719U,     0x757d88c2U,     0xc0d916f8U, \
    0x48a3cbbcU,     0x70734896U,     0x9b6bf481U,     0x7ce78483U, \
    0x0c232084U,     0xc5914d2fU,     0x6e65fa6aU,     0xca42d44eU, \
    0x5c8ddf8aU,     0xec543548U,     0xd551a18aU,     0x34d2699cU, \
    0x87be9937U,     0x0e4d73f0U,     0xf7ee459fU,     0xb03c1fb7U, \
    0x12867312U,     0xebbca1beU,     0x0bb2cb08U,     0x4dd3d84cU, \
    0x011c2f96U,     0x0f47b21fU,     0x297b25a0U,     0x5e3c8111U, \
    0x1c8abe42U,     0x936d72d3U,     0x36b69a97U,     0xe2b96d1fU, \
    0xf210a04aU,     0xb297cca6U,     0x36072fdbU,     0xdee3dd2dU, \
    0x67615296U,     0x5e3c8cc0U,     0x8096a6c4U,     0x12371529U, \
    0xe91b4b5eU,     0x530c0e15U,     0x032d1204U,     0x4bea9afcU, \
    0x27c1046bU,     0xa92c7989U,     0x225608a9U,     0x6a56a9daU, \
    0x60b2922cU,     0x6e667f80U,     0x3ba01c26U,     0x28d59074U, \
    0x9deba9d6U,     0x96b22c80U,     0x8b02f69aU,     0x90096007U, \
    0x30b5418fU,     0x018ea11bU,     0x9339d318U,     0x13db21b0U, \
    0x5b42877dU,     0x43ac7954U,     0x20e62762U,     0x9aa7ed67U, \
    0x7af839a2U,     0xed6eaad6U,     0xfce517d5U,     0x489e7a70U, \
    0x9e573917U,     0x17870074U,     0xe24c0cf7U,     0x8eb4621fU, \
    0x0543f060U,     0x73c8cf9eU,     0x727f8df2U,     0x430c8d14U, \
    0x1253eb97U,     0x26a14795U,     0x3f537a46U,     0x0d467a03U, \
    0x708059dfU,     0xf56369daU,     0xce98922fU,     0xec03d34aU, \
    0x48ac649cU,     0xc0e2d292U,     0x973d59dcU,     0xc828104eU, \
    0xd5e71d15U,     0x60282524U,     0x7961d8aeU,     0x8f6d73e7U, \
    0xb28cbedbU,     0xa3bfd6a6U,     0xf2e789fcU,     0x452fc36aU, \
    0xa08b7086U,     0x0c2a40adU,     0xc64b4c40U,     0x8165e1a0U, \
    0x7dc2615aU,     0xe6e154f6U,     0xd0e58139U,     0xef4e3c91U, \
    0xc1a2fac9U,     0xbaa2b31bU,     0x1c2d6408U,     0x6937f756U, \
    0x732ccd95U,     0x31fee7b7U,     0x022bdc47U,     0x0f3b7b2dU, \
    0xe2f9a940U,     0x1e504207U,     0x3d3ed4acU,     0x1263ca46U, \
    0xe58c50abU,     0x0801233cU,     0x6516d0ecU,     0xc9c12e15U, \
    0x615dac6cU,     0x74a84af5U,     0x4687fe1dU,     0x15d3def2U, \
    0xc46b92f4U,     0x8228e7e0U,     0xdd8cde6aU,     0x3e849465U, \
    0x7b247850U,     0x823640f7U,     0x7f32b474U,     0x19ffd38cU, \
    0xa7a44fdbU,     0xe453c2d3U,     0x90e6d105U,     0x509b8753U, \
    0xa8968c78U,     0x32d4194cU,     0xa0686cd5U,     0x33ab6e6eU, \
    0x95968d74U,     0xcbd7812eU,     0xe10a3770U,     0x3a566736U, \
    0x9a408152U,     0x8b615c2dU,     0xaec6d720U,     0xfb40d7edU, \
    0xd5921a23U,     0xc5f92895U,     0xcfdb3b80U,     0xbcf3daf5U, \
    0xd5378f56U,     0x16d4bfe1U,     0x6d18a5cdU,     0x603e782fU, \
    0xec9cc2d2U,     0xc1292404U,     0xbd17902bU,     0xcd7da6e9U, \
    0xfa6d1411U,     0xff5246f6U,     0xe431393dU,     0x8660c8cbU, \
    0xb679bea9U,     0x34a6c281U,     0x5e9a1f5fU,     0x74c3a0eeU, \
    0x41894774U,     0x16da44cfU,     0x4cb6e6a0U,     0xbbff0b7bU, \
    0x6bddd508U,     0x54176ac9U,     0x2ab84893U,     0x25952d9bU, \
    0xcd3088e0U,     0x9aa74e52U,     0x0545f1adU,     0x9264544aU, \
    0x34b6e00aU,     0x088386e8U,     0xcfa7901cU,     0x90f66df3U, \
    0xc5aabc78U,     0xb71a15e9U,     0xace2419bU,     0x51ff36b3U, \
    0x95201884U,     0x9f994d54U,     0xae667d1fU,     0x3e98e0abU, \
    0xc4dc70a8U,     0x85893c35U,     0x27c3b366U,     0x5fd2b899U, \
    0x794f3f06U,     0x1a14f0f1U,     0x67ad3a3aU,     0xb347107bU, \
    0xa959d9c3U,     0x4479ba12U,     0x1461e341U,     0x6e3edd72U, \
    0x9ae414a7U,     0xe6b5489eU,     0xedaec396U,     0x4470d083U, \
    0x41f83288U,     0xf8baaadbU,     0xeea52bdfU,     0x1b298f08U, \
    0xc938d193U,     0x548b1ba2U,     0xd24ed836U,     0x393f423eU, \
    0xd3b2da33U,     0xd9837222U,     0x090b19bbU,     0xbd0d496eU, \
    0x8aff6b40U,     0x8a558537U,     0xdd4d856fU,     0xd7c74352U, \
    0x2ae6497eU,     0x58612dc9U,     0xc6f71bf1U,     0xe6f9fd76U, \
    0x06d2b07cU,     0x363f1695U,     0xf7c51ad4U,     0x483fc1a9U, \
    0x37edc5a5U,     0xac6caf5cU,     0x13166f19U,     0x9effd827U, \
    0xae2bb583U,     0x6206474eU,     0x1ad400d3U,     0x73896884U, \
    0x68ecdfbbU,     0x894185e0U,     0xa900e10fU,     0x94fc0734U, \
    0x615d477bU,     0x954a2d19U,     0x9550750aU,     0x65ea18b3U, \
    0x3b2a48a9U,     0x3efbbea7U,     0xf4542d03U,     0xf089ad7dU, \
    0x77d3d084U,     0xebba1d68U,     0x7245a8c7U,     0xd0f6c169U, \
    0x762cbbf4U,     0xebf0e242U,     0x7b6bfecdU,     0xa8c11ff6U, \
    0x9ec17031U,     0x9f199647U,     0x6d309a36U,     0xb721c56fU, \
    0x8e0079a9U,     0xe032a95eU,     0xd704b229U,     0xdf4fdf7eU, \
    0x136a3a8dU,     0xe67ad26cU,     0xbb546aaeU,     0xc8328da9U, \
    0xfe798e50U,     0xd3b24bcbU,     0x44c30234U,     0xc2ec0edbU, \
    0x0bef5f8aU,     0xfe3f11e1U,     0x3bd20d2dU,     0xf7a0bb54U, \
    0xad3c0bbbU,     0xa7c8dd89U,     0xac550c19U,     0xb61efacdU, \
    0xe5ac4a52U,     0xfa265733U,     0x4dcc26c3U,     0x051d5736U, \
    0x3a02239dU,     0x2aeb7345U,     0x282e40ddU,     0x2f60305eU, \
    0x4e839cc3U,     0xd4f4447dU,     0x07d36656U,     0x6a3f6f07U, \
    0x1e014d51U,     0x586ab570U,     0xcf8745eeU,     0x1c20382dU, \
    0x3f9828adU,     0xe40c7e3eU,     0x045bec57U,     0x669dc35dU, \
    0x8fe09108U,     0x24b2184cU,     0xbb95539cU,     0x89df6107U, \
    0x23196ae3U,     0xda97d651U,     0xb6c1efabU,     0x8444773cU, \
    0x99e5c127U,     0x3f89b45bU,     0x316a6912U,     0x9b3bb0fbU, \
    0x009c020bU,     0xcf53f18fU,     0x210389daU,     0x7f1f6b31U, \
    0xd9dafb3fU,     0x3544111cU,     0xfd5ef5eaU,     0x8b3d85e5U, \
    0xc5ea7886U,     0xad2b8fe8U,     0x11d684c9U,     0x85e4e172U, \
    0x9ad9a13dU,     0x195cd2beU,     0x867eeb71U,     0x49e9043bU, \
    0x743c2d36U,     0x8400d9a0U,     0xc7e6c43eU,     0x44ae87a8U, \
    0x38dd354fU,     0x6ba17438U,     0x6faae524U,     0x17a68597U, \
    0xf9853544U,     0xc5c94d95U,     0x6a8737f0U,     0xc3891f48U, \
    0x679330c4U,     0xca6d86faU,     0x4b03d8f1U,     0x761a668fU, \
    0x52965f8bU,     0xd05f45a9U,     0x16abe578U,     0x553dd03aU, \
    0xf7f7d101U,     0x2f03000cU,     0x892b5072U,     0xd6397686U, \
    0x7f447854U,     0x8682b1f4U,     0xbdfcd3b0U,     0xab67d359U, \
    0x81c4218bU,     0xa8af5452U,     0xdc738731U,     0xef05f818U, \
    0xf60cbeacU,     0xacd66693U,     0x4b82bcdcU,     0xd3f6ec4dU, \
    0xcfe1ca76U,     0xd00e3a19U,     0x1253b1acU,     0xe0574392U, \
    0x4cf56ccbU,     0xc9b1fb2eU,     0x8abfaadcU,     0x27ec85a9U, \
    0x25128d0cU,     0x6beccf5eU,     0x4c95021fU,     0xb68075c7U, \
    0x2280bc66U,     0x58329187U,     0x39cddd40U,     0x27539436U, \
    0x946b357aU,     0x95ef79b1U,     0xb400a0a5U,     0xb70b350fU, \
    0x972139dbU,     0xce297ca0U,     0x36c181b4U,     0xd117d674U, \
    0x6dce8584U,     0x14c2ba76U,     0x0ec3b342U,     0xff783bcdU, \
    0xc2cd6d12U,     0x30104508U,     0x6757aa12U,     0x3bb349f7U, \
    0x7213a7d6U,     0x2f262600U,     0x0025946fU,     0xa5e67356U, \
    0x1e4a86b8U,     0x1ffdfa25U,     0xd2187016U,     0xd8a0b6cbU, \
    0x97ced8e0U,     0x1d19d097U,     0xbc832f69U,     0x4ff7bbb7U, \
    0x4f301289U,     0x178e2543U,     0xd1226bb9U,     0x48463a42U, \
    0x9e26973aU,     0x1dd21f39U,     0x6f8f0c5fU,     0xbfce8120U, \
    0xb0887131U,     0x2020e7deU,     0x15c65f01U,     0x8eaa30efU, \
    0xe052c7d0U,     0xa58386a7U,     0x06718dd1U,     0x68468b80U, \
    0x31feb77cU,     0xb49c6583U,     0x10984440U,     0xab73a362U, \
    0x315b5888U,     0xc44fed20U,     0x48271b12U,     0x9e834c54U, \
    0x9421a26fU,     0x4c7d5d8bU,     0x3cc75734U,     0xc2a9b20bU, \
    0x314b56f6U,     0xbd5ffa6fU,     0x1b846322U,     0x201018aaU, \
    0xabc37eb5U,     0xb636cc76U,     0xa976b3ceU,     0xdf774859U, \
    0xf13c00a8U,     0xba15da49U,     0x2e4fdebeU,     0x766816a4U, \
    0xfc0f2688U,     0xd426889aU,     0x38d49d73U,     0xeb23d4e8U, \
    0xc523cb7eU,     0x1f40d21aU,     0xc9b35946U,     0xa2744aadU, \
    0x93d2b82fU,     0x08c8ed33U,     0x3eff8a66U,     0x54966ae3U, \
    0x83e87346U,     0x6d03da54U,     0xbcd9af3eU,     0x16216acfU, \
    0x95471564U,     0x84ae19c8U,     0x38b36838U,     0xc36d7505U, \
    0x055ea44fU,     0xfb500e9dU,     0x90083b05U,     0x7bd36c3aU, \
    0x091b5416U,     0x5203e464U,     0x31a75f48U,     0x5be12af4U, \
    0x74f4feb2U,     0x107a3acbU,     0xe690cfcaU,     0x3eec7e0bU, \
    0xb79a38d0U,     0x32308d1fU,     0xdd6a6dbdU,     0x32c11362U, \
    0x583fc69dU,     0xc308ba70U,     0xaeab263cU,     0x9b584340U, \
    0xb2721429U,     0x92381ad6U,     0xc8380afbU,     0xddae69aeU, \
    0xd344b2bfU,     0x0feafb00U,     0x0d43c143U,     0x4b2f49ceU, \
    0x22a9210eU,     0x07e8075bU,     0x23f91578U,     0xb25c4a61U, \
    0x1f4ef96aU,     0x7ab1d268U,     0x309fc9eeU,     0xef3e178dU, \
    0x8208d51bU,     0xcb911483U,     0x93bc6e22U,     0x86146c65U, \
    0xa5e867f5U,     0x297a08b1U,     0x8ee9753cU,     0xcfd5df85U, \
    0xe0df17c4U,     0xd53eff24U,     0x3cc934c8U,     0xb0aa9ccbU, \
    0x98b29878U,     0x3ee92a11U,     0x89632bd5U,     0x412f4bfdU, \
    0x89de00bfU,     0x1bd29280U,     0x2f92a6e6U,     0xb8543786U, \
    0x782b939bU,     0xfe324bc5U,     0xf625133bU,     0x32ab3e16U, \
    0x4b9879b2U,     0xbd2c510fU,     0x4e99dc5cU,     0x51466e24U, \
    0xffdad7d7U,     0x8e3c2d1dU,     0x7badedb8U,     0xdfb54cc8U, \
    0xc13505e5U,     0xc0c77cd0U,     0x3be07d59U,     0x860958eeU, \
    0x86f9c244U,     0x3446ad0cU,     0xa6197406U,     0x31b0315fU, \
    0x089f6879U,     0x726609e7U,     0xc415190fU,     0x161ac311U, \
    0xeec7c4e3U,     0xf9f1f537U,     0x4855f92cU,     0x7fd4ff1bU, \
    0xabf62755U,     0x2ae62865U,     0x9d7e757cU,     0x07525c1cU, \
    0xf81eec85U,     0x4fa7e098U,     0x29a430b8U,     0x72ea8b34U, \
    0xcf579f05U,     0x79bcbf8cU,     0x9553db45U,     0xb9a74437U, \
    0x4dec8fcaU,     0xa8df5926U,     0xf365e997U,     0x0bf771acU, \
    0x44e50a37U,     0x796c5beaU,     0x0c5a1ee6U,     0x447b742fU, \
    0x3d42bb7eU,     0x563ac707U,     0x8ba00a20U,     0x795a47f1U, \
    0x27f37017U,     0x8323f0c0U,     0x530e6bd2U,     0x032dad55U, \
    0xcd194031U,     0xffc17a98U,     0x74739baaU,     0x6a4ee1f4U, \
    0xeadd9b2eU,     0x7387c93dU,     0x8dfc6103U,     0xbf57cc8aU, \
    0x25688416U,     0xa805ecf8U,     0x0a01da65U,     0xd8a81a16U, \
    0xc7a79ac9U,     0x82abd99fU,     0xfbf81f31U,     0x68d83bdeU, \
    0x9205d602U,     0x7460f062U,     0x7821b780U,     0xa1bc7fc4U, \
    0xb8cc6d11U,     0x60597241U,     0xd26884cbU,     0x5e29186bU, \
    0xb8cfecc4U,     0xdf7ada93U,     0x764a2a4fU,     0xfbf53b0eU, \
    0x484fbc61U,     0x60d9584aU,     0x717ea7f6U,     0xfa49be30U, \
    0x5eb3ecd8U,     0x8d35d001U,     0xe3973b3cU,     0xab0dd196U, \
    0x890005e5U,     0xdd5b3cb5U,     0x37debba4U,     0xe4be04b6U, \
    0x846602bfU,     0x2d248c0bU,     0x6a4f3215U,     0x2df1eea0U, \
    0x3846ef6dU,     0xcb771bd8U,     0x3bb830d4U,     0xebad8f36U, \
    0xcf06cc8fU,     0x4c23c82bU,     0xa9e47259U,     0x1acd4b35U, \
    0xe319ad5bU,     0x2576fd03U,     0x0d2f719dU,     0x18c0dffdU, \
    0x9ef9c386U,     0x5730a966U,     0xc731e6aaU,     0xb4be7269U, \
    0x7380d556U,     0x9d5f27f4U,     0xc81ad96cU,     0xb785ee82U, \
    0xbe8290adU,     0xd67f514aU,     0x176de291U,     0x1b6a0935U, \
    0xecea4d31U,     0x0de031c2U,     0x95a529aaU,     0x7c747fa7U, \
    0x12b8332bU,     0xb1968d72U,     0x3af13fe8U,     0xf9a9978dU, \
    0x375af384U,     0xf949a690U,     0xcac6089bU,     0xd4d41653U, \
    0xe56feb5fU,     0x30c87c1cU,     0xc094cd54U,     0xe700ec59U, \
    0x13f281ecU,     0xc3750bf8U,     0x0c3fab07U,     0x5c9f4f94U, \
    0x6ce66075U,     0x11347f1bU,     0x604ae23cU,     0xd68621efU, \
    0xe3db720dU,     0x01516445U,     0x596ec6dbU,     0x195c60bcU, \
    0x3760a3f7U,     0x380e9465U,     0x40f8c3edU,     0x92513d70U, \
    0x39460ff3U,     0xd10ae1adU,     0x99b741d5U,     0x536da2b9U, \
    0x8f56e454U,     0x7853ce8dU,     0x96c0576fU,     0xc5cce945U, \
    0x08d028deU,     0xa4b18bedU,     0x55cb1dedU,     0x720b2a80U, \
    0x4bc56220U,     0x26960a35U,     0xaef32287U,     0x0e193559U, \
    0x9802d4f4U,     0xb64e47c6U,     0xb7258adbU,     0xfda0bf61U, \
    0xd80bbc01U,     0x008470c0U,     0x319409e6U,     0xcb4cc5ccU, \
    0x26778ed8U,     0x589c8949U,     0x3351deb0U,     0xe424328eU, \
    0x994d5f9dU,     0x843d326dU,     0x0f6034b8U,     0x2a54417dU, \
    0xb059c8d6U,     0x42d562c0U,     0x3906342fU,     0xb611579cU, \
    0x6f1806ccU,     0xd5478ae0U,     0xa68cb22eU,     0xe7d22d8bU, \
    0x8ca9d452U,     0x8a531464U,     0x1f8f02c6U,     0xeb3c5868U, \
    0xa04fd0fdU,     0x64f281fcU,     0x0beadc7bU,     0x37fe32ebU, \
    0x10611dcdU,     0x35394fcbU,     0x316ffc80U,     0x2976ed5aU, \
    0x8cc601a2U,     0x046accefU,     0xbf2984e3U,     0x41e6a4acU, \
    0x31ec3c75U,     0x2868d2baU,     0x8c22618fU,     0x738151f2U, \
    0xaea72d9cU,     0xce0f024aU,     0x27fd9998U,     0x813cb508U, \
    0x91dec493U,     0x4711d5eaU,     0xf1272ccfU,     0x3f1c694bU, \
    0x6c6156d2U,     0x2eaa6c80U,     0xdc681f83U,     0xc01f341cU, \
    0x40b6b264U,     0x4dfce182U,     0x2824fceaU,     0xb59f5502U, \
    0xde3ee062U,     0x5457b803U,     0x6f69ceeaU,     0xae270095U, \
    0x3f37f63fU,     0xc5def075U,     0x59e39f3bU,     0x08361138U, \
    0xc4db7331U,     0x6b61dd92U,     0x7830e1baU,     0x0af61b1bU, \
    0x2531d878U,     0x16e4ee4aU,     0x9ce94921U,     0x9d470bfeU, \
    0x66237492U,     0xbf19cb75U,     0xc2f0c322U,     0x854df60eU, \
    0xd91bf02fU,     0x03cd7238U,     0x916d1f1eU,     0x54f2850cU, \
    0x4f8cc949U,     0xcd95d1f0U,     0xfd0be680U,     0x56eb3612U, \
    0xdd79c6e7U,     0x556f6430U,     0xafd25dddU,     0xa244e625U, \
    0x9e868d29U,     0x72a97273U,     0x9a67f789U,     0x8f0f1453U, \
    0x24853cd4U,     0x1f1ba477U,     0x47de043eU,     0x07884ce8U, \
    0xdbb7dd90U,     0x3b4c36eaU,     0x7b50cc7eU,     0x638dc803U, \
    0x152644f2U,     0x21db4ff9U,     0x28bd4e13U,     0xf443fd24U, \
    0xfc4bab2eU,     0x2f7f35d5U,     0x810e8077U,     0x098e69faU, \
    0x84e63412U,     0x599de45eU,     0x4ff685f6U,     0xd1b7a8ebU, \
    0xeb6393a4U,     0x80f61c35U,     0xe7beb657U,     0x852f2813U, \
    0xdfb23f34U,     0x48a27bfaU,     0x9e59b783U,     0x126cc820U, \
    0x9afa48d1U,     0x8d983c92U,     0xa2b5f6d1U,     0xa0d7b01bU, \
    0x65190e87U,     0xb81afa17U,     0xdb9601c3U,     0x79a0f321U, \
    0xcd1d455cU,     0xcef96c0eU,     0x1ee192c5U,     0x78e14adcU, \
    0xf4eaeb6aU,     0xe1ef86eaU,     0xc3c60e5fU,     0xfc343e73U, \
    0xf75f8a77U,     0x3b525e13U,     0x174dc19cU,     0xb59ebb78U, \
    0x775d69f1U,     0xe6324bcfU,     0x1edd1783U,     0xb7106151U, \
    0x883bec73U,     0xeef9be3dU,     0xcf2980daU,     0xf8f93057U, \
    0xe3294e55U,     0x4ab1f05eU,     0xee79197cU,     0x36fc849dU, \
    0xf7b81bc0U,     0x32c495f3U,     0x24320a8bU,     0x27a3d01aU, \
    0x2ca4369cU,     0x345a08d1U,     0xb4238f3aU,     0xb6f6b44fU, \
    0x54b4f8f2U,     0x9bac8982U,     0xa656f692U,     0x9d72a007U, \
    0x419728afU,     0x765d167dU,     0x71f2c21bU,     0x00344030U, \
    0xa57a5abaU,     0x8f9fdcd6U,     0x844693e6U,     0xfb56ea63U, \
    0xc4ef83f5U,     0x8300fcd5U,     0x4d75d467U,     0x44194d30U, \
    0x420a25deU,     0xa556bafdU,     0x3d5bacf9U,     0x7bffefa8U, \
    0xcba2e151U,     0xede109f0U,     0x5c91896aU,     0xd2f9071cU, \
    0x5796f27eU,     0x3dff58e3U,     0x51e4063fU,     0x37b88c5bU, \
    0x3425352cU,     0xb57e8a09U,     0x0a4aa5e4U,     0xb57948fcU, \
    0x2ef8c3f5U,     0x41150025U,     0xcd75d1bbU,     0x1a0ea4faU, \
    0x7ee808c4U,     0x596283dbU,     0x906d4994U,     0xb4bc96d1U, \
    0x09ab9272U,     0xc3dc3c01U,     0xef22678aU,     0x012617c3U, \
    0xcd42ca06U,     0x209a26feU,     0x42620926U,     0x5e4ca45bU, \
    0x0c5dd738U,     0xccf3bad0U,     0xbfc63b0fU,     0x44d4e8c6U, \
    0x7c6ba2f8U,     0x8243ca2aU,     0x5d694c4fU,     0x7e2a357cU, \
    0x961f1858U,     0xff3692b4U,     0xbcd52183U,     0x861f293aU, \
    0x0f4fff8eU,     0x8b5138bfU,     0x239d9965U,     0xf4801f26U, \
    0xebb98e49U,     0xb21b051aU,     0xe700258cU,     0x68c0cd26U, \
    0x797d1f77U,     0x3a4dad21U,     0x2fba6d97U,     0x5f387842U, \
    0x8534e272U,     0x04672379U,     0xfd5bde17U,     0x59fde287U, \
    0x514561b1U,     0xcd29c267U,     0x1308d83fU,     0xb567f84aU, \
    0x536b434bU,     0x95831a97U,     0x503b7e44U,     0x2603d3c2U, \
    0xa0e53278U,     0xb6d975e4U,     0x600e4cceU,     0x007dbeeeU, \
    0x97d8c67bU,     0x93fe2682U,     0xe1f257abU,     0x3f7a172cU, \
    0x847a53c0U,     0x4d66fd25U,     0x821b4571U,     0x7fd3f305U, \
    0x4b4d5d5bU,     0x9d44f321U,     0x560af084U,     0x8919cfafU, \
    0xbe3be5fdU,     0x1d81d867U,     0x1fccdb0dU,     0x96ff901fU, \
    0xdd102991U,     0x0329e4deU,     0x96efb614U,     0x23b51429U, \
    0x7307220cU,     0x4e249c16U,     0xb03c2806U,     0x3f2acc89U, \
    0xd72eefc4U,     0xeb257f66U,     0x11450764U,     0x862b1c2aU, \
    0xd0d72826U,     0x7203cddfU,     0x2dbcf4e0U,     0xfd511df3U, \
    0x927d0e93U,     0x50691965U,     0x37e7f87cU,     0x7126eb81U, \
    0x07982c72U,     0xda9e19adU,     0x0e7445d9U,     0x3558c9a1U, \
    0x10a3052bU,     0x7d8cfb99U,     0x67ab85d1U,     0x15abf829U, \
    0x1ea02221U,     0x2f369a61U,     0x59020e0eU,     0x8c633a99U, \
    0x30d5e681U,     0x48fe56c1U,     0x61776fbbU,     0x1aab3346U, \
    0x7fe26aaaU,     0xba568b04U,     0x366cb5d0U,     0x1c1b0400U, \
    0x9b77c470U,     0x6cd525bfU,     0x55b5765aU,     0xbe5e6542U, \
    0xa60a2571U,     0x61d7f230U,     0xc9a54a4fU,     0xf44ef4a6U, \
    0x1c9a35fcU,     0x7d6a9735U,     0xf8b6baf3U,     0x7335290bU, \
    0x854deab7U,     0xc7b51974U,     0x73b533b2U,     0xbadbc125U, \
    0x9877f065U,     0xb1fc0619U,     0xaaa2192dU,     0xb94422f2U, \
    0xbbeadb72U,     0xf9c6acdfU,     0x4c16bdfbU,     0xea1db79dU, \
    0x61a6396aU,     0xa9b35181U,     0xd7f3c664U,     0xf74511d1U, \
    0x5618bef2U,     0x439b5db3U,     0xbaf71d48U,     0xc15c68deU, \
    0x9fee7564U,     0x634e4576U,     0x8da9841aU,     0xaecaeca4U, \
    0x9a6b72baU,     0x0550c33bU,     0x64facbd7U,     0x70cea679U, \
    0xda4694aeU,     0xecb33bf4U,     0xfaf3366cU,     0xecac9965U, \
    0x11c3dfb9U,     0x7df9bef7U,     0x8f208797U,     0x2d39944cU, \
    0x9143ae42U,     0x342ab006U,     0x965f2612U,     0xc7333b03U, \
    0x9daec055U,     0xb4bcb790U,     0xdbd4bb60U,     0x473b1836U, \
    0xb7a7ab7aU,     0x492ba6ddU,     0xfa796e27U,     0x1824cfb2U, \
    0xe9fe0005U,     0x19fa2bceU,     0xda23d3e7U,     0x4c2dcefaU, \
    0x804b2f86U,     0xce50627fU,     0x131bb0bdU,     0xa64f204cU, \
    0x3a24f18aU,     0xfd8a0a24U,     0x17730abaU,     0x7c6d29b6U, \
    0x66455354U,     0xe8dd6838U,     0xc62aae63U,     0x81727519U, \
    0x0c019d90U,     0xbc700fdeU,     0x5129e919U,     0x87bdfa52U, \
    0xe4e7f970U,     0x618845d2U,     0x3efe8599U,     0x89848a6dU, \
    0x6074c316U,     0x0d9ff87fU,     0x45cb4c8fU,     0x4f140bc7U, \
    0x5c987700U,     0x626c16cdU,     0xc0f0099aU,     0x990b0604U, \
    0x7b12f8f7U,     0xd5c7dc69U,     0xf00e644fU,     0x9a5ceeccU, \
    0xbfa1e001U,     0x327a374fU,     0x5cbb3626U,     0x66cce997U, \
    0x4738ed95U,     0x789e27e8U,     0x68bb1bc7U,     0xc32ffed1U, \
    0x344fdbb2U,     0x9ea053c2U,     0xeadd1f68U,     0x77d4a6ffU, \
    0x603691fbU,     0x3aac2cb3U,     0x52efc12eU,     0x7440707fU, \
    0x00bc9f99U,     0x2c9e3a64U,     0x260e16b2U,     0xae0bd92aU, \
    0xd0e89249U,     0x79dda9e7U,     0x56f4722dU,     0x948950afU, \
    0x90f17bafU,     0xc4d30d04U,     0xc4941bb5U,     0xb5c0cc55U, \
    0x866045d4U,     0x7d5f0dc9U,     0xc14312d5U,     0x19fa6481U, \
    0xa3a7d473U,     0x4d0ec26cU,     0xeba0a19dU,     0x88b0aa07U, \
    0x0d3d8148U,     0x44a4b317U,     0xe16a785eU,     0x849ca719U, \
    0x84ec908dU,     0xd5366638U,     0x02efbfa3U,     0xe9fe43dfU, \
    0xa94cb28dU,     0xb9b4d05bU,     0x2e3d8052U,     0x38d83dd5U, \
    0x3e2b7f5fU,     0xce000b0fU,     0xfec70e9eU,     0x12504329U, \
    0xac64afd1U,     0x9f176d3aU,     0x861dbda9U,     0xc112972cU, \
    0xa832dc1aU,     0xa2c78d9eU,     0x54366011U,     0xba44942fU, \
    0x41de0189U,     0x48b79885U,     0xee89f911U,     0xc380f83aU, \
    0x7e3a4731U,     0x8e2b2b84U,     0x0f7e1f61U,     0x30bf5e92U, \
    0x07cc55a5U,     0xdf8ce196U,     0x3457c64cU,     0x82d63d03U, \
    0x5046f93fU,     0x19f34a6bU,     0x363202c5U,     0x99ffb4b8U, \
    0xf7eecedcU,     0x7eee3a68U,     0x5348905fU,     0x7ba4f97eU, \
    0x74cc9332U,     0x977083c9U,     0x24d7489bU,     0x02da6482U, \
    0x1d03c295U,     0xad5f4e96U,     0x922adcc7U,     0xad027ad2U, \
    0x975ec543U,     0x6434a62eU,     0xa47ebefdU,     0x35d6eba8U, \
    0x3751521fU,     0x7d898398U,     0x27e34a46U,     0x224855a2U, \
    0x05c3fb16U,     0xce7ce2b3U,     0xd63f8da1U,     0x25c9027eU, \
    0x2e4b2ccbU,     0xbf00a61eU,     0x906b426eU,     0xc2268226U, \
    0xff95f238U,     0x82152ffbU,     0x2cf1b581U,     0x7ca596aeU, \
    0x85efcdccU,     0xd9352ac2U,     0xd32e607dU,     0x74d03943U, \
    0xbe59bcebU,     0xa8ffd94aU,     0x1468039cU,     0x87d89acaU, \
    0xc9861064U,     0x612e40a2U,     0x4381751dU,     0xe1117eb4U, \
    0x5ebdc163U,     0x034f8f3cU,     0x9cd6df6dU,     0x65348568U, \
    0x6466ede0U,     0x48a61dcfU,     0xf2e7092dU,     0xa8a864cdU, \
    0x145028cfU,     0xcd86a54fU,     0x4b0719f3U,     0xa3b2b291U, \
    0x028b7a52U,     0x42c26934U,     0xcadce78bU,     0x6cb1b178U, \
    0xbae054f7U,     0x24e34058U,     0x68622f89U,     0xcd738e26U, \
    0xcbfa05cfU,     0x573d465eU,     0xb145f90cU,     0x13328c67U, \
    0xb101f847U,     0xe6c167ffU,     0x75b059f8U,     0xc9543d8bU, \
    0xb9218bb7U,     0x8fb35588U,     0xb0484293U,     0x5c2f3bacU, \
    0x4fb5cb5aU,     0x08c2a572U,     0x5170181fU,     0xe0b7c898U, \
    0x239c59d4U,     0x72dca7f7U,     0x3c28b544U,     0x2e8ca1d1U, \
    0xd7160b8fU,     0x63c4d4dbU,     0xc26cb5dcU,     0x4f1f3babU, \
    0x0a56ca07U,     0xf773b589U,     0x3908c27eU,     0xcb050063U, \
    0x3c86c415U,     0x902fd8c2U,     0x90b747a2U,     0x2081b224U, \
    0xf98a6a3fU,     0x9e1d920dU,     0xc80d4101U,     0xe481e9e2U, \
    0xe523da4aU,     0x4d983d31U,     0x53cbdb3dU,     0x939eafa8U, \
    0xb37336dcU,     0x113a0b64U,     0x79d1ce21U,     0x4efce5a2U, \
    0x69e6f70dU,     0xfa3627b1U,     0xaa33a38fU,     0x54a52bc7U, \
    0x9dde649fU,     0xb6f9165cU,     0x410abf7aU,     0x6f8e678cU, \
    0x1bd76b51U,     0x146567a5U,     0xd545f52cU,     0x42eb8761U, \
    0x5f5d5669U,     0x2fb65afaU,     0xa3e28a68U,     0x59f429a2U, \
    0xd6d4becbU,     0x3921b991U,     0x4e0026c8U,     0xbead1626U, \
    0xa80ed902U,     0x8c1bdabbU,     0x380f6102U,     0x56b3f869U, \
    0x1c5d0311U,     0xc84849c1U,     0x76fe827aU,     0xf55328bdU, \
    0x1d9e2570U,     0x71ab6986U,     0x427785d9U,     0x7af00662U, \
    0xb2d1f884U,     0x0b503972U,     0xdb5fc6b8U,     0xf4829403U, \
    0x9485496aU,     0x56347999U,     0x0849bf0aU,     0x4a67e79eU, \
    0x24df6825U,     0xb206b319U,     0x666c54e3U,     0x5409fca7U, \
    0x14cab13aU,     0xdaad7b7eU,     0x6c752152U,     0x09daef02U, \
    0x9118938aU,     0x9f23cbbcU,     0x147a222fU,     0x8f1f4827U, \
    0xc733b9edU,     0xc507e553U,     0x3103f104U,     0xda4687c8U, \
    0xb60b3e3cU,     0x4f4832cfU,     0x22f480bcU,     0x4395dfe7U, \
    0x494d393aU,     0x0bce40f4U,     0xf23bfeffU,     0x8dc16a4dU, \
    0xed140f1fU,     0xbffc5805U,     0x9523a593U,     0xe754d114U, \
    0x448396b8U,     0x9be360fcU,     0xdf58f0d7U,     0xd46377abU, \
    0xbec7f04fU,     0x58c8e323U,     0x265e0d1dU,     0xd2758f47U, \
    0x45cfc679U,     0xa3f6d435U,     0xc6b24bbbU,     0x832c13fbU, \
    0x4d1b5ef1U,     0x473d9acaU,     0xb3172a9aU,     0x3b63bb5fU, \
    0xcbe00193U,     0xeef690c7U,     0x0358756fU,     0x902756c4U, \
    0x84a4231fU,     0xcebb70bcU,     0xf586a1c1U,     0x85891711U, \
    0x9157e4ceU,     0xd14ae205U,     0x0218a869U,     0xb4ac30c0U, \
    0xd7b47e5aU,     0xdc15e2b1U,     0xed5813caU,     0x2bf5341bU, \
    0x207f6750U,     0xd5c19d53U,     0xc9b44a92U,     0x99ba5562U, \
    0x17bdea64U,     0x6f168832U,     0x213c8476U,     0x8b7bec52U, \
    0xe28f7974U,     0x7a930e43U,     0xe1ccc6d0U,     0x12af9a64U, \
    0x67e47575U,     0x64ce995eU,     0xa2ec8d6dU,     0xebccff5bU, \
    0x95d1d724U,     0xce769c61U,     0x305210b5U,     0x12f7df52U, \
    0x62ab3233U,     0x04728da1U,     0xe8502188U,     0x40dc629bU, \
    0x21cf2d45U,     0x8d2c8cfeU,     0xaacd4163U,     0x0d6a519eU, \
    0x383d7e23U,     0x830479d6U,     0x72bb8fbfU,     0x09c4e1c1U, \
    0xf53da5bcU,     0x336a31c7U,     0x6eaaa0aaU,     0xe99bf4f2U, \
    0x0a3eec1dU,     0x4bf8ce55U,     0x1ecd24a4U,     0xcd172defU, \
    0xdc8bd2deU,     0x0dc5f8bfU,     0x2cab38b5U,     0xa70bc650U, \
    0x37f5506eU,     0x47c09cc0U,     0x4350bff5U,     0x4a06cfeeU, \
    0x7b893da7U,     0x3f9eae82U,     0xd3e5156eU,     0xe475a933U, \
    0x7009e67cU,     0x3064e34eU,     0xf762c800U,     0xbd2e05ccU, \
    0xc418479dU,     0xf25ee3ffU,     0xdb5eb6fdU,     0xb636048dU, \
    0x397aea53U,     0x534f2d20U,     0x8b61da83U,     0x608deeb8U, \
    0x1818c858U,     0xe5ea9f63U,     0xa74f3596U,     0x0e3cdbd9U, \
    0x0186b172U,     0x8409218fU,     0x84584d79U,     0xbade9a4eU, \
    0x9ef4454aU,     0xfe7d4377U,     0x3d27f498U,     0x5538e3abU, \
    0x7c917ad6U,     0xca1c11cfU,     0x6f90ff9aU,     0xb2be7c33U, \
    0xe03a49c6U,     0x56ae3a55U,     0x1fc4581fU,     0xed4005e5U, \
    0x52c842c1U,     0x08e7e1c7U,     0xb311f4daU,     0x8b12957aU, \
    0xee948525U,     0x9f2f71d9U,     0x61a8aeb5U,     0x86d7799aU, \
    0x3a7fe2c8U,     0xb556727dU,     0xe88ffad8U,     0xbf236ba4U, \
    0x55eaaf9bU,     0x41bb78a4U,     0x763b663aU,     0xc891b127U, \
    0xeb741219U,     0x8827a97cU,     0x46690d9cU,     0xd54ab5caU, \
    0x4950163bU,     0x910a769dU,     0xf01e5fecU,     0x3e65b489U, \
    0x6c0b339eU,     0x6eda57f0U,     0xbca35337U,     0xbdc04b4dU, \
    0xf8e4803eU,     0x323bdaf7U,     0xa2d9a36aU,     0x429a31e4U, \
    0xfe5c64f5U,     0x44a50eefU,     0x7f7fb0c6U,     0xe7113bdbU, \
    0x168359d5U,     0xd1540cf7U,     0x10315026U,     0x3e95272cU, \
    0xb3b0a7f9U,     0xa30762f1U,     0xb8cc5397U,     0xd5051424U, \
    0x58832b40U,     0x3c276a6eU,     0x5c1f2d22U,     0x7bc7df58U, \
    0xad1e5455U,     0xf351b635U,     0xab168807U,     0xe6346a50U, \
    0xc553b164U,     0xb31bb875U,     0xb7471c6fU,     0xae71c4adU, \
    0x45b59f0fU,     0x2013196aU,     0x0c70ab22U,     0x75671993U, \
    0x264d2556U,     0xd5dfa39bU,     0x2c5c7b1fU,     0xb4cb658fU, \
    0xa00894b8U,     0x03f81f88U,     0xa78d8fc3U,     0x1599d614U, \
    0x28df630dU,     0x54339910U,     0x83d7b124U,     0x5411e3c8U, \
    0x80eed6faU,     0xd3f0c256U,     0xe0991485U,     0x8b5753ffU, \
    0x379ae85dU,     0x126cc2aaU,     0x8ce3704cU,     0xa55e496cU, \
    0xf0b574e2U,     0x7f3ac449U,     0xef8b02deU,     0xdadc28c4U, \
    0xf24685c7U,     0x2d2297bcU,     0xa0aa1003U,     0x6598da34U, \
    0x53e35c96U,     0x0efd21b6U,     0xbe2cd6d3U,     0x97909118U, \
    0xfaf06ab9U,     0xb980e992U,     0x88962b54U,     0xddd5767bU, \
    0x775a94aeU,     0x3387130fU,     0xb7259bccU,     0xa1ae725aU, \
    0x8f6d2d32U,     0xe0c47e28U,     0xfd693c90U,     0x9b2837f5U, \
    0xa21cf534U,     0x06d933c6U,     0xf9d14153U,     0x1c12e1ffU, \
    0xdcd10a66U,     0xe1cf0f3fU,     0xb24e6eecU,     0x31c4f41bU, \
    0x3b8e7c64U,     0x5fc454c8U,     0x3be85235U,     0x1de5a332U, \
    0x8764dd4bU,     0x1e1f0748U,     0x8f165a6eU,     0x0d078d03U, \
    0xb1310947U,     0xe56dd3beU,     0xe5eab33aU,     0xcf317981U, \
    0xb07a0dacU,     0x1eac746fU,     0xbcc9d4b2U,     0x8e0d6901U, \
    0x1a48761fU,     0x8cc05bdaU,     0xf90bdbdeU,     0x600eeab5U, \
    0x75b65707U,     0xdb395ac4U,     0x0fe0d54cU,     0xfcdfedb7U, \
    0xa9429febU,     0x09acfe35U,     0x1660c072U,     0xf2ef6b11U, \
    0xd11ddd84U,     0x3223f881U,     0x22654bf5U,     0x8a9faa77U, \
    0xf7bf0754U,     0xcbbdb676U,     0x37b6e49eU,     0xffc0f2ddU, \
    0xb10f60faU,     0x26795445U,     0xa429e8e9U,     0x69f797e3U, \
    0x8b3f1c6cU,     0x97373088U,     0x648933c5U,     0x6e567e65U, \
    0x2d4938e9U,     0x86365d4fU,     0xa73b0735U,     0x20f006f2U, \
    0x3ee2d6abU,     0x61c2606fU,     0x9ecdad2cU,     0x072a4c8cU, \
    0x6691f9ebU,     0x0aa311ecU,     0x4bbddd6dU,     0xadaf09c5U, \
    0x3ce74640U,     0x55343537U,     0xe1e77c68U,     0xa2fcab64U, \
    0xae1bf3abU,     0x52c5bf7aU,     0x6b35ee30U,     0xe4c45100U, \
    0xaf53e730U,     0x793ef6f0U,     0x2de29693U,     0xf7cb7837U, \
    0xc71cece7U,     0xcccfb8e5U,     0x751835cdU,     0x1cddbb26U, \
    0xe8901701U,     0x3b90aa97U,     0x81fb7a43U,     0x6c4ef6c9U, \
    0x2f4df334U,     0x0e307e47U,     0x239548c9U,     0xb77b2374U, \
    0x25050a87U,     0x1f11a281U,     0x3b299dc3U,     0xcb85ad0bU, \
    0x0f33255fU,     0x5c8bedd1U,     0x1c4eac38U,     0x1812ea1aU, \
    0x6ae7da64U,     0xd8ff885cU,     0x0690a839U,     0x63a01e28U, \
    0x63dc7f3cU,     0xa9a9c56eU,     0x7560fc1fU,     0x29b5c21dU, \
    0x3c8aa4e2U,     0xca1ab6bfU,     0xef8d41a5U,     0x12ec43c2U, \
    0xa6a75d07U,     0xe2fda6d5U,     0x5c71301eU,     0xbc7003cbU, \
    0x12c6a86cU,     0xb47a3a51U,     0x7e951134U,     0x12f8090bU, \
    0xe510f884U,     0x7726d540U,     0x03a92d35U,     0xe8045cf6U, \
    0xaa1f3412U,     0x184e9165U,     0x9d2af731U,     0x7933bba4U, \
    0xf1f9f647U,     0x5251427fU,     0x0eec9d63U,     0x2844bea7U, \
    0x95413dc3U,     0x0149230cU,     0x6c4895beU,     0x3b605177U, \
    0xb578951cU,     0x74625db5U,     0x7b3c4e65U,     0x333c2fadU, \
    0x5886c506U,     0xcbfdf7d8U,     0xd63edb5cU,     0x3f622ffaU, \
    0xe80a5ab4U,     0xd57b5a46U,     0x6b9b9b14U,     0x08a5ded0U, \
    0x64474d72U,     0x3692e503U,     0x2dc013c6U,     0xff718194U, \
    0x9fbd0486U,     0x1bef520cU,     0x55ebfdccU,     0x7044617fU, \
    0xa1203262U,     0x519c8744U,     0xc5f47d30U,     0x724bfb45U, \
    0xeaead32eU,     0xb73a5027U,     0xa9de42acU,     0x6b53f635U, \
    0x1d62e70cU,     0x5323ff5eU,     0x54e676d9U,     0x1212c703U, \
    0xa1577ab7U,     0x4ffb9c7eU,     0x3155951bU,     0x7c08d598U, \
    0xc15d0705U,     0x05c707feU,     0xfee7927bU,     0xbffbeb99U, \
    0x86ce7e8aU,     0xf2438a94U,     0x4c816545U,     0x45034fbcU, \
    0xd8c2796cU,     0xfa2f824fU,     0x7ab2f5abU,     0xb25519d7U, \
    0x09a31c8cU,     0x735bb709U,     0x5f1522bdU,     0x6fb351cfU, \
    0x360941f6U,     0x2062b325U,     0x4555e366U,     0x9bcb9d6aU, \
    0x9c4dc615U,     0xdfb6ac1bU,     0x987a3e0eU,     0x092c4536U, \
    0x9292d062U,     0x9a84a394U,     0x4920fa9eU,     0xc834e7ddU, \
    0x25d0874bU,     0xbdedf6c6U,     0xd60009c5U,     0x731c2b2dU, \
    0xa012f29aU,     0xa9e86859U,     0x58a19cebU,     0x11805e44U, \
    0xb313bf1fU,     0xabadc2b6U,     0x7865df3bU,     0xfea90935U, \
    0x8b60f997U,     0xc0a83a74U,     0xa7fa42a8U,     0x603e33daU, \
    0x57ac7e16U,     0xb536b17aU,     0x0203699aU,     0x864ef833U, \
    0x26cd7db5U,     0x50cc9f43U,     0x6ceeccdaU,     0x6e50cdf9U, \
    0xacac79cfU,     0x82a5cc9dU,     0xba8c4f25U,     0xbe01864fU, \
    0xb1a16f95U,     0xe970c1c7U,     0xf5c77b2cU,     0xa2f2004eU, \
    0xba6308b2U,     0x8ad873e1U,     0x52d8a5fcU,     0x2abedcd4U, \
    0x55b7b9c5U,     0x4f99b583U,     0x246c5616U,     0x68166b16U, \
    0x2b174e86U,     0x29936b80U,     0x54f7a6f4U,     0xed1a05aaU, \
    0xcac352a6U,     0x2788f3fdU,     0xe20714c9U,     0x2842cbdcU, \
    0xe74e1f43U,     0x17c36fe7U,     0x8e180a56U,     0x9da3ace6U, \
    0xa2265977U,     0x006fc89dU,     0x8c6ecf02U,     0x836e38acU, \
    0x5e50749aU,     0xe97a1bbeU,     0x4dc6ef62U,     0xbb812b7aU, \
    0xf8ce8291U,     0xedc76b23U,     0xa87d02ebU,     0xd8e94e2cU, \
    0xae0e6324U,     0x161a766eU,     0x7800ee4dU,     0x1df73618U, \
    0xeb0f4e0dU,     0xd64de20aU,     0x4809d584U,     0x553f6cc0U, \
    0xce0e671fU,     0x852a0a3fU,     0xba6860bdU,     0xd5524349U, \
    0xf6b301feU,     0x6465cf76U,     0x934802d5U,     0x06e904a3U, \
    0x7b3ff8baU,     0xc5729693U,     0x6ccc8f32U,     0xd89076eeU, \
    0x2a00e471U,     0x26527418U,     0x56e7b6c8U,     0xd80c2c8cU, \
    0x9e8aafaeU,     0xa7072925U,     0x9a7aced3U,     0x7c995031U, \
    0x201a97bfU,     0x4caab9c1U,     0x5576b176U,     0xb43d07f4U, \
    0x22e5b4c8U,     0x77ba2befU,     0xffcf1443U,     0xa0d14f4fU, \
    0x17c45305U,     0x834a7f91U,     0xa5f5ed0fU,     0x5afd952fU, \
    0xb694f534U,     0x74f326b2U,     0xc1cd0541U,     0x0b35540fU, \
    0x15b5ffb4U,     0xe9984de6U,     0x6cd8c3c2U,     0x2dcc69afU, \
    0x7110579eU,     0x17a32137U,     0xe74c6065U,     0x31524383U, \
    0xc6f9ac13U,     0x3f87c7b9U,     0xa24ede19U,     0x8071da8bU, \
    0x33f31dccU,     0xf9d4bb1aU,     0xd0ef1ef3U,     0x67fadfffU, \
    0xeb4272bcU,     0xd0515d38U,     0x45d8e917U,     0x672f2989U, \
    0x40b9112aU,     0xee74c0e2U,     0x435202f9U,     0x221f4e36U, \
    0xeedc39deU,     0x9cbeb38bU,     0xa870281cU,     0xb7de2c01U, \
    0xd2b56e65U,     0x17e87eabU,     0x73b562b7U,     0x601f263cU, \
    0x9b5057e8U,     0xb29cbe15U,     0x0e2a4c45U,     0x1f74b0e8U, \
    0x0d6e8ae1U,     0xf7e9628dU,     0x02fde562U,     0xf72d4ba5U, \
    0x784df00bU,     0x0228d8f5U,     0x07e7d375U,     0x4e721962U, \
    0xee707087U,     0xda2b80f4U,     0x05a43ec6U,     0x1a6175b8U, \
    0x613df1f0U,     0xf9bcef75U,     0x473f02c9U,     0x759fa269U, \
    0x0c4ee62fU,     0xf92fab5aU,     0x3b8ef85fU,     0x00fe53d7U, \
    0x197217a7U,     0x38bd3573U,     0xa0b3a5b0U,     0x525bfd02U, \
    0x9ec2c894U,     0xd3d5b921U,     0x59e034e8U,     0x826bdddfU, \
    0x43b6557eU,     0xd6cfc8d3U,     0x7b9f2454U,     0x658fa7ecU, \
    0x1c6fb53dU,     0x7785561fU,     0xd79421a9U,     0xd2163221U, \
    0xd4f166dfU,     0xbd2ec300U,     0x51529554U,     0xfec2dbd7U, \
    0x9e51ef5dU,     0x06d64ffbU,     0xc48d6621U,     0xabf39a16U, \
    0xea530f6bU,     0x78fa3aa1U,     0xa243b437U,     0xbd755144U, \
    0xd8f55235U,     0xbcb318cbU,     0x63b634fdU,     0x24b9e002U, \
    0x95228770U,     0x1c17f753U,     0x94a1fa42U,     0xb0463a97U, \
    0xda02002eU,     0x18c7ae4eU,     0x557231d8U,     0x4f4c1d93U, \
    0xe55e0445U,     0x1e59ec4aU,     0x8862bdbbU,     0x06ecf98cU, \
    0x02ad7d15U,     0x41c2239dU,     0xd849b9d7U,     0x8c1018e4U, \
    0x90968263U,     0x3dc21b81U,     0x09f99341U,     0x7370675dU, \
    0x9d60550cU,     0x3e762dd3U,     0xcb7c92a1U,     0x0798ce4dU, \
    0x061cd0fcU,     0x2a0d1a05U,     0xb49b6035U,     0x5ed5fbfcU, \
    0x2aaeff4aU,     0xe289d468U,     0x54bda441U,     0x2cc28473U, \
    0x20db2045U,     0x086b45c3U,     0x639e7219U,     0xccfe934bU, \
    0xc18e6d7bU,     0xf4d17b72U,     0x5eab8f4fU,     0xbf11ac79U, \
    0xd978026aU,     0xa9c829c1U,     0x4d55da01U,     0x4c9ece61U, \
    0x78ec0e10U,     0xe01eefd9U,     0x2ab21dbbU,     0x99977d51U, \
    0x6657fd39U,     0xc124e7aeU,     0x1126479eU,     0xc26e75ebU, \
    0x8cedacc3U,     0x4ee934a3U,     0xfc742154U,     0x87e13882U, \
    0xc12e7928U,     0x6ac2c12fU,     0x7ac9a3cbU,     0x3cecc74cU, \
    0xe91a2c79U,     0xbb1b9ebbU,     0xf9955aafU,     0xb7ea1b80U, \
    0x5f0f10efU,     0x4135491eU,     0x9efbe898U,     0x86e2d9b3U, \
    0xddca757bU,     0x5e54ce51U,     0x9a06930aU,     0x04533b6cU, \
    0x9eb54eaeU,     0xc76d61bcU,     0xb53f78fdU,     0x6cc86449U, \
    0xd019f58fU,     0x3e35e870U,     0xab4954f6U,     0x43125fdbU, \
    0x5191be39U,     0xa3b10628U,     0x49674461U,     0xa18d2453U, \
    0x78986744U,     0x2601db4bU,     0xd4e1b8abU,     0x7926f466U, \
    0x8a6f1efbU,     0xebec49bdU,     0x90814f36U,     0x73bff60dU, \
    0xeff8b4b6U,     0x25093e52U,     0xe3d2316dU,     0x33306bb5U, \
    0xe5424905U,     0x72f8db54U,     0xda6aa6d8U,     0x1b81c0b2U, \
    0xac39d96aU,     0x043a3de6U,     0x011583e4U,     0x7ef9bc58U, \
    0x3b0c7e73U,     0x0764929eU,     0x2605c4a9U,     0x424bfe9eU, \
    0xb19feeb7U,     0x417ccfc8U,     0x740e2452U,     0x71fd8d36U, \
    0xfbddc855U,     0x75f76b0fU,     0x11cb7ba2U,     0xfd375de4U, \
    0xc310c9daU,     0xc6a8322aU,     0x6474c774U,     0x8aebb188U, \
    0xe2a6762eU,     0x696fcb2aU,     0x652e3a67U,     0x8356fd3dU, \
    0x9f62e08fU,     0x9c486031U,     0x1cb8a6aaU,     0xbeebf21cU, \
    0x4f8ec043U,     0xc2dafbd0U,     0x6a0d3130U,     0x4fd71fdeU, \
    0x5f1afdeaU,     0x53676e67U,     0xc8a4574bU,     0xbaf787baU, \
    0x0a7b79c0U,     0x16625498U,     0x99547593U,     0x3c2f51dbU, \
    0xf95674a9U,     0x32be9b23U,     0xbbd1396dU,     0x3164bc97U, \
    0x44c4215aU,     0x2ba72350U,     0x5f021e14U,     0xe92f198cU, \
    0xf8a679a6U,     0x5fdf190cU,     0x216d4f0eU,     0xc742bd7cU, \
    0xa729096dU,     0x74ac97d9U,     0x8d0a35d3U,     0x50191ccfU, \
    0x1edbc5f5U,     0x1a69342fU,     0xa7747b85U,     0x59a478e5U, \
    0xba216c55U,     0x6426119eU,     0xdd86b1acU,     0x0fd3ef44U, \
    0x26085284U,     0xfe7e61d2U,     0x1a67ab19U,     0x0d558650U, \
    0x4a1409f2U,     0x7473719fU,     0x184f9c32U,     0x41626aafU, \
    0xd1efc899U,     0x3cd570c4U,     0x62ed8797U,     0xf8e05514U, \
    0x5d5385dbU,     0x12270f96U,     0xd203eec6U,     0x3f41f976U, \
    0x68a5a084U,     0xa463c1d6U,     0x45e6ff0eU,     0xe5ba5b34U, \
    0xc0509c53U,     0x5a0d4986U,     0xd86d6955U,     0x6e58f284U, \
    0x8459983dU,     0x92be20e8U,     0x3b18681cU,     0x5e9cdd04U, \
    0x7ac5a206U,     0xec889bebU,     0xeb7da3baU,     0x446d8adcU, \
    0xc34f0279U,     0x63f446eaU,     0xb09857a8U,     0x0a3ab180U, \
    0x0087ce79U,     0x83a6eeb1U,     0x7f7595f5U,     0xb58e17dbU, \
    0xb7cb6db0U,     0x21dd59bdU,     0xe25b41acU,     0x3ee6c6d5U, \
    0x7bdfd09aU,     0xf162a18aU,     0xa33eb859U,     0xa3cc9062U, \
    0x83020f35U,     0xe8ba4e5fU,     0x4cc7af43U,     0x4c200156U, \
    0x77f968f9U,     0xc1019a2aU,     0xd7d7cb03U,     0x02bb265aU, \
    0x8837ba87U,     0x9841ec0aU,     0x4a0db3f2U,     0x3c6f84cdU, \
    0xa06031c6U,     0x016b4801U,     0x88e5c7a1U,     0x8ee799bfU, \
    0xd3d00052U,     0x38eff60fU,     0x38c3be4dU,     0x8c01bb6cU, \
    0x4de73f9dU,     0xe11e2608U,     0xe771caadU,     0x83bb2b49U, \
    0x55245fa6U,     0xc37c0576U,     0x0c06b38eU,     0xcdd34719U, \
    0xd8fada9aU,     0xe6c96803U,     0x2f1df9a3U,     0xb1f0d846U, \
    0x3e880e04U,     0x06f98146U,     0xb6fc2bb7U,     0x900227b0U, \
    0x41473345U,     0x6eeb07b9U,     0xeb3dfa38U,     0x99de22abU, \
    0x01c20b72U,     0x0b251e20U,     0x07609d4dU,     0xf4d5a1aaU, \
    0x81d16358U,     0x7f3511deU,     0x15307734U,     0x03c0389dU, \
    0x31b40db8U,     0x31ed8ccaU,     0x519f2635U,     0x1e0d2803U, \
    0x3385ec92U,     0xb905f861U,     0x4364485fU,     0x93c9b3d0U, \
    0x6035afafU,     0xab888cbbU,     0xb71155aeU,     0xb6e5e432U, \
    0x1b25c811U,     0x60dcb7f6U,     0x23818ea9U,     0x37000fbaU, \
    0x8efbe758U,     0x002c8608U,     0xf369ec06U,     0x22fc715aU, \
    0x9941ddbfU,     0xfed1d6a4U,     0x81433682U,     0x20e585a6U, \
    0x08ee6508U,     0xf9ecfdc6U,     0xd2601bf0U,     0x51d04d7dU, \
    0x75c220e5U,     0x2a99ac23U,     0x41029a6aU,     0xa593d20eU, \
    0x2918657aU,     0xad007b76U,     0x41455d3bU,     0x9806ed5eU, \
    0x7e927051U,     0xfd8a1b05U,     0x8e7f4706U,     0x607e1be1U, \
    0xe1536f00U,     0xa994a682U,     0xafd96c48U,     0xe277d8d4U, \
    0x7546daecU,     0x119e1871U,     0x7c7f57afU,     0x0e252529U, \
    0x724c5b09U,     0xedb29664U,     0xcca2fc0aU,     0xe9208e9bU, \
    0x9e0739f1U,     0xbf794aeeU,     0x9a9b57f7U,     0x3923d358U, \
    0x749b74abU,     0x3e1fd69cU,     0xa2cce15fU,     0xd5e41213U, \
    0xa7014d95U,     0x48b020aaU,     0x80dfce7bU,     0xcfd02e30U, \
    0xd343d7d5U,     0x76d88b51U,     0x9250ddf2U,     0x00cd5aa6U, \
    0x680d5044U,     0x49b03d8eU,     0x0a5ee659U,     0xecd90857U, \
    0xf3bf5b59U,     0xb229c6b6U,     0x92017c90U,     0xc89a25d1U, \
    0x5031f1a3U,     0x7d0c09cdU,     0x158a9fa1U,     0x0a622072U, \
    0x5171e3dfU,     0x83da7a6fU,     0x93808fc2U,     0x6ef079d0U, \
    0x60598d61U,     0x3828add0U,     0xa9d07c95U,     0x8031be22U, \
    0x2cc93ea8U,     0xe9709092U,     0x97ae9ce0U,     0x3b34e571U, \
    0x451617efU,     0x8acccba8U,     0x7c0f9a04U,     0x436e9ad4U, \
    0x624e0515U,     0xc902d998U,     0xfccdc536U,     0x71c02909U, \
    0x79ce3119U,     0x5dedfb6aU,     0x89255c23U,     0x078678e1U, \
    0xbf46936cU,     0x9859227bU,     0x962d1f8bU,     0x7284202cU, \
    0xf12c9030U,     0xdc238d94U,     0xf1082ad4U,     0xe44c807dU, \
    0x1064291fU,     0xf62d154fU,     0xbcbabb21U,     0x7cfc7e9fU, \
    0x471674d0U,     0xaf91b67cU,     0xff2909b9U,     0xcd9388a3U, \
    0x9698da36U,     0xac136a4eU,     0x7e0c2baeU,     0x9eb2b5b3U, \
    0x787c0311U,     0x36aa02d5U,     0x3b9850dbU,     0x5333de1eU, \
    0xe34b3b45U,     0x73551dd3U,     0x30f971cdU,     0x45d22e51U, \
    0xa343c4f6U,     0x4e54089dU,     0x6e2e5956U,     0xa178d972U, \
    0xc300b13fU,     0x1d8d4e26U,     0xfec3a55fU,     0x6874c58cU, \
    0x091c2eddU,     0x806d5ae5U,     0x303f358cU,     0xfe24d406U, \
    0xb6fb079aU,     0xc3dee989U,     0x941836b0U,     0x74f77d11U, \
    0x16bf0c72U,     0xc7b19d93U,     0x45352bdfU,     0x551644f5U, \
    0x0ee8ac0cU,     0xc966bb42U,     0x2eed612cU,     0x789068afU, \
    0x423b3b3aU,     0x7694a3b7U,     0x84ee2c17U,     0xb9e520faU, \
    0x34dcf876U,     0x4aba4d74U,     0x71decd12U,     0xfaafe09aU, \
    0x6c57ba5dU,     0xfc93644eU,     0xab7d7c2aU,     0xae63bee4U, \
    0x7a3080a8U,     0xff85b686U,     0x63df8a74U,     0xd72ca019U, \
    0x208901c9U,     0x1f3e9abeU,     0xa43c3ff1U,     0x62144860U, \
    0x8bcd7a96U,     0xc7d0076eU,     0xade13b2cU,     0x196bb1dbU, \
    0x7580b31fU,     0xbe87e68fU,     0xa6813516U,     0x56285bdbU, \
    0xa7fdc705U,     0x5f8c7d68U,     0x5d70cdb5U,     0x743d5253U, \
    0xd84fd349U,     0x33d3a748U,     0x9ea8c64bU,     0x82939871U, \
    0x0da139b3U,     0x12e5dc76U,     0xdf0ba704U,     0x38da251eU, \
    0x4032eb78U,     0x6fbd5826U,     0x772e4f2eU,     0xf8df1c14U, \
    0xecccfc95U,     0xa7b155dbU,     0x76b2eec9U,     0x85d70c84U, \
    0xd4f8eb13U,     0x30811781U,     0x4b624e42U,     0xed86f63dU, \
    0x1fbf1892U,     0x08df3007U,     0x57266724U,     0xabb5fff6U, \
    0xaf5f9709U,     0x2ff34f8fU,     0xb10c0a88U,     0xef5ee3b3U, \
    0xf3219c0fU,     0x29306ca0U,     0x1e94bfc4U,     0xf68a81afU, \
    0x0236a9c2U,     0x31ee3fb6U,     0xb000f02eU,     0x1e61bb61U, \
    0x37e3a3f7U,     0x3eab1fb4U,     0xc37b4159U,     0x17b7a872U, \
    0x2a620e2dU,     0x7de139adU,     0x5806ca77U,     0x863bce1aU, \
    0x1b37a9b0U,     0x13cc3042U,     0x71a1314bU,     0x19e58604U, \
    0xb11c5ad1U,     0x2ed7a01fU,     0x57d5bb8aU,     0x77b0fa71U, \
    0x277242bcU,     0x76a0a157U,     0xb9b35b0bU,     0x72936305U, \
    0x0baddd04U,     0x23924b41U,     0x1ee421e8U,     0x01643a70U, \
    0x734c6188U,     0x93681ffdU,     0xf7f4f229U,     0xd9956a4cU, \
    0x7cb99f40U,     0xb0cc6cccU,     0xb2d62d5aU,     0xef6179ebU, \
    0x13a29744U,     0xf4dc8be4U,     0xc44113b3U,     0x0da73ccbU, \
    0x799bb9deU,     0x9c32ead2U,     0x4287c6c2U,     0xaa80b0b8U, \
    0xca451eecU,     0xe8a2aec4U,     0x8e7eb903U,     0x3b253810U, \
    0xbd35a477U,     0xd9b63744U,     0xc9f8e22cU,     0x519882e5U, \
    0x5904d40aU,     0x6e286305U,     0xb8230748U,     0x44d2f234U, \
    0xa81fcf9eU,     0x4ec9cfd8U,     0x6177618eU,     0xb1d6102cU, \
    0x9eda23e2U,     0x4fc36362U,     0x84452847U,     0x52b4a015U, \
    0xf1389804U,     0x8955798eU,     0xacf7bd62U,     0x2995b203U, \
    0x33ed3559U,     0xf4bf38dbU,     0x39d6ab52U,     0x4b4669a9U, \
    0x0999ba6dU,     0xb0138f71U,     0x39a3a577U,     0x14e6dc1bU, \
    0x4b716edeU,     0xb546495aU,     0xfa66b926U,     0x89651f43U, \
    0xed87512dU,     0xee2dbf66U,     0xb70efa6eU,     0x3d3ded57U, \
    0x0a8af94bU,     0xdc61991eU,     0xc39268aeU,     0x396a8777U, \
    0x27ef4f46U,     0x81ad61e7U,     0x7f697116U,     0x0b61e9bfU, \
    0x2945ee52U,     0xe8ee93c0U,     0x58e67cc5U,     0x8ff5e46fU, \
    0x5ef0149bU,     0xfc6cf00fU,     0x351ec36fU,     0x4c249517U, \
    0x908862e6U,     0x66802907U,     0x5652fdc6U,     0x7b174f5fU, \
    0x505d4811U,     0x20308c74U,     0x7a611ebfU,     0x01e0928cU, \
    0x2700e488U,     0x948bcb55U,     0xd79474c8U,     0x24d3cdfaU, \
    0x8a261fa0U,     0xae9d6208U,     0x25dd3842U,     0xb44b2159U, \
    0x34968315U,     0x38b015bbU,     0x5c9d5622U,     0xae7983aeU, \
    0x829bac75U,     0xf3044323U,     0x7982154fU,     0x6e2db7fcU, \
    0xe7a7c25cU,     0x40282914U,     0x69cfb34cU,     0xc742b961U, \
    0x28fbd982U,     0xd401d52aU,     0x1eee8c57U,     0xb62223cfU, \
    0x5fe3fa79U,     0xa69cfa62U,     0xb09d63a2U,     0x2ccd0676U, \
    0x710af405U,     0x0279398cU,     0xb5ac975fU,     0x5d8c7392U, \
    0x6e2942c5U,     0x9e7ee8ddU,     0x634cdc63U,     0xb46868a9U, \
    0xb492b0cfU,     0x11bb5e4dU,     0x19f0db28U,     0xff24a542U, \
    0xe453d078U,     0x54fe7519U,     0xbb786214U,     0x24030aa4U, \
    0xefa9fef1U,     0xfca60f75U,     0x89b0d6f6U,     0xbe8728d5U, \
    0xd3e7d235U,     0x22a7f542U,     0x7e30ec8eU,     0x723f31e4U, \
    0x77b14e74U,     0xfa14233fU,     0x795177f7U,     0xe3bc32daU, \
    0xac3d912bU,     0x6f9e3813U,     0x2fbf6081U,     0xff6dc68eU, \
    0x7f740a08U,     0xd9aeae92U,     0x397aaaa9U,     0x54ad0463U, \
    0x84cbf7cbU,     0xf6af5e4bU,     0xc68444f2U,     0x00837f6cU, \
    0x2c120305U,     0x7cd7a297U,     0x808d667bU,     0x3d8b4e6aU, \
    0x5cb4f606U,     0xdce9efddU,     0x68a13093U,     0xd254f28fU, \
    0xa4503a71U,     0xa77a7c6eU,     0x91a71207U,     0x3f5e38ecU, \
    0xc3c483bfU,     0x586fb28cU,     0x56004784U,     0x2a3e87f1U, \
    0x03623332U,     0x468ecc43U,     0x82772a8aU,     0x0de2cb50U, \
    0xe088da33U,     0x1bc24863U,     0x02a10982U,     0xeb724fc3U, \
    0xf5d40938U,     0x224cd9a5U,     0xdea6eeb9U,     0x4e68ccbcU, \
    0x7e34d01fU,     0x63ba52b5U,     0x3bbcc66cU,     0x9258b1adU, \
    0x21685b24U,     0xf1566eedU,     0x15fa9148U,     0x1527cb07U, \
    0xdca8f205U,     0xb66a591dU,     0x76bbba2aU,     0x729f7962U, \
    0xd80a0d50U,     0xb5d71c88U,     0x7c5a62d7U,     0x336511aaU, \
    0x89675556U,     0x66a4e596U,     0xa0c96995U,     0x9658fe8dU, \
    0xd1086dbdU,     0xa83776b4U,     0x8ca453c8U,     0xa711b710U, \
    0x1d5ca65bU,     0xbade4c5dU,     0xabd88838U,     0xdf013ab3U, \
    0x224cf675U,     0xf857a2b3U,     0xe5c27e94U,     0x1d64e830U, \
    0xf5cfcd49U,     0xa3253dc8U,     0xc2b35953U,     0x0a662dfaU, \
    0x3e2982bbU,     0x3469d687U,     0x06e047a3U,     0xfe4e9c4aU, \
    0x3388749dU,     0x5461eb6fU,     0x49740e9cU,     0x81435053U, \
    0xa0dad8f9U,     0x49905846U,     0x8891bacfU,     0x6a685ca1U, \
    0xa82cbc68U,     0xeae96846U,     0x598b6bdbU,     0xf501ea32U, \
    0x3c5fd410U,     0x87324aa9U,     0xf806abefU,     0x6ff1495eU, \
    0x5a6ceb2bU,     0x76d12b63U,     0x0b5e4c3cU,     0xe2550989U, \
    0x29f8924bU,     0xadf48b26U,     0x537e37a4U,     0x9e2d8cbfU, \
    0xd892d0a1U,     0x57b6fc61U,     0x562f070aU,     0x0ef59fabU, \
    0x6e4f1a0dU,     0x520df8dcU,     0x4d7d7d6dU,     0xb5aa8234U, \
    0x74063a9eU,     0xabcd2999U,     0x04233b1fU,     0xed9df1f5U, \
    0x912a6422U,     0xf7cec3c6U,     0xe455d1d7U,     0x9e0da0b3U, \
    0x9460b7fcU,     0x8a84d6f4U,     0x41cda8a8U,     0xa0e11c0cU, \
    0xa27ba6ebU,     0xc48f7aceU,     0xfef6ae80U,     0xaf1ad320U, \
    0x9f935b51U,     0x747b3813U,     0x4c6e0beeU,     0x9950df05U, \
    0x07926695U,     0x33558f5cU,     0x19a30164U,     0x0099c1efU, \
    0x9bdb7f55U,     0x876a0cc2U,     0x41ad5897U,     0x02ee2170U, \
    0x49ba18bbU,     0x65aea8ebU,     0xab412100U,     0xe6f1cfbeU, \
    0x4d7131d3U,     0x67fe7e93U,     0x40d0e01dU,     0x2f79dd2aU, \
    0x912b35a9U,     0x8e0c3400U,     0x93df9278U,     0x195c0c24U, \
    0xd7bdd750U,     0x4e36da52U,     0xd28b99d4U,     0xc2c809cbU, \
    0xa445fbe2U,     0xb973d8acU,     0xe32c07a6U,     0x1504eb97U, \
    0xc181682dU,     0x9d414de3U,     0x1afdc6d4U,     0x54649925U, \
    0x7880c064U,     0x4c883ed3U,     0x45e939b0U,     0x982412a2U, \
    0xe2642c32U,     0xf9ce26e2U,     0x2a1cba28U,     0x332c8a66U, \
    0xb6ed10d6U,     0x44b012a5U,     0xcab02662U,     0x366bfaafU, \
    0xdfe0158dU,     0x3c22397bU,     0xef59caafU,     0xaa0f42e1U, \
    0x66be7eadU,     0x224613cdU,     0x869c2fa5U,     0xb946696aU, \
    0x7f548290U,     0x80ec9732U,     0xf76222e9U,     0x588ba046U, \
    0x2cf33e0fU,     0x7dd827cfU,     0x4f3f1463U,     0xa20a1e1aU, \
    0xd43ca882U,     0x1baaf60bU,     0x2a8e3392U,     0xd3ddd612U, \
    0xa7c07215U,     0x7d03b504U,     0x8ad2641bU,     0xb597470dU, \
    0x661c5932U,     0x78ec5589U,     0x99ae173dU,     0xccd39b6fU, \
    0x41c6d5c1U,     0xfe9e9bbcU,     0x09cbea90U,     0xf4db1e4dU, \
    0xaf13762aU,     0xca5ea25eU,     0x7cdbbbf8U,     0x208cf0f2U, \
    0xa6e0e51aU,     0x2b832b63U,     0x6a5e1145U,     0x8fedd84aU, \
    0x854309ccU,     0x642c8533U,     0x55595896U,     0x4a64136fU, \
    0x0f93fd13U,     0x9e20016dU,     0x9df593a8U,     0xf7614026U, \
    0x303fc56eU,     0xb484c496U,     0xf6392899U,     0xe9297614U, \
    0x2457b64eU,     0xa0004276U,     0x4a5797daU,     0x64b32250U, \
    0x6123d9ccU,     0x612c3e0cU,     0x25fffe86U,     0x27a7af5dU, \
    0xd1196fb2U,     0xb97273c5U,     0x415d68abU,     0x38dece77U, \
    0xe2e58000U,     0xc76734c4U,     0xd0b44b6aU,     0x66152cffU, \
    0x95d433e5U,     0xfb91e0e3U,     0x9f1d2001U,     0x6e2b147bU, \
    0x73f81be4U,     0x4c4eb66fU,     0x9042b51aU,     0xdd523956U, \
    0xb7d2b61bU,     0x8168a355U,     0xc60af1dbU,     0x725e9318U, \
    0xf0bd6b34U,     0xe1aeeccaU,     0x7cadf259U,     0xa535fa69U, \
    0x9e404db0U,     0xa523fd8bU,     0x6c3ada97U,     0x029a028bU, \
    0x7d875991U,     0x6f0f5d23U,     0xe870d1c1U,     0x60919711U, \
    0x547abd7fU,     0x2ce55ed6U,     0xb9b6e044U,     0xf6ea8a08U, \
    0x56acef6eU,     0x2ed176a9U,     0x3131fcc1U,     0x929818adU, \
    0x19c0a8c1U,     0x41eeb2c1U,     0xe0ba83c6U,     0x8d41c95aU, \
    0x714f4ef8U,     0x46e9a08bU,     0x22e4fb52U,     0x46ca0a55U, \
    0xdf214566U,     0xbc6c5464U,     0x8d4c917fU,     0x72d3d6e3U, \
    0x8794716fU,     0xc0b66b53U,     0xb81ec89fU,     0x01a76a31U, \
    0xc20f6b41U,     0xa30b5086U,     0xbd54593cU,     0x79caff7fU, \
    0x0dcddd56U,     0x167bd244U,     0x35660e88U,     0xcb5b63faU, \
    0x5fcd07c9U,     0x09f59d63U,     0x33ba58c1U,     0x5e39fa12U, \
    0x4fcf14dfU,     0xb0b011e2U,     0x0db96628U,     0xb3360270U, \
    0x25feef17U,     0x72fbfc4aU,     0x37953505U,     0x83b99cb9U, \
    0x97e2feb7U,     0x9f2f6ef9U,     0x3d062aefU,     0x6ab2d772U, \
    0x62df6d07U,     0x29228232U,     0x8ea1ad73U,     0xbfc05415U, \
    0x29d08dbdU,     0x07931f3aU,     0xeea3baf9U,     0xae2bc9aeU, \
    0xc1ef16b1U,     0xcdba0f9cU,     0xae170cb9U,     0x50b7c190U, \
    0x947342acU,     0xc3ac73a6U,     0x7a5f74bbU,     0x6d129f7eU, \
    0x01d2d513U,     0x6aa0b598U,     0xaeb6448eU,     0x7769f7afU, \
    0xee5c24b8U,     0x6eab11efU,     0x2b224efaU,     0x7f10cc5bU, \
    0x90faf246U,     0x269ab8baU,     0xa6824c56U,     0xf50fe883U, \
    0xb40c116aU,     0xb3567d39U,     0xdd885114U,     0x00794a7cU, \
    0x154399dfU,     0x3deeb4f3U,     0x4e3c577cU,     0x89cfd7efU, \
    0x4d275bf9U,     0x97f77202U,     0xf807e979U,     0x6af295c1U, \
    0xd09e180fU,     0x22a89826U,     0x95e05e86U,     0x45e7f344U, \
    0x93ad5f38U,     0xc0024cf5U,     0x025813c4U,     0xca7b8e80U, \
    0x69b86267U,     0x21089d9cU,     0x1b028e85U,     0x61ddc493U, \
    0x20602844U,     0xea687fd3U,     0x4fdf7476U,     0x400c53c7U, \
    0xaf4da370U,     0x3629f518U,     0xbabf72afU,     0xeeace354U, \
    0xb603fd66U,     0xfa4768b1U,     0x16fb6a28U,     0x3ad22305U, \
    0x35513859U,     0xf8570266U,     0x3ef8dac1U,     0x82e731adU, \
    0x8320efa2U,     0xe7a5d8b7U,     0xb7fa0cf9U,     0xbbd5470aU, \
    0x69883228U,     0x9beed778U,     0x7ea1501fU,     0x519db89aU, \
    0xc477d165U,     0x03b90cf7U,     0xcd44d221U,     0x956750bdU, \
    0x54cd9f7fU,     0xde3132cdU,     0x37cb98d8U,     0x6dfda0cdU, \
    0x0f66615eU,     0x3e0b05d8U,     0x2604211cU,     0x28b12f3eU, \
    0x9789fa89U,     0x542e7dc6U,     0x80f42cafU,     0x25271a5dU, \
    0xe5ad151cU,     0xa0547876U,     0xb156accbU,     0x6dc60960U, \
    0xff2b9201U,     0x60263aa2U,     0x50841a28U,     0x0dfcfd93U, \
    0x836ff6d0U,     0xbf23fb79U,     0xe2183092U,     0x078cc579U, \
    0xf25f868aU,     0xb7b748a0U,     0xb3f202ebU,     0xc17dfbf2U, \
    0x76a5bfa2U,     0x3d4325a3U,     0x4f2233ccU,     0x2d9d3d79U, \
    0x82b927eaU,     0xc6b74a8aU,     0x07870602U,     0x310a713aU, \
    0xd6d7a4d5U,     0x3c05c35dU,     0x6266b401U,     0x47b8a3bdU, \
    0xbace3b50U,     0x36056b77U,     0x50ec15f3U,     0x1069a242U, \
    0x94642cf3U,     0x27bce584U,     0x6b622086U,     0xc20c6a44U, \
    0x272d8e7fU,     0xc5858749U,     0xc427327aU,     0x18ca1f1eU, \
    0x82e5e872U,     0xbde7250aU,     0xc59cbf79U,     0xf9e0b7f3U, \
    0x3f60aaacU,     0xc75ef679U,     0x6e12f777U,     0xd63a1c5bU, \
    0xddef7ff1U,     0x7513488bU,     0x10607d5eU,     0x45d456ccU, \
    0x9a03f33cU,     0x503e5227U,     0x15ecd72cU,     0x3731f80dU, \
    0xb3702063U,     0x78ce78bdU,     0xa671fe32U,     0x7cd0f938U, \
    0x6b93f7bdU,     0x0c9bc71aU,     0xdf51cb9fU,     0x4bcf0236U, \
    0x3cf6fc33U,     0xe5593e9dU,     0xcead7b4eU,     0x5efd39d5U, \
    0xa1e2473bU,     0xbae07274U,     0xe7a3772bU,     0x239311bdU, \
    0xb25d4daaU,     0xca1882f2U,     0xd2e6e16cU,     0x0b15bcafU, \
    0xc7b6a09bU,     0x03d581eaU,     0xb643f43cU,     0xf4d73c67U, \
    0x114c4b7aU,     0xc0aaf083U,     0x76880024U,     0xbad0b269U, \
    0x64078ecdU,     0x641d08d5U,     0x7bf1430aU,     0x0b37fb45U, \
    0x9e95a7b8U,     0x575c5c7bU,     0x095e2a15U,     0x601cc75eU, \
    0x175e4e43U,     0xa033ebd6U,     0x4d0e0c29U,     0x8c3e1248U, \
    0x0be5c7daU,     0xd8898b97U,     0x14f7aca5U,     0x8ef7a422U, \
    0x2f6ace5eU,     0xd23a89b5U,     0x6151ca63U,     0xf259b103U, \
    0xc46f6b61U,     0xc49ece19U,     0x04793848U,     0x5339b072U, \
    0xa9cef722U,     0xd93d1024U,     0xf1ceec5fU,     0x66ce1559U, \
    0x9d7db887U,     0x31bdd4aeU,     0x87867045U,     0xfe64dc96U, \
    0xb5ad9a33U,     0x55b5cfa3U,     0xa19fd1eaU,     0x52e1a434U, \
    0xd0af8504U,     0x26461f20U,     0xc4410462U,     0xc6aef2a2U, \
    0xb6aea05cU,     0x17b49689U,     0x8afe8355U,     0x886e5e58U, \
    0xf29cc277U,     0x92969925U,     0x230ead41U,     0x9650b9dbU, \
    0x2662f901U,     0x50c59107U,     0x216cf90bU,     0xc3b92edbU, \
    0xd4557101U,     0xf9fd2886U,     0xee1866a3U,     0xc454e402U, \
    0x7c5403efU,     0xa457d97cU,     0xc246157fU,     0x1b5a87b9U, \
    0xa0caf7a8U,     0x6436d9f9U,     0xbd0c2ca0U,     0xe9f7d75fU, \
    0x764a3e7fU,     0x13140918U,     0xd3b6cf37U,     0xbb90a80fU, \
    0x1e6c97c3U,     0xa3cb3e13U,     0x87d0ee69U,     0x30195ab3U, \
    0xfc8ae576U,     0xdd49a120U,     0xfe34b9b3U,     0x9575d42cU, \
    0x63c2f2ffU,     0xd5b3ffd7U,     0x18c438f7U,     0xe95ba513U, \
    0x1c32081aU,     0x10dfb87eU,     0x396437e7U,     0xc50b0968U, \
    0xcbb34760U,     0xfb818816U,     0x7acd0b28U,     0x0fae2fcaU, \
    0xf593a4cbU,     0xbd4f4339U,     0xee0c516bU,     0xd6e348d9U, \
    0x954a181eU,     0x29e8bdd3U,     0x14b53240U,     0x0dec2960U, \
    0x5f130eb4U,     0x762c6c1dU,     0x87f38f5cU,     0x5a31901aU, \
    0xb4559193U,     0x7b56e7abU,     0xf0db1f4bU,     0xa6f784c7U, \
    0x21b5bb80U,     0x20f37309U,     0x4e8adfc3U,     0x084f5493U, \
    0x6c2c64a8U,     0x5824af39U,     0x9bcf32c5U,     0x45b7049aU, \
    0x807b5398U,     0x260c00eeU,     0x9080795aU,     0x8921ee65U, \
    0xa00ef1e5U,     0x4cc93522U,     0x5b895661U,     0x367e9299U, \
    0x0b0a5211U,     0x77b5fe08U,     0x601d0068U,     0x6c37de08U, \
    0x05dc83f9U,     0xd27885fcU,     0x445a2953U,     0x0768d2e5U, \
    0x0cfef357U,     0xeac3eb98U,     0xd05f9116U,     0xb7aa283dU, \
    0x4a83b39fU,     0x034023f4U,     0xc0cf57e3U,     0xbab3b676U, \
    0xacf554adU,     0xfabeb796U,     0xa6a5f17dU,     0xa87ef62bU, \
    0x364e29e1U,     0x4d0d0750U,     0x3e7c236aU,     0xaf742bd5U, \
    0xdbb0de57U,     0x226753ffU,     0x0c542d45U,     0xfa60c41aU, \
    0x5d19039aU,     0x8e4be7a6U,     0xfdfe31cbU,     0xab4d18b8U, \
    0xd5a8fe56U,     0x18cbd2d5U,     0x91a07c92U,     0x2456e28bU, \
    0x0fd47af1U,     0x917c9dfbU,     0x245e7022U,     0x11f0b179U, \
    0xb50682fdU,     0xdb3c4a99U,     0x80bf4e3aU,     0x29957bc0U, \
    0x9652912aU,     0xee62c56eU,     0x9c18608eU,     0xb7cd74f7U, \
    0x0fefd15dU,     0x7bfaaaf3U,     0x68c28584U,     0x6691f69dU, \
    0x2ecc7e2cU,     0x22f2ab7bU,     0xe4432787U,     0x76609fbbU, \
    0x5bcc4ecfU,     0x62a0cf71U,     0x3a6f576bU,     0xeb82dfccU, \
    0x1d7fefe9U,     0xec173927U,     0x7a6b4830U,     0xf2abfe44U, \
    0xe414eba4U,     0xafb230a4U,     0x68f25a1dU,     0xf2b8fab0U, \
    0xf5323337U,     0x2554f2baU,     0x4e4c1986U,     0x18ee9b4bU, \
    0x1fbfde2dU,     0x983c7063U,     0x8b025fdeU,     0x64859904U, \
    0x386eec5cU,     0xa4cf13feU,     0x4adde36eU,     0xfd5911a9U, \
    0xc875f52eU,     0x011514b9U,     0x462de21aU,     0x17cfb07bU, \
    0x4e456347U,     0xf993bea8U,     0x695ef6e4U,     0xe73405cbU, \
    0x8d736ba3U,     0x96ecabbcU,     0x7ff24319U,     0x0fdaba35U, \
    0x06479b27U,     0x6e11293cU,     0xb5e8bed6U,     0x75318281U, \
    0x7ff3367fU,     0x2c553112U,     0x61e16096U,     0x4ee91e79U, \
    0x5eb65950U,     0xeb157f29U,     0x5221c4a5U,     0x2c3b5d6eU, \
    0x3eddb8bbU,     0x842b1497U,     0x0f49ea70U,     0x57c76a17U, \
    0xdeb1db92U,     0x06f88da8U,     0x763a0119U,     0x986b42c9U, \
    0x5cc017a8U,     0xa57f70a3U,     0x4a1a75ebU,     0xdec70e42U, \
    0x0a060634U,     0xfca2a1c9U,     0xae303d22U,     0xd4ec9197U, \
    0x2b455dcaU,     0x7a8e4e3eU,     0x64b74d47U,     0x7abfe05bU, \
    0x7d62fbd5U,     0x80d210f4U,     0x4b76798dU,     0xe2898bc3U, \
    0xf1349cc0U,     0x6d648a0dU,     0xe6ff64f8U,     0xedf2d1d9U, \
    0x2afaffc0U,     0xfa0d982dU,     0x30232249U,     0x8de0dcd3U, \
    0x93b88ad2U,     0x918e5383U,     0x1899b447U,     0x000d31d5U, \
    0x4481b8abU,     0x110c7a75U,     0x8e919949U,     0xccdaaafdU, \
    0x2ca9eae4U,     0x030205cbU,     0x839b564cU,     0x4d2132fcU, \
    0x4272bd76U,     0xc2e9772eU,     0x92bffdeeU,     0x08ff1afcU, \
    0xa38d2905U,     0xa47be470U,     0x4a5ceaf8U,     0x64029748U, \
    0xc22df9daU,     0x423c1e30U,     0xd9c56390U,     0x85eb3f2dU, \
    0xa6c0b29bU,     0xbc726c43U,     0x81d92c14U,     0xec03c1e6U, \
    0x4b314c6aU,     0x3be27091U,     0xfeeca982U,     0x46a72611U, \
    0xe1018f38U,     0x60ffddefU,     0xcc413142U,     0x79f4977eU, \
    0x2f062abaU,     0x860cd909U,     0x394989aeU,     0x621f0116U, \
    0x5eef20b7U,     0xe83ef73aU,     0xa76790b6U,     0xb5dc02c1U, \
    0x25f12c7bU,     0x5b82f0c1U,     0xfd21e0dfU,     0x6cce60bcU, \
    0xbcff46f4U,     0x67dab4ddU,     0xc27bf0f8U,     0xb2eea518U, \
    0x73ab7007U,     0xa78e1d2bU,     0x5bc0154eU,     0x5a024267U, \
    0xeb47e229U,     0xfd1d7702U,     0x1a79de2fU,     0x3db56adeU, \
    0xb19c95f6U,     0xccdcf342U,     0x17f10785U,     0x491725faU, \
    0xf5150b15U,     0x9647b01aU,     0x0c2f3b6dU,     0xb66a9bb5U, \
    0x81b7f80fU,     0x47b3c7beU,     0x2c6ecf07U,     0xeb62264bU, \
    0x753fbfa4U,     0x886b81ecU,     0x764708b5U,     0x596c5318U, \
    0x45e55347U,     0x2c916ae0U,     0xddfcb4faU,     0x55027799U, \
    0x7a1835aaU,     0xf735f159U,     0xf4dab1e9U,     0xee3aa900U, \
    0xd00be434U,     0x64b0fc1cU,     0x36a80ba1U,     0xdc4c0800U, \
    0xf99d9d45U,     0xc3494d77U,     0x6f9de92cU,     0x4400cbf0U, \
    0x0c7a2e57U,     0x8e70059dU,     0xb44419baU,     0x0ffd774dU, \
    0x16cfd467U,     0x18da0111U,     0xf1d224c4U,     0xef21360cU, \
    0xed92dc5cU,     0xb862cbd0U,     0xf081fa7eU,     0x42755b09U, \
    0x0acb3ec1U,     0x64cd9384U,     0x4d496b10U,     0x39eb4993U, \
    0xf78bd9fcU,     0xf5d1eb4dU,     0x3b85b000U,     0x14807736U, \
    0x575c156dU,     0x1f8b9183U,     0x84936108U,     0x65d0ae42U, \
    0x4a611dd1U,     0x87859884U,     0xf17561c0U,     0xedf19164U, \
    0x5b0fb8c0U,     0xb4209fa9U,     0x637f89f4U,     0xe5a78861U, \
    0x1300b8f7U,     0xf67d6512U,     0x90fa6ac1U,     0xd5ab554eU, \
    0x724b6217U,     0x4c8625d4U,     0xe020c1cbU,     0x171fa7afU, \
    0xd908a076U,     0x9bd22bf2U,     0x4918d1b4U,     0x278f7c98U, \
    0x9340fbf1U,     0x3f811deeU,     0x484c7582U,     0x97f6cddfU, \
    0x573aff5aU,     0x2745163fU,     0x04bf3e79U,     0xda3cf2caU, \
    0xc0898f62U,     0xfe2de341U,     0xd51e6f09U,     0x4f039dfeU, \
    0x35632727U,     0x6939ac59U,     0xce44c0f7U,     0x05303fafU, \
    0xa09fbf22U,     0x4763abedU,     0xf70f8226U,     0xcb70403bU, \
    0xe03c2984U,     0xaf6d7200U,     0x9d56e8edU,     0x5bab8696U, \
    0xede9c982U,     0x2c5dc180U,     0x3711836aU,     0x8caaac48U, \
    0x7f4caef2U,     0xfd37b2c0U,     0x7df2ab82U,     0xf8861beeU, \
    0x927d9243U,     0xe85ff6f5U,     0x631de51bU,     0xf20c6febU, \
    0x86fb3087U,     0x4274de24U,     0x8149ce07U,     0x974ce69eU, \
    0x13f48f0fU,     0x913cc10fU,     0xc4adaab0U,     0x9adb197dU, \
    0x44d6ff0bU,     0x7d113bd7U,     0x5edf86c5U,     0x9b8b2e3eU, \
    0xf627f8eeU,     0x45b9043dU,     0x2da9d416U,     0xee1aa56dU, \
    0x8b56f65aU,     0xb84866a9U,     0x187bdd00U,     0x12f85526U, \
    0xe7dba8d4U,     0x3242975dU,     0x11f1209cU,     0x1fdb06a0U, \
    0x400e7d1eU,     0xf2d097ceU,     0x5d35ba8cU,     0x82e997c5U, \
    0x03564a54U,     0xa542d488U,     0xf641b49bU,     0x14cf669cU, \
    0xb9bdbfe3U,     0x4bce8ca6U,     0x30a7aa55U,     0xe848ed0cU, \
    0x910ad026U,     0x432879a0U,     0xc42c87d9U,     0xfd3b724dU, \
    0x52ce297fU,     0xacace97bU,     0xb6dda28eU,     0x94a05bb7U, \
    0x7a799377U,     0x070e49a9U,     0x9dd364aaU,     0x2e6709e2U, \
    0x3d7875f5U,     0x7712b2fbU,     0x40d4bd4cU,     0x5676c42dU, \
    0x099002e6U,     0xce326603U,     0x8505f0c1U,     0x3a706d23U, \
    0xbd7ac4f6U,     0x51b4105fU,     0x411d2217U,     0x377fe40eU, \
    0xa3bfc008U,     0x4217a683U,     0xbb055f4cU,     0x991c192aU, \
    0xd2a4aa66U,     0xa41c1c4aU,     0xe2aaaf78U,     0xeb7be1daU, \
    0xd915e1c4U,     0x9959695bU,     0x86f6ad59U,     0xa6d0b4b0U, \
    0x5ad78f88U,     0xa4b9b6aaU,     0xaf17e0cfU,     0x89f9821eU, \
    0x9abcc6f3U,     0x82ecbb5fU,     0x90e6317aU,     0xfb654794U, \
    0xefb73245U,     0x78cfb21dU,     0xe5fd825fU,     0xde420595U, \
    0xb0e5acc4U,     0x8796a988U,     0xb64b5fa3U,     0xa52b4571U, \
    0x60e172edU,     0x44a95748U,     0xf8c21cf0U,     0xd390b95fU, \
    0x3dbcf4d7U,     0xb1a1a9ccU,     0xa0efffd2U,     0x71c37f47U, \
    0x6a1aa77bU,     0xbf3b910eU,     0xc2e5f8f9U,     0x4938d885U, \
    0x62f35e49U,     0x5f7f2d90U,     0x8a68bd3dU,     0x5194cd48U, \
    0x9a6ba06cU,     0x40b261a8U,     0x09fad339U,     0x4346fc5fU, \
    0xd331ee6cU,     0x49d800e0U,     0x8d999cd4U,     0x90689b63U, \
    0x22e11d2fU,     0x85f3ba04U,     0x461fa476U,     0xb05847b6U, \
    0xd5dd3bf7U,     0x2d7f3d0fU,     0x141fa896U,     0xf60b22beU, \
    0x9e889effU,     0x23bf0540U,     0xa1c4493bU,     0xd663c240U, \
    0x00845f54U,     0x748a6c71U,     0xfd6dd351U,     0xbf53909dU, \
    0x934a2c56U,     0xeb274d19U,     0x1fccd0b5U,     0x0811dc1fU, \
    0xa4c47fb4U,     0x9c51c241U,     0x380e4ea0U,     0xe02ef877U, \
    0xc6049c72U,     0xa16c3c88U,     0xfee4494bU,     0xb47b5dd7U, \
    0x19e95af5U,     0x7bfe28eaU,     0x74a54bdaU,     0x05a5ca4dU, \
    0x98678d5aU,     0xb6776510U,     0x0a7a6604U,     0x1ce9003eU, \
    0x6742a1a0U,     0x661af58fU,     0x11c1e59eU,     0xbdb5ef83U, \
    0xbe47087dU,     0x188dd263U,     0xbfbdb314U,     0xf878045bU, \
    0xc9aeac6eU,     0xb6cf2c13U,     0xe0a2177cU,     0x44da05f7U, \
    0x65382a66U,     0xe55e4d77U,     0x80bde6a8U,     0x6d8c28bfU, \
    0x23051fdbU,     0x7e181082U,     0x44b0cd0fU,     0x98a0af7aU, \
    0x0b7c35e8U,     0x1e1e610dU,     0x963c7e7fU,     0x206e0c9fU, \
    0x0c164b5cU,     0x54409225U,     0x2423c93aU,     0x2c64216aU, \
    0x5028aaf6U,     0xdceb85c3U,     0x18d5a4e9U,     0xa4845fdbU, \
    0x00b1d14dU,     0x9cf749ffU,     0x3d25f4f4U,     0x53e945c1U, \
    0xa42f0e22U,     0x9f8e7284U,     0x50f6326bU,     0x6f5c0c29U, \
    0xb5494e20U,     0xf1e7ee94U,     0x861be90fU,     0x010f7e4dU, \
    0x0b9fc1c1U,     0xd2e39f09U,     0xd02c2d43U,     0x424337dfU, \
    0x066ee339U,     0x54ae5ff2U,     0xe601421bU,     0x7f115937U, \
    0xacae1197U,     0x1b1f7e4eU,     0xbffecd99U,     0xe555df55U, \
    0x16689e36U,     0x4bf5483bU,     0x231fd091U,     0xa08318edU, \
    0x071df700U,     0x9982b789U,     0x575deed5U,     0xc26942f2U, \
    0x18e50f21U,     0x47da3320U,     0x31c2d47fU,     0xd0b19012U, \
    0xa8370235U,     0xf6a03753U,     0x2c935aa7U,     0xec8aad64U, \
    0xbdec1affU,     0x326ade5bU,     0x2a4a47f6U,     0x694e6839U, \
    0x4449d43fU,     0x9d40e11eU,     0x4a316ccfU,     0x2a772b46U, \
    0x27e04fe1U,     0x69814e8bU,     0x7d4c002bU,     0x1e921d12U, \
    0xd6f52c6bU,     0xaefb702bU,     0x1b9348dcU,     0x0af76829U, \
    0xf4f02f60U,     0x6f31d76dU,     0xd77307dbU,     0xc6764f0cU, \
    0x4d7631f2U,     0xbcd8b4f4U,     0xbf4bd2f4U,     0x496b3da0U, \
    0xb346c7e8U,     0xb7298156U,     0x348709b6U,     0x1bbc83daU, \
    0x1eb5f8acU,     0xd4ec7bf1U,     0xab31f57fU,     0xb9e0252aU, \
    0xe813bd74U,     0xaa793f91U,     0x21e5d385U,     0xc92ae4ffU, \
    0xa3b1dbc4U,     0x3e07d7f6U,     0x9ebac6a7U,     0xf8dfd2e3U, \
    0xdf8338e7U,     0xcf13f1a9U,     0x104b83c1U,     0x9d497704U, \
    0x6973db1bU,     0x0c71097aU,     0xf1a4c741U,     0x49cce35bU, \
    0x2f684028U,     0x1ac29080U,     0xc353766eU,     0xb28e4319U, \
    0x9f480478U,     0xbfb48fb1U,     0x74a99105U,     0x165413eaU, \
    0x0cd2a2f6U,     0xcc1816b4U,     0x00cd7285U,     0xbbd942f1U, \
    0x6e130a86U,     0xaea195eaU,     0x9e1a1545U,     0x7d3e0153U, \
    0xcf392aa6U,     0xaf10ce9fU,     0x1e428f01U,     0xc64c3c83U, \
    0xcdb7dca0U,     0xd9e35bf1U,     0xc9d30301U,     0xfcaa2456U, \
    0xc2343040U,     0xe7bfb47eU,     0x0b4aaa85U,     0xd26368afU, \
    0x2b5b1a15U,     0x20cf1f5cU,     0x9eb6ed3fU,     0x1a30a971U, \
    0xa6ebdf2fU,     0x21024d6eU,     0xc1c00bb0U,     0x051d3dc1U, \
    0x4c9286a5U,     0x9ce2bad0U,     0x89602162U,     0x9123f807U, \
    0x135d8c1aU,     0x40d4b226U,     0xd1893499U,     0xcc82f0d1U, \
    0xa4633afaU,     0x88814955U,     0xa2f583cfU,     0x8e87cf90U, \
    0x273f66d9U,     0x41f07cf4U,     0x44eb443cU,     0x42c526d3U, \
    0xe7d8afbfU,     0x0baf3eadU,     0xac5637f8U,     0x0ddb8659U, \
    0xc745b49fU,     0x2aa53376U,     0x5ddf583fU,     0xeec095faU, \
    0xef41fdbaU,     0x85c64472U,     0x20f531a8U,     0x338df85bU, \
    0x81070596U,     0xad13add6U,     0x1ac861ffU,     0x86dd0bfcU, \
    0xdb6869e9U,     0xe1a429c7U,     0x6162bb5fU,     0x8311cf00U, \
    0xf41f28b0U,     0x16a6be95U,     0x17ee2a26U,     0xf8874979U, \
    0x812bdd90U,     0x70a0c839U,     0x5ef69d5eU,     0xa98f600dU, \
    0xb15fb917U,     0xe55ae2a9U,     0x22b2f1ccU,     0x2e05fa8cU, \
    0x4dfb7d31U,     0x6515a214U,     0x6c621d81U,     0xd0c45a41U, \
    0x17322e40U,     0xa6264705U,     0x3c13ce25U,     0xc84d903aU, \
    0x6d8d357dU,     0x102bda30U,     0xf2058be9U,     0x4efd1bb2U, \
    0x0f653e5bU,     0x971bb233U,     0x670b36e1U,     0x5e761d5dU, \
    0x9ad3ce43U,     0x2f06868fU,     0x77446d52U,     0xf84b3275U, \
    0xe983e7c2U,     0xeae0e67fU,     0xe02f8030U,     0xce0334d1U, \
    0x3b05e0aaU,     0xd3426a38U,     0x8c876400U,     0x6e065f08U, \
    0x76b988baU,     0xedebfa3cU,     0xa73080f2U,     0xfc16edbdU, \
    0x6a46ec54U,     0x2410b869U,     0xb299a2bfU,     0x46c3535fU, \
    0x6657cd9fU,     0xe86882e6U,     0xa9dd0026U,     0xed6adc15U, \
    0x0b049e8bU,     0xb679b099U,     0xfe3e90e5U,     0xb751a910U, \
    0xb0f3e07aU,     0xdeb7b8c7U,     0x1fd6124dU,     0xffc2ab80U, \
    0xd69d14b2U,     0x709b0506U,     0xea49769eU,     0x3e46d229U, \
    0x7a95defaU,     0xe304ab88U,     0x1f0c5e03U,     0x612d67ecU, \
    0x7ee26f19U,     0x46109faaU,     0x4631ac9dU,     0x3945babfU, \
    0xee4a95aeU,     0x09f3f4bbU,     0xedf45214U,     0xf1450484U, \
    0x2bd5215cU,     0xe40ddd47U,     0x78dc9cf6U,     0xc1f24aebU, \
    0x49e21aaeU,     0xe59a2681U,     0xf5de0e15U,     0x45fa7925U, \
    0xfff7efc0U,     0xb39f05a7U,     0x5e392ef3U,     0xbd6a4799U, \
    0x57d78147U,     0x866d4ad9U,     0x77547620U,     0x851bef8eU, \
    0x1bf9870aU,     0x6227255cU,     0x8f3aa5c0U,     0x40218278U, \
    0xa7d8caf4U,     0xf914edddU,     0x7c1bd928U,     0x77a70e67U, \
    0xb003ceffU,     0x814e78e3U,     0x34470470U,     0x330b041bU, \
    0xc802f88fU,     0xae2a94f8U,     0x808cc6cbU,     0x0316e4e0U, \
    0x4f4ada67U,     0xdaa81d88U,     0xbdb6012cU,     0x97df1344U, \
    0xc13d589bU,     0x30f04138U,     0xe2f19552U,     0xc7322263U, \
    0xd04a6873U,     0xc6df15e5U,     0x8894a7d3U,     0x23c441c5U, \
    0x5b30cc13U,     0x25e198a6U,     0x689c3fc7U,     0x1cd76fecU, \
    0x3f7cbe01U,     0x468b4347U,     0x454d47a7U,     0x60c7eab1U, \
    0x6d06c0c2U,     0xfa187d85U,     0xba02f817U,     0x00865e03U, \
    0x9bc1776eU,     0xd375b399U,     0xc24c45ccU,     0x0acdebc6U, \
    0x370f14c7U,     0x2a8136f6U,     0xddbcde12U,     0x0a9caa5eU, \
    0x719531d1U,     0x96893684U,     0x31337dd6U,     0x665b40d3U, \
    0xe15de4eaU,     0x2bbd970aU,     0x1965a749U,     0x6eb44a5dU, \
    0x8b7434e7U,     0x3e41ff83U,     0xe6be3669U,     0x1c3f89c6U, \
    0xdd8516e3U,     0x79d9a939U,     0xd05efb69U,     0x403bec63U, \
    0x09c97c30U,     0xe052c99eU,     0xf4dd5ab5U,     0x19b77a3dU, \
    0x01ded752U,     0x9b35fdb6U,     0x1dd5554aU,     0xc049e4d5U, \
    0xcf493fdaU,     0xd0607a6fU,     0xdd512097U,     0x65f78362U, \
    0x04e3c14fU,     0xd1676dc9U,     0xfcfba97eU,     0xf9a9b955U, \
    0x5380baa3U,     0xdb1ec569U,     0xd3149641U,     0xd26fd8e1U, \
    0x59a2b532U,     0x170307c7U,     0x403572c1U,     0xe14a6440U, \
    0x10c147f9U,     0x6e9bae23U,     0xae17ba1fU,     0xebcdd5ebU, \
    0x1a99706dU,     0x0ad366caU,     0x4afe223aU,     0xf825e740U, \
    0xad4d976bU,     0xc83f96efU,     0xb934dd70U,     0x65071991U, \
    0xeee06d48U,     0xda115b8aU,     0x94db75f6U,     0xda21ddaaU, \
    0x30a9b31eU,     0x84068f60U,     0x3b615040U,     0xde0414f9U, \
    0xe5ebf020U,     0x84323606U,     0xbe1d26b5U,     0xa7779ef1U, \
    0xddd4055eU,     0x24b463baU,     0x63fe82b5U,     0x828a93c7U, \
    0x647aeea1U,     0x009119f3U,     0x88bcef23U,     0x2e7c387cU, \
    0x1930b670U,     0x13f4afd9U,     0x216e41deU,     0x3d7d5167U, \
    0x336a8f0bU,     0x89d4bde8U,     0xc1aeff7eU,     0x8a400d6cU, \
    0x33f9e833U,     0x9a70786eU,     0xb8fd9d44U,     0x53c85b91U, \
    0x195bbddcU,     0x400e0cb1U,     0xd6eb6e43U,     0x33938aaaU, \
    0x560b841cU,     0x3c6765bbU,     0x9b272956U,     0x3f20c40aU, \
    0x415382c3U,     0x2c6a8781U,     0x3e3a59f6U,     0xac6d0de9U, \
    0xedc3d912U,     0xba0b0f9cU,     0x7b33828fU,     0x22fd0191U, \
    0xfe9198feU,     0xea457a5aU,     0x5f1a36beU,     0x4d7d37fdU, \
    0xf47a42fbU,     0x2e949663U,     0xc1f3b803U,     0xd502aae3U, \
    0xcd2b6a8aU,     0xf5b101e7U,     0x30569f9dU,     0xf6dea082U, \
    0xbdcb67f5U,     0xa47b11e4U,     0x03c6872fU,     0xb245a01cU, \
    0xf2262a73U,     0x578e533cU,     0x6009073cU,     0x5576a974U, \
    0x12c4c0b0U,     0x65b25215U,     0x0ebb410cU,     0x036f9417U, \
    0x8304886eU,     0x7587b47eU,     0xa7a906c8U,     0x83c40b2dU, \
    0x1d4d0356U,     0x3388763eU,     0x84c1f09cU,     0x97a76548U, \
    0xe359150dU,     0xf72b7fcaU,     0x711996a2U,     0xde7b4aecU, \
    0x91ca3fa8U,     0x5398af27U,     0x387b4b3dU,     0x7d48c69bU, \
    0xc3555060U,     0xb294b58bU,     0x22ff0b3eU,     0x9d05a8c1U, \
    0x27e50f2eU,     0x6974f7feU,     0x2b0695cbU,     0x3521dc81U, \
    0x71fc8bc6U,     0xb0cee8c5U,     0xe11b4544U,     0x5506ccc1U, \
    0xd757e16cU,     0x34dd6463U,     0xf862713bU,     0x3573396aU, \
    0x09c7e93bU,     0x3799a03dU,     0x7c7c2a27U,     0xf76e4845U, \
    0x1bb179e6U,     0xc939717cU,     0x4b824d75U,     0xdb4e4413U, \
    0x0fc262eeU,     0xde86f547U,     0x42cebdc6U,     0x1b95e514U, \
    0x19318212U,     0x3d5e4683U,     0x06de41aaU,     0x6f4e4f02U, \
    0x6be13e41U,     0xf4d3c7f0U,     0xaa53da71U,     0x993b78c7U, \
    0xba3e926cU,     0x4b401e37U,     0x1b4a5189U,     0x70281473U, \
    0x29ff7daaU,     0x84999dc0U,     0xfc6e32c5U,     0xe99f3395U, \
    0xf4ed2360U,     0x20d46d44U,     0xdc617510U,     0x30ba6d8cU, \
    0xd4b4c831U,     0xb6f82fd6U,     0x7d393007U,     0x0cc27656U, \
    0x26fcc6e3U,     0x0936f83dU,     0xb7b84d52U,     0x0828a808U, \
    0xc92149a8U,     0x8156c094U,     0x68d061c9U,     0x17d27bbbU, \
    0xb54e83fcU,     0xc81c94f9U,     0x4631dd28U,     0xfcea1541U, \
    0x7c12f154U,     0x67403ff1U,     0xe344cabfU,     0x9a7e1c18U, \
    0xb06a2e7eU,     0x3350c0baU,     0x6a83dac9U,     0xd2fab25eU, \
    0x04f98fe6U,     0x369a5951U,     0x669a6b73U,     0x20dcdb7dU, \
    0xfa5d4c4aU,     0xa79df438U,     0xf21d14e2U,     0x8a31fd8aU, \
    0xf2a0e1d0U,     0x15124bedU,     0x043ef959U,     0x6d10f399U, \
    0x093587d2U,     0x8df55318U,     0xc0e78411U,     0x37ee1a0dU, \
    0x7f29ab98U,     0xdb365f28U,     0x8837599fU,     0x9751c6ffU, \
    0xe617991aU,     0x4089dbcaU,     0xf87027e2U,     0x7c2bb411U, \
    0x2e4a8019U,     0x99c289d3U,     0xc5dfd646U,     0xb69a9aeeU, \
    0x2b46482aU,     0xf2d707a3U,     0x259195c9U,     0x6d0fd364U, \
    0xba20d2eaU,     0xaf9df6a8U,     0xdefdf6a3U,     0xe3a50d7fU, \
    0xc4cc4e8cU,     0x2f418af6U,     0x03c25f95U,     0x1d87b2f6U, \
    0x5c91f11aU,     0x50a360c4U,     0xa1d4c6f4U,     0xf581b121U, \
    0x6d6d2574U,     0xb3ab481bU,     0xb3199c29U,     0xbc045762U, \
    0x705a8a46U,     0xcfc2bb9eU,     0x645a9e13U,     0xf033c7eaU, \
    0x00a47180U,     0x39dc2624U,     0x6a2691b5U,     0x92457d00U, \
    0xf404def0U,     0xf062d76eU,     0xa3bf3a21U,     0x4e277dcbU, \
    0xc7fceb36U,     0x2898ffa5U,     0x104d86bcU,     0x3a01e9eaU, \
    0xc54ad14eU,     0x5d17ec96U,     0x18165b04U,     0x7274ae80U, \
    0xc5cae415U,     0x266d7a11U,     0x8b81ba63U,     0xfe9a4748U, \
    0x6f1a4572U,     0xa04618a8U,     0x3ed25eb9U,     0x2f30ba01U, \
    0x24f74a24U,     0x228ea3ceU,     0x50b22d78U,     0x3b079a19U, \
    0xb9d0f5ffU,     0x0a79a816U,     0x12cb5ce3U,     0xd7ff76bdU, \
    0x1618d523U,     0xc5d23200U,     0x5e629d0aU,     0x53c1b073U, \
    0x1e822862U,     0x2301c4f0U,     0xd373fb69U,     0xbf7aded7U, \
    0x50c96021U,     0xa2370a9cU,     0xb3abeedfU,     0x4948ca01U, \
    0xbad82a4eU,     0xf23188f0U,     0x82d53d6cU,     0x32862417U, \
    0x0577e6b4U,     0xd4ce6535U,     0x2de84c2eU,     0x10698de0U, \
    0x8cfde83cU,     0x61a08affU,     0x4458b76bU,     0xb8794831U, \
    0x43c31860U,     0x1c9ce4beU,     0x4e99109dU,     0xbb850cf6U, \
    0x28c1d791U,     0xa2549af3U,     0xbe854f54U,     0x02a1123bU, \
    0xbd8082aeU,     0xf291917bU,     0x8dbfb2a6U,     0x335f602bU, \
    0xd6c4c4adU,     0x55c9bc54U,     0x28f4e0ddU,     0x4cf38322U, \
    0xba626730U,     0xb312bcd9U,     0xf8d156c6U,     0xb48c2fdbU, \
    0xb1943c4cU,     0xe7840e98U,     0x2d689a8bU,     0xd94c3cdcU, \
    0x5921c01bU,     0x3e15c7c9U,     0x98c017acU,     0xaaa60dedU, \
    0x1361ab0aU,     0x8e8fe3f6U,     0x511769b9U,     0x88f11e3cU, \
    0x122334fcU,     0x264b94edU,     0x36d30c6cU,     0xdbc26732U, \
    0xdbc3250dU,     0x4da6112aU,     0x8776cb05U,     0xbe9a14aaU, \
    0x87f4c1fcU,     0x38393c51U,     0x03913400U,     0xb4e15046U, \
    0x39e19babU,     0xb1d57661U,     0x6c628a2dU,     0x19ee1dffU, \
    0xf2cd34d1U,     0xb5bd2cecU,     0x83d79896U,     0xcec5d4fcU, \
    0x98d86d42U,     0x8092d286U,     0xf34e2be8U,     0x9335140bU, \
    0x798d368dU,     0x0ac512b4U,     0x14f5c3eaU,     0x49714ef8U, \
    0x520001bfU,     0xdfa2b7aeU,     0xe7ca5083U,     0x07c14b4bU, \
    0x42e7e4a7U,     0x7bf73db0U,     0x3caf848eU,     0x5514caadU, \
    0x19d85fb4U,     0xaaf0b0c1U,     0xdfcbe601U,     0xe25ae10bU, \
    0xa04178c4U,     0xbddb6b49U,     0x594f8634U,     0x2273f940U, \
    0xeb7f4372U,     0xe67bfc7bU,     0xf7ff8281U,     0xe58d5658U, \
    0xeff7649aU,     0x6825b3f9U,     0x38793c3dU,     0x203b4b7eU, \
    0x01777c37U,     0x7385b42bU,     0x1931ab5fU,     0x1f437d57U, \
    0xd71c54fcU,     0xb940597aU,     0x226658b6U,     0xaef6fcceU, \
    0x94685bbeU,     0xd12a21faU,     0x015c5425U,     0x9a27679cU, \
    0x0ef938abU,     0xa3631f9eU,     0x57d315d0U,     0x26aee538U, \
    0xffb7b925U,     0xfc2f18e9U,     0x26097daaU,     0x2e96f063U, \
    0x4c140bf1U,     0x62597196U,     0xa9d8a42fU,     0xdc3d4051U, \
    0xe9b44584U,     0x7b6f1a25U,     0xd5b9556aU,     0x9bb7389eU, \
    0xf9289823U,     0x66252da5U,     0x0c155be5U,     0x7ca9751aU, \
    0xae31d016U,     0xf602b1dcU,     0xdf22903dU,     0xcddc0361U, \
    0xd5c8b8d0U,     0x28c7cce0U,     0x31700614U,     0xbaf2119fU, \
    0x75678809U,     0xd957adbaU,     0xf3e8f16dU,     0x3941f055U, \
    0x90c8ccffU,     0xbffd680bU,     0xcb635054U,     0x01af30b0U, \
    0x10893300U,     0xa3c9e9bcU,     0x40434d2cU,     0x3d98aaadU, \
    0xc96abe14U,     0x93188425U,     0xe6d014d2U,     0xdac69644U, \
    0x58ef4c4fU,     0x88cd23a0U,     0x07bf8fa9U,     0x7ce4e63aU, \
    0xc5520aaaU,     0xa4710760U,     0xf5e81aa6U,     0x433a5ff8U, \
    0x64bc0cd1U,     0xe76ec2ebU,     0xb365f528U,     0x431d39edU, \
    0xbd84c714U,     0x81277a4eU,     0x03bcab35U,     0xc36c97afU, \
    0x1e1238adU,     0x2f242b4eU,     0xb5c85898U,     0x930a4507U, \
    0x8d0a8dd4U,     0x535177f3U,     0xbcfec1ffU,     0x933088f1U, \
    0x5efa18b6U,     0x25e1e57fU,     0xef4e4222U,     0xecd34458U, \
    0x8caa8587U,     0xb3b2d11cU,     0xd5eb75e4U,     0xefee0c53U, \
    0xd45a6f6aU,     0x762e849cU,     0x3bfe14ffU,     0x9034fc2aU, \
    0xb39b7816U,     0xab515b45U,     0xb8306cd1U,     0xf402bd3cU, \
    0x45cf0ef8U,     0x0f8ce40bU,     0xaba419e8U,     0xa542d0c0U, \
    0x91d824baU,     0xf856fe5cU,     0x9d44db2cU,     0x76fb54d6U, \
    0xc93706b3U,     0xf1833d4eU,     0xf579ff1cU,     0x4bc5972bU, \
    0x480dd546U,     0xcd0edcbeU,     0x91f784ecU,     0x39dd4543U, \
    0x3504421bU,     0xdaa1cb6dU,     0x048ead9eU,     0xbc1308aaU, \
    0x5fb0e962U,     0xd5ca8619U,     0x1dedc480U,     0xeb21d86aU, \
    0x3f9d0f0eU,     0xccba99afU,     0x49af3effU,     0x86056f59U, \
    0x971fc89eU,     0x59e34a12U,     0x91984f35U,     0x953d53dcU, \
    0xeeef3478U,     0x67528575U,     0xcd7462d3U,     0xe4c68f81U, \
    0x3765894eU,     0x54c25731U,     0xde8dbc91U,     0xfcd41f7aU, \
    0x3ce90aeaU,     0x34ab1436U,     0xf449b5eaU,     0xfece494fU, \
    0x1e5d4912U,     0xdc34a3f9U,     0x4b07b726U,     0x0a1dafb0U, \
    0xa9dd9443U,     0xbef6d5a5U,     0x87232e5aU,     0x6fbccdc3U, \
    0xd9c647beU,     0x69dc4488U,     0x54c28548U,     0x8d6c6655U, \
    0xa190a664U,     0xc7bd3c0fU,     0xe5003d13U,     0x201afb5fU, \
    0x971e4625U,     0x51a2a7bcU,     0x4ee2562eU,     0xf0d8c590U, \
    0x432482fbU,     0x64d10b5cU,     0xd694a8f2U,     0x08466330U, \
    0x2eef3f12U,     0xcde35934U,     0x5878c017U,     0x31bcb805U, \
    0x7a26589dU,     0xa46719b9U,     0xd5c3d5c4U,     0x8aed0570U, \
    0xb560ae8bU,     0x56a40e6eU,     0x166bd50aU,     0x0815af49U, \
    0x8fed4bc6U,     0x1abdd8f7U,     0xb220b49fU,     0x5b9bd83bU, \
    0x9833d7ebU,     0x31db558bU,     0xd11e9c47U,     0x254eb6c0U, \
    0x657cf03eU,     0x5754c569U,     0x2cb52a05U,     0x0e1317e2U, \
    0xde2dbe02U,     0x3433d84fU,     0x7ba74566U,     0xf033e50dU, \
    0x07a5db03U,     0x83c54837U,     0xbfa8ff8fU,     0x537d3883U, \
    0x985facb9U,     0xb66204d9U,     0xe9763972U,     0x36e18517U, \
    0x3b07d41bU,     0x1596bea8U,     0x281d2ce9U,     0xa7c4184fU, \
    0x0ecfed9aU,     0x84e75a96U,     0xc6c7f220U,     0x1328d9e1U, \
    0xf03fdb17U,     0xa9084e26U,     0x745ccfb2U,     0xf9b38e68U, \
    0x19825970U,     0x88e37583U,     0x7bd0025fU,     0x45dfdb90U, \
    0x2ce8de2dU,     0x2ccdf9d4U,     0x8fe8aa80U,     0x748d949cU, \
    0xed6d32efU,     0xee84b8dbU,     0xa9c775e6U,     0xe4d19b8cU, \
    0xf158b6e9U,     0x274f3ce4U,     0x84b285e1U,     0xf8074831U, \
    0x03aec7fcU,     0x5b4814c0U,     0x59441a95U,     0x73590030U, \
    0x0bc0296fU,     0x94607e8aU,     0xebf359a3U,     0x61dcb369U, \
    0x4df31a10U,     0x94745cbfU,     0x4c945e81U,     0x7e17d039U, \
    0x39e208deU,     0x16f7466dU,     0xb68afcc8U,     0xc82e4ab6U, \
    0x21f752c9U,     0x2286d4f1U,     0x65eb644bU,     0xb4409b4dU, \
    0xea6e1e5dU,     0xdd19a2e6U,     0x0b160a92U,     0x30f354eeU, \
    0xa5034871U,     0xdbe4cedfU,     0x20093839U,     0x529bd769U, \
    0xd53f4e1aU,     0x6fefe9a9U,     0xc12d7684U,     0x0c3c38bbU, \
    0xd8b918b5U,     0x9250399fU,     0xd3f652bfU,     0x60615583U, \
    0xfa1c143eU,     0x17d43e81U,     0xa91f75e1U,     0xb7246f00U, \
    0xd277214eU,     0xa6914de4U,     0x020d7996U,     0x22cfca67U, \
    0x0c5036ebU,     0xcaa91653U,     0xe6873892U,     0x0a3e52deU, \
    0xc7af767eU,     0x68a23889U,     0x5a25c2c7U,     0x8ee87b85U, \
    0x561e44faU,     0xb6744350U,     0xcf822499U,     0x9bfbc062U, \
    0x5b6b7759U,     0x4c40877bU,     0xa5d54ca7U,     0x536ed45bU, \
    0x8918bec6U,     0x4d77c768U,     0xbe986f00U,     0xfe8098c0U, \
    0x67448370U,     0xb2354b09U,     0x1e859a9cU,     0xa3277ff3U, \
    0x31ab69dfU,     0x1deedf48U,     0xf087bea8U,     0x27b3c0aeU, \
    0x330ba24cU,     0x6855b0cbU,     0x27b97e21U,     0x9e5cc602U, \
    0x6d01e76cU,     0x21bce0d2U,     0x3bc4b6d2U,     0xe8af4518U, \
    0x38b739aeU,     0xd457f18bU,     0x56bb8a7bU,     0xa232b57cU, \
    0x6d86afb2U,     0xf822adcaU,     0xb76ea530U,     0xe1aa898fU, \
    0xcaf5ebf2U,     0xb76a9331U,     0xa1fad495U,     0x9c2114cfU, \
    0xd0c31900U,     0x0c43eacbU,     0x838c0de2U,     0x199c5bcdU, \
    0x49c58ab9U,     0xae29105bU,     0xcdd7084aU,     0x101a4842U, \
    0x290e18c4U,     0xf63b725aU,     0x99431edaU,     0xbed9c6c0U, \
    0x397e2842U,     0x03065c56U,     0xc7a5dcdeU,     0x44255482U, \
    0x68245112U,     0x6e579e15U,     0xa507219aU,     0x04bb4a9fU, \
    0x4a6c8c26U,     0x4b617d3eU,     0x695227ebU,     0x73c8d4deU, \
    0xb009e1c9U,     0xd2d57032U,     0x4618bb9eU,     0xba0d817aU, \
    0xd56dd5c4U,     0x7365a3f9U,     0x053f74d3U,     0x8c035422U, \
    0x97467a74U,     0xb9b9dc56U,     0x484f4fbfU,     0x5f7863b0U, \
    0xf4fe401aU,     0x4cc075a9U,     0x28396eacU,     0xff6e99f6U, \
    0x4bfc8da6U,     0xdd167228U,     0xdb02da40U,     0xcd5d9892U, \
    0x1158e338U,     0xa92460cbU,     0x56604b3bU,     0x94285ef6U, \
    0xd4947bbeU,     0xe191b0e2U,     0x73a8f70dU,     0x24bda912U, \
    0xc5d18b2aU,     0xaf68db02U,     0x73bfe9fdU,     0xa3cf7284U, \
    0x0f4f88f9U,     0xcf69e333U,     0xf1916de4U,     0xcbfb22b2U, \
    0xaa00cfe7U,     0x8a584893U,     0xd43b7bacU,     0x637a0a55U, \
    0xb7381d85U,     0xc69c062aU,     0x184b86e8U,     0xf2e65160U, \
    0xc8e2c623U,     0x7b48aae2U,     0xa8c07cd1U,     0x53c983b2U, \
    0x7455b34bU,     0x32a91fd2U,     0xb4c1b548U,     0x3210bbe3U, \
    0x429d9cd2U,     0xfe5f70e9U,     0xa86c400eU,     0xea2fd399U, \
    0x9f7f71a4U,     0xcd86cc3dU,     0x7b7c36e0U,     0x89d9e792U, \
    0x3a82660bU,     0xfe3d13ebU,     0x5df978ddU,     0x1835ce8bU, \
    0xda634b96U,     0xe8be1179U,     0x40cc4440U,     0xe8250facU, \
    0x3cf81998U,     0x8b137fafU,     0xdf93ff69U,     0x274e029aU, \
    0xf2385644U,     0xd409fe3cU,     0xb693cd33U,     0x9269fb96U, \
    0x61c12173U,     0x2c1236f9U,     0x57700fdbU,     0xe53662e3U, \
    0xf1d72af0U,     0xde86e448U,     0xa01df4d4U,     0xe126faa2U, \
    0xf363544fU,     0x38f56ec6U,     0xe851ec58U,     0xa529b5e9U, \
    0x56d9c40eU,     0x41e17087U,     0x5078a9d3U,     0xc3902650U, \
    0xea9d1beaU,     0x43e925cbU,     0x5b4eec3cU,     0x2f5f9f03U, \
    0x69e02d7dU,     0x7bf1ea2bU,     0xa6b53e99U,     0x3ab8f257U, \
    0x1efe2203U,     0x8adb26f6U,     0x48137901U,     0x9ca089bcU, \
    0xbbc876deU,     0xb397d42bU,     0xcce8dd98U,     0x70298867U, \
    0x1aecdd61U,     0x8a5b4b27U,     0x7b5529eeU,     0xbeba0dd8U, \
    0x85680392U,     0x360f2e82U,     0xc819d25aU,     0xf04e06c8U, \
    0x7ce216c9U,     0xe739788dU,     0x64879ea3U,     0x31487a0cU, \
    0xd28976abU,     0x17ba99bcU,     0xe231e485U,     0xd58ec7c6U, \
    0x1dad6b6dU,     0xe3daf846U,     0x92c1b6e2U,     0xc027cc89U, \
    0x898b1ee9U,     0x86b01c35U,     0x60e4e4f9U,     0x179e744fU, \
    0xfa4721a8U,     0x5636d7f6U,     0x661d99eaU,     0x473edd19U, \
    0x21936b0aU,     0xf6e8d2f1U,     0x8182299cU,     0xe801a131U, \
    0x1e243eb5U,     0xe2d88899U,     0xe616da5dU,     0x124e4c7aU, \
    0x266d1dd4U,     0x0f8f5fccU,     0xfcb43819U,     0x3aab8e97U, \
    0x2c7fe321U,     0x2ee950d7U,     0x29cdf00eU,     0x6db171cfU, \
    0xbaef905fU,     0x9d96d853U,     0x3028de77U,     0x31ce3109U, \
    0xb89b961dU,     0xb27d1f11U,     0x97f26889U,     0xbb7e5ad1U, \
    0x055a3ab7U,     0x8ee83864U,     0x8c8f21fdU,     0x0f55deb5U, \
    0xae225b1cU,     0x12de2577U,     0x31d5c261U,     0x24780f94U, \
    0xd7d3f5beU,     0xdce15236U,     0x99bb994fU,     0xf6a9c272U, \
    0x97be3c57U,     0x51af46cbU,     0xef18f2eaU,     0x1a1aa192U, \
    0x22c5a437U,     0xe9e5e332U,     0xf54fe49dU,     0x2e4e793eU, \
    0x09719a31U,     0x5529700fU,     0xe862e1cdU,     0x41395fe9U, \
    0xdf50cfcdU,     0xa20f0b56U,     0x72c476c9U,     0x3d591dfaU, \
    0xf0b2e3a0U,     0xbd070c10U,     0x1d1af35bU,     0xb15c7f2dU, \
    0x3afeb011U,     0x6c5e071bU,     0x8827b1edU,     0x11ea6509U, \
    0x0ac35f3fU,     0x7798c7d2U,     0xb2923bb3U,     0x98dc5843U, \
    0xc71ef45fU,     0xfb8b8c2fU,     0x94171bd9U,     0xf4ef2996U, \
    0xa6cc2369U,     0x76f9b0e7U,     0x8ce52ac9U,     0xc7c0cf13U, \
    0xcb1e2f24U,     0x74eefd2bU,     0xe3d6e7deU,     0x37fde828U, \
    0x614470cdU,     0xe0991570U,     0x75515fddU,     0x9bf34c4dU, \
    0x01dc1fd6U,     0x8d6e118dU,     0xb5bf8652U,     0xb16ca6d7U, \
    0xc115d790U,     0x021639afU,     0x3fc493f7U,     0x18512ef6U, \
    0x08f46a0bU,     0x1eb9bbd4U,     0x65dcec32U,     0x6d7991b2U, \
    0x6bd1347bU,     0xa32397adU,     0x5bf30159U,     0xae753548U, \
    0xcbed2170U,     0xb1e04347U,     0xc260843fU,     0x67dc1bc2U, \
    0xd4a939b0U,     0x18648f03U,     0xb1d81551U,     0xd64be103U, \
    0x458884efU,     0xeabc1d79U,     0xd78081f4U,     0x6d3a583cU, \
    0x2a73017aU,     0xca8dd030U,     0x040d408eU,     0xa5ac4464U, \
    0x83d256c8U,     0x21f51671U,     0x969773b7U,     0xc841f9f2U, \
    0xd04437c2U,     0x55b5fa06U,     0xde219202U,     0x687950a3U, \
    0x46769b99U,     0x9c4bd592U,     0x2e128716U,     0xa5e97e1cU, \
    0x968c946dU,     0x98ce5b15U,     0x1905a088U,     0xed0cc608U, \
    0x5646e92dU,     0x2f84cc90U,     0xc9dffcb4U,     0xa8829b41U, \
    0xdd765c6bU,     0x8c8195b8U,     0x78866678U,     0xe5f16f82U, \
    0x94dd0785U,     0xdcc12549U,     0x3e61d76bU,     0x7aa51e66U, \
    0x7d37419dU,     0xbb05b84aU,     0x8a99e5e8U,     0xa4e0f49cU, \
    0xeeae5c23U,     0x84adaa49U,     0x84dd0ea7U,     0xa871e430U, \
    0xef9d17e6U,     0x341b8785U,     0x806bfea9U,     0x688fed33U, \
    0x7f8c3acbU,     0x0fea5dbaU,     0xab265de1U,     0x04907994U, \
    0x856fe08aU,     0x7d355a63U,     0xc0740ed6U,     0xf7664dcaU, \
    0x631e3633U,     0xa279822dU,     0xefc31865U,     0xf6cc2645U, \
    0x94a3e3b7U,     0x8f9117e5U,     0x9c8b5f07U,     0x4f90081fU, \
    0xb0adcbc0U,     0x30e9b65eU,     0xefa70cd0U,     0xb1ce8de4U, \
    0x246b9bc7U,     0x30cf831dU,     0x7d134e59U,     0xaf0beb94U, \
    0xa045a75bU,     0x94e53e56U,     0xc82b8d7aU,     0x2a704d39U, \
    0x7ed412ebU,     0x376bdcc1U,     0x15359742U,     0x722634f0U, \
    0x364ffa72U,     0x26761874U,     0xe1a16a53U,     0x69198fd8U, \
    0x6761f3f8U,     0x15f38042U,     0x2bde847aU,     0x6c6f7efcU, \
    0xa3014fb6U,     0x5deda926U,     0x54e86420U,     0xa7073025U, \
    0xea7de395U,     0x841ff6e7U,     0x80892d9aU,     0xbb09e75eU, \
    0x399340b6U,     0xa164b322U,     0x52f55fd1U,     0xb1a932c6U, \
    0xf7e1ac2dU,     0x375cfb4dU,     0xfea4bf16U,     0x7ededd52U, \
    0xbe9cc990U,     0x657ee9ddU,     0x5ea7f032U,     0xc529049bU, \
    0x3951f21eU,     0xfaee7c1bU,     0x4f099c9cU,     0xf3c7d18aU, \
    0x1378569cU,     0xd43313ddU,     0xf54c4a11U,     0xdae9cdbeU, \
    0x3901e3cdU,     0x71b53d63U,     0xa3b391ddU,     0x194577bfU, \
    0xbaba1675U,     0xac82a32bU,     0x3599cb15U,     0x546dc4caU, \
    0x47a56050U,     0x2514e279U,     0xbdbdafc3U,     0xc414f31eU, \
    0x9508d31eU,     0x188b93a7U,     0x93403514U,     0xf2e75a56U, \
    0xd99f0662U,     0x957955d5U,     0xc8929bfaU,     0x701c9a8cU, \
    0x78a15045U,     0x1fbcc897U,     0x4d5e4e83U,     0x3a454102U, \
    0x27076825U,     0x4bb5ba7aU,     0x515f00a6U,     0x721c9813U, \
    0xeefd5c97U,     0x4a3987c6U,     0x020d8b5eU,     0x38c33c0cU, \
    0x08e6a593U,     0x9c9e322eU,     0x7915d3a4U,     0x76a5b1e6U, \
    0x3b2ee063U,     0x13c86eb9U,     0xde0850dcU,     0x9fb7da56U, \
    0xfe81e44aU,     0x2765fbf9U,     0x9a1cc8dcU,     0x5a3e5ae5U, \
    0xa1e2712cU,     0x2fddaa7eU,     0xce56e36aU,     0x8d41269cU, \
    0x59328718U,     0xe3c5ac72U,     0xd47a919dU,     0x97f80737U, \
    0xe6a191bbU,     0xeeda0117U,     0x69de8cceU,     0xab22baa5U, \
    0xd14a9953U,     0x1960cf61U,     0xe1e78ab8U,     0x829220d5U, \
    0xf35344a1U,     0xec1dc4bfU,     0xe2979892U,     0x7eb55262U, \
    0x408ffc90U,     0xe5af61f6U,     0xe606ca65U,     0xfb7c2471U, \
    0x9cd7e51cU,     0xa0c54507U,     0x5886aae9U,     0x248953d3U, \
    0x0dd1fc57U,     0x933bed74U,     0xe798b9d0U,     0x49e90d72U, \
    0xe3ce3cb6U,     0x1eba95b2U,     0x1a7b1b4eU,     0xf619e3a2U, \
    0x19ea201bU,     0x023f0c2cU,     0xc73521bdU,     0xb9c7ad32U, \
    0x21bd35ebU,     0xefea08f3U,     0x2dfd69f5U,     0xf5faf12dU, \
    0x86273ab5U,     0xf329b352U,     0x58b58dbcU,     0x1f2869eeU, \
    0xcb5658fcU,     0x1ee8ad34U,     0xb5eefbb4U,     0xbd44e22dU, \
    0x524d1b2cU,     0xe7dd6dc2U,     0xdbd752d6U,     0xcf001f62U, \
    0xa62c061cU,     0x09ff7542U,     0xfcccb2b4U,     0x9f5c3bb1U, \
    0x1aa36081U,     0x1afb66f0U,     0x95357befU,     0xeb3e452dU, \
    0x43b30566U,     0x43ce324fU,     0x24c85fa5U,     0x8bc56b83U, \
    0x7978e451U,     0xa51a948dU,     0xfb67d4edU,     0x21b699ceU, \
    0xc42d35c5U,     0x1cc07d8bU,     0x7d00472cU,     0x55854262U, \
    0x6cac2773U,     0x1f2d88f5U,     0xbd070f0fU,     0x4f15f155U, \
    0xc60aa524U,     0xf44cb645U,     0xbb9b61eaU,     0xb3d9e8a5U, \
    0x3c24cf28U,     0x2843e9d6U,     0x16b34a0bU,     0x4d9b9171U, \
    0x823a7636U,     0xef7be9f2U,     0x1c167277U,     0xeb545335U, \
    0x6f5868aeU,     0xbb6b6349U,     0xe2b7577dU,     0x38308eb9U, \
    0x5aaf4b06U,     0xfb8e9d7bU,     0xe715a5ccU,     0x551c264aU, \
    0x304eb0d0U,     0x0009bc38U,     0xcc395d85U,     0x9fd44efdU, \
    0x295d026fU,     0x14ccf0cbU,     0xa3c64073U,     0x0343a50cU, \
    0x21e7f49aU,     0xfae59a7bU,     0xc09211c7U,     0xf4139652U, \
    0x3328fb6eU,     0xbaa21bf1U,     0x3a7913acU,     0x5e8b11b6U, \
    0x58de4d2cU,     0xae54efd3U,     0x6f320b0dU,     0x79ba3564U, \
    0x69778b00U,     0x841fe36bU,     0xef4b3b0fU,     0x873c0e1eU, \
    0x789c7bb3U,     0x84540945U,     0x17d6c2d3U,     0x017d86e0U, \
    0x195de10cU,     0x42153147U,     0x8b66f9a5U,     0x804078caU, \
    0x7007b9a3U,     0x182f0442U,     0xd92e1f61U,     0x097a8524U, \
    0xffa74734U,     0x67c0a444U,     0x3633b472U,     0x1755a0e3U, \
    0xfc0e1880U,     0xdc6aefbfU,     0x34f91ba9U,     0xb4d1e39cU, \
    0xbbdb4391U,     0x555f4384U,     0x3b90299cU,     0x68f11e09U, \
    0x0227ad3dU,     0x91d40c78U,     0x29f9f458U,     0xfb6929ddU, \
    0x6821f47bU,     0x1dc4a642U,     0xd6d7edeaU,     0x3152921eU, \
    0xca5ff296U,     0x616e1f0eU,     0xd5d6970dU,     0x5664077cU, \
    0xe322f2ddU,     0x3b17c078U,     0x73f00ed5U,     0xb2dcdb1dU, \
    0x12e6e163U,     0xcf13d850U,     0x5b3cc9a1U,     0x2a73fee5U, \
    0x5e8f6faeU,     0x468210d1U,     0x6c8fc3a2U,     0x31c82297U, \
    0x0f34e087U,     0xd6e626c9U,     0x46a907b9U,     0xe17cfaa6U, \
    0xa0565aceU,     0x8acc1d1bU,     0xa7386159U,     0x7f1cc606U, \
    0x8c969bc3U,     0x38ed90dcU,     0xe30a724cU,     0xd651a216U, \
    0x0ae040daU,     0xa4eeaf45U,     0x481256b1U,     0xdb2205aeU, \
    0xf1d2977aU,     0xe38a0325U,     0x28b82858U,     0x12de5240U, \
    0xbc1cd273U,     0x04a3c125U,     0xebc21da5U,     0x4a29258aU, \
    0xf15eb196U,     0x315f795eU,     0xb21bbb0bU,     0xa3575ce6U, \
    0x74d0eaadU,     0x1c00b734U,     0x3823e221U,     0xf601411dU, \
    0xb4cd7bb4U,     0xbc4ab414U,     0xa32575daU,     0xdfb30595U, \
    0x933d4c41U,     0x746df3a7U,     0xa9606e95U,     0x64f4f319U, \
    0x51970b27U,     0xb530248dU,     0x62b1daa3U,     0x2335927cU, \
    0x4c3b1966U,     0xb59d8a9eU,     0x82fe2a3cU,     0x69385357U, \
    0xf982bbebU,     0xf2ddfd45U,     0x21171180U,     0x41dd9c35U, \
    0xbdda1bffU,     0x6a660b7eU,     0x4c065307U,     0xd8b6454fU, \
    0x604d5c33U,     0xb0d24e56U,     0xe93c7719U,     0x3007819dU, \
    0x21b6e8edU,     0x73644e6bU,     0x94d7b009U,     0x5c323322U, \
    0x46acf92dU,     0xc17ab958U,     0x8651e0d2U,     0x9e7cf572U, \
    0xdfc9cf87U,     0x2822d2feU,     0x798410e5U,     0xaa247ff8U, \
    0xe580e2ffU,     0xe459c65cU,     0xacf2cfc5U,     0x826288e6U, \
    0x636c6003U,     0x2ee15751U,     0xf3e25328U,     0x3802a162U, \
    0x33dfec50U,     0x5e739f00U,     0xcc04092aU,     0x4371660eU, \
    0xa3e67418U,     0xc41bdb9eU,     0xb04b0f43U,     0xc910d63cU, \
    0x5a608348U,     0x91c33bddU,     0xbfb9d957U,     0xa6dd8703U, \
    0x03e1db50U,     0x52211b15U,     0x75cda245U,     0xf1e7f8cbU, \
    0x79b941cfU,     0xb81fa1b8U,     0x3da59f89U,     0xf81a50edU, \
    0x20af334fU,     0x97ffd568U,     0x5ca486bdU,     0x491ecc24U, \
    0x210a142dU,     0xc3a340e6U,     0x0a867373U,     0x9c7854b9U, \
    0x5ff4761cU,     0x14c2ade8U,     0xa870cf6fU,     0x04621755U, \
    0xdcde5999U,     0x26658714U,     0x3b636088U,     0x997274f8U, \
    0x42180172U,     0x04fb8faeU,     0x044fe69eU,     0x2367fa85U, \
    0x34ec9f1dU,     0x206df832U,     0x17e31562U,     0x6c619be2U, \
    0x5a73011aU,     0x016dc718U,     0xfb92cf92U,     0x034f2cf3U, \
    0x24a7c2e0U,     0x54fef76aU,     0xef39be29U,     0x2c9bf003U, \
    0x6fe571b5U,     0x81850730U,     0x46651be0U,     0xc18f9e84U, \
    0xa94c9579U,     0x5c0edef8U,     0x6862dbacU,     0x029c1960U, \
    0x20fde49fU,     0xf850dffbU,     0x15cab2dcU,     0x222c4f00U, \
    0x04a6366dU,     0x2a16bcc0U,     0xd92052beU,     0xfe0fa982U, \
    0x1101c980U,     0xdf3aa2caU,     0x103ae4fbU,     0x169723d0U, \
    0x136d65c3U,     0xe1bfc9ddU,     0x7a508b60U,     0x3d1f82dcU, \
    0xc6791d71U,     0x897d0d9dU,     0x7c77290bU,     0x8edf171cU, \
    0xaa93764eU,     0x4b2b7928U,     0x3339579fU,     0x9c807724U, \
    0x7621e185U,     0x04dad428U,     0x4ef3e0e2U,     0x1df8f517U, \
    0xc0ce6b7fU,     0xe7ec864aU,     0x4a61a66dU,     0x6be242d3U, \
    0x8d14d728U,     0xc02f9d87U,     0xa9ede5f4U,     0xbbaafd59U, \
    0x55da5702U,     0xa62090dbU,     0x8d1ab61dU,     0x4c5d910dU, \
    0xc8abdba9U,     0x4485474bU,     0x53e29803U,     0xbe411b55U, \
    0xd9c58c5aU,     0x6871723dU,     0x86eabb61U,     0xa7565cedU, \
    0x0d09ca68U,     0xe5505be8U,     0xfae029d2U,     0x9fdec81dU, \
    0x89d5f7b4U,     0x554e1055U,     0x493c1279U,     0x7a423183U, \
    0x4ae48e6dU,     0x1b06396fU,     0x86b23c8bU,     0x5670c9a7U, \
    0xf366d158U,     0xdfe0e3abU,     0xbf521063U,     0x1273c279U, \
    0x443e319dU,     0x3ac2117aU,     0xd9178f04U,     0x84dda221U, \
    0xe96bacc6U,     0xdce3cc17U,     0x2a3aba83U,     0xabc7eb7aU, \
    0x5ae43a9aU,     0x60872a5bU,     0x019d2a93U,     0x619c8892U, \
    0x8a6edd60U,     0xe6e2ec1aU,     0x2fd9f5e0U,     0xea26e5a4U, \
    0x3d057cd5U,     0x69a7c359U,     0x551550ebU,     0x4a79abd3U, \
    0x53ed64c3U,     0xa9985b2dU,     0x719ed668U,     0xef53ef0bU, \
    0x11aabcbeU,     0x3384e374U,     0xed48a317U,     0x44cf9242U, \
    0x20b95f22U,     0xa8518163U,     0x843024b5U,     0x62101cffU, \
    0x9ce90223U,     0x75f4c539U,     0xd0036b45U,     0x9bf5729dU, \
    0x8bea450aU,     0xda517981U,     0x7f4073e8U,     0xc646c275U, \
    0x78c16768U,     0xb72245e6U,     0x3397c07aU,     0x5e72f338U, \
    0x37f80a7fU,     0xdfce03e5U,     0x8266ad30U,     0x65604fc0U, \
    0xa04fc785U,     0xcce4b405U,     0x3d0c0accU,     0x5dde2426U, \
    0x55678102U,     0xca386c6bU,     0xfbb47cddU,     0x9a0e0dd1U, \
    0x08272b23U,     0x8279100eU,     0x799a10c4U,     0x687d57c4U, \
    0xcb3523faU,     0xf731ca63U,     0x0d5613f5U,     0x88a0fb42U, \
    0xa7d1bbcbU,     0x78abcda0U,     0xc902e630U,     0x0e3ff154U, \
    0x6c08c172U,     0x9fa4e0eaU,     0x7972cdeaU,     0xc0fdfbeeU, \
    0xfad6fceeU,     0x41ad5e6bU,     0x8f45c4e6U,     0xb01c5ff9U, \
    0x1ecdf7b3U,     0xe505e5d0U,     0x5c50742cU,     0xd4317b78U, \
    0x4c138f3dU,     0xdea4dc35U,     0x7cabe680U,     0x98c99114U, \
    0x3b660a05U,     0x1b847e23U,     0x477f1c17U,     0xaaa87c38U, \
    0x36ca90ccU,     0xf3a19534U,     0xa27afde2U,     0x5f8b4069U, \
    0x1cf2e17bU,     0x75f4983dU,     0xb2a8d99cU,     0x1035e757U, \
    0x2579365aU,     0xedacbfc5U,     0x5b26843aU,     0x6ebb8321U, \
    0x5aaee914U,     0x9c687680U,     0x30c8b725U,     0xccf4b421U, \
    0xa31b9ae9U,     0xf35e104bU,     0x86027a46U,     0xb3a6395eU, \
    0x301cd018U,     0x1bf0382aU,     0x7b7cd567U,     0xb2b0acc8U, \
    0xd22e835aU,     0x77856d7aU,     0x1332b7cfU,     0xe67e6a81U, \
    0x8908d424U,     0xeb10bb91U,     0x29189f07U,     0xb93106bdU, \
    0xd73dd74cU,     0x4c09e75eU,     0x9807b05bU,     0xcdc80b6eU, \
    0x4b712c05U,     0xf08f2631U,     0xc02dfcebU,     0x8fdd4876U, \
    0x074483adU,     0x318a5078U,     0xd758e99cU,     0xeda9c685U, \
    0xbf513737U,     0x2ddc70bdU,     0x9ad7f701U,     0x8835221aU, \
    0x66a46c5dU,     0xd33812c5U,     0x345a281aU,     0x0eb20cefU, \
    0x305da8c8U,     0x0534ddd8U,     0x2d962330U,     0x57c72c82U, \
    0xf7290c94U,     0x9f33e7a8U,     0x5c6ca98bU,     0xc3086a7eU, \
    0x2ce3e6fdU,     0xfca21c50U,     0x56a12d9fU,     0x9b477270U, \
    0x4668de6eU,     0x7f9c982cU,     0xc0905c96U,     0x93964b3dU, \
    0xc1381017U,     0x8e36d598U,     0x1aeff667U,     0x33280e10U, \
    0x260d88b8U,     0xe15e6a9dU,     0x287712dbU,     0x163a9098U, \
    0x06d8cdc8U,     0xf7a66454U,     0x19dedad7U,     0x69cadf1cU, \
    0x87792133U,     0xfd5e438dU,     0x10a80ad3U,     0xaa3f7a3fU, \
    0xfbd2f620U,     0xe1cbdd8bU,     0x6145cd4dU,     0x50d65c80U, \
    0x7ef4a198U,     0x6aa8ad31U,     0x090c175fU,     0x4d57bbc8U, \
    0x7ad2de68U,     0x1b4934aeU,     0x69d4ed0bU,     0x71b55793U, \
    0x3e6f7953U,     0x1a2be5d4U,     0x8e3cf3eeU,     0x962af232U, \
    0xec27d3aeU,     0x2639dceaU,     0xbe168567U,     0x9c2f05eeU, \
    0x8ca9a1e8U,     0xd2425af2U,     0x6d1e5d0fU,     0x0aed9956U, \
    0xaae983e2U,     0x17a6559eU,     0x8cb79b5aU,     0xc6c32c56U, \
    0xb45aab3fU,     0x45efc618U,     0xf2d8e382U,     0x38bb4cb8U, \
    0xfc697a99U,     0x1aab03caU,     0x664f4bb5U,     0x96401acfU, \
    0xfff44aa0U,     0xe9ef941dU,     0x77920557U,     0xc0ca50b7U, \
    0x28fe890aU,     0x675afe71U,     0x3f47ef80U,     0xeb7e1c69U, \
    0x39ce7793U,     0x4c4885d9U,     0xa0770dd5U,     0x8eb08e83U, \
    0x2aae1f20U,     0x05983168U,     0xc14daf5bU,     0xf7e06e79U, \
    0x7491173fU,     0xb301de1eU,     0xb9543b99U,     0xf93be25eU, \
    0xf88aee7eU,     0x4aa069ecU,     0x3cb89f28U,     0x1d2de4f2U, \
    0xcde22842U,     0x2bace203U,     0xa5011ea8U,     0x42e12286U, \
    0x8c5b2329U,     0x8e9d5b3cU,     0x69af1665U,     0x39fd8d30U, \
    0xae3b53fdU,     0x5f9c43c3U,     0x15db2e23U,     0xbddadc38U, \
    0x3a705651U,     0x24085745U,     0x4ef0519cU,     0x0f696033U, \
    0xd0124aa0U,     0xd9ba7e43U,     0x840addf4U,     0x78791ef2U, \
    0xac51434fU,     0x3cdd183cU,     0xeb7eb8efU,     0xeeb14aa4U, \
    0x8c82e50aU,     0x84480da6U,     0x7a20d5fbU,     0x0c1222c8U, \
    0x46549979U,     0x4c74e449U,     0x4f73b8bbU,     0x27bfe97cU, \
    0xb093e374U,     0x54286c79U,     0x19e17f9aU,     0x849162d8U, \
    0xd68c1175U,     0x70410e31U,     0x5bf90022U,     0x70fd58e9U, \
    0x3490c1b4U,     0xe67589f0U,     0xdeee0e4eU,     0x4787dcbcU, \
    0x1802ec94U,     0xa215f10bU,     0xcdeac5e6U,     0xca39f432U, \
    0x2e893790U,     0x06319fdbU,     0xc5ad0ca9U,     0xf20bb45dU, \
    0xa05f8341U,     0xe28a2a58U,     0xae456bb7U,     0x66c622f2U, \
    0xa77c87b0U,     0xc336f0b1U,     0xd129e512U,     0x579e686cU, \
    0x2a6325e6U,     0x1c67bbb7U,     0x65be0acaU,     0x3ccd627fU, \
    0x5dca3670U,     0xaf3e6e5aU,     0x7268b972U,     0xd8ef078eU, \
    0xe26734e0U,     0x20619a59U,     0x4610078bU,     0xd2b75fb7U, \
    0x6094b7aaU,     0x90e341faU,     0x91c162f5U,     0x9abf415cU, \
    0x4d5d1d11U,     0xa287f0a9U,     0xacfd1343U,     0x621c12dbU, \
    0x1d6192e8U,     0xdc565ab0U,     0x5e5da4cdU,     0xe2a7117aU, \
    0x7919e262U,     0x083949a8U,     0x105e6651U,     0x88109e82U, \
    0x128943deU,     0x9ea3f46bU,     0x38eae51bU,     0xc23735b7U, \
    0x91e7ebf4U,     0x10372b19U,     0x6dbf1a41U,     0xa0fd9909U, \
    0xa5ae0e04U,     0x586ff409U,     0x27bfae14U,     0xd948973cU, \
    0x602560f6U,     0x106264d5U,     0x6e98d1e5U,     0xb0203beaU, \
    0x5731f1d0U,     0xaead888fU,     0xd0963554U,     0xc583a969U, \
    0xc09582eaU,     0xb148589eU,     0x3ecb7ab5U,     0xc21b3bdfU, \
    0xbc0a8a40U,     0xb96a93e1U,     0xcb5efd39U,     0xdc48b094U, \
    0xbd26a12aU,     0xf0913951U,     0x05980e8cU,     0xd06abdcdU, \
    0x5c13ae55U,     0x54f2ccd6U,     0x127ab288U,     0x82a40102U, \
    0xd4381719U,     0x6ab8a677U,     0x97b6e789U,     0xefa48c29U, \
    0x57d9ca45U,     0x28bdd032U,     0x45861d6bU,     0xa7d911e6U, \
    0xfaf55374U,     0xe7fa3685U,     0x69957be3U,     0x8d75a0edU, \
    0x03476f6aU,     0xbd6c27d0U,     0x83b558a9U,     0x8e3af8f6U, \
    0x4785bf14U,     0xf86b893eU,     0x5f6260b6U,     0xec9dc147U, \
    0x90fdb061U,     0xc3cf1c15U,     0x7f83d3c0U,     0x462f5953U, \
    0x7343a84bU,     0x9909d08aU,     0x23713827U,     0x20bb98e9U, \
    0x59d6cf6aU,     0xc10a7207U,     0xb0624a3cU,     0xebee76d6U, \
    0x0756a81aU,     0xbb2b4347U,     0xef950d67U,     0xf66ba87aU, \
    0xf076f5ccU,     0xdd324a11U,     0xf35cda30U,     0x6c9dbe14U, \
    0x985dd29dU,     0xb440e3d6U,     0x34c90c65U,     0xf6dab1cdU, \
    0x4cf1e766U,     0xa4faf424U,     0xcdd75379U,     0xd7f093e3U, \
    0x587ce6f8U,     0xde7cec3eU,     0x4249f137U,     0x43efe756U, \
    0x0c469792U,     0x18210c75U,     0xec17b045U,     0x7d330023U, \
    0xb6bcffb9U,     0x83ac9d67U,     0x5fd3c542U,     0xf58afcdcU, \
    0x5983f98aU,     0x58ef7ef9U,     0xec103a31U,     0xe13302d8U, \
    0xa57ebe7dU,     0xc0265a32U,     0x40b68af0U,     0x26d3fce7U, \
    0x2a5b6450U,     0x74c08aabU,     0x608a2b2dU,     0x805f16adU, \
    0x01bf5e0bU,     0x0f0cc535U,     0x2ab82237U,     0x6bf85008U, \
    0x40872198U,     0x4e77c2ffU,     0x46828824U,     0xdcc211ccU, \
    0xe86208bfU,     0x8194feebU,     0xed406aa0U,     0x7928e208U, \
    0x36b268e0U,     0xf142bd5fU,     0x966cc16dU,     0x1c63f256U, \
    0x875aefc3U,     0x430d41b2U,     0xf7a05486U,     0xcf513572U, \
    0xe0162554U,     0x4b5bf192U,     0x4f4412a8U,     0x57f648d7U, \
    0xca724627U,     0xa1f8a40cU,     0xa5f15e60U,     0xe99a30a1U, \
    0xef0167ebU,     0x1ce02c40U,     0xec42d297U,     0xca69f26bU, \
    0x29024bf4U,     0x21a30e82U,     0xdae28315U,     0xc155b89dU, \
    0xaf4fcebcU,     0x0a54ac5fU,     0x43689df0U,     0x31413fa4U, \
    0x152e58e8U,     0xb4c70d32U,     0xa0dbde7bU,     0xee803073U, \
    0x5601c770U,     0x43ef0f62U,     0x3e678b9bU,     0xf5c49277U, \
    0x07dbce92U,     0x2bafdd2dU,     0xcceed3aeU,     0x71a93b4aU, \
    0xd79305bcU,     0x6897805aU,     0x1f9be9c6U,     0xab9091c4U, \
    0x7e95c012U,     0xe2788ad2U,     0x0e6cff33U,     0xa2040541U, \
    0xf9b9b016U,     0x0f399721U,     0x1299e3f5U,     0x493883e0U, \
    0x8e46cf91U,     0x85ca0caaU,     0x2055f9ecU,     0x52fcfeddU, \
    0xd5078207U,     0x9e78369eU,     0x84ea93b6U,     0xfbf62424U, \
    0xddcab220U,     0xa84851c8U,     0x0cbfd8b5U,     0x26075f8bU, \
    0x3b91ebffU,     0x923cb92bU,     0x706172daU,     0xfa40974dU, \
    0xaa79514cU,     0x92d26b67U,     0xbab254cbU,     0xae645e61U, \
    0x0fe0b17bU,     0xf42cb86fU,     0x1e445572U,     0xd4b0ac07U, \
    0x0fd49f7bU,     0x24e046e3U,     0x91548553U,     0x9bf65b1cU, \
    0x18229c26U,     0x572bf813U,     0x2c94b83aU,     0x85647225U, \
    0x53603f8dU,     0x6d9a72bbU,     0x77296265U,     0x58c71d24U, \
    0x98066a25U,     0xd2953b95U,     0x3b7c522dU,     0xd71bf4e8U, \
    0x29adff33U,     0x1f34f467U,     0xa908ec64U,     0xb45db34cU, \
    0x7a2fd9afU,     0xbe3dfbfeU,     0xe79b74c6U,     0xccb3faabU, \
    0xa0fb5627U,     0xa8db77aeU,     0xc8ba4b40U,     0xd3ff8392U, \
    0x26ea9f06U,     0x9860624fU,     0x34378a49U,     0x76e08bf5U, \
    0xcb00cb6aU,     0x04987b78U,     0xd95761e4U,     0xaa7fd7ccU, \
    0xbde81f25U,     0xe18030aaU,     0x2e0a9c39U,     0x3ef1a23eU, \
    0xc7ee6e6dU,     0x72a6b030U,     0x59e72f99U,     0x6e443a51U, \
    0x50be0a22U,     0x0553c7afU,     0x051aacd0U,     0x90072a70U, \
    0x5be02206U,     0xfeb304bdU,     0x3bbf807dU,     0x540ccb15U, \
    0x8d4b9dbcU,     0x10be5f29U,     0xd6aeb5fcU,     0x1c023630U, \
    0x61d173a1U,     0xe3cb8842U,     0x284aa9c3U,     0x0ba894acU, \
    0xe6f68681U,     0x52eb331aU,     0xc422ab40U,     0x00108517U, \
    0x9a645dfaU,     0x29989403U,     0x5c6f6c0cU,     0xbb2876c9U, \
    0x6b88c531U,     0xa9764479U,     0x33b1caa8U,     0xe5207510U, \
    0xb4e004ebU,     0x45514683U,     0x9e385c3eU,     0x37d003e1U, \
    0x02aa9befU,     0x06e933fdU,     0x01ca9227U,     0x887bd7deU, \
    0xeeb30dccU,     0x8b1d928aU,     0xea6003b4U,     0x56ca0380U, \
    0x0c032b9eU,     0xddbaab3dU,     0xe736a04dU,     0x0ae16402U, \
    0x594f288cU,     0x1339bce7U,     0xcf40e046U,     0x7f6dfdfcU, \
    0x382e8e53U,     0xeb4670ceU,     0x0bc525b2U,     0x37cd13c9U, \
    0x17a4f55aU,     0x541c69a1U,     0xdb68dcc5U,     0x18cc772dU, \
    0xff5d43d1U,     0x76d494caU,     0x110333baU,     0x9261140fU, \
    0xcf23c103U,     0xfe958dcdU,     0x2f3c9934U,     0x67907269U, \
    0xc860d921U,     0x469b6107U,     0x015d27b6U,     0xe69b09dcU, \
    0x63b8d680U,     0x6b3b866eU,     0x2bdee3efU,     0xdfa82d59U, \
    0xbbf9c524U,     0xe95f97baU,     0xa0389a3aU,     0x054f82d6U, \
    0x8661ef46U,     0xceda993cU,     0x3c6dc079U,     0xc596576bU, \
    0x8811677dU,     0x42c729b7U,     0x2f2adae0U,     0x1932f195U, \
    0x745edefbU,     0x1e7cf1d8U,     0xf267dbfaU,     0x9059abc8U, \
    0x0b5c772fU,     0xf44c79cfU,     0x77baa64fU,     0x89ee7431U, \
    0x9c92c34cU,     0x0f4c70c5U,     0x584b4886U,     0x69a7bce2U, \
    0xbc89f722U,     0x6fa16051U,     0x0918cc98U,     0x76fa2b9dU, \
    0x60f71ee7U,     0x0b06c51eU,     0xff7d2870U,     0xb2f8adc9U, \
    0x92d67f0eU,     0x1f72df53U,     0x43d359ecU,     0xe8655c8bU, \
    0x07c5d22eU,     0x2cc99014U,     0x6d8a3c01U,     0x47eb9c92U, \
    0x7b719512U,     0x81353254U,     0xe15850a5U,     0xaacd6deeU, \
    0x5a832e6dU,     0x278b012cU,     0xe59be396U,     0x138d3bd7U, \
    0x8a1acf14U,     0x81a790b6U,     0x0e87bfaaU,     0x2fcf767fU, \
    0x0ad4daefU,     0x5e9c48f7U,     0x401b2b83U,     0x78426d0bU, \
    0x27be9afeU,     0xe1606eceU,     0x9af9fe5aU,     0xe1769d54U, \
    0x1a40a483U,     0x264c554aU,     0x45993cafU,     0xe35923c9U, \
    0xb81d43a5U,     0x4fccb2faU,     0xaa65fc5aU,     0x9fb4d0baU, \
    0x25f2df2cU,     0x5b1ce354U,     0xa40b313dU,     0xec4d43b1U, \
    0xf745533aU,     0x15a59a6cU,     0xdd942c45U,     0xab543cedU, \
    0xca706727U,     0xe93a87cdU,     0x5ac20db3U,     0x0a4865c8U, \
    0x76181ee4U,     0xc385ac23U,     0xffee5e0eU,     0x84d2cb01U, \
    0x4612a4f0U,     0x8103237eU,     0x1e5d8fd4U,     0x2cd3ee62U, \
    0x711905ebU,     0xbc6cde14U,     0x78a6f2baU,     0x558bd7c5U, \
    0x37c95b21U,     0x04d99106U,     0x001e0528U,     0x71d3c2a9U, \
    0x0c91d2f9U,     0x15c63d49U,     0x1f3dc94cU,     0x6a821ba1U, \
    0x34d5c51eU,     0x12f648f6U,     0xee4eb95fU,     0x9c39c641U, \
    0x7a7ef4f7U,     0x3d69afdeU,     0x8290e0eeU,     0x61660433U, \
    0xe607797bU,     0x7a90b013U,     0x8baae762U,     0x435e79feU, \
    0x08e24c92U,     0x125cbb5dU,     0xa05ba819U,     0x5903deecU, \
    0xdc26f036U,     0x339da293U,     0x621ce3a9U,     0xf0187119U, \
    0x6a6f980cU,     0xc8c940b1U,     0xb5a12789U,     0x81d0fc4aU, \
    0xb7f993ddU,     0x6c6e0e4fU,     0x26ffe5e5U,     0x26c4b757U, \
    0x12ab2970U,     0x9ff5e1a2U,     0xfdcbf5ceU,     0x9ead2891U, \
    0x76522f87U,     0x6fbc2c27U,     0x9d652726U,     0xa8ec89a3U, \
    0x1c5ebbf6U,     0x65a249ecU,     0x37e410b3U,     0xbb1f6161U, \
    0xb2b29258U,     0x9c966226U,     0x8a873d85U,     0x1b03e4abU, \
    0xe2d36203U,     0x290172a1U,     0xbbbd2d83U,     0x60804c49U, \
    0x28c64267U,     0x469ddfe0U,     0x6d2100e7U,     0x21aebeffU, \
    0x45f57bcbU,     0xaa9c577bU,     0x1176045aU,     0x049b8cb4U, \
    0xa3da3d70U,     0x172cc0ccU,     0x3ba8657aU,     0xe31d5c5eU, \
    0xcc6fe7d5U,     0x3aae9953U,     0x89e34135U,     0x20caa481U, \
    0x5dcc578bU,     0x1d3a1fc8U,     0xb6ae04a0U,     0xbf96f85cU, \
    0xc1da50bdU,     0xc4182d43U,     0x79d3aaf7U,     0xaa2e1410U, \
    0x48406e0cU,     0x96f2e404U,     0x4ce68eb2U,     0x63f3a196U, \
    0x2216dc6aU,     0xc78d52c9U,     0x12e9394bU,     0xb8da077bU, \
    0xfafb6452U,     0x6e7821cdU,     0x1adc0fc2U,     0xe240671aU, \
    0xdc0c4ad9U,     0xacf2ac94U,     0x05872354U,     0x299cce53U, \
    0xc511fe98U,     0x2efb4499U,     0x238c01a6U,     0x8be525d0U, \
    0x0a7e530dU,     0x68fa9103U,     0x2ae72667U,     0xa9e5e1e3U, \
    0xec2431c3U,     0x984ea351U,     0x29d08949U,     0x8b2164a6U, \
    0x3012acf2U,     0x7f580f28U,     0x9a1d2bd6U,     0x0d758c17U, \
    0xefc45cd3U,     0xaf9a2a17U,     0xca0c424eU,     0xa9515a20U, \
    0x131b7436U,     0x0ee412b2U,     0x1454185dU,     0xacfe07feU, \
    0xcd2fab37U,     0x15bb7a34U,     0x9f369c98U,     0xeb5af6feU, \
    0xe714e4c8U,     0x73cefaafU,     0x269f3536U,     0xbb7414adU, \
    0xe5b863dfU,     0xdecfbe7bU,     0x9f06bcc6U,     0x57ba1e38U, \
    0x2160062bU,     0x790cbc27U,     0x43b91a80U,     0xe84ce5daU, \
    0xb6dcb009U,     0xbf54421cU,     0xeedee6b6U,     0x65c050f0U, \
    0x835f4847U,     0x9c28ed82U,     0x96ac5e53U,     0x0e5dfa40U, \
    0x32ffff1eU,     0x35cd099cU,     0x16d3eac0U,     0x66a528f2U, \
    0xb9748ac2U,     0xd1472f65U,     0xa6a21711U,     0x8a22633eU, \
    0xf552993cU,     0x8d83e187U,     0xb493922bU,     0xf45ae83eU, \
    0xc03e3203U,     0xa0588c8aU,     0xb4cefe5dU,     0x6919f9e6U, \
    0xb7a8b504U,     0xc9c26c85U,     0x404ae91bU,     0x17ae5680U, \
    0xccf23ef2U,     0x2198a9afU,     0x016f3981U,     0xc05bcd24U, \
    0x1b9bc7e1U,     0x7afa7a32U,     0xc0ba9631U,     0xe2483e88U, \
    0xf13ec343U,     0xc3a5793cU,     0xae5976e4U,     0x353a7dbcU, \
    0xb98da8e4U,     0x938ff60fU,     0x2d2b115eU,     0x2645f88aU, \
    0x65d5d8bdU,     0x2e666433U,     0x85308ed9U,     0xd1648172U, \
    0xd069dd35U,     0xf1677337U,     0x6ed0137dU,     0x8d061a40U, \
    0xaffa6296U,     0x81dde2d2U,     0x2cc61680U,     0x4f53b44fU, \
    0x216bb6e3U,     0xbf999666U,     0x44be2b5bU,     0x8ad689b8U, \
    0x3b29a5d1U,     0x358bc7d1U,     0x00854f90U,     0xae388d83U, \
    0x49ac16a5U,     0x98cc8737U,     0x0f6450b3U,     0x8fa7c47aU, \
    0xb8641f08U,     0x13c10076U,     0x8e9aa454U,     0x198c7d10U, \
    0x93d49f6aU,     0x82017f29U,     0xc97f91edU,     0x0454f8fdU, \
    0x5a4c8becU,     0x9198cedfU,     0x5c14fde3U,     0xe8207ff0U, \
    0x3c2b8297U,     0x99a4a057U,     0x3f422a89U,     0x22894563U, \
    0x45071cbfU,     0x209d485eU,     0xa5d7673dU,     0xbb45184eU, \
    0x90773608U,     0x2024c917U,     0x698e805dU,     0xd1c15eeeU, \
    0x2b8f867aU,     0x95d334feU,     0x6aab7e13U,     0x933785c3U, \
    0xe15f60dfU,     0x87deb1daU,     0x4fbf9ec1U,     0xf5b9a4d5U, \
    0x6e3c2339U,     0x32cf840cU,     0xeeffbbb2U,     0x3138b09aU, \
    0xe5c77a12U,     0xf9958a00U,     0x07b137ffU,     0x8caaf959U, \
    0xaf52566dU,     0x9b4f4a95U,     0x60f79919U,     0x46509f53U, \
    0x0479754bU,     0xd900262fU,     0xfbbead7dU,     0xe10282d9U, \
    0x3bf10a23U,     0x2b4fd78fU,     0x8c7ac643U,     0x5adb1c6cU, \
    0xfb50c254U,     0xe020d0a1U,     0x20a46249U,     0x0e0a8ee7U, \
    0x1bf4879dU,     0xd7ffc525U,     0xa7684e82U,     0xa02f5011U, \
    0x657fb18fU,     0x9421bc9fU,     0xeadd5b69U,     0x5e6ede34U, \
    0x7ff85165U,     0x2c81cde7U,     0x2155b653U,     0xf844fce4U, \
    0x04016633U,     0x24545824U,     0x8a9860dcU,     0xfa018bf9U, \
    0x9c01d562U,     0x6dfebdc2U,     0x6541bfecU,     0x33752fd7U, \
    0x4cb76aebU,     0x68d71e79U,     0xc371ee14U,     0x0eab8335U, \
    0x41161474U,     0x9f0676b8U,     0xd4bf4f00U,     0x89fae7dbU, \
    0x4268cf09U,     0x21cef0abU,     0xdbba0649U,     0x419bc0bfU, \
    0xe8d7d683U,     0xa0ad0efbU,     0x6a37b4ddU,     0xbcb860d2U, \
    0x0a67307cU,     0x2ecc6fecU,     0x6a880a14U,     0xddd83db6U, \
    0x59d3c18bU,     0x2ddb9eabU,     0x007c87c9U,     0x7a7fc091U, \
    0x0e241c3dU,     0x9d8935a8U,     0x8ef59924U,     0x75264152U, \
    0x58176a60U,     0x96467b65U,     0xe5bd0473U,     0x6e893800U, \
    0x530bff8eU,     0xa6fa9a10U,     0x9dfb9872U,     0x5cdef2e2U, \
    0x65d4b107U,     0x0af9fbcaU,     0xaa5dd7eeU,     0x4f591b3aU, \
    0x640d4a12U,     0xe80b8c8bU,     0x98551063U,     0xd5a1e032U, \
    0x2f880747U,     0x3bcde97bU,     0x3751d149U,     0x333c16f8U, \
    0x1e59f478U,     0x63288932U,     0x9c749756U,     0xeeea3ed0U, \
    0xa4546534U,     0x944d324dU,     0xe5566d00U,     0x0f2473a0U, \
    0xad3c420eU,     0x116bc955U,     0xc4c9fe53U,     0x4b3640caU, \
    0x98198617U,     0xf5a7861dU,     0xdb1ac14bU,     0xfb1c79a5U, \
    0xc1ba7359U,     0x0429759cU,     0x2638cb74U,     0x307535e5U, \
    0x9bf4762dU,     0x019cfd86U,     0x5a1b9651U,     0xb5ecc252U, \
    0x16e272f7U,     0x14cf48d9U,     0x90706bc0U,     0x36fe5791U, \
    0x01311f11U,     0x98afd7afU,     0x688595aaU,     0xe245e060U, \
    0x15159922U,     0x83c8649eU,     0x2f39c335U,     0x59269b83U, \
    0xab96bdb9U,     0x05f8b309U,     0xb8654761U,     0xad65a3f3U, \
    0x8a6e522fU,     0x54c4d2e2U,     0x825abaf4U,     0xa57de917U, \
    0x17caba40U,     0x334167f7U,     0x0fbdca49U,     0x2e3b6a77U, \
    0x294d8dffU,     0xe5de5d9cU,     0x729ca7d8U,     0x4f1abb6fU, \
    0x3d9db2beU,     0x8d58aac0U,     0xe33c09c4U,     0x6be23c73U, \
    0xb293218aU,     0x7112b9b2U,     0x57b20977U,     0x28220bb8U, \
    0xba61a227U,     0x0749c7c7U,     0x56d2b2a3U,     0xc83a6a80U, \
    0xc4376eacU,     0xfb410d16U,     0x05516b52U,     0xf9a5bdeaU, \
    0x6da49c3eU,     0xc2bfdc11U,     0xe18dc662U,     0xe09f9659U, \
    0xc4e39301U,     0xf6c0c67fU,     0xb2560fbcU,     0x8448fcf6U, \
    0xcb58d9f3U,     0x51cead2bU,     0x76bf21cfU,     0x388995b5U, \
    0x501a434dU,     0x735726f7U,     0x8553d3a5U,     0xcbc5d108U, \
    0xaa9066b0U,     0xd4bab723U,     0x7f5b54f6U,     0xe56229faU, \
    0xe59fa89fU,     0x20f571f0U,     0x52c7bc1dU,     0xdc28d759U, \
    0x979446d9U,     0xdaef8677U,     0x208429baU,     0xdfadd407U, \
    0x70a9efefU,     0x295c601cU,     0x4c45f275U,     0xf83ac09bU, \
    0x5c3ed796U,     0xbe404659U,     0x30010688U,     0xb45a471aU, \
    0x1730445cU,     0x8b30ec84U,     0x598cab80U,     0x78ff38e8U, \
    0x6afd3f9eU,     0x69f1a9e8U,     0x82dc52c7U,     0xaae6c384U, \
    0xe1fcd58cU,     0x74ad57c7U,     0xfc889d0bU,     0xc05adc22U, \
    0x7f06d722U,     0x1efecb51U,     0xd6e8d0dfU,     0xc0695895U, \
    0x471ef2a5U,     0xb1b6f597U,     0xe3cb258bU,     0xc0507bccU, \
    0x5af24c52U,     0x6a7e1975U,     0x854d4c1bU,     0x7a2d5adbU, \
    0xe179310bU,     0x3a244a6fU,     0x65d97e8eU,     0x658f5783U, \
    0x7b3f11ecU,     0xa1e0408dU,     0x11b5c10eU,     0x80eabc98U, \
    0xdb3cccceU,     0x23eb5ec1U,     0x3d772e19U,     0xf00404feU, \
    0xd4910e28U,     0x0151bc06U,     0xa771dca7U,     0x66b4fbf6U, \
    0x8db378aaU,     0x6d86a0aaU,     0xb2e5583fU,     0x135837ffU, \
    0x15eae431U,     0x5dd732e1U,     0x11c9463aU,     0x42b5d939U, \
    0x9d29b4ccU,     0xf84c8e33U,     0x1a323f1cU,     0x4ff91744U, \
    0xc8190fa9U,     0x199c26a0U,     0x794eb4ceU,     0x404a3dd1U, \
    0xbc0c933dU,     0x65ae0258U,     0x7bf31f5bU,     0x4138ed94U, \
    0x21cab7fcU,     0xcf491ab4U,     0xb26a28dcU,     0x7035cf28U, \
    0xa4fe5c6aU,     0xfca8b9d8U,     0x380214bfU,     0x3327baf2U, \
    0xc2c02297U,     0xa0ed396eU,     0x54025274U,     0x6a2cf85aU, \
    0x45859db5U,     0x4353da8eU,     0xc8a469a3U,     0xdeaaac79U, \
    0x28fe3ac6U,     0x8ab1616fU,     0xde74f404U,     0xbd2f3e2bU, \
    0x35ce6fdcU,     0x1eb082c5U,     0xadc04f3bU,     0x724bb22fU, \
    0xa740fc09U,     0xac70ba81U,     0x08968fc0U,     0x83f48de7U, \
    0x3457d537U,     0x440aa6cdU,     0x326ab29cU,     0x7e8dc9ceU, \
    0xc0d29edeU,     0x173dd3d2U,     0xc48a957fU,     0x44f19accU, \
    0x1148bf99U,     0xef7ca6a1U,     0x2f11b5f9U,     0xa886496dU, \
    0x63a1a90dU,     0xfe7575cdU,     0x7a1b78baU,     0xdf2dd1f1U, \
    0x53fcdf2eU,     0x9b095954U,     0x988cddcaU,     0x143f4d98U, \
    0x6106c102U,     0x2e66e344U,     0x5d213293U,     0xebb67c2aU, \
    0x9d30df5bU,     0x41e4826eU,     0x2870d914U,     0xb3350bc0U, \
    0xe28d0196U,     0xf293e5cbU,     0xc7355560U,     0xd8dc6f70U, \
    0x843efe23U,     0xb955dc56U,     0x228bb55aU,     0xc3ef74ceU, \
    0x8f6c73c4U,     0x89a1d474U,     0x9484b8ccU,     0xd4e6adccU, \
    0x2ff634b0U,     0xbba529beU,     0x41d34cbeU,     0xbb02dd5aU, \
    0x1aa2e7e8U,     0x0d521381U,     0x547b5c60U,     0xab57f7f1U, \
    0x306fe210U,     0xd9e8eff5U,     0x189c989bU,     0xcf81cd4dU, \
    0xaac6c9e9U,     0x9b7eb426U,     0x24675288U,     0x65a31acdU, \
    0xb0a8c25cU,     0xb4bf343cU,     0xac987f84U,     0x66e8b3dcU, \
    0x9468af70U,     0x10209be5U,     0xa6984c25U,     0xe778b763U, \
    0xdf6c73b0U,     0xbe747ae0U,     0x98acdffbU,     0xf7e27308U, \
    0x2607e098U,     0x09ac0a5dU,     0xc0ca878bU,     0x4a99e44fU, \
    0xb8b55f90U,     0x24c9205fU,     0xc8621caeU,     0xff3b43f6U, \
    0x107984d2U,     0xa528ce2dU,     0xc1887e06U,     0x886d9edeU, \
    0x3db65021U,     0x4dc3119fU,     0xd9a1b1c4U,     0xa3181732U, \
    0x70d1ffadU,     0x1d4db9beU,     0x63c432ffU,     0xfc80efa2U, \
    0x12f540c7U,     0x0d24bdf8U,     0x7303a889U,     0x8347e31fU, \
    0x8c6837deU,     0x01caed19U,     0x738777ffU,     0xe134e78eU, \
    0x2e21de74U,     0x54445218U,     0xbe18709fU,     0x4506a8f1U, \
    0xc02b453cU,     0x5daacf3cU,     0x44abd5e0U,     0xda849ba8U, \
    0x2c969547U,     0x5f76200eU,     0x397867acU,     0xce24b646U, \
    0xd33ba8bfU,     0x7c5e4892U,     0xd21c22ebU,     0xd767e9a0U, \
    0xc19dd458U,     0x5728d896U,     0x3c8b8f84U,     0xaabe8e37U, \
    0x3c3b0121U,     0x380889f0U,     0x4495db2cU,     0x6582e75fU, \
    0xbfddbbb1U,     0x78103fd4U,     0x9449c088U,     0x61bc21cdU, \
    0xf231b23cU,     0xc95d7591U,     0x2f78fdbbU,     0xa14cbe74U, \
    0x602b0f14U,     0x9ed1df8dU,     0x5ed4941bU,     0xa12c2e59U, \
    0x4fa6a112U,     0xa9ca9ff2U,     0x7e61b210U,     0xd615ae30U, \
    0x4617decdU,     0x94aa42cfU,     0xb5d54a64U,     0xa1783cb5U, \
    0xa5be5d80U,     0xa31905e6U,     0x573844c7U,     0x502b5b34U, \
    0x1c3aa056U,     0x8a9f75b0U,     0x436d8852U,     0x0da1f1baU, \
    0xa83b28eeU,     0x72eafa72U,     0x0bdfdc02U,     0x358ac825U, \
    0xe8e4895fU,     0x4f801ccbU,     0x67b8e282U,     0xb24d633bU, \
    0xdfeec3caU,     0x29a10760U,     0x44dff6a1U,     0x6a15957aU, \
    0x3cee73feU,     0xbfe9dd84U,     0x9a1aaca6U,     0xb4150e3eU, \
    0x37bfd496U,     0x77d9abe2U,     0xd24d7b57U,     0xacb561b9U, \
    0x43679454U,     0x55c22197U,     0x2ee8b3aeU,     0x77a83f73U, \
    0xf85685a7U,     0xbad84ee8U,     0x36a1656eU,     0xff82d817U, \
    0x236d2751U,     0x114adbc6U,     0x16fa04b7U,     0xbabd816aU, \
    0xfb92830bU,     0x49639b38U,     0x79574d42U,     0x2ebd2cb9U, \
    0xe4bc9fe2U,     0xa3e61f5eU,     0x5e0a9c14U,     0xa5fd2689U, \
    0x26662c4bU,     0xe2a576a3U,     0xfe5db0ddU,     0x5b0759a8U, \
    0x57ef1429U,     0x59eca132U,     0x5ceafceaU,     0xa9cab18aU, \
    0xc98b4e73U,     0x0583adc6U,     0xf15d7d4dU,     0xb99b24a5U, \
    0xc6cd16e2U,     0xd3d4b6b3U,     0xb17ef399U,     0xc7784d5fU, \
    0xd83e8f67U,     0xee83cf23U,     0xfb3f96d7U,     0x8deb0860U, \
    0xe3187216U,     0x3e1c7eedU,     0xb69e93aaU,     0x978a4d5bU, \
    0xf4bc6c4eU,     0xefc5a615U,     0xd58afb02U,     0x53d864aaU, \
    0x141489a8U,     0xf3db151fU,     0xee79fadaU,     0x50fc5ed5U, \
    0x1bd39eb9U,     0x30303c01U,     0x814972fcU,     0x884afa93U, \
    0x1c96dbaeU,     0x2f00a5cbU,     0x40121409U,     0xd78290e3U, \
    0x9294eb10U,     0x67073375U,     0x646f37dbU,     0xdb74fa6bU, \
    0x7cfacbb3U,     0x33540455U,     0xde11b86aU,     0xffeeb762U, \
    0xaef6d145U,     0x258be634U,     0x8b9a556bU,     0xd8ba6352U, \
    0xdbd1036fU,     0x3544a7c8U,     0x90071f6cU,     0xdd48833cU, \
    0xdaceb50fU,     0xd599ec3cU,     0xbb1c758bU,     0x6c3d3c82U, \
    0x68f139d9U,     0xbdf8f022U,     0x40a0623fU,     0xe339ae1fU, \
    0x07cb8c47U,     0x7c6b94e8U,     0xf395f748U,     0xeb04625fU, \
    0x949a2d93U,     0x1b2d281aU,     0x3ca8cdd7U,     0xe214b044U, \
    0x2a2d62eeU,     0x4efba0d7U,     0x6e684399U,     0xd919d4e0U, \
    0xa02acde5U,     0x145a940dU,     0x16f08ef2U,     0x2c8c7931U, \
    0x23dd3583U,     0xcdb4dad0U,     0xc4d39485U,     0xa7a674b7U, \
    0xd045fc47U,     0x738e253fU,     0x8449fe10U,     0xd00f7c71U, \
    0x6d57431cU,     0x1145fb5aU,     0x005f4a81U,     0x52298e26U, \
    0x8c7e36b6U,     0x37f8bcc1U,     0xe30ff193U,     0x3bff1515U, \
    0xcc6b305aU,     0xb0b59319U,     0x2c06e67fU,     0x9737dc85U, \
    0x9c1987a5U,     0x53f93ee6U,     0x725f91ceU,     0x06341db4U, \
    0xe468254eU,     0xc5eefbdcU,     0x523ded08U,     0x157e2e21U, \
    0x64c23544U,     0x1f6b4d26U,     0x08e7c7f3U,     0xf9e140dcU, \
    0x02c3e134U,     0x7995b329U,     0x8a08ac9dU,     0xa7ec9997U, \
    0x17b40917U,     0xf30b86aeU,     0x1a8fe325U,     0x5b25f1b6U, \
    0xf714d605U,     0xc47de875U,     0x96dcf408U,     0x222ee430U, \
    0x4a2eb488U,     0xefebba12U,     0x19cfdc59U,     0x5f4b5897U, \
    0x3d8c30a0U,     0x7a13da6dU,     0xe658d5a0U,     0x33150864U, \
    0xaa5c46faU,     0x30982395U,     0xe1713dfdU,     0x0b387f60U, \
    0x9109f830U,     0xb27453d9U,     0xe9f6d84aU,     0xc2b32271U, \
    0x949f684aU,     0x1f7747f4U,     0x6a7b8e3cU,     0xafb419b1U, \
    0xadd8eed7U,     0x749f54e6U,     0x35dcdb5cU,     0x8b10c5a9U, \
    0x4144b9b7U,     0x4039d4d6U,     0x195a03f8U,     0xd812c289U, \
    0x2292840fU,     0x3cd3f88cU,     0xb1eac182U,     0x682f5db3U, \
    0x57dc3a82U,     0x919475ceU,     0xfb638b59U,     0xf66120a5U, \
    0xbba4acdcU,     0x37b2f6e0U,     0x678f9437U,     0x5c6dfaacU, \
    0xd366f0fdU,     0xdd2f317cU,     0xf29d6c70U,     0xe983a784U, \
    0xe70f44b7U,     0x876ebcefU,     0x2c432eb4U,     0x4ad8742bU, \
    0x615af03eU,     0x698d391aU,     0x92dba168U,     0x89d1178aU, \
    0x120d8733U,     0x642a502cU,     0xd74ff536U,     0x23acb1bdU, \
    0x04f0bb71U,     0xdd1622adU,     0xa2c64ddaU,     0xdfc07964U, \
    0x0897427fU,     0xecc88e64U,     0xfc23338dU,     0x269859feU, \
    0x70cdb3daU,     0xb1c39dabU,     0x92dce6f8U,     0x72b94a3eU, \
    0x1fce3b73U,     0x08b3e0b3U,     0x3a36d1b9U,     0x9425444cU, \
    0x933dbd18U,     0x79a2efedU,     0x837826feU,     0xf57e5c9eU, \
    0xc540594eU,     0x47fbd761U,     0x5440de4bU,     0x94dab8e2U, \
    0x6bb9b11bU,     0x0007d4a6U,     0x296a661bU,     0x54c956a1U, \
    0xa0820be4U,     0x04df5baaU,     0xe213399cU,     0x7809764aU, \
    0x449887ceU,     0x7c9d3537U,     0xc4c02bb7U,     0x855d4faeU, \
    0x7031217fU,     0x00c3d805U,     0xccb365e6U,     0x2c4fce80U, \
    0x0d39fc31U,     0x12dfb2aaU,     0x0ca1dcdbU,     0xe66946f1U, \
    0xc6f2acadU,     0x9018a258U,     0x6bd85804U,     0x94e0886cU, \
    0x0e7e8f65U,     0x0e935a72U,     0xb5d7612dU,     0x9208758bU, \
    0x654d9a0dU,     0x645c5acdU,     0x1f4b145aU,     0x4d27121fU, \
    0x4411214bU,     0x28eb348cU,     0x13d90655U,     0x7da963e1U, \
    0x83d76dc5U,     0x9091a0bcU,     0xcc3303e4U,     0x07db4c0bU, \
    0xe8249554U,     0x4d68f8fdU,     0x12bca103U,     0x015e58a7U, \
    0x769ed2a0U,     0xa3fab6deU,     0xccae8258U,     0x021efb85U, \
    0x57266d9bU,     0xed3c931fU,     0xaabb4bd5U,     0xdff90eefU, \
    0x05d56021U,     0x1b5c3886U,     0x35daac5fU,     0xa6c2df58U, \
    0x3e24d67eU,     0xbe25d3c1U,     0xc158cb3fU,     0x6b2d62eaU, \
    0x97adf44bU,     0x47aaa2e9U,     0xef0dee8aU,     0x5302d270U, \
    0xe6f8947cU,     0xc76a6fb4U,     0x21ecd6ddU,     0x21bb1e1cU, \
    0x41e28026U,     0x1dbe2263U,     0xa813ef41U,     0xd4fd701cU, \
    0x134775c6U,     0x7ae5a9b1U,     0x131bc2bbU,     0xcb6d2a74U, \
    0x6220201dU,     0xb26e9591U,     0xcb2ca646U,     0x1709dcafU, \
    0x89f271e7U,     0x90e904baU,     0x912e2e8eU,     0x21235637U, \
    0xb9307dadU,     0x22180ed2U,     0xa8f5b8a7U,     0x20613d28U, \
    0x52a4858aU,     0xab68f061U,     0xd179d8a1U,     0x6795d193U, \
    0x6f6829e3U,     0xfd34527bU,     0x1acb5230U,     0x777ab652U, \
    0x0c5d7f23U,     0x39461111U,     0x35740fccU,     0x0e90a630U, \
    0xcd345680U,     0x1a576866U,     0x811ec6e1U,     0xcd2d660eU, \
    0xc169aa1bU,     0xc550b4a6U,     0x9cfcdebaU,     0xc14aa76fU, \
    0x875f43a1U,     0x58ad1937U,     0xe7a01ee9U,     0xb03094a8U, \
    0x942d3f00U,     0x1dc41457U,     0xaf5527d6U,     0x7a6a76d7U, \
    0x3969786fU,     0xca3f9df2U,     0x0555de46U,     0x4ac741b5U, \
    0xe9833303U,     0x1b8e8a38U,     0x1860fe04U,     0xc7a8dc3aU, \
    0x81e67514U,     0xeadc04ccU,     0x0043d2d9U,     0xc51d53b4U, \
    0x0cb18a40U,     0x30d9cd18U,     0x0be7ad67U,     0x566b073dU, \
    0x4049314eU,     0xd58da4faU,     0x527dcb6bU,     0x4c70f0e6U, \
    0x07bc812dU,     0x79a37cf8U,     0xea4e2c32U,     0xde18d9ccU, \
    0xe08ca0baU,     0x86b373c2U,     0x2f0050a2U,     0x56204d48U, \
    0x5d397939U,     0x0916d0f7U,     0x9b9c762bU,     0x4ee47b9dU, \
    0xb59810f4U,     0x220b243aU,     0xc7975434U,     0x4a3d8138U, \
    0x228d41c5U,     0x829dc813U,     0x45182233U,     0x9b05c28eU, \
    0x2fe325eeU,     0xc85dc763U,     0xf87673bbU,     0xc57716fdU, \
    0x25496491U,     0xde8644c9U,     0x56bf870bU,     0xc8dd1e2eU, \
    0xddfbb086U,     0x23c7219aU,     0x0c9a65e7U,     0x8dcdf7e6U, \
    0xb64ac57cU,     0x064b7ad5U,     0xa5a667f2U,     0x77b1ea11U, \
    0x859655d0U,     0xfe007d38U,     0xfd31a617U,     0x67298198U, \
    0x75b8f8c4U,     0x65fec4feU,     0xe817f404U,     0x5d0209c3U, \
    0x98e2f9f7U,     0x80feccd2U,     0x897fd584U,     0x8236b62bU, \
    0x1c517cb1U,     0x14fc0b71U,     0x32aec7edU,     0xb4e0c0efU, \
    0x332cd2dfU,     0xf18a7cdcU,     0xb8ac0763U,     0x64378f1aU, \
    0xff9568ddU,     0x46db9059U,     0xf22984f5U,     0x5479c949U, \
    0xe197186cU,     0xc349b6ffU,     0x1777ad90U,     0x91c5ca02U, \
    0x859b77bdU,     0x6cf5ef69U,     0x3fe9e9f5U,     0x4c634de2U, \
    0x0ec8cc9fU,     0x2e9a3644U,     0xe7dec5b1U,     0xaa435aeeU, \
    0xfd8430c5U,     0x518f0d2dU,     0x111a52adU,     0x52165196U, \
    0x25b4a8ecU,     0x1667a7a4U,     0x1d6b2fdbU,     0xad911329U, \
    0x8c5b18e8U,     0x8a5d8061U,     0x4847509dU,     0xdf4cb746U, \
    0x61b3ff4eU,     0x3b064ba1U,     0x2e698269U,     0x317ae377U, \
    0x94764765U,     0xdc90c87cU,     0x372767a1U,     0x52fc784eU, \
    0x8affab61U,     0xc4d97b3eU,     0x38280f18U,     0xcfb97559U, \
    0x9dc7e646U,     0x4c09cbfdU,     0x44f62757U,     0xe8d1877cU, \
    0xf469a27bU,     0x842efd32U,     0x5c652e2cU,     0xeb8ddcccU, \
    0xd06bea69U,     0x8c70b7eaU,     0x0419191fU,     0x6110cac2U, \
    0x0137482cU,     0x7995fe9bU,     0xec0d87b1U,     0xd7fb4d53U, \
    0xbe213a8cU,     0xd3ecdf1aU,     0xafda7317U,     0x00a64367U, \
    0xd8998206U,     0xce0aea09U,     0xd8f127a4U,     0x631b6d56U, \
    0x27a714acU,     0x99611d05U,     0x85d4ebf5U,     0xcbf4204eU, \
    0x2f7a8d65U,     0xf20a5557U,     0x15272134U,     0xe937d310U, \
    0xf39ffe53U,     0x7335a3f8U,     0x7154c44eU,     0xbbaf5905U, \
    0x485970e6U,     0x7cb7b6a7U,     0x747ccfbbU,     0x8ecaf134U, \
    0x4a1a7d0bU,     0x91e38324U,     0x4e7df348U,     0x8befacfbU, \
    0x49aa6db7U,     0xe0e3eff5U,     0x9118c7caU,     0xd555260dU, \
    0x73788827U,     0x01035ea3U,     0xa7dcb9f7U,     0x0e84c8ddU, \
    0xbee3bc75U,     0xef730f91U,     0x8b2b5b82U,     0xbff78215U, \
    0x9c9f6950U,     0x5e22a7e4U,     0xaf6084dfU,     0xef70d80aU, \
    0x1a3c850eU,     0xad68c4e4U,     0x3a272ee6U,     0x10f30b79U, \
    0x74c32f76U,     0xe9746774U,     0xa7b6d929U,     0xda2ca2b9U, \
    0xab597a9fU,     0xa5cb8dfeU,     0xa3a21a41U,     0x47837920U, \
    0xed499159U,     0x62bed3bcU,     0x5f3bcfefU,     0x7c5932b9U, \
    0x8e098126U,     0xf33a44f0U,     0xcd1bfb23U,     0x85e0bcb1U, \
    0xdee60b3fU,     0xf7275bafU,     0x64c70e8eU,     0x2e09b986U, \
    0x37cc51dbU,     0xfc4eac89U,     0x363c0440U,     0x784d1597U, \
    0x6cde53ebU,     0x4f643f75U,     0xf242850dU,     0x741332e5U, \
    0xd0a7b217U,     0x776dc244U,     0x64ff9717U,     0x5dde881cU, \
    0x95ca6721U,     0x84905ddcU,     0x0833f931U,     0x6951f671U, \
    0x68eabf02U,     0xa876cde7U,     0xa4f0732aU,     0xa9535f4eU, \
    0x8725fdbaU,     0x9fbb2c05U,     0xfca0e6c1U,     0x7aaefbf5U, \
    0xbec3f225U,     0x93f9156bU,     0x5260ef5bU,     0xd082e2a2U, \
    0x5886c042U,     0xab9dec50U,     0x217e9b60U,     0x52337a7aU, \
    0x5ffd9b11U,     0x360663a4U,     0x745e5083U,     0x55457e45U, \
    0xb8f26f96U,     0xfa27647eU,     0x8648c656U,     0xfd04c1fdU, \
    0x044e297cU,     0x133730f9U,     0xfd3d0307U,     0xe339478bU, \
    0x04ee93b4U,     0xeb536d73U,     0xca841fd5U,     0x87815259U, \
    0x0ce0a033U,     0xb7ecf690U,     0xb0c6788eU,     0xc845acb6U, \
    0xbb2f821aU,     0x04e5dd2aU,     0x7a9b65b5U,     0x405a8f5fU, \
    0x61ffaba5U,     0x299248fdU,     0xe3e54db2U,     0xe9490618U, \
    0x99d4f79fU,     0xdb5011fcU,     0xe1b53c0dU,     0x376dfcffU, \
    0x6300cc8cU,     0x4f7a345cU,     0x6cba0a55U,     0xa3228663U, \
    0xae1a8448U,     0x2983fbc7U,     0x9508a750U,     0xf98f2568U, \
    0xc45e22f0U,     0x073cd468U,     0x29f7d507U,     0x0f9e42b6U, \
    0x86ae72e2U,     0xa685b60fU,     0xd9f76443U,     0x7607b70aU, \
    0xfb1a2d2eU,     0xc9413171U,     0x9d948d9fU,     0x1d159e54U, \
    0x4000f897U,     0xb11b6a36U,     0x068fe78cU,     0x63e0726cU, \
    0x1ee2e491U,     0x24088fc2U,     0x5d37e072U,     0x0738c102U, \
    0xf8c5d54dU,     0xb0a1afa5U,     0x6cff5371U,     0x44794d6eU, \
    0xfb11a88fU,     0xc6e640edU,     0xfbca2b0fU,     0xae5fd334U, \
    0xa6bb9fe1U,     0xa49b7203U,     0x189e787aU,     0xeefb2cf7U, \
    0xe5cc3ce3U,     0x426c30a5U,     0x02841bb1U,     0xd3b6c0a0U, \
    0x65d2472fU,     0xb77631a5U,     0x62bedefcU,     0x327a6b8fU, \
    0x05e029daU,     0x163afd26U,     0xc8e21fdbU,     0x20583cd3U, \
    0xf64aad61U,     0x498bc86bU,     0xca79a8c0U,     0xd1cdefa3U, \
    0x0b9fe70aU,     0x43fcbe61U,     0x4164d7a3U,     0x12d0ac03U, \
    0x1df439bcU,     0x73c8b1f7U,     0x0b970ad8U,     0x393fcd47U, \
    0x902fd714U,     0xacaca507U,     0x8f5d7bc5U,     0x7247df3dU, \
    0x682f433bU,     0xb06e5b42U,     0x5552f260U,     0x1c12356bU, \
    0xb0ab13bcU,     0x5a1318ebU,     0x33e5ae0eU,     0x54647d7eU, \
    0x6ae57beeU,     0xd4767658U,     0x48432abeU,     0x935ce4ddU, \
    0xb69b327fU,     0xce32a16fU,     0xc10e6e11U,     0xe6dd639fU, \
    0xe38d6c1fU,     0xfe3fc885U,     0xbd722306U,     0xf8ccb1adU, \
    0x575dd2b4U,     0xd782049eU,     0xb7a38a59U,     0xd7d2c94aU, \
    0xc5c12750U,     0xd1b873d4U,     0x6815af5eU,     0x9f572a9bU, \
    0x5210acd9U,     0x29f9f173U,     0xf686cc8cU,     0xa133f1b0U, \
    0xec19eb42U,     0xd55c95c8U,     0xf72240afU,     0x40cb164bU, \
    0xa3c3b7c8U,     0xddf1e927U,     0x66f2b285U,     0xe9a30a85U, \
    0x02cd13e2U,     0xabd853deU,     0xe3a786aeU,     0x6950b26dU, \
    0x84c40b9aU,     0x09f73e61U,     0x40fe23a4U,     0xba9eb96dU, \
    0xa07e51b8U,     0xd44fae53U,     0x69278c29U,     0xe6669731U, \
    0x7db32fa3U,     0x17ad81a4U,     0xf40c1268U,     0x3bc56f98U, \
    0x7a620e17U,     0x83442c74U,     0x7367be53U,     0x9e302679U, \
    0x2d98a7c2U,     0xaae47811U,     0x02b809faU,     0x4b3edba5U, \
    0xed0a4299U,     0xe22b9bc1U,     0xd899e6a7U,     0x500b6cdfU, \
    0x150f7d7eU,     0xeee9082eU,     0xb2f79c4dU,     0x00020025U, \
    0x7cf243dcU,     0x20c1165eU,     0xdf0e4379U,     0xf678463bU, \
    0xfedbade3U,     0x3abcac56U,     0x8371315fU,     0x4eb11dafU, \
    0xaf1785faU,     0x2a3b45f6U,     0x9b1fa2e6U,     0xdf7c0f4dU, \
    0xe1da458fU,     0xa3435d00U,     0x63aa17fdU,     0x8481d084U, \
    0x8be63480U,     0xdaf422f4U,     0x459495baU,     0x81062678U, \
    0x6ccdf30eU,     0x644b3d63U,     0x609afa3aU,     0x6c259caeU, \
    0x8878eab0U,     0x96f8cddbU,     0x359d0541U,     0x2f44c382U, \
    0xcebe7f48U,     0x1070b609U,     0xb0ee645eU,     0xff80d7e9U, \
    0x8a4047faU,     0x78e590ddU,     0x57087a60U,     0x35d31a1cU, \
    0xc3250728U,     0x9be334b1U,     0x707c5c92U,     0x3d3aa0f3U, \
    0x55ab6bdaU,     0x75b6a9deU,     0x695c9357U,     0x15f1b17aU, \
    0xabba058fU,     0xfa8cc76cU,     0xe9753020U,     0x935d05fbU, \
    0x9b62273fU,     0xc902fd7dU,     0x13657861U,     0x30066fedU, \
    0x9301cd9fU,     0x77433caaU,     0x58604973U,     0xd4ea73edU, \
    0xd01fb04fU,     0xbfe87df6U,     0xa4b31f6dU,     0x0e9c2830U, \
    0x415860a8U,     0xe2c7d5f5U,     0x7d6102f0U,     0xc7719be4U, \
    0xb07a8514U,     0x42a68779U,     0x6e7ca738U,     0x8b648e51U, \
    0x8126a07dU,     0x29062bacU,     0x980e6495U,     0xb9383345U, \
    0x5ae58a29U,     0x29a2ba38U,     0x5a32cdd4U,     0x4bc33a57U, \
    0x985a7962U,     0x74b4c0ceU,     0xa66b0bb2U,     0x024f28caU, \
    0x14201f1bU,     0x2552b32fU,     0x75dbc047U,     0x3ef4c792U, \
    0x48d8e3e8U,     0xdf03c95aU,     0x5e2c71a7U,     0x0bfb71bbU, \
    0x3953134cU,     0x3140064cU,     0xd0b147eaU,     0xaa78fa83U, \
    0xaa1bbbfcU,     0x6e36e5ecU,     0x0c644709U,     0x9136c7b7U, \
    0x7dfac760U,     0x5b607d0bU,     0xb3ba1aecU,     0xa6782be5U, \
    0x253e9b77U,     0xb3c5a762U,     0x95242432U,     0xcc3e4744U, \
    0xf6f36b46U,     0xf123d328U,     0x8d9600c1U,     0xbf5ac89aU, \
    0xe3aa331aU,     0x0f286927U,     0xcf431796U,     0x9f1f6033U, \
    0xd4470438U,     0x0add42baU,     0xaf821118U,     0x9331095bU, \
    0xbe347640U,     0x62c2f3fdU,     0x8fb82ad4U,     0x7b7dac4cU, \
    0xff563c7bU,     0x1a27c675U,     0x16b590bfU,     0xca6ad35aU, \
    0x1d826c0eU,     0xc7bd1557U,     0x51374572U,     0x897e38acU, \
    0x37633ee6U,     0x2306c11fU,     0xfe7c3b85U,     0x2ed02d79U, \
    0x040d2d2dU,     0x7ea5ff52U,     0xf71f2e77U,     0xce6db78fU, \
    0xae48cff3U,     0xdcdb0e1cU,     0x5b474ff5U,     0xf3eea24dU, \
    0x7806b5fbU,     0x5d788707U,     0xbfc546aaU,     0x8e1a7056U, \
    0xa22cb2deU,     0x9217c5dfU,     0xd920c34cU,     0x740be8d8U, \
    0x8bbe94acU,     0x3f691f9aU,     0xd15edd45U,     0x3aa74388U, \
    0xa5c7ae6fU,     0xee171197U,     0x1f2b0f10U,     0xbec3a30cU, \
    0xbfc4e06eU,     0x381013edU,     0x9068f11dU,     0x200b0c85U, \
    0x0243890eU,     0x5394c66bU,     0x56c07575U,     0x647e0491U, \
    0x2dd5b7a2U,     0xbc66f02dU,     0x889b7687U,     0x400173caU, \
    0xfa89d064U,     0x058b3a66U,     0x2a8ee6faU,     0xf6084733U, \
    0x6ab217edU,     0x2833e7b6U,     0x893384dbU,     0xe5c264b6U, \
    0x91bf4b9aU,     0xf15c8157U,     0xad1e6536U,     0x16e0da09U, \
    0x14aae478U,     0x597fe3dbU,     0x7832d953U,     0xccf078b5U, \
    0x4b37d46aU,     0x9732a686U,     0x7da66a1cU,     0xf240f3a6U, \
    0xf129e1c4U,     0x2785c024U,     0x0b9aa46fU,     0x08775d24U, \
    0x4038eca9U,     0x1328594aU,     0x87468e19U,     0x3cbedaceU, \
    0x12af4ccdU,     0x24beeffaU,     0xb2b16f7bU,     0x73ad4715U, \
    0xd4e2d362U,     0x26e37839U,     0x68a1add7U,     0x29006224U, \
    0xb26087d4U,     0xb90b54fcU,     0x1f4c95e4U,     0x52c9c465U, \
    0x3eede1deU,     0x0cb89843U,     0x75fbacaeU,     0xf17edd82U, \
    0x3e25a777U,     0xa2213291U,     0x61afebdbU,     0xc32ebf4fU, \
    0xfab08f35U,     0xc84fc3efU,     0x2cded3efU,     0x56e9988cU, \
    0xc7826068U,     0x7cd2075bU,     0x9942d4a7U,     0x975c8299U, \
    0xc72a801cU,     0x28c5f8a3U,     0xa21dedf3U,     0x7a83b9c3U, \
    0x899374beU,     0x5cc5195bU,     0x617f0ee3U,     0xdb308e9aU, \
    0xaa41dd60U,     0xb68dab88U,     0x7b3eb50fU,     0x8279657eU, \
    0xe1ff0bd1U,     0xf8f8fc23U,     0xcef06f4fU,     0xae399948U, \
    0xb654348eU,     0x7c0b6202U,     0x8f9d0613U,     0x4525e493U, \
    0x1393185bU,     0xb659703cU,     0x0e73cdebU,     0xe6408369U, \
    0xa1eb59b4U,     0x0cf0a499U,     0xb1e4ef7fU,     0x24da5341U, \
    0x769ce9bcU,     0x480c329fU,     0xe9e3a377U,     0x0031ad47U, \
    0xe3cf8db4U,     0x5bebdec2U,     0x7c84da02U,     0x8c82e1f1U, \
    0x8b4a1132U,     0x34340384U,     0xb9932ea2U,     0x7b8ec142U, \
    0xd4bd8fd9U,     0xa9081b5fU,     0x593a9b22U,     0x35cba54fU, \
    0x8e556489U,     0x85731b10U,     0xe9eca737U,     0x09b0a853U, \
    0x3f828951U,     0xe7f88d04U,     0xe35e0bd0U,     0x75dac2f0U, \
    0x700282cfU,     0x2519cc16U,     0x6978efafU,     0xe4929a79U, \
    0x113d1cb2U,     0x4c70b06dU,     0x0c448886U,     0xd285d6e5U, \
    0xe780d785U,     0xcc92e805U,     0x9e9ac43dU,     0x8c0532d3U, \
    0x8cc8e217U,     0x5f44ac7fU,     0x0e23355cU,     0xe9070177U, \
    0xa8e584edU,     0xbc69d4cdU,     0x3b6c4bcaU,     0xcce7a592U, \
    0xaa8cb025U,     0x590e7320U,     0xc003bc09U,     0xe847aaeeU, \
    0x5741a7d3U,     0xc0bf5b19U,     0x6eab67b0U,     0x0eae5d7aU, \
    0x9a2a3974U,     0x400b7c6fU,     0x15c1405cU,     0x93a3229dU, \
    0xe342c65dU,     0x7ab0a968U,     0xe1f03f22U,     0x69bfb37cU, \
    0xb6fc953cU,     0xfb20d8ddU,     0x1f93a407U,     0x9039d831U, \
    0x80ea70fdU,     0x2fcf724fU,     0xe9ca88b3U,     0x19770eb4U, \
    0x0486d45fU,     0x81063c91U,     0x9099a05aU,     0xe45b2f5dU, \
    0x35ed7b58U,     0xe1e662d6U,     0x60bd5db9U,     0x1fee7668U, \
    0xccc3ea9eU,     0x2a2fbcaaU,     0xafcf8c58U,     0xe87a4eb3U, \
    0x9f907d4fU,     0x387e9aaaU,     0x8fffebc2U,     0x4a3d7544U, \
    0x4849fc58U,     0x4625058aU,     0x0567715cU,     0x32c9daaeU, \
    0xc129827eU,     0xab7a96c8U,     0x5afd9c43U,     0xb353456eU, \
    0x68a2796dU,     0x1053e2bcU,     0xfc3d3285U,     0xef71a70eU, \
    0xd035f8c6U,     0xa2dc01cbU,     0x9f861924U,     0xfc149d96U, \
    0x25a92fa3U,     0x5ddb0073U,     0xe00bc2f2U,     0xa0208b04U, \
    0x003dc54cU,     0x46a12435U,     0x4997ac60U,     0xc54fc2cdU, \
    0xfa5fd675U,     0x45c8c66eU,     0xe8712d67U,     0x3985154bU, \
    0x73774ef4U,     0x1ed77809U,     0xaa341ea0U,     0x4acac14fU, \
    0xcf72adb1U,     0x6f51ba07U,     0xe431796dU,     0x0d974a32U, \
    0xb0228a1bU,     0x903b4192U,     0x7725e288U,     0xc58578efU, \
    0xe9a8cc52U,     0x832a02dbU,     0x4011806eU,     0x678b9c48U, \
    0xe8b2fa1dU,     0x2aef42d2U,     0x8d975cdbU,     0x59d69134U, \
    0x864fffcfU,     0x3f77527bU,     0x51a26019U,     0x3e843d62U, \
    0xea5cf954U,     0xd006169dU,     0x25cc4a48U,     0xfd41668bU, \
    0x9a5d7814U,     0xbe4df12aU,     0x4bec8668U,     0x09e08f6fU, \
    0x2ac18699U,     0x78002904U,     0xc6dee633U,     0xd1f312e3U, \
    0x59022330U,     0xf571e754U,     0x58818ecaU,     0xa2a921c3U, \
    0x0731a1b0U,     0xfd555beaU,     0x56cd4c96U,     0x1682b69eU, \
    0xd9d0ef69U,     0x8461aab4U,     0xa5518285U,     0x7c51e2d3U, \
    0x1f8aa9a2U,     0x86f99ff8U,     0xcf3a1605U,     0x0738b4bcU, \
    0x113350d6U,     0xed767900U,     0x2add2b9dU,     0x05b43a4aU, \
    0xc59a1d2bU,     0xa7b822d1U,     0xa22d55cbU,     0xd715269fU, \
    0xa2ffa4bfU,     0x6f4d14a3U,     0x5fe241edU,     0xb36a35c1U, \
    0x01a9d1a9U,     0x132894e0U,     0x4cb82d32U,     0x3a31b584U, \
    0x5dfcf8beU,     0xaae2ec8eU,     0x69549ec3U,     0x9a91efa1U, \
    0x5cc1ca1dU,     0x17deb705U,     0x272b9589U,     0x009c71d4U, \
    0x5aea2eacU,     0xbe639b3eU,     0x2d74e3dbU,     0x27c0c11aU, \
    0x551d8cf3U,     0x6d7e216cU,     0x35ff5f1fU,     0x5830224dU, \
    0x376b7350U,     0xfd179084U,     0x6f5e7622U,     0xff3cc2b5U, \
    0xfbffbe18U,     0x0cfab71eU,     0xb1e474daU,     0x02608745U, \
    0x683bbe5eU,     0x8ba174d1U,     0xae63da6cU,     0x8b8c9d79U, \
    0xd30e1cc3U,     0x3de5619cU,     0x8ddbdaedU,     0xa717d525U, \
    0x2d9d4a14U,     0x3e7f4470U,     0xc40ee90bU,     0xb669de12U, \
    0x4ebcae3bU,     0x94f17ee6U,     0x0e789312U,     0x5a6858f3U, \
    0xb9c10473U,     0xe4f3f6c0U,     0x0f339f67U,     0x8aa6f6d5U, \
    0x024ddce5U,     0xb0fb4ae1U,     0xc8e81e8aU,     0xb2a316eaU, \
    0xb402c036U,     0x0dd42098U,     0xb45aebd0U,     0x5da255f0U, \
    0xd5b3736aU,     0xe71f3910U,     0xf0b05fe7U,     0xfc4df3a9U, \
    0x74fbf04bU,     0x723894aaU,     0x15d82841U,     0x70e5845cU, \
    0xc17f79cdU,     0x428469d2U,     0xae5b4de9U,     0x19b471adU, \
    0xdbf123a6U,     0x4cb30440U,     0x6b5a88aeU,     0xba3654e4U, \
    0x9ee34a17U,     0xe71bdedcU,     0x46ef43fdU,     0x6348992fU, \
    0x8c9d836eU,     0x135f50d7U,     0xfd331db9U,     0xc101740eU, \
    0xdb966755U,     0x02459619U,     0x8d1ad9c8U,     0x5c35d14fU, \
    0xaf85508eU,     0x8e6c061dU,     0x974d0812U,     0x8169bcc9U, \
    0x9691e084U,     0x038e10bdU,     0x850379daU,     0x2a755b36U, \
    0x19cce075U,     0x57ca58b5U,     0x53a88e0aU,     0x96668548U, \
    0xccb84ac5U,     0x9a5662b5U,     0x018138bbU,     0x7f5a4c6bU, \
    0xfe001878U,     0xcef8f563U,     0x2ca46652U,     0x65113d11U, \
    0x0cd780d3U,     0x47b6865fU,     0x76c7222bU,     0x440d696bU, \
    0x3e5b96b1U,     0x6363e8a5U,     0xfb05dd5aU,     0xa122fbbbU, \
    0xd3411b18U,     0x18aabf6aU,     0x9f3d17ceU,     0x828abe92U, \
    0xbd6cf464U,     0x6b0edb12U,     0x697c78e5U,     0xe4354f63U, \
    0xf56b065aU,     0x0d65b74eU,     0xdfa26e7cU,     0xf9ce1e2bU, \
    0x0d37c4caU,     0x39b98097U,     0xb47fa023U,     0x2babb7a5U, \
    0xa71f7272U,     0xbd7acb92U,     0xe7ac99cfU,     0x01aaeb77U, \
    0x9cb70aaeU,     0xf19e2ccfU,     0x1849a1e7U,     0xa604136dU, \
    0x0f6d92efU,     0x29557c26U,     0xe793d955U,     0x1cda26b7U, \
    0xe6a684e0U,     0xf9411a63U,     0xee1c66d3U,     0xbb2820caU, \
    0xfbfd8d02U,     0xf2c74396U,     0xf109daebU,     0x2764e3e3U, \
    0xb5b73f98U,     0x0fdbb053U,     0xf0896b89U,     0xf4cdedc4U, \
    0x83d6916eU,     0x2ba7a56bU,     0x825bc933U,     0x10a70b47U, \
    0xec34ff9bU,     0xa8345afcU,     0xc851e217U,     0xcbaad7b4U, \
    0xd01dc4d2U,     0xc30617b7U,     0x699d3331U,     0x4a8b05aaU, \
    0xc2e42656U,     0xbf8e12ecU,     0x29540ca5U,     0xfa3e4395U, \
    0xdb19d539U,     0xb3b745adU,     0x43310252U,     0xc6dc676dU, \
    0xc9bdbd78U,     0xa7b6bbe0U,     0xcc57ae2fU,     0xd3057bf3U, \
    0xa90bb552U,     0x43ee4ffcU,     0xa719039bU,     0x398fd0c3U, \
    0x13eb9b3eU,     0xf699ae31U,     0x5d4f10f4U,     0x84183fffU, \
    0xd48bac92U,     0xa884641eU,     0x80623d1dU,     0x669d0e3dU, \
    0x3f2dee78U,     0xee6f6730U,     0xe05f56eaU,     0x12fd9525U, \
    0x491b6c49U,     0xa395987fU,     0x51690e4cU,     0x52d87503U, \
    0x6dba116cU,     0x98f20730U,     0xbcdf3557U,     0xcae0e1cdU, \
    0x48fc7f5fU,     0x34180c11U,     0xe8cfe2f5U,     0x83dd49cbU, \
    0xc88ab5edU,     0xdf78564cU,     0x2705c522U,     0xe7f95206U, \
    0x62ca2429U,     0x637bc9dbU,     0x0ec3467dU,     0xb4ae8218U, \
    0x88a6d6e0U,     0xd36e9333U,     0x9c6a544dU,     0xfe845445U, \
    0x555413c6U,     0x6914a804U,     0x09a55c51U,     0xf03a5460U, \
    0x39e6d95fU,     0xd748aae9U,     0x259e6c61U,     0x33787229U, \
    0x7a771cb9U,     0x159f6367U,     0x173f509dU,     0x1b81a802U, \
    0xb63624bcU,     0xe6661b0dU,     0x624ee87aU,     0xcc534621U, \
    0x5fbc75fbU,     0xac1067a5U,     0x22a60892U,     0x230224adU, \
    0x8cf8d5f4U,     0x94586aabU,     0x16ddc94aU,     0xb9429b69U, \
    0xa5a3ffb2U,     0xb11c320bU,     0x2c84795fU,     0xda2e6c04U, \
    0x556c60f0U,     0xa3f067a6U,     0xabc87d7cU,     0x0c45b042U, \
    0xec3c674fU,     0x2721aaeeU,     0x21d9997eU,     0xb3f55498U, \
    0x2df228b8U,     0xd5780d95U,     0x7073fbbaU,     0x4d1e80e6U, \
    0xe3f7e60dU,     0xdd277035U,     0x61aaa255U,     0x4a5654fcU, \
    0x0af217b6U,     0xf0122249U,     0xf1a7e879U,     0x15916c87U, \
    0x97378f63U,     0x18c3454aU,     0xeab5e0a5U,     0xab42622cU, \
    0xbc292b51U,     0xb3060fdbU,     0xa7139c08U,     0xfa55d58aU, \
    0xb0256aaeU,     0xa1f338fdU,     0xbf901e77U,     0xa312b417U, \
    0x37ac6cb7U,     0x20671a1aU,     0xb92cd6c5U,     0xad149fb1U, \
    0x267a4f0fU,     0xfced4335U,     0x47d94cf7U,     0xd3f4decaU, \
    0x98db94f4U,     0x2bd4b37cU,     0x52b96b1fU,     0xebfe308cU, \
    0x475505aaU,     0xf14e7d0dU,     0x3ce686b8U,     0xd42cad77U, \
    0x23c15b97U,     0x85e24649U,     0x76b45bd3U,     0x21869c3fU, \
    0xfae7e81eU,     0xb7135b7aU,     0x779af948U,     0x595aa8c3U, \
    0xec44b6cfU,     0x7f8789cfU,     0x51ac84cbU,     0x82d49031U, \
    0x24c1885cU,     0x9d6597a0U,     0x207d90fdU,     0x93c881d8U, \
    0xd68f603bU,     0x79175df5U,     0x251c6714U,     0x67261223U, \
    0x961400eaU,     0x8e5bd055U,     0xaa8a7989U,     0xbad5f0f1U, \
    0xa81b03afU,     0x9b96590fU,     0x284b95e1U,     0x75ee9ed8U, \
    0xbd6bbf91U,     0xad406694U,     0x4a1d537eU,     0x18e511dfU, \
    0x5b8f954dU,     0xa8f325a6U,     0xbcb84a51U,     0xc01f4491U, \
    0x75406ed8U,     0x3dd72765U,     0x96c655b6U,     0x565c00d0U, \
    0x1e7d7181U,     0x8cf0062aU,     0x111ff61aU,     0x7a98a57fU, \
    0x96c5510eU,     0xd65d09d2U,     0xe0282ab6U,     0xad8c2ebeU, \
    0x286e9746U,     0x06876780U,     0x88c78a40U,     0xa60dc0f4U, \
    0xc94a1832U,     0x8b28b150U,     0x9b71fa72U,     0x8ba02bd0U, \
    0x914c4c1cU,     0xec340e69U,     0x5fdd83e8U,     0xf98ed6baU, \
    0x93ad02ebU,     0x6282118dU,     0x12f0c2aeU,     0x752dfb72U, \
    0xe870ebc1U,     0x581fa0f0U,     0xa1f2e5f3U,     0x50ac168fU, \
    0xa56b9c2cU,     0x55070d4bU,     0x01a8353aU,     0x43ad6dcaU, \
    0x67414670U,     0x13dd6fffU,     0x4335a3faU,     0x70f94850U, \
    0x9eae360dU,     0x316590c5U,     0xbbeb2d66U,     0x8cbd99d6U, \
    0xc3734572U,     0x411f4ab0U,     0x60a9cb56U,     0x42dc41bfU, \
    0x80bd0549U,     0xb46a0fb2U,     0x798a1f77U,     0x66b1adbdU, \
    0xad5e9d8fU,     0x308a9b75U,     0x06266e3bU,     0xbf055377U, \
    0xe6e282eeU,     0x4afc76a0U,     0xcd2cb58bU,     0xe02207aeU, \
    0x8afb5b72U,     0xeee0e3b4U,     0x148c2146U,     0x735261beU, \
    0x6e62aa9dU,     0x39eacfb0U,     0x30d3ae74U,     0x797a3467U, \
    0x60007f48U,     0x7dfc55d9U,     0x53ac5ff4U,     0x1ed48eb9U, \
    0xe6968cd0U,     0xa36c9a1dU,     0x8f619e99U,     0x7e01456dU, \
    0x6bb4bdeaU,     0x4d69c58eU,     0x3b4a8ea8U,     0x31114d80U, \
    0xda6176d7U,     0x06a73cefU,     0x579905d8U,     0x6e703918U, \
    0x7159aff2U,     0x26e65103U,     0x02da2734U,     0x0ae20ecfU, \
    0xc267a256U,     0xa4e58e74U,     0x0b6d9d34U,     0x3cb57e20U, \
    0xfbfc7c62U,     0x49b3af76U,     0x731eb945U,     0xa9d49cccU, \
    0x0d0d7498U,     0x711d2d7fU,     0x0a5ff9b2U,     0xe3c6a7d1U, \
    0x00f18875U,     0x4beed9deU,     0xc78196d7U,     0x914a00baU, \
    0x8fdf5f8bU,     0x1f85a929U,     0xd4f5ddcdU,     0x62096a6bU, \
    0xd1967df0U,     0x95e57480U,     0x859e4938U,     0x7208b8a3U, \
    0x30e1ab5bU,     0x340dc4a5U,     0xc55cb863U,     0xa02101f7U, \
    0xd251ef95U,     0x0bc6bc2aU,     0xd98613d0U,     0x83cb45ecU, \
    0xf9a3b896U,     0xb9db9794U,     0x9d65f257U,     0xff646264U, \
    0x632c243dU,     0x6dcbd677U,     0xe1f7bc56U,     0x76a20e91U, \
    0x20824076U,     0x7a90fb38U,     0xb9a0354bU,     0xf92b803dU, \
    0x433664d2U,     0x9218212aU,     0xcc2d9426U,     0xc48c9341U, \
    0x5d1cb3a2U,     0xc3cc5be1U,     0xc6cb7ed0U,     0x1d9534f5U, \
    0x8351c255U,     0x0c5db921U,     0x33283afcU,     0xa9fcbd9dU, \
    0xd8631fc1U,     0xe463483dU,     0x8f3122e7U,     0xf264e4d1U, \
    0xd95ca97cU,     0xf035c068U,     0x457048dbU,     0x79723637U, \
    0x140e3feaU,     0xca342241U,     0xa5d0fa9cU,     0x5539b910U, \
    0x02d15c14U,     0x2e203799U,     0x65b6225fU,     0xee89b32fU, \
    0x53c78592U,     0xd52df2cdU,     0x204f1cdeU,     0x5ec1a2abU, \
    0xafdffe37U,     0x09a7b490U,     0x5ba1d85dU,     0xa4005db8U, \
    0x9776f5d7U,     0x3a7c2c48U,     0x27085b50U,     0x7e86c93bU, \
    0xc67012f7U,     0x4cee1a8cU,     0x2912bcadU,     0x7ef0bb8eU, \
    0x438c42b6U,     0xc93cf9b4U,     0x3ee54988U,     0xb2ee90acU, \
    0xdfda562bU,     0x1a7aea85U,     0x2dea349bU,     0xdecfc74dU, \
    0x77a83c32U,     0xd3b37255U,     0xfe3605a0U,     0xd3ad35e2U, \
    0xaa355e0eU,     0x69735c2fU,     0x30454663U,     0x2e777424U, \
    0x975eaf32U,     0xc28203dcU,     0x437036a5U,     0x5c7ce016U, \
    0x42e2f6eeU,     0x9ac85959U,     0xf7424919U,     0xd2d5a74aU, \
    0xc3d8ac0bU,     0xcff183dcU,     0x61ffbfb8U,     0xf56e4694U, \
    0xbfc045ceU,     0xa49a4fb6U,     0xf4d3d4f4U,     0x867041fcU, \
    0x58177f4bU,     0x5aa12f92U,     0x53617eacU,     0x12121d1aU, \
    0x936c44e1U,     0xab3bcbf7U,     0x571946adU,     0xefbdbcdaU, \
    0xfc29859fU,     0x3969d0b4U,     0x68cc0284U,     0xafa7842fU, \
    0x8839c398U,     0xddb5f052U,     0xd1600e44U,     0xbfe05ef4U, \
    0xa8cfa210U,     0x1a2a6f52U,     0x2cf914ddU,     0x36973c57U, \
    0x3f821fb7U,     0x1b7db662U,     0x5ae43b7eU,     0xba839c64U, \
    0xd7bf4958U,     0x01712004U,     0x77e856f0U,     0x75bb50b9U, \
    0x1a7fd530U,     0x0a20f284U,     0x9d06d315U,     0xbe052adaU, \
    0x705bb615U,     0x76f25169U,     0x1fc4789cU,     0x7f3672caU, \
    0x6f372a44U,     0xbaf1564dU,     0xb2225385U,     0x04c8db17U, \
    0x4da2b025U,     0x9c3196f4U,     0x87dd3eaeU,     0x39688b1eU, \
    0xfb97ec03U,     0xfa1d296bU,     0x84577363U,     0x49bf59bbU, \
    0x4e52a9caU,     0x5604bda8U,     0xe6114ed8U,     0xd79ede6fU, \
    0x00e57204U,     0x86b216adU,     0xf61ad65cU,     0x52049a57U, \
    0xf00b9cf1U,     0xae22eab7U,     0xf2d10cfaU,     0x349a9817U, \
    0xa0ac7f53U,     0xe3f44610U,     0x3379a0e0U,     0x1ade7a61U, \
    0x77662b97U,     0x3fba2886U,     0xda13f57fU,     0x309999bfU, \
    0x5da93b19U,     0x980ae7fdU,     0xa17db334U,     0xd327a078U, \
    0xb07569f7U,     0xa9e53129U,     0xce2262a4U,     0x9a86a27eU, \
    0xe3b35120U,     0xd145bcbfU,     0x550b4723U,     0xe0e2301dU, \
    0xcd75b967U,     0x5a2c0d17U,     0xcf329973U,     0x627a417dU, \
    0xd196ab9dU,     0x57e226a5U,     0x8a263e8cU,     0xc8f4217bU, \
    0x0eb12677U,     0xfdead1a5U,     0x473bb37fU,     0x1b1c8774U, \
    0x1d6a3a71U,     0x943ffd46U,     0xfe1a8f1eU,     0x8aff7d7cU, \
    0x071b01ffU,     0xdf78a909U,     0x742644e2U,     0x084171c5U, \
    0xd5ded192U,     0x531214f5U,     0x4b17cdcdU,     0xbf3761d1U, \
    0x10140ae1U,     0x6a167a49U,     0xf0fc5b2dU,     0x2bfb029cU, \
    0x4abe7c6fU,     0x4306a713U,     0x4c4947e4U,     0xffd1b0c2U, \
    0x8c60b85fU,     0xffe6f4cfU,     0xaa3789f7U,     0x8192266aU, \
    0x85f55704U,     0x470fb2ecU,     0x366eac98U,     0xb57f1fceU, \
    0x84a7835dU,     0x4f055eddU,     0x7874905cU,     0xbfa9c6aeU, \
    0x86508886U,     0xc3ccd1cfU,     0x6f988870U,     0x5766fc69U, \
    0x38861aebU,     0xfcd374f1U,     0x1523ba82U,     0x5b6b0062U, \
    0xd4add12fU,     0x5fe2c51dU,     0x2548555dU,     0x86210e98U, \
    0xea60daccU,     0xe5cbe2abU,     0xfa38af31U,     0x73c0a95cU, \
    0xd0e39364U,     0x854e9f04U,     0x8bec4915U,     0xa61ccaecU, \
    0xd4991d81U,     0xb118ae37U,     0xed528c6fU,     0xf6db9197U, \
    0x71fa9da5U,     0x8ad3b01fU,     0x01e2a3e5U,     0x0fa9eec5U, \
    0x24abf828U,     0x2df9dd67U,     0x29c391c3U,     0x209ad098U, \
    0x7971a4beU,     0x85c652efU,     0x1445c1e6U,     0x4b5ee88fU, \
    0x776c762bU,     0x72e83bf2U,     0x6decec61U,     0x034e4381U, \
    0xce2726d0U,     0xb2e934abU,     0x8d26c286U,     0x9d377148U, \
    0xa50427d4U,     0xa1180376U,     0xb8e2d4f7U,     0xe7daa77fU, \
    0xeeae5482U,     0xbffa3d22U,     0x4391b791U,     0xcedf2cbcU, \
    0x1e95a161U,     0xb4d0eaffU,     0xfa7f6988U,     0xf0ac07a4U, \
    0xc5ce50e7U,     0x65cb3c2fU,     0x7f670bcdU,     0xef8cb725U, \
    0xe97482adU,     0x1e9300baU,     0x36f6a980U,     0x2a1ef822U, \
    0x801658f6U,     0xfd762fbcU,     0x7864ab3eU,     0xdd5210c2U, \
    0x70ba8e8aU,     0x49701274U,     0x7967daa8U,     0x5a6f49f7U, \
    0x08407495U,     0xe4ce9709U,     0xfda024ffU,     0xd34faf15U, \
    0x3e1ee562U,     0x8e94fa8bU,     0xcb297af4U,     0xfc93023eU, \
    0xfd668b53U,     0x6bc0d3a1U,     0x11c1edbaU,     0x8b3cfa06U, \
    0x91bc71a9U,     0x7613ce89U,     0x8ff29936U,     0x76644481U, \
    0x32d438b9U,     0xc69873beU,     0x9977a98fU,     0xe111e21eU, \
    0xb1881d3aU,     0xdf4c8ef7U,     0x3ad5a049U,     0xf7b98b87U, \
    0x7348d548U,     0xdf0896b5U,     0xa9952a7cU,     0xd17a0981U, \
    0x777a625fU,     0x744ee373U,     0x1a20ef22U,     0x3d84de1cU, \
    0x0633188bU,     0xe68d57cdU,     0x6b8da9a4U,     0x2748ee55U, \
    0xecfe8742U,     0xdbad7eadU,     0x7a2dff4aU,     0x695066c0U, \
    0x4940c9c6U,     0xe69f7072U,     0x3a26bcc0U,     0x581fd47aU, \
    0xe854d444U,     0x7836cdcfU,     0xd80d0806U,     0x659377b9U, \
    0x8a06d5e0U,     0xc382dddaU,     0xc9fdbafeU,     0x6ce96cabU, \
    0x1b9d5ab3U,     0x31f8bf03U,     0x0e410b4aU,     0x475bb677U, \
    0x6ecf1c08U,     0xb801b438U,     0xb3babdbaU,     0xcc4d30a7U, \
    0xd1b6bd16U,     0xe0f589d7U,     0xffc25b08U,     0x0fa6d237U, \
    0x1a874773U,     0xb10fd410U,     0xadc73e1fU,     0xa024b812U, \
    0x2f06b3fbU,     0x2f1f2a05U,     0x7908ff6dU,     0x3fe2b631U, \
    0x4ca9bb84U,     0x638e2a24U,     0x70d66ea7U,     0x89be7058U, \
    0x0c88a9d3U,     0xf4f453acU,     0x87244587U,     0x96e08d18U, \
    0x108fb21eU,     0xe68352c1U,     0x42bc9c11U,     0x840d09c2U, \
    0x927cca9fU,     0x02643d2eU,     0x6026a6beU,     0x2f7d1d7eU, \
    0xc01b2b70U,     0xa7717ce3U,     0x17762f7eU,     0x609d7480U, \
    0x172b6d75U,     0x71f017a8U,     0x85b15b93U,     0x0da4905fU, \
    0xce3aea8bU,     0x496768a5U,     0xeb90060dU,     0xf50af0d5U, \
    0xa8d5148eU,     0xa9c19978U,     0x83a19183U,     0x35d2c201U, \
    0x9f678644U,     0xf391bc78U,     0x313b8a8cU,     0xa89b8e57U, \
    0x9fd1b69dU,     0xb055c8b4U,     0x89a6e03eU,     0xc1640be0U, \
    0x86c23f20U,     0x77b9ec9bU,     0x8917f559U,     0x5b06bb7cU, \
    0xf07bde44U,     0x9d270a7bU,     0x497a8fc1U,     0x875c8102U, \
    0x98ccf7f3U,     0x5877e003U,     0xbdd205b6U,     0x5ae6e68aU, \
    0xae7ebfaeU,     0xe3c2c661U,     0xfe25b07eU,     0x6e7d70eaU, \
    0x19b4d49eU,     0xeec48f20U,     0x622830e6U,     0xcfbac9adU, \
    0x1ad1c08eU,     0xff38cd67U,     0x0feda5ccU,     0x78bf427aU, \
    0x1cfc4304U,     0x3d53de51U,     0xb0171aa4U,     0xacd8ad47U, \
    0x89e4cd8aU,     0xe36cc2c1U,     0x357e2fc3U,     0x3d25a675U, \
    0xb3529f5bU,     0xddc301ceU,     0x8e064926U,     0x3f67b812U, \
    0x7228fdc5U,     0x0d9a8c8aU,     0x78040a5cU,     0x3f41e86fU, \
    0x26bd33a2U,     0xd23a3e9cU,     0xe2ab7ea2U,     0x122793d1U, \
    0x86714751U,     0xd4189884U,     0xf994a6e3U,     0xc2abdaeaU, \
    0xcc60fc41U,     0x80f290dfU,     0xd3c29c82U,     0x2cbf3a1fU, \
    0xa80ba81dU,     0xa4b24f76U,     0x0a187ea1U,     0x30e5e994U, \
    0x6f1fbb5bU,     0x897ab407U,     0x5f8e200eU,     0x5fa541c4U, \
    0x663ec3a5U,     0xee89e55dU,     0xca333b0bU,     0x4c3cfe1aU, \
    0x2fedf7c0U,     0x7e9a7a1fU,     0xcba74c44U,     0xd84c4ab7U, \
    0x70e8f2a0U,     0x42aa9094U,     0x4337e32cU,     0x093c0e50U, \
    0x7e196bf1U,     0x1e3c083eU,     0xe95f9b53U,     0xf47f49feU, \
    0xf3f648f9U,     0xefc25e3fU,     0x5315b97eU,     0x6e966e17U, \
    0x5e346488U,     0x961f326dU,     0xeff92d26U,     0x6cb7026cU, \
    0x94ca1295U,     0x2b6cc6e1U,     0xa808be47U,     0xcb9ca47dU, \
    0xcc2cc58dU,     0x63fcbc02U,     0x44abbce9U,     0xacfc29a3U, \
    0x1c865190U,     0xcc79154eU,     0xd2a9450dU,     0xbaa99633U, \
    0xeae038c3U,     0xd6a0973dU,     0xd9c179dcU,     0xe321e512U, \
    0x74c90e0eU,     0x17389b08U,     0x20df30eeU,     0x13fdb09dU, \
    0x401bf829U,     0xbedb4e5fU,     0x65bd0642U,     0x1e4cfac7U, \
    0xfbaf83aaU,     0x391ff7e5U,     0x5965038aU,     0xb7793f4cU, \
    0x742e7c53U,     0x48fb2516U,     0x544a1966U,     0xdecdd0fdU, \
    0x18b1b244U,     0xaa263337U,     0xdaef6adbU,     0xbac43916U, \
    0xc6c8068dU,     0xb549058cU,     0x8a03e751U,     0x698f74feU, \
    0x40b47fc6U,     0xbac05973U,     0xd8b831a7U,     0x3857e44cU, \
    0xfb61d695U,     0x51fe755fU,     0x4faee951U,     0x0e8edc14U, \
    0x70b45d1eU,     0x02a1053eU,     0xd2ef9f12U,     0x46df83f6U, \
    0x1b870992U,     0x0947c2c6U,     0x0472bf20U,     0xee81f6f9U, \
    0xebe581daU,     0x61321f01U,     0xf3c81220U,     0x1d71123cU, \
    0x50e0dac0U,     0x5888164bU,     0xc0d207a5U,     0xc2e84275U, \
    0x879a1206U,     0xfaf1ca30U,     0xb9c680c6U,     0x25fbf009U, \
    0x7b5a7671U,     0x87924396U,     0xaba3d852U,     0x2dc8afb4U, \
    0x83aa6e77U,     0x5a728633U,     0xee17bad4U,     0x2ebc89e1U, \
    0x123fb660U,     0xaa6a3e13U,     0x8791ea16U,     0x8d281bd2U, \
    0x39e990cbU,     0x0adb6351U,     0x45d41387U,     0xd8318583U, \
    0x6e739644U,     0x88405018U,     0x92d5a034U,     0x322ad40dU, \
    0xeca315e3U,     0xee34aef3U,     0x4c7c522eU,     0x6d3decf5U, \
    0xd3259756U,     0xda66e3b0U,     0x29a1c613U,     0x21ecd39cU, \
    0xbb2e7a7eU,     0x5507eb5cU,     0xae7a297fU,     0xa634e054U, \
    0xf563b01bU,     0xa911a0ddU,     0xb84db90fU,     0x11c06694U, \
    0x1da902ffU,     0xb5f03a80U,     0x46aac2e0U,     0x6eba108eU, \
    0x635898d6U,     0x6e6e56c1U,     0x427cf2d7U,     0xee016ae6U, \
    0x975b5cfeU,     0x1d024e0eU,     0xffc88ff8U,     0xf921fce3U, \
    0x9b60f8bbU,     0xcd097422U,     0x8b12912bU,     0x53e78a22U, \
    0x1d7a6e97U,     0x803edfbcU,     0xa9b40a61U,     0x7d52c5f7U, \
    0x662c2e80U,     0x4eca059eU,     0xe0893894U,     0x305752d9U, \
    0xbd69a0d2U,     0x8c4952deU,     0x10ce6eceU,     0x7142d0e7U, \
    0xa2178b3cU,     0x9f065bb4U,     0x77590935U,     0x5d576eb8U, \
    0xa53bdf18U,     0x06c9db02U,     0x23f0cf0fU,     0x387c8204U, \
    0xa88aebc2U,     0x94c76cf2U,     0x9c6a5149U,     0x19e90d27U, \
    0x583ab738U,     0x7c6db963U,     0xfff836ddU,     0x98bda2ecU, \
    0xe4cea6f2U,     0xb850794aU,     0x7e660a08U,     0x2defac58U, \
    0xce571f91U,     0x89abac56U,     0x0598f19cU,     0x514e3682U, \
    0x78155ca8U,     0x7ca5be1dU,     0x47692166U,     0x2545ca03U, \
    0x10c076e6U,     0x728258dbU,     0x62ec3b03U,     0x53cbe15aU, \
    0x9b470b5dU,     0x43146e26U,     0xb963cd60U,     0x3f99efe9U, \
    0x9564333dU,     0x39a73961U,     0x02fb3fecU,     0xc2d83dc1U, \
    0x65b56259U,     0x94768d4aU,     0x119b344bU,     0xea4b4dc0U, \
    0x293b629eU,     0x95774aecU,     0xf31653acU,     0x95907c39U, \
    0xeafe2233U,     0x6a73ca11U,     0x7f215842U,     0x80e3e4bbU, \
    0x992892a7U,     0x0234deeeU,     0x9bc27b65U,     0x07c65770U, \
    0xc80155deU,     0xd9c64774U,     0x34a4d7e2U,     0xf99232fcU, \
    0x1a287dd1U,     0x56de6bbeU,     0x26f8d7a2U,     0x6c1b1048U, \
    0xaa72b0d4U,     0xa1846d3aU,     0x77d421ccU,     0x41df1521U, \
    0x2b883dd1U,     0x8883fd76U,     0x09f4af59U,     0x4cf4eabbU, \
    0x8441758eU,     0xc738997aU,     0x0927d95aU,     0xcc9a300fU, \
    0xd7bcd260U,     0x93c9162dU,     0xcdc9503fU,     0x91380f84U, \
    0x18d7aa90U,     0x579b517cU,     0x72de1c4bU,     0x3671f778U, \
    0xf3c81296U,     0x895bcbadU,     0x1d18ac65U,     0x7d1901d7U, \
    0xbf974dcdU,     0xb9ac444eU,     0x2d29514fU,     0x1969e578U, \
    0xac48e175U,     0xee7344c1U,     0xd51c3fa8U,     0x83dc7cddU, \
    0xdb6d6f0dU,     0x7e57328dU,     0xe36fded3U,     0x26802617U, \
    0x195073d2U,     0xc14153e5U,     0xfaffc836U,     0xc6562e2eU, \
    0x84265c7fU,     0x2e97fb37U,     0x107b8114U,     0x2c606d83U, \
    0xcaf519b3U,     0xa642e88bU,     0x22c3eb38U,     0xa6a2d9d6U, \
    0xe60c3355U,     0x251d3448U,     0xf6b7a582U,     0xb87e92ccU, \
    0x84961e19U,     0x5caf63cdU,     0x133f8077U,     0x9224bc47U, \
    0x31bb3cdbU,     0x738eddc6U,     0x0d5def01U,     0x3c997723U, \
    0x4a602a2aU,     0x6cc8f262U,     0x0424ca82U,     0xd568bb29U, \
    0x39903407U,     0xf42992adU,     0x421890feU,     0x467f621aU, \
    0x7714fc27U,     0xdf5df215U,     0xd623ee11U,     0xccae1e48U, \
    0x45917471U,     0x9a92e35fU,     0x26118720U,     0xc919efd7U, \
    0x7519b974U,     0xebab7f94U,     0x55970b06U,     0xc5901a2bU, \
    0x5a1fabb7U,     0xbd2d0841U,     0x9fea0d1aU,     0x0013f3a4U, \
    0x0275fdaeU,     0x6953600eU,     0xdbfaab01U,     0x1b39d2f1U, \
    0xc2d6a587U,     0x61bba3ecU,     0x8adad644U,     0x84ea0601U, \
    0xf38b8ebeU,     0xffe68d65U,     0x6e975e7aU,     0x3850047cU, \
    0xe0c6c0e1U,     0x2f27ddf2U,     0xee8561afU,     0x47d51412U, \
    0x180a0cbeU,     0x9ec17194U,     0x6890f3f1U,     0x03677c8cU, \
    0x594d6daeU,     0x9f69a99dU,     0x878a45c8U,     0x83bc5eacU, \
    0x4ef33a48U,     0x54f88e65U,     0xbeb70580U,     0xe1b51c44U, \
    0x2a710753U,     0xd92aa950U,     0xfcb64e80U,     0x806034f9U, \
    0xad9f5d63U,     0xa0a03b8cU,     0x9d3b0c54U,     0x73edf7c1U, \
    0xa562bd85U,     0xfbdd8320U,     0x7f4bab46U,     0xac946e59U, \
    0x2af148c1U,     0xfec2eea0U,     0x79a125c8U,     0xd4bbd808U, \
    0x778cf866U,     0x78567e6dU,     0x0ecec595U,     0x026319b7U, \
    0xd5334e0bU,     0xa63d8683U,     0x970a9169U,     0x12eebc1aU, \
    0x14956c49U,     0xafff1c40U,     0xe8c5aafeU,     0x8ebebec0U, \
    0xf53d5806U,     0xc2a81b19U,     0x049d4a12U,     0x86db073eU, \
    0xf962f52fU,     0x974e0a67U,     0x641b646cU,     0xe17a5007U, \
    0xe51d642bU,     0x2a305e07U,     0x86a22710U,     0x2cc0e988U, \
    0x42c3ded7U,     0x2d83ef7eU,     0x565aaf21U,     0x016fdad9U, \
    0x87f2868cU,     0x16956db3U,     0xb799380eU,     0x53e705eaU, \
    0x226a12e5U,     0x2b5d3898U,     0x7775f1e4U,     0x2cbb639eU, \
    0xaeb8c122U,     0x122a58b3U,     0xa7032199U,     0x63205564U, \
    0x2d81d936U,     0x0fca8200U,     0x4fa23c69U,     0x0704d1b5U, \
    0x26b967d1U,     0x167bb1eaU,     0x61e484f1U,     0x24b8e3afU, \
    0xd47ea030U,     0xd55ceaddU,     0x868a1913U,     0x6570f7e2U, \
    0x40919ae8U,     0x606d2d55U,     0xdd28a5d5U,     0x061f4ad4U, \
    0x87524fb0U,     0x87cc0e0cU,     0x16fed7d1U,     0x10032c71U, \
    0xb6b7c133U,     0x5c10c0aeU,     0x78ed17e3U,     0x2b761b07U, \
    0x6930c6eaU,     0xcf26be9bU,     0x8a63503aU,     0x8a761bd1U, \
    0x0c2d3c86U,     0xf0241981U,     0x59aadd19U,     0x100bb592U, \
    0x3b616c59U,     0xd10dd3fdU,     0x7653dfe6U,     0x6b5b3bcfU, \
    0x0f4d9659U,     0xa0f5e45dU,     0xbd81fd59U,     0x9fb13a95U, \
    0xa4ede142U,     0xaf78cbf7U,     0xbba289d0U,     0x6e0a1238U, \
    0x7297ad85U,     0xb009b72cU,     0x9adbae33U,     0x53a9833fU, \
    0x7f3bc09dU,     0x26ac3adeU,     0xc206c1ebU,     0xeb5642d8U, \
    0xe1965e37U,     0xc1786777U,     0x06af48caU,     0x7b4f69c1U, \
    0xb5166ac4U,     0xa1a71f3bU,     0x1c1d689aU,     0xc8be8e7dU, \
    0x40a5fa4bU,     0x9901e4c7U,     0xcf0a0917U,     0xf54391e3U, \
    0x0bb46036U,     0x8b7e9cc2U,     0xfb4c7132U,     0x4fc85d2fU, \
    0x490fb0ccU,     0x43e8ded5U,     0x37d69281U,     0xdfe01c8bU, \
    0x79a83002U,     0xa461a87eU,     0x0dc5cca6U,     0xa3ac702cU, \
    0x50b11dbfU,     0xb72f5df0U,     0xf145866eU,     0x17bbfe3bU, \
    0x9dd648c3U,     0x534b9243U,     0xda2c9ca4U,     0x6f2a1ccbU, \
    0xbc97fac0U,     0x99934f79U,     0xc662e6bbU,     0x97880881U, \
    0xd3fbc899U,     0xb3fd3b5aU,     0xfb96ac48U,     0xc3ce875fU, \
    0x627d3747U,     0x28fc37fbU,     0x44ecbd3eU,     0xdb61692cU, \
    0x5a4af001U,     0x886b8971U,     0x72508724U,     0x4cc061feU, \
    0x833da331U,     0x9cf6f934U,     0x9b7ecc6aU,     0xcb67185fU, \
    0xa88b8544U,     0x5319c453U,     0xf30d22a2U,     0x6443fb20U, \
    0x34fe2c72U,     0xd404d0b1U,     0xa65e0b99U,     0x974888e0U, \
    0x7f93773fU,     0xdb6f240dU,     0x2c9870bbU,     0x9bc2cc70U, \
    0x0a35953bU,     0xe3a0eb23U,     0xa5c5d996U,     0x9359058cU, \
    0x87ff068dU,     0xa6bc5cccU,     0xe50a338fU,     0x8ab6531bU, \
    0xd9b49b6dU,     0x28e20570U,     0x1a0a4342U,     0x238c028eU, \
    0x4291ee41U,     0x4a1ac3e7U,     0xdce9a434U,     0x9097f0bbU, \
    0x44433974U,     0x8739cafeU,     0x1738e38dU,     0x71269d21U, \
    0x1aede8d7U,     0xed887981U,     0x7cd37672U,     0x01d1bae1U, \
    0xef6a55c3U,     0xa8ba41ebU,     0xec79aae0U,     0x61bb4b13U, \
    0x5bc54fe8U,     0x039eeddaU,     0x91a24fc3U,     0x9bfab417U, \
    0x5f3f2cc8U,     0x596e7cacU,     0x2a463121U,     0x41dbcfe3U, \
    0x8d2cedccU,     0xd87bc97cU,     0xcccc2e54U,     0xff78cfdcU, \
    0x7bac2c51U,     0xb07e3635U,     0x15296282U,     0xe5dad1c2U, \
    0x68f147f1U,     0x6bdb9069U,     0xa50fddb1U,     0x4c26e858U, \
    0x80e6d315U,     0xad3f5aaaU,     0xb75b3bcaU,     0x6323474aU, \
    0xae90e9ddU,     0x45fec2f0U,     0xb42b920bU,     0x94fc720cU, \
    0x3f56c343U,     0x57df074bU,     0x3ca7c93fU,     0xb6cca7efU, \
    0x628f41ebU,     0x59079110U,     0x6eb0289eU,     0xeece9ee8U, \
    0x747bafe9U,     0x6e9f4ccaU,     0x98fa05c3U,     0x225e1bd3U, \
    0x4ec268dfU,     0xa8284aa9U,     0xe5117d31U,     0x66375bb0U, \
    0x2c367fb9U,     0x6a9f533bU,     0x892de0faU,     0x542f7279U, \
    0x20eed49eU,     0x800a136aU,     0x0525aa97U,     0x927be59bU, \
    0xd42ff3efU,     0xd863f004U,     0x39eb08c4U,     0xaf1a5940U, \
    0xd03cbf3fU,     0xf7d82443U,     0x57b054ecU,     0x48f70e36U, \
    0x536185b7U,     0xc48fc192U,     0xe3b301beU,     0x4b6fd17bU, \
    0x39177a30U,     0xc5691185U,     0x2c337f37U,     0xeecc87fbU, \
    0xacc1b575U,     0x1acf4deaU,     0xd708ffcaU,     0x9797321eU, \
    0xd1cd1fe3U,     0x7c5b8030U,     0xccdb6fc7U,     0xfd8f351bU, \
    0xae9d0dd6U,     0x617d8c78U,     0xfbd071b2U,     0xd6f6970fU, \
    0xeff46687U,     0xeb98c3f0U,     0x8f6e1c22U,     0x3db8bf31U, \
    0xeddd09e6U,     0xc38d4e84U,     0x63bfc72eU,     0xe3810762U, \
    0x980e2c64U,     0x9d83e95dU,     0x47031f75U,     0xcfe1fbeeU, \
    0x0493ccc0U,     0x5816f956U,     0x924d77f1U,     0xe4e430ebU, \
    0x551f9f70U,     0xc5bcbbe3U,     0x478fee7fU,     0x2743a353U, \
    0xc491cf44U,     0x76ff9a56U,     0x622caf76U,     0x11d93b00U, \
    0x4022bca5U,     0xda6b54e6U,     0x8a8848b7U,     0xb7870408U, \
    0xa02cf380U,     0xc2caf11fU,     0xd150fb01U,     0x4ff9bf9bU, \
    0xf7d0d03bU,     0xa49d3c9dU,     0xa3a37cf0U,     0x5b3db0e8U, \
    0x9e2241d6U,     0xc24f79edU,     0x6b993e54U,     0x25fdc853U, \
    0x5e8376bdU,     0xde627185U,     0xd853b1edU,     0x1d1436c6U, \
    0x3cfa4774U,     0x375b4ddbU,     0xe816262eU,     0x351f1d38U, \
    0x7eff627eU,     0x19f502daU,     0x60ef36f9U,     0x77f83c06U, \
    0x7a90ff68U,     0xc5a7d2f5U,     0x67a64306U,     0xcb83fe90U, \
    0x97895602U,     0x42ff2a7aU,     0x142ff279U,     0x8886ba15U, \
    0x4341e5e9U,     0xe8bde6faU,     0x34ef5679U,     0xd445f7e0U, \
    0x84ec1533U,     0xab0830eaU,     0x00638c4eU,     0x5513ad41U, \
    0xbabae7d8U,     0xcb9eb96bU,     0xd22bbfa4U,     0x5d198ec2U, \
    0xcdb0dc52U,     0x4ef8948dU,     0x1ef5d1aaU,     0xc9c060b5U, \
    0xb7490a60U,     0xd4c296e1U,     0x88e62cb7U,     0x3e041751U, \
    0x1e82e8f7U,     0x50c714bdU,     0xf574ecb2U,     0x7958dedaU, \
    0x482f478eU,     0x396c7980U,     0x70138f8fU,     0xe3c30c25U, \
    0x5f17a61dU,     0x4f28565dU,     0x080f481bU,     0x4fdd6a8fU, \
    0xd6861e6eU,     0xbda81097U,     0x3afd8542U,     0xd9f577b5U, \
    0x2d21df51U,     0x1d1e07c4U,     0xca59141cU,     0x6ca336cbU, \
    0xb022665bU,     0xfdf9207bU,     0xde9007b0U,     0x013ca2f2U, \
    0x58fa1481U,     0x80c735bdU,     0xe5adce86U,     0xdf7981bcU, \
    0x50c420e8U,     0x1d959f9fU,     0x32391f0eU,     0x7a458c43U, \
    0x0be386e7U,     0x08033623U,     0xf05bd808U,     0xdd9ed605U, \
    0x1aa6eb14U,     0x1d211a30U,     0x2d445766U,     0x511c06b1U, \
    0xc8e6d44dU,     0x97578dd2U,     0xee92cad2U,     0x026b0fefU, \
    0xa399e7c6U,     0xf547a0beU,     0xe741b356U,     0x0d5a59efU, \
    0xbca45fc3U,     0xdfcf12a8U,     0x4eb5c70eU,     0xf80914d3U, \
    0x9646b8a8U,     0x8a53f53cU,     0x665805f3U,     0x4785b14bU, \
    0x059187a6U,     0x48a4e43aU,     0x152d6fe3U,     0xbe1c73b0U, \
    0x72250993U,     0x36bca940U,     0xf61e3c90U,     0x0bbdf4a9U, \
    0x850329feU,     0x4bd21213U,     0x2d3fa541U,     0x415994ecU, \
    0xc4397c3aU,     0x472e3ceeU,     0xf6cf8c09U,     0x09fe07e1U, \
    0x0ad56388U,     0x5cda9c07U,     0x545909caU,     0xf418b449U, \
    0x96c8dcaeU,     0xf9a800a3U,     0xbd4fdf5dU,     0xc31d9b2dU, \
    0x582b5257U,     0x151dcf97U,     0xe215ba66U,     0xf85148d8U, \
    0x4099ef8dU,     0x555ccb49U,     0xeb674e83U,     0x5755165cU, \
    0xac1d2240U,     0xc97dce45U,     0x6fd0a691U,     0xe443659dU, \
    0xba4936f9U,     0xa0e9a1b6U,     0x31725356U,     0x7d6900adU, \
    0x785b73d8U,     0x811b37deU,     0xf37ee886U,     0x1d27f55bU, \
    0x0b2a153bU,     0xedd51ccaU,     0x9ad1eed0U,     0x33955fbdU, \
    0x816c8077U,     0xee193542U,     0xfc8a6cd0U,     0xa947bf17U, \
    0x5015df41U,     0xdba30c2dU,     0x9499d600U,     0xc1e1499cU, \
    0x1c4522deU,     0x01669e8aU,     0x6c299cf4U,     0xe88f93abU, \
    0xc4beb6dfU,     0x4613dcb9U,     0xd7041366U,     0x7edffb5fU, \
    0x37f4fc27U,     0x2dbc46c4U,     0x1d185658U,     0xe3c44982U, \
    0xbb32bbf5U,     0x4022fd1fU,     0x324b294cU,     0xf68369daU, \
    0xaa03aadeU,     0x478ef7fdU,     0xe251be5cU,     0xc07a5936U, \
    0x9d5bbc38U,     0x603da987U,     0x87336b4fU,     0x0f951bffU, \
    0xa5ec78bcU,     0x7e9d0d1dU,     0x2aca9fe8U,     0x8b8fc5a0U, \
    0x493e21cdU,     0xa4a86f04U,     0x73a107f1U,     0xa117425aU, \
    0x9286368bU,     0xddc186daU,     0xb65dda81U,     0x9cc2792cU, \
    0x508b6fd9U,     0xd20755e4U,     0x689dcb75U,     0xef899756U, \
    0xc0d02f24U,     0x45b379e5U,     0x0ae3a83cU,     0xfb0f0db1U, \
    0x6c5aee7eU,     0xd8738978U,     0xf8e1b82dU,     0x73c11853U, \
    0xb456a3cbU,     0x22461629U,     0xf51d921aU,     0xb6a8f440U, \
    0x7ab83463U,     0x44d2fb45U,     0x77dd269eU,     0x5c01e631U, \
    0x2c18d863U,     0x1d1acc6cU,     0x2e1cbbceU,     0xef1935f6U, \
    0x365e524fU,     0xa527e01bU,     0x1192e07cU,     0x3f1e6aa6U, \
    0xb7e83c37U,     0xd4cb6852U,     0xc3305cd5U,     0xbc893ba5U, \
    0xfdc4f209U,     0x93fa7a8aU,     0xbc606770U,     0x9e24a61eU, \
    0xeb1f7926U,     0x04f2d80fU,     0x3d0bfb6dU,     0x47f8ab06U, \
    0xc53db7a8U,     0xf7ea299eU,     0x17ae6c7cU,     0xdf8c47ebU, \
    0x8169785fU,     0x1912cffaU,     0x55183d15U,     0xac5afa25U, \
    0xd08c23f1U,     0x3cf24338U,     0xbc5ced56U,     0x4a0bc338U, \
    0xededeb2cU,     0x76caea2fU,     0x80e943c4U,     0xd35218a1U, \
    0x1ea2f36bU,     0xc94d888eU,     0xba49e4c6U,     0x30d1f919U, \
    0x6e1e3e31U,     0x65dbb50eU,     0xcf042d4eU,     0xc756a993U, \
    0xcd71b6c6U,     0x3089ddedU,     0x423344d3U,     0x57c19ddcU, \
    0x55d2df62U,     0x1af6b99fU,     0x06b6fcb2U,     0x21029920U, \
    0xaa0ec907U,     0x6be3ec2fU,     0xc43478deU,     0xec905dc8U, \
    0xb037f50fU,     0x676b9de6U,     0xa717b8daU,     0x3e794b27U, \
    0x9c2d84deU,     0xbc56b9eeU,     0x3c9134c5U,     0x86106b70U, \
    0xee6eec52U,     0x93336c03U,     0x136a360bU,     0xeb99dacdU, \
    0xc2f5db60U,     0x5a0d17d0U,     0x535ae273U,     0x704b3b43U, \
    0xe5c1e342U,     0x2e36fef3U,     0x4defe93cU,     0x4e96284fU, \
    0x92c7480fU,     0xd0264d3eU,     0xacf97677U,     0xa1fe3affU, \
    0x8e8e03f7U,     0xccd62bc2U,     0x28f9c1e4U,     0xc1097b55U, \
    0x0abe9ffeU,     0x986db5d8U,     0xd8d8a640U,     0x9e28588eU, \
    0x13caf2fdU,     0xc579efa7U,     0x17f4532aU,     0x6ce8a911U, \
    0x08cd5c51U,     0xa9605a95U,     0xc4d40434U,     0xa9538c74U, \
    0x16697bc1U,     0x430c9b88U,     0x9b163773U,     0x9534f444U, \
    0x328017afU,     0xe5e5f593U,     0x26b47423U,     0xc4366e39U, \
    0x2d237ed4U,     0xcf7d7aceU,     0x65e9aba7U,     0x78a05ed6U, \
    0xe938912dU,     0x42a9173dU,     0x5f8e0bfaU,     0x0755d48aU, \
    0xf2a7e451U,     0x78037a7dU,     0x30d62395U,     0xa81ef409U, \
    0x00023b6bU,     0x6fa65176U,     0x212e4457U,     0x0adf51c7U, \
    0x14c631dbU,     0xf90a626aU,     0x9cd5fe8bU,     0x802ef797U, \
    0xc30727ebU,     0xcfd2de8dU,     0x8f4a9f33U,     0x9e03f345U, \
    0x75c042f1U,     0x1fbc27b0U,     0xe916b852U,     0x52450df7U, \
    0xdc07793aU,     0x65409551U,     0x8c85e9eaU,     0xd0f763d4U, \
    0x470b1b20U,     0x630e21bcU,     0x11096860U,     0x824d09b2U, \
    0x66067a3dU,     0x6dc2b624U,     0xdd050804U,     0x436ef2deU, \
    0x9f03054bU,     0xa5a5658fU,     0x2541e379U,     0x65674f87U, \
    0x43716d9aU,     0xab329b11U,     0xb2e7a2e8U,     0xe23c0d16U, \
    0xd9eb560dU,     0xe998a6ddU,     0x7b4f75aeU,     0xd54c44f2U, \
    0x9f8ce69dU,     0x41b8def8U,     0x302ecfafU,     0x34d9a703U, \
    0xe6285a96U,     0xa2af5e31U,     0x6707cfd2U,     0x5b36f38fU, \
    0xf13ae028U,     0xe83b87b9U,     0xdc63dfa7U,     0x4cf49467U, \
    0x279ef976U,     0x3b9054e6U,     0x938aac1cU,     0xc7374e39U, \
    0x69bce1bbU,     0xae16f1dcU,     0x40b8a988U,     0x12a0c538U, \
    0x9ce91aa9U,     0xf500d7a7U,     0xe6e6a97fU,     0x18d94110U, \
    0xd20ae187U,     0x11d6b22bU,     0x16d46e62U,     0xf79a19a6U, \
    0x24a522efU,     0x5eef373fU,     0x0113ac82U,     0xf3b0866aU, \
    0xd6cd77cfU,     0x07c6a5eaU,     0x499a8eddU,     0xc11ba048U, \
    0xf8ecf179U,     0x6cc4f543U,     0x33545d5cU,     0xfb05154dU, \
    0xd1e3add6U,     0xf261a9e5U,     0x7349b755U,     0xc805fc48U, \
    0xb044a116U,     0xbf717dffU,     0xde53a985U,     0xa96b40a6U, \
    0x68a2ebf4U,     0x4313a72dU,     0x0c0b4ec2U,     0xdd0dfaa2U, \
    0xb2e8e737U,     0xf429c265U,     0x08d5655dU,     0xfce2bbe8U, \
    0xf0ef4093U,     0xe64f023cU,     0xbda3ece7U,     0x6b591df7U, \
    0xe67d82c1U,     0x179ff5daU,     0xe80f5bafU,     0x6bd3d749U, \
    0x9589a994U,     0x72fdaa64U,     0xddf792d4U,     0x0cff1ff9U, \
    0x5637da0bU,     0x6178786eU,     0x5f23e092U,     0x74376b6dU, \
    0xd465a1bcU,     0x8547a5faU,     0xe6231b51U,     0x20edfecdU, \
    0xe4bb0996U,     0xad10017fU,     0x954312d8U,     0x360da145U, \
    0xed425e82U,     0x4aa8f5e9U,     0x4b42b85aU,     0x4b4dcb58U, \
    0xada39154U,     0x7f0daa39U,     0x12f80d4eU,     0xbf961a3dU, \
    0xd5344936U,     0x785d35e1U,     0x24d08098U,     0xfc721807U, \
    0x9305d8a2U,     0xd65600fbU,     0xd16790ceU,     0x3abe80f8U, \
    0x67dadf75U,     0x02e2fa6eU,     0xbd60f0c9U,     0x32937816U, \
    0x7aa9e3b2U,     0xaae08895U,     0x1b994128U,     0x2bcf9123U, \
    0xe3e3657aU,     0x2d8106b0U,     0x87affa3cU,     0xda842e31U, \
    0x2c8626ceU,     0xf438816fU,     0xf9b3da7eU,     0x07b9062cU, \
    0xb907329eU,     0xb61046e8U,     0xdac29d8cU,     0xe4fdb848U, \
    0x3a80bfa5U,     0x9c65c913U,     0x87e2b375U,     0xfad57d3aU, \
    0x0fa0d94aU,     0xc416eaf8U,     0x4d4e1870U,     0x6ca00024U, \
    0xf794c541U,     0x4b7a0e3aU,     0x336f8f10U,     0x953743a7U, \
    0xd31aaed7U,     0x8c8d856fU,     0x12277b97U,     0x36d4cce4U, \
    0x7ef71097U,     0x8e4bdc87U,     0x35d10c95U,     0xd33ddd94U, \
    0x9a4e03e0U,     0x0b444142U,     0x8352d305U,     0x195cfd80U, \
    0x1bdae9ecU,     0xfa474f8fU,     0x9f478f82U,     0xaeefdefdU, \
    0x5ad91f18U,     0x71ef1b63U,     0x5105b373U,     0xb5445dc8U, \
    0x978af072U,     0x051518d6U,     0xcadddf88U,     0xb1fc7574U, \
    0x3ce9c547U,     0x8282cf3aU,     0xaafd3336U,     0x9553f231U, \
    0x4a59755dU,     0x65b7de2aU,     0x2bc0c243U,     0xdcb257f2U, \
    0xa104f6f0U,     0xefc5592eU,     0x8c6aa95fU,     0x969ab0b1U, \
    0x435e4b7bU,     0xb526a71bU,     0xd89ae806U,     0x02e1bf5aU, \
    0x6a3a1f8fU,     0x5921e4f0U,     0x8f8d0237U,     0x8661558cU, \
    0xb1431eddU,     0xb42be68cU,     0xbc726b2cU,     0x700e7458U, \
    0x55b4393aU,     0x7c0968e3U,     0x85273871U,     0xf06703d6U, \
    0xe947f343U,     0xea44fa40U,     0x3f7c5d7fU,     0xd2bbf0acU, \
    0x4fa5e8f7U,     0x4aaebd22U,     0xbb497549U,     0x8cf6d417U, \
    0x9a120575U,     0xaf54ee69U,     0x20fc3eb9U,     0x30e5db5dU, \
    0x7409e7baU,     0xa87883c9U,     0xea536be0U,     0x6cd125e9U, \
    0x82b585aaU,     0x3edf1251U,     0x1bf43437U,     0xa528e1cfU, \
    0xc6a8c8e9U,     0x45110981U,     0x47a27841U,     0xba32f57eU, \
    0xec9b676aU,     0x0b651a6bU,     0x1e787340U,     0xe1b925ceU, \
    0x9f802629U,     0x2cf9253dU,     0x719c87e7U,     0xeb6d3109U, \
    0xeede74c9U,     0x273ede71U,     0x68d7fe59U,     0x975533bfU, \
    0xc569219dU,     0x9f37a5feU,     0xe1162a40U,     0x42a41a79U, \
    0x0c7f4522U,     0xc59a1dddU,     0xb36cbc8dU,     0x7af24dcaU, \
    0x9067ee00U,     0xcf36ef02U,     0x347c68c1U,     0x66a49b1fU, \
    0x4eaa280aU,     0x36aab43cU,     0x178b0393U,     0x15afa2e0U, \
    0xce262290U,     0xf8cd3f7cU,     0x710ac67cU,     0x48808089U, \
    0x1140e5f3U,     0x27f54813U,     0x875cfa15U,     0x17dcf02aU, \
    0x6dc5532fU,     0x6f2e0f74U,     0xa75ac071U,     0x27411b77U, \
    0x4d1e893aU,     0x8d163850U,     0x9c5b1397U,     0x22411c8bU, \
    0x63a750b3U,     0x0d6bdc4fU,     0x34c60d93U,     0xb22dd4c2U, \
    0xd2e7fe9eU,     0xf4eec8b1U,     0x9c8bfbb2U,     0x26bf5f90U, \
    0x31ae377cU,     0x6faea516U,     0x7b44d5c4U,     0x2f51cc14U, \
    0x0fc82911U,     0xdcbaea9eU,     0x5fcdb780U,     0xabac6a34U, \
    0x6953565cU,     0xa62d6e72U,     0x29871ce7U,     0xcd3542c6U, \
    0x3be46288U,     0xdc84af20U,     0x9257f26fU,     0x7d52e2e5U, \
    0x59aa03b6U,     0xe5e5ac97U,     0x43d64bf6U,     0xb49d8aabU, \
    0x7a0751e1U,     0x44ffd65eU,     0xc6a5188eU,     0x36bb4fd5U, \
    0x644a19b7U,     0x39929558U,     0x8df8e07fU,     0x03e7a8e1U, \
    0x8bd92fd3U,     0x8d52c249U,     0xb9c084adU,     0xf5939464U, \
    0xaa9e14f3U,     0x75f64e75U,     0xb9e7f6f4U,     0xabbbe751U, \
    0x2a99a094U,     0xb527b3e0U,     0xd17515bdU,     0xbc22404aU, \
    0x88db8492U,     0x9f90471eU,     0x8286bf67U,     0xb461c2a9U, \
    0x0f74407eU,     0x3a9706d5U,     0x0fe082d4U,     0x47963350U, \
    0xb8e96caaU,     0x6722277aU,     0xd4609090U,     0x07d6e0cdU, \
    0xc08c3576U,     0x4ce94f28U,     0x42d40264U,     0xfb574932U, \
    0xf00d0dbaU,     0xb03f959aU,     0x446ae314U,     0x7532eb4dU, \
    0xf96c5e93U,     0x6426accaU,     0xc75bbad5U,     0xd8cb343fU, \
    0xcdc73514U,     0x83ecdbecU,     0x4cdc1efbU,     0x54e3681dU, \
    0xfaebd33dU,     0x8c16fe9eU,     0x47ba1e9bU,     0xb66bab9bU, \
    0x92b35551U,     0xd57d1315U,     0xdf6de391U,     0x0e24bd8bU, \
    0x6c5aaa26U,     0x98b56cf9U,     0xd5d5ebc3U,     0xed06eaadU, \
    0x4771592aU,     0x3bd74a8eU,     0xd4d2338cU,     0xaeb249dbU, \
    0x839caef9U,     0xe6b040f1U,     0x0829f440U,     0x18b304acU, \
    0x0991b7faU,     0x9f16bad0U,     0x6bfc66eeU,     0x785bcfffU, \
    0x1a80f719U,     0x0b0c083aU,     0x8bd4ee44U,     0xf487a88fU, \
    0x22079007U,     0x2f0852acU,     0xd14b2317U,     0x28c02eddU, \
    0x8628217dU,     0x969b06cbU,     0xcbeea89eU,     0xd414b1b9U, \
    0x9229e00fU,     0x1f087f59U,     0x68d31fbbU,     0xe89009b0U, \
    0xc3c532e1U,     0xb5800849U,     0x0623a03bU,     0x7efcedf0U, \
    0x256a3d18U,     0xc5cba966U,     0x08a08de2U,     0xd683e81bU, \
    0x93c19e76U,     0xae176e4cU,     0xc421e511U,     0x578193c6U, \
    0xc51e2d3bU,     0x9860955cU,     0xf30f62c4U,     0x3c4c7c65U, \
    0x54a4b140U,     0x0138d77fU,     0xa62bdb44U,     0x07ca6423U, \
    0x1218fb1bU,     0x263575b2U,     0x9b7be4deU,     0xc15ed332U, \
    0x16c4688dU,     0xad9b8720U,     0x847b23f8U,     0x0ed8e2f8U, \
    0xd02b443dU,     0xc0dbee83U,     0xdccc075cU,     0xfc44a7a3U, \
    0xfd7d9b0aU,     0x5f2a6351U,     0x0215f89cU,     0x5a62c01bU, \
    0xb04030c1U,     0xb0bd8af2U,     0x8721b735U,     0x7390951bU, \
    0xe45a05deU,     0x8e8923aaU,     0x2e5f6583U,     0x6e5168a6U, \
    0xdbc14ed9U,     0x4de7c31fU,     0xa977d3e5U,     0xb3b06801U, \
    0x5dbae99aU,     0xbd4eb785U,     0xeff199a5U,     0x473f6c1fU, \
    0xd44b3fcbU,     0xcf33009eU,     0x57ed05f1U,     0x5ba18163U, \
    0x37b79ce8U,     0x8d4a2794U,     0x0a0e19c5U,     0x68d49fc2U, \
    0xab0ac82aU,     0x6d3982fcU,     0x9a7ffef8U,     0xb605076eU, \
    0xa6674c3eU,     0x205738c2U,     0xb335ccd3U,     0x7ac940d1U, \
    0xfc69c4c7U,     0x4618375fU,     0xa74d7252U,     0x236f886eU, \
    0xc091d07aU,     0x389c7cf5U,     0x65fd2da1U,     0x58db6603U, \
    0x5d416cf3U,     0x0065c48cU,     0x255798caU,     0xed7e090aU, \
    0xe95d04eeU,     0x5440c647U,     0xb77db170U,     0x48998290U, \
    0xbf6938d2U,     0x2f89b874U,     0xfc862c69U,     0xe8f0a7ceU, \
    0xe3651fa3U,     0x827f2813U,     0xbe133a87U,     0x5803270bU, \
    0x2908f3a9U,     0x1c237521U,     0x432da87aU,     0xfa0aac5dU, \
    0x912d4073U,     0xa861896fU,     0x36f90f4aU,     0x933fb0c1U, \
    0xe1c329ceU,     0x427f888cU,     0x9a2baf56U,     0x385706b3U, \
    0xd722dfefU,     0x13b76eddU,     0x0047ff46U,     0x210c7b85U, \
    0xbee60b73U,     0x006331c6U,     0xaff52d46U,     0xea952468U, \
    0xb7130178U,     0x28bafdcdU,     0x73bad47fU,     0x655d0e47U, \
    0xe7750d45U,     0x9555e56eU,     0x39bb19dcU,     0x00dc2334U, \
    0x6d539af3U,     0x32c05907U,     0xa167affdU,     0xe6c086e7U, \
    0xc2d85767U,     0xea9d76a9U,     0x0d50b6eeU,     0x8af8d6cbU, \
    0x5b6b4387U,     0xdc45fbe4U,     0xa8d71b90U,     0xe017ae73U, \
    0xab7bdb49U,     0xaad9c47eU,     0x710d9b09U,     0xd9ea2a29U, \
    0xf1393e44U,     0xd35d1977U,     0x46a0a9a4U,     0x89e29193U, \
    0xa9dc10c4U,     0xa5d4c07bU,     0x8a67520aU,     0xee1e7bb5U, \
    0x04339678U,     0x1b9e5d3bU,     0x17ee5f32U,     0xd644fa3bU, \
    0x550412eaU,     0x269e8d99U,     0xe0f18bd6U,     0xfb98640cU, \
    0xa6645252U,     0x0e8a1a11U,     0x2e907636U,     0x906ff1aaU, \
    0x1752046fU,     0x34e5064eU,     0x0ea465feU,     0x3ef1d306U, \
    0xefc82445U,     0x80004443U,     0xc4863d21U,     0xdb107deaU, \
    0xdbf5a271U,     0x172330bfU,     0x4ceb36f9U,     0x4d5a4a59U, \
    0xee779d34U,     0x79f3fc2bU,     0x3b2e155bU,     0xe1ed6c12U, \
    0x0dd879a9U,     0x2a3cda17U,     0xadf1a1ddU,     0x12b444c6U, \
    0x1edbaa57U,     0xda2c344bU,     0x964d4c13U,     0x4cc0ca35U, \
    0xd69a39daU,     0x54b837dbU,     0x7eab5a31U,     0xab629fddU, \
    0xce7607c2U,     0x63b51a8bU,     0x6ced1d4fU,     0x517e0b12U, \
    0x25f6041fU,     0xa447ee92U,     0x3df300f6U,     0x7708b279U, \
    0x48f6ce39U,     0xcf09dde1U,     0xdec46572U,     0xcb062608U, \
    0xf898bb48U,     0x947f043cU,     0x400fe5dbU,     0x7ab6756dU, \
    0x4c87e5a7U,     0xc5f05dc2U,     0x485c3a8aU,     0xd2b5fa1eU, \
    0x544a1bafU,     0xd5967118U,     0x75b6431cU,     0x2cc1eed3U, \
    0xe965e2c8U,     0x4de7ae4fU,     0x7917bbc2U,     0xf0c02594U, \
    0x4de23288U,     0x1d5160c8U,     0x2e337427U,     0xf4a58fb8U, \
    0xbf0bdbc6U,     0x6572b8f2U,     0xe7792c93U,     0xf66c4657U, \
    0x3a1eff32U,     0x75572b79U,     0x441be952U,     0x67a6feb1U, \
    0x2b20e6d3U,     0x275bd9dfU,     0x52e09566U,     0xdcbeaeaaU, \
    0xdcef6a04U,     0xdfed1974U,     0xa2eccf6fU,     0x7a59125eU, \
    0x5ffb9124U,     0x82399dd4U,     0x606936efU,     0xa28318afU, \
    0x2a08c61cU,     0x485b4059U,     0xeb7169feU,     0xae241376U, \
    0x98ad9c82U,     0xd94d1493U,     0x7da6fa95U,     0xea80a8c3U, \
    0x3f2a33d3U,     0xaa7d2e3cU,     0xa8af0636U,     0x8d4f6717U, \
    0xd7023f1fU,     0x31b64a7aU,     0x0860cf9fU,     0x47884a92U, \
    0x0a66d200U,     0x85bc2e42U,     0xe87a6932U,     0x4ecf1c59U, \
    0xfd8be0fcU,     0xc75328e8U,     0x4c75231fU,     0x6b874bc7U, \
    0xa5b3ddf9U,     0xf91d238bU,     0x6a9ac7e9U,     0xdef074b8U, \
    0x3850ed5bU,     0x5050ce2bU,     0xed5bbe4dU,     0x34eedfeeU, \
    0x781fccdeU,     0x9095360bU,     0x1430d33cU,     0x7b19a25bU, \
    0x10aded62U,     0xed1046cdU,     0xc2bf361aU,     0x08b2a069U, \
    0x04ac295cU,     0x393709ebU,     0x450c5f3dU,     0x01a70157U, \
    0xc1bbd057U,     0x48549f1dU,     0x36550e56U,     0xce7bf92bU, \
    0xf31b09f4U,     0xdd12f8eeU,     0x53c0aaedU,     0x7aea7deaU, \
    0xdf11cb64U,     0x18716439U,     0xb6285036U,     0xd4cbc1f9U, \
    0x5849de62U,     0x5ac1bc87U,     0xea351787U,     0x2e1d0fe3U, \
    0xcd6667c7U,     0x289a6e52U,     0x9b8a5ec3U,     0x0eaccd94U, \
    0x4ca23cb7U,     0xa7329974U,     0xfa6956b2U,     0x177ccec2U, \
    0x01697892U,     0x30d4ff25U,     0xfb3c2ca3U,     0x5539c8ebU, \
    0xd6d2a292U,     0xed90d5d3U,     0x7c6827d5U,     0x0cea1cd4U, \
    0x50f88f80U,     0x6e75af28U,     0xeb0112cdU,     0x107bd405U, \
    0x1b861eeeU,     0xb27223b8U,     0x549a4d01U,     0x6078aad6U, \
    0x53577c73U,     0x8a14b9d6U,     0x2655c06eU,     0x78ab0b6eU, \
    0x9ba0f7c0U,     0xaeba5820U,     0x68b61614U,     0x262e3cf9U, \
    0x28f95d5dU,     0xed6ee4d9U,     0x64fd60afU,     0xaffa401fU, \
    0x6dc0a0d2U,     0xc606b801U,     0xe70f0f67U,     0x87135c96U, \
    0x13e7d17aU,     0xc93afff7U,     0xa21d7f2bU,     0xb00cff9cU, \
    0xee19f807U,     0x785ac0e3U,     0x685acf0cU,     0x76d65280U, \
    0xd2558a2aU,     0x34dbb5e4U,     0x39012548U,     0xf4736538U, \
    0xabbbbd66U,     0x1945dbe7U,     0x1a580e36U,     0x84a73caeU, \
    0x9305aea4U,     0xdc19193bU,     0xf4c835a1U,     0x34ee5765U, \
    0x4ba4b2f8U,     0x9b92dd38U,     0x016313fdU,     0x4c798963U, \
    0x964eebdfU,     0xfe3f93e3U,     0xd33123f4U,     0xc63376caU, \
    0x1402068dU,     0x74fcbb42U,     0xa05ea9feU,     0x86b77305U, \
    0x8f7c930dU,     0x6f4a1153U,     0x791cb6efU,     0x9f7ea94dU, \
    0x2308815aU,     0x0d3592d0U,     0xcc24e67aU,     0x6354e35aU, \
    0x14ed24d5U,     0x45294a38U,     0x82f9c175U,     0x81cccdd6U, \
    0xe19c1f8eU,     0x79816e31U,     0xd714e03fU,     0xb814e244U, \
    0xfee53c0eU,     0x5a93a3fdU,     0x95baa6c1U,     0x851673f1U, \
    0xadc9d7f6U,     0xef0e1090U,     0x005621ffU,     0x3167a75bU, \
    0x685acfd6U,     0xbd1e61efU,     0x291062e0U,     0x623afa4aU, \
    0x22e541e8U,     0x014c6144U,     0x1adfbd26U,     0xd5c4fd4eU, \
    0xc6e6a028U,     0x3ebd82e6U,     0x9c8fd80aU,     0x0c5982d2U, \
    0xcdb3ba62U,     0xba0d1253U,     0xeffe1e7fU,     0x5c21e67aU, \
    0x20a68d7bU,     0x66b911e1U,     0x9a4265d7U,     0x124a4d2dU, \
    0xb8f40329U,     0xc0e564efU,     0xe34284e2U,     0x389808f0U, \
    0x52f12348U,     0x578d7834U,     0x8144ac11U,     0x9ddeb57fU, \
    0x7023f4ceU,     0xa2f81b96U,     0x74fe56feU,     0x8d02f3acU, \
    0x7502d092U,     0xc4fea4ebU,     0x5708cee0U,     0x666f7c61U, \
    0x25f86571U,     0x16d870b0U,     0xccbbb448U,     0xf74140e7U, \
    0x35a260ceU,     0xb21c8a18U,     0x80223bc1U,     0x4c1ec799U, \
    0xcf779805U,     0x1c6eb9efU,     0x780a8f3dU,     0xd9d79f61U, \
    0x618d7da8U,     0xfc027ad5U,     0x708b3b3eU,     0xcac3a514U, \
    0xecc6da12U,     0x53b1898aU,     0x3f71233dU,     0x645c86c3U, \
    0xa2e4e0a0U,     0xe245f46aU,     0x81a76f4fU,     0x8447f5ecU, \
    0x5af8318bU,     0x485e7a89U,     0xb1f5933dU,     0x80d32e9dU, \
    0x3ebdda0eU,     0xeda6ad07U,     0xc0f531a0U,     0x1869a01fU, \
    0xb82d1c82U,     0xd0aaa8b7U,     0x60169987U,     0xa6bda88cU, \
    0xd174ff7bU,     0x808d464aU,     0x299e6e92U,     0xd826779eU, \
    0x96544b27U,     0x87679504U,     0x6f1e7564U,     0x11397627U, \
    0x4ed18d4fU,     0x9d686eaaU,     0xdc622675U,     0x1211e7e2U, \
    0x71d263daU,     0x72a7ed08U,     0x65ebe229U,     0x95aafaf1U, \
    0xb9ad48fbU,     0x51e4f755U,     0x953eadf2U,     0x71e037fdU, \
    0xe48617e3U,     0xf013555aU,     0x54ac0113U,     0xb716c232U, \
    0xb0cc4026U,     0xe4fa6007U,     0xe7f5967bU,     0xf1bb136eU, \
    0x67e8c419U,     0x3315c4bdU,     0x232a67b1U,     0x4d196e17U, \
    0xc3dcd365U,     0x3932eb3bU,     0x34e51cffU,     0x114ac042U, \
    0xdcd2c557U,     0x26010d38U,     0xd993df58U,     0x0ef019ddU, \
    0x21a0d3e6U,     0x32e09219U,     0x3917007dU,     0x1f053500U, \
    0xb7f0c29bU,     0x3b5e8809U,     0x09118032U,     0x373f2f67U, \
    0xb058dfa4U,     0xb1454f91U,     0x5d9f1397U,     0x98756a48U, \
    0x3554fe13U,     0x9cd185ccU,     0xea266888U,     0x474ef294U, \
    0x857bee02U,     0x996477e1U,     0xa3e01aedU,     0x08920e1cU, \
    0x0eaee1f0U,     0x4a62407cU,     0xd9598d45U,     0x9d7aba9cU, \
    0xc20b7611U,     0x5d3a4823U,     0xb2822732U,     0x38291c43U, \
    0x148ca8beU,     0xccde96fcU,     0x4298d9b9U,     0x2534522eU, \
    0x3b8c62dfU,     0xf8ca4490U,     0xb5e481fbU,     0x71629087U, \
    0x3996043bU,     0xdd40dec8U,     0x401402b2U,     0x3c2fc5aeU, \
    0x0fed7b40U,     0x001e360eU,     0x1b0cbf90U,     0x544345a0U, \
    0x338576f5U,     0x962dc37bU,     0x7944a79fU,     0xd0e2ef22U, \
    0x05f927b5U,     0x06eab630U,     0x03548308U,     0x392e3a4dU, \
    0x739f50a1U,     0x478590ffU,     0xc588eae5U,     0x68a8dc5eU, \
    0xe12eccbbU,     0x88cc80feU,     0x4e158602U,     0x50ab5224U, \
    0x28aef4e8U,     0xad374376U,     0x5e088584U,     0x348fd24aU, \
    0xa91312d2U,     0x38408ab0U,     0x5af7fe51U,     0x867c90b1U, \
    0xc9587da6U,     0x1b880941U,     0xb76cb650U,     0xe80a93d6U, \
    0xb654f1b6U,     0x0ac9104fU,     0x073a5fb5U,     0x54a8dbb9U, \
    0x37a09692U,     0xce5a8c38U,     0x0f1dcd2aU,     0x9af1c7a1U, \
    0xa0ddc5c8U,     0x6d180299U,     0x125eaad0U,     0x97dc40a5U, \
    0xdf4c23aeU,     0xb6538edcU,     0xba177731U,     0x47aab1bcU, \
    0x2b5f4373U,     0xe28731dcU,     0x21416659U,     0xbc43a6ebU, \
    0x9c5c514bU,     0xe82cd5e7U,     0xaeeaa508U,     0x445cdbd5U, \
    0x2746be00U,     0xedc9058dU,     0x73950f87U,     0x526ea820U, \
    0x5e32de64U,     0xad124244U,     0x2b7a3439U,     0x534674bcU, \
    0x9f50105fU,     0x3269316fU,     0x441e69faU,     0xf54eab72U, \
    0xc5a265b9U,     0x91e6317aU,     0x1b030ed3U,     0x13353d81U, \
    0xd4cecba7U,     0xaa07462bU,     0xc3ba5d60U,     0x8d99c01dU, \
    0x17cca2d7U,     0x488315b7U,     0xd8aeda02U,     0x2748db23U, \
    0x72f14d86U,     0x9bad06f3U,     0x5e96b331U,     0xb86791daU, \
    0x35583e45U,     0xba4750b2U,     0x9b08656eU,     0x365b5717U, \
    0xc9577afaU,     0x0d1f0e08U,     0x7cc3f73eU,     0x1460fb59U, \
    0x07dfa50cU,     0x178aa658U,     0x7916b168U,     0xd251da4cU, \
    0xbe05288cU,     0x04bb06aeU,     0x6418b972U,     0x95369ac2U, \
    0xd0561374U,     0xdd773774U,     0x6f59e07dU,     0x15adffa8U, \
    0xccc7f3abU,     0xd26daadbU,     0x80061cacU,     0x3c57b56cU, \
    0x20eaf4e1U,     0x12f734dfU,     0xc17ca713U,     0x0cdf63e5U, \
    0x3be9f1b1U,     0x4da10c57U,     0xc6243a27U,     0x73f2990bU, \
    0xaa57ed6bU,     0xe9d4def2U,     0xac6a6238U,     0x33488bf7U, \
    0x327c0665U,     0x11de099cU,     0x73db0d64U,     0x5cd6e683U, \
    0x8cd870d4U,     0x9d74cc87U,     0x8df22694U,     0x11fa1a5fU, \
    0x7f7f4a9cU,     0xf3520380U,     0x06491264U,     0x33967cccU, \
    0x60bb1c37U,     0x43a83e71U,     0xc26156c9U,     0x71413a90U, \
    0x4f02cc35U,     0x26510a4bU,     0xaf1d5203U,     0x3ed6b855U, \
    0x85a42888U,     0xceea73cbU,     0xb782209dU,     0xa6a862ecU, \
    0x5eba34a3U,     0x6782ce9fU,     0x983204bcU,     0x4528e547U, \
    0xdce97df0U,     0xafa7830dU,     0xe2036b74U,     0xefe84175U, \
    0xa0e0a165U,     0xd42c1c66U,     0xe28e785dU,     0x9ad5c267U, \
    0x9769dbd8U,     0xb67bb128U,     0x406d3ddfU,     0x9e09a795U, \
    0x66424dc2U,     0x97b0d646U,     0xed4016fbU,     0x5b590431U, \
    0xba32d318U,     0x611d7b8eU,     0xa8054d4bU,     0x5d28b9c9U, \
    0xfc623df3U,     0x93d125d4U,     0xd0916558U,     0x589ad7ceU, \
    0x85233473U,     0xb4e76b9cU,     0xfc61af3bU,     0x57f59f22U, \
    0x586b799eU,     0x32ede959U,     0x7ccad7e0U,     0xc63e2df5U, \
    0xafb4b953U,     0xe0cf4df6U,     0xa6cda3afU,     0xbb06f8e1U, \
    0x1245ecccU,     0x38df0fe8U,     0xdfc62934U,     0x21f24cf8U, \
    0x72e30c9eU,     0xc481820bU,     0xab37153eU,     0xe14738c7U, \
    0x64912befU,     0xf9dc2580U,     0x22c821a2U,     0xa40a5df1U, \
    0x553fa915U,     0x34a68f43U,     0x7f396b3aU,     0x8315fd6aU, \
    0x393d224cU,     0x6479c9e5U,     0x34f1cf0aU,     0x24cb3b45U, \
    0x5d92aacdU,     0x960b950eU,     0x07885291U,     0x825163a5U, \
    0x24738988U,     0xa4c45ae2U,     0x1a5c1dd4U,     0x3dff81e6U, \
    0x9091f30eU,     0x859bf425U,     0x02fbf854U,     0x2cfffc54U, \
    0xc98b84c2U,     0x78fa76c6U,     0x69285884U,     0x18199428U, \
    0x3b4d7e0aU,     0x2d3e8a8cU,     0x1a559e4cU,     0xd8220b8aU, \
    0x283a61dcU,     0x71213387U,     0xd0927984U,     0xc6200414U, \
    0x8c61fbabU,     0xbc5fff5aU,     0x270d3cf0U,     0x9fc0e3a5U, \
    0x1146ff49U,     0xebca785cU,     0xcf965903U,     0x1ddd35b5U, \
    0x38c94da9U,     0x05f4f46cU,     0x55e42e98U,     0x1d634479U, \
    0x9b7ccc51U,     0xaba1f355U,     0x7db52f36U,     0xaf12b52cU, \
    0xe78d6dedU,     0xdb706a68U,     0x799ff772U,     0x84d1f180U, \
    0xf2e118ebU,     0x97d96acdU,     0x1566bed5U,     0x7414eb2dU, \
    0x36990555U,     0xb3666396U,     0xe9b6b44bU,     0x0033cdadU, \
    0x75075aedU,     0xebc914cdU,     0xe44e0962U,     0x51c4aff1U, \
    0x97cf5eb7U,     0x9fb9503aU,     0x6f6e5af7U,     0xdb4f129bU, \
    0x6632d9faU,     0x7b0d2330U,     0x6475ab49U,     0xeccab50dU, \
    0x2efe6e37U,     0xd483293bU,     0xca75d355U,     0x05b4c1d2U, \
    0x79d5cd43U,     0x01a4b4c5U,     0x5fb8187fU,     0xdfb0f9adU, \
    0x4893c939U,     0x38bf1947U,     0x57d954c2U,     0x1365021fU, \
    0x275173deU,     0x9eb66c0aU,     0x5a0b2aabU,     0x286d8743U, \
    0x55c96d71U,     0x27f9bf9cU,     0x017ecbfdU,     0x4e2e5223U, \
    0xf0b4621dU,     0x745e9441U,     0x10ae30b1U,     0x82d452bcU, \
    0xba1d2a4bU,     0x3cebe63eU,     0xd7db422eU,     0xd673ffd6U, \
    0xad5b89fbU,     0xe0457eccU,     0xc545ec5aU,     0x93a56d9bU, \
    0x68620b47U,     0xa7730fd1U,     0x28fc6b30U,     0xbe384c43U, \
    0xa9b955cdU,     0x37c2bcfdU,     0x0a161050U,     0x8ada705aU, \
    0x3fbae57cU,     0x70d53ab6U,     0xdbd5bfa2U,     0x2765c024U, \
    0x1de2afa0U,     0xd6aa9477U,     0xd124b364U,     0x886f150eU, \
    0x8a910131U,     0xb48d16d4U,     0x84dae06aU,     0x4d37c8afU, \
    0x735379e5U,     0x7f92dc02U,     0x689ab2c9U,     0xee3ff165U, \
    0xcd4b09adU,     0x9cf2937aU,     0x427fbf86U,     0x09f19a96U, \
    0x3de2f151U,     0x8a3f0c16U,     0x6857a55cU,     0x9d16d1f4U, \
    0xe84c214dU,     0x143da523U,     0x541de3a5U,     0x3af8edbfU, \
    0xa302df52U,     0x07a7ecfaU,     0x0e3d492cU,     0xc81e55edU, \
    0xd767283eU,     0x2a29a1e5U,     0xa7957db9U,     0x4e08b44aU, \
    0x4cb5a5b9U,     0x611e5d24U,     0x9e45133bU,     0x71ad4de1U, \
    0xaca1813aU,     0x76516797U,     0x6ee0250dU,     0x8fa7859cU, \
    0x04df113cU,     0xc48aaf6fU,     0xd97f91d1U,     0x383c43ceU, \
    0x5ca9aafaU,     0x2408b1b9U,     0x8722415dU,     0xf9b51ce6U, \
    0xc8ebae12U,     0x660f2575U,     0xd1afe9bdU,     0x846bb09bU, \
    0xd8f14961U,     0x5c0123bbU,     0x2247582dU,     0x5a65e8a7U, \
    0x42249052U,     0x2e5b57e5U,     0xbe9c3505U,     0xc603cc48U, \
    0xa138acc0U,     0xc90f9128U,     0xf29e7bbcU,     0xb9c024ceU, \
    0x568f197aU,     0xdc960933U,     0x7d777628U,     0x44b74dcbU, \
    0x36650f78U,     0x3b7ac9edU,     0x1360403cU,     0x06ba76f5U, \
    0x444e7c4bU,     0x8d006c8bU,     0x8b84ad9cU,     0x0daf93faU, \
    0x44537167U,     0x07ace998U,     0x626db959U,     0x6fe51abdU, \
    0xd9190b29U,     0x415a65ffU,     0xb24bc4b8U,     0x55af7476U, \
    0x40034d84U,     0xf77597e0U,     0xecee98ebU,     0xfadfd273U, \
    0xc6b99c31U,     0xfc079a5cU,     0x598557c6U,     0xac551dd3U, \
    0xe7ade3b7U,     0x08f33edcU,     0xbb52096bU,     0xdb9f8479U, \
    0x32da3140U,     0x85db628cU,     0x205efe3bU,     0x359e0c0aU, \
    0xb4408ab8U,     0x683888afU,     0x8ebc18cbU,     0xd1ad9d77U, \
    0x6cd47a1fU,     0x16137232U,     0xeb63c92cU,     0xc035664dU, \
    0x835af563U,     0x8b14ce64U,     0x0fc9bef1U,     0x9dd18fb7U, \
    0xe9fdb3dcU,     0xda6c1c54U,     0x2c879b55U,     0x0dce1b52U, \
    0x17bdd1b1U,     0x65f3b3acU,     0xd72f72dcU,     0xdc261b06U, \
    0x88c22dabU,     0x5c6e1ca7U,     0xefec034eU,     0x62db3f85U, \
    0x68d7974fU,     0xcb3131a7U,     0xcb715d62U,     0xfd5d93a9U, \
    0x2b8b35cbU,     0xed2d1efeU,     0x71334b7fU,     0x86c49173U, \
    0x7251f799U,     0x529667c0U,     0x85f1a846U,     0x3ed37e29U, \
    0x1ed06eeaU,     0x3e77fe28U,     0xf059a7aaU,     0xacdac909U, \
    0xaffc657dU,     0x530fab33U,     0x27dc3278U,     0x00c3c778U, \
    0xbc807170U,     0x1894ee6bU,     0xbd3624b8U,     0xc41e8fecU, \
    0xfdbce04cU,     0x83b326cbU,     0x5bb58937U,     0x776b79beU, \
    0x1cfc1c8dU,     0xbd1770ccU,     0x50a0af53U,     0xc1797d17U, \
    0x73ba219aU,     0x95e5dbdfU,     0x4973e2deU,     0xf3067f63U, \
    0x90978802U,     0x04f0a8c2U,     0xed8b0d42U,     0xace12d1fU, \
    0x3318aa3cU,     0xf7d2579dU,     0xe7c89f86U,     0x78f01b86U, \
    0xad4f2891U,     0xcb46f795U,     0x2f6b96e0U,     0xc8a62700U, \
    0x29720166U,     0xa2fc1a37U,     0x109d46cfU,     0xb4a1270dU, \
    0x30549144U,     0xc1ba0c96U,     0x15a05c14U,     0x5aa8a66eU, \
    0x6e8dc7daU,     0x49219e5aU,     0xbc6d320dU,     0x6fff5ac5U, \
    0xb5b8589cU,     0xb166a385U,     0x12d6e84aU,     0x96709c48U, \
    0xe2249eeaU,     0x2ec922dfU,     0x0dba20bdU,     0xdd034d7cU, \
    0xfc021361U,     0x712a6e35U,     0x4e7cf9fcU,     0xfa649db0U, \
    0xa43ac378U,     0xbab3cc09U,     0xb6a43424U,     0x65cf998aU, \
    0xd749d249U,     0x8776587cU,     0x95f5a5bfU,     0x92fa3091U, \
    0x367336b3U,     0x0c9831feU,     0xef6f8658U,     0xf7e8d8e6U, \
    0x035d377bU,     0x50ec9cb3U,     0xa4dfff0dU,     0xe53aa97aU, \
    0x651a6e14U,     0x80796c73U,     0x9001ff6bU,     0x84555d5cU, \
    0xbcdeb64aU,     0xe7ab5725U,     0x602e818eU,     0x74df86dfU, \
    0x145509a4U,     0x65d4a17dU,     0x04c41261U,     0x3dade155U, \
    0x049f521dU,     0x3773e017U,     0xa7b5a8bfU,     0xc503e0bfU, \
    0xad938165U,     0x0971ca24U,     0x1ae990a1U,     0xe5787a3fU, \
    0x8ff8ff83U,     0x16a25d9bU,     0x9fb1b896U,     0x176be690U, \
    0x5d24a70dU,     0xa3e27e10U,     0xcf385221U,     0x1f25e83aU, \
    0x4e2de262U,     0x26d47045U,     0xf3df193cU,     0x4b1d79beU, \
    0x6fdc61c1U,     0xb2b81415U,     0xcd37bcfbU,     0xa936dccfU, \
    0xa66bc749U,     0xdf0721ddU,     0xb193891bU,     0xa2087c82U, \
    0xdc01986bU,     0xe9add72cU,     0xa11ef61cU,     0x7b9eea71U, \
    0x3d63a5ceU,     0xf94a3999U,     0xa5888d00U,     0x300e3dabU, \
    0x9b99ece7U,     0x410bc158U,     0x839a8879U,     0x91b7cb22U, \
    0xd371dbe7U,     0xeaeb48fbU,     0x39de0f72U,     0x6e5af015U, \
    0x73ce0f98U,     0xe2f60624U,     0xfd2d55f7U,     0xb3243711U, \
    0xeeec0c7dU,     0x17501ca2U,     0xc3d4ab7bU,     0x0de8f4beU, \
    0xedd0b4b5U,     0x593eb341U,     0x774316b7U,     0x1a8d8fefU, \
    0xc3b1ae31U,     0x1b2e474eU,     0x3ea8878cU,     0x13586cacU, \
    0x0067ec38U,     0xf71d0fccU,     0xf02a8fc3U,     0x2d6bbaf8U, \
    0x34b594edU,     0x79b231e8U,     0xdee673c7U,     0xcbdbd03fU, \
    0x982cebf5U,     0xabfb9bbaU,     0x6159aa4bU,     0xc40af207U, \
    0x91f15f43U,     0x2db7e04aU,     0x87daca13U,     0xbc392288U, \
    0x4d1a0072U,     0x63da9cf4U,     0x89604728U,     0x504bc02fU, \
    0xb919f262U,     0x6de53435U,     0x498b0088U,     0x38ea2ebbU, \
    0x4c397617U,     0x60d19536U,     0xfbd3948bU,     0x0b472c88U, \
    0x2cb76d83U,     0x379110f2U,     0xf9b516a8U,     0x2da20417U, \
    0x863dd031U,     0x96eee696U,     0xf2c8fd63U,     0xf25769afU, \
    0xd3b1e6bfU,     0x21aec4feU,     0x8616a01fU,     0x0a639f75U, \
    0x57a48d0dU,     0xa8630d61U,     0x1ae4a969U,     0x0ffa39f8U, \
    0x16c8e593U,     0x342aab14U,     0x406d42feU,     0xb15a9d5bU, \
    0x29fa33beU,     0xe9ec6cc9U,     0x93b837d5U,     0x12f90661U, \
    0x8a0b54b6U,     0xe8c5bf0eU,     0xa213c916U,     0x726797a3U, \
    0x04887c80U,     0x590bb6d5U,     0x2debe555U,     0x15a20435U, \
    0x876a5426U,     0xf0dc442dU,     0x437037eaU,     0x23b207dbU, \
    0x6bf4bb00U,     0x3687da8fU,     0x3ec9b793U,     0x250e2d58U, \
    0x2dc7de5bU,     0xba79ea47U,     0x81eb4b89U,     0xe75f0f21U, \
    0xa6f1708aU,     0x1ec2ba95U,     0x6257df2aU,     0xffa08328U, \
    0xb2c6e1e2U,     0xf85ef6f8U,     0x9b9e3f04U,     0xefa13d07U, \
    0x6dbd7a51U,     0x3c25fa09U,     0x30d50208U,     0x6fa507aaU, \
    0x0423f08eU,     0xb3488652U,     0xb0f04a09U,     0x24194907U, \
    0xdd11a945U,     0x6af61d1aU,     0x5a0811acU,     0x5757a21aU, \
    0x9ee5814eU,     0x1c28a2e8U,     0xfa9b3930U,     0x13f6d465U, \
    0xa4da3428U,     0x69fef580U,     0xb1fa3aafU,     0xadc53d75U, \
    0x4544285cU,     0x334b996cU,     0x70b6de38U,     0x880db633U, \
    0x34506214U,     0x2b9a3b78U,     0xdb2ff631U,     0xfdf75a73U, \
    0xe64332ecU,     0x34bb9223U,     0x54e5bb3cU,     0xc22adef6U, \
    0xa50807e8U,     0x7388d9d8U,     0x4936b68aU,     0xca058e86U, \
    0xaae810eaU,     0xcb26dcb6U,     0x35f02f3cU,     0x01122be0U, \
    0x99465357U,     0xb87f373fU,     0x7ace4d15U,     0xdbd21ff8U, \
    0x120c5c1aU,     0xe349fb7fU,     0x9188d04eU,     0xd9ddb2c0U, \
    0xab616a0dU,     0x459f3aa9U,     0xd6d9169dU,     0x65ca5decU, \
    0x383a5126U,     0x05c2fc15U,     0xa9ae491dU,     0x401b35acU, \
    0xda976455U,     0x4742daabU,     0x364ff78dU,     0xd3413cebU, \
    0xaf53a414U,     0x1e8c11f9U,     0xe0ff7721U,     0xb071f559U, \
    0xd8acc7eeU,     0x25763c33U,     0x38ab06faU,     0x14996dc2U, \
    0x4601f6e5U,     0x2c208f72U,     0xca35cb19U,     0xfb86fcc1U, \
    0x62d4af53U,     0x96530ed0U,     0x0e615062U,     0x2ddab54bU, \
    0xe9d076c4U,     0xc902b2e0U,     0xfade69e7U,     0xa231f0a9U, \
    0x64a579f6U,     0xd0ceb2a8U,     0xf40c50ceU,     0x6d2d2352U, \
    0x9522c63cU,     0xe8c8ff04U,     0x3ef8a2f4U,     0x8d0c5f40U, \
    0xa40c9afaU,     0x8c7171a4U,     0x403065e4U,     0x0821c609U, \
    0xc399eb83U,     0xa158d99cU,     0x92ff10d3U,     0x41d8baadU, \
    0xce753913U,     0xefe29445U,     0x2f5d1006U,     0xace55053U, \
    0xaa5ec738U,     0xf5f32feeU,     0x59e95071U,     0x03304c35U, \
    0x8822f5d2U,     0x4be82e45U,     0x3b47ce4fU,     0x4d35299dU, \
    0x1114493fU,     0xafadd376U,     0x2eecf3d4U,     0x42568640U, \
    0xf1436766U,     0x3ee4e625U,     0xb75bc668U,     0x284548c9U, \
    0x7b453f52U,     0x2f90d3c0U,     0x1e7f6873U,     0x80187415U, \
    0xb404c615U,     0x1f546510U,     0x2429f29aU,     0x544ae28aU, \
    0x0daa6608U,     0xfdc17f63U,     0x2ad05173U,     0x7c192ca2U, \
    0x7a2b1fa9U,     0xd83f27abU,     0x758239c9U,     0x88df900fU, \
    0x7ab514ceU,     0x39a0ac53U,     0xb56001f4U,     0x89aaafc3U, \
    0x7ddb9ca0U,     0xd1ea43f2U,     0x70b18510U,     0x803d77d9U, \
    0xce49f200U,     0x80ab495bU,     0x4cf03cafU,     0xfdc08b7bU, \
    0xbd704aafU,     0x62cdab46U,     0x7a5045a0U,     0x8166f43aU, \
    0xae337fb6U,     0x2d516696U,     0x19f983a6U,     0x66deda90U, \
    0x7e701c80U,     0x71014761U,     0xf6259956U,     0x3fb9ecc8U, \
    0x9f8e7e70U,     0x9ed4c7e0U,     0x89826044U,     0x2cb85dfcU, \
    0xc1fbf181U,     0x1b780e02U,     0xa037f12cU,     0x4deb561fU, \
    0xfafee3e2U,     0x7126c3e9U,     0xee598a57U,     0x73465c2bU, \
    0x9c075aafU,     0x185f3abdU,     0x18fb3846U,     0xf287810eU, \
    0x5959ac1aU,     0x726233f8U,     0xd6eececdU,     0xa5b1f1d7U, \
    0xfc515db8U,     0x349d2bf6U,     0x4e687f30U,     0x4c175e8aU, \
    0xa6b04396U,     0x6bbd7e45U,     0x2a73fb8bU,     0xe4d02218U, \
    0xb9c4add9U,     0x6dfbea49U,     0x3f87c5e2U,     0xdf22b35eU, \
    0x0ae34628U,     0xd2a57e4fU,     0xbb49e607U,     0xbee99e5cU, \
    0x117afb38U,     0x08772469U,     0xa1531922U,     0xf5e0e218U, \
    0x7c88013dU,     0xc7f6ca1dU,     0x3010f738U,     0xa0d0a88fU, \
    0x681ff9ccU,     0x00b02d11U,     0x443c50d8U,     0xb2d1adf6U, \
    0x9f1033e7U,     0x54ccca3cU,     0xd571aaa4U,     0x028c4db8U, \
    0xa4b25d4fU,     0x236d45caU,     0xea2c7095U,     0x5247023cU, \
    0x852b084eU,     0x5b9d20c9U,     0xecafaaf8U,     0xf60b8512U, \
    0x70549dfdU,     0x764bb1c9U,     0xcb117dd1U,     0x8e5c2a9eU, \
    0xc3745694U,     0x4fb0ad1aU,     0x4e038f67U,     0x12e54e01U, \
    0xe2a6caedU,     0x20707681U,     0x8f2ec9b0U,     0x761eadd0U, \
    0xd5be2ef9U,     0x7a17270cU,     0x941b57eeU,     0xfc903dc6U, \
    0xaec6c276U,     0x24e0f38aU,     0xde62d4c2U,     0xcfee5225U, \
    0xcad67b9aU,     0x531c843dU,     0xf9016e36U,     0xe2e2598aU, \
    0xdc96b4a6U,     0xbea79926U,     0xc0250ad2U,     0xbc32b497U, \
    0x2c83a721U,     0x90f3034bU,     0xeb6002d8U,     0x5d619c1eU, \
    0xe54eae8bU,     0x61b01b14U,     0x1b6845f4U,     0x10cf1d32U, \
    0x9a94537eU,     0xa2ee58adU,     0xb3c54f10U,     0xc9127474U, \
    0x14588e4dU,     0x823b09d9U,     0xe4d544efU,     0xbe747f0dU, \
    0x01978090U,     0x476e94ecU,     0xd0938a36U,     0xf008c0f1U, \
    0xbf772938U,     0xce085a24U,     0xb1089c5aU,     0x0679d85cU, \
    0x93fbaa15U,     0x26ec8668U,     0x6d26c2e9U,     0xd0d8868fU, \
    0x24c8a380U,     0x0c21bf73U,     0xef0cfe3aU,     0xbd921243U, \
    0x7e24b433U,     0xef5d7ed1U,     0x9f0bfa38U,     0x857f9d04U, \
    0x43ef6c40U,     0x3a838cb7U,     0xd8951003U,     0x4ec46306U, \
    0xe65279deU,     0x74980477U,     0xc7b06644U,     0x0244ce31U, \
    0x9516eeafU,     0x04f2be7cU,     0x4c49ee40U,     0xeb8c9052U, \
    0x6121f3ddU,     0x6add5d85U,     0xdfd07e7cU,     0xdd526e11U, \
    0x5be96af9U,     0x45d29645U,     0xf5ee7b37U,     0x0ed97105U, \
    0x2ee3d1ceU,     0x72310ac5U,     0x61d42653U,     0x3096318bU, \
    0x59137538U,     0xb75cab3aU,     0xcde54a36U,     0x3d6d5e04U, \
    0xd80377d1U,     0xa12d89a2U,     0x4474654fU,     0x83f48b78U, \
    0x63807d38U,     0x77a108b8U,     0x1f57f328U,     0x8789afdcU, \
    0x3bebdb1aU,     0x5f63a2edU,     0x65da733cU,     0xacb50ef5U, \
    0x578956f6U,     0x3fc1de26U,     0xeba690d1U,     0x79c8a84bU, \
    0x2915b4eaU,     0x6fa3236fU,     0xadee0e8eU,     0x5ae1b78aU, \
    0xf43a710eU,     0xbc24e45cU,     0x4cef4cc9U,     0x790d4a28U, \
    0x44d25f67U,     0x46756091U,     0x8838ded3U,     0xfd7bdbe5U, \
    0x0553a786U,     0x308e1ceeU,     0x88a1e13eU,     0x515bfaebU, \
    0x0afacfbbU,     0xc0bf00eaU,     0x6a739001U,     0xd58c23c6U, \
    0xf8dafb75U,     0xd15fb121U,     0x01951c11U,     0x315b4fdbU, \
    0xc2118ab0U,     0xea73d2cfU,     0x0fddba73U,     0x25ffb3d3U, \
    0x19646a50U,     0xec8f1aadU,     0x0e0b0badU,     0xfb9747bbU, \
    0x9ef1809bU,     0x9dfc86d2U,     0x81b0d1fdU,     0xb02fd8ceU, \
    0xd553f675U,     0x07f40159U,     0xe79bb767U,     0x4eab28e5U, \
    0xaa89ef26U,     0xe4f1cddeU,     0xd074879fU,     0xb8dc44eeU, \
    0xc3f36434U,     0x167ed2d0U,     0xaf863d80U,     0x2b8d6112U, \
    0x3ca34bc7U,     0x122d3693U,     0x589ae6e3U,     0xe7b9a279U, \
    0x5c622f0cU,     0xd2ee90e1U,     0x3be749ccU,     0x0ddae3c9U, \
    0x7ceda7c0U,     0xef6d2aa8U,     0x77a0b69bU,     0xeff6dd33U, \
    0xd0f3044fU,     0xdcbb83d1U,     0x18124c95U,     0x295f2953U, \
    0x19da38fdU,     0x87c462b7U,     0x467e8fa8U,     0xf055a952U, \
    0xec821ae7U,     0x45bc78dbU,     0x1e6026aeU,     0x374f16eeU, \
    0x007d447dU,     0xa3898c0eU,     0xc9359deaU,     0x8a101a42U, \
    0x64096738U,     0x18e8b65aU,     0x9dd9eebfU,     0x50093ae8U, \
    0xfb228026U,     0x7009e51aU,     0x3c05eef7U,     0x2a2a50efU, \
    0xe1d8e055U,     0x3bf1cf46U,     0x91e680cfU,     0x497dc303U, \
    0xf6f1c7d0U,     0x577d4b01U,     0xc819033cU,     0x581aefb0U, \
    0xd71a27f5U,     0xe96c5976U,     0x1ffc5a76U,     0x911e729eU, \
    0x967b73daU,     0x19582dc4U,     0x138db842U,     0x677dabe0U, \
    0x7664ea83U,     0x63279677U,     0x5bf85ad1U,     0x2af53738U, \
    0x8095f07eU,     0x2140f40aU,     0xdd308283U,     0x0aacca01U, \
    0xa12c6bc3U,     0xa0e531bfU,     0x965d91a4U,     0xc07b3b74U, \
    0xd4f1b438U,     0x3b6dc481U,     0xd991ac91U,     0x23bb6585U, \
    0x7c410817U,     0x6093bcefU,     0xd2786ed0U,     0x952b403eU, \
    0xe74732f5U,     0x8a2430d7U,     0xf22f9628U,     0x52b09e52U, \
    0x7f016ac2U,     0x36dd7636U,     0xaff76275U,     0x696c5138U, \
    0x402dfa7aU,     0x782e56b0U,     0xae3f3a15U,     0xdbd92db5U, \
    0x748e4699U,     0x50f0ad6fU,     0x6edc2c2cU,     0x0fe60367U, \
    0x3ea81dc4U,     0x7b107c53U,     0xa6338ce8U,     0x905cd61cU, \
    0x07f6b03dU,     0xd2ba6a92U,     0x81758731U,     0xdbe30f68U, \
    0x459285c9U,     0xef466a1bU,     0x320369f9U,     0x7ad0b07cU, \
    0xb3a9d3baU,     0xd55dffb4U,     0x5a4d248bU,     0x20a75c8eU, \
    0xc6878717U,     0xb8c9fb73U,     0xc1323310U,     0xc5744860U, \
    0xe1f980f7U,     0xa3b4dcdeU,     0x5dd160a8U,     0x07e27bc2U, \
    0xe805ff69U,     0x0fef0c9dU,     0xf14ca5f0U,     0xc867cbf5U, \
    0x325cfa3fU,     0x05f1fde3U,     0xb8e312afU,     0x04ecad31U, \
    0xd8a4cf9fU,     0x41cfe01eU,     0x90e5fe1fU,     0x9707ae48U, \
    0x6da0b913U,     0x2d46cf14U,     0x347294fdU,     0xba6db16aU, \
    0xf0f0afbaU,     0x413f1681U,     0x000ad90fU,     0x02143cf2U, \
    0xe7580985U,     0xc43a737eU,     0xa21f8f55U,     0x03c0657cU, \
    0x4e9ad745U,     0x73dc267fU,     0x890ae16eU,     0x6f7552c4U, \
    0xba82387dU,     0x0a320f73U,     0x500191a5U,     0x2cb30c46U, \
    0x58d68281U,     0x21820cf2U,     0x9f211ec2U,     0x6275a16aU, \
    0xee3e455fU,     0x4cd4f167U,     0x9d2eae60U,     0x5714a206U, \
    0xd10a327cU,     0x002efb6eU,     0xc7ec9c39U,     0xf78eb592U, \
    0x7348ecf9U,     0x04f36371U,     0xfb6ef711U,     0x59bf60b4U, \
    0x8918828dU,     0x8a3af57eU,     0xc3196997U,     0x1529ce3eU, \
    0x0277f6abU,     0xd1990cf0U,     0x053d429cU,     0x6c35c73bU, \
    0xabdd6f44U,     0x4bab03bcU,     0x590f06a1U,     0xb34a5f78U, \
    0x026c8ff2U,     0xbb870448U,     0xaf4d1c0eU,     0xd6c7c1f8U, \
    0x8b152a37U,     0x9cdd38f2U,     0x85b1efefU,     0x9ed74a5bU, \
    0xa644eb14U,     0x1c1f1dc2U,     0xe72eef09U,     0xad88d735U, \
    0x50a2e572U,     0x70d845e8U,     0x0caf8db5U,     0xe2e7be40U, \
    0x049505d2U,     0x2aeee2f2U,     0xe1042cedU,     0x7ccb65c7U, \
    0xd322dff5U,     0x458427d1U,     0x904e4664U,     0xa421f8b2U, \
    0xafd14bf6U,     0xac26bc43U,     0xb8c9012fU,     0xbb94dc98U, \
    0xe02b5c68U,     0x62f010deU,     0xb93ea03fU,     0x6fbae70eU, \
    0xa987458aU,     0xd3a11004U,     0xda0a6407U,     0x4ddb8c8eU, \
    0x1a6e4dd9U,     0xc6cbab95U,     0xd0e00353U,     0xeb400e09U, \
    0xbbc325d5U,     0x53e2405fU,     0xda0d0700U,     0x67fb3dfaU, \
    0xc180c19cU,     0x9196e7aaU,     0x54690d40U,     0xd034802bU, \
    0x93176e14U,     0x28acc5aaU,     0x78a2b011U,     0x9afce5cbU, \
    0x8cbd84a3U,     0xfa64e2ceU,     0x4bea205fU,     0x8ac895afU, \
    0x85e62d0eU,     0x65743bf9U,     0xb071d636U,     0x871efda5U, \
    0x6ccb30fbU,     0x2484c5ccU,     0xc0284573U,     0xecb85658U, \
    0xd6060558U,     0x92f387c3U,     0x2c762388U,     0xa1c6bf06U, \
    0x188cdac3U,     0x64a25084U,     0xc58d98d2U,     0x1292bdceU, \
    0x4ae80cbbU,     0x8f080de3U,     0x1f0773b2U,     0xff213929U, \
    0x9e29e08dU,     0x45e8083eU,     0xca692069U,     0xb136e26cU, \
    0xfc5038d8U,     0xc03d1985U,     0xfba847bbU,     0xa85447c3U, \
    0xe9d0ac5fU,     0x860182abU,     0x9cbc7a05U,     0x698d389cU, \
    0xee68853cU,     0x550599eeU,     0xdf177c6dU,     0xc93f719dU, \
    0x9288e79bU,     0xc1c814a3U,     0x58cc91f9U,     0x4ab9cc39U, \
    0xae504139U,     0xb4cb8b51U,     0x7cd03730U,     0xcd2d0c79U, \
    0xf704a27dU,     0x57bfb7fcU,     0xde0b0858U,     0x53d7d5d5U, \
    0xcfb8cddfU,     0xe8fe2a9cU,     0xe49abc17U,     0x903934c1U, \
    0x0cc81389U,     0x55274c98U,     0x021e806fU,     0xbd0155d9U, \
    0xdd9a558aU,     0xf32a3d00U,     0xf01573dfU,     0xa33a8da8U, \
    0x2325891fU,     0xa9ea261fU,     0xcbd07043U,     0x9064b107U, \
    0x4091ca08U,     0xd275629eU,     0x92cda13bU,     0xc673ff7dU, \
    0xbeec8128U,     0x8076d383U,     0x935f6866U,     0xd96ad500U, \
    0x6ecf440cU,     0x735de877U,     0x3371d5caU,     0x3bca3d0aU, \
    0x220de145U,     0xe3d60addU,     0x8e8648b1U,     0xa5e3f385U, \
    0x531aa18dU,     0x886e6c8bU,     0x77e60cbaU,     0x1b99a3c1U, \
    0x112a3bbcU,     0x0e00cf58U,     0xd20d643fU,     0x0241ec2dU, \
    0xca4d0312U,     0x47a5d004U,     0x110b0bf7U,     0x502cffc0U, \
    0x9ad6fb11U,     0x7f1573abU,     0xe67e3a11U,     0x0dd02b04U, \
    0x0d6dbd6cU,     0xd3f224c3U,     0x3602d36cU,     0xd97c1105U, \
    0x9fafaa85U,     0xdb6b7e45U,     0xfd517ebeU,     0x16ab7103U, \
    0x9b329b1aU,     0x74ea6921U,     0x7e12112fU,     0x327c51f2U, \
    0x7fadbc05U,     0x84d4b1d5U,     0x929fa944U,     0x2c62af1aU, \
    0x00f1410bU,     0xf8783313U,     0x80c24f82U,     0x1a4c44aaU, \
    0x50c712adU,     0x0e651fa9U,     0x457fab68U,     0x24f9f205U, \
    0xb44657f4U,     0x8691417bU,     0x42ce316fU,     0xc087a4c5U, \
    0xb4e677cfU,     0xfde463fdU,     0xdc495a28U,     0xd05d1c94U, \
    0x8610cb78U,     0xd9b6d71cU,     0x6b311b7aU,     0x122bdee0U, \
    0xc296abcfU,     0xda22a698U,     0xcf64e5e3U,     0xf8b27549U, \
    0x4cdc5b5cU,     0x727745a6U,     0x35b8543aU,     0x2d6c5c3eU, \
    0x34aa41a4U,     0x08bcf3b5U,     0xde1a0620U,     0xff6ee7d0U, \
    0x875f6bdeU,     0x2aca2c78U,     0x7b829e70U,     0x13fc84e8U, \
    0x04bb7f03U,     0x974f078bU,     0xfeed805fU,     0x12a1f249U, \
    0xc03117f2U,     0x8fb9e1ffU,     0xa5442852U,     0xcf25fa56U, \
    0x9d9a9d86U,     0xa0ef6144U,     0x67a54225U,     0x98465dcaU, \
    0x5e49b0d6U,     0x4792fa6fU,     0x65d7c01eU,     0xc57a4fb2U, \
    0xd6d37677U,     0x2f7214aeU,     0x45cf7ca0U,     0x0caa9d6eU, \
    0xec395994U,     0xd7ba55efU,     0x04b2e205U,     0x8412315eU, \
    0x43c32b37U,     0x53da0dcaU,     0xd8348de8U,     0xfe3eebbeU, \
    0x65107476U,     0x65284f23U,     0x50bec1d3U,     0x041afc85U, \
    0x108e4466U,     0x4451384fU,     0xb839aab2U,     0xf59c6427U, \
    0x6a3f7bedU,     0x7925fce3U,     0x3fed3cf3U,     0xd046fb51U, \
    0x2d99c4b0U,     0xaa7c51b8U,     0x9f760c61U,     0xef77cf74U, \
    0x56ba463fU,     0x382fe639U,     0x77e05c30U,     0x7fd8dc44U, \
    0xb78c5ee5U,     0x498845bdU,     0x0b3cc769U,     0x6708cea6U, \
    0xef541ed0U,     0x5de1fe37U,     0xdf35f8abU,     0x0569de01U, \
    0xff54478eU,     0xc9c5cdcbU,     0xbc557523U,     0x4f6fbe00U, \
    0x00040529U,     0xd723fa41U,     0xb92a03d2U,     0xafc0c3f2U, \
    0xd4163589U,     0x7059aa2aU,     0x52a25834U,     0x827836dbU, \
    0x871063deU,     0x7dc36f2cU,     0x0e6b068eU,     0x410dfcb1U, \
    0x81fd4709U,     0x46564433U,     0x992eff04U,     0x34f597c0U, \
    0xea11a0c4U,     0x38e25e6aU,     0xbf23e9cfU,     0xe57fd79bU, \
    0x5c47609bU,     0x7f4a8b0bU,     0x4e0af6feU,     0x7fde0791U, \
    0xbc615b27U,     0xfb7c7347U,     0x50e9897eU,     0x3682dd0fU, \
    0xddae6288U,     0x059830b7U,     0x5952e3a1U,     0x1e633b1dU, \
    0x3c74cc47U,     0x05aaa7dcU,     0x23826c8aU,     0xbac21640U, \
    0x81bd7d49U,     0x3188264dU,     0x873be5f3U,     0xaf1d054eU, \
    0x82b8eccaU,     0xb5db6a73U,     0xdfe6bd6cU,     0xa4c3f454U, \
    0x4a1d8345U,     0x149e3726U,     0x74c74671U,     0x8505e73fU, \
    0x7dab0f1eU,     0x8fa963b0U,     0xb16f8a5cU,     0xb088de78U, \
    0x31cdc138U,     0x859b2c4aU,     0xfa02e560U,     0x884089caU, \
    0x2f233db3U,     0x5cce8796U,     0xd1bf1bf3U,     0xd1c6f30fU, \
    0x48f340c7U,     0x01e3b777U,     0xfb25dc51U,     0xdc8e16b7U, \
    0x1e340f0aU,     0xbea167beU,     0x95de924dU,     0xc2964f1fU, \
    0x8f4d2441U,     0x4db2ec34U,     0x5dfaf253U,     0x1779b8faU, \
    0x12301f7fU,     0x9a890d75U,     0x768408a3U,     0x5f8e42e9U, \
    0x81ad7df2U,     0x82c10bf3U,     0xb4e9a4eeU,     0x7893850bU, \
    0x11e6e3fbU,     0x429d1645U,     0x2a097f43U,     0xd51b299cU, \
    0x25157bbcU,     0x3a5838afU,     0xd80d9613U,     0x46e6d69fU, \
    0xad3c96ffU,     0xe27adf4eU,     0x4c54006cU,     0xb6501b03U, \
    0x634ed154U,     0x06610179U,     0xdd312c1dU,     0xdc40664aU, \
    0xc19bd0a2U,     0xf0db3cc6U,     0x3ac77de7U,     0x0d3332fbU, \
    0xf4a5d56eU,     0x7194378dU,     0x445f15eaU,     0x29b16cf2U, \
    0x64a17252U,     0x4ac4fcbeU,     0x2dbfbb32U,     0xab6200b8U, \
    0x21473924U,     0x15aced79U,     0xde1ac5d9U,     0x87b993c3U, \
    0xa3868cbdU,     0x5a32093dU,     0x329f0f5dU,     0x7f341492U, \
    0x9cd27fddU,     0xaaea8e02U,     0xd98bb552U,     0x53bebcd6U, \
    0x589adaadU,     0x11626031U,     0x73f580b5U,     0xc1fba708U, \
    0xd8086621U,     0xcfa8fa71U,     0xf4a8fc7eU,     0x3867d9a4U, \
    0x1bfd44e6U,     0x1b984f02U,     0xde4093f4U,     0x81db3355U, \
    0x5126cb7eU,     0xa7e79a18U,     0xd45ca120U,     0x9009e0d3U, \
    0x97bee9d0U,     0x3a2cd2b0U,     0x03488a5fU,     0xe333895bU, \
    0xbb0531f2U,     0xdc00a931U,     0x6ce152b6U,     0x50c3bd6aU, \
    0xea631cdcU,     0x96fd222cU,     0xd1f2e479U,     0xcc21a511U, \
    0x20b657dfU,     0x6517e879U,     0x3163e2e4U,     0x3ec99e4cU, \
    0x2607925fU,     0xb6f405d1U,     0xc1e077aaU,     0xa4a078efU, \
    0x5a27f362U,     0x1064c046U,     0x8f0188f0U,     0xc4cbf2d6U, \
    0x9f1d8788U,     0x15753855U,     0x11c80803U,     0xb18ae958U, \
    0x2527b562U,     0x100b6ac2U,     0xaa31b12bU,     0x5dbd2888U, \
    0x495188bbU,     0x9687272eU,     0xf8d4146bU,     0xa7b2bf95U, \
    0x0293b279U,     0xa42ba988U,     0x1ce6c4a9U,     0x685967f5U, \
    0x71371ebaU,     0xeb023342U,     0x6a364318U,     0xa983ee29U, \
    0x065574b5U,     0xa61b243dU,     0x46d41d79U,     0xaaa1910aU, \
    0xcf0ca622U,     0xa3524649U,     0x5e35943dU,     0x37bc0471U, \
    0x89c4f57cU,     0x70a4fc7eU,     0x16593bc0U,     0x27523f3eU, \
    0x1c6fd9ecU,     0x8fe3a17eU,     0xb51c4e23U,     0x6eab2fb1U, \
    0x2f582c1bU,     0x71a8257aU,     0xa05bba65U,     0xca11472aU, \
    0x7aecd283U,     0xec270a7bU,     0xb47a1f85U,     0x383993afU, \
    0x535e8e8eU,     0x98250cfaU,     0xcde79f26U,     0x3e02edfdU, \
    0x7cfba78dU,     0x48fd33e3U,     0xbc764086U,     0x755892a8U, \
    0xa5b19627U,     0x471c38ecU,     0xe6fbdbf8U,     0x956233fbU, \
    0x1a30ecdaU,     0x339d0eb1U,     0xb14c596dU,     0x09707cf6U, \
    0xc8b03603U,     0xa996d92eU,     0x4404c8e8U,     0x54d17b01U, \
    0x4c176db4U,     0xab83b37bU,     0xb5ee741cU,     0x0b096b79U, \
    0x7dd4354cU,     0x8eb6cbceU,     0x5943a4adU,     0x2ac821e6U, \
    0xef064e4aU,     0x479b4c59U,     0x9e0a07ebU,     0xf35045acU, \
    0x21656547U,     0x67e77c11U,     0x087f4dddU,     0xa5dd8ce4U, \
    0x9f0a2467U,     0xeb6933dfU,     0x2b3238bdU,     0x3f3e7c19U, \
    0x3165f17cU,     0x5b136730U,     0x59b95993U,     0xc775dc67U, \
    0xadcc4342U,     0x6993ead2U,     0x7f172e66U,     0xd36c634cU, \
    0x7ff4a790U,     0x30ea8b98U,     0xacbea716U,     0xbe3e83cdU, \
    0xdf7f7fbbU,     0xcc7a1527U,     0xb2c440f9U,     0x353dc372U, \
    0x5c120c7fU,     0x8d6ff640U,     0x94dea68aU,     0x67b7ffd5U, \
    0xc0b6332aU,     0xa771fe6dU,     0xaa2ae010U,     0x2f8ce500U, \
    0x68304139U,     0x84c00440U,     0x1bfb858bU,     0x07a5c5a6U, \
    0xddb47bd0U,     0xa45a49a4U,     0xcd93fad5U,     0xc34c8555U, \
    0x3a3f0a59U,     0x7fdeb321U,     0xf0db2653U,     0x112119e9U, \
    0x1fe1cbc2U,     0x4f3f332aU,     0xf23676c4U,     0x48f6e651U, \
    0xfac20efeU,     0x85081dd1U,     0x5b0d84baU,     0x3a2a5a0bU, \
    0xd3fc15b5U,     0x7c42e34eU,     0xa5a7013dU,     0x8363e35aU, \
    0x9c84b562U,     0x4a3745ecU,     0x413fc877U,     0xd70b3b6cU, \
    0x5bdc9d61U,     0x337cdf2fU,     0x84fd9904U,     0x11efb789U, \
    0x3345fefdU,     0xd06105d5U,     0x002ef1fbU,     0x9666ac0fU, \
    0x2900ff0aU,     0x3c9af17aU,     0x6f72089fU,     0x5819bb5eU, \
    0xf2410f64U,     0xfb540fe3U,     0xe4ba3743U,     0x635cdc6cU, \
    0x47f122f0U,     0x68ac82f6U,     0x95aed2e9U,     0x2ebeb5a3U, \
    0x75191531U,     0xca97ee74U,     0x82854519U,     0x4b9eb491U, \
    0xe204b1b3U,     0x87661868U,     0x36e7d966U,     0x44375d73U, \
    0xfb65bcc6U,     0x89de40aaU,     0xafb171f9U,     0x27836c9eU, \
    0x298d5dc3U,     0x2f40b7afU,     0x6d772b9dU,     0xc81a251bU, \
    0xdd8bc58aU,     0x27653125U,     0x5bbc0ecfU,     0xa92f176cU, \
    0x00bbcef1U,     0xcbf046d9U,     0x30a9eec6U,     0x5d21b942U, \
    0x8d93fe01U,     0x66e99cc2U,     0xd014e9efU,     0xec02541dU, \
    0x25993890U,     0x7cfb9b06U,     0xf95b2580U,     0x7fdecde1U, \
    0x7e535254U,     0x8e506295U,     0xc1c86fa0U,     0x2f53a2ccU, \
    0x4d92eea6U,     0x2f3d4966U,     0x5c63fa0dU,     0xd9f9c233U, \
    0x99606082U,     0x97c988d6U,     0x4b7c73ccU,     0xbe4821bfU, \
    0x0c12114eU,     0x92b79752U,     0xf68a643eU,     0x3d780fdbU, \
    0x310ab573U,     0x3c8dd2c7U,     0xa5cff2d3U,     0x9b3c85cdU, \
    0x6f56881bU,     0xc4b2f57bU,     0x942af69dU,     0x96b67c97U, \
    0x6e8b722aU,     0xa03f025dU,     0xdb56bdd3U,     0x3cbd9faaU, \
    0xbb23dc98U,     0xfb5447b8U,     0x5fefc210U,     0x32cafff2U, \
    0x9aae5685U,     0xa6971794U,     0x32acf0bfU,     0xf0621967U, \
    0x822b30e3U,     0x8590d0b1U,     0x958af969U,     0x5a725cacU, \
    0x1e2a957aU,     0x71ebd52cU,     0x96a51430U,     0x2ee34468U, \
    0x86cfed57U,     0x212da511U,     0x5d37275dU,     0xe0de61ebU, \
    0x3f9e0bbaU,     0xf8de2557U,     0x7880203fU,     0x03cbd86dU, \
    0x50ccfb1dU,     0x2d386e63U,     0x1523135dU,     0x74d6e807U, \
    0xee2810aeU,     0x9e05966bU,     0x3c5cc350U,     0xe9958474U, \
    0xa8f9f088U,     0x59b34612U,     0x262f3f52U,     0xc1cc85a9U, \
    0xd32c477eU,     0xb1b86e77U,     0x8d1c41feU,     0xe3038a16U, \
    0xda23399aU,     0x5e854c8fU,     0x118ff28bU,     0xec01f409U, \
    0xe813d783U,     0xdf75570bU,     0xe42272afU,     0x7ef3e452U, \
    0x042b6658U,     0xfcce8604U,     0x9851faa1U,     0x71027057U, \
    0xcdc9c768U,     0x2d1c6754U,     0x268ea30cU,     0x9ceb95acU, \
    0xb7b50f3eU,     0x032ad98eU,     0x6c38eeedU,     0x978d1d7aU, \
    0x98e7dc0aU,     0xd622aac4U,     0x9469ce00U,     0x4710d33dU, \
    0xd7d83d89U,     0x97ab7c6cU,     0xe1254f27U,     0x78ac5e88U, \
    0x767441baU,     0xee6aa67eU,     0x5e288c79U,     0xb2f32608U, \
    0x49620f5dU,     0x8c552e24U,     0x4cbf6c4fU,     0x6a46c533U, \
    0x8a0a815bU,     0x05932a2aU,     0xa44dcedfU,     0x0c56b70bU, \
    0xdb5543b8U,     0x0f13044aU,     0x7e0c9b6dU,     0x255502b1U, \
    0xc7443b9aU,     0x8db5da89U,     0x4d9e72d7U,     0x962368f6U, \
    0xe851ff27U,     0x9ff52269U,     0x0e22eef7U,     0xaa1ae2a2U, \
    0x6e55ba75U,     0x9f9b0baeU,     0x9a66a463U,     0x1369a48fU, \
    0x035ad2d3U,     0xef2e052dU,     0x8b49f051U,     0x3fd71a8bU, \
    0x75906bffU,     0x3822378aU,     0x9c895691U,     0xd5989c78U, \
    0x7096feffU,     0x377f59a3U,     0x6873600fU,     0x95c4c2a8U, \
    0x67cef3edU,     0x8b761fb0U,     0xc4669f37U,     0x7a10e1b1U, \
    0x189cd8b5U,     0xe442dc91U,     0xcc75775fU,     0x76f7ebedU, \
    0x9e50d460U,     0x1c0d7e67U,     0x876b5b5bU,     0xc350d493U, \
    0x3f52e8caU,     0xac7b074fU,     0x542937a6U,     0x6bb06b2dU, \
    0x8375e7dcU,     0x72166542U,     0x36032d49U,     0xc90a2d9bU, \
    0x08581e74U,     0x162d63c0U,     0x98aaeafeU,     0x5a0331daU, \
    0x48bae990U,     0x5fc62d4fU,     0x153a0969U,     0xb0d59b94U, \
    0x1bc36526U,     0x0c469c39U,     0xdc2c59b4U,     0xe624e570U, \
    0xa0cb4fd2U,     0xdf4e6b23U,     0xe6593dfaU,     0x029b4503U, \
    0x169f2560U,     0x84abe802U,     0x16ef17a9U,     0x4674b338U, \
    0x52d7b459U,     0x564c3e33U,     0x58dbef03U,     0x2fe2b8a8U, \
    0x55f5c9efU,     0xb52f0eedU,     0x95c228a0U,     0x21dcb502U, \
    0x57dcbaacU,     0xf181f289U,     0xa118f745U,     0x8139e29eU, \
    0x2dda625fU,     0x7f2c7ef3U,     0x54273f88U,     0x42934206U, \
    0x106a2b77U,     0x4dc29e4aU,     0x79297464U,     0x64ec1c11U, \
    0x43e21cccU,     0x412e143cU,     0x9f8a2f47U,     0xa86fa908U, \
    0x3a44dd5eU,     0xcd4a61dcU,     0xe0458f33U,     0x89b95ca1U, \
    0x013b570bU,     0x98a16db0U,     0x0888a55cU,     0x877ffc31U, \
    0x75abd080U,     0x175ab8b5U,     0x83bcb483U,     0x33a34c88U, \
    0x6b3a958bU,     0x28ee0bd9U,     0x51345d5dU,     0xed8b82edU, \
    0x56dd437bU,     0xd1bd2ccdU,     0x8a8cca32U,     0x7bb6e7b3U, \
    0xad4aeb1cU,     0x07362a19U,     0x312993aaU,     0x4e2c6698U, \
    0xb6dcfd41U,     0xe175813bU,     0xa5ba1521U,     0xf72b4e33U, \
    0x769335cbU,     0x6a69ae36U,     0xb702ce7dU,     0xaebd60feU, \
    0xafb8318cU,     0x922dac95U,     0xc2bc2cbaU,     0xe5e51aa4U, \
    0xf36a1093U,     0x3d4e9ad8U,     0x54b35918U,     0xafe512cbU, \
    0x4668ec23U,     0x7914a7eaU,     0x22ee98b1U,     0x9627b368U, \
    0x31827ce2U,     0x04b5196aU,     0x7084fdf6U,     0xddc09da2U, \
    0x4a830a24U,     0xb044ccb5U,     0x7d282163U,     0xecd59a61U, \
    0x977761d2U,     0xc57d8cc6U,     0x85abd97cU,     0x2ea26f63U, \
    0xd25123a6U,     0x6d0a9ae8U,     0x2c16056dU,     0x44aa0620U, \
    0xb3bb87acU,     0xcce33569U,     0x4ed3bbf0U,     0x7caf7392U, \
    0xdf3e4ca4U,     0xe77d5e3cU,     0xa3079177U,     0x040db95dU, \
    0x958fb0b7U,     0x284a3b55U,     0xf92923c1U,     0x8f1dfe5fU, \
    0x5638036fU,     0xd11c5e7aU,     0xf3a828dfU,     0x659e0cffU, \
    0xaf27eaacU,     0xf6b1cc40U,     0x49d7de81U,     0xdea3e3f4U, \
    0xeb6281e6U,     0x502b78bcU,     0x8a3d398fU,     0xc27f4bb0U, \
    0xf18257d5U,     0x560bc5f3U,     0x8826b439U,     0x5e5ebadfU, \
    0xbcb8b6e3U,     0x325fab40U,     0xb4b120b0U,     0x1e25d38cU, \
    0x84c121cfU,     0xc05f2f53U,     0x0d7e4a16U,     0x47c22141U, \
    0x8be3c8adU,     0x92b70908U,     0xe5a57912U,     0x6d05def3U, \
    0x9468cfe5U,     0x75834dc2U,     0x494ec262U,     0x1b21703fU, \
    0x72e259eaU,     0x9f38dac3U,     0x47b85e25U,     0xb57223f1U, \
    0xa60a47e1U,     0xf4ff6129U,     0xc4ee23baU,     0x0fca7a02U, \
    0x8c998be9U,     0x628bf30dU,     0x20480464U,     0x6a2fd2e8U, \
    0x37d16cdaU,     0xd90962d3U,     0xbc5f6263U,     0x73927ae5U, \
    0xef06b61aU,     0xd415fc17U,     0x6257ff5aU,     0x9dd61107U, \
    0xc6ce8c18U,     0x9b31c215U,     0xf35b5e5fU,     0xe3042abfU, \
    0xbfc31e82U,     0xafc5861aU,     0x2d9bdeb3U,     0x49eb43e7U, \
    0xf2d16dedU,     0x6730c5a2U,     0xe9049360U,     0x222e842dU, \
    0x80c3b646U,     0xbb62fe2eU,     0x0a6db27eU,     0xf85fa872U, \
    0xfb6bb0f1U,     0xb41660aeU,     0x1b82b0a1U,     0x3c98bd13U, \
    0x0f19ac9dU,     0xf4e997deU,     0x380caae5U,     0x81ca68a9U, \
    0xa7054063U,     0x48ba7c55U,     0x6e8d357cU,     0x693a1582U, \
    0x558e96a8U,     0xfc43d8eeU,     0x32c27ee8U,     0x10a3f737U, \
    0xc6f72feaU,     0x2d77a7c6U,     0x746f1dcbU,     0x4475eb3dU, \
    0xe3b7266dU,     0x9396c5a6U,     0x91fddf59U,     0xcd7ed908U, \
    0x32432dc5U,     0x005277f6U,     0x0d5871ebU,     0xc3f261d1U, \
    0x57f75d55U,     0x79c207c1U,     0x1b43d2e4U,     0x2c87f2f8U, \
    0xd201f9d9U,     0x619afc5fU,     0x910ed98cU,     0xc91e1bf2U, \
    0x5b506205U,     0x49ad23e1U,     0x620e6116U,     0x9803d891U, \
    0x3d58de79U,     0x2a5d4758U,     0x5cd7082bU,     0xe2f28996U, \
    0xefbbb499U,     0x587df860U,     0xfe00057cU,     0x35c90b83U, \
    0x9a047804U,     0x34a99db5U,     0xdaff8150U,     0x6331ec41U, \
    0xf41aabd9U,     0xb26356a1U,     0x02a6ba4fU,     0xfcdb3283U, \
    0x6da5979dU,     0xa0bf3fa4U,     0x91d2e903U,     0xaffa8879U, \
    0xa654366eU,     0xf64447c5U,     0x6894213bU,     0xf37343bdU, \
    0x4d3f6cb2U,     0xd2c25e87U,     0xb4900752U,     0x306d9d3aU, \
    0x1e6e0e8dU,     0xf201b6f3U,     0x83cc9e95U,     0xd639d9a7U, \
    0x709e43abU,     0x2e5dab59U,     0x7b3584f9U,     0x78673798U, \
    0xf31ced80U,     0xa680c80aU,     0x8e5635f6U,     0x75b0df76U, \
    0x4c496189U,     0x2cc8cac1U,     0xa2aafbb9U,     0x69de7671U, \
    0xf0715de8U,     0xca270351U,     0x508f2bb7U,     0x23b931b3U, \
    0x8a27ddf9U,     0xcd2a89f0U,     0xe4df9c65U,     0x01746cc9U, \
    0xb33675a6U,     0x58d75af1U,     0x12a6ab58U,     0x90cee2e2U, \
    0x94e56255U,     0x78380338U,     0xd064662aU,     0x7224b663U, \
    0x482ff3ceU,     0xddc5f33eU,     0x13ed65aeU,     0x62845f48U, \
    0x2fc9985bU,     0xe10924d0U,     0x76a07863U,     0xb3d04799U, \
    0x5a6838adU,     0xb1384658U,     0xb8662a38U,     0x7be00b31U, \
    0x04a7fb6fU,     0xc610263aU,     0x1b99afdcU,     0xc9ce1c1bU, \
    0x5c9e6488U,     0xc3d69200U,     0xe4c82d32U,     0x618f13bcU, \
    0xe9c85cf8U,     0xf1e3964dU,     0x31f909f7U,     0xd7d7f3c3U, \
    0x9572624fU,     0x804d8212U,     0x8125048bU,     0x9defbc85U, \
    0xee5340b0U,     0xdcda5a0bU,     0x8d638950U,     0xca399994U, \
    0xdc92d321U,     0x8bda06bdU,     0x268ad32bU,     0x2732908fU, \
    0xdb14928bU,     0x1a156c78U,     0xdd88d817U,     0xfcfc32deU, \
    0x0cabf6f6U,     0x631d546dU,     0xfea33b4cU,     0x61d916f8U, \
    0x21315dd7U,     0xbabe8b1dU,     0x8abbe0c6U,     0x41607de8U, \
    0x3a80948fU,     0xc9750337U,     0x3a0b0564U,     0xa1a07fddU, \
    0x222aa7f4U,     0x1537178aU,     0x081664fcU,     0xe72b48beU, \
    0x4bd3ff9dU,     0xc0669906U,     0x9e89d6e1U,     0x659d1e17U, \
    0xf82a8da3U,     0x53a85f0aU,     0xe4af329fU,     0xe62cf748U, \
    0xa96a32f4U,     0x332a9a31U,     0xe8011339U,     0x72e20e78U, \
    0x885b8de4U,     0xfb51542eU,     0x38a70744U,     0x1a13e537U, \
    0x035eafa0U,     0xd1655e6cU,     0xaf1f6de1U,     0x43219df9U, \
    0x55ebb078U,     0xead4a784U,     0x10400c83U,     0x7f6090c5U, \
    0x928a8375U,     0x38cd5438U,     0x1c15b529U,     0x7c2c9f5aU, \
    0xff4fe10aU,     0x5ef75459U,     0x3be35afdU,     0x8f8ac3b9U, \
    0x5ffb9d4cU,     0xe3543784U,     0x42ca0b73U,     0x03fe4f84U, \
    0x7c679929U,     0x92c17de8U,     0x4a6910d9U,     0x329b00daU, \
    0xa3512224U,     0xe1e0fc93U,     0x9a40025dU,     0x9e5b9d19U, \
    0x66f18826U,     0xec2a08d2U,     0xaa34bf2aU,     0xdd7f5039U, \
    0xd0a65e50U,     0xcefd0f4dU,     0xd8f894f2U,     0x5f0f5167U, \
    0xaf47bdf8U,     0x0da82584U,     0x5fbbe0fbU,     0x2e87c1b1U, \
    0x6ce8bdaeU,     0x478d638aU,     0x2c149c53U,     0x722ca2a1U, \
    0x0be8d3dcU,     0x6403e2abU,     0xea8b8ecbU,     0xe596b9fcU, \
    0x7808deffU,     0x257e69a2U,     0xea816b8eU,     0x1b2a761cU, \
    0x28e1693aU,     0x34387185U,     0xc9aab16aU,     0x94139950U, \
    0x8da9323eU,     0x072f8b72U,     0x644cb698U,     0x8c446c97U, \
    0x00c22fd5U,     0x009d34a4U,     0x0aa11d52U,     0xdbbadc6dU, \
    0x48d04272U,     0x48109483U,     0x40adb07fU,     0x6d3d8345U, \
    0x7b609005U,     0xf5d41f33U,     0xa530ed59U,     0x1e3711d3U, \
    0x209fb124U,     0x84648712U,     0x6c9f693aU,     0x6a587e40U, \
    0x6d8a828bU,     0xf9e5657eU,     0x0191164dU,     0xb9ed9cbeU, \
    0xdb89234eU,     0x9720a72cU,     0x93fc1571U,     0x98c1cfeeU, \
    0x03b89e8fU,     0xc62e6f08U,     0xeff8334bU,     0x461ffe44U, \
    0x5280d709U,     0x616f64faU,     0x6ce62fdbU,     0x155187fdU, \
    0xc5f1d358U,     0x484245b9U,     0xa858e532U,     0xeae79868U, \
    0xedcf9a1dU,     0x944c15dfU,     0xa64c655bU,     0x74a0d633U, \
    0xba6c4649U,     0xb150a82cU,     0xa047864eU,     0x2970a3dcU, \
    0x5bdfaea5U,     0xf171b1f5U,     0xcf7b3622U,     0x750579feU, \
    0xd072833eU,     0xe2b1ce73U,     0x736cffbbU,     0xe72e27aeU, \
    0x8199cebfU,     0x89d12347U,     0x4a38062eU,     0xea4f5c2bU, \
    0xf405b27fU,     0x62f523f7U,     0xf4446435U,     0x82881f83U, \
    0x5167fc8fU,     0x41a8cf46U,     0xbc28228bU,     0x4858ec46U, \
    0xd3f3b48bU,     0xbd5f1739U,     0xb4fba46bU,     0x123aba04U, \
    0x43ac184eU,     0xbb9aa3c6U,     0x47853a95U,     0xb9aa0d50U, \
    0x0a9ee2a0U,     0xb5ebc9a1U,     0xdde6a023U,     0x7aae5a60U, \
    0x1b37d575U,     0x7fe05211U,     0x41b07ed0U,     0xe2c98ad0U, \
    0x8e1e5599U,     0xfb6d0450U,     0x1bbbb6faU,     0xa8c35085U, \
    0xad42022bU,     0x96faf589U,     0x7585c1e7U,     0xcaadbb17U, \
    0x2fc75870U,     0x68fd6037U,     0x5dbceee7U,     0x3f7f5749U, \
    0x20c8805cU,     0x3b8b97cbU,     0x816ef1fdU,     0xc941e87fU, \
    0xd6e9ebb9U,     0x132a212bU,     0x25585f04U,     0x482efe75U, \
    0x97bb580bU,     0xf3bce86eU,     0x5e601944U,     0xb2183e02U, \
    0x7dc89d71U,     0x63a7c09eU,     0x420eadccU,     0x10275e1eU, \
    0x42a60515U,     0xbe80eb79U,     0xf2fcc24dU,     0x3be42dbaU, \
    0x4488f7f4U,     0xca8b8a50U,     0x5cbe622dU,     0x3e711e27U, \
    0x9b7765a5U,     0xbcd0dd8eU,     0xc3880823U,     0x8e07f26aU, \
    0x44abb853U,     0x73ae290eU,     0x03938e5cU,     0xe0fa9e68U, \
    0xcac7170eU,     0x42872e98U,     0x27d76733U,     0x328ed218U, \
    0xfb30f7bdU,     0x33b4a4bcU,     0xd6f5c70fU,     0x4b7864fbU, \
    0x1f6db6ffU,     0xf1628b5eU,     0x0efe067aU,     0xf7a0e6faU, \
    0xe949b077U,     0xd8a4b64cU,     0xec9196b9U,     0xe41d7dd7U, \
    0xd276364bU,     0x9e8179deU,     0x63afd597U,     0xbcfbfd97U, \
    0xecc48fb0U,     0x3eb4d313U,     0xa2109ba2U,     0xde08b2a0U, \
    0xf4bb38caU,     0x86542d86U,     0x393faf69U,     0xfdf98447U, \
    0x7fce226fU,     0xe2680197U,     0xf3cb1849U,     0x8a506ffeU, \
    0x8b775bc5U,     0x7e462d73U,     0x5e126855U,     0x13c7e377U, \
    0x4a5fdc1cU,     0xc68e0354U,     0xd51acc07U,     0x804c10a5U, \
    0x3eb57e3eU,     0xe4d0d77cU,     0x502826ebU,     0xd933c4bcU, \
    0x1c74a526U,     0x1cb3f65bU,     0x332b74c1U,     0xd0be3f68U, \
    0x4bde5fc0U,     0xfde25100U,     0x23bcd8dcU,     0x7e09f4e1U, \
    0x77f1e81cU,     0x64b8b982U,     0x0a4c3b2bU,     0x3efb64aaU, \
    0x8dde5444U,     0xf193ee33U,     0xf761c1b9U,     0x9bdd4934U, \
    0x6e279c0dU,     0x46720a17U,     0xacb68513U,     0xac9e132aU, \
    0x06aa0142U,     0xe7f171ceU,     0x1b9ba8acU,     0x3f6b18e9U, \
    0xdde1d360U,     0x60dc6581U,     0x17783508U,     0x579d51a6U, \
    0x907fef9cU,     0x7a023d11U,     0x6855bbd2U,     0x8f238c79U, \
    0x5ac4780cU,     0xd73c3494U,     0xad59d2beU,     0x4dd6275eU, \
    0x3e569685U,     0x02ee0d4eU,     0x06e4dea6U,     0x4543215cU, \
    0x896f276bU,     0x8412754bU,     0x8ca6b98cU,     0x29a01b88U, \
    0x1947d512U,     0xab04c61fU,     0x8bc55a3eU,     0x2a2af03bU, \
    0x43a3874fU,     0x41b2db1cU,     0xe68528d9U,     0x77a07858U, \
    0x7599fadaU,     0xdc53bb29U,     0x479083b8U,     0x0a7c1d96U, \
    0x133f261bU,     0x97c1ae64U,     0x58047af8U,     0x731f351fU, \
    0x5beadac8U,     0xf54b5978U,     0xa4f47da5U,     0x1d60831cU, \
    0x262c79d9U,     0x404cc9a5U,     0x3d900dfaU,     0x45342b10U, \
    0xbc1c6fa2U,     0x911d5a70U,     0x57f0555aU,     0xd4a403b3U, \
    0xf6aea562U,     0xa80ceb05U,     0xa4fc6758U,     0x15a451ccU, \
    0x946f8ca1U,     0x956f6bd4U,     0x890bd602U,     0x21eee72cU, \
    0x8f92b7f5U,     0x7234beeaU,     0xbf2c5694U,     0xf8a86612U, \
    0xb3e1dc23U,     0x968694b2U,     0xdf6483c5U,     0xe4970071U, \
    0x940fa9b2U,     0x3758b8e8U,     0x44b628a5U,     0xd02d085aU, \
    0x9c83287aU,     0x1130b46dU,     0x9b18bf55U,     0xc8347b81U, \
    0xf784b589U,     0x56cc4f3cU,     0x10d1ea76U,     0x0051bb5eU, \
    0x3d524511U,     0xe9272a8bU,     0x2bd8722cU,     0xdd32dbc9U, \
    0xec465bfaU,     0xc1d1ad56U,     0x78b47b57U,     0xf1fd8003U, \
    0x19e9080bU,     0xc0929485U,     0x7aa608dcU,     0x0ce1a873U, \
    0x646cb0ccU,     0x35c90b43U,     0x40744d1eU,     0x748e61a0U, \
    0xdf63bb3fU,     0x76f5a4c7U,     0xf42ab886U,     0x3ffe6288U, \
    0x15b71085U,     0x3b79c5f1U,     0x938dca7fU,     0x8c1b9927U, \
    0xf21704fcU,     0x5c3224ffU,     0x86e26224U,     0x4cc89ecfU, \
    0x9269fa5eU,     0xe691eaeeU,     0xe95d6c87U,     0xe1500274U, \
    0xecab7c58U,     0xb02c6286U,     0x80e824d7U,     0x5e113003U, \
    0xc3f11fdfU,     0xc705e4fbU,     0x8bd67d70U,     0x8deee950U, \
    0x730ec6c7U,     0x5564f2b1U,     0xe9a18bf3U,     0x34745348U, \
    0x26089b71U,     0x2a4fa914U,     0x06431c82U,     0x4f6f0a40U, \
    0x2ac1bf3eU,     0x5be8377cU,     0xb8c3e88eU,     0xa87dbed4U, \
    0x44a7e28eU,     0x535079e5U,     0xc7f3b8b8U,     0x08ff3dfeU, \
    0x73f063f7U,     0xe10aa47dU,     0x03727821U,     0x662e638dU, \
    0xd8bdb060U,     0x0153461fU,     0x5919d7fcU,     0x81cd8e49U, \
    0x4b5658c5U,     0xe1412e85U,     0xfdd8df14U,     0x9b52debcU, \
    0x06b6a295U,     0x42ebc2c3U,     0x5b0e63e1U,     0x815ac86eU, \
    0x79bcfe39U,     0xae986db8U,     0x4afad5b4U,     0xf9cd7642U, \
    0x2bf4aa49U,     0x1e3d2575U,     0x7e24d197U,     0x4d753cfeU, \
    0x7c2e5ddcU,     0xbc839c18U,     0x9e16b44bU,     0xa4b45178U, \
    0x04778777U,     0x00f52edcU,     0x418b5cd1U,     0x2fde8604U, \
    0x6b1c1185U,     0x790a13efU,     0x82462b9eU,     0x42dfcdd3U, \
    0xda47ee48U,     0x94509483U,     0x0255f4a6U,     0xb5b76745U, \
    0x117a45d8U,     0x4cfb06d4U,     0xdc68f34bU,     0xcd521c53U, \
    0x19021090U,     0x5093fa0dU,     0x0704a8acU,     0x6c8f60b4U, \
    0xb8c0d35dU,     0x35f39580U,     0xd4843e14U,     0xf6c05d0eU, \
    0x236a30a9U,     0xa1a12f21U,     0x3cbe950dU,     0x717d4ca8U, \
    0xfe20cc17U,     0x78d9be6bU,     0x491ff859U,     0x3fe98063U, \
    0x17702462U,     0xca67bf15U,     0x923112bbU,     0xd0111569U, \
    0x95e505caU,     0xa8f7f7f5U,     0x33119657U,     0xdcc9c3c5U, \
    0x6800cae4U,     0x94d3cdbdU,     0x3f3ff807U,     0x360046aaU, \
    0x71941ea4U,     0xe263489fU,     0xaf986e72U,     0xe6e814ecU, \
    0x6a372792U,     0x65354645U,     0x0e62d519U,     0xbf25738cU, \
    0x12f936dbU,     0x92dcccb2U,     0x367be988U,     0x122ed243U, \
    0xb14b1ebdU,     0xd9d8f852U,     0x2d044402U,     0xe8e77bbbU, \
    0xd28e8d92U,     0x0abe633dU,     0x230e5d78U,     0x771d052aU, \
    0xfdaffe89U,     0xf3a6c8b1U,     0x507002d5U,     0x49befba9U, \
    0xe39fc5ccU,     0xf49056e7U,     0xafdbf7d9U,     0xb060595dU, \
    0x66ff8cecU,     0xc05ec32cU,     0xc3124e94U,     0xd2dba12eU, \
    0x577deb22U,     0xd7650ebdU,     0xc1173f77U,     0xb09c64e6U, \
    0xc4f2cfefU,     0x945a2669U,     0xf51a90c5U,     0x6d4f1a5cU, \
    0xdb3e90f4U,     0x544b3cafU,     0xe40b8fbbU,     0xce3e2212U, \
    0xb6c2f84cU,     0x0921fc0cU,     0x9ab6a4f2U,     0x8c2c4a6dU, \
    0x8e6666cfU,     0x18d42a1aU,     0xd4879629U,     0x5ac04af3U, \
    0xe5e80eabU,     0xdf154ec3U,     0x65c8b53dU,     0xc0d7e1a1U, \
    0x8c7d3bf2U,     0x0a20fec3U,     0x67122ac8U,     0x1c3b0bcaU, \
    0x2947c24bU,     0xe088613dU,     0x3ae153a2U,     0xded66210U, \
    0x8ae0b0b1U,     0xfb3fcc43U,     0xa0a3e024U,     0xcc910d8dU, \
    0xa59f9a90U,     0x6229cae1U,     0x0ebe53d7U,     0xfdd25499U, \
    0xc40125adU,     0x20eaf2f9U,     0x3caef3d4U,     0x666a588cU, \
    0x7d0b5174U,     0x4b27b338U,     0xa9109c1bU,     0x9a337c66U, \
    0x84ff3348U,     0x33278a9bU,     0x27f733ebU,     0xfed3653bU, \
    0x10cc830bU,     0x1d3e7a02U,     0x87bb3a45U,     0xa1b49dcbU, \
    0x7926aabaU,     0xdeb6a97dU,     0x26a884efU,     0xa9819168U, \
    0x3f50aa24U,     0x7a6b73aaU,     0x56d8c5f1U,     0xd3aacf09U, \
    0x9edadbeaU,     0x701e11abU,     0x29e966aeU,     0xcbd63f37U, \
    0xe0ea44b8U,     0xf45d8154U,     0x037ef4c4U,     0xa6f64c9eU, \
    0x94c86cd1U,     0x276e1d1cU,     0x68be95abU,     0x0df10cd6U, \
    0x9738757fU,     0x1da7bfc4U,     0x3916dbf9U,     0x0c2d1e83U, \
    0x2708fbf7U,     0xe4612f6eU,     0x45c65410U,     0x080ef1dfU, \
    0x0cc907f5U,     0xda68a678U,     0x0d2b2546U,     0xc18531beU, \
    0xc2f82174U,     0xedaee735U,     0xd08c655bU,     0xc24f368aU, \
    0xd2240544U,     0xa545f274U,     0x997753c9U,     0x36c91c51U, \
    0xff3d015eU,     0x8070bfa0U,     0x4adce8dcU,     0x4e3729e9U, \
    0xc18534deU,     0x56c58aceU,     0x2e540f83U,     0x5590cb24U, \
    0x2686deb0U,     0xcf962853U,     0x52a11e10U,     0xa8f7be7dU, \
    0xbcd8af7bU,     0xeffac44aU,     0x97a5d05cU,     0x300e5738U, \
    0x3a892d41U,     0x089dd76dU,     0xe197387cU,     0xb621e1fdU, \
    0x8bab22d5U,     0xa91cc1b4U,     0xf5fbeb56U,     0x84da1ae8U, \
    0x1825ee76U,     0x9c1927e0U,     0x7ec28596U,     0xf05873ccU, \
    0xb3348d1eU,     0xac089786U,     0x9de1e6dfU,     0x44c5de4cU, \
    0x97629239U,     0xefaa4ad8U,     0x075fe0c3U,     0xc2eb45f7U, \
    0x0cd6e87bU,     0xb5720a4aU,     0xc38b6df4U,     0x840f51d0U, \
    0x7b93d6e8U,     0x94b5290cU,     0xf55821cfU,     0x49a7b044U, \
    0xf3bf6784U,     0x58114cf9U,     0x9503beb1U,     0x4b200431U, \
    0x5972dbd6U,     0x29956f50U,     0xe6bf2a86U,     0xa4632479U, \
    0xe0e7ce8bU,     0xa7f0c030U,     0x3cdfff95U,     0x46776186U, \
    0x4885af8fU,     0x895aa351U,     0xb544963cU,     0xd297375eU, \
    0x17f00293U,     0x6c48b5efU,     0x74abd58eU,     0x98f6a39dU, \
    0xf617df07U,     0xd4c087cbU,     0x611ff7c8U,     0x41e0fdcbU, \
    0x3a60070bU,     0x88cc8b7bU,     0x70303ff3U,     0x152d4449U, \
    0xa54ed578U,     0x17b5502eU,     0x1d5de05aU,     0x4de12908U, \
    0xc84c1547U,     0x160ca547U,     0xebe385a9U,     0xa61bcc2dU, \
    0x9f66d33dU,     0xfea91598U,     0xdec3f9b6U,     0x4ddeecb4U, \
    0xe75b2795U,     0x72723018U,     0xea5e8e61U,     0x12f721f8U, \
    0xf7033e0cU,     0x2907c9e3U,     0x68a281ecU,     0xacd2e551U, \
    0x307f3100U,     0xff94bad7U,     0x9588a128U,     0xaf453194U, \
    0x2306a9abU,     0xf2c63bc4U,     0x338fe3a8U,     0x478f33d6U, \
    0x2d20e44aU,     0xdfd4f9f1U,     0x1bd9eba5U,     0xade5c433U, \
    0xe01c36d2U,     0xe3fcdecbU,     0xd09ec9e7U,     0x12f9dd65U, \
    0xa688e8e8U,     0xc49c2711U,     0xa4b238b2U,     0x7bac88c5U, \
    0xd68d575bU,     0x3b178656U,     0x0e36b05fU,     0xe0c7ba95U, \
    0x9d4668a7U,     0xb7d74a75U,     0xd4c9d349U,     0x1aa1db38U, \
    0xb4e5203dU,     0x0239b5bfU,     0x6c8d8c8bU,     0x24be05f3U, \
    0x05decd6bU,     0x1378fc5fU,     0x2cdc6b69U,     0xfd394a83U, \
    0x00680ff8U,     0x13cd7201U,     0xbd8ebbb3U,     0x51f61e2bU, \
    0xc94171e6U,     0x7221ad18U,     0x5816b544U,     0x72487805U, \
    0x6e83d483U,     0x5709a27cU,     0x211c624cU,     0x367979c1U, \
    0x8fe5f3fbU,     0xb088c8a6U,     0xe681ef71U,     0xc60d86a4U, \
    0x5b6bf61bU,     0x896a9477U,     0xba61272fU,     0xc0a95b82U, \
    0x34f38dc5U,     0x399f030bU,     0x9789b54cU,     0x484c0652U, \
    0xa9ae8f8dU,     0xbe91d7e8U,     0x94b2a1faU,     0x5f3e6372U, \
    0x14401d59U,     0x9b619c1dU,     0x86640d49U,     0x4e404053U, \
    0xbf0e71ddU,     0x1024d1dfU,     0x09641b26U,     0x6c19948dU, \
    0x10889126U,     0xdbfdd7d2U,     0x6067f3e6U,     0xe534f45aU, \
    0x8e0f2736U,     0x2dbe7cb7U,     0xc1819f2fU,     0x6c4af74eU, \
    0xf8f1d4f8U,     0x7f39ea38U,     0x1f25bfc3U,     0x2be51841U, \
    0x37b51c80U,     0x4f2ac631U,     0x0ed1e8c7U,     0x1a334a7eU, \
    0xc6d3baa1U,     0xb87be500U,     0x7336811dU,     0xe10dcd45U, \
    0xacbd9714U,     0xaf27af8bU,     0xf70a6dfeU,     0x9312de4eU, \
    0x6ac943a6U,     0x4e27bfa4U,     0x5a816327U,     0x9ac5bd34U, \
    0x3e563e6fU,     0xecd9475fU,     0x4dc7b9d5U,     0x47eb3debU, \
    0xc3990506U,     0xc70f899fU,     0xc589cfb1U,     0x2ac641b1U, \
    0xac990340U,     0xe5902d94U,     0x79343f5cU,     0xfb3a5489U, \
    0xb5a2428bU,     0xb7fcb11cU,     0xbbe39355U,     0x68e2e084U, \
    0x6ba53a7bU,     0x2f290815U,     0x1d32c2f0U,     0x9e188387U, \
    0x69c788bfU,     0x687cb217U,     0x4ec54d23U,     0xcea00880U, \
    0xa6a61c2dU,     0x879b82b2U,     0x878e77a8U,     0xdddc40fdU, \
    0xb5df6d2cU,     0x8cfe35baU,     0x51c0ea96U,     0xcb30b300U, \
    0x790d039cU,     0x91cbd080U,     0x575b0123U,     0xef4062beU, \
    0x58f9816bU,     0x9917f756U,     0xf3456417U,     0x4c2f424cU, \
    0xb622cc7eU,     0xe34263f8U,     0xee6804deU,     0x38e78e9cU, \
    0x497de5e1U,     0x305f3295U,     0x9f6e5f59U,     0x6a38400fU, \
    0xcbaca1aaU,     0x15190897U,     0x1aaa6bdbU,     0xd1bb4aa5U, \
    0x01eba69bU,     0xa261655fU,     0xde0a957aU,     0xb8f20492U, \
    0x1ad6216dU,     0xd8ae8dddU,     0x6b9e3be8U,     0x8f735a08U, \
    0x1c679bc9U,     0xd3b50461U,     0x97aee00bU,     0x1731bc0eU, \
    0xf445929dU,     0x67b11aa2U,     0xaa54005aU,     0xd4ced5c7U, \
    0x865b855bU,     0xed25b8b4U,     0x8a6c0b61U,     0x07792870U, \
    0x0804c907U,     0xd718e50eU,     0xb41d0378U,     0xb6e5edbfU, \
    0xc2ce84f7U,     0xe53eb429U,     0xdbf1e37cU,     0x05e14028U, \
    0x5e3cc637U,     0xb023c3acU,     0x93b5f871U,     0x02cb0cdeU, \
    0xee56a57aU,     0xb45fbb79U,     0x8bea9919U,     0xd248bff3U, \
    0x8e0ffe19U,     0xc3383678U,     0xb548446bU,     0xa37082a9U, \
    0x475b308eU,     0x1a431a78U,     0x3fe19a3dU,     0xa0f0452dU, \
    0xe6240555U,     0x2a201c82U,     0xea957e4eU,     0x7109f658U, \
    0x1359957dU,     0x001b138eU,     0x6d81c6aaU,     0xf51f6bb7U, \
    0xc2484239U,     0xc3febc8cU,     0xf400fb7dU,     0xdff360faU, \
    0x5536d74cU,     0xabaaebfcU,     0x798d450dU,     0x3bfb333aU, \
    0x85aefb5dU,     0x803bb3e6U,     0x6f871dc1U,     0xb151b8c1U, \
    0x2e05426bU,     0x29bad9e3U,     0x3a93776dU,     0x377c1dabU, \
    0x716dd5b0U,     0x4aaf3d4eU,     0xaf1cd65bU,     0xe8141046U, \
    0xc68e8ed5U,     0x1397a330U,     0xf19cef12U,     0xf7ed4433U, \
    0xcfaf99bfU,     0xf4a828baU,     0x1ef37239U,     0x3b925ce3U, \
    0x0679ef06U,     0x875e181aU,     0x57693b0fU,     0xbe6dbafdU, \
    0xd97935daU,     0x2f94bbe0U,     0x30b58e5bU,     0xd386515eU, \
    0x9ce17faaU,     0x971356aaU,     0xcbb6f5d1U,     0xd1b5019bU, \
    0x8fe1e479U,     0xc45c3151U,     0xc13ec914U,     0xb133e235U, \
    0xf8f0abf0U,     0xb480c690U,     0x37f83270U,     0x58425571U, \
    0x0814d60eU,     0xa3cfd35dU,     0x32c67158U,     0x2f6b055bU, \
    0x5e993980U,     0x8d985f6cU,     0xdc4639afU,     0xb14117b4U, \
    0xd2e66db7U,     0x61636551U,     0x09bd7f2cU,     0xa4c170a3U, \
    0xcc603440U,     0xee1e2c04U,     0x0339a4d0U,     0x61fe209dU, \
    0xb8171295U,     0x03053204U,     0xec1522feU,     0xfc93cd44U, \
    0xf49ee106U,     0x5d58392fU,     0x8e14d834U,     0xec09a6b5U, \
    0x6934cbdcU,     0x3ff950f6U,     0xcb9455f3U,     0xd1529b61U, \
    0x214104eeU,     0x0ec3fc82U,     0x0a3b804eU,     0x8ac40570U, \
    0xca3a25a8U,     0x59b56fbfU,     0x01ce4530U,     0x19f6517bU, \
    0x3cfb2707U,     0x90104fbcU,     0x9ba885d0U,     0x7bc795f7U, \
    0x35c9f8fbU,     0xccf1e423U,     0x590cc83fU,     0x04cb8493U, \
    0x41531465U,     0x46392954U,     0xa82f606bU,     0x8549f175U, \
    0xb904d1f1U,     0x27d0a6afU,     0xdec74771U,     0x532993b7U, \
    0x19bd7c1bU,     0xd58f4777U,     0x60efc72aU,     0x1bc744fbU, \
    0xde8e0b8dU,     0x85abe697U,     0xcfbd9ba8U,     0x75f303a7U, \
    0x75dc5882U,     0x4bf223e5U,     0x7dcc8bf2U,     0x34c13041U, \
    0xd2e557adU,     0x5259cf01U,     0xe7628dd0U,     0x03b21557U, \
    0x9e14d30eU,     0x2bc11bf6U,     0x113c7bfeU,     0x1cd96179U, \
    0x0416a21cU,     0x0cd9ae59U,     0x2cd53afaU,     0xb49e242bU, \
    0xd9cd9757U,     0xa497ef9aU,     0xa822835fU,     0x2dd79424U, \
    0x173612abU,     0xdfd06e02U,     0x69fd8435U,     0x21eabf42U, \
    0xbdbf3a00U,     0xf36139eaU,     0xb38e3764U,     0xcc414d17U, \
    0x190867e1U,     0x3c45ec09U,     0x3d07bed0U,     0xb955b817U, \
    0xd994702eU,     0x2efcbae7U,     0x56be59cfU,     0x2be36ff0U, \
    0x115ead1eU,     0x48a74c60U,     0x7f6424dbU,     0x6336e0a0U, \
    0xc18d786fU,     0x499460b1U,     0x1e64d401U,     0x73ae6b3cU, \
    0x7a39e7e9U,     0x9b8b6be5U,     0xce73ccfaU,     0xb04d95bcU, \
    0x2172d24dU,     0xd80ca8fdU,     0x0ec731c2U,     0xd7f08c84U, \
    0xb2d41edcU,     0xf75e7835U,     0xda15e82eU,     0x19779b25U, \
    0xae0e47d0U,     0x5dc5a27bU,     0x9926ae94U,     0xfcbad94cU, \
    0x25c261bfU,     0xea0a7671U,     0x168be279U,     0x2c6f6b9cU, \
    0xa6544541U,     0xa74d8c74U,     0x52ff9ed4U,     0x0bc394dbU, \
    0x628076efU,     0x50965997U,     0x19a17d64U,     0xd0d13c8dU, \
    0x2278d098U,     0xaa662c7aU,     0x848c476aU,     0xb1eaf792U, \
    0x135b9bd6U,     0xa5ffc117U,     0x15b4bd92U,     0x000ab59eU, \
    0xbbc728abU,     0xf5383833U,     0xba25efe9U,     0x382524baU, \
    0xf4707897U,     0x3449e82aU,     0xec94b089U,     0xa430a927U, \
    0x0237718bU,     0x90a88eeeU,     0x14d7e2c2U,     0x7879b417U, \
    0x28ba9e62U,     0xb6d85ed1U,     0x21de2165U,     0x363fb735U, \
    0x7966e869U,     0x4ca7dd6eU,     0xc93c4f7eU,     0x66e99bddU, \
    0x32e6011eU,     0xd91b3fc6U,     0x2ee967a3U,     0x94340533U, \
    0x813f1606U,     0xa9cbc755U,     0xfd5edfc1U,     0x1295c1faU, \
    0x11d58efbU,     0x6b18b94cU,     0xae927c85U,     0x5fe249f9U, \
    0xf1db0ce5U,     0x19cd6c6aU,     0x8b9358e7U,     0x07911326U, \
    0x5bf8b1d5U,     0x05718ee8U,     0xc552e29aU,     0x44e64bd4U, \
    0x6f24d18eU,     0x83c31deaU,     0xcfc87efcU,     0x345f92e0U, \
    0x86f03dd8U,     0x553524cfU,     0x6f1a19f0U,     0xead4a265U, \
    0xd29ff559U,     0x254d9f55U,     0xae43677fU,     0xe8aa6aaaU, \
    0x6c1b5c89U,     0xacd44ec9U,     0xcf5128edU,     0x635cc387U, \
    0x7524e767U,     0xb1239724U,     0x05d59b78U,     0xf80f43bfU, \
    0xa3433809U,     0x46133028U,     0x7a07dd0fU,     0x097519b8U, \
    0x72b174f5U,     0x7cf6f455U,     0x28276aa7U,     0xba9eefdaU, \
    0xf3b4f50eU,     0xd8967701U,     0x65add576U,     0x6e024263U, \
    0xf46c8f89U,     0xbd3d8752U,     0xc92bbc03U,     0x8b6ed590U, \
    0x0ff51e0bU,     0xbea25878U,     0x62246eafU,     0xa09414fcU, \
    0x7aa2ccf5U,     0x8a0ee87bU,     0x5518ef48U,     0xcf41eddbU, \
    0x346b33e3U,     0xf19453ddU,     0xf6ed50f9U,     0x941daa7dU, \
    0xb4cc8dc4U,     0xd4407b43U,     0x4834a10bU,     0xf455fd0cU, \
    0x926ca4c9U,     0xb60bd1d1U,     0x0c90e0ddU,     0x9785a2afU, \
    0xbfb8d504U,     0x5d66b25eU,     0x81896b31U,     0x6fc4f6b0U, \
    0x18e74a4eU,     0xb40999a6U,     0x5665840aU,     0x16af66a7U, \
    0x005f7d58U,     0x7b6e43dbU,     0xe8fdbb3fU,     0x5ca1ec48U, \
    0xef9374ccU,     0xb517b0ebU,     0x61801ad9U,     0xbc5d28f6U, \
    0x7206002cU,     0x86395c87U,     0x92550de7U,     0x0b39bcadU, \
    0xc6242d70U,     0x8ec5ce07U,     0x1497b50aU,     0x3833601bU, \
    0x931977d5U,     0x3a0b7612U,     0xbbfa4590U,     0x4fd8bf13U, \
    0x9a43a7cdU,     0x3edfd2c5U,     0xa2e35047U,     0x1c298a74U, \
    0x27055196U,     0xfec81b4aU,     0xbdb23603U,     0xd121939dU, \
    0x70b28796U,     0x1e8eac3aU,     0xe8abc32fU,     0x055b2b4cU, \
    0x19d03394U,     0x83cbf2f7U,     0x55ef37c3U,     0x20085fd9U, \
    0xf88b0c25U,     0xc1e994a0U,     0x1dd0d5aeU,     0xba30b14dU, \
    0x2ecc2b5eU,     0xb4c44ae6U,     0x9c49d559U,     0x1a3c35d3U, \
    0xa6ec89ecU,     0xc4432f64U,     0x07081a29U,     0x37df8541U, \
    0x08895c1eU,     0x40fa1a35U,     0x4e182c17U,     0x7db30d8aU, \
    0x34d468a9U,     0x49170075U,     0x0e75eb35U,     0x9cfc50faU, \
    0xda89b21aU,     0xa4af795dU,     0xe0d18636U,     0xbb94e0c0U, \
    0x21d4ecbdU,     0x3e8aa18fU,     0x920892b8U,     0xe721a046U, \
    0xadb1beb7U,     0x4de4d12aU,     0xec4adb48U,     0x3e1fdc7cU, \
    0xf2ac2193U,     0xc88c0dcdU,     0x09e0bab4U,     0xede88694U, \
    0xdacd3b7dU,     0x0abf7776U,     0x451434b9U,     0x5d856a1cU, \
    0x872c56b8U,     0x50dffcecU,     0xb7b90c57U,     0x34d35096U, \
    0xa3ee0852U,     0x74ad6f25U,     0xd050f57bU,     0x553ec8a8U, \
    0x32105b94U,     0x38945229U,     0xfbd3a0d5U,     0xc7f9d696U, \
    0xf2002bd5U,     0xf795eb7fU,     0x7b44c27eU,     0x18f7f8d3U, \
    0x7ffd89bcU,     0x0b3dd9acU,     0x4b1a660aU,     0x5646bb97U, \
    0x9bdd30d6U,     0x02d922a4U,     0x1e0df521U,     0x4bcedae5U, \
    0xa1dc656dU,     0x0c99a668U,     0x119f614eU,     0xd14d6f25U, \
    0xebacab49U,     0xc82a9ed7U,     0x64f9f926U,     0x02d80127U, \
    0x68afb9beU,     0xf96ad27cU,     0x305d550bU,     0x95655e2dU, \
    0xb9f40a5bU,     0x59cb844eU,     0x8308a09fU,     0x88df6b7bU, \
    0x610555d9U,     0x4bdaf6d0U,     0xa94f11c7U,     0xe9ffeb47U, \
    0xfbef1487U,     0xc124dcc3U,     0xe1e90c7bU,     0x8c592f4fU, \
    0xb4d15068U,     0x06d9f919U,     0xecfdc0d2U,     0x3ff8613cU, \
    0xecc7baabU,     0xd63f9815U,     0x8eabcf09U,     0xe74f260aU, \
    0x44fa4b65U,     0x57c125c6U,     0xef3c6715U,     0x83926484U, \
    0xfbdb5c52U,     0x39415745U,     0x727fad73U,     0x38e60c05U, \
    0xad79f8d3U,     0xd7bcd67eU,     0x8551033eU,     0xf7f57511U, \
    0x7331fc30U,     0x4c8c8e38U,     0x2b94222dU,     0x0fc92c41U, \
    0x5a4b0cefU,     0x6fa6a5ffU,     0xd6c7ebf3U,     0x3d36eae3U, \
    0xd2cfb25bU,     0x31c8c1caU,     0xbc260ae3U,     0xaaf73510U, \
    0x0c532d30U,     0x881a2dfeU,     0x2b4353d1U,     0x7bd18968U, \
    0xd1baa32fU,     0xe3efac46U,     0xec62f77bU,     0x46a10b70U, \
    0x273c2353U,     0x0a14d496U,     0xa1e14f8fU,     0x47be90b2U, \
    0xc6dc5586U,     0x4486122fU,     0xdf552558U,     0xafafa9f1U, \
    0x68f74ae7U,     0x60c8db04U,     0x7c5a482eU,     0x94f70ae5U, \
    0x506f2643U,     0xaec70b00U,     0x9a089815U,     0x71513adfU, \
    0x730147deU,     0x9987ebecU,     0x735a42f9U,     0xe57c5f4eU, \
    0xfb51380fU,     0x6ac677e6U,     0xaca32966U,     0xf437ab85U, \
    0xdd64620fU,     0xb9e8ed66U,     0x50b7cadaU,     0x2ab7b2f6U, \
    0x534b4504U,     0x6d82a563U,     0x85433e58U,     0xcfd07ca3U, \
    0xe2afb05cU,     0x2ca658b5U,     0xf42e02a5U,     0x1ba7819bU, \
    0x8c303071U,     0xb214371bU,     0xcad2cea6U,     0x5d3e1459U, \
    0xd8190300U,     0x7366d78fU,     0x5a54147dU,     0xb4120665U, \
    0xe58818ffU,     0x1de43671U,     0xb38e6532U,     0xb4005a73U, \
    0xc22b1767U,     0xa470a731U,     0x61e3b89cU,     0x0306c6b1U, \
    0x093d4f0eU,     0xf555995dU,     0xd95d4d7fU,     0xb063c032U, \
    0x3857c14aU,     0xc2ee73ecU,     0xe8eaf5cdU,     0xcc85fa9bU, \
    0x036c9c3bU,     0x0a14fb38U,     0x03a0a052U,     0x1eb9bf1aU, \
    0x65685600U,     0x20e370acU,     0x74871e13U,     0x1df0c662U, \
    0x3ca34ca7U,     0x72005588U,     0x2302071fU,     0x33ddc699U, \
    0x9937e2f9U,     0x9e5c5ee4U,     0x44ba8d1fU,     0x6f225dc7U, \
    0x75f007a6U,     0x1f616f40U,     0x8d03f812U,     0x7bcbf3f0U, \
    0xbfe9bf13U,     0xca148a4cU,     0x6197a0a1U,     0x5994b1f0U, \
    0x09a21108U,     0x062d1961U,     0x807d7211U,     0x963e7549U, \
    0xad2719efU,     0x0260e05cU,     0xb5e5f3f4U,     0xced7b0f4U, \
    0x7b825593U,     0x4079a556U,     0x2f7fb2b1U,     0xb3b6045cU, \
    0x667fa227U,     0xfb6276e2U,     0xc264124dU,     0xaa9a02faU, \
    0x3710116dU,     0xbfceb99dU,     0x06051c74U,     0x0acca44aU, \
    0x106847eaU,     0x6138f0bdU,     0x59885397U,     0x068d6793U, \
    0x82a5999cU,     0x9291553aU,     0xccfe0b2eU,     0xd86a9e5cU, \
    0xa29edd51U,     0xeb16d2daU,     0xe634ad70U,     0xc3d6a21aU, \
    0x1955bc85U,     0x3221b8b8U,     0x347161f6U,     0xa779184eU, \
    0xacaa668eU,     0x11b9a2b4U,     0x9cdf18bcU,     0x77363954U, \
    0x303c55c7U,     0xc0459cb0U,     0xd6e7ddecU,     0x7922e122U, \
    0xc7f70d08U,     0xb116f569U,     0xf67b33e9U,     0x4862b594U, \
    0x421201e2U,     0xb2d0a3ecU,     0x4a764ef8U,     0x8a4be790U, \
    0x89b78993U,     0xfee555a4U,     0x08f0f62dU,     0x9cd768fcU, \
    0x140c9cd8U,     0x290f3cd4U,     0xe134baceU,     0x5d28c9abU, \
    0x2a11e72aU,     0x6cea6d05U,     0xed20e70eU,     0x048136b8U, \
    0xd73ef676U,     0x8d4ee965U,     0xced16ba8U,     0x8a198834U, \
    0xb4f4b81cU,     0x33e3fc15U,     0xe089bb75U,     0x081e6653U, \
    0x63026e55U,     0xb13e311eU,     0x0f45ec80U,     0xf237f12fU, \
    0x0de9ba9cU,     0xff3b55d4U,     0x18897fcaU,     0x0e944445U, \
    0xb7d04973U,     0x3866839fU,     0xd8e92b2eU,     0xa7226c99U, \
    0x918e9099U,     0x38fe76e3U,     0x70be1573U,     0x57303b39U, \
    0xa9fd89b1U,     0x5489d53aU,     0x8ac70609U,     0x775e4a52U, \
    0x05522375U,     0x9f925f04U,     0xc27cfcdbU,     0xd3a3e106U, \
    0xe867c065U,     0x83083b8fU,     0x4faa5337U,     0x50ac4950U, \
    0x489e2104U,     0xde3fb92aU,     0xdffc4d37U,     0xe0278e59U, \
    0xb29ced02U,     0x6c014a77U,     0x0de76f66U,     0x8bc4bae6U, \
    0x53cd075fU,     0x75a5d271U,     0xa94090c0U,     0x2e344e22U, \
    0x087bab2cU,     0xf89053faU,     0x89367525U,     0x3f984ca6U, \
    0x676a3411U,     0x478ba9baU,     0x5ff9073dU,     0x7c31dc3cU, \
    0xac007916U,     0xffebc033U,     0xac4d42e1U,     0x7cbe8f69U, \
    0xe6a825abU,     0x164d883eU,     0xfb4b4ec3U,     0xe3458a1cU, \
    0x23b05728U,     0x7ccb8c28U,     0x34afac54U,     0x823f62b1U, \
    0x6264157aU,     0x1c986c44U,     0x66842faeU,     0xde30dbbbU, \
    0x45a9ba3bU,     0x07bcf649U,     0x9d83e79dU,     0x0ca1269dU, \
    0x7318e68cU,     0x1e3ee5aaU,     0x9766878cU,     0xec898033U, \
    0xd14ce5c6U,     0x8ff8563eU,     0x39e0ff54U,     0xd4735e25U, \
    0xad1a5f5eU,     0xc1aadc9cU,     0x9d51fec5U,     0x3cecb29dU, \
    0x3e44a4f9U,     0xd580ff5cU,     0xccb9c2e1U,     0xc94b9ba4U, \
    0x9e81f73dU,     0x884cc22dU,     0xc7fcf7afU,     0x3a0ac0baU, \
    0xe5165f1dU,     0xbb20e305U,     0x48dc5e87U,     0x5013be9bU, \
    0x7ba6360bU,     0x43e67e8eU,     0xf58df1abU,     0xbfe9a145U, \
    0x15695f23U,     0x0ee61ba5U,     0x28b563fcU,     0xa4784338U, \
    0x86f11fe2U,     0xc2f3ad7fU,     0xd79b5b3eU,     0xe074fff6U, \
    0xdcae13b0U,     0x680d6a2eU,     0xb8a4a341U,     0xb18598bfU, \
    0x78e3480cU,     0xd61780bfU,     0x7659995fU,     0x449e4f05U, \
    0x4e42ea31U,     0xa268a423U,     0xec74d97dU,     0xa7c912dfU, \
    0x67b002dcU,     0x0db31f7dU,     0x9d4f4ad6U,     0xe5ac1cc5U, \
    0x4f6b4a8dU,     0x4be12098U,     0xc9b40929U,     0xbd6b4560U, \
    0x2647c8f6U,     0x05eafcefU,     0x9e432388U,     0x958acafaU, \
    0xb74b9695U,     0x02e122cbU,     0x6cbb85d8U,     0x9b231377U, \
    0x133293ccU,     0x8a2d6af4U,     0x951753d9U,     0x89a5e746U, \
    0x9cf7e43fU,     0x92c2a0a7U,     0xecf41125U,     0x56d08895U, \
    0x933b9986U,     0x092e9a81U,     0x438d2464U,     0xe4f958c0U, \
    0x821b9c80U,     0x903d7c6fU,     0xbe19c523U,     0xd1be7951U, \
    0x031f2877U,     0x7f81f88bU,     0xd4651d4dU,     0x0111927dU, \
    0x9db1735fU,     0x5caeabb8U,     0x5e72cf89U,     0x656653a9U, \
    0x7fa72c4dU,     0xd3fad991U,     0xdae611b4U,     0xfd9022e2U, \
    0x92fef808U,     0x51ef4a9aU,     0x84499d84U,     0xb9a3cf97U, \
    0x6283dabdU,     0x6085a7edU,     0xca1bb1c4U,     0x7622f5bdU, \
    0xc914dc43U,     0xfa9d1ac6U,     0x1b2a71e1U,     0x7855b521U, \
    0x4c81ba6bU,     0x0cb8b481U,     0xedc10225U,     0x7fe003c4U, \
    0xed23801bU,     0xa243366cU,     0x32a4b0d7U,     0x8d5fab1eU, \
    0x33bda985U,     0xf3f917f8U,     0x356a429bU,     0xff872631U, \
    0xb54af833U,     0xc3f43508U,     0x82ed9039U,     0x37205e9cU, \
    0xce3b6c98U,     0xbcc71cfeU,     0x4f6f2cfdU,     0xcec90d39U, \
    0x39018505U,     0xdfce3585U,     0xcc0a15aeU,     0x4eeb31f1U, \
    0x8e798fa1U,     0x377d61feU,     0x0e776a0cU,     0xddbd95c7U, \
    0x5940eca8U,     0x4f0240ffU,     0xea675f27U,     0x7a0fe9cbU, \
    0x31b77bd0U,     0xfd2ca86dU,     0x4f11a46bU,     0x26f6a13eU, \
    0x9e705b67U,     0x7240639bU,     0xc846b6edU,     0xc772d427U, \
    0xe5310af4U,     0xcb866244U,     0x6fa1b3b8U,     0xb8d28d71U, \
    0x8ad9b398U,     0x03abeb0dU,     0xf51896ceU,     0x11d9fc18U, \
    0xacb8c28cU,     0x08573caeU,     0x1a0cff51U,     0x06cfa848U, \
    0xa4ff08a9U,     0xeed95e12U,     0x63be00f7U,     0xd4e1fb3eU, \
    0xab2e39c8U,     0xcf7f3bc3U,     0xa5820207U,     0x949f9220U, \
    0x2d6153a5U,     0xbb6335a4U,     0x0c8fb3f1U,     0xf96d7641U, \
    0x063297e5U,     0x0342a6b7U,     0xfb79c204U,     0x9d9bc495U, \
    0xcebce5ffU,     0x3b2e5209U,     0xcf934c1eU,     0x61de4a88U, \
    0xff42086dU,     0x85fec879U,     0x48ee60dcU,     0xf744bcb5U, \
    0xfef18cf9U,     0xf561e309U,     0x63a400e4U,     0x1a634291U, \
    0x7866dbd4U,     0xc557e1ceU,     0x38583169U,     0xb27fbeaeU, \
    0xd39f7e20U,     0x68d03d60U,     0x72c7e5eeU,     0x7d28d0aeU, \
    0xf1720630U,     0x2415ea35U,     0xbc0101c0U,     0x08052807U, \
    0x9a387e2aU,     0x1f303ca5U,     0x695e69c3U,     0x6c1c2df3U, \
    0x1b062d41U,     0x4a1cd91aU,     0x67af9dcaU,     0x79ce1e88U, \
    0xce7e6c8eU,     0x1673f03eU,     0x7b4e791cU,     0x65ac4e90U, \
    0xd83aece4U,     0x88126848U,     0xf7d6c34aU,     0x48b9f297U, \
    0x9a70b319U,     0x21a8c0b2U,     0xc7122b2fU,     0xa0dbfb11U, \
    0xa9decb8cU,     0x61037237U,     0x1891bbc2U,     0x26bf96ebU, \
    0xd41585b3U,     0xcfcc25c6U,     0x7fadbd17U,     0x84ded7e5U, \
    0x16c13dccU,     0x6565c7d2U,     0x057571d7U,     0xb7646800U, \
    0x153059eaU,     0x4a200cc6U,     0xc5166199U,     0xbac804daU, \
    0x7cbca01cU,     0x7ce361bcU,     0x814aa91eU,     0x0d2fc15cU, \
    0xc18fa847U,     0x7a49e26eU,     0x5bb5099dU,     0x98fcbd8aU, \
    0xd0d5c7feU,     0x6b2a9ebaU,     0x725df1f8U,     0x7b47c17dU, \
    0xc800ef03U,     0xc4db1d49U,     0x4414961bU,     0xb2951bddU, \
    0xd692de3fU,     0x8f48621cU,     0xc421cda5U,     0x9cc0205fU, \
    0xa3c0cec7U,     0x57540c3fU,     0xd3f9f971U,     0x82b63ae5U, \
    0x33b080bfU,     0x60ee66a2U,     0x582575a5U,     0xd3c25d0aU, \
    0xbc4755bcU,     0x7f38a53eU,     0x2570b01bU,     0x3b9ede5bU, \
    0x62a7af17U,     0xa33cf2e0U,     0xca78df7dU,     0xd0d07502U, \
    0x753c5362U,     0x8fe28b0eU,     0x5474332cU,     0x407ce639U, \
    0xa04bc0cdU,     0x2242039eU,     0x87dbfc7dU,     0xf11c81f6U, \
    0xcd4a78cfU,     0x8a2e4acbU,     0x668eae55U,     0xc3229c6fU, \
    0xad207fbeU,     0xeab5c817U,     0x23d0d1f3U,     0xc5a536b9U, \
    0xd2c72a9bU,     0xdf35c1bbU,     0x45b90463U,     0xb425f390U, \
    0x69c6d78eU,     0x815bc453U,     0xf0318b19U,     0xd0e55f14U, \
    0x23ac52e2U,     0x97c7f30dU,     0x06094bc0U,     0xd22b195cU, \
    0xc9da2251U,     0xf12e9f30U,     0xcb7a7d2cU,     0x60adbd66U, \
    0x3d3b4852U,     0x87b4d6a2U,     0x75a4924fU,     0xeba011a2U, \
    0xa50ee91dU,     0x7da7e48fU,     0x27911eb4U,     0x35750871U, \
    0xfef5c060U,     0xac7a8264U,     0x59d7dc04U,     0xfc8ace94U, \
    0xbcc3736fU,     0xd7d2bd00U,     0x4da1b833U,     0x7a64cfd0U, \
    0xbd23e0f3U,     0x83f0543bU,     0xa3678d6bU,     0xd00f5a18U, \
    0xdea68e15U,     0x8bef4515U,     0xd2ac0c19U,     0x72aa82dfU, \
    0x217ca1adU,     0xd377e1e0U,     0x1304d601U,     0x38562108U, \
    0xe9d9b43aU,     0xbace46aaU,     0xe743c9a9U,     0x48f4f8d0U, \
    0x4d3f0b4bU,     0x51a3cc84U,     0xdec7f6cbU,     0x75f4c658U, \
    0xf183a734U,     0x10387bcbU,     0x0a22eeabU,     0x0401874eU, \
    0x67fb8142U,     0xb6829622U,     0xaa32627bU,     0xfc8571c4U, \
    0x6d999cfdU,     0xc17dbff3U,     0xd5039ff5U,     0x3beb764cU, \
    0x8ee2c8e9U,     0x83820a23U,     0x775300afU,     0x8784ac20U, \
    0x67187f3bU,     0xf01bb9bfU,     0x93594d44U,     0x0ca423baU, \
    0x7471f13dU,     0xc1de7cf9U,     0xf635c43aU,     0x02ac92e5U, \
    0xab3e6e0aU,     0x1b12fb8bU,     0x4059e2d1U,     0x8cab4921U, \
    0x361b4d0dU,     0x8fddb792U,     0xdad57755U,     0x8cc485c3U, \
    0xe76abde6U,     0x4c96ea02U,     0x317d9d3dU,     0x68a1952eU, \
    0x7d10be27U,     0x66e17a6bU,     0x2552fee9U,     0x4fc5ab4bU, \
    0xe26bee06U,     0x82f79442U,     0x9f37fe60U,     0xc3dbd7a2U, \
    0x424cd411U,     0x026130bdU,     0x1a362786U,     0x7eb8e9caU, \
    0xc065e7e1U,     0x56c486f3U,     0xf16b4bc9U,     0xc99643c8U, \
    0x0373df3aU,     0x03c521e5U,     0xa09c2e0cU,     0xfe1ac4e7U, \
    0x0bc1bbe7U,     0x6ad489a9U,     0x4cde6037U,     0x21cb9a22U, \
    0x588fb4c1U,     0xf2103c01U,     0x974b0e8aU,     0x75973b5eU, \
    0x1b21b0a8U,     0x43f24c53U,     0x103f1ec3U,     0xd83d03a8U, \
    0x8d4b620eU,     0x2cc351f7U,     0xfa1086d5U,     0xae52ac95U, \
    0x189773c9U,     0x91422c1aU,     0x6dad0ba0U,     0x064f1104U, \
    0x75a4b17bU,     0xab8dde97U,     0xf58ffd72U,     0x0af872f5U, \
    0xebc6ee5bU,     0xc2c4b158U,     0xe59962dbU,     0x3d5f46e9U, \
    0x2a0bacb1U,     0x1497b56aU,     0xab6e979dU,     0x3233b494U, \
    0x3f3709d8U,     0x29a96759U,     0x9fe04a92U,     0x0f8ee15cU, \
    0xdb72f17bU,     0x454905a6U,     0xd0990729U,     0xa03a41abU, \
    0x622e0c00U,     0xf12b400dU,     0xf7e4599aU,     0xe7eeccdcU, \
    0x28bff201U,     0x78bc8531U,     0x249f7598U,     0x0d4c7880U, \
    0xfdbba24cU,     0xa44dcd96U,     0x8f339546U,     0x51f43e19U, \
    0x80c2064cU,     0xcf16fa02U,     0x87ca601cU,     0x218ea250U, \
    0x4bb0460aU,     0x88f9b24eU,     0x772cb6beU,     0x6b79f4b3U, \
    0x0ed56ed0U,     0x0f6063d9U,     0xef4f4b2eU,     0x1aa31587U, \
    0x22e5b9d5U,     0x40533938U,     0x2bb906d6U,     0x9260c476U, \
    0x6d24e01eU,     0x9bd606c5U,     0x92fa2002U,     0xd14b994dU, \
    0x80264364U,     0xe7b09012U,     0x642725a6U,     0x5c8d7059U, \
    0x13b4215bU,     0x88ffc1fcU,     0xb7bfe826U,     0x50f2a333U, \
    0x05f89c86U,     0x8dec687cU,     0x4ffe4dedU,     0xd63bd99eU, \
    0xecb78ecfU,     0x81a0f6b3U,     0x80e90903U,     0x79b6e066U, \
    0x66890d63U,     0x9abef90dU,     0xa2c83c4eU,     0xd55f4f96U, \
    0x702476d7U,     0x6ccf8c26U,     0xa92e3b50U,     0x873f28f2U, \
    0xbf7af438U,     0x97392752U,     0xc0a133d9U,     0x63e4df41U, \
    0x14e8828cU,     0x0bb76b45U,     0x4cbf958fU,     0x69c34143U, \
    0x43a14806U,     0x7a4fa4e8U,     0x55617cc7U,     0x9bd04d85U, \
    0x29cb14f1U,     0xdbfb606aU,     0xef05ea81U,     0x1657f5f7U, \
    0xba3184c0U,     0xe8115b0aU,     0xff6cfd97U,     0x294b92f5U, \
    0xd2c7f72bU,     0xc1c21fd2U,     0xb0461081U,     0xe0688474U, \
    0xfe031f96U,     0xec80fe65U,     0x5f287d96U,     0xc1188aedU, \
    0xc16ffb81U,     0xc7738a0bU,     0x4abd62bbU,     0x89cd25f4U, \
    0xe9ae4b35U,     0x401c0e06U,     0xd37f7521U,     0x841fe5e6U, \
    0xfc3cd3d6U,     0x5dbd5169U,     0xbd1bca57U,     0xf65c4da0U, \
    0xdbc06b04U,     0x22eb82e0U,     0x1cb76407U,     0xdbf6eaaeU, \
    0x1c93fecdU,     0xe02e8053U,     0x7e32c552U,     0xb33ce467U, \
    0xc64df08bU,     0xfcb32597U,     0xd586dc22U,     0xf414ebe6U, \
    0x7800d634U,     0x0b9b4fd2U,     0x7e8fcf85U,     0x2b7664baU, \
    0x8e196f0fU,     0x561e8d42U,     0x38c5beb4U,     0xa1f0aaf1U, \
    0xe1339ba0U,     0xcd3010a5U,     0x78ef1c07U,     0x3e9c7096U, \
    0x4d6e7613U,     0xaaee1941U,     0x2c95d2ecU,     0x415af22bU, \
    0xa5f3bbf2U,     0xc8115eaeU,     0x1fa72f9eU,     0xaf546120U, \
    0x7082cc2dU,     0xd3932ff6U,     0xa3a4e10fU,     0xdc4eb8f8U, \
    0x579e8c4cU,     0x618597c9U,     0x57a4f0e9U,     0x753a2fe8U, \
    0xe1e827b3U,     0xcf28608eU,     0x5ad783c0U,     0xf469fdadU, \
    0x31ae9c67U,     0x173e5238U,     0x54ed4bd8U,     0x1db0bb51U, \
    0x607092eeU,     0x68878a54U,     0x50a15bf8U,     0x18ca686cU, \
    0xf1589a2fU,     0x7214c51fU,     0x6a9761ebU,     0x865f9b1bU, \
    0xa33aa8aeU,     0x5f404e6bU,     0xf2720deeU,     0xd7632f96U, \
    0x4b4c46d5U,     0xb390e0ceU,     0xb87bf610U,     0x0b929729U, \
    0x7c2b3f69U,     0x46c4c2c2U,     0x2dd09062U,     0x8434a8fdU, \
    0xd66d5a22U,     0xef47da78U,     0x8da3e718U,     0xe9cbf7e3U, \
    0xd052ec52U,     0x5760f17eU,     0x8c953afbU,     0xb968637dU, \
    0xf2106947U,     0x61924fd1U,     0xd5e7bbfdU,     0x3db874d5U, \
    0x1943aa31U,     0xdb01bed3U,     0xdcdb21eaU,     0x5e290d3bU, \
    0xba47e9edU,     0x9ebff11eU,     0x09bad51fU,     0x6ae20575U, \
    0x81cbf083U,     0x467ce313U,     0xa92ef575U,     0x2018e79fU, \
    0xb158fe2eU,     0x062a8983U,     0x55598d92U,     0x779ed754U, \
    0x7377fc7aU,     0x44ef1c02U,     0x02e5fcefU,     0x612bffecU, \
    0x044cbc5aU,     0x79836281U,     0xa8cef32cU,     0xa2f41df2U, \
    0xb6dbdc37U,     0x0cc8a0a8U,     0xfa2981edU,     0x813b91a6U, \
    0xba77428dU,     0xbbeaf820U,     0x9e8d94e8U,     0x78f57bf2U, \
    0xa7cc690fU,     0x918329f8U,     0x06f6bd98U,     0x62db43faU, \
    0x7ab84e94U,     0xa6dbdd6aU,     0x96c6c625U,     0x669e903fU, \
    0x74b373b3U,     0x0c8ea505U,     0xab9d924cU,     0x592889e3U, \
    0x2aec4926U,     0xf52d88e6U,     0xc28ea91eU,     0x44f7c554U, \
    0x5174ce71U,     0xd9a37779U,     0xe886bb2eU,     0x79d6b29eU, \
    0xd5b2ecf2U,     0x55b314afU,     0x2578bd8fU,     0xced81c6dU, \
    0xbaea711dU,     0xdfd6a2e7U,     0x824f8066U,     0xc85c4e51U, \
    0xe2c67199U,     0x70bec122U,     0x23cfa5b0U,     0x7908f39eU, \
    0xc97c02acU,     0xb8b82c3dU,     0xf57be895U,     0x43b0ceafU, \
    0x2fee9b6aU,     0x1c222effU,     0xdcfc889fU,     0x3df50fefU, \
    0x87e149deU,     0xa9aac703U,     0xd1e2450fU,     0x250b1aacU, \
    0x267fb888U,     0x1b4d9753U,     0x12efa9beU,     0xb593a007U, \
    0xa29a41a8U,     0x24170407U,     0xbda7ceebU,     0x63acb4f6U, \
    0xaf2c0adcU,     0x7d5b52b0U,     0xe9bf8088U,     0xe67bc842U, \
    0x44d50356U,     0x5e8192b6U,     0x396637ccU,     0xf6f97334U, \
    0x08cf8a1eU,     0x1a307af9U,     0xc912f78fU,     0x1e460239U, \
    0x25e0d3a7U,     0xfc71ba67U,     0x86c0adfcU,     0xeba8239fU, \
    0x2ae29aaaU,     0x63e8930dU,     0xcc0ba3b6U,     0x5eaf5527U, \
    0x101b7cbbU,     0x14a4892aU,     0xc1495f55U,     0xb5aa31d3U, \
    0x5a184c4cU,     0x5dae988bU,     0x342a0b0cU,     0x28ababaeU, \
    0xba083fdbU,     0x41ad52b3U,     0x52ca5ec3U,     0xe018ba9fU, \
    0x122bdb4cU,     0x8afcb2a3U,     0xfd6d197eU,     0x426a8dc5U, \
    0xb522f98cU,     0xa2928fd7U,     0x377d3d98U,     0x53105ce1U, \
    0xa02a05beU,     0xaea4472bU,     0xfd9b1162U,     0x74accd9bU, \
    0xdf9fe1afU,     0x29526283U,     0xd26e5f12U,     0x40688010U, \
    0x17c138ddU,     0x683d8954U,     0xcc56bae0U,     0xbe31ede7U, \
    0x1bf070aeU,     0x9c8ed103U,     0x44f4cd07U,     0xb5b4f1d9U, \
    0x858c29dfU,     0x4bb72cbaU,     0xd3d09947U,     0xa7a3d39eU, \
    0x519039b9U,     0x24a1ab18U,     0x79fe48c9U,     0x2bcce6ffU, \
    0x8a36f671U,     0x65b37906U,     0xbcd8cd1aU,     0xf46d8f9aU, \
    0x370b0dddU,     0x3adec4beU,     0xb48f6d80U,     0xc776fdf8U, \
    0x1624c2eeU,     0xf64be146U,     0x5d4a7daeU,     0x320f325aU, \
    0x617f9155U,     0x8dbcac1bU,     0xb1fa590cU,     0x598687eeU, \
    0x7501e24cU,     0x4b4e49b6U,     0x3d05b301U,     0xad0d4d6cU, \
    0x450d2ee3U,     0xec0cde3cU,     0x8d113678U,     0x46b12cb5U, \
    0xe23be924U,     0x767b1f81U,     0xfa477089U,     0x4431042bU, \
    0xc1374a6aU,     0xefe825a7U,     0x1a2dfdf6U,     0xa519fc86U, \
    0x09e2e9d9U,     0x9b6c81f8U,     0x245195e1U,     0x6f21b80aU, \
    0x9423b680U,     0xc1fedf2dU,     0x5a13016bU,     0xda62aea6U, \
    0x7e660869U,     0x5a327cbcU,     0x74cee413U,     0x91289858U, \
    0x235cb84dU,     0x7feed92fU,     0xb43e6274U,     0x39d4911dU, \
    0xe8936131U,     0x322d9c2cU,     0xd0d3b8adU,     0x2a2ff4e9U, \
    0x52ed7c3eU,     0x0209c137U,     0xbd0a9b88U,     0x3cafcbf2U, \
    0x26274a23U,     0x1949cc47U,     0xee178a1bU,     0xdbdaab82U, \
    0x2e4c5cfbU,     0x1182d583U,     0xb388fcbaU,     0xc0e0119aU, \
    0xd399786aU,     0x03c9314bU,     0x7609360dU,     0x8968a0f4U, \
    0x2a4c3c62U,     0x6abffbbcU,     0x1001289fU,     0x0da9e517U, \
    0x148dab79U,     0xf0c46a9dU,     0xd1cb80e5U,     0xd053075dU, \
    0x11950846U,     0xe8c48a40U,     0x1ad525d6U,     0xc39aa5aaU, \
    0x9aaadd00U,     0xfa4d3039U,     0xfcd62f11U,     0xb94532aaU, \
    0xba4a5432U,     0xe1d0ebffU,     0x401f51f9U,     0x1ff746f3U, \
    0x23dc0a74U,     0xe23bba07U,     0x0ff936deU,     0xdecf8c37U, \
    0x764e6842U,     0x0e0c8457U,     0xc88a9012U,     0x2d91731cU, \
    0x41d459a0U,     0xeb3ad7d3U,     0xafa79615U,     0xb2aea25aU, \
    0x2066b1c3U,     0x32ab2f0bU,     0x1f33e8d2U,     0x4f85148dU, \
    0xdea18969U,     0xd01f84baU,     0xd64f4ae8U,     0xee7885cbU, \
    0x7fe2af95U,     0xf5da0539U,     0xd8648456U,     0x14870d57U, \
    0xc206de24U,     0x7febb36eU,     0x972e24d7U,     0x86d3c61fU, \
    0x8f30183fU,     0xddc1b313U,     0x1e5f6c6fU,     0x62306c51U, \
    0xe32c916aU,     0xf205762fU,     0xce4dd68dU,     0xf516f805U, \
    0x788ed429U,     0x1388b09aU,     0x3ac63b7eU,     0x5e4abedcU, \
    0x50b9cc8cU,     0xdb2d9064U,     0xcf34f5bfU,     0x10c05d33U, \
    0x9f99626fU,     0x9988cdccU,     0x8b59b1e7U,     0xfb4c5dcfU, \
    0xcf76577eU,     0x20fd6e7eU,     0xb68d32ccU,     0x18e17b66U, \
    0x92f9b087U,     0xf087c560U,     0x63e9719fU,     0xf2653a7cU, \
    0xc2df995aU,     0x30bc9e4fU,     0x171f6806U,     0x60b3ce26U, \
    0x2540440cU,     0x7008e2f1U,     0xdfc66117U,     0x2733a38aU, \
    0xede9c388U,     0xdacd68b7U,     0x51e6c807U,     0x9b3da737U, \
    0x528a2da4U,     0x1bedc2d0U,     0xf7b030eaU,     0x43f5e0d3U, \
    0xd6bcb92cU,     0xd825b5e9U,     0x03ee2e71U,     0x916cf96bU, \
    0x323d4938U,     0x7ad28596U,     0x5ddafbe2U,     0xcb10dab0U, \
    0xa9224c50U,     0x6bd23ca3U,     0x21dcb04bU,     0x425cf65fU, \
    0x6df286aeU,     0xd1b7fe95U,     0x09511fedU,     0x21312386U, \
    0x55a91a21U,     0x75a4c8caU,     0x91085089U,     0xa77ef74eU, \
    0x6929e651U,     0xf631c902U,     0xf1895fcdU,     0xde9a7ebfU, \
    0x9cdd7d43U,     0x56fc05b3U,     0xb5d95167U,     0x0c4d2735U, \
    0x020a3a59U,     0x489dfe72U,     0x80a7aac2U,     0x886dda71U, \
    0x744e17edU,     0x771905e5U,     0x39a7e7bcU,     0x77435903U, \
    0xf65c2da7U,     0x141aa85fU,     0x84ee740aU,     0xf0379178U, \
    0x20137744U,     0x6237a454U,     0x3070b2bdU,     0xb94b89ceU, \
    0xd3398aecU,     0xc5a333d5U,     0x4f7f5563U,     0x3a2dbba9U, \
    0x688b5e56U,     0x0910c04eU,     0x9c47b5e8U,     0x444c45e9U, \
    0xa7109987U,     0xa9aaba13U,     0xe0932ce3U,     0x886d8f01U, \
    0xe9f59c4eU,     0x6f65525bU,     0xb683c082U,     0x9cdaec62U, \
    0xc6f02c0fU,     0x0474be96U,     0x35912f05U,     0x72d02596U, \
    0xb4660c60U,     0x25e59f80U,     0x15e2a25eU,     0xca5b0456U, \
    0xc7fb2ce8U,     0x98669efeU,     0xa8cbe859U,     0xa3dc9c27U, \
    0xea79dc53U,     0x29a0c2d2U,     0x7d10ed77U,     0x547ceba6U, \
    0x39e38adfU,     0x84d89c04U,     0xf79dd2daU,     0x60559478U, \
    0x0d11d8c1U,     0x611b4e35U,     0x5c2cffb0U,     0x822f942aU, \
    0x2e463534U,     0x1f681e23U,     0x731cb9a8U,     0x82200593U, \
    0xffe77e77U,     0x1b5617e7U,     0x4c9f28bcU,     0x28bd055eU, \
    0x0f6044efU,     0xffe9d90bU,     0x20e7d0edU,     0x2605d5c8U, \
    0xd49b189aU,     0x540e3734U,     0xb4b9b093U,     0x9d28c91cU, \
    0xc7a3fd7fU,     0x35cc614fU,     0xf5444516U,     0xe63fc548U, \
    0x0b584e3bU,     0x5ad673b1U,     0xee18f76dU,     0x0882eaeaU, \
    0x31d1db64U,     0xfe13c73cU,     0xf8843f7fU,     0x8b871248U, \
    0x64950f66U,     0x8f662eeaU,     0x6a1dec68U,     0x15304ad1U, \
    0x67c40612U,     0xa1280f8dU,     0x98f86008U,     0xdb7704e2U, \
    0xf8645075U,     0x6a712b0eU,     0x73d2fbfaU,     0xa62dbf1aU, \
    0x07d4ca97U,     0x26a8269bU,     0xd6140e36U,     0x552304faU, \
    0x25c2cfcdU,     0x55954b27U,     0xb2c5781dU,     0x8ad7b6a0U, \
    0x5d1bf63fU,     0xce7b8488U,     0x063ba91fU,     0x7701b36aU, \
    0x915b4d1cU,     0x0a09a608U,     0xdb4a8bd0U,     0x2efce418U, \
    0x912f881cU,     0x63242f88U,     0x3afcc2baU,     0xeeacd44bU, \
    0x479fa850U,     0x33156560U,     0x3b40f6c4U,     0xdae0b181U, \
    0x5ccb407aU,     0xa86cf64dU,     0x14db781aU,     0x00c9afdcU, \
    0x8722f88aU,     0x97691a37U,     0x8402665bU,     0x3c55028eU, \
    0xb3ecd8e8U,     0x1319db04U,     0x70487899U,     0xfaf3df3bU, \
    0x2d906a1eU,     0x54f7a094U,     0x80e1d303U,     0x61558cc7U, \
    0xe58caad8U,     0x6188cd71U,     0x5ccf194cU,     0x5710f083U, \
    0x26caf2f4U,     0xb7a626beU,     0xd7414f7dU,     0xfbd0c810U, \
    0x430097aeU,     0x29f771bfU,     0x0239ea2aU,     0xe3820e04U, \
    0x40a5a284U,     0x8555b6bbU,     0xd0f0979aU,     0x0e679367U, \
    0xadb1318dU,     0x446f3bc1U,     0x5cdaa83aU,     0x9c636ccfU, \
    0xc5114d78U,     0xa34a9c36U,     0xf999511bU,     0x2b014afeU, \
    0x26bf871dU,     0xe4e2365fU,     0x4be00743U,     0xa344ad99U, \
    0xde0a75f8U,     0x6f707b02U,     0x3335424aU,     0xe9398e16U, \
    0x6a0d7f6dU,     0x0b17f481U,     0xd0709e9dU,     0xe4cd5b64U, \
    0x59f92b9bU,     0x6cb15287U,     0x4355732bU,     0xa672975dU, \
    0x0146b7bdU,     0x99c9101eU,     0xa34a3fe1U,     0x19e6fbfeU, \
    0x212a20d1U,     0x7ef8b215U,     0x0c18fe3aU,     0x374b781dU, \
    0x1417672eU,     0x282bdb20U,     0x58b50d85U,     0xa3fb4644U, \
    0xea9f95bdU,     0xebdd4e61U,     0x09aae0f8U,     0x648cf388U, \
    0x3f4c236fU,     0xc8ccf05eU,     0xdf968b1bU,     0x073d01daU, \
    0xcc5c900cU,     0xe83a7cb5U,     0x81ada5a5U,     0x17297d84U, \
    0x766568bfU,     0x3e4cca2dU,     0x00aa72f4U,     0x08608345U, \
    0x591e349aU,     0x8fb2ad74U,     0x3d4d7d74U,     0x4d35a662U, \
    0xabad8574U,     0x3d46659eU,     0x44f73416U,     0x54e50fe0U, \
    0x3ad59fe8U,     0xef775c0fU,     0x494e62adU,     0x47d37a91U, \
    0x9dd721c8U,     0x15212b4dU,     0x21fcc65cU,     0x45de8c91U, \
    0x2d58cf97U,     0x5fad487aU,     0xefab62ddU,     0x60935e68U, \
    0x6a01497aU,     0x901c7d56U,     0x4981699eU,     0x99ff4ae0U, \
    0x2287d5c3U,     0x2cb7e110U,     0xab149c37U,     0x1e07c4d5U, \
    0xdb062145U,     0x87c131f2U,     0xe64620aaU,     0x8d9129c1U, \
    0xce1d2e74U,     0xaeb22f06U,     0x33130175U,     0x34716042U, \
    0x50330e1dU,     0x2199824eU,     0x76648d35U,     0xddd09fd1U, \
    0xd43c3267U,     0x45ead83aU,     0x7e1fd5a6U,     0xe97c6c7cU, \
    0xfc03d33bU,     0x4b27df4bU,     0x7f1df7a4U,     0x7876618bU, \
    0x98b7709dU,     0xfd10f3f9U,     0xbacf33ffU,     0xfc58ceecU, \
    0x01b66d5cU,     0x83fbb61bU,     0x7db4b8fdU,     0x78122eb7U, \
    0x43faaf12U,     0x50f933f7U,     0xd65e1fd1U,     0x6f83a705U, \
    0x1f4fecd9U,     0xa1fec36bU,     0xac627f81U,     0x5b99223cU, \
    0x7a01c15fU,     0x7b0927a3U,     0x95e101f5U,     0x6d696f2bU, \
    0x0bf8b7b3U,     0xf9af6f12U,     0x6f50b444U,     0xede6d10eU, \
    0x7955e1f1U,     0x4915ddffU,     0x0d187457U,     0x931057c4U, \
    0x2a7457ecU,     0xd24289f0U,     0x6af0c598U,     0xcd2546ebU, \
    0x57afbb64U,     0xf2fcd4c6U,     0xdd9200f0U,     0xbd2195efU, \
    0x7d7c800fU,     0x63c4ee86U,     0x9302ef22U,     0x3ebf050dU, \
    0x4e7b58a6U,     0xf766fc4cU,     0xb176281fU,     0x45e2092aU, \
    0x206da22aU,     0x33fbef1eU,     0xdf45296aU,     0x3c9c8a24U, \
    0x04001160U,     0x8aa98974U,     0xaa2b0ab3U,     0x6502d9afU, \
    0xf07c8108U,     0xfa4471e7U,     0x20223875U,     0x269d2688U, \
    0x54f528caU,     0x2f2cc34bU,     0x1e9a371bU,     0xbe3f1cf5U, \
    0x05f245e0U,     0xc29b03efU,     0xb0ee4964U,     0x98f2faaaU, \
    0x42850b68U,     0xef81f590U,     0xd1e4b73dU,     0x48cee662U, \
    0x46d5b4b6U,     0xcb407452U,     0xc2122f8fU,     0xf3694822U, \
    0x43a00fe7U,     0x7c7ef082U,     0x07724602U,     0x277d9356U, \
    0xe6029bbaU,     0x0ede7c9eU,     0xad72e679U,     0x5bc14ecaU, \
    0x3f848669U,     0xae3339abU,     0x3775787aU,     0x7c527a6aU, \
    0xe26b7b39U,     0xffc06489U,     0xeeea0b3bU,     0x50ea51a6U, \
    0xdfa38d3bU,     0x6d49fff1U,     0x4832bbfeU,     0x158756d3U, \
    0xdfaea92dU,     0xffd717fcU,     0xff1ccb53U,     0x62d19054U, \
    0x5abb0631U,     0x941318fcU,     0xb934755fU,     0x8360c5c2U, \
    0x7b1ab72aU,     0x004d8a7eU,     0x77565981U,     0x047ef14cU, \
    0x8bc2cab3U,     0x7eb04393U,     0xd8e025a5U,     0x36afbc87U, \
    0x20e25314U,     0x1d42bac3U,     0xd30931e0U,     0x7b13ef8dU, \
    0x43d2a2f4U,     0xe72019e6U,     0xb964a8d5U,     0x73a4c1bbU, \
    0x683ec056U,     0xd76b8b67U,     0x391b68a4U,     0xbc1c8366U, \
    0x09b7278bU,     0xe13913cfU,     0xaaf9261dU,     0x78812102U, \
    0x766cb2c9U,     0xedc0a706U,     0xf4a9b7daU,     0x38498ac6U, \
    0x04bf8607U,     0x3c992bbaU,     0x6b8c900eU,     0xcbc18fabU, \
    0x37e09fd8U,     0x1a296484U,     0xbace067eU,     0xe8d86178U, \
    0x6f8a3a8aU,     0xff82ef81U,     0x64137e55U,     0xc67a9f98U, \
    0x1e5b6566U,     0xfa8a5ee3U,     0x04a4833aU,     0x5376fe13U, \
    0x77f636a8U,     0x6cfaef34U,     0xc42d724fU,     0xa24155b6U, \
    0x0b62e5c6U,     0x5218c376U,     0x71f302c8U,     0x0d106809U, \
    0x78c85b52U,     0xccb58df6U,     0x2409d046U,     0x1d81ff2dU, \
    0x2d69a561U,     0xae525649U,     0xf65e6ac0U,     0x3c697151U, \
    0x00fd0013U,     0xaa22f050U,     0x39d1888dU,     0xa1c11a62U, \
    0xa8637c12U,     0x43d5e24aU,     0xb3c29b30U,     0xed91ed68U, \
    0x155415bfU,     0x8c55ffafU,     0x182dd358U,     0x7ac6b073U, \
    0x1967d36eU,     0xdf27cec4U,     0xf7818997U,     0x20af3944U, \
    0xb0019ab5U,     0xbde79380U,     0x9a2a6b40U,     0x5c78d5a7U, \
    0x6ddb568bU,     0x77e0d4e7U,     0x2033260fU,     0x536484b0U, \
    0x025e5aeaU,     0x72a530bdU,     0x1ea678c4U,     0xbedc31e6U, \
    0x062bb58fU,     0xf0254027U,     0x103685f1U,     0x3014c2ceU, \
    0x18be5217U,     0xd3ad9627U,     0x79fd103dU,     0xeb085bd9U, \
    0xebf473eaU,     0x464f5b07U,     0x7adfcfb3U,     0x380912feU, \
    0xd6544b74U,     0xfa4a3982U,     0xbf45613eU,     0xd5bf008eU, \
    0xc8b194e5U,     0xd565cf37U,     0x5163d47fU,     0xecee3783U, \
    0xc70a4c91U,     0x1ef08454U,     0x1abb4b46U,     0xd70c1e2eU, \
    0xdc69978fU,     0xbf789a81U,     0xc5693db1U,     0x160e991cU, \
    0x1c7afcb7U,     0xaffa93d6U,     0x6f3a7c47U,     0x06c3ada0U, \
    0x104ec42cU,     0xdfc7f02eU,     0xee94714dU,     0x4fdb5a50U, \
    0x57cf6737U,     0xccd195f5U,     0xf3e507b7U,     0x06000344U, \
    0xf10dc3cfU,     0xe3ee0f6eU,     0x02d35451U,     0xcaf7e784U, \
    0xf83a6121U,     0x3aaad3aaU,     0x3eba381bU,     0x34f98df0U, \
    0xb0b88ed9U,     0x986e0ca5U,     0x4939b493U,     0xccbe9ecbU, \
    0xe5ed77c6U,     0x8fad1440U,     0x17a791c9U,     0x648aa639U, \
    0x6175e2b3U,     0xbefd68e2U,     0x9790f229U,     0x5b9e9ba4U, \
    0xfc02c8d6U,     0xae2b74a6U,     0x30190346U,     0xc7fe68a8U, \
    0xb1cfd8bbU,     0x135bd42fU,     0x5ac016f3U,     0x2ea2eb02U, \
    0x6c29f9f9U,     0xba2f557fU,     0x77eeff74U,     0xe6dc2b43U, \
    0xc4a63556U,     0x447bf0b3U,     0x3d8e588bU,     0x673a4f74U, \
    0xd98225c2U,     0x71cf9ed5U,     0x213ae082U,     0x9d696fedU, \
    0x2bdb0964U,     0x3f4351bcU,     0xd6eebf04U,     0xdb34c7bfU, \
    0xa324c86aU,     0xecf19fd3U,     0xf5a56337U,     0x74d2ac85U, \
    0xa08674cdU,     0x755e8b31U,     0xe9a5b170U,     0xa82f08fbU, \
    0xcd08e408U,     0xbd3064feU,     0x2a37ed3aU,     0xb6dd8746U, \
    0xca62bf28U,     0xfacb990eU,     0x6f6e27d8U,     0x43a7d172U, \
    0x9c9ca548U,     0x04dd68d6U,     0xcce4ccd6U,     0x291c9e9fU, \
    0x5aae314dU,     0x0e323230U,     0xe970f0b1U,     0x4a32ebd6U, \
    0xf1be8732U,     0xa1e8ff16U,     0x66425996U,     0x5c9224c6U, \
    0x8b255043U,     0x311525edU,     0x36b52776U,     0xa8856880U, \
    0x7aa0838fU,     0xa2e3ff5dU,     0x9c2f1559U,     0x91fbac7eU, \
    0xc34f3cfbU,     0x24a47ff8U,     0x73646a71U,     0xbc1fcb86U, \
    0xbeb50f75U,     0xd6408f19U,     0x4a2d665fU,     0x84e37109U, \
    0x5cd5f237U,     0x90b2f606U,     0xf9178624U,     0x71ce51b7U, \
    0x06a385a8U,     0x9d71d7c6U,     0x605a7b8aU,     0xab2008f0U, \
    0x5d94b9d3U,     0xb13ba30cU,     0x75aed621U,     0x4d9fc1a4U, \
    0xf989156fU,     0x95e21d4cU,     0x6985fcdeU,     0x005fb613U, \
    0x47524f9cU,     0xc8f7ec33U,     0x3ffca019U,     0x2a337eedU, \
    0x54494ec9U,     0x35a8ecaeU,     0xf28a32b8U,     0x2b25203dU, \
    0x40362ed0U,     0xdf340322U,     0x1f68f19eU,     0xda774fc4U, \
    0x69018ae5U,     0x1e6bf997U,     0xaea1e626U,     0xc1aa9e3fU, \
    0x8913467bU,     0x89cc392eU,     0xe8f66f7eU,     0xb94c2a37U, \
    0xfdc3e7c3U,     0xa2f142eeU,     0x314d943bU,     0x18e70dccU, \
    0x17cf703eU,     0x16899852U,     0x7d97ea1aU,     0xd800a8f6U, \
    0xa83b8511U,     0xb409cc3cU,     0x06d4576aU,     0x8224561bU, \
    0x3aa7cd5bU,     0xe934e4a4U,     0x8efb77c6U,     0x3ed84496U, \
    0x3c5d22c8U,     0x64e64f22U,     0x4bd77bd7U,     0x5686a4c3U, \
    0x02f5a1a0U,     0x84137528U,     0x37669631U,     0xfcb5b3a3U, \
    0x4f9aaddbU,     0x28d9f069U,     0xde6efc1dU,     0x8bd7b650U, \
    0x7c329efbU,     0xb3842241U,     0xb42bb175U,     0x07e150d1U, \
    0x268e2dc7U,     0x37ace19cU,     0x2addfb0cU,     0xabffdcb2U, \
    0x6954ee47U,     0xd8451972U,     0xadc4b8a2U,     0xe2e9a1e3U, \
    0x2fd587fcU,     0xbae7b1a0U,     0xa4c330adU,     0xc79b5896U, \
    0xbd63be6fU,     0x4df650c8U,     0x645f139fU,     0x9e76df31U, \
    0x187e423dU,     0x61db8298U,     0x90d83208U,     0xe46804b4U, \
    0x879ff0adU,     0xd6b75778U,     0xde7b075cU,     0x194c1df3U, \
    0x4ed0b7ddU,     0xfb0475caU,     0x67987132U,     0xe0cdab08U, \
    0xc215516dU,     0xfcf7612eU,     0x78f613e8U,     0x28432c17U, \
    0xb174301bU,     0x2453a5abU,     0xabc97d72U,     0xaabf2caaU, \
    0x45d0acb6U,     0xb259a15cU,     0xd4335ffdU,     0x36f2f6e8U, \
    0x30b1770aU,     0x5e9779d4U,     0x295f41ffU,     0x1154ecedU, \
    0x400da904U,     0x56ffb860U,     0xd1041e11U,     0xda02b643U, \
    0x35cc3b7dU,     0x4661cefeU,     0xe1934a12U,     0x56d4f1daU, \
    0x06d055fcU,     0xe435198dU,     0x16a56437U,     0xca2bc9d9U, \
    0x56a0e6b2U,     0xa4f5e736U,     0x18f5a3c2U,     0x7efef0e9U, \
    0xb5b712b1U,     0x86e3d217U,     0xeebbb26dU,     0x94eb36f1U, \
    0x6935a2aaU,     0xea971cbcU,     0xcc33e622U,     0x528dc2e3U, \
    0x4a90fccaU,     0x7f287605U,     0x66bc2365U,     0x5ad1b417U, \
    0x8516537aU,     0xbf5ea2c7U,     0x50bce954U,     0x2484f292U, \
    0x82c1da64U,     0x976bb80bU,     0x8a3f23b5U,     0x9a38c4f0U, \
    0x321451ceU,     0xd439e718U,     0x8d9dcf4dU,     0x6322bfd0U, \
    0x47dd5040U,     0xa767d2f7U,     0x4f41c2e5U,     0x058eb46fU, \
    0xa2f4fe9bU,     0xb59cd0d2U,     0x3f3b2d2bU,     0x565d6f83U, \
    0x65eb9b54U,     0x861610e3U,     0xfff2097bU,     0xf8c0e805U, \
    0x039b18cfU,     0xc1a4ba86U,     0xfd4004f8U,     0xecbf3959U, \
    0xa64dd55bU,     0x4694feb8U,     0xda333fb9U,     0x669f3429U, \
    0xa72d14ccU,     0xe0ca25b2U,     0xc2a38c08U,     0xe2b8da96U, \
    0x863b5489U,     0x9c05badeU,     0xdda59410U,     0x3a7486aaU, \
    0x526f3529U,     0x58f8b340U,     0xe4f0516dU,     0x2184457eU, \
    0xc8c18ee4U,     0x2648b9c6U,     0xfd1e84ddU,     0x462c5cefU, \
    0x1e99a59aU,     0x1e38cf4dU,     0x565b533eU,     0x0536fa54U, \
    0x1680016aU,     0x0bb33e37U,     0x37ed254fU,     0x5e9fc65dU, \
    0xdb848dabU,     0x851dcac1U,     0xca917db7U,     0x18fd3553U, \
    0xa6b58f8dU,     0xc8da751eU,     0x9e481676U,     0xf0df6040U, \
    0xc6875033U,     0x55add671U,     0xc2fa652bU,     0x8e64a34aU, \
    0x5253531eU,     0x4c1736d1U,     0x6ab7e88aU,     0xa161daf4U, \
    0x39a1b228U,     0xbc9f6585U,     0xaa6c3375U,     0x08fb1f74U, \
    0x5aea5ed4U,     0xf636a0b9U,     0x4931e345U,     0x3b36a7a2U, \
    0xb99520b8U,     0xc35e1a9cU,     0x10464f5fU,     0x374e8040U, \
    0xe8129f42U,     0x45eaecdcU,     0x43b1e689U,     0xe82835f7U, \
    0xfec2fcc2U,     0x1a9d24acU,     0x8498a533U,     0x76d7b443U, \
    0xc419dc5bU,     0x42863202U,     0x26a8ee0dU,     0x6e01c712U, \
    0x588b8bdcU,     0x8f01760cU,     0x3b7c78e4U,     0x9f3438f5U, \
    0x3bc53cc5U,     0x27a8b292U,     0xe8da3b45U,     0xc666d5f8U, \
    0x37098f75U,     0x25ccd094U,     0xfb0d8b7dU,     0x9f1dacfdU, \
    0x189a74f6U,     0x4f0fcc76U,     0x35dd7e1aU,     0x50eb6657U, \
    0x01613b69U,     0x2e4ff355U,     0xfd2b485bU,     0x30a76158U, \
    0x5aad3ef7U,     0xc739c2e8U,     0xf6582cdcU,     0xca583cdaU, \
    0xcbcf66c2U,     0x049bb22eU,     0xbdabf2afU,     0x7208fbf6U, \
    0xcfbd698bU,     0x7d8e2259U,     0x056b4241U,     0x0efda1d5U, \
    0x523d86fbU,     0xa402af05U,     0xa215d885U,     0x646ce1eaU, \
    0x238a8394U,     0x30ffe777U,     0x0f450492U,     0x7eb56273U, \
    0x9511301fU,     0x9fc3cbc0U,     0x9c02f22aU,     0xc511185dU, \
    0xe69b223cU,     0xee2b3810U,     0xdfe20f5cU,     0xf0972184U, \
    0x7a509eb1U,     0xb7a81566U,     0x11e680e3U,     0xf4c0e8c0U, \
    0x47a3af4aU,     0x5f60fc0bU,     0x2a8727a7U,     0x432d8605U, \
    0x61a44753U,     0xde386c61U,     0x0463550bU,     0xe3a16244U, \
    0xd33ea3e9U,     0x4909e3b0U,     0x21e0ad24U,     0x866b5deeU, \
    0x21e6c9d6U,     0x5c316878U,     0x015ce713U,     0x58fcad2fU, \
    0x9d0091abU,     0x72a5ac9eU,     0x68d3d800U,     0x690f7f5cU, \
    0xdbfcdc89U,     0x461e5a50U,     0xfdcf0ff1U,     0x1449e0acU, \
    0xbd739e02U,     0xbb102f3dU,     0x617662a5U,     0xf2087e2aU, \
    0x69e6f348U,     0x26d5297aU,     0x01d0f249U,     0x13895b0aU, \
    0x6dcf784eU,     0x92736d45U,     0x31afe899U,     0xef22092bU, \
    0x4b75c57dU,     0xb5f31ee2U,     0xb8f1f50eU,     0x93e4383cU, \
    0x76a3772bU,     0xb546985cU,     0x5858d398U,     0x57e029d6U, \
    0x92d648a4U,     0x2331162cU,     0x142fdbe4U,     0x3bec9314U, \
    0x3ce6fb10U,     0x4033af72U,     0x1235484fU,     0x7a9b5d93U, \
    0xdd553cdeU,     0x3c759e74U,     0xce942f52U,     0x6694e3b1U, \
    0xd531b4ecU,     0xf7700851U,     0x98af8ff7U,     0xad24b2d0U, \
    0x35fad29dU,     0x03e0d2deU,     0xd8c32c61U,     0x51c7c8aeU, \
    0x9d9c8ec1U,     0x853a4e88U,     0x44899f0cU,     0x777efb4dU, \
    0xbfea1c4bU,     0xf3532608U,     0xeca61a70U,     0xfd63297cU, \
    0xda162752U,     0x973c55e3U,     0xcb3a3c36U,     0x911e4b70U, \
    0xfe94ea18U,     0x5e400160U,     0x9f058879U,     0x3c8df0e4U, \
    0x998d9528U,     0x1b1a1ca2U,     0x2225412dU,     0xc13db693U, \
    0xa55485b8U,     0xa2db181bU,     0x1aa05986U,     0xfd74ef3fU, \
    0x87dcabdbU,     0x963f5012U,     0x89bdc407U,     0xc8891fe5U, \
    0x873160f2U,     0x02908b2cU,     0xf513bbe7U,     0x4bb92d31U, \
    0x5355be02U,     0x6fd7b19aU,     0x32787024U,     0x88ce2a5aU, \
    0xbece0768U,     0x014bf619U,     0xf83f4abbU,     0x16d1ba16U, \
    0xb199b4bcU,     0xc82231abU,     0x1f7b0bb0U,     0x3b5694c0U, \
    0x76976a03U,     0xe5c81c6cU,     0x788dc872U,     0x22371499U, \
    0x97ecb0b1U,     0xb11613fdU,     0x2d47b5cbU,     0x10587306U, \
    0xb3c21e92U,     0x4a151b54U,     0xca36ab48U,     0x0c0aee03U, \
    0x6e31a335U,     0xca9bbc68U,     0x9a78a489U,     0xe7a29f1aU, \
    0xa8a0db21U,     0x1352a460U,     0x3560f158U,     0x0a809cbbU, \
    0x2af343aeU,     0x53f32dfaU,     0x597b5a28U,     0x50200883U, \
    0x9551a7e7U,     0x5b0a0184U,     0x3219ae0aU,     0xdb7b987cU, \
    0x6c4569a0U,     0x2b9d81faU,     0x5597ad4eU,     0x415fd9a7U, \
    0x7a6ef68bU,     0x61a29dc6U,     0x1f6094e4U,     0x6f16e90bU, \
    0xa46b5a9dU,     0x72481084U,     0xfa7b4656U,     0x918a9057U, \
    0x66693bdaU,     0xb325788aU,     0xd00fd5d5U,     0xd4622766U, \
    0x7325bd69U,     0x1db701b3U,     0xfc5c1794U,     0x2c254066U, \
    0x0c920a19U,     0x7dd8a842U,     0x588423f8U,     0xc1b5bc5bU, \
    0xb3f2a6caU,     0x456b5b7bU,     0x0ea534d1U,     0x4a892fa9U, \
    0x77bc5299U,     0x9524de1aU,     0x9822f008U,     0x9084ff4dU, \
    0x3bc898ceU,     0x1f31675eU,     0xbec5fad6U,     0xbae60e45U, \
    0x26701e63U,     0x5539d757U,     0xc17123b2U,     0x2f6d14ccU, \
    0x17b2abbdU,     0xd7612339U,     0xc52b930fU,     0x7095af4bU, \
    0x14858b55U,     0x5a90aa80U,     0x977f795cU,     0x2407d25bU, \
    0x5ec57fe0U,     0x27c9c41bU,     0x66d7c5ecU,     0xa74e3b5eU, \
    0x5a94859aU,     0xa115563eU,     0x767b7bffU,     0x9f5c6338U, \
    0xf46cd086U,     0x40f0e54bU,     0x03a51be5U,     0x1a6a585eU, \
    0x3f5a6823U,     0x4d35fbceU,     0x04e35a62U,     0xac562e0dU, \
    0x7fa1e7feU,     0x8a2c0fe9U,     0x3a6e9fc9U,     0x995196b3U, \
    0xac9b4ef4U,     0xe7987e75U,     0xa8a73eacU,     0xd864af61U, \
    0xa44fb83bU,     0xb6d6c4cfU,     0xa1da0484U,     0x30228cacU, \
    0x32a9d9ccU,     0x42ced1cfU,     0xac91c672U,     0x03675c68U, \
    0x9c35f7baU,     0x50eaacb0U,     0x2b7f4b51U,     0x66eda2efU, \
    0xfea7c57bU,     0x4526499dU,     0xfa58956aU,     0x33d31b5cU, \
    0xbc3a0339U,     0xf553db6eU,     0x989dc2a5U,     0x6f4829e1U, \
    0x1aeb3516U,     0xb5ba52b7U,     0xc8f4f231U,     0xc0bd348eU, \
    0x155fb07fU,     0x8a740401U,     0xb77acc73U,     0xbfaa2d2fU, \
    0x7f4904d5U,     0x15b3d696U,     0x47ceb602U,     0xe5abb226U, \
    0x42f8049cU,     0xc6d88608U,     0xdbf44102U,     0x67ae946fU, \
    0x4df991f0U,     0xe25ef2c2U,     0x1391133dU,     0xf4699fe7U, \
    0x27f9e334U,     0xdba1cc73U,     0x3c164cb1U,     0x121af41cU, \
    0xaaacac95U,     0x9e53e1b3U,     0x0360336aU,     0x03fe4c2eU, \
    0xb615b1efU,     0x7a59a4f1U,     0xb9239154U,     0xf5125893U, \
    0x5199051fU,     0x34605b72U,     0x8036dea5U,     0x0839b093U, \
    0x0b66976fU,     0xdf1c2c03U,     0x6e585c7eU,     0x00c3aaacU, \
    0x8caccaa3U,     0xe54df889U,     0x52089d6cU,     0x1cee0b06U, \
    0x089dfdc3U,     0xe70d29acU,     0x428da00cU,     0x819be60eU, \
    0x42de511aU,     0x4ed46bc1U,     0x17749232U,     0xe62a81acU, \
    0x81eb79c7U,     0xb5f39cdfU,     0x31da20beU,     0x6696a7dbU, \
    0x3b0f94d4U,     0x72008c0fU,     0x9ff7cc32U,     0x7b9cf9e6U, \
    0xd44da29aU,     0x8ba3833bU,     0xa4653377U,     0x9715e77aU, \
    0xd9336734U,     0x20253082U,     0x5939fc2fU,     0xfd3e2e10U, \
    0xddadbc3cU,     0xa0b34d1eU,     0x0494caaeU,     0xc48018d8U, \
    0x6224831dU,     0x954d8627U,     0x9f1d0169U,     0x4dde6d14U, \
    0x9f1b325eU,     0x13811d51U,     0x2ad9e162U,     0x10d67941U, \
    0x6fdbb4bfU,     0x9ea207e0U,     0xe5f0f425U,     0xbb76364bU, \
    0xa1b37c94U,     0xd5e1c757U,     0x73ffef2dU,     0x4a8f67e2U, \
    0x41fcb4d0U,     0xc051463fU,     0x853cee91U,     0x39cf37fbU, \
    0x83d1798bU,     0x1797db78U,     0x0efc0debU,     0xb7d732beU, \
    0xe200ffe8U,     0xcb529b78U,     0x73947f86U,     0x87ef1625U, \
    0x46c82ba5U,     0x86576f43U,     0xafd3975dU,     0x98063418U, \
    0x3b4113ecU,     0x25ea7d54U,     0x25dcabe3U,     0xb36a909fU, \
    0x819c43abU,     0xc3f022e9U,     0x3ff89d8aU,     0x9141e167U, \
    0xa7f19abdU,     0x640acdfdU,     0xdf8fafddU,     0x4aaaee0aU, \
    0x863410cfU,     0x6e750abbU,     0x5914ab7cU,     0x382b6df3U, \
    0xe442a24cU,     0xd840d9bdU,     0x1ca2672bU,     0xff5c3a6fU, \
    0xb719b541U,     0x7b757ee0U,     0x0d75d79cU,     0xef253302U, \
    0x0b29addfU,     0xb5e38a03U,     0xfde8df80U,     0x33557f69U, \
    0x690dc8f3U,     0x2fca5cf3U,     0x674987dfU,     0x98dcfdaeU, \
    0xda56ac7dU,     0x6529164dU,     0x5b495b41U,     0x1eedbda8U, \
    0x3d4362faU,     0xab0ae8a3U,     0xcb8050eaU,     0xb46c5ae9U, \
    0x2f628a25U,     0x3c930745U,     0xcdb0ca75U,     0xea049cd2U, \
    0xa85a0262U,     0xade98c6fU,     0x836f3451U,     0x94400508U, \
    0xc3162be6U,     0x53e67799U,     0xf2b11337U,     0xdaf3320aU, \
    0x98d66828U,     0x59b70105U,     0x5051c5d4U,     0xb654a207U, \
    0xe516d3bbU,     0x7942485aU,     0x34bc53baU,     0x20daac56U, \
    0x60cd767eU,     0xa15ccf4cU,     0x2355e7c5U,     0xb3d2c74cU, \
    0x6371215aU,     0xc5a14435U,     0x766d746bU,     0x45a45876U, \
    0xca3f3651U,     0x78208aa3U,     0x767d812aU,     0x1b949244U, \
    0x2c0f1265U,     0x75b27604U,     0xa78873d6U,     0xa26204f3U, \
    0xaa228c0dU,     0x2a2cb4dfU,     0x7edcbe68U,     0x76186909U, \
    0x11bf68c5U,     0x5db957a3U,     0xdb10202aU,     0xec7a6a33U, \
    0xac00b52cU,     0xad55e4b4U,     0x447e4e6bU,     0x8236c893U, \
    0x78432c01U,     0xf92e3e0aU,     0xbbd999e3U,     0x5591b66aU, \
    0x3e281693U,     0xcd0ca2fcU,     0x16804184U,     0x9c59adaaU, \
    0xe983fb9bU,     0x26832d8eU,     0x7398b920U,     0xa2079aceU, \
    0xf440261cU,     0xab48a095U,     0xa5ecb785U,     0x51f2dc46U, \
    0x46eacf09U,     0xd611f7c6U,     0xc4aec02fU,     0xb47c1064U, \
    0xd62de4b2U,     0xc08ff9dfU,     0xef9005c7U,     0xb32b6993U, \
    0x80595e38U,     0x918c85fcU,     0xaa9eb9c3U,     0xd3627c04U, \
    0x80d36036U,     0xf8d6923fU,     0xcaf6ba66U,     0x44430dcfU, \
    0x25c1cbe4U,     0xd4a5538cU,     0xe07357d3U,     0x8e348977U, \
    0x42e15592U,     0xab3b4e76U,     0x94f13c81U,     0x6b7c8118U, \
    0xad8a71ffU,     0xd5572f08U,     0x879f0a8fU,     0xf32a1d2cU, \
    0x1de74a6cU,     0xdf69dc41U,     0xc7a155fcU,     0x6eee0eb4U, \
    0x7d8695fcU,     0xcd66b37aU,     0x2e107e12U,     0x25991e3dU, \
    0x37328c1eU,     0x742d6aafU,     0xb0eab562U,     0x1f6dc9f8U, \
    0xec97f45eU,     0xa6c4f008U,     0xf4b6059eU,     0x09f181caU, \
    0xd6432b22U,     0xeb53a5acU,     0x2ea71802U,     0xd6c39996U, \
    0xe1b48dd9U,     0x338c0412U,     0xe1c82e23U,     0x5f34bbecU, \
    0x5c9f4ae4U,     0xaade6bc4U,     0xa3266664U,     0x28514ba8U, \
    0x0ce18702U,     0x269c3ff4U,     0x1a6eb6f7U,     0x06531090U, \
    0x537636dbU,     0x89f681d5U,     0xd9598761U,     0xdf1fce5eU, \
    0x84f48511U,     0x48cd9729U,     0x7572a799U,     0x01b35416U, \
    0xa345cd26U,     0xb2c1f266U,     0x0b52ed64U,     0x7373e191U, \
    0x2d49367dU,     0x039f7fb6U,     0xa4134752U,     0x26c9c03cU, \
    0x5a4e643cU,     0x14ddc5eaU,     0x40a091bfU,     0x4a6cbc34U, \
    0xbc892fb9U,     0x564ffff0U,     0x3a0e2913U,     0x3910e7e1U, \
    0xc231ce45U,     0xbddafea5U,     0x4cb2f7b9U,     0xb69f102cU, \
    0x12988612U,     0x21340870U,     0x0cfbe475U,     0x32d085f6U, \
    0x00de63f2U,     0xe095ae09U,     0x05d5f3ebU,     0x5357029eU, \
    0x90881849U,     0xcbfc9e04U,     0x963a7c3fU,     0xac07f997U, \
    0x8ee613bdU,     0x92fbb174U,     0x73cbd892U,     0xfa0d31afU, \
    0x1c74b2f5U,     0x04d5a8ffU,     0xd0dea9fcU,     0xd98e0585U, \
    0xa6fc4d20U,     0x0a01bd64U,     0x2790ec03U,     0xc7ed3800U, \
    0x14dfe726U,     0x7f2cf928U,     0x12efadcfU,     0xb1955ae1U, \
    0x84dabe36U,     0x631dcdfbU,     0xbe0ac236U,     0x08fc11d1U, \
    0x74af4ed0U,     0x79467525U,     0x3e91f8e2U,     0xa6af557bU, \
    0xcbc3376eU,     0xa677e6abU,     0xca2abccbU,     0x16ece071U, \
    0xf8d582feU,     0x72635590U,     0x3965f247U,     0xcccd226dU, \
    0x1bf1d300U,     0x69256529U,     0x0bf53c4dU,     0x26b6a0edU, \
    0x0cb56439U,     0xc55f9f47U,     0xdaa97dcdU,     0x98a759edU, \
    0x274024c6U,     0x4ae80adcU,     0x479264b6U,     0x58ea3ae5U, \
    0x22b86f85U,     0xa6582f1bU,     0xcd70bf3fU,     0x5e28828eU, \
    0x5ceb62aeU,     0x65bb90f9U,     0x0d5b4aadU,     0x538915a6U, \
    0x170ed812U,     0xe808f824U,     0xccf1e619U,     0xad9d98afU, \
    0x468e2fcbU,     0xf65e4bb3U,     0x2d6af70eU,     0x590ccd2fU, \
    0x23bb1a5bU,     0xb30d7e3fU,     0xd7c62dc1U,     0x91136c8aU, \
    0xc83c3a3fU,     0xb7e13b22U,     0x4c835c5eU,     0xc790df08U, \
    0x00a4b544U,     0xb763da06U,     0x17052c37U,     0xfe4406efU, \
    0xaee32391U,     0x73b7bfb2U,     0x2d2301a7U,     0x1d893f50U, \
    0xfd38ec60U,     0xdb0d37a7U,     0x0b7de74aU,     0xaa00a09eU, \
    0x7152d5e8U,     0x08291eb1U,     0x9f931363U,     0x60073b3aU, \
    0x5e4a5896U,     0xb52c4ed0U,     0xa27c53b9U,     0x03441b08U, \
    0x5ef19e29U,     0x8575d16dU,     0x76ab5296U,     0xc691bf5eU, \
    0x7cc8f063U,     0x74c8f293U,     0xde9b69bdU,     0xbe8c159eU, \
    0x0237697aU,     0xbb9f48e4U,     0x27dd23c3U,     0x3820844cU, \
    0x47dd913aU,     0x5b7043d6U,     0xe4a43483U,     0x69582befU, \
    0x7c858b74U,     0x233886c7U,     0xa4545034U,     0x9b9df2e1U, \
    0x02e0ba2eU,     0xd8dc59efU,     0x2d7e3687U,     0x06bb686eU, \
    0x4448ede9U,     0x0153943fU,     0xfbdfeb01U,     0x69352aa8U, \
    0x9df17972U,     0x14cedb4dU,     0xd156f569U,     0x7b06c038U, \
    0x1ef6318eU,     0xecd2b8f1U,     0x2f1967e7U,     0x6fe040abU, \
    0x44cbf112U,     0x9de1fa91U,     0xc44a5687U,     0x51e6aaa4U, \
    0x4c0032e3U,     0x78c5b27aU,     0xa375fc5aU,     0x97a1258aU, \
    0x9f6f2777U,     0x477c3f44U,     0x5d5c5ef1U,     0xca240b68U, \
    0x1ca81baeU,     0x73eafbe2U,     0x9fb1fd38U,     0x11df28c0U, \
    0x0028a6bfU,     0x908297f3U,     0x9f934ad0U,     0x9ee99751U, \
    0xc1c4827eU,     0x0618756cU,     0x877a9b48U,     0x209a51f4U, \
    0xfb3abf6bU,     0x1fb83144U,     0x51f02f87U,     0x78b55f71U, \
    0x9654108fU,     0x747de392U,     0x2f138475U,     0x48b4d250U, \
    0xef070e28U,     0xfe34b398U,     0x20f6723cU,     0x4c88f753U, \
    0x8b8e677fU,     0x29d931c6U,     0xa40fc81aU,     0xb2380416U, \
    0x9a0f2231U,     0x9175cb76U,     0xc2b38f86U,     0xaf418c32U, \
    0x45b04a7eU,     0xbb0d2191U,     0x6ddc3505U,     0xee8d79abU, \
    0x848f993bU,     0xfe82cec7U,     0xc06bb29fU,     0x845dff63U, \
    0x6062d706U,     0xa198ee64U,     0x6a0114a4U,     0xeefa204bU, \
    0x7b7007feU,     0x9f748171U,     0x98598328U,     0xe1407f30U, \
    0x1b5b0d31U,     0x95b9f3b8U,     0xce1f1dd0U,     0x3fb039e4U, \
    0x708bbb32U,     0xe19c309bU,     0xd465b380U,     0x4004a5afU, \
    0x76f36913U,     0xb5499e73U,     0xf7518da5U,     0xb2cbd651U, \
    0xc8bd0ecaU,     0x27b839a4U,     0x67671d8bU,     0x8d5dfbd7U, \
    0x30f5c663U,     0x1ec4f5c1U,     0xfd822204U,     0xa40c0dd9U, \
    0x243888a9U,     0x26374e26U,     0xe1847679U,     0xccc7806cU, \
    0x33aea599U,     0x36ce0f33U,     0x6bb081e4U,     0xfb4dcddeU, \
    0xc2b2026cU,     0x841a5511U,     0xde59e78bU,     0x32dc9537U, \
    0x75217839U,     0x9ada7b98U,     0x95b9f410U,     0x89d406f0U, \
    0x7c875a0aU,     0x107b1109U,     0xf23b4aadU,     0x82f0b15dU, \
    0x4f45341fU,     0x648916adU,     0xb637b462U,     0x2c682547U, \
    0xa3f2fcb0U,     0x9f4cbfdeU,     0x3a115a2fU,     0x212e987cU, \
    0x03f6182bU,     0x0bf29e3dU,     0x22cfda13U,     0x09c9fea7U, \
    0x7f5be5b8U,     0xda4b48beU,     0x3acbd783U,     0x5bb63b4eU, \
    0xc3dba3b5U,     0x10b06598U,     0x72c4381fU,     0xe87bbb2dU, \
    0x8524c7d6U,     0xa3faf7daU,     0x232245ffU,     0x4b755202U, \
    0xe9fdb013U,     0xd3bf28bdU,     0xa66714cdU,     0x81dc0772U, \
    0x0ffe0547U,     0xe6ba35e0U,     0x41c5c44fU,     0x1b1b65ffU, \
    0xbec132b8U,     0xcc97ba3bU,     0x3a7644fdU,     0x44b5180aU, \
    0x7fd0ad06U,     0x4f248ccdU,     0x8cf25b0bU,     0xe70d570cU, \
    0x7688cd1bU,     0x6fe21935U,     0xf9dd63c9U,     0xa18ed1bbU, \
    0x8e219488U,     0xc017859dU,     0x212bd014U,     0x55774074U, \
    0x10a37c24U,     0x11dbea13U,     0xbfaf08a7U,     0xa97f5fe1U, \
    0xc44affcdU,     0xfca5e0c5U,     0xb98664d0U,     0x9b023e3eU, \
    0x713ed072U,     0x0c7748b5U,     0xd5fce579U,     0xa5df92caU, \
    0x30402fdaU,     0xc71b541dU,     0x141f2d66U,     0x19445501U, \
    0x435cd0b9U,     0x1e1dd2aeU,     0x28685edbU,     0x229f69abU, \
    0xb52e6060U,     0xc3c6ce7dU,     0x66d12e3cU,     0xc7d6b9f9U, \
    0x9c7f1923U,     0x6268508eU,     0x8f3c7f59U,     0x4c341522U, \
    0xa08bba5aU,     0xef58588aU,     0x5d22835fU,     0xaa234433U, \
    0x1d0c2118U,     0x975e6d30U,     0xa581eb97U,     0x7a7b825dU, \
    0x8040c56aU,     0xd3f7f17dU,     0x3601a094U,     0x9e38995aU, \
    0x40287c18U,     0x2ff9d2b6U,     0x538de36aU,     0xc786aa29U, \
    0x289f528dU,     0xfbc4c5eaU,     0xe1c94da8U,     0x0cb042daU, \
    0xed70d216U,     0xe490fda1U,     0x209a695bU,     0x7fbcd7a1U, \
    0x613650d2U,     0x61ac8062U,     0x7c6d897aU,     0x9c13878fU, \
    0x82f235d9U,     0x670315b8U,     0x93275ec7U,     0xb48c60f4U, \
    0x4fcdc04fU,     0x3a273b91U,     0x2ab2146bU,     0x5cdd8a4eU, \
    0x74af720bU,     0x1d290672U,     0x8e3c1e6bU,     0xda4be6aaU, \
    0xe533e075U,     0x55479db8U,     0x40458658U,     0xc191daf0U, \
    0x0519b261U,     0xb697bcf1U,     0xde413fc7U,     0x4e9a7d9cU, \
    0x2b9d3978U,     0xa7c0c5daU,     0x846ea3f8U,     0x23dec308U, \
    0xf3dec068U,     0xa0ac7de9U,     0x4550f17aU,     0x1e260f6eU, \
    0x9425d73aU,     0x0a5200ddU,     0xb42a17beU,     0x987a637bU, \
    0x3d522355U,     0xba168dbfU,     0xae844efbU,     0x1ec60832U, \
    0xef79840cU,     0x3107c6ebU,     0x6fa5e0a7U,     0x52339f59U, \
    0xf28c9b30U,     0x74c2b214U,     0xd107513aU,     0x8fd24903U, \
    0xbf0646e9U,     0xdef9aa51U,     0xf31bb292U,     0x6af18827U, \
    0x03c7a205U,     0x8bfcd3b5U,     0xc7068f7aU,     0xc4a107bbU, \
    0x99e49266U,     0x206fdcf7U,     0x5ad2a182U,     0xde18f4f2U, \
    0xea5b5249U,     0x34da11bbU,     0xfdc028a7U,     0xd1508d80U, \
    0x611da6d5U,     0x5e686dafU,     0xd0a108ecU,     0xf3ff7910U, \
    0x71325bc6U,     0x625bc8d3U,     0x32b6b5adU,     0xabe328fcU, \
    0x4b9c7301U,     0xd46937f9U,     0xe4b48eb9U,     0x18fda326U, \
    0xb86cdb8fU,     0x7d9f2865U,     0x069e06ffU,     0x990b108eU, \
    0x7c73445eU,     0xdbec4c35U,     0x87d93797U,     0x1800af82U, \
    0xb1f08e50U,     0x36225fc3U,     0xcb50743cU,     0xcddf4f31U, \
    0x80962f2cU,     0x933c9524U,     0xe6e80718U,     0x703e8f3dU, \
    0x72c3f364U,     0x8729636eU,     0xcb2e4b0eU,     0x5e96d24bU, \
    0xfc2f4cf4U,     0x97045402U,     0x51828122U,     0x83eaa7f9U, \
    0xb47d54e3U,     0xf226f64bU,     0x0e2b225aU,     0x7306d4faU, \
    0xe6a9a1ebU,     0xe2ecf48bU,     0x8fd5b798U,     0xbf6ffc91U, \
    0x0fb92ccfU,     0x455dc4aeU,     0x53bc934aU,     0x7d74be91U, \
    0xeb9494b1U,     0x867df2d4U,     0x7fe937c9U,     0x481df9f9U, \
    0xd9c1d7f1U,     0x033c44e0U,     0xd52362ccU,     0x40fc858dU, \
    0xd947ae17U,     0x21a5716fU,     0x0b79e1baU,     0x758c239dU, \
    0xbf772279U,     0x2d8522beU,     0x168ff886U,     0x0f4934b9U, \
    0x86020639U,     0x573faa76U,     0x212e9d8eU,     0x24131472U, \
    0x131fb37cU,     0x3c7b4b6cU,     0x4c4c1a9eU,     0x12b371caU, \
    0xccb96c08U,     0x1c315f36U,     0x66cfd1bdU,     0x6e4959fbU, \
    0x7f7df009U,     0x2b92731cU,     0xab0b90eaU,     0xa69be0aeU, \
    0xc4724990U,     0x22d969deU,     0x25f89587U,     0xa70a7ef2U, \
    0x27759d28U,     0xea1d1fe2U,     0x6f98b52cU,     0xa0d7f36cU, \
    0xaddfbadeU,     0x5c8fc3dfU,     0xfa616162U,     0x54682748U, \
    0x00c75f39U,     0x08c2dc5dU,     0x47ee1620U,     0x6a8f6e65U, \
    0x5112e664U,     0x7317d29bU,     0xb93642efU,     0x6cf39f93U, \
    0xb06a206aU,     0xcbf388bcU,     0x1d969004U,     0x35976388U, \
    0x6e3d04c2U,     0x9fb65b8bU,     0x385946c6U,     0x6b02e951U, \
    0x01426f9bU,     0xcb1edb24U,     0x06cda215U,     0xdaa19ca2U, \
    0xeff2bca1U,     0xf9296a1dU,     0xcfeeecbcU,     0x904ed8dfU, \
    0x5915ca0dU,     0x37313919U,     0x120cd849U,     0xe89c0e22U, \
    0x6207b26dU,     0xc9d70a28U,     0x870edaccU,     0xf18ee5e1U, \
    0x52376264U,     0xe9f2c459U,     0xc404752bU,     0x25a591bbU, \
    0x7c497a4fU,     0xc972e8dfU,     0x23b080dcU,     0x8ba30a25U, \
    0xe262899dU,     0xebbcb3b5U,     0xfa8a054eU,     0x96ca07fbU, \
    0xe9fee9eeU,     0x3409174bU,     0xa2661ba4U,     0xd9dfe90fU, \
    0x2559c17aU,     0xe2ffd42eU,     0xf35622e8U,     0x35c5d8b2U, \
    0x630d929fU,     0x6c79d4dcU,     0x94ed95cfU,     0x08e1c0ceU, \
    0xed2cb3caU,     0x6a0b8294U,     0x63b7b524U,     0x1ebee006U, \
    0xce7bf032U,     0xd205216aU,     0x970c2dcdU,     0x58bef277U, \
    0xc303ca27U,     0x81398a29U,     0x323ce2d4U,     0xc9486636U, \
    0xe9fe445bU,     0x181b3e7cU,     0x6dd7ee3cU,     0xc10220c6U, \
    0x4eba8178U,     0xdf295d0dU,     0x700de36eU,     0x056906d2U, \
    0xa591a7a2U,     0xc5b5e588U,     0x4b8bc245U,     0x32d8c839U, \
    0x1ef2f148U,     0x5b2a9d5bU,     0x0cb7526dU,     0x83b784d2U, \
    0xe49920d9U,     0x975905b3U,     0x9daa93e8U,     0x813c7d24U, \
    0xae3c9ebbU,     0x77132febU,     0x9c5a1edcU,     0x9644e5b6U, \
    0xe7f03e9dU,     0x69782c79U,     0xb24414c9U,     0x816f3b6fU, \
    0x517e2f73U,     0x704aea11U,     0xa9624e49U,     0x663f1c0fU, \
    0xd49ab00fU,     0xd0b5ad08U,     0x61ab2050U,     0xccacf832U, \
    0xd0b393e9U,     0x9f0b3d27U,     0x81166247U,     0x64ebc593U, \
    0xd4a64dfaU,     0x3df0eb26U,     0x4cb5d2bdU,     0xd9158116U, \
    0x30981b32U,     0x119ce902U,     0xac4da68fU,     0x46fcc8c8U, \
    0xb6b794ffU,     0x8ced16e3U,     0x98793a7eU,     0x4c037b18U, \
    0x2fa8d2d2U,     0x3d1f10e6U,     0x612d1803U,     0xfc0fda42U, \
    0x98202418U,     0xb86dd4b4U,     0xc3200232U,     0x3ae6008fU, \
    0x72938dccU,     0x062f233cU,     0xfbe09ed4U,     0x0fc9ccc9U, \
    0x52540085U,     0x75f51101U,     0xbb342151U,     0x4cc17447U, \
    0xf40c61a0U,     0xe0f9e261U,     0x593862d8U,     0x31c443d5U, \
    0xca1097c0U,     0xa4472afbU,     0x316c3b41U,     0xdb590ed1U, \
    0xd3156957U,     0x4003b62fU,     0xad4b46f0U,     0x58296a04U, \
    0x2efccb68U,     0x56d85615U,     0x37fc86cfU,     0xde4ee40bU, \
    0x11a4cab9U,     0x756c00d6U,     0xb7ec9586U,     0xaa20b82aU, \
    0xae2127ccU,     0x77be6222U,     0xdedf7719U,     0xf814397bU, \
    0xfd052795U,     0xa3a44de6U,     0x841f30c9U,     0x1598f0a8U, \
    0x4ba5e204U,     0xef048bbaU,     0x45bccf07U,     0x2a000d21U, \
    0xa72bfd01U,     0x224b2f84U,     0xc9728cc6U,     0x4eec63aaU, \
    0x791833e5U,     0xc27cc567U,     0x8b17313bU,     0x94c0b480U, \
    0xb96157afU,     0x44ee4ef4U,     0xd3362bbcU,     0x58f4e24cU, \
    0x1266815aU,     0xb38113aeU,     0xae489163U,     0x37a9f4ecU, \
    0x259582dfU,     0xeb176a56U,     0xdf89506eU,     0x365abd5dU, \
    0x11263000U,     0x3d101b4cU,     0x5a36e3f8U,     0x0cd0108cU, \
    0xc7991a4cU,     0xdba72fdaU,     0x871697ceU,     0x942b0105U, \
    0xff7ce71aU,     0xd225d64dU,     0xeca76d65U,     0x5cf93385U, \
    0x215cbf36U,     0xd88609d2U,     0x8ada2c46U,     0x3fa6c72eU, \
    0x23cf7c11U,     0xa3516f16U,     0xbcd9d834U,     0x619a971eU, \
    0x659d7dcbU,     0xd3d6868aU,     0x63d15e90U,     0x03616a47U, \
    0x43150d07U,     0x526ff6acU,     0xa386bad7U,     0x4189e92aU, \
    0xc2273bbeU,     0xb05d66aaU,     0x22c9c54cU,     0x234bb6e6U, \
    0xcef1f842U,     0xce8f045bU,     0xd51c9fa5U,     0x648cb569U, \
    0x2be25c70U,     0x5581e81eU,     0xbd660f3cU,     0xbb163690U, \
    0x42c0fc0dU,     0xf2bada4dU,     0x7fb8ea40U,     0xe24ae4fbU, \
    0xd4719fccU,     0x9e6eda0aU,     0x2830286cU,     0x9d2c4173U, \
    0x607c15d7U,     0x373a4ca3U,     0x240588cdU,     0x723a2e37U, \
    0x77ed01d5U,     0xbd0d264eU,     0x50aa004aU,     0x44d37978U, \
    0x1c328ab1U,     0xed726d81U,     0x7063c26dU,     0x38df68a6U, \
    0xf428e660U,     0x12018244U,     0x9af90bbaU,     0x75739bf1U, \
    0x6468267cU,     0x6cb4b59cU,     0x330162f1U,     0x0a6e86a9U, \
    0x3cd13505U,     0x910e3dcfU,     0xffe66b77U,     0xcd0656a2U, \
    0x8e770837U,     0xf63bf6feU,     0xec1e17ddU,     0x3cffe619U, \
    0xc556191aU,     0x7069d610U,     0x4580abe7U,     0xc803c784U, \
    0x30931818U,     0x3e29a933U,     0xdab2c1c7U,     0xec12b971U, \
    0x2ddc8128U,     0x18ab46c5U,     0x17cd82deU,     0x783d1f8aU, \
    0xb44316d9U,     0x4dcea65fU,     0x107d93a7U,     0x5bad5b77U, \
    0xb020b26eU,     0x4f2a448eU,     0xad269af0U,     0xeeb7a455U, \
    0x89155469U,     0x4e6df33dU,     0x0896f8b8U,     0xf7d13bbbU, \
    0x8cb07433U,     0xf0afe238U,     0xad857ee9U,     0x3b56e013U, \
    0x8cf059ecU,     0x2ba03998U,     0xe57201a5U,     0x9ea96a71U, \
    0x9e42e05bU,     0x2bf62331U,     0xba94b030U,     0xfb80d776U, \
    0xfacf0b21U,     0x7d2811fcU,     0x75cc0decU,     0x087c7f12U, \
    0x0ca987c4U,     0x25426f7cU,     0x473cae90U,     0xb871358aU, \
    0xbd28e114U,     0x0c939000U,     0x807b36e8U,     0x8f13bccdU, \
    0xbb89b13cU,     0xbec65430U,     0x2665fde2U,     0xcf22b23cU, \
    0x3816fdafU,     0x2936297eU,     0x0b3097bdU,     0xa5e7f057U, \
    0x09310cf7U,     0xb7170b9aU,     0x7f861705U,     0x78055589U, \
    0x8cdac74bU,     0x44db9669U,     0x9595a2b0U,     0x77f253a7U, \
    0x436f2a83U,     0x20395629U,     0x75af0fc8U,     0xde0aa822U, \
    0x028d938cU,     0x732eab23U,     0x4a3b987aU,     0xd0bef362U, \
    0x5715458aU,     0xe5bb444cU,     0x21a68ecdU,     0xc6929506U, \
    0x34a61af8U,     0x7d455e84U,     0xec8fcd1dU,     0xba8ad144U, \
    0xc06dbc45U,     0xbfc2d98aU,     0x659a6d09U,     0xddfd3515U, \
    0xb983f22eU,     0x93356826U,     0x8f254377U,     0x376bda6fU, \
    0x03af134cU,     0x5579031dU,     0xa27a76c6U,     0x35241dafU, \
    0xd765bc7bU,     0xcb3f2a64U,     0xab00989dU,     0x99766fdeU, \
    0x3894322eU,     0x770e4173U,     0xde433e79U,     0xf875989cU, \
    0xdc4461faU,     0x3621fab4U,     0xd0416edfU,     0xaa9b62e8U, \
    0x144961a4U,     0x6801ca97U,     0x9cb1bd98U,     0xea25e45aU, \
    0x43c67cbeU,     0xa9b7e7b5U,     0xea3f68a0U,     0x6f9eafd5U, \
    0x533c4249U,     0xcfda87f9U,     0x989cee41U,     0x1cb10ccfU, \
    0xab9652cfU,     0x4fb3a768U,     0x69808db6U,     0x1762519aU, \
    0x2e35fad3U,     0xf6b8239eU,     0x3db7ba9eU,     0xd71a823fU, \
    0x7e31896cU,     0x03de1e63U,     0xe5096820U,     0x3084e895U, \
    0x587e3294U,     0x08fbe126U,     0x1aa49b55U,     0x6da2b38bU, \
    0x87dfc02fU,     0x687673a6U,     0xced5e0f3U,     0xd1194037U, \
    0x2eebb8dbU,     0x90805701U,     0xd6ddd121U,     0x730dc272U, \
    0x2019374dU,     0xefd6b6bcU,     0xb2039b5eU,     0xbfc5f11aU, \
    0xf17ee3eeU,     0xf876adc1U,     0x9b2b6d09U,     0xf3bd57c8U, \
    0xd4f15d9eU,     0xbb4a1084U,     0x3e64a734U,     0x766e7c1cU, \
    0xf83ebfc3U,     0x18df253cU,     0x744b81feU,     0xe816c728U, \
    0x903818dbU,     0x724d3199U,     0x7a4547f9U,     0x0936ac13U, \
    0x3c813e57U,     0xaaa7b3eeU,     0x83b766ddU,     0x93d9f0fdU, \
    0x746ee9b3U,     0x2772e83cU,     0x5732b183U,     0x6f350f8fU, \
    0x45b46b15U,     0x4ded9dd2U,     0xd57d04e3U,     0x71914925U, \
    0x44828556U,     0xf23e75e7U,     0xf7e54befU,     0x4684f955U, \
    0x94c273ccU,     0x53f96896U,     0xc31f9b48U,     0xa99eed8dU, \
    0x5ceaf010U,     0x2ea7e4d2U,     0x202b4501U,     0xfebcaf2cU, \
    0x4766caa5U,     0xd2d76bd1U,     0x49cb6d8aU,     0x0e5c823eU, \
    0xd726af04U,     0xbd802554U,     0xa8e8615fU,     0x84830fa8U, \
    0xc5d95b4aU,     0x41679890U,     0x2cac109cU,     0x41cd5743U, \
    0x5bcf02b2U,     0xa76e9025U,     0x2640be9aU,     0x4c0823e0U, \
    0x1aeed552U,     0x5cf13026U,     0xc8fed34dU,     0xfe65e902U, \
    0x1eaac2c0U,     0x51087991U,     0x5957a1b8U,     0xc1249d61U, \
    0xdafc7d1cU,     0x22188acfU,     0x6b2672b4U,     0xfc9c31b2U, \
    0x86b98c3cU,     0xcb0f4184U,     0x25c4635fU,     0xcd2721caU, \
    0x9611b6f3U,     0xcb7d8600U,     0xcefd76f4U,     0x902e3870U, \
    0x3108af56U,     0xc9b30705U,     0x7f19b2d4U,     0xbc3ee111U, \
    0x01dc91ceU,     0x083946d6U,     0x1fbb36dbU,     0xee5570cbU, \
    0xe434c9b2U,     0x0de9cbebU,     0xa5726620U,     0xcc6e33b1U, \
    0xa40254dbU,     0x954f5597U,     0x8e4e9b43U,     0x63cdef3dU, \
    0x1ed7e0ceU,     0xe5eda98aU,     0xa5f9d755U,     0x8e1e4548U, \
    0x7989f52aU,     0xfca9d9f7U,     0x892cd3b4U,     0x178069cdU, \
    0xd553863bU,     0xd5e8a062U,     0xa61c2af0U,     0xef88bf3fU, \
    0x9badd606U,     0xcc3c13d7U,     0xca9909f9U,     0xc2103fdeU, \
    0xc86458e9U,     0x5196facbU,     0xc7962357U,     0x97c33071U, \
    0x5a1a39c9U,     0x6e704094U,     0x81fd6d72U,     0x083220d6U, \
    0x8dac4d5fU,     0x9dac0eeaU,     0xcd956e22U,     0xbd004c88U, \
    0x6f14c8afU,     0x5533e8c3U,     0xa1598bdaU,     0xd7e3888fU, \
    0x1bdc4159U,     0xf2279f16U,     0x6ada1fc0U,     0x284c24cbU, \
    0xd45a5bd3U,     0x755473ebU,     0xbb6b1e9fU,     0x00a0ed12U, \
    0xde77525cU,     0x4c31b05aU,     0x0ad4e341U,     0xc198a2d8U, \
    0x4de2b122U,     0xc88bd021U,     0x4f200a84U,     0x539e6305U, \
    0xd90b4873U,     0x50270014U,     0x1d6e51d1U,     0x4dc0e1a9U, \
    0xef2d7ba4U,     0x8092a172U,     0x6c9886ebU,     0x406a183dU, \
    0xbf3d8127U,     0x4472d3cfU,     0x0f98d35dU,     0xf0584d85U, \
    0x564ecc5fU,     0x0f120b28U,     0x029f9a47U,     0xe8c3e2ffU, \
    0x03ec412dU,     0xd016f96aU,     0x61d77144U,     0xa7ca89ccU, \
    0x90aff765U,     0x10f14515U,     0xd4c27db4U,     0x7d1008afU, \
    0x140c8505U,     0x7b190f0cU,     0xaff4aa76U,     0x2ead760aU, \
    0x0ea1a7bdU,     0x965ce1e2U,     0x374fdf8bU,     0xf10c3279U, \
    0x2931354bU,     0x0465bd9bU,     0xdc3398aaU,     0xc0f2cc53U, \
    0xdc7e1b10U,     0x926f6c69U,     0x0812fd46U,     0xa750eb61U, \
    0x5391c583U,     0xbf6bb9d8U,     0x751a9413U,     0xe7497b02U, \
    0xe97d7985U,     0x91c888b0U,     0x576269d2U,     0x90916419U, \
    0x3c69e3e1U,     0x7759e110U,     0xfca828b4U,     0x310b5cccU, \
    0x66a733e5U,     0x3dcb6004U,     0x19650106U,     0xc85632aeU, \
    0x97f61a2bU,     0xdac96421U,     0x4add0e2eU,     0xd02e0c4aU, \
    0x012bb5d9U,     0x6171963fU,     0x650c7a18U,     0x7354a957U, \
    0x55953064U,     0x24947f1aU,     0xdd5e540bU,     0x4d33e01fU, \
    0x1b556ecbU,     0x9d2c20a4U,     0x86c1a5b8U,     0x232547e7U, \
    0x16443f2eU,     0x664c5d41U,     0x2bded9d2U,     0x79cccba0U, \
    0xd902103fU,     0x58f19794U,     0x886da9acU,     0x4d63f337U, \
    0xa73acbd8U,     0xc5bf21c2U,     0xb4b6fb23U,     0x8fe88a95U, \
    0x59f65897U,     0xc8863cd2U,     0x12b7ac24U,     0x450344edU, \
    0x948d7bb8U,     0x563d0126U,     0x1082f21eU,     0xabbf0d21U, \
    0x06167debU,     0xad872dd3U,     0x0b4fe295U,     0xf4ea0ca7U, \
    0x4a2bbeffU,     0xcab6c325U,     0x7dbca21fU,     0x39a88645U, \
    0xa9f2128cU,     0x73ae4c9aU,     0x5597347bU,     0x26c44381U, \
    0xf47b0926U,     0xe027713dU,     0x103809f8U,     0x0eb1e8edU, \
    0x0fca0f03U,     0xe06ea74eU,     0xc1c8c412U,     0xbdfbb307U, \
    0x428fe314U,     0xd758ea1aU,     0xa06e2206U,     0xb6fda6d8U, \
    0x1f66d3f5U,     0x6d3457dbU,     0xa92ff3d2U,     0x358b5061U, \
    0x76e462f0U,     0xd90c01d9U,     0xd37201abU,     0x1d38f921U, \
    0x1c52af9dU,     0x8e7614aaU,     0xb82ac682U,     0x95f641f1U, \
    0x3c09b861U,     0x08282e70U,     0x9fa3688bU,     0xcd53f79aU, \
    0x8b65545aU,     0x7dc113baU,     0x0095086bU,     0xe0426722U, \
    0x4c7d8ce2U,     0xe73801ceU,     0x488d6f8cU,     0x1b106329U, \
    0x433b79ffU,     0xdc594290U,     0xddaace71U,     0xb4510833U, \
    0xe57bc390U,     0xf4248298U,     0x788b1b40U,     0x12b020d4U, \
    0xe70016f3U,     0xbf584259U,     0xea9f2c72U,     0x61ed5feeU, \
    0x5114d232U,     0x01edb5aeU,     0xd0b50fb3U,     0x74d377e0U, \
    0x35fde3fbU,     0x49a56aa7U,     0x300a3c2bU,     0xf6b95b73U, \
    0x71397d8bU,     0x2b97b440U,     0x98655576U,     0x82aba533U, \
    0xe37a9734U,     0xe72193a4U,     0x3dd89a64U,     0xb7404d5fU, \
    0x4c55962fU,     0xc0b51ec3U,     0xbcbdc1aeU,     0x532f7e4dU, \
    0x816460e2U,     0xdcc0d7aaU,     0xf1a9e73aU,     0x4589780cU, \
    0x71c07f73U,     0x30b25441U,     0x39539357U,     0xcd10bb41U, \
    0xea6fb192U,     0xf4cb09c5U,     0xd6a9df8bU,     0x478259e7U, \
    0xa937f6f5U,     0x8489a03dU,     0x8b8c96f2U,     0x628dc775U, \
    0xa20d4763U,     0x5ae8540fU,     0x8f8e408cU,     0x7adf75c8U, \
    0xb1ebb1bbU,     0x593922adU,     0x996a3c06U,     0xa01fe0a9U, \
    0x4b5a2d92U,     0x09675ba4U,     0xeafbdf08U,     0xc7a97778U, \
    0x29cc7109U,     0xaefbc634U,     0xcdf1a135U,     0xd929438aU, \
    0xcba7b91fU,     0xb4bfac98U,     0x612e2c14U,     0x991aaf3eU, \
    0xc7b36740U,     0x57d5ade1U,     0x6590ec58U,     0x9799bfcdU, \
    0x99a17fafU,     0x1d4eb84eU,     0xc7c020c3U,     0x5a87aaf5U, \
    0xfdd93930U,     0x10b4a9bdU,     0x5b159110U,     0xe97aa0d8U, \
    0x1d360f2eU,     0x8e9b3c71U,     0x4aceaf93U,     0x065f6c20U, \
    0x636fd53eU,     0x2bd54ee7U,     0x10ab72f4U,     0xd7ff190aU, \
    0x6e432f37U,     0xafe0666dU,     0x2c39cc03U,     0x104d16dfU, \
    0x01793d63U,     0x901670afU,     0x64967a18U,     0x83c5b06eU, \
    0xc4d6a360U,     0xd9a85c6fU,     0x353df48bU,     0x9094349aU, \
    0x88fc55ccU,     0xa59d39a9U,     0x107f0ca3U,     0x720c796dU, \
    0xb9df6056U,     0xe31d2e01U,     0xf1b8de45U,     0xd8f32ea5U, \
    0x8269621bU,     0xed97adf2U,     0x2d162b6cU,     0x8a7934afU, \
    0x108ceb1bU,     0x0961c33dU,     0x3a378e8bU,     0x3db38b33U, \
    0xd2fd5b43U,     0x24d00794U,     0x45ffdc7bU,     0x43230d5aU, \
    0xd0d69cbdU,     0x84343644U,     0xc8169e10U,     0x9051e53bU, \
    0x5f983ca0U,     0x03b1371dU,     0x7dc0cf98U,     0x4d93920bU, \
    0xd6516800U,     0x501a9ad2U,     0x6b3e08f4U,     0xe0d7d693U, \
    0xf9abe0c3U,     0x87dbc330U,     0x34b54af7U,     0x6e00ef96U, \
    0x5867f93dU,     0x76357ca3U,     0xbb89ceabU,     0x5583825bU, \
    0x2492fa64U,     0x6b96060bU,     0x2d12a29fU,     0x33d466fdU, \
    0xad994159U,     0x1a4bd41fU,     0x0d211fe9U,     0xb1ebf33cU, \
    0x9c2b9fa5U,     0x71eed432U,     0x0717c26eU,     0x270fb0d5U, \
    0x2c24cf8cU,     0x0a929626U,     0x9b394d7aU,     0x234c9fb9U, \
    0x9d18f332U,     0x69427083U,     0x4a075fe3U,     0xedb98294U, \
    0x11f1c58aU,     0xf5e8be03U,     0x44625f7aU,     0xce806008U, \
    0x6e0724b4U,     0xc03cd91fU,     0x27eefd6aU,     0x786efd9fU, \
    0x0fe471e3U,     0x46e03a87U,     0x5de6ce32U,     0x10715f48U, \
    0x1b264c19U,     0x4fbec8ccU,     0xa033fb67U,     0xcb711ce4U, \
    0x1f7afde0U,     0x45893285U,     0xebcc7033U,     0x5df7e94dU, \
    0x3ecef5b3U,     0x7a9141aaU,     0x2af2a3acU,     0xaa71f90eU, \
    0x1fc5e28dU,     0x17745b10U,     0x3670056dU,     0x38a1404aU, \
    0x5ce26195U,     0xddd0ba51U,     0xd98cd7b2U,     0x2826cfafU, \
    0x6d70317aU,     0x78458825U,     0xe0b5a31fU,     0x0d69ae0cU, \
    0xfb303c57U,     0x42aef605U,     0x3cc3594bU,     0x35a02e14U, \
    0x3808a7a7U,     0xbfe1cc6cU,     0xca8af339U,     0xad26546cU, \
    0x9592d075U,     0x9ed09beeU,     0x60a4d1fbU,     0xb0ffd6a2U, \
    0xb2ad8079U,     0x3821af77U,     0xccf468b3U,     0x49386d0eU, \
    0x0175f74eU,     0xb85b1e6dU,     0xb4d53a5fU,     0x8053b02aU, \
    0xa77fd633U,     0xb146091bU,     0x028bd756U,     0x1f895ea6U, \
    0x512ff13bU,     0xab6f1acdU,     0x8b69ac4eU,     0xb9d5c1daU, \
    0x1ee68b47U,     0xca622731U,     0xc1d2214bU,     0xd6286194U, \
    0xaf3cfd15U,     0xb34b1482U,     0xfe1ae1c3U,     0xcec440deU, \
    0xf905b967U,     0x981a7385U,     0x03f90770U,     0x5acfadf9U, \
    0x4dbd5ca9U,     0xc7497656U,     0x1985ae9cU,     0xb737beafU, \
    0xd239db4bU,     0x76538291U,     0xc5ec6275U,     0xf77bb764U, \
    0x213370d7U,     0x5bdae05dU,     0x098b946dU,     0xd1a7b44cU, \
    0x3a7b37dfU,     0x8087da42U,     0x55714196U,     0x0031a525U, \
    0xa1e8d848U,     0x9504679aU,     0x59865843U,     0x804844f7U, \
    0xf0c8eee5U,     0x273446e4U,     0xb92b6736U,     0xb12ffad2U, \
    0xec97f3a0U,     0x7ed1c814U,     0xee2f8050U,     0xe523edbbU, \
    0x212a435fU,     0xddc63d08U,     0x0561af56U,     0x6580b57eU, \
    0x594d57f2U,     0x325b2af5U,     0xa558771fU,     0x85bb8e10U, \
    0xa8895c14U,     0x1babe42cU,     0xc928b240U,     0xd20e2562U, \
    0x8dc1fcdcU,     0xcd79c77eU,     0xeb6d26f2U,     0x2c1029a2U, \
    0xe89ec0fdU,     0x8491f9acU,     0x7697b557U,     0x9f8f6163U, \
    0x79726d79U,     0xbd982727U,     0xd64179e3U,     0xdb2f9f77U, \
    0x7a32039aU,     0x3d312f71U,     0x024ed2b5U,     0xb45a0c24U, \
    0xba2c9839U,     0xabf98badU,     0x5d517852U,     0x3626bfc2U, \
    0x43886b02U,     0x658c4bd6U,     0x43c8b5e7U,     0x48ea4fdcU, \
    0x5ff97134U,     0xb2caee7aU,     0xf0f0fd11U,     0xee19114bU, \
    0x2bb6823aU,     0x598281deU,     0xe2482673U,     0x002cb84fU, \
    0xb8917c72U,     0x33e777aaU,     0x970d8aabU,     0x9a7deb82U, \
    0xf174ee5bU,     0xc6958960U,     0x333c4c8fU,     0x6b95aa78U, \
    0x17d8f3a3U,     0x68417f31U,     0x8c81e865U,     0xcad5e2afU, \
    0x605e728aU,     0x8196fab0U,     0x4f31b229U,     0x6f697a5bU, \
    0x37306a85U,     0xe2f3ae3bU,     0xae9efb69U,     0x2f0b3cf3U, \
    0xe610efd4U,     0x9b707d76U,     0xa361e59eU,     0x965f0cd2U, \
    0x518369dcU,     0x91a7bddbU,     0xc747302fU,     0x04ffb892U, \
    0x13aa0211U,     0x9d1a4c76U,     0x3aa5bf81U,     0xf6799211U, \
    0x29fb3629U,     0x3f58e23cU,     0x0e3bf29cU,     0x64e89833U, \
    0x4c5ffb8aU,     0xea265e04U,     0x0e49faaeU,     0xb98c35c2U, \
    0x7887bd27U,     0xb894d1e1U,     0x8cd2ca9bU,     0x54b238bfU, \
    0x8db485acU,     0xe74c596bU,     0x2f7b95d2U,     0x206e1d6fU, \
    0x2315e9c1U,     0xdef9a92aU,     0x793e29acU,     0x8f265981U, \
    0xfc744d3dU,     0x63963078U,     0x45289961U,     0x312943fdU, \
    0x464c065fU,     0x3f894ae1U,     0x240be3ffU,     0xb19d227cU, \
    0xdd40c24bU,     0x7fdfa796U,     0xa5f3d8aeU,     0x6dd5a8dfU, \
    0xa0534b58U,     0xef838970U,     0x02ad865fU,     0x4b2d76c6U, \
    0xb46a1f0eU,     0x5ac0488bU,     0x0c90b35cU,     0x6781d324U, \
    0x2cc18423U,     0xbe4d78d7U,     0x44c1f552U,     0x9bd85233U, \
    0x27ffc4c0U,     0x1c8e2f23U,     0xd790e7e7U,     0xc3906f31U, \
    0x037ca90eU,     0x5fa6a1d9U,     0xd3389370U,     0x7a32eae8U, \
    0x6487f31aU,     0x0bd26020U,     0xd5aa140cU,     0xae2088cfU, \
    0xada48ccfU,     0xf3323e60U,     0x43fdcd5cU,     0xba3bf403U, \
    0x8b8cf355U,     0x158e9da5U,     0x784790e3U,     0x84669ec9U, \
    0x199f8668U,     0xe3c10fa6U,     0x61b50445U,     0x21cc0e84U, \
    0xf08ac795U,     0x7d46d90eU,     0x737c43edU,     0x762c0ec7U, \
    0x25c2fff1U,     0x23757e9cU,     0x6ec27ea4U,     0xbca7ab58U, \
    0xcbb33354U,     0xdf94db1bU,     0xeede0e87U,     0xbce70758U, \
    0xda9aeb20U,     0xf4582d38U,     0xf926c15dU,     0xc3773cfbU, \
    0x09908ce9U,     0x5cd5733cU,     0xe99728bdU,     0xe395455cU, \
    0x901460ebU,     0x2db68888U,     0xb47f7e30U,     0x1d64d8beU, \
    0x74dd2708U,     0xebe1d1ceU,     0xe7820de0U,     0xc937ae07U, \
    0x3128edd9U,     0x2cb199f2U,     0x4c6ee7f3U,     0x69ae4062U, \
    0xa808c02fU,     0x26040d8bU,     0xa1c4ccfbU,     0x81d0ce26U, \
    0xebae427fU,     0xc115914bU,     0x2398ce62U,     0x6b508e2dU, \
    0x0a307bcdU,     0x14c39219U,     0x0ef9c95dU,     0x50586998U, \
    0x134013b0U,     0x594cb7a3U,     0x148b9abbU,     0x284e572fU, \
    0x9c83073bU,     0x8fe40722U,     0xacb565a0U,     0xd01e8d55U, \
    0x787c6479U,     0x36eee1c5U,     0xa741174aU,     0xf5389609U, \
    0x10106125U,     0xbd79f468U,     0x0581f029U,     0x6ac2cc7aU, \
    0x44255d7aU,     0xe61ec588U,     0x3eaee2f4U,     0xaa32a9d1U, \
    0x05ee5ef9U,     0xa01cc740U,     0x2c4d4adcU,     0x173148c7U, \
    0xa0677e29U,     0x7dc49c24U,     0x36133d0cU,     0x3a3fd38dU, \
    0x1d47df9dU,     0x45fd91daU,     0xa1b86f60U,     0xae127502U, \
    0xc32dd91dU,     0x599d04feU,     0x1c1b77b4U,     0x9c0e3a2aU, \
    0xf969cf46U,     0x6310c3ecU,     0x1a6f935aU,     0xc46d502aU, \
    0x3deda432U,     0xea3f9908U,     0x6487a334U,     0x5e52a90dU, \
    0x4e134d81U,     0x45aaf5e9U,     0xd171e59cU,     0x73c3085eU, \
    0x092044e9U,     0xb611e935U,     0xaef1d9fcU,     0x4d4ca612U, \
    0xc39da864U,     0x9b44bfd6U,     0xf4aeeddfU,     0x4675ba23U, \
    0x32907dd5U,     0xb3c57f32U,     0x67335461U,     0x549a65e9U, \
    0xf5f00f48U,     0xf57e947eU,     0x20c83183U,     0x789bdcdaU, \
    0x60cbe249U,     0xa6e51c53U,     0xa55a63caU,     0x3009098aU, \
    0xb5f8b4daU,     0x67d0520cU,     0x32781eabU,     0x0bdb9407U, \
    0xb556a7b3U,     0x1e4c4e55U,     0xcab9f9faU,     0x117158b9U, \
    0xd3ade60eU,     0x041633ecU,     0xea0af0e1U,     0x6b697692U, \
    0xf4542604U,     0x7aabb1a4U,     0x309a2b30U,     0xeed76666U, \
    0xef9ebd5fU,     0x243101f4U,     0x21ac7a70U,     0xcd8dd6deU, \
    0xaa10ea06U,     0x8d73ab87U,     0x166b7cc1U,     0x8e31cbfaU, \
    0x24102479U,     0x201a6ed2U,     0x7a0f15dcU,     0x5902632aU, \
    0x0e8afbb5U,     0xe7db8652U,     0x797a2747U,     0x50709713U, \
    0xa0f4b650U,     0x0be1cd33U,     0xc690456aU,     0x771d2c68U, \
    0x06de367eU,     0xd323ff16U,     0x1beb29eeU,     0x2793f355U, \
    0xf00b5287U,     0x7671fc9fU,     0xee63f05bU,     0xb76af33dU, \
    0x7a5570deU,     0x39536447U,     0x44ec5dbaU,     0x5feb69a1U, \
    0x3d5820daU,     0x310f0905U,     0x58544658U,     0x5312241cU, \
    0xbd8b52cdU,     0x58f4a47eU,     0x59f89f92U,     0xbf633ab7U, \
    0x18afe2e7U,     0x5716840fU,     0x9aa2c691U,     0xe1d5c86dU, \
    0xeed5db81U,     0xa574b039U,     0xe7cc7fdfU,     0x6a7ef51dU, \
    0x098306b3U,     0x484474f9U,     0x567c702aU,     0x136a2236U, \
    0x62253573U,     0x6312bb32U,     0x3f4bcc79U,     0x5e3dddedU, \
    0xed630169U,     0x62e7d445U,     0x4b41e62fU,     0x259a2475U, \
    0xdba15181U,     0x6ee3f8deU,     0x95f81d0fU,     0x4dbbf6f4U, \
    0xacb7d884U,     0xa37a9944U,     0x62d2f94eU,     0x42887701U, \
    0x96723201U,     0xe29b98a6U,     0xf768c7f7U,     0x6f01da4aU, \
    0x6efe05f9U,     0x31a8cbe6U,     0xbe5dc900U,     0x92e39171U, \
    0x51af29b5U,     0xf64c4b4aU,     0xa63d6e48U,     0xa7d8ef35U, \
    0x25f0e955U,     0xb7151026U,     0x67fcdc80U,     0x1a027f93U, \
    0x8eb51cb1U,     0x1249ba21U,     0xbe6b7dffU,     0x49d1e3e7U, \
    0x20a81a9aU,     0x25d40b0cU,     0xd52ec420U,     0xfbc754c5U, \
    0x48eb4be9U,     0xd9af8357U,     0x8080be6aU,     0x5e1e64cdU, \
    0xc9e58efcU,     0xe7b2d163U,     0x6a47a057U,     0x02647058U, \
    0x0cf19085U,     0xb2a2f251U,     0x2d37d9d7U,     0xe5024ce4U, \
    0x9ea59317U,     0xac1ffa77U,     0x6f1eb349U,     0x9f1577f1U, \
    0xa3de7b66U,     0xc397017eU,     0x20aaf207U,     0x541bda94U, \
    0x0832e113U,     0xa3fb8e43U,     0xe4978308U,     0xfa9256ddU, \
    0xe5bb1adbU,     0x089bba7fU,     0x1d84cbefU,     0x8702dbf1U, \
    0xeb8ece2cU,     0x67a4b8d0U,     0xbbd9897bU,     0xe9cf7063U, \
    0xbf3680d7U,     0x63152445U,     0x4778e943U,     0xe16ab3baU, \
    0x2d7665b7U,     0x6790b14bU,     0x4cb02995U,     0x167568ffU, \
    0x0362a2e6U,     0x322d2cbaU,     0x08f73c9cU,     0x39be0c23U, \
    0x4658eaaaU,     0xa73c47d7U,     0x136c9df3U,     0x80cf0fa5U, \
    0x18517f62U,     0x5f0ae0a9U,     0x46252f85U,     0x861aa1fdU, \
    0xa1aa4a35U,     0x038cab04U,     0x76fb8d21U,     0x82337760U, \
    0x689d34baU,     0x19e866dcU,     0xd66a3699U,     0x10a7c619U, \
    0x0e9d1cf6U,     0x28448b25U,     0xff55a792U,     0x136bf25eU, \
    0x3bb3787eU,     0x6ffe7fffU,     0x94a2f42bU,     0x7d825151U, \
    0x7e7db111U,     0xeffe88b2U,     0xdb12485eU,     0xa804e4e0U, \
    0xbeea7d55U,     0x24149cafU,     0x45188682U,     0x42721b9dU, \
    0xc14a5a46U,     0x88fd8b5bU,     0x70d8e5eeU,     0xbce94b01U, \
    0x23026001U,     0xca548bdbU,     0x858a2405U,     0x01dad047U, \
    0x2ebd7515U,     0x5509eea1U,     0x1fe11b75U,     0x2cdc9c07U, \
    0x72ea35ecU,     0x2800f146U,     0x1f7bdbc4U,     0x62582635U, \
    0xa3f442e5U,     0xfd21c7a0U,     0xcc1c467cU,     0x0526639bU, \
    0xe6d67745U,     0x851313d2U,     0xfd8cbf7fU,     0xb3af7db5U, \
    0x1076532dU,     0xfa9bd38cU,     0x6570968bU,     0x1613b5cfU, \
    0x35b08110U,     0xc887f527U,     0xab4cb17dU,     0x51122f43U, \
    0xb3d95d80U,     0xb4684af7U,     0xea669fd5U,     0xc7b9cd41U, \
    0x6ba0291cU,     0xc17a0c86U,     0xe0327619U,     0xdf3da37fU, \
    0x79183815U,     0x727f2a2bU,     0x3e4c0a35U,     0x2139bcbdU, \
    0x4be924b1U,     0x7f2591b9U,     0xdf25e792U,     0xed56f9b2U, \
    0x32d2755dU,     0x0c402de5U,     0x9180794fU,     0x844cee4cU, \
    0x03547b6cU,     0x9a09b2a0U,     0x9093caf4U,     0x6b5a0fadU, \
    0x4232613dU,     0x7e35d483U,     0x4429da4fU,     0x9d5dce94U, \
    0x2af08ba8U,     0xf3aa0511U,     0x250f1598U,     0xd8956741U, \
    0xb4850d8cU,     0x63a6460cU,     0x7eff8eb5U,     0x1547b1bfU, \
    0xb3006c9fU,     0xf75913d1U,     0x07c3b626U,     0x5b5e4f61U, \
    0x354050b4U,     0x69b7812aU,     0x5707b064U,     0x5370863fU, \
    0x4de19ed7U,     0x8a988408U,     0x2342a92eU,     0x35cdba4aU, \
    0xcd1f3502U,     0x5f2b0553U,     0x81af7e88U,     0x13c8e7bcU, \
    0x0ea6513cU,     0x4fc9b134U,     0x0239695aU,     0x2436a66cU, \
    0xe0e50911U,     0x86c228c0U,     0xd2963e08U,     0x93b03089U, \
    0x241c184cU,     0x1b295a8bU,     0x363c11e5U,     0xc4d8f844U, \
    0xad8c295aU,     0x5bb8c5cbU,     0x690b11e5U,     0x00acd4b4U, \
    0xd4ca4a43U,     0xe38758ccU,     0xc5ce0089U,     0xf42f6faeU, \
    0x7c9130ffU,     0x0ebbee4aU,     0x54d5b75dU,     0x62beacacU, \
    0xf1013cd7U,     0xb85f25efU,     0x8f7c585bU,     0x83b7f4e8U, \
    0xf5a31b3eU,     0x9c7c6c48U,     0xb974882cU,     0x51ad8ee2U, \
    0x1b51fd14U,     0xa963efeaU,     0xf77a3b51U,     0x8eb57968U, \
    0x3b569964U,     0xc5085adbU,     0xbb8f4565U,     0xf83aac20U, \
    0x9ce47661U,     0x6f54cc6fU,     0xc8f2cb01U,     0x869f8610U, \
    0x37327c5fU,     0xab361df9U,     0xb950acecU,     0x0ebcbcfbU, \
    0x167f0673U,     0xbeed1358U,     0x4973a531U,     0x5cec4890U, \
    0x8be2ff92U,     0xdcb88f96U,     0xaa0c8b7cU,     0xe8c63936U, \
    0xbbb38b6fU,     0x58516b6fU,     0xe2a3b2afU,     0x08fae918U, \
    0x51755070U,     0x2dfe15cbU,     0x37602d35U,     0x60838795U, \
    0xf6d797c3U,     0x44145e14U,     0xd7d00633U,     0xa99cf88cU, \
    0x786ed6afU,     0xe7455ac5U,     0xa2c5ddb4U,     0x8495176bU, \
    0x1bc23821U,     0x22afc3b9U,     0x4ba7fec9U,     0x23097654U, \
    0x79b8e158U,     0xc6f98120U,     0x0250c534U,     0x1d6c1edfU, \
    0x0242fe64U,     0x87483411U,     0xa9e796f3U,     0x99a0b806U, \
    0x47df034bU,     0xe871f66eU,     0x9d6a0a13U,     0xc9268bc5U, \
    0xfc117c4aU,     0x8d6768a5U,     0xb48b8ed1U,     0x431654b0U, \
    0xa267ef0cU,     0xb05f9637U,     0xaac3239dU,     0xa42ce7b1U, \
    0x1ac25782U,     0xc735ee2eU,     0x94b82d05U,     0xb60fd37fU, \
    0x2d18d4faU,     0x4267a0d6U,     0x471802d3U,     0x02fb3b9cU, \
    0x474331feU,     0x515064cbU,     0x6157c4f7U,     0x66f1d101U, \
    0x0ba2b76aU,     0x24e4e588U,     0xffdf693bU,     0xf57a4242U, \
    0xc410770eU,     0xd072fa85U,     0x61958c28U,     0xe0a6c383U, \
    0xb3b6735dU,     0x4f6721daU,     0x0c7224c4U,     0xf6eac124U, \
    0x24806a8bU,     0xc88a64cbU,     0x06467e06U,     0xd080d850U, \
    0xad896bbfU,     0x85b538bdU,     0xe9543128U,     0xd9e5ba2cU, \
    0x4e94e841U,     0x2b2c89afU,     0x8cbbaaa6U,     0x84edc6ceU, \
    0x35e28ea6U,     0x6b1dc91dU,     0x19c4013cU,     0x55a3c5f7U, \
    0xf6c9e63eU,     0x963d6986U,     0xaf0142a9U,     0x5c2eed8eU, \
    0xbd468d90U,     0x101f68ddU,     0x478e345eU,     0x415584d0U, \
    0x18097672U,     0xae0be985U,     0x6068ac10U,     0x80a355a6U, \
    0x21bce838U,     0xfc4d2a1bU,     0x22688de5U,     0x5f101f40U, \
    0x6c551eedU,     0xe32b79a0U,     0x76496340U,     0x1f80f315U, \
    0x06ff3f8cU,     0x1e76f829U,     0xa4eb3cbaU,     0x809074aeU, \
    0x19660de5U,     0xd0c8bcdeU,     0x82d1fe8aU,     0x16fe1354U, \
    0x39a95338U,     0xeb4cfb8dU,     0xaef609abU,     0x5443ed51U, \
    0x08da44b2U,     0xe6b44cb1U,     0x960e5c73U,     0x50fc3df0U, \
    0x863f63d9U,     0xcf6d1549U,     0xd89c892dU,     0x4f2c8f10U, \
    0x15eb1919U,     0xe6f372bdU,     0x75252099U,     0x16c59b09U, \
    0xc3992c58U,     0xbb123409U,     0xeaa4053dU,     0x6256afa9U, \
    0x63bd66baU,     0x5982a491U,     0xcef784abU,     0x9e08b02dU, \
    0xa108444dU,     0x28cfca40U,     0xbc5e00fbU,     0x43546aefU, \
    0xfbc53373U,     0x629cab92U,     0x3d32a387U,     0xc9936335U, \
    0xc27a3091U,     0x64f6e292U,     0x7791ed52U,     0xfcb18524U, \
    0x13031016U,     0xb8170b94U,     0x99359d53U,     0x4c3d63c0U, \
    0x6cda97bdU,     0x13963f49U,     0xc501dc0bU,     0xddfd3359U, \
    0xe59bcf76U,     0x8ace655fU,     0x98b3be01U,     0x861646b1U, \
    0x47551bb8U,     0x81e3a597U,     0xd7b63e5bU,     0x79bee827U, \
    0xa0f2924fU,     0xcde65f4eU,     0xcd8648d1U,     0x2508c88dU, \
    0xa299b5c9U,     0x506a02dcU,     0xfb868d85U,     0x2517a830U, \
    0x50caa631U,     0x7a4c358eU,     0xb66c56beU,     0xe6c2ff12U, \
    0xc68f8574U,     0x5433eb7bU,     0x9d986eb7U,     0xdfe5e2ddU, \
    0x1a326e4dU,     0x3cb1e4efU,     0xa269e032U,     0x9775d846U, \
    0xe9768aaeU,     0xf1f98067U,     0xf0476141U,     0x8b247f68U, \
    0xefffb36aU,     0x6e763226U,     0x5268f813U,     0x36451e0cU, \
    0x824554f9U,     0x009b3ad0U,     0x4767d3b0U,     0x4a2864d1U, \
    0x7b27380eU,     0xf126808eU,     0x44f532c5U,     0x5bfde183U, \
    0xfbfa701aU,     0xbe699e10U,     0xbef127d9U,     0x226c2a55U, \
    0x09025409U,     0xc2a3a095U,     0xba5286fbU,     0xb2e10fdeU, \
    0x7af23b82U,     0x5f1e89ecU,     0xf6569bc8U,     0x71790199U, \
    0x350c4c05U,     0x0d40db77U,     0xbd4c1939U,     0x55be56bcU, \
    0x71f0f1d0U,     0x7e85c76cU,     0xe78aae84U,     0x6e36ffb7U, \
    0xaba1fbf1U,     0xc8cba596U,     0x4b5c3501U,     0xd8b2535eU, \
    0x2f25f0fdU,     0xff25b04dU,     0xd0e3349cU,     0x678182e6U, \
    0xbecfea89U,     0x08805cd2U,     0x00125e44U,     0xd7edfb43U, \
    0x7fac2dbaU,     0x792d2b02U,     0xd7aea8c8U,     0x9f491c8eU, \
    0xdbacd609U,     0x170ea065U,     0x3a0e8931U,     0x70e79b3eU, \
    0x8932a1b6U,     0x46d7a770U,     0xac8dd628U,     0xeca80605U, \
    0xa3a67695U,     0xdf7d59a2U,     0x575bccc1U,     0xce403b0dU, \
    0x234fc333U,     0xd43bb119U,     0xea3d622fU,     0xb69d962fU, \
    0x62dbaa06U,     0xee4c9736U,     0xba098779U,     0x79049bacU, \
    0x8e604753U,     0x23e4024bU,     0x8e6c8a3bU,     0x37cec5ffU, \
    0x84c9415bU,     0x1343e80eU,     0xe9382581U,     0x1c78d8ceU, \
    0x2c5ff99dU,     0x9ad5fdd1U,     0xc53a8f9aU,     0x521d8828U, \
    0x0203e34aU,     0xcf7fdcceU,     0x269cfd60U,     0x8a130e8eU, \
    0x2fc9b536U,     0x35bdb450U,     0x05352337U,     0x489f4bffU, \
    0x00b7a330U,     0xc26b72a7U,     0x2bf83397U,     0x05670ccfU, \
    0x76cd1d72U,     0x82803712U,     0x1d26ea6bU,     0x24ab0817U, \
    0x2b2d710fU,     0x70f70a5cU,     0xced36d12U,     0xd321b782U, \
    0xe70255c2U,     0x60d47b8bU,     0x73af2128U,     0xea7fc3feU, \
    0x1faffa56U,     0x716c1b5dU,     0x3989b4baU,     0x4e55f55dU, \
    0x1fea3f8cU,     0x64387a44U,     0x4904de3aU,     0xfc2c5e71U, \
    0x98683116U,     0xabfd87d4U,     0x09dc7c90U,     0x46b3ab5bU, \
    0xfb64474bU,     0x37da5052U,     0xdfec6ba4U,     0x40b90a4cU, \
    0xf94d53deU,     0x232ad0a9U,     0x58de311dU,     0x6577611fU, \
    0x91b6394aU,     0x8159425cU,     0x1da0dfc0U,     0x504a310aU, \
    0xb6f4ca21U,     0x004947deU,     0x798684c1U,     0xff332a1aU, \
    0x64737ce5U,     0x2266f9bdU,     0x7808d9ffU,     0x862bc1f0U, \
    0xc8e0c548U,     0x20f9de65U,     0x8ee68a9dU,     0x5be3677aU, \
    0x037b9b38U,     0x4a5962afU,     0x7c359219U,     0xb934918aU, \
    0xa7684e32U,     0x3ffb1c38U,     0x3d38483aU,     0x23380561U, \
    0xb4e114a1U,     0x40be3f77U,     0x4d30f12aU,     0x9ee87e84U, \
    0xd9a53f8dU,     0xc1a120cfU,     0x0f3cca66U,     0x55dd8bc0U, \
    0xe12620ddU,     0x4b5fcf93U,     0xcf1f2e3cU,     0x419ba80cU, \
    0x7386103cU,     0x5ae14a5aU,     0x3d57040bU,     0x3b77a5b6U, \
    0x0ff08794U,     0x5ad479caU,     0x39ec744cU,     0x482e8d0cU, \
    0xa4b737d2U,     0x13c5d22cU,     0x12d54253U,     0x4e6bc161U, \
    0x5f166f35U,     0x44ce644dU,     0xd1ebeeedU,     0xf49a24d3U, \
    0x6ca48a6aU,     0x0bb245f3U,     0xb4f72debU,     0xccc3279cU, \
    0x8f37a91bU,     0xd75b4cbbU,     0x457d6dc9U,     0xb407bb6fU, \
    0x8a850a20U,     0x6ed47c9eU,     0xaa2a6c48U,     0xa80f951bU, \
    0x89134904U,     0x0cf6cea8U,     0x39220c23U,     0x56d2436cU, \
    0x6edce746U,     0xdecbbabbU,     0x7afd2d77U,     0x4d13947cU, \
    0xa66f3f33U,     0x829b842bU,     0xb7d6e33bU,     0x68e2ff95U, \
    0xf6aaf163U,     0x480b5806U,     0xfb0a40aeU,     0x30039da1U, \
    0x8454a977U,     0x4681626fU,     0x66976df9U,     0x777fae2dU, \
    0xad47897bU,     0x0fa7d6ebU,     0x616082d6U,     0x5b79cef5U, \
    0x6b7afadaU,     0xcb86d1f6U,     0x10648892U,     0x553af5b9U, \
    0x9fd087daU,     0x5c4fe540U,     0x93279b57U,     0x45d7dc9eU, \
    0x0f055df8U,     0x7c186342U,     0x927db8f3U,     0x1d693738U, \
    0xcd05b02eU,     0x55fc4fc9U,     0x093dd45bU,     0x8eb7c6c5U, \
    0xa50c1596U,     0x2ce739edU,     0x65e4eb7eU,     0x1a800626U, \
    0x9f9ee066U,     0x38463d1cU,     0x87adacb9U,     0x633ff85cU, \
    0x347cf3b0U,     0x9c572330U,     0x45165eaeU,     0x56f04db2U, \
    0x388d7b25U,     0xc3e4901fU,     0x8ede3f47U,     0x97bb2822U, \
    0xa195c318U,     0xf7f9d278U,     0xa8eaa82dU,     0x90c66c2eU, \
    0xcd777bb5U,     0x319af363U,     0x54a60c9dU,     0x6c52c493U, \
    0x1dd854a6U,     0x46448a83U,     0x1be8eabaU,     0x8efd8d63U, \
    0xe0c9fcbbU,     0x9daf4c4dU,     0x1ef4a447U,     0xf906c5b6U, \
    0x79b4e23fU,     0x41cfaa36U,     0x8a08311fU,     0x2553419cU, \
    0xb2121fc7U,     0x78566100U,     0x7df68a79U,     0x736086deU, \
    0xf0918678U,     0x0ed000ccU,     0x880e85f3U,     0x8b7c6b9eU, \
    0x13717b2fU,     0x2b0e759bU,     0x467f01e7U,     0x303c6a17U, \
    0x2b8d8b6fU,     0xdd16331dU,     0x59705450U,     0x8e50ad94U, \
    0x18f52364U,     0x86bf88aeU,     0x1415eb0dU,     0xdda59a9dU, \
    0x4922361fU,     0xb21f4408U,     0xc02bf266U,     0x15fc06c5U, \
    0xb62efb7fU,     0x2dd8b0a6U,     0xf81f808dU,     0xba3c58e7U, \
    0xaf783714U,     0x80249e01U,     0x9f2d89c9U,     0xb4c7f5e7U, \
    0xbda8a0f9U,     0x740c6188U,     0x8f90339eU,     0xe57e7ad4U, \
    0x6a5dc9a2U,     0xe9163255U,     0x3a7f84ceU,     0x62fe4f66U, \
    0x64342e25U,     0x20f1113bU,     0x6ef12f7fU,     0xf2cc0750U, \
    0x3a4b3ac0U,     0x03a8baecU,     0x5cfc5074U,     0x98519007U, \
    0x333f802bU,     0x837555c5U,     0xec8eb997U,     0xc020672eU, \
    0x6d18b27eU,     0x3856e023U,     0xb059eadaU,     0x0b8d523cU, \
    0x6cb224ebU,     0x70ba9053U,     0x92349e92U,     0xde736335U, \
    0x7baabc9cU,     0xbc72c65bU,     0xfa0de2f4U,     0xb743a147U, \
    0xb80fd78fU,     0xb6d60b12U,     0xfcc0a061U,     0x0c846bd2U, \
    0x60efc329U,     0x91a2d1feU,     0xfd7f0ca4U,     0x9a169a97U, \
    0xfcda2ad5U,     0x1608e465U,     0xf737a770U,     0xdceda02fU, \
    0x60233bf6U,     0xd3399f93U,     0xfc36e4b1U,     0x7e7ea182U, \
    0x12048b93U,     0x170751f4U,     0xacb731dbU,     0x715524a7U, \
    0xfbbf2c40U,     0xa19227efU,     0x801dd81aU,     0x7ffeb4a4U, \
    0xa2052e8bU,     0x1be1d989U,     0x285bce35U,     0xffde827bU, \
    0xe9d546d5U,     0x88f2f1abU,     0xa5e3b051U,     0xd972d593U, \
    0x71c4a204U,     0x2695f1f4U,     0xa2bdef24U,     0x296e8fa7U, \
    0xa53e2c32U,     0x056d2830U,     0x7366dde1U,     0x10e3d130U, \
    0x16f46257U,     0x4abd9814U,     0x6e36507aU,     0x7d05e50bU, \
    0x922f340aU,     0xbf494b87U,     0x466f8ce7U,     0xea8b664eU, \
    0x659cf1b4U,     0x531ac209U,     0x2f779b50U,     0x1e1957f8U, \
    0x98140f7aU,     0xecefb749U,     0xff5899b8U,     0x46089623U, \
    0x5bbe081dU,     0x054a6727U,     0x56dac729U,     0xf2800b1aU, \
    0x8e43ad68U,     0xbf7cd6b0U,     0x7eeabbecU,     0x6847c0cdU, \
    0x6bc8cb1dU,     0x2125334eU,     0xe4f2f37bU,     0x75e1ce66U, \
    0x73f034e7U,     0x55e3d69bU,     0x44791de0U,     0x79600bceU, \
    0xa0027169U,     0xbe6c3fe5U,     0x85021356U,     0x8dcbe883U, \
    0xb5798d65U,     0x1b513d4cU,     0xa17a12bcU,     0x4dd609ffU, \
    0xd83b5eb6U,     0xb7e30a4fU,     0x578ded79U,     0xb58ba9d8U, \
    0xc29eb1d3U,     0x05be631fU,     0x08988a3dU,     0xeb9a0b88U, \
    0xb9b4e06cU,     0x97242b80U,     0x0c1310fcU,     0xf72bc16eU, \
    0x91db5958U,     0x629f0a53U,     0xa2996807U,     0x2e80d629U, \
    0x97244588U,     0xed51a29bU,     0xdf59ebc3U,     0x19a6a63cU, \
    0x42e56b0bU,     0x84d98b6cU,     0x45345ccbU,     0x8c39708bU, \
    0xe509bd4dU,     0x33ac863dU,     0xcd3b10abU,     0x5afebaedU, \
    0xa5900028U,     0x643728bcU,     0xfd279687U,     0x80a02f6aU, \
    0xd4068df2U,     0x8ad7da9bU,     0x71a132feU,     0x218155b4U, \
    0xfed3067bU,     0xe2d9e432U,     0x9e8191b6U,     0x44e1925cU, \
    0x901052bbU,     0xb56813d6U,     0xe0b59a09U,     0xf419289bU, \
    0xcee4e750U,     0x8e0b823cU,     0xd8661eb6U,     0x693377aeU, \
    0x76eaa318U,     0xd726bd4cU,     0x70ae6acdU,     0x49d10832U, \
    0xae5a35ccU,     0x3a998fbdU,     0xa26ce66eU,     0xc9600d42U, \
    0x160e7aa1U,     0xa3afb725U,     0x5d1799d4U,     0xf79439e4U, \
    0x03670289U,     0x3b4a978dU,     0xe16daa96U,     0xfb182666U, \
    0x67849c63U,     0xbf580000U,     0x979e90c7U,     0x2fe36b6cU, \
    0x19e892ddU,     0x06051853U,     0xf5913d42U,     0x143cc551U, \
    0xfadf1ebaU,     0xe5705123U,     0x38e28038U,     0x74f71c22U, \
    0x7681ad12U,     0x26c0d1a2U,     0xa8ce395fU,     0x7558da4eU, \
    0x309bb92fU,     0x2d437df9U,     0xf2e077f4U,     0xac3a6ccdU, \
    0x7bb20ec1U,     0xcb8c3673U,     0x7514b74fU,     0x07ef36cbU, \
    0x72633691U,     0xd111614eU,     0xc249e212U,     0xab89486aU, \
    0xfa27c517U,     0xfdf5c981U,     0x320b7ecaU,     0xe9ae415fU, \
    0x430012f6U,     0xcb50795cU,     0xa65a209cU,     0x76af7ab3U, \
    0xf89a952cU,     0xac6efd0fU,     0xaa33e079U,     0xdf1b602eU, \
    0x92999097U,     0xaa6ece4cU,     0x5928864dU,     0xa0d27ba2U, \
    0xb2d71155U,     0x956f7d5aU,     0x5fc0009aU,     0x18d586b4U, \
    0x0cdaea6cU,     0xeca8b96bU,     0x7ee7a569U,     0x181f2097U, \
    0x7a9582dbU,     0x6e7e51fdU,     0xfa0f4e95U,     0x0fd9e35bU, \
    0xf6fb219aU,     0x9efe0c9fU,     0xfcbc2f37U,     0x93fcf832U, \
    0xbda8c94bU,     0x2706b27dU,     0xc6762a32U,     0xed51edbcU, \
    0x3ae51ad8U,     0x969d326cU,     0x631929e7U,     0x906b4699U, \
    0x98a33198U,     0x2fcbd183U,     0x9a27c682U,     0x40765416U, \
    0xa4c88058U,     0xbb7ba65fU,     0x153ea990U,     0x8f4ca188U, \
    0x27151314U,     0xb6fb1145U,     0xe9fbb857U,     0xed7dd851U, \
    0x195ed065U,     0x5bf35c1eU,     0xe25b6809U,     0xad33a6edU, \
    0xc1330d3aU,     0x887c5d34U,     0x5a7e1634U,     0xcd23bb8fU, \
    0x07296bd2U,     0xb1112183U,     0x8f6abb66U,     0x4d6a1962U, \
    0xac2e91dcU,     0xdd1f8385U,     0x7da22119U,     0x5da7cf6fU, \
    0xe3bbfb1cU,     0xb221fc33U,     0xa6488e2fU,     0x35e9814bU, \
    0x476faba0U,     0x976a3de2U,     0x32996b7dU,     0x7e61a6faU, \
    0x79e5b90bU,     0xa2c28668U,     0xa90ba287U,     0x149319f5U, \
    0xf29dd8ccU,     0x64d1ea12U,     0x83301582U,     0xec189167U, \
    0x3c733474U,     0x13d0fb69U,     0xe1e9c362U,     0xeba30168U, \
    0xf6834428U,     0xe2b9a096U,     0xffbbf9e2U,     0x00c67987U, \
    0xf8e56696U,     0x3d62cfd1U,     0x63272d60U,     0x4da16d38U, \
    0xa095e5c1U,     0x5a3363e8U,     0x25cf521bU,     0x0b3836ddU, \
    0x76ed2ce3U,     0x080663b5U,     0xb66803e1U,     0x9ab69a52U, \
    0xb26816b5U,     0x3eaefb9aU,     0x0a0213e6U,     0x9a5357e1U, \
    0xffb41162U,     0xda6edc09U,     0x5df694a6U,     0xe61fa279U, \
    0x03f6147fU,     0x931ecb03U,     0x8a7a7c90U,     0x62b7bc13U, \
    0x0582b10cU,     0x25586e14U,     0x6a1b178fU,     0x2015d9eaU, \
    0x07f16f7cU,     0x66088e1eU,     0x9f0610e5U,     0xa0813281U, \
    0xb06787e4U,     0x2a5cd5b7U,     0xda6a6949U,     0x9f527ac3U, \
    0xa8712f98U,     0xca43a3d3U,     0x150560cdU,     0xc434a305U, \
    0x9c3ccd95U,     0x7eb2e921U,     0x21ee737aU,     0x4df8e6b9U, \
    0x24008207U,     0x729214e9U,     0xc0291c01U,     0xec0c5140U, \
    0x6b6593c7U,     0xb1c2e1dcU,     0xbd91f057U,     0x6a23a626U, \
    0x8e94df03U,     0x8e021871U,     0xfb60a01bU,     0xfc89a73eU, \
    0x08ceefb8U,     0xece9f1f0U,     0xca8866c4U,     0x6243e6ebU, \
    0x9db3ed71U,     0x420cd95bU,     0xf9994c8dU,     0x22a58598U, \
    0x3979c918U,     0xdb3148caU,     0x47e6a0e5U,     0xcec20ff4U, \
    0xc3d69c3cU,     0x1a0b0efcU,     0x2ceb9246U,     0xf779b1ebU, \
    0x05ee8c55U,     0x2d998c4cU,     0xda3ba10bU,     0x069322caU, \
    0x73cde24dU,     0xf158f1a3U,     0x090104d7U,     0xeaf51947U, \
    0xb3efeb94U,     0x666ac29cU,     0x55045230U,     0xa70acc1dU, \
    0xeae6ff0bU,     0x0099a900U,     0x70ae1edcU,     0xd6eab333U, \
    0xed4ba0d2U,     0x6c75959dU,     0x41869f21U,     0x47e545d0U, \
    0x9be3441fU,     0xab94c2caU,     0xf4674c80U,     0x5a4f5780U, \
    0xd8d3053aU,     0xbfc3aabfU,     0x9c50898eU,     0xcd229bacU, \
    0x2ad03d48U,     0x5ed0c833U,     0xe92fe210U,     0xf7a7c164U, \
    0x33c698aaU,     0x92567b11U,     0xc8408861U,     0x460ca7daU, \
    0xe354c2ffU,     0x3acb881eU,     0xdf89a16dU,     0x41494d30U, \
    0x7b02c610U,     0xe77c7669U,     0x257a92e2U,     0x3afc0bb3U, \
    0x886a6221U,     0xf9b5e2c4U,     0x8ac38175U,     0x326e93e6U, \
    0xd78e3cd3U,     0x580eb98cU,     0x829f2304U,     0x7b74fdcbU, \
    0xa3aa83abU,     0x3e206b6bU,     0x0aceac56U,     0x7adda9e0U, \
    0xd54c946bU,     0xa4501f24U,     0x17e5727aU,     0xe855c11fU, \
    0x307676edU,     0xecb2eb1cU,     0xeb99f242U,     0xe2d58ffaU, \
    0x60f3f994U,     0x9ec5a744U,     0x9bc9ddc2U,     0x04381bd2U, \
    0x2794006cU,     0xb626a730U,     0xd4c0d089U,     0xc099b861U, \
    0x9cbd1869U,     0x100efb93U,     0x52fed4acU,     0x1b8fdfaaU, \
    0x9e338da5U,     0x9980bec0U,     0xd9769363U,     0xbc960104U, \
    0x7a8568ecU,     0x6ea67c2fU,     0x005062afU,     0xb51b6655U, \
    0x8ad67a3aU,     0xb9429935U,     0x4798ceb2U,     0x218f3feaU, \
    0xc558e594U,     0x6c369f04U,     0x7550d3c5U,     0x71f0d922U, \
    0x75a98593U,     0xb7b915abU,     0xeb824753U,     0xa876396dU, \
    0x367375beU,     0x0a87432dU,     0xe6d7dfb7U,     0xf088981dU, \
    0xc96855c1U,     0xe42f2761U,     0x5190184eU,     0x833791bbU, \
    0x7c784485U,     0xb043f7b5U,     0xe279dd34U,     0x2b3d3979U, \
    0x9b4ca155U,     0x27357c9eU,     0xaf8c0cafU,     0xb4c69c7dU, \
    0x66a76b3aU,     0x396c4d04U,     0x13f322c5U,     0x65fee73eU, \
    0x8805cfddU,     0xd88016e1U,     0x1170a96aU,     0x50066104U, \
    0x1400c73dU,     0xeecf9fc8U,     0x3a86b216U,     0x0b17db1eU, \
    0x917169bcU,     0xe51a150bU,     0x737a801eU,     0xc7090424U, \
    0xa9e9efa9U,     0xa98b726aU,     0x985e8eceU,     0x197b6d1eU, \
    0xeca2a4fbU,     0x4867d324U,     0xdcd5a0c7U,     0xd92cc573U, \
    0x6c2eaca5U,     0x9b94e5b3U,     0x956a9010U,     0xb670660eU, \
    0xcedc420eU,     0x2fe133b4U,     0x0495d378U,     0xc992849eU, \
    0x6101d40cU,     0xb35f09d4U,     0x3604fb5eU,     0x427051b0U, \
    0x9e25faf1U,     0x5ee826ceU,     0xf5e8776cU,     0xd8450168U, \
    0xff975c31U,     0x3d94c022U,     0x6de14428U,     0xae5a9020U, \
    0xb8be845fU,     0x367be559U,     0x02f599daU,     0x412bbe87U, \
    0xec5e88a5U,     0x657ad1b1U,     0x659cfe1dU,     0x34594593U, \
    0x4dd65149U,     0x2cf1d0e5U,     0x91fb9e18U,     0x68709699U, \
    0xc067523cU,     0x9c5849e2U,     0xd1bb26edU,     0x76598ff5U, \
    0x64d0dba1U,     0x2966c963U,     0x3c348087U,     0x8e89e68dU, \
    0x9c538ffdU,     0x6fdacf34U,     0xe46872b7U,     0x68eae51eU, \
    0x44d50c0cU,     0x2d49f048U,     0x64ce3b8dU,     0x2ce90cb8U, \
    0x7d9a50fbU,     0x9c504a9aU,     0x8ec3310eU,     0xb92faf3cU, \
    0x38de0117U,     0xf8ce0cdcU,     0x2b0420bdU,     0xd9f89db6U, \
    0x2fdbfbdbU,     0x8e85c16cU,     0x6430d3c2U,     0x4cb36ca4U, \
    0x0fa5fa73U,     0xdd71a600U,     0x8b3ef96aU,     0x6a7f1787U, \
    0x7a83cdecU,     0xdd7060e2U,     0xf3f382a4U,     0x253b3effU, \
    0x7a9604a9U,     0x89bbc4a9U,     0xa57b2abeU,     0x2dfed66cU, \
    0x909416ecU,     0x940f8c0cU,     0x77d0fd68U,     0x98a9bcaaU, \
    0xb68e9d97U,     0xef4cc42fU,     0x063b71c9U,     0xba60cd09U, \
    0x602a81a3U,     0x4b333ac8U,     0x7a819347U,     0xc13b12c7U, \
    0xfb46df23U,     0x5c9d80b6U,     0x33999a59U,     0x08f9a3f0U, \
    0xbbcc8422U,     0xf707e2e5U,     0xa4a1f3b7U,     0xd4e3614bU, \
    0xd637345cU,     0xd5c54179U,     0xa4bc9b96U,     0x66a5e56dU, \
    0x2b06bbb9U,     0xbf0d0a12U,     0x2aa703eeU,     0x4ef707caU, \
    0x607898eaU,     0x1dceb25aU,     0x918567c8U,     0x426f354bU, \
    0x132580ddU,     0x8bab28dcU,     0x56ead000U,     0xa67218ddU, \
    0xcb3de2c7U,     0x7eb2cae4U,     0xea92fa5dU,     0x39e597e4U, \
    0x1833bc69U,     0x52da79f0U,     0x494ff2d6U,     0x4c123c3eU, \
    0x414fecebU,     0x8f737d58U,     0xb65d2c08U,     0xa41f740dU, \
    0x3a12bfe6U,     0x547b2cddU,     0xbe668b9eU,     0x332a6f5cU, \
    0xdc41c69eU,     0x6c94943fU,     0xbbfbd26cU,     0xa3b7ba75U, \
    0x96b6d536U,     0xb79201afU,     0x2d183fbbU,     0xe82ef222U, \
    0x66559270U,     0x5f0b29a9U,     0x14fb399eU,     0x4572bbaaU, \
    0x62771e47U,     0xebca3f0cU,     0x3def1731U,     0x42394c45U, \
    0x36bb50f2U,     0x6b5d384fU,     0x8c9e83c2U,     0x43de9f98U, \
    0xcd713746U,     0x5d89d598U,     0xc57e895fU,     0x91870097U, \
    0x8c398408U,     0x0b441ed0U,     0xc02f46f7U,     0x815b5f4eU, \
    0x1621400aU,     0x4efe1f3eU,     0x6743be71U,     0x1aee5bc6U, \
    0x462e0f84U,     0xa4120925U,     0xa0b3a3b1U,     0x1a73b511U, \
    0xed4910e8U,     0xcb047057U,     0xbc450c36U,     0xc4e4487cU, \
    0x3df428d2U,     0x2b30901fU,     0xcf066fafU,     0xde0ca615U, \
    0xee400920U,     0x7971809eU,     0x384f1823U,     0xacb870d3U, \
    0xfd646f8dU,     0xbdb2e4abU,     0xf30e1b32U,     0xed41b270U, \
    0xf49acf74U,     0x918fb59fU,     0xad3c6ceeU,     0x21d85dfaU, \
    0x0586c62bU,     0xac4eed73U,     0x2e7e9fd8U,     0x568dcf24U, \
    0x522e4280U,     0x336b328dU,     0xa3d32e81U,     0xf07fab38U, \
    0xa9a2320fU,     0xd5e455e5U,     0xa1837503U,     0x386453e3U, \
    0x8b82500cU,     0x744fa8f3U,     0xa8907414U,     0x3a698a34U, \
    0x159ba212U,     0x0b19f58cU,     0xe01ac341U,     0xc48cf2ddU, \
    0x7bf93c48U,     0xdf7dd0eaU,     0xe2fccb58U,     0x52c440c9U, \
    0x1fa1096eU,     0x42ee91fcU,     0x3219a7bcU,     0xdf3954b7U, \
    0x8c386854U,     0x344a4239U,     0x691c3be5U,     0x560ff819U, \
    0xe2fba2b4U,     0x5255515fU,     0x4d217855U,     0x2cc3c427U, \
    0x78e4df45U,     0x0d333994U,     0x0008adefU,     0x4057aff1U, \
    0x4ee02876U,     0x6caad5adU,     0x7641e846U,     0xd170f749U, \
    0xca223e3eU,     0x0bded4eaU,     0x46b2820cU,     0x656d62b9U, \
    0x0b2b6718U,     0xf03483bcU,     0x4af4333eU,     0x581080cfU, \
    0xe3aa3328U,     0xc6592048U,     0x7e599dbaU,     0x204dc5f8U, \
    0xc7f5c746U,     0xf89c0b75U,     0xd776cfc0U,     0x25b8503dU, \
    0x4ad043b9U,     0x9034f1f7U,     0xcb9bf4feU,     0x50da4a3cU, \
    0x814dc90eU,     0x64feffd7U,     0xf0b0f67dU,     0xca55d20eU, \
    0x4f8f8652U,     0x8d209799U,     0x7071861dU,     0xd997ddf3U, \
    0xe4132d69U,     0xe2621093U,     0x398c4c9aU,     0x1e709737U, \
    0xd16eaf17U,     0x6a6b31aaU,     0x2a0a0c63U,     0xc67bcf41U, \
    0xa00b2ab4U,     0x65f6b085U,     0x9babca12U,     0xc472c636U, \
    0x6edac532U,     0x896beb46U,     0xae0db760U,     0x61cde075U, \
    0x665e3d1eU,     0xca54d808U,     0x42008f94U,     0x7d022b00U, \
    0x6a99ba33U,     0xf6284e49U,     0xc6328d0eU,     0x4443e961U, \
    0xd8c2fc06U,     0x2f3cd4aeU,     0x2b81d8a0U,     0xc7ed03b1U, \
    0xbb408783U,     0x02cbade8U,     0xa869c713U,     0x05aea7b3U, \
    0xa34afb6aU,     0xdc24c8a2U,     0x6bea0ccdU,     0x480fcad2U, \
    0x3e3e404cU,     0x6b4a4410U,     0x547b6420U,     0xda5ac4cfU, \
    0x6e857451U,     0x1de1223dU,     0x208ec7dbU,     0xcbb14291U, \
    0xf479da11U,     0x8e0779ceU,     0xa357db08U,     0x861d825fU, \
    0xe866ae0cU,     0xc83249b2U,     0x858bb607U,     0x63911ae0U, \
    0x824e16bdU,     0xf6f705d1U,     0x776be2e3U,     0x1b040274U, \
    0x602e841bU,     0xa2c05cf0U,     0x80d49a30U,     0x9c0cbaf1U, \
    0x19557e58U,     0x8277e727U,     0xa37e4db9U,     0x7924d88cU, \
    0x49ab55aeU,     0x9d2c09d9U,     0x240e891fU,     0x04842093U, \
    0xba63d25bU,     0xf5b019e1U,     0x110a2883U,     0x2854ab0dU, \
    0x4361a328U,     0x6f46540cU,     0x8ce2a20cU,     0x254546b6U, \
    0x1d37a03eU,     0xdd0a40fcU,     0xbd718b33U,     0xb4d3bb15U, \
    0xc8528186U,     0xda7c8777U,     0xb1a23ea2U,     0x0984122eU, \
    0xca7181deU,     0xfad699ddU,     0x90b3b638U,     0x3eeb26e2U, \
    0xbdf8ceabU,     0x106569b9U,     0x10f4b3f7U,     0x18167879U, \
    0xc02ed538U,     0x8556b941U,     0x0afb2573U,     0x48e3fcfaU, \
    0x7e5d5330U,     0x60fb30b2U,     0xbfe8fe9fU,     0x8235ce2eU, \
    0xa6a1b451U,     0xf5d54a43U,     0x30aca7d0U,     0x29b75131U, \
    0x359e2f6cU,     0xf3a2ab39U,     0x0d8bf20aU,     0xea843ae1U, \
    0xd53cf926U,     0xad62980aU,     0x7a8ce3c9U,     0xd67bf419U, \
    0xda97f450U,     0x1083e3b0U,     0xd1715dfeU,     0x89157874U, \
    0xb8a92ca5U,     0x3c22352cU,     0x0b66a259U,     0x6d9a0076U, \
    0xd1ca0c66U,     0x62d9f2e2U,     0xef747c28U,     0x64338406U, \
    0xdabd411aU,     0xd25e2f86U,     0xc8e1925bU,     0xc6d84933U, \
    0x36b9b3feU,     0x3c4ee0e6U,     0x6c89922eU,     0x12b74f76U, \
    0x9e13e4acU,     0xdfc8866aU,     0xdc5924a1U,     0xbaa9429bU, \
    0x0c841708U,     0x1388a56aU,     0xb5f4b450U,     0xbbdeb88dU, \
    0xe4a26120U,     0x234ab234U,     0x843a0284U,     0x6e7ac5f3U, \
    0xdc980763U,     0xe8f1309cU,     0x211583d2U,     0xc02c84d8U, \
    0x6d1838a8U,     0x024cf374U,     0x81f800c2U,     0x5ef72dd6U, \
    0xf1579f75U,     0x7580a13aU,     0xc5c7c20cU,     0x4b7152bcU, \
    0x92ee8e10U,     0xe5a89841U,     0xf5f6d6b6U,     0x626514f1U, \
    0x5c7db531U,     0xeb277df4U,     0x64e56b89U,     0x0ce7bdbeU, \
    0x367127ffU,     0x987b3614U,     0x1def6efdU,     0x634dbb1eU, \
    0x4f384daeU,     0x0d0f711aU,     0xe63c717cU,     0xbbeda427U, \
    0x174b6e9aU,     0xdff8ee4bU,     0x67d8cb3bU,     0x8b4789dfU, \
    0xaf432897U,     0xf7722581U,     0xcc28a443U,     0xf925df09U, \
    0xccc289feU,     0x3f6a8389U,     0x726d9449U,     0xf79e084eU, \
    0x84f60565U,     0xd4742827U,     0x561dfb28U,     0xaed6625cU, \
    0x4e1fa540U,     0xdb33f968U,     0x6d3c7a25U,     0xe69081a4U, \
    0x53c6c535U,     0xc67d1077U,     0x94ad0cdaU,     0x3e7ef73eU, \
    0x58722f00U,     0x906834f6U,     0x21c6ddfaU,     0x6e0a3de1U, \
    0x62307b42U,     0xaad0aa70U,     0x6f66b21eU,     0x6062e2bbU, \
    0x2ddb08aeU,     0x030d49b8U,     0x37dd56afU,     0xd3882deaU, \
    0x55b3e145U,     0xe23a0131U,     0xb32740baU,     0x1246fed9U, \
    0xf922dae3U,     0x36d77dcaU,     0xfd0523f7U,     0x896a958aU, \
    0x19166e20U,     0x3ec49890U,     0xa3fb630fU,     0x560bb86cU, \
    0x2566f5bcU,     0xa9db5ebeU,     0xc853ea0dU,     0x6c31bb2dU, \
    0xe5b443aaU,     0x6ddae9fdU,     0x5efc1bc3U,     0xfd123a47U, \
    0xf53c2d5cU,     0xbe95def5U,     0x2360924fU,     0xf64ddf06U, \
    0xd1abd704U,     0x10ab2ed0U,     0x096de905U,     0x4d14029bU, \
    0xbb913dffU,     0x9bd625a5U,     0x17acc089U,     0xaaf12569U, \
    0xc9881f98U,     0x4b9e19cbU,     0x46ed67a9U,     0x45090021U, \
    0x05f8df98U,     0x7c404821U,     0x79c7ecafU,     0x045eba3cU, \
    0x4156206bU,     0xd71d5c00U,     0x04cac08cU,     0xd3f21ccaU, \
    0xda3a8575U,     0xaae141d2U,     0x68d4cfcfU,     0x53420efdU, \
    0xc72bca75U,     0xca7f284cU,     0xa7805d0aU,     0x5820626eU, \
    0x1dc5732fU,     0x58ec2872U,     0x4787e6ddU,     0x7e29ae61U, \
    0x3ad973b9U,     0xb029dc16U,     0x2d74d873U,     0x568ec2b0U, \
    0x5377a1f5U,     0x73871016U,     0xc88aaafaU,     0x3d76b051U, \
    0xa466c9ffU,     0x628ab54bU,     0xe57e6fdfU,     0x84d4f355U, \
    0xd7e6e695U,     0x771e8dccU,     0xea2ab3ffU,     0x13f5df10U, \
    0xfe7cabefU,     0xfb8d2031U,     0x3bfd81ebU,     0x3407b6f4U, \
    0x71a26dd3U,     0xb08b843cU,     0x3a4bbefdU,     0xb8aa0595U, \
    0x63da14bbU,     0x0be38606U,     0x0d1ba172U,     0x24398c7fU, \
    0x2a4f4f00U,     0x26f59982U,     0x58935629U,     0xc6075facU, \
    0xc365ad0fU,     0xeee7fbaeU,     0x067fd8beU,     0x1211bc80U, \
    0x87730b13U,     0x32b33f81U,     0x1a003db1U,     0x6e815b1aU, \
    0x5e5e4a14U,     0x3b2719e4U,     0x5bf3ce0dU,     0x147789b9U, \
    0x3ac3b143U,     0x7ceb23dcU,     0xf4b16a30U,     0xc812391cU, \
    0x4b40ec20U,     0xeb691af2U,     0x4d69e001U,     0x7e78d1c6U, \
    0x2ba0d1d5U,     0xa5e70792U,     0x81135883U,     0xac229b77U, \
    0x3a0cfb34U,     0x87289be9U,     0x721cbb11U,     0xeac2623aU, \
    0x867de59eU,     0x8c4122b3U,     0xdce127caU,     0x0b906abfU, \
    0x6c0988feU,     0x5b3c52f0U,     0x0b9474d9U,     0x28cd2510U, \
    0xd4327353U,     0x6be9edfbU,     0xc3d36359U,     0x7fa161d9U, \
    0x0e5c3786U,     0x3d5d1d5bU,     0x31d21eddU,     0x3596e4f2U, \
    0x55ea7136U,     0x06aa3702U,     0x7893a097U,     0x81097d61U, \
    0x69b15274U,     0xfb23d130U,     0x57901298U,     0x70362247U, \
    0xd5792c5cU,     0xe0a3cffcU,     0xbc05371fU,     0x64a7dd4eU, \
    0xf02c3b22U,     0x75421b39U,     0x598def2fU,     0xf6cca195U, \
    0x7e33bf28U,     0x174a3919U,     0xf3493021U,     0xfc6ec6c8U, \
    0x712d973bU,     0x174eed0fU,     0x0a9664f6U,     0x02e5fb23U, \
    0x60995957U,     0x658cd3e7U,     0xd6d1af65U,     0xb6c7187cU, \
    0x834bc666U,     0x85d915e7U,     0x5032bb83U,     0x6011d1eeU, \
    0x2f4a4c94U,     0xcd429fdbU,     0x88c24dc6U,     0xda29dd4eU, \
    0x9ca349c8U,     0xf9d0962aU,     0xd054e84dU,     0x601da012U, \
    0xc3c7c6f3U,     0x523bfb3dU,     0xedc12d7dU,     0x29e22c08U, \
    0x75a9624fU,     0x8f90b3b8U,     0x964e191aU,     0xadc2e9cbU, \
    0x28a1fdfaU,     0x66f7198eU,     0x04430b4cU,     0x59626dc6U, \
    0xa1de954bU,     0xee6c3b05U,     0x6dfc9d47U,     0x82aac61bU, \
    0x30749414U,     0x601d3f69U,     0x71f6f4cbU,     0xad43125fU, \
    0x370d8ef5U,     0x4c65d6daU,     0x3e93b052U,     0xf622234fU, \
    0x47d5b287U,     0x9fa7c76bU,     0xd5f4e7e9U,     0xedbc2ea4U, \
    0xfb330d3bU,     0x580e19bcU,     0x15cb4315U,     0x350a2e4eU, \
    0x82290ba5U,     0x03646c86U,     0x228f04bdU,     0xcc29bb11U, \
    0x45febb58U,     0x22158156U,     0x472297d6U,     0x73455d0eU, \
    0x78b474b7U,     0x3d530183U,     0xdc25d4ddU,     0xc4bedb8dU, \
    0x3ebed99eU,     0x5c421f07U,     0x232cbee4U,     0xee745ec7U, \
    0x020efdf3U,     0xc712f390U,     0x916ee373U,     0x34057090U, \
    0xe618bbd9U,     0xdca84763U,     0x47d40955U,     0xedddd0a7U, \
    0xf3600cf9U,     0x40c21875U,     0x6ea24d9dU,     0xc4970ed0U, \
    0xaed09ff1U,     0x1dcc6781U,     0xdaeadce9U,     0x5bca64f4U, \
    0x247f6379U,     0x2c350b82U,     0xc04f0ff0U,     0xcb7f17aeU, \
    0x2bd98bb8U,     0x0c06a7e6U,     0x5450d9a7U,     0x7f46d88dU, \
    0x539f941dU,     0x3e24d27aU,     0x6fc41ea1U,     0x9ba1bba7U, \
    0x0ab552c0U,     0x84fc4b2dU,     0x1a0e957cU,     0x1bf2ad03U, \
    0xa996fa64U,     0x133051eeU,     0x45222de6U,     0x838c3378U, \
    0x29b3fe12U,     0x559a2fa9U,     0x89dfa242U,     0xef417e18U, \
    0x80fa21ecU,     0xdc0397d9U,     0x82b2fb8cU,     0x3386a392U, \
    0xa8ce5b8eU,     0xfa64142cU,     0x4c7943aaU,     0x98a9fa82U, \
    0x9fbeb766U,     0xba4422abU,     0x791bc8f6U,     0xa4393d93U, \
    0x7f704da6U,     0x4803d9efU,     0x66cea484U,     0xb5304c8aU, \
    0x479ee879U,     0xdf700dbfU,     0x156350b2U,     0x64661904U, \
    0xfdf57d73U,     0x1c076120U,     0xb26b58ceU,     0x0acbfceaU, \
    0xa4265ca2U,     0xf974203eU,     0x27a2d0e5U,     0x10d65bbeU, \
    0xbd0c7511U,     0x72ded21aU,     0xa37bbd6dU,     0xddeec86fU, \
    0x455a9ba8U,     0x373bb4ccU,     0x38f0dd51U,     0x9e88ade3U, \
    0xd8361c27U,     0x8036c502U,     0x5e17a219U,     0x770bf45eU, \
    0xe3b9269fU,     0x9453dc85U,     0x01f77175U,     0x4fc63f21U, \
    0x75f970a4U,     0x6db18367U,     0x22f7ef83U,     0x381e1ccaU, \
    0x568cd1b9U,     0x6436a2cfU,     0xa48b771dU,     0xaad93e3bU, \
    0xbecfff20U,     0xf5a6ff51U,     0x0b4fd01bU,     0xa81afc71U, \
    0x9168fa33U,     0xf9e5ae7eU,     0x8674e316U,     0x72c4a820U, \
    0xb0c2e97aU,     0x8acb8423U,     0x3fa242e0U,     0x6aafe5fcU, \
    0x09fdd6a9U,     0x65139122U,     0xc5042e0fU,     0x66e748c6U, \
    0xc3d01945U,     0x3d2d1ec9U,     0xeb86f06dU,     0x587e655dU, \
    0x4ff149d3U,     0x641e5a30U,     0x1637a9c8U,     0x3a9b971cU, \
    0x1f0a9552U,     0xe6c33d88U,     0xa9a5cc7cU,     0x297a3286U, \
    0xfaab7269U,     0x37a8d06dU,     0xcccdb37dU,     0x52c31d4cU, \
    0x018eb6adU,     0x44304d33U,     0x142b8f0cU,     0x8beb26daU, \
    0x0941eb10U,     0x1f28b7f5U,     0x7370edd8U,     0x67888ba4U, \
    0xa5bce44cU,     0x94891419U,     0x41fbef90U,     0x3cc0e6eeU, \
    0xe7518327U,     0x70e46748U,     0xa22b168bU,     0x4be4c37cU, \
    0x8084e1daU,     0xdcc9f0dcU,     0x08cec03cU,     0xee5f6d93U, \
    0x73eec66dU,     0xf4398454U,     0xc21e9ab6U,     0x88b44ae2U, \
    0xdf51a4dcU,     0xdadf18b3U,     0xe9daff26U,     0x6737a0b6U, \
    0x08538bfeU,     0x28b81d20U,     0x2ef98ca8U,     0xbbaae19bU, \
    0x734c1193U,     0xf0a278d4U,     0xb2871f0bU,     0xf6c2507bU, \
    0x3587e16fU,     0xb157d086U,     0x58f94ecdU,     0xa1e0b19dU, \
    0xd893d711U,     0x76034243U,     0x9a944defU,     0x93922f13U, \
    0x87850ea5U,     0x2d5e13cfU,     0x535d72d5U,     0x47c4ab90U, \
    0x9ea8d97bU,     0xd5db8c08U,     0x759ee96cU,     0xc36955eeU, \
    0x65c2d472U,     0x247cbd6aU,     0x45fdabd7U,     0x7be55a82U, \
    0x5b5d5e2bU,     0x1d324e94U,     0x6a971ef9U,     0xacaea04fU, \
    0x756e09a4U,     0xcb769976U,     0xc4a1f48dU,     0x8be908a0U, \
    0x5e2f8bbcU,     0x0528ee08U,     0xeae3d622U,     0x466b0defU, \
    0x80416ce4U,     0xf30e3168U,     0x9650563aU,     0x97449036U, \
    0x677da207U,     0xdc66d8faU,     0x41aeaa81U,     0xce214c17U, \
    0x71d71828U,     0x0becbde2U,     0x96547a93U,     0x8290092bU, \
    0xb8f9ecffU,     0x25defb7fU,     0x1eadd34eU,     0x126a21daU, \
    0x7cc56469U,     0x4737995bU,     0x6fa7ccc9U,     0xa43eb80fU, \
    0x7fd55259U,     0x32305f89U,     0x4391c232U,     0x6197e939U, \
    0xb3e5b78bU,     0x8748af58U,     0xbd7affd1U,     0x1660582cU, \
    0x17cdc1fbU,     0x8667f23dU,     0x5bed836fU,     0x60090b86U, \
    0x70837f8dU,     0x9182ffccU,     0x64e3e1e8U,     0xd4a1dd87U, \
    0xcf9cce67U,     0xe9cad9baU,     0x96d53a80U,     0x1bb5cd56U, \
    0x0e19ddc8U,     0xff6a8c5aU,     0x1aaec593U,     0x81e905d3U, \
    0xc989e819U,     0xe8324aa9U,     0x6281c1ddU,     0x0a038a57U, \
    0xd2c4d956U,     0x4d40efdeU,     0xd0350d33U,     0xf8769620U, \
    0xeda9d328U,     0x81c740b4U,     0x235bca3dU,     0xc27606a0U, \
    0x4b39f03aU,     0xefc03dfdU,     0x72deffe2U,     0x088776beU, \
    0x29c96022U,     0xf9362405U,     0xf9ddf40dU,     0x5b5e7ccbU, \
    0xa390bae3U,     0xc7ba3975U,     0x7346cc38U,     0x8402a37aU, \
    0x8e5cc22dU,     0xb192aae8U,     0x828e2b4fU,     0x5c94fc13U, \
    0x48f52560U,     0x1108bcd1U,     0xd70fa384U,     0xe06f832dU, \
    0xe1b55e95U,     0xe9f6e38aU,     0x9773c90eU,     0x8f926ee1U, \
    0xccfc02faU,     0x5c2bbbdbU,     0xfd0f35e5U,     0x47152b7eU, \
    0x54192cd2U,     0x0b5254b3U,     0x0b353704U,     0x22050c6dU, \
    0x42b2fe5aU,     0xc863bd24U,     0xb5d02a27U,     0x1022877cU, \
    0x5153d526U,     0xd9db593aU,     0x06db5d12U,     0x6b0c5d3dU, \
    0xf37d334bU,     0xee49abb8U,     0x87f06d20U,     0x167ed1d7U, \
    0x91c3fb56U,     0x78e07e64U,     0x31416f56U,     0x3999a2bdU, \
    0x2ff10a3eU,     0xe2efb074U,     0x596e0e05U,     0x2820214bU, \
    0x21273d0bU,     0x8f31d5c0U,     0x486e0de6U,     0xd5f2aa2aU, \
    0x0e8cc803U,     0xf070734bU,     0xbcbf6764U,     0x5233dfb4U, \
    0x36257beeU,     0x4c75724eU,     0x641a2c56U,     0xb0c7313aU, \
    0xb2996dacU,     0x7343f6ccU,     0x5883ff6cU,     0x46c232adU, \
    0x353bfb22U,     0xa054ac24U,     0x9ac67a6aU,     0x59485443U, \
    0x042108daU,     0x82f256a8U,     0xd4cf7780U,     0xba633c00U, \
    0x4952fe72U,     0x64422f38U,     0x0717ee60U,     0xfba4378aU, \
    0x36a0f3aaU,     0xa956fedcU,     0x0f8bbfedU,     0xd748e914U, \
    0x9044a8d9U,     0xc03c6c3eU,     0x787ba8b2U,     0xdd1d409bU, \
    0x3846e72cU,     0x817754f9U,     0xf51889c5U,     0x12797358U, \
    0xd1c855eeU,     0x08c7513bU,     0xba778529U,     0xb3832118U, \
    0x585ca161U,     0x01701aaeU,     0xbdb70f5bU,     0xb72cdb8bU, \
    0x398f4570U,     0xd197cd24U,     0x2ac042ddU,     0x2cc8da4cU, \
    0x22439b84U,     0x01096d52U,     0xad54a3d6U,     0xe70d9030U, \
    0xd54da065U,     0x5d5186b7U,     0x3c170115U,     0x76bc7cb5U, \
    0x6adc3882U,     0x6bca0bb2U,     0xe8fc7ee0U,     0x6464a6fbU, \
    0xabe21de6U,     0x528707e9U,     0x054295c3U,     0x90b926dcU, \
    0xa2ec052cU,     0x64993449U,     0x8c0f6c91U,     0xf97ee49cU, \
    0x396f8282U,     0x2f9b1481U,     0xb4d6a21bU,     0x9adff94eU, \
    0xba6a4c09U,     0x78292bbeU,     0x366074d2U,     0x3e72b4eaU, \
    0xec16b8c4U,     0x5014fb48U,     0xb98c41fbU,     0x72d0ac5fU, \
    0x779b5f5eU,     0x18847e57U,     0x18cd43b4U,     0x94970c0eU, \
    0x68a9daa9U,     0xde50b317U,     0x45604c79U,     0xf8bc77aeU, \
    0xcad78467U,     0x6adb94bfU,     0x734398b1U,     0x9f6f0f29U, \
    0x043f1080U,     0xf3c0323dU,     0xde73e9a2U,     0x50bd06d2U, \
    0x8ca593b2U,     0x168da2cfU,     0xd298dcc9U,     0xbcf6f000U, \
    0x6460b178U,     0x0aa22047U,     0x593e62c2U,     0xb953622bU, \
    0x68365fdcU,     0xc2610e74U,     0x483a1737U,     0x72ab0dbcU, \
    0xe412554eU,     0x91600765U,     0x3bc02f36U,     0xf0a5787aU, \
    0x40cceb6aU,     0xc7a437d8U,     0x049f2a0aU,     0xb3e09c21U, \
    0x84b62f12U,     0x0e642ac6U,     0x6299f29fU,     0xd95b1da3U, \
    0x3a0d3055U,     0xaaf5c098U,     0x78af2484U,     0x2ecb324dU, \
    0xd3780cdaU,     0x8b148924U,     0x6e59245cU,     0xd8b7d25dU, \
    0xfaeca7e0U,     0x8fcb4226U,     0x783a0900U,     0x1615bd58U, \
    0x3ac5192aU,     0x1e7edc46U,     0xfa3e8375U,     0x383f9ee5U, \
    0x123ced67U,     0x31aedcadU,     0xae148588U,     0x62f0b471U, \
    0xfe21ead6U,     0x6cd3b22eU,     0x9ddb65cbU,     0x83f8bbd0U, \
    0xcd7ac14aU,     0x5784b1d0U,     0xf809d06fU,     0xbde013fdU, \
    0xd1dfb6a1U,     0xe462ad39U,     0xcf166c13U,     0x4c0db97bU, \
    0xabc51d50U,     0x44093ffdU,     0x479b3381U,     0x61c5e31cU, \
    0xda3b5d74U,     0xada2dd23U,     0x94ebd3caU,     0xfa608c75U, \
    0x35763bbcU,     0x18b99b46U,     0xfa4e74e7U,     0x92d44d9fU, \
    0xebc7d1ceU,     0x7203bf2cU,     0x2bc138edU,     0x2739a8a0U, \
    0x1da19503U,     0x2e5907ddU,     0x95104fcaU,     0x5d8d950dU, \
    0xa0d63f69U,     0x2688bc6cU,     0xca879406U,     0xe8fd0361U, \
    0xf67348f1U,     0x0809e25dU,     0x9692a0b6U,     0xa1ac6f3fU, \
    0xc5c5ae6bU,     0x53deb1ddU,     0x71061e34U,     0xb215b0dcU, \
    0x8ff145dcU,     0x95dfa5d9U,     0x035ebaa1U,     0x34500291U, \
    0x96be4394U,     0x82925bc7U,     0x96b19a2bU,     0xd9f7ed35U, \
    0xba16c432U,     0xa6c78262U,     0x58f62b5eU,     0xf3cfd70bU, \
    0xe9e06a46U,     0x602dc9c4U,     0x57407236U,     0xc8bc08bfU, \
    0x794bc565U,     0x035ccb07U,     0xdba69942U,     0x53902e27U, \
    0x148fea0fU,     0x8d72c2b3U,     0x80c7de39U,     0x30e9902dU, \
    0x0b2d0c5eU,     0x347c3784U,     0x7709584bU,     0xa04c04aeU, \
    0x07966dbbU,     0x34bf0437U,     0xe46654aeU,     0x85d5ec70U, \
    0xd2c32c37U,     0x6ca5bf47U,     0x97dfc64fU,     0x335b3d44U, \
    0xf0bbab0cU,     0xab58e61bU,     0xcab6d506U,     0xaa3e47a6U, \
    0xfb330b1cU,     0x5536ec20U,     0x351ca99bU,     0x074507b6U, \
    0x712de340U,     0x19b783b6U,     0x5c9e0f5eU,     0xa76f5537U, \
    0xce0a6547U,     0x8ce93c5bU,     0x3ad19873U,     0x880c0e1eU, \
    0xeed308c9U,     0x129e0ef6U,     0x2d6b31f8U,     0x9bd2cc12U, \
    0xc564dd61U,     0xee49623cU,     0xefecfc8aU,     0x242c2f60U, \
    0xa9dcfdccU,     0x6fcfc452U,     0x29a7aadcU,     0xae8f1fd4U, \
    0xb44154ddU,     0xf2754c24U,     0x62672719U,     0xc132f757U, \
    0x062b751dU,     0x96dcb7caU,     0x13617675U,     0x0bcae1f9U, \
    0xaa868bf1U,     0x74353bebU,     0x37e2ab6bU,     0x9a0472e8U, \
    0x202d9066U,     0x81c050b0U,     0xc05787c8U,     0xa25a9e3fU, \
    0x686504eaU,     0x19866c33U,     0x0519ec83U,     0x2b65acccU, \
    0x66bb6152U,     0xa9e4b042U,     0x5c546447U,     0x2faf1395U, \
    0x4bf32695U,     0x15d9031dU,     0x0a20fcb0U,     0x6aaa2517U, \
    0xf47ccd55U,     0xccdc5027U,     0xe859402cU,     0x9e0f5a38U, \
    0x1ce47c96U,     0xb586169aU,     0x18a4d2bfU,     0xd50eb43dU, \
    0x53ba3eceU,     0x4d335789U,     0x5ad77a8bU,     0x6ae2b42fU, \
    0x63a4debcU,     0x74ed0495U,     0x2eebb15dU,     0x46601b0dU, \
    0xcc91929bU,     0x43601d8fU,     0x5865de0dU,     0x732b33e5U, \
    0x1e56fd68U,     0x1e4d3594U,     0xd1820238U,     0x8b391318U, \
    0xe1909796U,     0xa2b1b5b1U,     0x1f020b56U,     0x166f68a2U, \
    0x17f35305U,     0xa349ec7cU,     0xf6081203U,     0xba5f1fa7U, \
    0x9f32f7feU,     0x408fe857U,     0x33e9dc58U,     0x3c527411U, \
    0x95190984U,     0x7295f018U,     0xcfb8ac27U,     0xcfa71ea8U, \
    0xf4f47c6bU,     0x62f0fc2fU,     0x5d9b6003U,     0xfafd8c70U, \
    0xd316e9e1U,     0xd0c70dfbU,     0x48403054U,     0x6a94d008U, \
    0x41187b12U,     0x54b459e9U,     0x53435abaU,     0x967fdbe6U, \
    0xa4f3db40U,     0x593d0db2U,     0xa1c741d8U,     0x7fb8efcfU, \
    0x4ace29ffU,     0x9759ededU,     0x8230fa38U,     0x901c50a0U, \
    0x3f7435daU,     0x87ce58a4U,     0xa20f38fbU,     0xa1d94570U, \
    0x230876f6U,     0x6d582c2fU,     0x6fd88548U,     0x32ffd666U, \
    0x82421455U,     0xa35a3a27U,     0x16e4f0d1U,     0xcab0c293U, \
    0x0fbd15a2U,     0x9b9dce96U,     0x6507c724U,     0x5c2857b7U, \
    0xd4896848U,     0xc56c89afU,     0x9afd2af2U,     0x9a1cea22U, \
    0x585b5531U,     0x4b703e18U,     0x13a956baU,     0xf3cb17bdU, \
    0xcf2d5aedU,     0x8d6ea0ddU,     0xd8b5b513U,     0x73b2768cU, \
    0xa3f56523U,     0xe7af3995U,     0x352d909fU,     0x58fcd96aU, \
    0x2fb97dffU,     0x9c0dea39U,     0x4083ae78U,     0xde3c6024U, \
    0x74b246a4U,     0x1fcf49c5U,     0xffac78a8U,     0xee61e2d6U, \
    0x67cdbf67U,     0x857ba0eeU,     0xbe684338U,     0x1fde7b76U, \
    0x0a55a0afU,     0x1e837c74U,     0xcd286cf0U,     0xd093d842U, \
    0x47e9f23bU,     0x774f6febU,     0x067ec275U,     0x721d98c0U, \
    0x5fe5dff7U,     0x3bf6a505U,     0x6036cb03U,     0x5344f16fU, \
    0xa39b56daU,     0x249100c1U,     0x1ef1d737U,     0x93d4643bU, \
    0xfef497fbU,     0x8167c721U,     0xf2c7326bU,     0x433c6924U, \
    0x258eeeb6U,     0x30b7445bU,     0xdc1f058aU,     0x3cb4ef8bU, \
    0xd8b933f9U,     0x8029c553U,     0x6a2761abU,     0xef863a02U, \
    0xdcaaca22U,     0x16d13dd0U,     0xce290b68U,     0x7d5304a1U, \
    0x38d1558eU,     0x2343e007U,     0x6595ee13U,     0x17fe1958U, \
    0x2c10c76cU,     0x27f9a527U,     0x4e4370cdU,     0xfabb87d9U, \
    0x995b9023U,     0x1e60db57U,     0xb2db79cfU,     0x0796d28cU, \
    0x5a46b6daU,     0x72a79d73U,     0xb4b44e25U,     0x83307edaU, \
    0x97c33256U,     0xad4b660aU,     0x68ffd18dU,     0x4a684075U, \
    0xd2b39613U,     0xa947ffbfU,     0xd4d54587U,     0x0e295896U, \
    0xfecc2355U,     0xda14d3f0U,     0x8c7c23cfU,     0x64fc812bU, \
    0x00c81850U,     0x0fa0b773U,     0x023a85a1U,     0xc4f1327fU, \
    0x9c2aa487U,     0x58bdbe7eU,     0x80f52da6U,     0x500169b3U, \
    0xd1415833U,     0x77911d99U,     0x3de3334fU,     0x69498f02U, \
    0xabc6c21cU,     0x70faab71U,     0x55d8e12eU,     0x9c0202cdU, \
    0x7150701eU,     0xfdc7969aU,     0x66db5474U,     0x89be3c7cU, \
    0xa5d4657eU,     0x3ba6d45dU,     0xa27ee8d8U,     0x1931f708U, \
    0x0d38fcb7U,     0x30e21cf0U,     0xd981140bU,     0x57c30a13U, \
    0x64a2dee5U,     0xfa0e5b5aU,     0x6a9d3900U,     0xc54dedd5U, \
    0x0f57d379U,     0xe7246660U,     0x4ee3a219U,     0x1c29342aU, \
    0xaa0a4fbcU,     0x7799680fU,     0xdecf66e4U,     0x92484aefU, \
    0xe6e7f274U,     0x04630fc8U,     0x1dd1a993U,     0x66929d7eU, \
    0x3edc434bU,     0x808eb642U,     0x4efa6b82U,     0x013d62ddU, \
    0x2db51b23U,     0xf465ddcaU,     0xc35f504dU,     0x1531fddaU, \
    0xc2f11ccfU,     0xa53ae0a2U,     0x22a27eb6U,     0xae190bf1U, \
    0xae6c2a5dU,     0x3e996c8aU,     0xb8fb27e4U,     0x89aabc7bU, \
    0x83ab40d7U,     0xb3f6a051U,     0xff9cb722U,     0x15df8fc1U, \
    0x31d338cdU,     0xc95e41f6U,     0x2dc6ed47U,     0xab83016bU, \
    0x60994643U,     0x443b1b16U,     0x14904d48U,     0xf3bb58f1U, \
    0xf554ec41U,     0x0cc761daU,     0x5ac3fe55U,     0x3d65b606U, \
    0xbab9fb97U,     0x09d71146U,     0x3f4bd075U,     0x4fdc592bU, \
    0x5fc7c088U,     0xae0bbb44U,     0x1ee8cee0U,     0x02ee3a3aU, \
    0xf5706ef1U,     0x1cdc2bb0U,     0xdf22ff56U,     0xb870bc7fU, \
    0x2b25f2f6U,     0xef7f0eebU,     0xba7b4d7bU,     0x7b8fa3fdU, \
    0x3d9fbdf9U,     0xc0fef63bU,     0xc25b51a8U,     0xb5ec3d6aU, \
    0xe2225293U,     0x98fd63fbU,     0x074a36daU,     0xeb7af08dU, \
    0x25dfab18U,     0xe10a0d54U,     0xdfb3b4ddU,     0x296a2a71U, \
    0x8c31e9b6U,     0x1d75d4e8U,     0x7669a8e1U,     0x36998cb9U, \
    0x035e4a88U,     0x297d5791U,     0x5d6286e5U,     0x3cdf272dU, \
    0xf39c8340U,     0xc633f4cdU,     0xe7fac9dcU,     0x1281e68eU, \
    0x9f1e57e2U,     0x7091696fU,     0x62a98b76U,     0x148b29baU, \
    0xe715ed4aU,     0xe05c8ba2U,     0x0c7ca1dbU,     0xd3c45f9aU, \
    0x049e1ffaU,     0xd64536f6U,     0x6b8219deU,     0x98afa079U, \
    0x9a316531U,     0x774aa51fU,     0x59122f59U,     0x724ba3feU, \
    0xfc0a3cb2U,     0x8c0eae6eU,     0xeb6dca87U,     0x2eee0420U, \
    0x0484dba4U,     0xe4857f31U,     0x81b1a296U,     0x1196a1e8U, \
    0x6f8e8baaU,     0x5393130bU,     0xa9672ef8U,     0xd409dd3cU, \
    0xd57ce3d3U,     0xd85acca2U,     0x709c9c15U,     0x2e5e4507U, \
    0x7185043aU,     0xfbff569eU,     0xc03b37bcU,     0x4b6c276cU, \
    0x352f8363U,     0x15f6ef27U,     0x03945d3dU,     0x96c6a9a4U, \
    0x117d1e41U,     0xe3a47c7bU,     0x45dbc9cfU,     0xf5a38bfaU, \
    0xbbb65d03U,     0x709a7b03U,     0xfd834f3dU,     0x8aad4571U, \
    0xee03fa3bU,     0x317df8e9U,     0xadb3684bU,     0x7a48adf8U, \
    0x35864d4dU,     0x8d31d763U,     0xdd2febaeU,     0xb61113ffU, \
    0x1cc114afU,     0x1b214f30U,     0x86104146U,     0x9b3a2d54U, \
    0xa00b34ceU,     0x75b7eebdU,     0x6742e4d4U,     0x5108bf48U, \
    0xab4c83b9U,     0xb9ff2418U,     0xcf621d69U,     0xd46f0282U, \
    0x4f207f81U,     0xd9127df4U,     0xbdab121bU,     0x4f38b75bU, \
    0xc703415eU,     0x3a1bbc9dU,     0x02855feeU,     0x9b4229dcU, \
    0xfb121f0dU,     0x52793db5U,     0x5fd6b68eU,     0x8f483fe7U, \
    0xcead8a73U,     0x598e22b9U,     0x1fc9b4abU,     0x9332ead3U, \
    0xf18176b7U,     0xac6cefdeU,     0x91530e7dU,     0x542ae37fU, \
    0xf387a4c6U,     0x5f4f4cccU,     0x3d3cb291U,     0xca07e4f9U, \
    0x7febfacbU,     0xb70f90d9U,     0xd0733be5U,     0xaf7deafeU, \
    0x3f3fbdcfU,     0x7fb65e40U,     0x4f2a3714U,     0xc96dce3dU, \
    0xea4ca510U,     0xb7e9adbbU,     0xd4a59ab6U,     0xfb93fa73U, \
    0xf0d802a7U,     0x2765b25aU,     0x70869f71U,     0xab78f71dU, \
    0x2f0c3f48U,     0xbdafcfb8U,     0x53921786U,     0x0381ba8aU, \
    0x565ff40cU,     0x96b3ceaaU,     0x3b222be4U,     0xfd093617U, \
    0x9cf79749U,     0xb3f138e9U,     0xa593a637U,     0x8c47d81fU, \
    0x4c55e639U,     0xa81d2f17U,     0xc68c2744U,     0x810ccfbbU, \
    0x6f33ce3cU,     0x1d048ec8U,     0x91653416U,     0x3c6a1fdeU, \
    0x225df066U,     0xccb9f4d1U,     0xa9523cbeU,     0x5e049bdaU, \
    0x6f4b52a7U,     0xfe19a376U,     0x05f7266aU,     0x9b111220U, \
    0x3278b5d8U,     0x98d79d82U,     0x880c49efU,     0xbb138aecU, \
    0xd55d0687U,     0x7ec73c82U,     0x7cc9208aU,     0xa102287aU, \
    0xedf28098U,     0xe71765b7U,     0x17d82d73U,     0xe2f0486cU, \
    0xdd3192e7U,     0x13829e2dU,     0xb9f4e8e5U,     0x9b4a7808U, \
    0x6fadcaafU,     0x1618b87eU,     0xe045e32cU,     0xdc076376U, \
    0x05a10787U,     0x066e0268U,     0x4eafce13U,     0xd36bea42U, \
    0x1e3979cdU,     0x1435fb87U,     0x30962b59U,     0x991a55a4U, \
    0x45fc7695U,     0x4dc2ebd8U,     0x6566c708U,     0xdfa3eca4U, \
    0xe6079dceU,     0x9e7f405fU,     0xa4dd1df8U,     0x0616c3f3U, \
    0x41962930U,     0xe92b9118U,     0x4b0e4fb8U,     0x7e7491f3U, \
    0xb8873b98U,     0xbd0ab45dU,     0xc89a96ffU,     0x7959aa8bU, \
    0x4821658bU,     0xdcdb8c28U,     0x5ada8326U,     0x331534fdU, \
    0xa3902cbdU,     0x4fcc8e61U,     0xadd73992U,     0xe26a4f2dU, \
    0x16e62cfbU,     0x834172f3U,     0x747943fcU,     0xd2a56522U, \
    0xb7a62f2eU,     0x9a0047b6U,     0x92b34888U,     0x80124a46U, \
    0xbed7cc1dU,     0x952c004cU,     0x43d8c3a5U,     0x4e6bb1eaU, \
    0x617b5094U,     0x0154dd59U,     0x29d53cbcU,     0x11de7870U, \
    0xc8223953U,     0x38836b22U,     0xc4e6cc04U,     0xf9eec939U, \
    0x6543b94cU,     0xf1910ef8U,     0x3a26f1cfU,     0x2aec2263U, \
    0x379b71c9U,     0x634cbdefU,     0x8975a96fU,     0xee51d4dbU, \
    0x471b467aU,     0x3616ea49U,     0x1975c365U,     0x1ce2aa0cU, \
    0xdb2a84c2U,     0x64b67297U,     0x2ccf1865U,     0xcecef2feU, \
    0x580afb9cU,     0x7fd4d5dfU,     0x7eb498eeU,     0x2e466945U, \
    0xe0cf85f4U,     0xbef372e0U,     0xd2a5e596U,     0xf1437eb9U, \
    0x7a4a6bb2U,     0xf6f25fc9U,     0x56a9fa12U,     0xbbc4daebU, \
    0xc69bfc71U,     0x9dec89eaU,     0xabf12720U,     0xd87acd5bU, \
    0x8f725cc3U,     0xf79fa3c3U,     0x1917bb12U,     0xdb8498dbU, \
    0x3646d2e3U,     0xb89bda5eU,     0x88494cafU,     0xcec5b218U, \
    0xd18d5b58U,     0x55e1fcb3U,     0x5eb16491U,     0x5d2cd630U, \
    0x819188ceU,     0x4f378e90U,     0x67d16adfU,     0xf4871f85U, \
    0x30a1cca8U,     0x76813f31U,     0xe474eb7cU,     0x67a699a5U, \
    0x4aebe891U,     0xcfbfc1caU,     0x037c2dd1U,     0x0f6200c0U, \
    0x45114286U,     0xf59ce4f1U,     0x5295ba58U,     0xd11b4bd4U, \
    0xf5612699U,     0x0edcb75bU,     0xd40d766eU,     0xa926cd9aU, \
    0xb8a7db35U,     0x82d9475aU,     0xa2bd547fU,     0xc73fcb57U, \
    0x1d16d0a5U,     0xb4965c35U,     0xb2a2993dU,     0x30f42d0cU, \
    0x8f200b65U,     0xd008c1beU,     0x7f60d76bU,     0xbb5b5e1fU, \
    0x514454d3U,     0x52caa6d2U,     0x2bccdf52U,     0x18a84dd3U, \
    0xc5929d55U,     0xba276de3U,     0xa9f5189eU,     0x1cd2f1d9U, \
    0x9d75bd25U,     0xfab64db4U,     0xb20c3bdbU,     0x65a8ea78U, \
    0x0a85c181U,     0xceaee523U,     0xcebbe724U,     0x115e7ad2U, \
    0x23519bf4U,     0x9070fe29U,     0xbcdf41e6U,     0x3bddfb54U, \
    0xc0a8cce5U,     0x6290c754U,     0xedae1c2eU,     0xb09391edU, \
    0xcd84f34fU,     0x7cf05a04U,     0x032dae81U,     0x8cba377eU, \
    0x50ec52ecU,     0xb873926eU,     0xda8b98f0U,     0xcb3c4352U, \
    0x3c72f48eU,     0xfed741fdU,     0xd0a095beU,     0x3301ce83U, \
    0x72a35ab2U,     0xe8a46100U,     0xfe0ff6c0U,     0x3da3a204U, \
    0x61f2812aU,     0xf69cdf0bU,     0x96201d8bU,     0xcb6f5d32U, \
    0x8ee29f05U,     0xd5a3c2daU,     0x1b414c3cU,     0xfb378320U, \
    0x9bf30224U,     0xb6d1d71eU,     0xe7369c24U,     0x150158bcU, \
    0xc07db1c9U,     0xfd4a848dU,     0x71b88daaU,     0xf527d7bdU, \
    0x497bfc55U,     0x979d1f1eU,     0x5d8114caU,     0x821ea045U, \
    0x0bd70ad8U,     0xd51e0589U,     0xaa4f221eU,     0x2de0e036U, \
    0xd26a1115U,     0x481f4716U,     0x625b6fcfU,     0x8c99d78fU, \
    0x499de9d6U,     0x39b14130U,     0x35ef9765U,     0x719286caU, \
    0xfaed0682U,     0x5ef7e791U,     0xe49d66eeU,     0x2759f06aU, \
    0xe41da465U,     0x367f26d4U,     0x317c4c8aU,     0x8d3f0147U, \
    0x74cc909aU,     0x3a5f1a99U,     0x711d236cU,     0xcf2e93a8U, \
    0xea65c91fU,     0xe7f5bcabU,     0xf6ab63c6U,     0x09881387U, \
    0xe10ae0e8U,     0xe7b952f6U,     0x4f58c8d4U,     0x59423478U, \
    0x45967fb5U,     0x837d5fd2U,     0xb4d4491fU,     0x5b140f38U, \
    0x0b0ad035U,     0xf0eb62edU,     0x2ca944dfU,     0x18071f3fU, \
    0x643f33bbU,     0xf57d0554U,     0xb1a3dbe6U,     0xff3dd2d2U, \
    0xa5aecc80U,     0x5df792f5U,     0xb620dd95U,     0x29e39e68U, \
    0x291b2f5aU,     0x5d26c6dcU,     0xebb0d533U,     0x3d0b248cU, \
    0x9bc7d74fU,     0x77089bf8U,     0x743709f5U,     0x219dbb9bU, \
    0xc00977f7U,     0xbc835da3U,     0x4c5195f7U,     0xc145d61eU, \
    0xbfa61845U,     0xeaf43479U,     0x09e5510fU,     0xc8abd575U, \
    0x5dc39d89U,     0x1081655dU,     0x885c5375U,     0x9faaa6a0U, \
    0x810063b4U,     0x9fd651a4U,     0x60d174d8U,     0xc1b957f9U, \
    0xa6a9a9fbU,     0x05474219U,     0x97cae30aU,     0x57092240U, \
    0xaffce900U,     0xa53a80c5U,     0x89971ac8U,     0xdd8e22c1U, \
    0x285fd689U,     0x29a0ac02U,     0x79cb54e6U,     0x7fd3d4c4U, \
    0xf0550a5fU,     0xdbaf122fU,     0xfe9d1851U,     0x8b053becU, \
    0x16ec92aeU,     0xdffe0462U,     0xa53427cbU,     0xbc82432dU, \
    0x176ec046U,     0xb7159aebU,     0xce9b7ca1U,     0x13f2b2aaU, \
    0x00964132U,     0x643b9348U,     0x24e27a00U,     0x0e8e2e40U, \
    0x91857494U,     0x83220e78U,     0x9662cac4U,     0xe60812d9U, \
    0xeb937d0dU,     0xa5f6eba5U,     0x805cec24U,     0xb42a244aU, \
    0xe6dcfeeeU,     0x07381600U,     0x363297b5U,     0x90c8e663U, \
    0xdfda7042U,     0xc3872b19U,     0x9290c2f0U,     0xfb49fc62U, \
    0xbdd5d57dU,     0x063d048aU,     0x0fa62529U,     0x932fbb28U, \
    0xf161609dU,     0xe8098706U,     0xad68f380U,     0x8cda4e96U, \
    0x26d172b2U,     0x25c24952U,     0x5f51bca6U,     0xba85cdeeU, \
    0xf1940697U,     0x66b3f2e6U,     0xd20d2d2aU,     0xbeb6cf4fU, \
    0xb5274e32U,     0x1a7ca234U,     0x6438d55fU,     0xd2096bfbU, \
    0x1826bc79U,     0xb456e49aU,     0x41fb1ef1U,     0x41c3f385U, \
    0x93d2ae0eU,     0x198a4e4dU,     0x446e3cccU,     0xa5932858U, \
    0x0a074040U,     0x32b9ea49U,     0x53b9cc55U,     0x326a7937U, \
    0xad8b9754U,     0x54757bdeU,     0xab4f63f3U,     0xf337f7d1U, \
    0xe218bc44U,     0xdd4b6918U,     0x8fd7f1fcU,     0x2a36188fU, \
    0xe1421296U,     0x05c16e44U,     0x8618f115U,     0xda9ea3e3U, \
    0x2dcfa027U,     0xb5c0b731U,     0x2a3671dfU,     0x27975da0U, \
    0x010bc5a6U,     0x30b50904U,     0xce6a44f1U,     0x79ab4ff5U, \
    0x08c1d5f9U,     0xc8c77927U,     0xaad11123U,     0xe3c994bfU, \
    0xcfc64ba5U,     0x1e44bf08U,     0xa05e8cfaU,     0x3de743a3U, \
    0xa9559adfU,     0x9d0d01c3U,     0x482ee93bU,     0x043f7560U, \
    0xc64d245fU,     0x70c1df03U,     0xd7d9ec1fU,     0x768a3692U, \
    0x76345fb5U,     0xc2966266U,     0x702d7491U,     0x49f352aeU, \
    0x5180b78fU,     0x2abaed91U,     0x0c192503U,     0x0668c77fU, \
    0x733cafdcU,     0x2ab22649U,     0xd214a5f2U,     0x46725086U, \
    0xde75df4fU,     0xf0282a5cU,     0x60cebab6U,     0xbd9fbad4U, \
    0x2340238bU,     0xe2341fccU,     0x961afa63U,     0x0caf56a8U, \
    0x6afdcae9U,     0xc06e7aa0U,     0x4c2c4ffeU,     0x124d84b9U, \
    0x8fe653f6U,     0x586d8460U,     0x0650dc3fU,     0xe5e33363U, \
    0x18ea2d51U,     0xfb0193bcU,     0x14fe1f8dU,     0xfe316feaU, \
    0x82fa6262U,     0xa1d93289U,     0x633679faU,     0xc1656b15U, \
    0x53b6d57bU,     0xecb97565U,     0x3da0b63fU,     0x2b29e206U, \
    0xfb9d38b8U,     0xde4b92b0U,     0xff107163U,     0xf589b981U, \
    0x30204900U,     0x378786efU,     0x49100eccU,     0xc61edb18U, \
    0x9741f6cdU,     0xd39041eeU,     0xcc4a5266U,     0x4878d463U, \
    0xd2d29f0cU,     0x58ec8c1bU,     0xe5461f15U,     0x495eb2fdU, \
    0xb896144cU,     0x6a00a6bcU,     0x67a4f803U,     0x0440979fU, \
    0x254ecb74U,     0xb74d56d0U,     0xd71a95e1U,     0x78632b4aU, \
    0x9d46874bU,     0xd665f1efU,     0x63bc065bU,     0x6f7b7fb2U, \
    0x3a7b2c2bU,     0xdecf79f7U,     0x5b03b573U,     0x4682ea80U, \
    0x3a4d8a5eU,     0x76167d34U,     0x4e629dc2U,     0x33fdb2c0U, \
    0xe4f07d90U,     0xa5103135U,     0xc258f6f1U,     0xb11f36fdU, \
    0x9fb4b2a7U,     0xa556a5f6U,     0x504bf661U,     0xb9493d56U, \
    0xff2104fbU,     0xa941f6fbU,     0x93046a47U,     0x6cc626c6U, \
    0x2457f62aU,     0x9439ed3bU,     0x66f02612U,     0x959c71a7U, \
    0x1b0b5ab5U,     0x9a80fc55U,     0x977fd078U,     0x4276b76eU, \
    0xcdf499beU,     0x0b400acbU,     0x49528c86U,     0x52729a72U, \
    0xda07046fU,     0x219fef20U,     0xfcbdbef2U,     0x7ce5ac2eU, \
    0x0b6043dcU,     0x983c8c91U,     0x48e88858U,     0x59125aadU, \
    0xee5f2f66U,     0x52692380U,     0x5b0222aeU,     0xf2257063U, \
    0xc68407f3U,     0xc766785eU,     0xa957ffcdU,     0xdd68ca0bU, \
    0x681e7e2eU,     0x1c96c563U,     0x4e66c374U,     0xccba2b1dU, \
    0x0a4c4647U,     0x01492f00U,     0x34bd5047U,     0xeaa65e30U, \
    0xbdff2a79U,     0xf9de66bfU,     0xc3ff1efdU,     0x6f4c68beU, \
    0xe4777cc8U,     0x98f8f656U,     0x9d087069U,     0xa52e9455U, \
    0x1b7a16f4U,     0x358052fdU,     0x4339af48U,     0xddbd2548U, \
    0x21ad8518U,     0x424d38a7U,     0x1badc3baU,     0xae29f94bU, \
    0x2ffedf15U,     0xe2a4fa2cU,     0x4884771cU,     0x8afbae93U, \
    0x01305f1eU,     0xff57371fU,     0x62e6cdefU,     0xd0f89792U, \
    0x152f1f64U,     0x41e2c8c1U,     0x1bf36404U,     0xc35bf074U, \
    0xb6b114d2U,     0xd148950eU,     0x2d435fd3U,     0xb803e3e4U, \
    0xdf434e86U,     0x478da4f5U,     0xb0e88795U,     0xa9e329eaU, \
    0xa54ce5e0U,     0xb066e3efU,     0xceb37c9bU,     0x1ab40538U, \
    0x7416445eU,     0x8f9f9235U,     0x0ef13e1eU,     0x76241855U, \
    0xa80038deU,     0xac96a889U,     0xc0fc3bf5U,     0xb398b2d3U, \
    0x02e36af0U,     0x7d568a89U,     0xce1bcd31U,     0xf9c229cbU, \
    0x882f647fU,     0x622beea2U,     0xe68b7ed6U,     0xef60c0c5U, \
    0x71c94542U,     0xd59c11aeU,     0x8b4ca358U,     0xbf760279U, \
    0xc313ea01U,     0xd77ec21dU,     0x4e75e62aU,     0x91666e9dU, \
    0xaec2fa25U,     0xc39f1868U,     0x2b261c04U,     0xffae1e64U, \
    0xc4c6e24fU,     0x0e9c10c1U,     0x4ae81e50U,     0x6272fd27U, \
    0xf3e63c98U,     0xb18a3a3dU,     0xfefe695aU,     0x92934912U, \
    0xa8bd27bcU,     0x8f4b5a4fU,     0x1c1eaa47U,     0x6725a327U, \
    0x201af843U,     0x9acd48e5U,     0x8a6e34b0U,     0xb742c835U, \
    0x596df7a1U,     0x29ee1c63U,     0xe717a598U,     0xe8734443U, \
    0x7c87f5ccU,     0x38cc25c1U,     0x42c1143aU,     0x366f0eb5U, \
    0x0809ec9cU,     0x148f2452U,     0x818155dcU,     0x9ae7fffbU, \
    0x17688dd0U,     0x2d77e20aU,     0xa7c4b9d5U,     0x8e15e27cU, \
    0xef93c031U,     0xf6bc3c5dU,     0x277c9afcU,     0x14ba32feU, \
    0xdd0b34e4U,     0x64283588U,     0xb575d3b4U,     0xd510523dU, \
    0x598808fbU,     0xd1a2cd65U,     0x974fb52fU,     0xe3b2d50dU, \
    0x74b59b0aU,     0x9c3f215bU,     0xd74b8ac3U,     0x5ecddc18U, \
    0x1b550f9cU,     0x80042d76U,     0x0383381aU,     0xe3d73bfcU, \
    0xc454c6baU,     0xaa78e7f6U,     0x937dad65U,     0x4c2d98aaU, \
    0xee9be1e7U,     0xba045877U,     0x1715b1abU,     0xe350092bU, \
    0x89cbbb2fU,     0x7b77c126U,     0x4e0e522eU,     0x90abdb62U, \
    0xd6025a52U,     0x55155b4cU,     0x358b340fU,     0x5360ce94U, \
    0x57530695U,     0x841592e7U,     0xf9f72c2bU,     0x51fb0230U, \
    0x9c20ea92U,     0xc62697cdU,     0x968ec567U,     0x0b9f94d9U, \
    0x675dc23eU,     0xe3f4a454U,     0x40c19447U,     0x9b5926bcU, \
    0x9da24b59U,     0xac3f8666U,     0x8709c843U,     0x29e91a9aU, \
    0xf588c1abU,     0x0ee77509U,     0xe965aa76U,     0x46ac4253U, \
    0xf6de45a2U,     0x9357a443U,     0x605652f2U,     0x9a1a1e6cU, \
    0x690899b5U,     0x303ffadaU,     0xf7c93b68U,     0xaaa94c52U, \
    0x0dc5e6bbU,     0x3d93dcbbU,     0xa4eeb851U,     0xdcc9d682U, \
    0xda22cc75U,     0x2d93e87fU,     0xc7b69221U,     0xdf128423U, \
    0x6e9a47c1U,     0x9c12b3b8U,     0x60588c46U,     0xe0d3afebU, \
    0x53849738U,     0xcc973d97U,     0xc0f12369U,     0x40232c2eU, \
    0x7fa2b608U,     0xa6581ca8U,     0xfc016cc0U,     0xd9cb0e59U, \
    0x299e5c53U,     0xee080d4cU,     0x94c6fdb1U,     0xfb9b95a3U, \
    0x96a56ed9U,     0xaa47b234U,     0x31d5a0a8U,     0x573bcd79U, \
    0x6995a6ceU,     0x8897fcd3U,     0x8aaaabcaU,     0x4f70ebbfU, \
    0x11b2e26eU,     0x4588d4a0U,     0xf8b8219cU,     0x6f338885U, \
    0xec2c01a7U,     0xcad3c3afU,     0x24f99c5eU,     0x40ef3842U, \
    0x8348f701U,     0x98988004U,     0x9dffebf9U,     0x9d5592eeU, \
    0x93b98af8U,     0xe6591b14U,     0x4a5b6a69U,     0x65dc460aU, \
    0x09ec3785U,     0x1cb4cdf2U,     0x78627a77U,     0xf407cb42U, \
    0xb396360bU,     0x077b2921U,     0x087f2371U,     0xaef37f4bU, \
    0xb8a7a8e0U,     0xa9b43a73U,     0x30bc17c4U,     0xdd48eb73U, \
    0x9caff547U,     0x01d38f25U,     0xa3779e3fU,     0x327e3db8U, \
    0xe5b4f757U,     0x75cf7cc6U,     0x3e57d18aU,     0xe508862fU, \
    0x7cf07e90U,     0xc32935fdU,     0x05ebec69U,     0xa3faa8eaU, \
    0xd53f8c91U,     0x3768b393U,     0x9760ec40U,     0x1a69e712U, \
    0xc934d28dU,     0x958c4928U,     0xa5d18b38U,     0x4d05a995U, \
    0x58950d27U,     0xc08f7c1bU,     0x70040ad9U,     0x5416c591U, \
    0x23f9b3f4U,     0x401eaee9U,     0x26ac9d9bU,     0x0be7018dU, \
    0x45e10430U,     0xdc96e8c1U,     0x205928acU,     0x445b6089U, \
    0xf849fc86U,     0x65812351U,     0xa87d4be0U,     0x268c96c6U, \
    0xafb56c74U,     0xe91a4f6bU,     0xd6bea679U,     0x343164bbU, \
    0x5826df59U,     0xcde04aebU,     0xb127ef60U,     0x143f7448U, \
    0xae3167ddU,     0x52c635edU,     0xe9d6120bU,     0x0aa4df40U, \
    0xa49a84d6U,     0x99523d8bU,     0x6a7c8643U,     0x9df9d2e9U, \
    0x2075262cU,     0x3624f9dcU,     0xe335dfa4U,     0x3ed0c063U, \
    0xe689cf9bU,     0xbfd1f729U,     0xd9545d3dU,     0x74b67364U, \
    0xb7a6f981U,     0xd1779c1bU,     0x2acbfa39U,     0x4e9d88dbU, \
    0x4235379aU,     0x373f33d7U,     0xd71a1ce2U,     0xbeaddb3bU, \
    0xea3cc1fcU,     0x8c8ff3e9U,     0x68f17a09U,     0xc597263bU, \
    0x6eeb8272U,     0xb25879f5U,     0x02ed7bdeU,     0x4ea406d7U, \
    0xfeed5c91U,     0x98d9335eU,     0xd54fe09fU,     0x9a665777U, \
    0x2e67c495U,     0x5b5afd40U,     0xdf9cc3faU,     0x52e915f1U, \
    0xde816d4aU,     0x727d46b5U,     0xbd4dc842U,     0x047ba0d0U, \
    0xff15e8eaU,     0x27764d0aU,     0x49816eb5U,     0x46df0be8U, \
    0xdb445158U,     0x3ccfb39fU,     0x50a3f5ceU,     0xea42073cU, \
    0x5534b4a0U,     0x1b9527e5U,     0x1fdd45fbU,     0x582201e5U, \
    0x377b73a2U,     0xa36780ffU,     0x29037cf2U,     0x77df7c32U, \
    0x89f5f7ffU,     0x4b95d0baU,     0x8ad8d789U,     0xcd9dc109U, \
    0x96880788U,     0xbf47535eU,     0xf72b1b0dU,     0xa2e72978U, \
    0xbf90335aU,     0xe7995dfcU,     0x9d748da5U,     0x804344dcU, \
    0x36e03f74U,     0x0d224c2fU,     0x510eb871U,     0x38c29fcdU, \
    0xa78efe7cU,     0x03c15205U,     0x7564ab3dU,     0x5680f7fcU, \
    0x4ed75b6fU,     0x4d0e72c0U,     0x7cf3b797U,     0x389f43c4U, \
    0xbac5f3b9U,     0x1dbd4145U,     0x10b79104U,     0xa3127a0fU, \
    0xf2c9c9a0U,     0xd2bff41eU,     0x43cffa93U,     0xc4d3b681U, \
    0xbb0e9500U,     0x0f12b2c2U,     0x7aeb3a93U,     0x723d7741U, \
    0x7d272968U,     0xe0f6f420U,     0xcfec2b54U,     0xaccadb3dU, \
    0xb7725ec1U,     0xfa1bd848U,     0xc42a7689U,     0xf6c365ccU, \
    0x8b67224cU,     0x75df6787U,     0x6fbca9e3U,     0xa1bb467bU, \
    0x68bf0175U,     0x8a7819ceU,     0xdb5e0831U,     0xf32e2789U, \
    0x3c325162U,     0xdfab68f8U,     0x07066098U,     0x59c26ec5U, \
    0xd158b540U,     0x44165262U,     0xaf94e8ebU,     0x362256dfU, \
    0x1990d150U,     0xc722282aU,     0xe43492cbU,     0xf2ab7bd0U, \
    0xaf45ca4cU,     0xe08fbd41U,     0x7ba17cc8U,     0xa72e6fe1U, \
    0x6753b1e4U,     0x73290cdaU,     0xa7f77139U,     0xb20f3713U, \
    0x57ed5c7fU,     0xe26f7ba0U,     0xf7c5399eU,     0x525260e7U, \
    0x1229a7fcU,     0x5bde7e1fU,     0xdea3a835U,     0x23c764b4U, \
    0x2e1981a9U,     0x1953aa37U,     0x24b664e6U,     0xfb0b8544U, \
    0x5f117b37U,     0xa76622d0U,     0xe7b4d743U,     0xf4cd7cb7U, \
    0x2b9b12b9U,     0xc6c51de6U,     0xab888184U,     0x02b81e4dU, \
    0x0852ffafU,     0x0cf7b3e4U,     0x6da4910fU,     0xdf950323U, \
    0x96cc017dU,     0x60818966U,     0x1177a311U,     0x3c0bd993U, \
    0xa5355158U,     0xb83f1fecU,     0xcc243fa0U,     0xd3066883U, \
    0xbaa5a36bU,     0x0cab249dU,     0xd1f0b149U,     0x9f18dcacU, \
    0xaf58564bU,     0x3e5677fcU,     0x63ec3bebU,     0xbef6d69eU, \
    0xd777f8fdU,     0x197f3dcfU,     0x911f0cc8U,     0xa7479b72U, \
    0x5e027bb2U,     0xce72c427U,     0x86dfd1eeU,     0x2040b5f1U, \
    0x4ac152e5U,     0x18ac2c03U,     0x0ae7558eU,     0x2eb45d8fU, \
    0x4c7fe0ccU,     0xe7671becU,     0x0aadeb65U,     0xa27860c0U, \
    0xe7367fc0U,     0xae237e74U,     0x291a3416U,     0x210c4731U, \
    0x2acdf880U,     0x1ca64797U,     0xc7e16addU,     0x2d0ae578U, \
    0xebe7919dU,     0xb132e688U,     0x918df4ceU,     0xe07ddae9U, \
    0xe066d21cU,     0x01ed1ca6U,     0x63e15d07U,     0xc3786704U, \
    0x192dbd7eU,     0x0ea0e3cdU,     0x4710fa4fU,     0x25d0f86dU, \
    0x47b7dd0fU,     0x2875a38eU,     0x521e3e2fU,     0x080322ecU, \
    0xea7a70f3U,     0xcaa68862U,     0xa21d9ab6U,     0x50d759eeU, \
    0xbf6de32bU,     0x5456860eU,     0xd15220f2U,     0xdcfc006fU, \
    0x9d8078b0U,     0x58e562b2U,     0xa323002bU,     0x828d8d33U, \
    0x595703c8U,     0x91226b39U,     0xaa0fce44U,     0x72104d0fU, \
    0x6b960cb8U,     0xe58b7e25U,     0xd110c2ddU,     0xbc8d5496U, \
    0xdde571b5U,     0xd8ef8cddU,     0x2b1d8ba6U,     0x60834bdcU, \
    0x87163721U,     0x4a3fc0c4U,     0x641c7dacU,     0x51a109eaU, \
    0xe44da1c4U,     0x859541a0U,     0xdcac55b9U,     0xa4477fc1U, \
    0x8ecec941U,     0xf32f82c8U,     0x226911e3U,     0xd09c3423U, \
    0x840d400aU,     0x81fecbf7U,     0xcf0b988aU,     0x447ebc38U, \
    0xe5723c4fU,     0x1ea75755U,     0xc3e2dcb1U,     0x11d0de9dU, \
    0x5e0031fcU,     0xf142e5deU,     0x58d2b4aeU,     0x057a1d32U, \
    0x5657ce0eU,     0x39993f5bU,     0xec5d447dU,     0xde0f8341U, \
    0xcdcb591bU,     0xa95365adU,     0x6ec21c2fU,     0x01a6daa7U, \
    0x819dd18fU,     0x4ca316d6U,     0xf3f85cb3U,     0xefc74cffU, \
    0xe45a8020U,     0xe216a403U,     0xf7593827U,     0xbdd8d602U, \
    0xc685248cU,     0x02807092U,     0xa5eabbebU,     0xdd70eca5U, \
    0xdf68b932U,     0xa1657671U,     0x658e408bU,     0x3fdf371bU, \
    0x521601a3U,     0x6bf96b73U,     0x3f42c719U,     0xbced53c0U, \
    0x3175c701U,     0x66f1e058U,     0x19426d66U,     0xfb80a28eU, \
    0x1bc51dbdU,     0x2d5e74beU,     0xe47c2bfbU,     0x235ef0f3U, \
    0x7f4723e5U,     0x40c2ff5aU,     0xb62300b5U,     0x1a1e3118U, \
    0x42ead851U,     0xc06bc926U,     0x0f24610aU,     0xa7f5e1f6U, \
    0x4797a844U,     0x99b4efd6U,     0x288fe9d3U,     0x800c1535U, \
    0x2c49e091U,     0x6aabab2aU,     0xefa6da64U,     0xcb982bc7U, \
    0xc38939b6U,     0x6d462812U,     0xa5687150U,     0x1dfa3c07U, \
    0xe7702e2aU,     0xb7f965f5U,     0xc3eeff87U,     0x5f2fe6f7U, \
    0x7522799cU,     0xffa89ca2U,     0xd1e0e6b2U,     0x9a17e81eU, \
    0x46ebb753U,     0x7568e585U,     0xc9642a1dU,     0x5159ae94U, \
    0x8539cfb2U,     0x84bcce75U,     0x364ca4d4U,     0x4106e1d8U, \
    0x0ed35fe9U,     0x2f2b5fc2U,     0xf534829cU,     0x36d888c6U, \
    0xdf7e5c73U,     0xe9db7104U,     0x4fd13a32U,     0xc3ccc26aU, \
    0xf3106088U,     0x4a0cf802U,     0xaa4cc85cU,     0x3d3909d4U, \
    0x069babf1U,     0xef993edcU,     0x054bc05eU,     0xd9170554U, \
    0x35ea8b0aU,     0x7f28f1cfU,     0x3049a158U,     0x3cd1397fU, \
    0x3e45727bU,     0x471c10edU,     0x237e696aU,     0x63f4c482U, \
    0x071ed079U,     0xe9291111U,     0x53a78f60U,     0x83d43efeU, \
    0xacd7412aU,     0xf1ad9b67U,     0x75138758U,     0xa5bc8bafU, \
    0x0d7949a9U,     0x58760f3aU,     0x847bc320U,     0x00be59ccU, \
    0x827b1971U,     0x1b917105U,     0xfeaf477eU,     0x4c50ff7eU, \
    0x94f83342U,     0x5ab0c5c7U,     0xb1956930U,     0xc01bb67fU, \
    0xf6e9c5e2U,     0xce5ccd24U,     0x7580ac20U,     0xa4ede1afU, \
    0x300bcf6fU,     0x4d46653aU,     0xe78dc969U,     0x6ac26bd9U, \
    0x7248331cU,     0x58a4f5b5U,     0x3871a69aU,     0xa3dea470U, \
    0xf679a94eU,     0xb752394cU,     0x266caea9U,     0xdbe8d211U, \
    0x710fe630U,     0x3a62c1b4U,     0x0412d001U,     0x80680425U, \
    0x3c07ffc2U,     0xad84c6f5U,     0x52501e59U,     0x37496a5cU, \
    0x97e4c8b6U,     0x4eee583bU,     0x9ea365e8U,     0x0d732db4U, \
    0xe66ff539U,     0xf9b9c6edU,     0xfca8f796U,     0x5e4edf5bU, \
    0x75be37caU,     0x449e353aU,     0xb8cb3bfeU,     0x7eb22a07U, \
    0x50addf1aU,     0xc8cc8ccbU,     0xc1e1cd25U,     0x35d79105U, \
    0x0356d61aU,     0x5965021aU,     0x04dc48f8U,     0xe5273f01U, \
    0xd8a0f229U,     0x9f739306U,     0x2ac8f3f5U,     0x105f0bedU, \
    0xeb114a5fU,     0x77902eb4U,     0x43e3a09aU,     0x6a0a2952U, \
    0x0fb0b19eU,     0x461c8338U,     0x868686f5U,     0x6c84a932U, \
    0x5c622b29U,     0x165936a0U,     0xee167d54U,     0x56c6b2bdU, \
    0x744b950fU,     0x762dae22U,     0xf17953e2U,     0x49ac67f7U, \
    0x1268602bU,     0x4c8682f5U,     0xe5210628U,     0x4a44ed35U, \
    0x48be1011U,     0xddd1046cU,     0x70a0df08U,     0x7f74750cU, \
    0xf9aa45e1U,     0x693229d3U,     0x438d2d73U,     0xefb33c37U, \
    0x7a1ab4e4U,     0x19f05fe3U,     0x84be2dfeU,     0x273a205dU, \
    0x5af5d9fbU,     0xf5deaa23U,     0x1a5df82bU,     0x21bd42cbU, \
    0xa0f2c7cfU,     0x0350b293U,     0xb944ec1aU,     0x4ccf2f77U, \
    0xc53417bcU,     0xe7f6a8d6U,     0xbd7f22cdU,     0x3002b0e2U, \
    0x1c5b892dU,     0x7defe806U,     0x7a0c327fU,     0x338fa3f6U, \
    0x32cf374cU,     0xf9f8fccaU,     0xc37ae848U,     0xf09ca3afU, \
    0xb77d0662U,     0x235b17b0U,     0xe39f922bU,     0xedeaea86U, \
    0x5bd8dfe8U,     0x1cd4bd6cU,     0xae8f7095U,     0xce1616a9U, \
    0x47d155afU,     0xe0ee8fe7U,     0x3b8c54c2U,     0x7956ed84U, \
    0xaabb1fafU,     0xca06d55fU,     0x9d7bf285U,     0x166b944fU, \
    0xb92d6dcbU,     0x48f0b1c1U,     0x3623b431U,     0xfa6e2045U, \
    0xce73d238U,     0xfa4ceb08U,     0xe3eadc3bU,     0xd427627eU, \
    0x6bf0d37aU,     0x9afb8945U,     0xdbcf0956U,     0x9668153dU, \
    0xec07ab59U,     0xa14ed6d8U,     0xc19fb011U,     0x1c0092ebU, \
    0x2057e667U,     0xa9141abbU,     0x5799a589U,     0x0382a1fbU, \
    0x818be14eU,     0x5c728ebbU,     0xe4087ca3U,     0x7b5f4c6fU, \
    0x70b5f5b2U,     0xfd39e1f2U,     0x37c6752fU,     0x244227afU, \
    0x640d1222U,     0xb709b2daU,     0xc60c15f7U,     0xf386e0f3U, \
    0x760e0990U,     0x5f210b22U,     0x03e7d172U,     0x6d4bba6fU, \
    0x86ca28deU,     0xb974e1b4U,     0x855ddbbeU,     0x4094f0e0U, \
    0x0092eb73U,     0xf38e7244U,     0xe3621bd5U,     0x1e86e57cU, \
    0x3602f9e3U,     0x8d17e30dU,     0xa240288dU,     0x0517a622U, \
    0x4247b2bbU,     0x65e6ed51U,     0x07486d15U,     0x70f228ffU, \
    0x8bdcf2bdU,     0x9ea9bb52U,     0x7d3953afU,     0x1d35ebf4U, \
    0xa7c301aeU,     0x5086956aU,     0x1e1a45bdU,     0xfe6737deU, \
    0x32bef00cU,     0x899a45e3U,     0x3aac480dU,     0xc9bf8180U, \
    0xd56bfa68U,     0xb4e14f95U,     0xcdb3d85fU,     0xd6a4b660U, \
    0x3767258dU,     0x3b08411cU,     0x02635aa9U,     0x68666b2fU, \
    0x1b934083U,     0x63c34dd7U,     0x7afcf041U,     0x6adbf713U, \
    0xcf8de31fU,     0x859c99eaU,     0xdf4251eaU,     0x50f93c5dU, \
    0x5f1d3adaU,     0x3a9d300fU,     0xe8bb4e63U,     0x8106b80dU, \
    0xc3c027c5U,     0xaaf1810eU,     0x29e3cbddU,     0x4b225c94U, \
    0x98b5966dU,     0xc17ca1ecU,     0xeb908d90U,     0xb6de0e02U, \
    0x01780d2bU,     0x80bf4a49U,     0x6491ed53U,     0xdbee6b4aU, \
    0x3a6044e1U,     0x6cc8f771U,     0x16b10f17U,     0x81bf6f6aU, \
    0xe0a72a0bU,     0x6e7b9ffcU,     0x5b51e608U,     0x0529a7f2U, \
    0x98800b36U,     0xe8451f99U,     0x7ab5ed04U,     0xb3dea136U, \
    0x50d7e6b7U,     0x08374a76U,     0x9cfc29a0U,     0xdc7c0ce0U, \
    0x78b88b0dU,     0x986d1862U,     0x1b94f72dU,     0xf79d4a97U, \
    0x1d5df7afU,     0x2c1c1fa0U,     0x6f9dadcdU,     0x511a8613U, \
    0x8cececb3U,     0x58c15d08U,     0xa1921658U,     0x17159a29U, \
    0x93d9fef7U,     0xb7967f4aU,     0xc10b64ecU,     0x57cbb9a7U, \
    0x0cc22f61U,     0x6024bba0U,     0xf95497fcU,     0xa7a83a86U, \
    0x8c2ccc5eU,     0xefddce35U,     0x57a37c17U,     0x7a394acbU, \
    0xa6c65c95U,     0x677c2aeeU,     0xde257b90U,     0x93f04485U, \
    0x3da9f3f6U,     0x94cb3d41U,     0x27cef43eU,     0x12b3ba7bU, \
    0x459d294eU,     0xd33ed945U,     0xb8582d1eU,     0x0f4b6516U, \
    0x842f5094U,     0x46a1b379U,     0xf27435ceU,     0xcfb49737U, \
    0xd956b001U,     0x320f5eb5U,     0xe99897f2U,     0xba7ea617U, \
    0x39c47eacU,     0x98f744edU,     0xeac42590U,     0xb450cecdU, \
    0x384724c9U,     0x141001eaU,     0x32835b37U,     0xc0403879U, \
    0x101e9b29U,     0x9bbc55bcU,     0x8d646807U,     0xe709c49cU, \
    0xe175e017U,     0xf1ce8fbcU,     0x9d2a69e0U,     0x2c684b71U, \
    0x12971a6dU,     0x51c27a53U,     0x2bd3ebd4U,     0xb7a89146U, \
    0x02344d09U,     0xadd02f82U,     0xa31a2171U,     0x2e16d9a2U, \
    0x17d9bde9U,     0xcc6bc358U,     0xcba7c034U,     0x565b9cceU, \
    0xe23aaa01U,     0x6c99981bU,     0xd8fbf3bdU,     0x736f7fedU, \
    0x310ebcffU,     0x561a5719U,     0xaf6293b2U,     0xc683832cU, \
    0xfbdb4b5eU,     0x2b9a7b91U,     0x93745e0aU,     0xb15f9aeaU, \
    0x2911d19aU,     0x305628b3U,     0x8adbea48U,     0x3eccde79U, \
    0x78da49d9U,     0x09171166U,     0x09ecbb73U,     0x224bab4fU, \
    0x2896da02U,     0x55371985U,     0x649841d6U,     0x33b877f7U, \
    0x6417fd54U,     0x9ddfbe15U,     0x56e62a63U,     0x9615ab25U, \
    0xc69dfe42U,     0xa7a8bcb6U,     0x52a9bc06U,     0x7e43471fU, \
    0xa8da4e0eU,     0x867f638aU,     0xf2bdf999U,     0x4e356c7bU, \
    0xced1f437U,     0x6090a24aU,     0x156e491fU,     0x6b862bceU, \
    0xd06ceb9bU,     0xad58d640U,     0x482d1dbbU,     0xcee6988fU, \
    0xe3b7210aU,     0xe96d30a4U,     0x95d18bcdU,     0xb4e13c88U, \
    0x0d79f362U,     0xe1f101d3U,     0x9e2327b7U,     0x4307990aU, \
    0xa9dea154U,     0x1ec85c5aU,     0x0e0b836fU,     0x9fa42a86U, \
    0xe3328477U,     0x49e28a43U,     0xc2ad9ab6U,     0xfc98864cU, \
    0x441ef82aU,     0x6767c79fU,     0xe0f2a97aU,     0x43f42ebaU, \
    0x6fe03b7aU,     0x6c36b100U,     0x1bfbeed3U,     0xdf8c1855U, \
    0x4c6b9d13U,     0x2181962eU,     0xd61c99c0U,     0xa0ed15b0U, \
    0xf14f167eU,     0x8c1f897dU,     0x107f3005U,     0x0a49eb94U, \
    0x65812fcfU,     0x437ba564U,     0x67aef481U,     0x311b6b85U, \
    0xa4ec1ff0U,     0xcc7a9f91U,     0xd333dfbdU,     0xc57a0cb0U, \
    0x6b620b55U,     0xf5a91da6U,     0x5966b31cU,     0x83bb9b61U, \
    0x09098eefU,     0xc5a0b082U,     0xe73d8ff1U,     0xe0cc567aU, \
    0xd6678aa9U,     0xedf477baU,     0xa1b766c9U,     0xbabf8fa4U, \
    0x3cb843a5U,     0x38e598dcU,     0x209911ceU,     0xc9f79afeU, \
    0xdfc89356U,     0x299c5e91U,     0xfb1d3cd2U,     0x68cafa67U, \
    0x12a7f60bU,     0x6a5ac800U,     0x480df4caU,     0x860409a7U, \
    0xe5c44ce2U,     0x4a295541U,     0x3e5386e3U,     0x10c770baU, \
    0xf7354f3cU,     0xe4c834adU,     0xee763788U,     0xb41e3c41U, \
    0x6081c073U,     0xb1498906U,     0x70cdf7e9U,     0x913c3729U, \
    0x7314248cU,     0xbd4e1f8bU,     0xf37eee0fU,     0xf9c10937U, \
    0x02519b8fU,     0x686f15a4U,     0xc713a918U,     0x52606eacU, \
    0xbb2109b5U,     0x2a5492e7U,     0x0c339551U,     0x5b2fd8fbU, \
    0xf48a7ea1U,     0x60c7f2cfU,     0x09fc4642U,     0xa5b5f9adU, \
    0x85d1dcb1U,     0x24be81beU,     0xfe623678U,     0x0176219bU, \
    0x372f0070U,     0x8fa6ea26U,     0x01350cabU,     0xf9b49d70U, \
    0xa45f9a04U,     0x04b3e0aaU,     0x43762837U,     0x51f1de26U, \
    0xd6c0557eU,     0x8e5761bcU,     0x941d7b35U,     0xf074131fU, \
    0x6923d14aU,     0x2eb9b6baU,     0xd22eb0aaU,     0x3892e283U, \
    0xa960c105U,     0x189fd80dU,     0x736e02c5U,     0x7cdb0289U, \
    0x80343231U,     0x070b189eU,     0x8ee99c3cU,     0xf0e580dcU, \
    0x8062bb1eU,     0x5b475b65U,     0x50f0571bU,     0x195c76aeU, \
    0xcbdc4316U,     0x390546c1U,     0xd09d2a9bU,     0x38a064b7U, \
    0x3ff6a344U,     0x7099c2e6U,     0x6ef16094U,     0x4b342c18U, \
    0x989a744eU,     0xb58d04b5U,     0x90e53c3eU,     0x34b787f8U, \
    0x4c0ebef5U,     0x5e30f202U,     0x1cf3c9f7U,     0x282ec3ccU, \
    0xa7e52b9eU,     0xe652bf67U,     0xc3c18d26U,     0x97185cfbU, \
    0x3f1695ebU,     0x7518f073U,     0x57d90524U,     0xc3fa4db7U, \
    0xeacb59feU,     0x363c5713U,     0x162c4144U,     0xc267b515U, \
    0xd1603714U,     0xc6f67cc0U,     0xb680dbf5U,     0x63459fa5U, \
    0x51ea3928U,     0x0ad0fc93U,     0x90c1ca92U,     0x1428c17dU, \
    0x935b9ed5U,     0x5c820628U,     0xbf7be001U,     0xce238e94U, \
    0xe2b1356aU,     0x82b10d11U,     0xe6c4e9cdU,     0x9e7d463aU, \
    0x4f053188U,     0x33597454U,     0x2cd26718U,     0x45f27b0cU, \
    0x1ba87fa4U,     0x03351532U,     0x4b97a6d0U,     0x70c06c5aU, \
    0xf93cea7dU,     0xeb889af9U,     0xf69fc484U,     0x6ad3d91aU, \
    0x9780aa11U,     0x4ff1e6dfU,     0x196b1c63U,     0x008032a1U, \
    0x81a437a4U,     0xb909907aU,     0xb5494f97U,     0x3cd6bf03U, \
    0x91c4b4deU,     0x571c3a61U,     0xfc85b9bcU,     0xd755c4fdU, \
    0xc082ee19U,     0x423248bcU,     0xfcec12a0U,     0xe816f0dfU, \
    0x83442776U,     0x4d818e24U,     0xb9c6a758U,     0xcadf153aU, \
    0x1a86da60U,     0x07f4a7b8U,     0x8a25f870U,     0x97fd6052U, \
    0x1ccba2b9U,     0xf07b20aaU,     0xafc1deaaU,     0x5b03c2aeU, \
    0xcdef5696U,     0x8262fdbdU,     0xc8c5800cU,     0xf06cac57U, \
    0x769d7909U,     0x86df0346U,     0x8ec8b225U,     0xdccb08beU, \
    0x80ccad34U,     0x71f3335cU,     0x3ee811dcU,     0x4666c2f5U, \
    0x59c005c6U,     0xcb3a5e7fU,     0x06d08028U,     0x651bc328U, \
    0x66a6bc93U,     0x4bad9508U,     0x8aa6c924U,     0x0e6bc911U, \
    0xf24eec8aU,     0x7aed2b71U,     0xd7f07634U,     0x7ce27b80U, \
    0x5dbe0ca7U,     0x4274528bU,     0x86d226f4U,     0x48cedc00U, \
    0xc0786313U,     0x3999471bU,     0x305ef681U,     0x1266081dU, \
    0x4296f20cU,     0xc157af74U,     0xcbd53ac2U,     0xbfe4d9f3U, \
    0x84d110f9U,     0x0b418915U,     0x1585c408U,     0xe268c313U, \
    0xcd8000a3U,     0x489e5a35U,     0xdd09305fU,     0x183b7896U, \
    0x623dce2cU,     0x06e75f1eU,     0xc1543b22U,     0xe4558ab9U, \
    0x4e5d898eU,     0xad60fe01U,     0x2953c0caU,     0x81f95524U, \
    0xadecac40U,     0xb385f824U,     0x6dcf6efaU,     0x3f5d3b1aU, \
    0x8acfefe6U,     0x5c032d24U,     0x5ca4c043U,     0xf7db6ad8U, \
    0x49568436U,     0x08d710b6U,     0x9d000a2eU,     0xd5326423U, \
    0xb0a12a66U,     0x25de0aadU,     0xa715fdfaU,     0x21e236d7U, \
    0x4665ad85U,     0x51b7663bU,     0xf6cf83e3U,     0x6c74eed9U, \
    0x44464115U,     0x9a214d34U,     0x657b8812U,     0x6e769592U, \
    0x90c59952U,     0x4f154d84U,     0x539bd9a1U,     0x1b19a398U, \
    0x0ff82b04U,     0xf11551f5U,     0x09d43391U,     0x15a7e75bU, \
    0x361c378dU,     0xc2a2bbe4U,     0xb1c97f61U,     0xdfac619eU, \
    0xe04e097bU,     0x647c5603U,     0xfa4a5371U,     0x50245439U, \
    0xe6831d70U,     0xe43cbcdaU,     0x2721ca34U,     0x3543996bU, \
    0xd151c7e4U,     0xee410a51U,     0x4bf7f0e3U,     0x018caebaU, \
    0xb9518a81U,     0x5a903bb9U,     0x904b8054U,     0xbf2aca5bU, \
    0x7020a442U,     0x115ec300U,     0x8b90642cU,     0xe722180dU, \
    0xfc3d04f4U,     0xac93ca7dU,     0xd8eafd91U,     0xf354b2dfU, \
    0x150bef1eU,     0x714a452cU,     0xf512fabeU,     0xafa74413U, \
    0xafcec3a1U,     0xd4232b08U,     0x1d5e870eU,     0xb9870e6fU, \
    0x03df6ad1U,     0xd4dab7dfU,     0x83ff7f7dU,     0x0efc02d9U, \
    0x6f6f2976U,     0x24ddc0fcU,     0x5bb822feU,     0x87c8ea6dU, \
    0xb6f271e1U,     0xa2179a2dU,     0x94a3c3bbU,     0x4e92aa78U, \
    0x88387e56U,     0xa0433cf0U,     0x39d31292U,     0x39588959U, \
    0xcac5ad1fU,     0x2221049dU,     0x22702ce9U,     0xfb202972U, \
    0x76a07657U,     0xdb0ea75fU,     0xe84f734cU,     0x5251f3e1U, \
    0x25f6a341U,     0xdbd7d4deU,     0x69e7ec09U,     0x576b2d03U, \
    0x017a9829U,     0x8403dd61U,     0x8b07096aU,     0xeb35ff9cU, \
    0xb69d6662U,     0xeee45f77U,     0x11dbd7edU,     0xb6feecf2U, \
    0x9b5452dfU,     0x03f83a56U,     0xc4a7ec71U,     0x577b0b52U, \
    0x82f47877U,     0x8e258f3dU,     0x08c33900U,     0xa5305dd0U, \
    0xceef2f25U,     0x4b294d26U,     0x277b49f7U,     0x18060c54U, \
    0x5d9b4adfU,     0xc3c64a33U,     0x3085ad76U,     0xc1410c2aU, \
    0x3e631313U,     0x8b882ed0U,     0xecc95711U,     0x2cfbdf69U, \
    0x241abbcfU,     0xe379c774U,     0x47534e30U,     0x11b84623U, \
    0x008f8b8cU,     0x21060cf0U,     0xe56bfe7eU,     0x575d4e64U, \
    0x1829540eU,     0x69b99500U,     0x7b0c19d5U,     0x01d51bdaU, \
    0xb284c2f1U,     0xd5607f81U,     0x9a68eeefU,     0xd95bfcc9U, \
    0x1432199aU,     0x310d4727U,     0x78c81eeeU,     0x79e13df0U, \
    0x92953cb7U,     0x17966ae7U,     0xd0682108U,     0xb3297b43U, \
    0xf5d83a79U,     0xbd8547e6U,     0x6967a400U,     0xc4ad1d2bU, \
    0x311c9210U,     0x83feb5a4U,     0xf46c4058U,     0x5d2b09f0U, \
    0xd82c1a7bU,     0xb4255d2aU,     0xe83611a2U,     0x9a8a9c86U, \
    0x86fd05afU,     0xe37a2a29U,     0xda5a07a0U,     0xe1552695U, \
    0x4410852eU,     0x5e349d66U,     0xe9529893U,     0x245034f3U, \
    0x5485b3b9U,     0xe9264de7U,     0xfcd7aedfU,     0xe5440c1dU, \
    0xf7b55103U,     0x1336d51cU,     0x9cfa31f4U,     0x76cbbb12U, \
    0xa07e8a38U,     0xb63a114aU,     0x6a0059a6U,     0x3d092d7aU, \
    0x241e4dc6U,     0xdf7efe6fU,     0x1867182fU,     0xca0f2c34U, \
    0x88d9b0fbU,     0xf3a6db44U,     0x03c53506U,     0x28eb8744U, \
    0x4c3c0360U,     0xce78e258U,     0x2540fe86U,     0x6fdbc104U, \
    0x01be111bU,     0xd8d41601U,     0x317ffabfU,     0x94c5322bU, \
    0xc0752a89U,     0xf56ddf5cU,     0xebcfe585U,     0xf20c00e7U, \
    0x7ae0c93fU,     0x1e3e2213U,     0x2c42af17U,     0x43e0a0dbU, \
    0xd88bcfbfU,     0x2c1bcbe2U,     0x9f7fa827U,     0xa7fde53fU, \
    0x9804c328U,     0x6d62456fU,     0x2c77250eU,     0x12ef9d7fU, \
    0xc630b81dU,     0xf557d6d0U,     0xad2f939cU,     0x6687cf92U, \
    0x80920781U,     0x0672a2c0U,     0x3e48747dU,     0x217f0c44U, \
    0x7069ec64U,     0x1e94c2beU,     0x6fdb73d3U,     0x2150fa5dU, \
    0xde43b307U,     0x9bcffa4eU,     0xe9720bdfU,     0x4c89bb97U, \
    0x0addf65aU,     0xd3e0870aU,     0xcf2ae8eeU,     0x7029680bU, \
    0x3f608279U,     0x2c645031U,     0xcebc61c3U,     0xe87d2d90U, \
    0xcd1cc597U,     0x367f819cU,     0x35d46237U,     0x7b664347U, \
    0x02c1fb45U,     0xbedee5e6U,     0x93135a79U,     0xd9346082U, \
    0x2d656be7U,     0x1806b611U,     0xd8c42a7dU,     0x60399689U, \
    0xcb9480b9U,     0xc3aac625U,     0x400d8697U,     0x6c7c75c0U, \
    0x18056a03U,     0xc88d1a4eU,     0xd216547fU,     0x1daf5545U, \
    0x9a73a744U,     0x7b8e7cb5U,     0xa036adb3U,     0x4a35adaeU, \
    0xed037537U,     0x5b5a2fb8U,     0x52c080aaU,     0x6dff3224U, \
    0x5e300326U,     0xbe441b04U,     0x6da7a1d4U,     0x1cae72eeU, \
    0x8798a4d4U,     0xffb00a91U,     0xa862076cU,     0x90c197b0U, \
    0x87b0e9afU,     0x05f3ce62U,     0x80862badU,     0xdcc49a73U, \
    0x865c438bU,     0xbce7d750U,     0x80a79abdU,     0x55a2450bU, \
    0x6726b10aU,     0xfa612840U,     0x905da146U,     0xbdb77818U, \
    0x4182bf55U,     0x872788b1U,     0xfbbe33e5U,     0xbb92c760U, \
    0x1b4e6657U,     0x6bac4633U,     0x16872a18U,     0x1d9fd429U, \
    0xaef735a1U,     0x82dce8b8U,     0xa4fb3718U,     0xdf2645edU, \
    0x9a43ed4fU,     0x385c1c71U,     0xa22d648fU,     0xdf7ddd3bU, \
    0x68d2d151U,     0xd19d03a2U,     0xd70cc572U,     0xbbd5db64U, \
    0xca225e7aU,     0xee64d606U,     0x27d4d6b6U,     0x0cdd4c31U, \
    0x9f3d0bfeU,     0x991f79b9U,     0xa50b96daU,     0x943d451eU, \
    0x76edf6f0U,     0x563a981eU,     0x8365fbb2U,     0x5cb4fa6bU, \
    0x0e5923ceU,     0xe6ef506bU,     0x6440d64fU,     0xed1e0f40U, \
    0x10a39917U,     0x4f2d3c15U,     0x400516daU,     0xb17507b7U, \
    0x29b08c2bU,     0xd6411ce0U,     0x63bc953aU,     0x6f2cb4ddU, \
    0xde05186cU,     0x77f26af3U,     0x53a80d30U,     0x7fce4fc4U, \
    0x33148018U,     0xcb3f6008U,     0xcd355982U,     0xfd14a582U, \
    0xf55c5ae4U,     0xa926c048U,     0x3cbe9c87U,     0xaf1af794U, \
    0x86dde172U,     0x921c8b0dU,     0xd70bc93fU,     0x459249deU, \
    0xf59928dbU,     0x22ee395eU,     0x32f5a586U,     0x3b913f42U, \
    0x82b623a7U,     0xf5662459U,     0xff77a0f8U,     0x9a8d6737U, \
    0xf69eb157U,     0xf0d35dafU,     0xf46c19eeU,     0x42f979d1U, \
    0x659ec2d1U,     0x3cb77714U,     0xbc117351U,     0xc30f1e67U, \
    0xd2544e11U,     0x4e045056U,     0xe2ad76a4U,     0xc1017408U, \
    0xe74cefccU,     0x252f4170U,     0x5f9328b3U,     0xb50d2466U, \
    0x0097b0adU,     0x9e743b58U,     0x71e537eaU,     0x5c708c92U, \
    0xf5d3afdcU,     0x72dcf846U,     0x8d83fa86U,     0x545f1b48U, \
    0x5de8daf7U,     0xd19f062eU,     0x4b371303U,     0xb504d31eU, \
    0x78193738U,     0x9550abbdU,     0x7b7cffb4U,     0xd3eda1f5U, \
    0x1dd8c938U,     0xc56d166eU,     0x17a5c594U,     0x430ba464U, \
    0x351c2fd4U,     0xe55dfb13U,     0xc69da751U,     0x7c66bf65U, \
    0x043b3cb6U,     0x5e8a484aU,     0x73ba96c1U,     0x0e2730f2U, \
    0x0fa0e398U,     0xb39547c4U,     0xdf6eb464U,     0xc06e747bU, \
    0x16704644U,     0xd31862c0U,     0x6005a8f4U,     0x2a844662U, \
    0xc42a3350U,     0xde94528fU,     0xc8ef9c83U,     0x71c9f581U, \
    0x24348f6eU,     0x4ee3a891U,     0x59f661acU,     0xbed2814cU, \
    0xfad623b7U,     0xcad4e7aeU,     0x408cb53dU,     0xf33510cbU, \
    0x2922e110U,     0x16553546U,     0x6c0093edU,     0x54984ea5U, \
    0x6435f143U,     0xdcdfe639U,     0xebe213cdU,     0xe7fcadc8U, \
    0x66a2b39fU,     0xb001229bU,     0x039f0eb0U,     0xe7d5282fU, \
    0xce18dbaaU,     0x3f020c3eU,     0xe26e0958U,     0x633362faU, \
    0xee62fd1cU,     0xf5a7873fU,     0xe646aa6bU,     0x82ad42eeU, \
    0xa4944ff4U,     0x9be9a263U,     0x9d0f8692U,     0x27e492c8U, \
    0x39e25654U,     0x688d9f62U,     0xdc815eb2U,     0x951084eaU, \
    0xd0903bbbU,     0xa77ac5c8U,     0x826cb79aU,     0x5184b184U, \
    0x36e32345U,     0x17e01ac4U,     0x1ed69b76U,     0x12cee32dU, \
    0x9dd194adU,     0x2b32f570U,     0x89a5634fU,     0xaa17b629U, \
    0x0b074601U,     0x0e7712baU,     0xca8b17f0U,     0x0f6a974dU, \
    0xa7b83771U,     0x904339a4U,     0xeb5135e3U,     0x885e162cU, \
    0x088a7a65U,     0x3836d621U,     0x6dc2f341U,     0x7fa62a60U, \
    0xf3b72b07U,     0xcc9d515bU,     0xd60fb589U,     0xccf3178dU, \
    0xd053dc5cU,     0x50a406a4U,     0x93ddca8cU,     0x4cd01a43U, \
    0xe9672c52U,     0x00780238U,     0x11224bcbU,     0xffa4b007U, \
    0xb27bcb1bU,     0xff7608f2U,     0x65a48f70U,     0x2d2b9098U, \
    0x4ad8d995U,     0xd0f4a7e4U,     0x6012751fU,     0x9db3d47dU, \
    0x1215c69fU,     0x6b1dc239U,     0xeabab6e4U,     0xa51b2fedU, \
    0xfcdc3869U,     0xc62c455dU,     0x521d2b54U,     0x2719a5f1U, \
    0xe79c3c6fU,     0xc638ad5eU,     0x5d29e766U,     0xb9d65447U, \
    0x304efadcU,     0xb7c6a7d2U,     0x7457ab41U,     0x4774f616U, \
    0xfbd61cfdU,     0xc381983aU,     0x532bd904U,     0x578b741cU, \
    0x2d631d29U,     0x2df1f5ecU,     0x8ef0efb1U,     0xe79be6a6U, \
    0x72597f6fU,     0x2a6c5160U,     0xffc10178U,     0xb76929deU, \
    0x352ccb0fU,     0xa377dd46U,     0x3ced4bc2U,     0xe839cf3dU, \
    0x3ef1917dU,     0xc16a8f55U,     0xa160e301U,     0x13f877cdU, \
    0x771e95b1U,     0xc1233111U,     0x7ff2b1b3U,     0x8bf99b1eU, \
    0x7b2f2427U,     0xbe99a292U,     0xcbc0fa7cU,     0xd02c568aU, \
    0xdba1c4eaU,     0xb0f8c4f9U,     0x660415bdU,     0xcff40db8U, \
    0xd282c253U,     0xa7288139U,     0x41570a7fU,     0xfa61b2f0U, \
    0xffec1197U,     0x042271d1U,     0xfa215567U,     0xa740d9aaU, \
    0x1aa9f8edU,     0x5cb99668U,     0x63d49269U,     0xa11d2117U, \
    0xd30c4552U,     0xe0738214U,     0xaafd3c27U,     0x13e7718eU, \
    0x1744106bU,     0x55c15950U,     0x5035b3b0U,     0x2edd50b2U, \
    0x931fb927U,     0x7bdbd74dU,     0xc7deb877U,     0x1222aed1U, \
    0x5aa78b9fU,     0x1e3e52dcU,     0x574a7342U,     0x0d0d0343U, \
    0xb61aa1aeU,     0x0dfda4f2U,     0x8d83c44bU,     0x6da07e8aU, \
    0xe7e4b571U,     0xdc40af08U,     0xe8ec2fb9U,     0xee33f604U, \
    0x4b331852U,     0xf1ed2bbaU,     0x4efa1972U,     0xa59a659bU, \
    0x7e1b1eabU,     0xf351dc62U,     0xa011e756U,     0x384600ceU, \
    0x288deaafU,     0xc5e25539U,     0xf2715c44U,     0x0179e9daU, \
    0x1344b500U,     0x89a04491U,     0x7b056bedU,     0x74c2a563U, \
    0xa2e02c2eU,     0xbf2205d3U,     0xde853ec0U,     0x044a6d46U, \
    0x0d31e6fdU,     0x0573e6cbU,     0x94411363U,     0xc68c1ec1U, \
    0x3af0b1b6U,     0xf31f1719U,     0x659d034dU,     0x00a4d736U, \
    0xbc5ff638U,     0x2185df05U,     0x2b92262fU,     0xdcf38ad1U, \
    0x36e9ebe3U,     0xd1979cc5U,     0x350f7571U,     0x5de86f53U, \
    0xafab6377U,     0xba658a37U,     0xa3a9f43aU,     0x2871b88eU, \
    0x43311b3cU,     0x606480dcU,     0xd2e22932U,     0x771b444bU, \
    0x36ec9670U,     0xa17b06f3U,     0x2a67f7c3U,     0x98ed95c4U, \
    0x7583365aU,     0x5c81fd4fU,     0xf30e0813U,     0x43be3c3dU, \
    0x5b8ec455U,     0x5a3cbc0eU,     0xc22df1d6U,     0x12ee4becU, \
    0x496394e4U,     0xb5c54ab6U,     0x2dc718beU,     0x6f410cf5U, \
    0x1cf1d6e3U,     0xe929dfabU,     0xbe6bedc2U,     0x60382a33U, \
    0x2fc1a845U,     0x81057d17U,     0xcb88825bU,     0xea4d57b5U, \
    0x22094420U,     0xd1209127U,     0xc319c8cfU,     0xc4fa1f13U, \
    0x530c7c19U,     0x2b82a60dU,     0xf3524e50U,     0xa1a4a209U, \
    0x78cbea3fU,     0x5652e136U,     0xeb8eb09dU,     0x9ef69ee0U, \
    0xe6894a24U,     0xbf9b0383U,     0x735431e7U,     0x3dd96587U, \
    0x34d69c26U,     0x7e3e764dU,     0x1ecf9457U,     0x51c4686bU, \
    0xe9325f9fU,     0x519fa915U,     0x04db649dU,     0xadf23bb9U, \
    0x6af645ecU,     0x87d6d0c7U,     0x6f74297bU,     0xad9c16a3U, \
    0x6be5dd78U,     0x6062ed74U,     0xba9fa5ddU,     0x6a33eb8cU, \
    0xe9e42aadU,     0xb01ed784U,     0xf2b3bb60U,     0x801f0738U, \
    0x32099142U,     0xdb12032cU,     0x86c9d4d2U,     0x963c9e40U, \
    0xbef3fb96U,     0x387a77c1U,     0x669bb8d5U,     0xb557277aU, \
    0x138b2e51U,     0xadd3454dU,     0xef299ddcU,     0x347a2dc9U, \
    0xe329b868U,     0x47657a8fU,     0xbe3b7213U,     0xf5ae602bU, \
    0xe475da16U,     0xb6d9669cU,     0xf257d5c6U,     0x8b0f9fc0U, \
    0x8220d90aU,     0x57c6b688U,     0xc2230269U,     0x037467a6U, \
    0x181b3c37U,     0x08a5bae3U,     0x3def1f42U,     0xed9e6b3bU, \
    0xcdf8d8c8U,     0x862117ddU,     0xed7e8f55U,     0x68098224U, \
    0x5e2e93efU,     0x3e79ea90U,     0xdeeadcfdU,     0x2acf1bb0U, \
    0xa0a6b4efU,     0x4270c64cU,     0x15762b6cU,     0x0299da71U, \
    0xd1e221afU,     0x04f412e1U,     0x0ec394dbU,     0x4076fe99U, \
    0x5bf31ea9U,     0x918a16cdU,     0x0dab7108U,     0x1ec1e531U, \
    0x0a615d18U,     0x86e3d34eU,     0x6ad665a6U,     0x0746e5e0U, \
    0xb3df5b2dU,     0x983ced3eU,     0x399077c6U,     0xe3bc6d31U, \
    0xce294339U,     0x5e7e98a7U,     0x7cd422ecU,     0xb8e44f34U, \
    0x198d2b3aU,     0x02528abeU,     0xa06d32d7U,     0xe174093dU, \
    0x7d94860fU,     0xae5f5e78U,     0xdcad546cU,     0x2bc7b5b7U, \
    0x0cb1baaeU,     0x0548b6f0U,     0xf700a026U,     0x2ee2d058U, \
    0x3382e541U,     0xb3f636e9U,     0x67db14bdU,     0xb9f70a1dU, \
    0xbffa88d0U,     0x6459dec2U,     0x07bd9f14U,     0xf1f1f94fU, \
    0x4dea52d2U,     0xeb401b11U,     0x60417fdbU,     0xe8385e12U, \
    0xeeb33b8dU,     0xcd78a2e3U,     0x40ce57e8U,     0x0b1c8aa8U, \
    0x6404ebafU,     0x16c3a4f5U,     0x40289869U,     0xac6f4876U, \
    0xe803242cU,     0xec661f36U,     0xaf839c6aU,     0x3e098eeaU, \
    0xbf425866U,     0x30b47eb9U,     0x1032b607U,     0x132df111U, \
    0x60d17849U,     0x47797145U,     0x6d75d277U,     0xfc849c7fU, \
    0x79f56cd2U,     0x88509a4eU,     0x9a2f0a20U,     0x6de0172cU, \
    0x2150f41dU,     0x433327c6U,     0x8a608c09U,     0x6cfc6c37U, \
    0xafd2d57dU,     0x46d83b87U,     0x19039eeaU,     0xf582f663U, \
    0xdaca5e5aU,     0x2b6960efU,     0x16729153U,     0xf9e6b502U, \
    0x198fcd99U,     0xccc898e5U,     0x2875e4b3U,     0x743b1cc7U, \
    0xb8666327U,     0xb08074c7U,     0xf0304420U,     0xdcf6d59cU, \
    0x15367784U,     0xa7e9a552U,     0x38f809dfU,     0xfc7a78e7U, \
    0xfae0cac1U,     0xb6ba9047U,     0x8ed34190U,     0xee9351fcU, \
    0x64cef0f5U,     0x48e8eec1U,     0x2a855583U,     0x632e1737U, \
    0x1e3778f5U,     0x678c5aaaU,     0xe4ec05edU,     0x0dd7e1e4U, \
    0x067dd3e9U,     0x902db696U,     0x1d074265U,     0xbdbc95b6U, \
    0xc04eee59U,     0x64fd47daU,     0xc8452ff3U,     0x477398d6U, \
    0x9d6ed2efU,     0xc12b4313U,     0x9953450bU,     0x26ce6d8dU, \
    0x44a81e42U,     0x890d095eU,     0x8be3ba1cU,     0x07fd88eeU, \
    0x3df89b2cU,     0xe94b7b7dU,     0x860b561aU,     0xabaccab7U, \
    0xb817c323U,     0xe13f8f0bU,     0x56298be4U,     0x6fb3e24cU, \
    0xefb3cb6cU,     0x1730a707U,     0x1e8f3e5eU,     0xd6d33ef6U, \
    0xce5a0be0U,     0xd6745f57U,     0x6166dc83U,     0x9f26b65dU, \
    0x6bfa12e4U,     0x88e9bfe9U,     0x96b4e494U,     0x594bf672U, \
    0x1f70bd48U,     0x606cbbf5U,     0x7980e7f5U,     0xca207c71U, \
    0x5217e760U,     0xe6ccc9c8U,     0x7b986c5cU,     0x4462d3e0U, \
    0x248f0233U,     0xce40b71cU,     0x18c6536dU,     0x14318a1fU, \
    0xa3824bbcU,     0xd3e26763U,     0xe143faefU,     0xed18d2c4U, \
    0xcafe1d04U,     0x9d3ae156U,     0xfa1196b9U,     0x7dd9a929U, \
    0x71f1ac41U,     0x440dd41fU,     0x3f0c7b04U,     0xe2dac526U, \
    0xa19114d4U,     0x550ec977U,     0xe46833a2U,     0x3457766aU, \
    0xfb55c35aU,     0xbb88e30fU,     0x08b81645U,     0x453c292bU, \
    0x58022a23U,     0xff779363U,     0xd26f89a8U,     0x9e1f3bafU, \
    0xdc07a5edU,     0xa92e146aU,     0x4b94577bU,     0xef2a490fU, \
    0x06692fa9U,     0x1f3fb19fU,     0xe58d2474U,     0x17078a89U, \
    0x6f46a7ebU,     0xa69c06a6U,     0x228e58afU,     0xa0a48c0dU, \
    0x2c385290U,     0xbdef3fb5U,     0xe0a61c12U,     0x876c415bU, \
    0xfeb235a2U,     0xf33e4ef5U,     0x305c591eU,     0xe357cdfdU, \
    0x88327cf1U,     0xe2d77efeU,     0x93a9ff46U,     0xddb303ddU, \
    0x05937543U,     0xe0e5ecc6U,     0x680f43d8U,     0x2976302eU, \
    0x1841cc56U,     0x043605ccU,     0x19648733U,     0x494706c7U, \
    0x4489d209U,     0x72a632ceU,     0xecabba98U,     0xd0489044U, \
    0x1be2d5b9U,     0x04199bfdU,     0xd2f841bfU,     0xe3f39436U, \
    0x6764d1ffU,     0x86e1e92cU,     0x50216774U,     0xd3991594U, \
    0x9a253390U,     0x174cac73U,     0x6dbba535U,     0xe91b6451U, \
    0x24e019c2U,     0xe0c7fec7U,     0xe57a1dd8U,     0xc86364daU, \
    0xfaba91ffU,     0x58405e1eU,     0x70144235U,     0x9fbcc54fU, \
    0xd7ff91cdU,     0xa5747dceU,     0x086a137dU,     0xa8b6a98dU, \
    0x9a56a69aU,     0x1cd2b83eU,     0x623ad3b0U,     0x590d39e0U, \
    0xce75505cU,     0x38ebc458U,     0x0551d860U,     0xabfa0791U, \
    0xa1503469U,     0xb267cc10U,     0x6e4e2311U,     0xdd85d6e3U, \
    0x0d62f777U,     0xa7b134d4U,     0xa0e3db93U,     0x53b33731U, \
    0x1119cfc6U,     0x01a84665U,     0x282c0bb1U,     0xd9baeb7fU, \
    0x013cb736U,     0x6a1a3944U,     0x5393ab6cU,     0x7278ba9bU, \
    0x283fe53aU,     0xaf6adc73U,     0x8268a1f8U,     0x0cdde5caU, \
    0x46502734U,     0x7a4c3710U,     0xb68edb3bU,     0xf573f73bU, \
    0x9ee070ddU,     0x5812632bU,     0x2e9a7c11U,     0x3cf82f4aU, \
    0xeb132466U,     0xc5d7d11aU,     0xfeb8a63dU,     0xc4cce2beU, \
    0x3a2d695eU,     0x78c3a454U,     0xc1df2ef0U,     0xe2cdcd50U, \
    0x7b61ac6eU,     0x9f96b934U,     0x585d6cbfU,     0xf7d1a04eU, \
    0x38a3b60fU,     0x8d6bac4cU,     0x90b23a69U,     0x9d7645a3U, \
    0x9c5b0525U,     0xafe0ecd6U,     0xed5dd25cU,     0xf1481cdbU, \
    0x0c644b38U,     0xb0851c1aU,     0x9a27d37bU,     0x856aeb62U, \
    0xd378e41cU,     0x9e66371dU,     0x75f6f52fU,     0x015b9dd7U, \
    0xe512a3c5U,     0xc540c3b0U,     0x81e3447eU,     0x90a01238U, \
    0xcbe8dc21U,     0x1ab3afafU,     0x8041a48aU,     0x8d142901U, \
    0x8549f9e4U,     0xd0242a87U,     0x441e5239U,     0xaae66ad7U, \
    0x9c592efdU,     0xdc224a9aU,     0x078c4603U,     0x80a1c9edU, \
    0xf1006105U,     0xffe4a497U,     0xd38a6893U,     0x5e5651a0U, \
    0x2ab57944U,     0x7e3e033fU,     0x00b341b7U,     0xc5c5debfU, \
    0x18815537U,     0x12c66ed1U,     0x24ba15e4U,     0x292247c8U, \
    0x785fce91U,     0xa3a474f0U,     0x44815de8U,     0xd01ae7e2U, \
    0x6393a61dU,     0xf84f2683U,     0xe6492830U,     0xbf7b1dcdU, \
    0xf5a18044U,     0x565ab236U,     0xbd78b51aU,     0xc616d0b3U, \
    0x75900a12U,     0x7965e6daU,     0x749c6bf7U,     0x258620fbU, \
    0x3d957eb9U,     0xa4da17c0U,     0x3f5d8606U,     0x012de7daU, \
    0xa0f99049U,     0x91ea52daU,     0x2a13d569U,     0xa0c16536U, \
    0xe2df8c4dU,     0x8ea76beeU,     0x3a98988bU,     0xd763e08dU, \
    0x4ecc75c7U,     0xcfd0ba89U,     0x7e678dc7U,     0xf5eb9353U, \
    0xe73019ceU,     0xc8ee2008U,     0x6ee90fd6U,     0x7f938c15U, \
    0x8d37b1deU,     0x5715f732U,     0x40c486f8U,     0xb5620569U, \
    0xcdbbae69U,     0x51d9cd5cU,     0x763f99acU,     0x7a37c040U, \
    0x6c4867dbU,     0x2eae91feU,     0xb5b7c40bU,     0x7b54ce24U, \
    0xd6f75852U,     0x0f199645U,     0xd2767acbU,     0x0e327324U, \
    0x1eed6db6U,     0x633678b1U,     0x7c4543ccU,     0x53cd9603U, \
    0x57765fe1U,     0x1d4c16efU,     0x530c89f1U,     0xb2b67727U, \
    0xbd7c8c08U,     0x8961e163U,     0xec274106U,     0x191134feU, \
    0x45fcc549U,     0xb7bffe19U,     0x21a62510U,     0xd412eb95U, \
    0x97d76e0bU,     0x43874c73U,     0x88151b1eU,     0xe8418e10U, \
    0xac5c9d7cU,     0x1b366a21U,     0x49303f22U,     0x0111dee2U, \
    0xae7bfefcU,     0x80f385d8U,     0xdf0720e8U,     0x83215a42U, \
    0x754f40d5U,     0xf16eb116U,     0xded4330dU,     0x142dea85U, \
    0x8e484f41U,     0x5b1cd991U,     0xa222ccafU,     0x97be3b3cU, \
    0x73342dcbU,     0xc668d686U,     0x78afc7b2U,     0xc8f42bf9U, \
    0x97df7a23U,     0xa0339101U,     0x61afb3fcU,     0xf8780020U, \
    0x9e0639d3U,     0x4186d191U,     0x88ad1c01U,     0x06235beeU, \
    0x3c483554U,     0x71e99b45U,     0xc0cb2cd5U,     0xe1c872ecU, \
    0x4012a675U,     0xfedafcc4U,     0x2f44f120U,     0xe5d7a2bfU, \
    0x9f485d29U,     0x8cf25248U,     0x917005e2U,     0x5a53f087U, \
    0x062da1e9U,     0x1113f712U,     0x105eb2a9U,     0x03de19bcU, \
    0xad1017a0U,     0x170217bbU,     0xd135ae4aU,     0x1965a429U, \
    0xb7bbc7d8U,     0x0b22b430U,     0x6520133aU,     0x1c8ed013U, \
    0x693437aaU,     0xde746598U,     0xb83665a8U,     0x1d7286d3U, \
    0xb7b7c0ebU,     0x51fb020aU,     0x790829b1U,     0x76c9bb7cU, \
    0xba4b5aa1U,     0xa1d89004U,     0x5e432bb8U,     0xe35f1a02U, \
    0x1a17c592U,     0x3c2d1aecU,     0x27140cc7U,     0xe0d56db0U, \
    0xb8df4c86U,     0xfc593e97U,     0x84ef6561U,     0x5c24641aU, \
    0x0d26487aU,     0x929ec03dU,     0x1fe669e8U,     0x47385fd8U, \
    0xd8c96b5fU,     0x6cdf011fU,     0x350bf619U,     0xd9424f9aU, \
    0xc895f1e2U,     0xdb4ebc3eU,     0x31e47a56U,     0xee8503d4U, \
    0xd6799cfbU,     0x47bd884fU,     0x5edea980U,     0xf56e4c44U, \
    0xcc1d29c6U,     0xdc3efe55U,     0x54570bbeU,     0x3b65d6d2U, \
    0x1a66a211U,     0xa9f71b01U,     0x9c9b78eeU,     0xd124721eU, \
    0x382744d5U,     0x34af6879U,     0x1008ef72U,     0xc55e2262U, \
    0xa30ea453U,     0xb4480d72U,     0x61c37c10U,     0xac57c9beU, \
    0x3a42958eU,     0x3403cf9eU,     0xd4630bdeU,     0x94cec540U, \
    0xaa107bd3U,     0x98038dbcU,     0x7e42fbe7U,     0xe4321f85U, \
    0xf294b26cU,     0x8ed051fdU,     0x2b3ec459U,     0x1ee20693U, \
    0x3544330eU,     0x1df84e14U,     0x4a85a7b3U,     0xe76a28fdU, \
    0x0fa07c58U,     0xfdea935eU,     0xbbcf4e5fU,     0x905026c4U, \
    0xdeb412d3U,     0x3d55c617U,     0x79714ba0U,     0xa925e2d1U, \
    0xe89f03d8U,     0x829ec866U,     0xe48ac80bU,     0xdce593daU, \
    0x406d9504U,     0xe2d810e6U,     0xe59d3fddU,     0x80355942U, \
    0x2ee18148U,     0x001ed282U,     0xbf8809c2U,     0x9c09c3bbU, \
    0xe73069bfU,     0xef07ef32U,     0x739d46a4U,     0xe09e1d9eU, \
    0x23adefabU,     0xb40baa51U,     0x01a17acaU,     0xc96f089dU, \
    0x0f82a934U,     0xcd3c11cfU,     0x106e4863U,     0x75d1f3d6U, \
    0x6643d284U,     0xa8cad8aeU,     0xecc659e4U,     0x33b77223U, \
    0x7998758cU,     0x64f50ac9U,     0x6a376ed5U,     0x81b772bdU, \
    0xabbcc52fU,     0xc25c5746U,     0x23f69cd6U,     0x343fc658U, \
    0x39560aa9U,     0x2700a63aU,     0x48f56c94U,     0x5f33f07fU, \
    0xa81ae3f5U,     0xd5cc01e0U,     0x38524246U,     0xc8ab7f63U, \
    0x1999d28fU,     0xd998ae4bU,     0xea47f1e0U,     0x06bf5d94U, \
    0xf3c6e0dcU,     0x51a1b6eeU,     0xaa356a08U,     0x7cedf18cU, \
    0x6b441c68U,     0xc255d2e0U,     0x31a2dbffU,     0x455795fcU, \
    0xe7b992d9U,     0x25d3c0deU,     0x08e2695fU,     0xc6391660U, \
    0xe52fe2e5U,     0x47ec5155U,     0xb3746811U,     0xab8d2effU, \
    0xb2270e0fU,     0x9c1def8dU,     0xd8e85915U,     0x423813bdU, \
    0xabce69bbU,     0x71e46d9dU,     0x47680363U,     0xda9a2886U, \
    0x56513222U,     0x0b9f425bU,     0x9736d834U,     0x41f4155dU, \
    0x0e9f0e1bU,     0xd1e6fa31U,     0x61d241eeU,     0xe191fad9U, \
    0xa536e44fU,     0xcb888272U,     0x5cc194acU,     0x41ccaed9U, \
    0x4175a1daU,     0xe0210c12U,     0x73ed440cU,     0x978b88e9U, \
    0xdcf67630U,     0xa3849f04U,     0x8a97e764U,     0x7016764dU, \
    0x2b5e5927U,     0xd1e53412U,     0x10c471e3U,     0x4af792deU, \
    0x6108879dU,     0x09746b55U,     0x482f48a0U,     0x101055a9U, \
    0x11dbc914U,     0xb3146b9cU,     0x68481585U,     0x4cf94e59U, \
    0xfe2e2099U,     0x3ebe0e3dU,     0xd7a5cf44U,     0x43e74b40U, \
    0x556f485aU,     0xb01572d3U,     0x9214711fU,     0xaab8e00cU, \
    0x41e7f740U,     0x9c75699dU,     0xf5ae6b6aU,     0x1f7b790bU, \
    0x143eda55U,     0xd07321eeU,     0xdb0b633dU,     0xd1485427U, \
    0x119d724bU,     0x835de2c7U,     0x325d802dU,     0xa47bc375U, \
    0x9adf8a6bU,     0x55c29962U,     0x4092919fU,     0x920511b1U, \
    0x60177df4U,     0xfdc7e347U,     0xb7a454e3U,     0x4e40c323U, \
    0x18a26e6cU,     0xf41ad48bU,     0x5900d9acU,     0xe21c48b7U, \
    0xfb3bf5a7U,     0x6c9ef4c1U,     0x73a0a12aU,     0x94aa85a6U, \
    0xf9ec2fb4U,     0xc3b7cc60U,     0x7c97e1deU,     0x4bed07cfU, \
    0xb97fe340U,     0x6d8fabb7U,     0x8720d6d4U,     0x38407b08U, \
    0x1a19a5e0U,     0x958b9464U,     0x2938df66U,     0x3b555185U, \
    0x08a6cb31U,     0xee25b8f6U,     0x2d40afcbU,     0x0e421d08U, \
    0xdc61c5f1U,     0xf29eb42aU,     0x54d26e96U,     0x4d0e2e37U, \
    0x3ca00645U,     0x1b0a4c4aU,     0xbf471e73U,     0xb98b1607U, \
    0x1a2fbf4bU,     0xe6bd4c90U,     0x3f1a9052U,     0x00b9b250U, \
    0x3a8ae144U,     0x0dd40a34U,     0xe28e5fdcU,     0x969197fdU, \
    0x35c73159U,     0x8ea2ac54U,     0x0e42b2a5U,     0x382b0a1fU, \
    0x793beaf6U,     0xdb3ab184U,     0x573a0dc1U,     0x9a91428dU, \
    0x98e8b43bU,     0x09335571U,     0xdf49a548U,     0x5e551681U, \
    0xc1f5fc54U,     0x4f1701ddU,     0x37c504dbU,     0x79093d63U, \
    0x05c0b765U,     0xee3c0d53U,     0x14b86e5eU,     0x4f601b0cU, \
    0x43416301U,     0x722d293fU,     0xa80347baU,     0xe7ba45b5U, \
    0xd115c36aU,     0xb9e738f2U,     0x4eb1e301U,     0xc0d2027cU, \
    0x056f8114U,     0x4ba5fd96U,     0xd7cd44b0U,     0x2b8abbe1U, \
    0x921ef616U,     0xa156a7b0U,     0xdd89395eU,     0xb03f4dfcU, \
    0x573ae65cU,     0x1c0a834eU,     0x517e2ee6U,     0x96781d89U, \
    0x6645813bU,     0x0bbf2e6eU,     0x06f91536U,     0xbec94736U, \
    0xf787a78aU,     0xdff612a6U,     0xea98d5edU,     0x2d071f1cU, \
    0xdba1b9e0U,     0x7a20fa61U,     0x069cfbb7U,     0xb0c8787cU, \
    0xc1ebd3f2U,     0xd5d65ce2U,     0x01d1e59aU,     0x8a72d54eU, \
    0x0c20dc61U,     0x762c6341U,     0x27c031edU,     0xce4c6823U, \
    0xcdb7fedaU,     0x07edee55U,     0x44ea6250U,     0x812d7f7aU, \
    0x30c25c54U,     0xd2cf1c98U,     0x7ff2c49aU,     0x31e3a4f8U, \
    0x51637afeU,     0xa3e4e887U,     0x317c4043U,     0x03c00a45U, \
    0x08bc4270U,     0xbe07c443U,     0x1a38a9b8U,     0x4bd5a093U, \
    0x4a3e50b3U,     0x0500fba0U,     0x707d657fU,     0x4c3f4c4cU, \
    0x98471820U,     0xde871af4U,     0x8c331997U,     0x11b9c95aU, \
    0x19bbc054U,     0xfab6a8a4U,     0xa5c39495U,     0x7d804b3cU, \
    0x83466693U,     0x4480ce5aU,     0xbf7a9c8cU,     0x0e0dfee7U, \
    0x8e405a65U,     0x18383b60U,     0x48262e40U,     0x91471caaU, \
    0xbf914eabU,     0x22344d21U,     0x04eb0ab7U,     0x2265906dU, \
    0x7664001fU,     0x3a2e9fd7U,     0x8da2ba98U,     0xa128f241U, \
    0x4b88efd4U,     0xf2b0dbf2U,     0x97e31c30U,     0x6d88b663U, \
    0x51b774ecU,     0x3a20d377U,     0x81354789U,     0x4e09058eU, \
    0x90e4500fU,     0xf3db211aU,     0x86a00d4cU,     0x1eea51f0U, \
    0xd63def98U,     0xc501287eU,     0x00bab6d0U,     0xbeab8985U, \
    0x33695fffU,     0xadb8456aU,     0xbed0bdbaU,     0xa5c536c0U, \
    0x67ba8230U,     0xc90c1693U,     0x80699271U,     0x84f33e33U, \
    0x7e243529U,     0x126c1c39U,     0x7c03fe7cU,     0x93024203U, \
    0x2fa48ec5U,     0x8766de2bU,     0xd4c40e01U,     0xd7c5b30fU, \
    0x81c6db88U,     0x855d53dbU,     0xfc073d4aU,     0x84cc2f1bU, \
    0xf124ae2dU,     0x65931e86U,     0xe9eecc03U,     0xd37e6947U, \
    0x5b12ab5cU,     0xd7aac015U,     0xbae127ccU,     0x09529e33U, \
    0xfb5fae27U,     0xca5efcffU,     0x8c8c1bf4U,     0x3d08f8ddU, \
    0x0f4ec63dU,     0x8a940b70U,     0xc326d843U,     0x45dbcb9fU, \
    0xbd6d5369U,     0xb09bffc2U,     0xbdcb952fU,     0x16004ac7U, \
    0x401a54a9U,     0xe7a1b8b2U,     0x9d1defc3U,     0xc7e41420U, \
    0xe90ae6e2U,     0xa0e7a4e0U,     0xae758d5aU,     0xdfade845U, \
    0x6d280d7cU,     0x54c34fabU,     0xf4c7b348U,     0xdf1d8f55U, \
    0x92ce401eU,     0xdaf6dda2U,     0xc0e18e94U,     0x2540fc59U, \
    0xc9843e4eU,     0x9b886b7aU,     0x72ce76b6U,     0x3e76f6d5U, \
    0x01f631d7U,     0x97976cc7U,     0x6c6fd697U,     0x51d03c70U, \
    0xc6370bd1U,     0x86287eb0U,     0x95bc8301U,     0xa1702585U, \
    0xf54bd131U,     0x5067b20aU,     0x6638bd25U,     0xb1a7fcc7U, \
    0x825e8455U,     0xf2fb796eU,     0x386e452eU,     0x6362b4c7U, \
    0x85a8e51cU,     0x0b448676U,     0xbf003ca7U,     0x8200055fU, \
    0x572cc74dU,     0x6f4a37a9U,     0xcfb11578U,     0x40fb6b07U, \
    0x33dbcf4cU,     0xafaa4defU,     0xa5823ddfU,     0xbdc55495U, \
    0xede65e7dU,     0x3d5a2ccbU,     0x74727daaU,     0x123de2c9U, \
    0x984a2bc2U,     0x66e69406U,     0x380cf4ecU,     0x7753bee9U, \
    0x197cd20aU,     0xa6a202d4U,     0x7a66feb9U,     0xac46ad27U, \
    0xeae684baU,     0xcbeb4383U,     0x514cf6e7U,     0x874f7798U, \
    0x8b93a6c9U,     0x2e8b5763U,     0x8d0ad0fcU,     0x08f53743U, \
    0x431a2698U,     0x1079fdb5U,     0x2f9e7423U,     0xbb67b847U, \
    0xe81ff16fU,     0x67dded75U,     0xdc7e07c5U,     0x3f757557U, \
    0x44a6f4c4U,     0x9c13f52eU,     0x91b486dfU,     0xf378c1dbU, \
    0xa0de2d8bU,     0xfb72768fU,     0x36cff4f9U,     0x095c3a43U, \
    0xc1d6764dU,     0x65f6463fU,     0xae4419e8U,     0x6612afb4U, \
    0xbbe350f2U,     0xcacb85a4U,     0x87fc94bcU,     0xb18f15d4U, \
    0x575d3c5eU,     0xc87af2ccU,     0xae7fd26eU,     0xbd2e4c68U, \
    0x51a9e128U,     0x9b5c3b95U,     0x9f445c08U,     0xef44e3f4U, \
    0x442388d3U,     0x2dde1ee8U,     0xd8e556bbU,     0x7ed1509fU, \
    0x930c6d55U,     0xffd718e3U,     0xf4a8b919U,     0xbcb96034U, \
    0x5b3c2ae5U,     0x8f9efdd8U,     0x868ceb92U,     0x2c232431U, \
    0xf76a9605U,     0x7b27d87fU,     0xf8a1eec1U,     0x4b6fe176U, \
    0xb4ce20adU,     0x22a090ffU,     0x1fa6447cU,     0xc4378decU, \
    0x159247e8U,     0x29c15726U,     0x3f5273cbU,     0x198d744bU, \
    0xf045cc69U,     0x41a878c3U,     0x065793f1U,     0xf17e9f41U, \
    0x0b459e9dU,     0x644198b8U,     0xef56b58bU,     0xfcd9f7abU, \
    0xee4f0c14U,     0xf39c89fcU,     0x02aa212bU,     0x149c6bbaU, \
    0x271190f3U,     0xd21b50e3U,     0xc01bce3bU,     0xaa6bc445U, \
    0x384d2a6aU,     0xc8c4038fU,     0x51f838cbU,     0x95cf83a2U, \
    0x42cf1bdbU,     0xf662216aU,     0xfe5247b3U,     0xdc369115U, \
    0xe44432eaU,     0x0b276adeU,     0x24f6a25aU,     0x3042efb6U, \
    0x8549767dU,     0xae879d07U,     0x446b154cU,     0xbee7d38eU, \
    0xfb3d6723U,     0x78a2aa4bU,     0x61a950c8U,     0x5b65e43bU, \
    0x060eed00U,     0xb1704b93U,     0xed038eabU,     0x9c708287U, \
    0xae3bd9faU,     0xbe57f90fU,     0x9f0d31a6U,     0xccfd546eU, \
    0x0e8ec5c5U,     0x03f55d54U,     0xacaa43baU,     0x3a3d702bU, \
    0x1ad970dcU,     0x5b1440caU,     0xdd053976U,     0xdf7ee6a3U, \
    0x787911b0U,     0xc130c88eU,     0x580f34f4U,     0x7c4cb4e1U, \
    0x8a77cb97U,     0x6b8b36f9U,     0x0a96d542U,     0xf8a595c6U, \
    0x08c52d20U,     0x54d5b8a1U,     0x87e679d1U,     0xdc052224U, \
    0x1f8af396U,     0x76fa56f4U,     0x26f8b68fU,     0x392bca01U, \
    0xa44c8778U,     0x8e312b38U,     0xeefbbd13U,     0x1633e7faU, \
    0x7a1bc0a2U,     0xc71ce219U,     0xb68b7742U,     0x1b046124U, \
    0xa5723f46U,     0xff718b50U,     0x2ffe2834U,     0xf4b5e6c9U, \
    0xb82eb6d4U,     0xf7084f1fU,     0x19fedc20U,     0x3989ece0U, \
    0xd3e557a1U,     0x729bb11cU,     0x31cac540U,     0x866e28e5U, \
    0x8d67d822U,     0x6a26e973U,     0x3c032eccU,     0x2d080dffU, \
    0xba7e5dc9U,     0x6ff929ffU,     0x22e4305aU,     0x95424ad8U, \
    0x1ebef19fU,     0xe4191f3bU,     0x93063020U,     0x0c9f0eecU, \
    0xa7e1212dU,     0xb58d704cU,     0xe507ae45U,     0x46f586aeU, \
    0x742436ceU,     0x0fa8982fU,     0x52aca470U,     0x4cb230eaU, \
    0xedd8f083U,     0x1be58a8bU,     0x6cb8cc4cU,     0xad835e79U, \
    0x666d50dfU,     0xccac430cU,     0xe5b020d8U,     0xb13ea671U, \
    0x178e1cbbU,     0x2dfc2712U,     0xbed6e414U,     0x53784848U, \
    0x04334fdeU,     0x15c21c98U,     0x75226080U,     0x2107e5ffU, \
    0x4171f428U,     0x88050806U,     0xa79b55efU,     0x10b15b65U, \
    0x4d5f15e0U,     0xf39d1342U,     0xf7c31d37U,     0x4fc3fbaaU, \
    0x3ba97e1aU,     0xe677d273U,     0x105568f7U,     0x4393c30fU, \
    0xd9a74d04U,     0x47338afbU,     0xd2dba1dcU,     0x081dbf97U, \
    0x11fbf1ecU,     0xfbb0c752U,     0xb7ba9c8fU,     0x37451f2fU, \
    0x714eceb2U,     0x26d8d251U,     0x0995bf3dU,     0x444fe8cbU, \
    0xef56aacfU,     0x9a202df9U,     0x959d1b02U,     0xcc4b302aU, \
    0xfd79d648U,     0x2f62931bU,     0xe4757469U,     0x58d4b427U, \
    0x999a365dU,     0x04fddb9eU,     0x304a7f3eU,     0xd5af9023U, \
    0xb7722f30U,     0x0dc465b4U,     0x71385416U,     0x2c602a70U, \
    0x48e252b1U,     0x2c2cc2e6U,     0x864721ccU,     0xbf417e53U, \
    0xc43ebfd0U,     0x950086feU,     0x436dd96bU,     0x18bc0340U, \
    0xa3dee7bcU,     0x4e7cdc49U,     0x9199a8afU,     0x11533b73U, \
    0x45c8b985U,     0x4aab2b52U,     0x391d9399U,     0x82ec9b51U, \
    0xe6185c04U,     0x07648b6cU,     0x2f5ea80eU,     0x55764e0fU, \
    0x329041b7U,     0xae6429b0U,     0xf3636a80U,     0x1a21d73fU, \
    0xd747e618U,     0x17ac9fd6U,     0xe2087b82U,     0x7c0e7259U, \
    0x1e4d490bU,     0x7497c833U,     0xb3aab396U,     0xb8ffc151U, \
    0x8f9fabcaU,     0x6a2d8419U,     0x3a96830cU,     0x5cbf2c44U, \
    0x307468beU,     0x99a35480U,     0x935040a2U,     0x7209ad2dU, \
    0x971b5d0fU,     0x32ea2db2U,     0x4719460fU,     0xc8c9cf06U, \
    0x7a19200eU,     0x1e963e11U,     0x78aa3823U,     0xba427d66U, \
    0x94272350U,     0x3920c9a9U,     0x3b438fdcU,     0x0e9c787aU, \
    0xfeabeaf7U,     0x9663fd4cU,     0xc04dcf09U,     0x69bef178U, \
    0x93091d2fU,     0xd5adf58fU,     0x254e08e9U,     0xa36c2754U, \
    0x730f21eeU,     0x63d7e640U,     0xd866d958U,     0x04d9f059U, \
    0x513aef63U,     0x1437618cU,     0x374a214cU,     0x648ed3e6U, \
    0x70b8b220U,     0x3c9f0b97U,     0x8204b194U,     0xf3b9a74aU, \
    0x03f9366fU,     0xa283abd6U,     0xd530fcaeU,     0xfb9c9b98U, \
    0x81ed62d1U,     0xb7052cb8U,     0xd12e518eU,     0x6d307fd4U, \
    0xb6097286U,     0x50fe7e96U,     0x37c1a77aU,     0x0cb2b9cbU, \
    0x749fb6e5U,     0xc5fc537aU,     0x2914fd4fU,     0x2c4caf55U, \
    0x0ec37ba4U,     0x6c531022U,     0xffafd523U,     0x892d1ca3U, \
    0xcdcacf79U,     0x40885fe7U,     0x8aea93a0U,     0x2f3dfef0U, \
    0x35e82fccU,     0xbf1de958U,     0x72d4d853U,     0x6707770fU, \
    0x58fa6761U,     0x323fc065U,     0xfc037ff9U,     0xa6f6e56aU, \
    0x287dc685U,     0xacbe0995U,     0x8f416affU,     0x19b8a8c7U, \
    0xd1e350dbU,     0xc2683d5cU,     0xfd1f8bedU,     0x9fd5acddU, \
    0xba984d43U,     0x6be50d49U,     0x3e013be9U,     0xcaecf18bU, \
    0x6d32d132U,     0x19d4dc08U,     0xa46d11c2U,     0x2ff8db18U, \
    0x92a1e279U,     0x3d211954U,     0x24fe4b18U,     0x66343abfU, \
    0xef0536ebU,     0xd547b2a5U,     0x42ea75caU,     0xb3448dfdU, \
    0xb6591e46U,     0x90b439d5U,     0x65ff2decU,     0x93e23077U, \
    0x05223165U,     0xa2231892U,     0x6027f0ddU,     0x6d480a5fU, \
    0xc589313dU,     0xf7ad68e8U,     0x3b6ee5f2U,     0x9fd1293dU, \
    0x1fae6f64U,     0xd0052facU,     0x60c34609U,     0xe9cf0d07U, \
    0x07a43a27U,     0x01daf5f6U,     0xe0ff25f8U,     0xf1f7fce8U, \
    0xa13d1f19U,     0x04c0243eU,     0x6d995116U,     0x8ce1f32bU, \
    0x68688213U,     0x6e140964U,     0xd828f2afU,     0x4de5e079U, \
    0x52c97605U,     0xb8edaef0U,     0xa43b0fb2U,     0x9ea41d77U, \
    0xa2bd366dU,     0xf4b76861U,     0x0d5e6c4bU,     0x4ae3a2a4U, \
    0x58943ae2U,     0xde8d02cbU,     0xd6c85acdU,     0xec4c39b4U, \
    0x19407fb2U,     0xb15a60ccU,     0x780f2289U,     0x641ec316U, \
    0x862ed06bU,     0xfdcaf596U,     0xb0b41d65U,     0x1d56494fU, \
    0x5d803d28U,     0x4963049dU,     0x91057ddaU,     0xf5247eeeU, \
    0xa665d3e9U,     0x53207687U,     0x0b873f96U,     0xc6b2e38fU, \
    0x21af4529U,     0x12a5ed72U,     0x25df6bf0U,     0x5b918e4fU, \
    0xa0590846U,     0x1327bc64U,     0xf25bce0aU,     0x8d91675eU, \
    0x5500446eU,     0xa631287bU,     0x3db61568U,     0x1a6203caU, \
    0xe6f1aa5cU,     0x47f01e73U,     0x827602a0U,     0x952bd5e4U, \
    0xe23d9010U,     0x98975e13U,     0xfab4f3cbU,     0x211aa0baU, \
    0x17d70a36U,     0x2333e17aU,     0xbebcf4efU,     0xe737a54eU, \
    0xe0185c1dU,     0x97372434U,     0x799ace1cU,     0x2291cf4eU, \
    0xeefd3c69U,     0x76f40ef8U,     0x5ff1ee71U,     0x4293b304U, \
    0x126e8f76U,     0x6dd9f22eU,     0x73e8e9e2U,     0x23da8d9eU, \
    0x129d4884U,     0x737d2231U,     0xe1dcfc55U,     0x06769c2dU, \
    0x0724f5d3U,     0x1a843dddU,     0x480f762eU,     0x1279f3eeU, \
    0x5d9c95b2U,     0x7609cff9U,     0xad0dbf6cU,     0x5a580b1dU, \
    0xa4b6a716U,     0xb3ad0115U,     0x252fef5cU,     0x0d1bf6d1U, \
    0x5b665ed1U,     0x40449c2eU,     0xd5d7e337U,     0xd051a0b8U, \
    0x7022bd30U,     0x1f97f936U,     0xd9b5d507U,     0xf6c61fc2U, \
    0x5bf7f632U,     0x7d5b8815U,     0x965e154cU,     0x4c444bcaU, \
    0x959bf528U,     0x581a30f5U,     0xd7dc1c31U,     0xcfb8a867U, \
    0xcfecdcd0U,     0x82a9be99U,     0x30f63b73U,     0x3ad18118U, \
    0x3b1a9f58U,     0xde9b4fd8U,     0x29a8f6abU,     0x5b0a61f7U, \
    0x1918b7d5U,     0x520891d7U,     0x66a65c19U,     0xb151b0beU, \
    0x09f544b9U,     0x4ed940e2U,     0x7e0d5493U,     0xeee6d5e7U, \
    0xe5dc422aU,     0x332d0882U,     0x0d5c2b07U,     0x69dcbabbU, \
    0x65153d91U,     0xcdadfee7U,     0x0a3dc1a8U,     0x22420a7cU, \
    0x1b27063dU,     0xdac20e36U,     0x1ae8e100U,     0xb46c0090U, \
    0xd3b39475U,     0xe2e7ed7dU,     0xc1bcfe3dU,     0xec4f67cbU, \
    0x67c9e97dU,     0x6a8301d6U,     0x541e5f06U,     0x1112ae9aU, \
    0x5158225cU,     0x7fa59755U,     0x88b206caU,     0x6af793fcU, \
    0x92301f92U,     0x9d534b13U,     0x68653006U,     0x8e7cb883U, \
    0x29165dddU,     0x4b7c3fbdU,     0x52707390U,     0x25b079aeU, \
    0x998f510fU,     0xede81c13U,     0xad025fdeU,     0x9e60756dU, \
    0xe50a81acU,     0xe8784b74U,     0x4ad26978U,     0xadf8b574U, \
    0x95439a59U,     0x2849496eU,     0xa34abde7U,     0x854e58eeU, \
    0xcc2d7ff4U,     0xf62476aaU,     0x4621fd61U,     0x9fe00e46U, \
    0x42a93bc8U,     0xcbe3bc3bU,     0x58df4eaeU,     0xb9d45652U, \
    0x6923d77dU,     0x689cc08fU,     0x466a17e4U,     0x9110d3aaU, \
    0x21739934U,     0xfe64af6eU,     0x0f279cd2U,     0x38542af1U, \
    0xda2df942U,     0x22f6b0b2U,     0x707617c9U,     0x4e53f772U, \
    0x8bbd72daU,     0x922bcbe3U,     0xb58e6542U,     0x6a498ae7U, \
    0x7c234823U,     0x86048fe8U,     0xb47e6df5U,     0x3ffb7754U, \
    0xf68272dcU,     0xfb7ae3f2U,     0x70200adfU,     0x739483f3U, \
    0x529d63b5U,     0x2f8d42c7U,     0x3f59ed4eU,     0x28ea3825U, \
    0xe5ca5871U,     0x08aac524U,     0x847ba757U,     0x8b0c796cU, \
    0x6d3eb9abU,     0x1801724eU,     0xb97ce7faU,     0x79cdd77dU, \
    0xd4a50303U,     0x5b32c7cfU,     0x02da1fe7U,     0x12540d88U, \
    0x25f3173cU,     0x842af94cU,     0x101fcce1U,     0x62c4605fU, \
    0xbc36b964U,     0xd22e79a9U,     0x3e98a919U,     0x12584d7aU, \
    0xac3632b5U,     0x75df527aU,     0xda62e7f4U,     0x5fe3edc0U, \
    0x992fe00bU,     0x4487c3ceU,     0xfbf43469U,     0x8bc5e51dU, \
    0x58fba6e2U,     0x60f8f816U,     0xa4c84b40U,     0xc6c2f711U, \
    0x2b3b0a26U,     0x94448098U,     0x3919d02fU,     0xbe66e129U, \
    0x48dce9a3U,     0x8b30f0dfU,     0xcc155b17U,     0x2596c2f1U, \
    0x0e4bd000U,     0x2eda01ceU,     0x02967748U,     0xe1c5ae94U, \
    0x0984a93cU,     0x65deb973U,     0xe44c32e6U,     0x97a5449cU, \
    0x0cabaed1U,     0xd3b127cbU,     0x0d8d4ed5U,     0xb7b01a48U, \
    0xcdbabafaU,     0xa2f78703U,     0xeaa68d89U,     0x473dc0afU, \
    0xd6895e03U,     0xd8041f67U,     0xc3aa4041U,     0x78c5359aU, \
    0x604866b8U,     0xdc7291e5U,     0xd08af7ebU,     0x6d1561f0U, \
    0x2a9e60d7U,     0xc3927ec1U,     0x5fa7834fU,     0xf229cf67U, \
    0x7ff1f4a1U,     0x864ef9a5U,     0x085f14a0U,     0x5c2ed8b5U, \
    0xa1aac6eeU,     0x97c8c358U,     0x4e47f691U,     0x2adfda91U, \
    0xd6d61b90U,     0xa8a7f3bcU,     0x94f7eda8U,     0x23aa17c4U, \
    0xcc987c7cU,     0xf8616ed7U,     0xaa2a5007U,     0xe668c997U, \
    0x50245758U,     0x8bda3dccU,     0x644b98deU,     0xfeb5f33eU, \
    0xb9f7b085U,     0xb9d727baU,     0x380a938eU,     0x7fd947c0U, \
    0x4a5ffa6bU,     0xe4c436c4U,     0xe48cbf34U,     0x08647901U, \
    0xfecadb15U,     0xb2dfd87cU,     0xccc9e90aU,     0x4d2b118eU, \
    0x59825769U,     0xf993855dU,     0xf7799e50U,     0x2d87920eU, \
    0x344d1a7bU,     0x5b21ec60U,     0x064e00f3U,     0x6f762989U, \
    0xc41d847eU,     0x2c3ab4ebU,     0x5eef5165U,     0xe2c9c07cU, \
    0x7885e434U,     0xa6ea617aU,     0x2da8fa66U,     0x7a593c0dU, \
    0x6f2f06ddU,     0xc1fd2d11U,     0x152f2390U,     0x55f4e78fU, \
    0x3bd7533fU,     0xd25434e9U,     0x27f5343dU,     0x45381638U, \
    0x006aab14U,     0x9401826fU,     0x5d823b44U,     0x12a077b5U, \
    0xb6f6b737U,     0xd71a92b6U,     0x59bf8a85U,     0x74eebb2aU, \
    0x51b3fa5eU,     0x3d5bd8f8U,     0x9c812411U,     0xa5a813c3U, \
    0x6699b284U,     0xa5dce305U,     0x3bd1db64U,     0x0dd63d11U, \
    0x1719e48fU,     0xdc7324c1U,     0x822a8d16U,     0xf8e81478U, \
    0x6e36b876U,     0x1bbe8fdcU,     0xf6f6227dU,     0x1f3ea5efU, \
    0x5b7a1bb5U,     0x92940a26U,     0xbee65cd8U,     0x27ac2e0cU, \
    0x9b4f06f4U,     0xb8be87e5U,     0x8ced88e5U,     0x30ac2a34U, \
    0xa0e09a3fU,     0x497f5443U,     0x0c52222cU,     0x63a84ec7U, \
    0xb1c05b99U,     0x13a9c767U,     0xbcfde07eU,     0x1ef2da8eU, \
    0xe212d904U,     0x5bd8e77dU,     0xf480f076U,     0x9e9f8fd4U, \
    0xf5a793a1U,     0x30f9dd10U,     0x3ee81b3dU,     0xd49770c8U, \
    0x267f6a68U,     0xcdf3ea6fU,     0xcc081822U,     0x14d84f55U, \
    0xe9ab5c80U,     0x4f401331U,     0xe6314a53U,     0x7478653eU, \
    0x51f2de7dU,     0x147137bbU,     0x948e6e98U,     0x8f3737e0U, \
    0xef8fd766U,     0x502787ceU,     0xb15c6dbeU,     0xbc68b083U, \
    0x8e8f5db9U,     0xaec61bc3U,     0x3bda5d0fU,     0x125c4912U, \
    0xf52dabc2U,     0xfdbc9ea6U,     0x3451634aU,     0x56b235a7U, \
    0xce00214aU,     0x3752cce7U,     0x29f7ce62U,     0xb45d7b33U, \
    0xe08dcae8U,     0x68b03714U,     0xfbe3cb5bU,     0x29715609U, \
    0x89b49894U,     0xa8993e3eU,     0x436b7c45U,     0xfdc56341U, \
    0x47f329a1U,     0x83c61c8dU,     0xdc1c00f3U,     0x80c93506U, \
    0x65e11d2dU,     0x88bb02c8U,     0x87b43cbdU,     0xd47919a3U, \
    0x7e492998U,     0xa87034abU,     0x39e663feU,     0x79a208bbU, \
    0x9da4d381U,     0xd426d792U,     0x23182c23U,     0x932142d9U, \
    0xef15566bU,     0x13982db5U,     0x9f8687f8U,     0x10e1faceU, \
    0xd5dc92a4U,     0x2d4f97b4U,     0x75313b96U,     0x98145569U, \
    0x8bb7ddfbU,     0xa879e900U,     0x76edf394U,     0x75bca408U, \
    0xc7bcb033U,     0x3a983a3aU,     0xfbd1985dU,     0x7517486cU, \
    0xcc08d559U,     0xadae352cU,     0x35d6fc2bU,     0xf0b9c907U, \
    0xccd089e0U,     0xddd80486U,     0x87ca9e84U,     0x4ef58720U, \
    0x7da44263U,     0x6026dc99U,     0xbf035a35U,     0x91396ebfU, \
    0x7c066568U,     0x9dd98927U,     0x70f84703U,     0x2b24fab1U, \
    0x2bd3b56bU,     0x504dcdc6U,     0x39af9c8fU,     0x9755b5b7U, \
    0x31d5d744U,     0xf800d56eU,     0x759b0360U,     0xdcab5f38U, \
    0x2ebcdae7U,     0xe701d2efU,     0xf9c7083cU,     0xa4e8910cU, \
    0x2a102cbcU,     0xb7c9979aU,     0x747ef258U,     0x445f91a3U, \
    0xae32960fU,     0x8347ba30U,     0xcb204b9aU,     0x75072ce9U, \
    0xf63778acU,     0x9cb7f23fU,     0x12ea9783U,     0x9c89d26cU, \
    0x297c2a77U,     0x3b90789eU,     0xa1881fc4U,     0x99412863U, \
    0xad5f85a5U,     0x93d5f81cU,     0xf11f13b0U,     0x88e3cd42U, \
    0xad89bc98U,     0x2dd1c169U,     0xa9d12accU,     0x152c30c6U, \
    0x760e19b3U,     0x526bf644U,     0xdf0373b1U,     0xe3e4d7deU, \
    0xdcce0f45U,     0x627467c0U,     0xff9f019cU,     0xcc93dccbU, \
    0x7ea8f9a4U,     0xff1bfd6bU,     0x00a94e63U,     0x1e4ebfc7U, \
    0x89c9f374U,     0x227c8f5fU,     0x1a0a3dd5U,     0xda26f69eU, \
    0x45eba126U,     0x26b19ce8U,     0x43fc8d95U,     0x36703ea8U, \
    0xc45d1c6bU,     0x4749d2a9U,     0xe8d02af2U,     0x5a967d47U, \
    0x3ca2e8a7U,     0x60e43ed3U,     0x0ca69f74U,     0x9c11a6d7U, \
    0x7431429cU,     0x549799ffU,     0xdbb736d1U,     0x70a3bd88U, \
    0x36c94de6U,     0x945315dfU,     0x414216ddU,     0x03c651eaU, \
    0x4d352a01U,     0x54390445U,     0x0799d9e7U,     0x85b0d4cfU, \
    0xa156d25dU,     0x07ac633aU,     0x215fe2a4U,     0x78ab402dU, \
    0xe2a3e6a7U,     0x5d87da28U,     0xbd85279aU,     0x87dbea1eU, \
    0x1b921235U,     0x7c9f59deU,     0x0237d808U,     0x99c6b3c9U, \
    0x093dc6d0U,     0x211d86fcU,     0xe7b41f13U,     0x86d44ca4U, \
    0x866923e3U,     0xf5f69d12U,     0xf226e889U,     0x39d7744cU, \
    0x1b2a4fb9U,     0xc479a466U,     0xbd837f94U,     0x31934bd4U, \
    0x92d154d5U,     0x113261a0U,     0xd2b5a710U,     0xf97c6d65U, \
    0x6ed15078U,     0x0eb83008U,     0xb6a2881fU,     0xacab856aU, \
    0x6d0e0211U,     0x6dbebf8aU,     0xf8ebd912U,     0xf21a4f07U, \
    0x18ec6051U,     0x7616d4f0U,     0x02c59a60U,     0xb93f795aU, \
    0xca5653d4U,     0x65f3d12cU,     0x8b9776cbU,     0xdc33d81aU, \
    0xaa71ad2dU,     0xe0261daaU,     0xbae06cc5U,     0xb4802b37U, \
    0xef709267U,     0xe37c2961U,     0xdd66f336U,     0x47a42a14U, \
    0x44e6cfbeU,     0xc98e9d58U,     0x10449d8eU,     0x9fc6b2aeU, \
    0x761b4c2bU,     0x40162e8eU,     0x46a09c8bU,     0x318c019fU, \
    0x14ddd763U,     0x4f680f9bU,     0x166180efU,     0xc67570e2U, \
    0x7738602eU,     0xdeda1b72U,     0x507adcc2U,     0x39a13533U, \
    0x3e182216U,     0x7195d9c0U,     0x438a7572U,     0x74326d87U, \
    0xf4b4f83aU,     0x40fbb36bU,     0x01d4996eU,     0x54a0c976U, \
    0x49fd30f7U,     0xa3343abfU,     0x11253870U,     0x14420da2U, \
    0xdcd9edecU,     0x69244628U,     0x9f16535bU,     0x6477866cU, \
    0x53d2a19cU,     0xb8655237U,     0x3a4c435dU,     0x2142d495U, \
    0xd006603eU,     0xfbcbde7cU,     0x79a646a5U,     0x08465031U, \
    0x8a2d3c8aU,     0x76e3a9f4U,     0xfa54c0d0U,     0xc4e88d40U, \
    0x32caeb4cU,     0xead6c16bU,     0xe7fb8c9dU,     0x2a7119d3U, \
    0xbdf637c2U,     0x4b37acc6U,     0x77d33a69U,     0xa3585e86U, \
    0xa92fca98U,     0xd7b9f2beU,     0x0a7f434cU,     0x73741720U, \
    0x44f796e5U,     0x54f3971fU,     0xf424f392U,     0x1e833db5U, \
    0x12ff2579U,     0xaf2695bfU,     0x10b6963eU,     0x2d7cdbe4U, \
    0xd0356437U,     0x5dd13fe5U,     0x99790331U,     0xa4efbeefU, \
    0xb959020aU,     0xeea1de3fU,     0x162b6adfU,     0xb97526bcU, \
    0x877980fbU,     0x7a3e36daU,     0xf7fcac92U,     0x6f6858eeU, \
    0xbd53918fU,     0xc8d69f47U,     0xb4cf6c5eU,     0x4a3dcff4U, \
    0x8eb3496cU,     0x65fab8a0U,     0x3506a0a8U,     0x17a4c847U, \
    0x821eb3f3U,     0x7aab3647U,     0x2de357b4U,     0x71921182U, \
    0x68506c26U,     0x986e5160U,     0x4dc59b31U,     0x695e8e6eU, \
    0x68b2a67eU,     0xf4678378U,     0x8598d071U,     0xbb856eb1U, \
    0xf8b28295U,     0x36bf3480U,     0x5d0f234aU,     0x63558efbU, \
    0xab2242a7U,     0x90d9370eU,     0x971d6a23U,     0xc665486bU, \
    0x6b12121dU,     0xac4cb880U,     0x9c5c0117U,     0x1bab285cU, \
    0x1a7a879eU,     0xb9ae7b60U,     0xe857fc08U,     0xe29268eaU, \
    0xea686ecaU,     0xdb7479dfU,     0xdff668faU,     0xda6bdd66U, \
    0x361a752cU,     0x408f1692U,     0x132d0637U,     0x20045b7cU, \
    0xd75cb3b6U,     0x66f46a4fU,     0x20f04d0aU,     0xfc8f8240U, \
    0x0a2f2f20U,     0x15aa149eU,     0x4ba170feU,     0x61a76893U, \
    0x1397b531U,     0xe966bbdfU,     0x31606785U,     0x4f82659cU, \
    0xbab8a5baU,     0x64ad1ee1U,     0x6aa58c50U,     0x028deca3U, \
    0x06f4810bU,     0xfdfe53abU,     0xebe4e0d9U,     0xe769374eU, \
    0x5053b421U,     0x0123172dU,     0x526b0962U,     0x39a47442U, \
    0xa4908a71U,     0x45964f34U,     0x995d90ceU,     0x648954c8U, \
    0x775e3e86U,     0x9e161adcU,     0x876437ccU,     0xe2352c5bU, \
    0x095c2b9bU,     0xf489a6c5U,     0x013f00f4U,     0x03072e60U, \
    0x11f34ba2U,     0x21a27fb1U,     0x03630653U,     0x16a5b924U, \
    0xbbb51645U,     0x44aa3fe3U,     0x9f8833efU,     0x47770b0aU, \
    0x277ef794U,     0x6d83fb5fU,     0x8bba1119U,     0xed153266U, \
    0x482f13dcU,     0x2c1875f0U,     0x163c3b80U,     0x1f294b1dU, \
    0x09638569U,     0x11b73cbaU,     0x502b3c74U,     0x4f13f5e7U, \
    0x1e6e0151U,     0x70eb467aU,     0x9c0795baU,     0x279f109aU, \
    0xa595db57U,     0x168b01efU,     0x89bc9d20U,     0x60e049a1U, \
    0xe54ae2a6U,     0x7270f824U,     0x8c3a3c26U,     0x8c7ca53aU, \
    0x4b64ffb3U,     0x2f1792c6U,     0x37b2e4d8U,     0x8e812b7dU, \
    0x582de249U,     0x4531b6f3U,     0x8f04f8cfU,     0x446ab57eU, \
    0x7ffe6a7fU,     0xc2a55102U,     0xf01ba032U,     0xeda3cbd7U, \
    0xd3cf2f76U,     0xc65176adU,     0xc5300c83U,     0x84efdb00U, \
    0xa60835c9U,     0x07c4e0e3U,     0x5f1399aeU,     0xef67fdd1U, \
    0xfee732baU,     0x45919d81U,     0x1cdfaf25U,     0x4bec19f8U, \
    0x6bd30884U,     0x1bcade33U,     0x1ad023a9U,     0xd0681719U, \
    0x7ce7ee0bU,     0xe591270eU,     0x6e90396bU,     0x2a36a0bdU, \
    0xeca97e5dU,     0xdbe466f1U,     0x8acc31f3U,     0x9e4e3991U, \
    0xf7429a8bU,     0x475e060fU,     0x8337024fU,     0x1eb84ff3U, \
    0x0edd97e5U,     0x60221252U,     0x105e71d1U,     0x2396eb73U, \
    0xe020aff0U,     0x51eb691dU,     0x878e5ec7U,     0xc0b9742aU, \
    0x6b39b385U,     0x99b3ce9dU,     0xb66b04c3U,     0x31fe71c1U, \
    0x04a3f9e5U,     0x51bd1395U,     0x474cd7d5U,     0x6fc376c8U, \
    0xde26698fU,     0x3dfb5e57U,     0xac4fa23aU,     0xc0a4cf0aU, \
    0xa1e9a29bU,     0xc8f91b8eU,     0x35522202U,     0x01df90f4U, \
    0x22625eddU,     0x143fac45U,     0x72b1344cU,     0x1be6f60eU, \
    0xcf6125afU,     0x5ceaf0a9U,     0x450f05b8U,     0x93423d6aU, \
    0x94bc51bfU,     0x852d7f72U,     0x0b8c0365U,     0x46ac72d2U, \
    0x71714e9dU,     0x5bdb8e89U,     0xfc5b79b5U,     0x00c3e782U, \
    0xee4bea44U,     0xb193b333U,     0xd2470e69U,     0xd46804bdU, \
    0x8801c7beU,     0xb98d07a9U,     0xb9f36191U,     0xcd7edf15U, \
    0x8fbb9d3eU,     0xb323a121U,     0x3ab34857U,     0x5b479932U, \
    0x30bc6f70U,     0x166136f0U,     0x9921bb2bU,     0xf89afe0cU, \
    0xf7556362U,     0x9b383183U,     0x8a1015d6U,     0xaa364305U, \
    0x913f1e10U,     0x10b2988eU,     0x00117ffcU,     0xe95fa52eU, \
    0xab74c55dU,     0x646ad46fU,     0xfc8c983dU,     0x4c22a3c5U, \
    0x57a69728U,     0xc131eb78U,     0xebc1276aU,     0xe3b31ba9U, \
    0x6a1688b2U,     0x7b8fbbbeU,     0x1509a141U,     0x8a70c739U, \
    0xa6369eacU,     0xf4478156U,     0x6de0c744U,     0xb89aaf9cU, \
    0x79a03cf6U,     0x9dd8442bU,     0x4b7266caU,     0x58ff33e5U, \
    0xb6a13dabU,     0xc29cb590U,     0x46b64be6U,     0xdab3ced9U, \
    0xed3e534aU,     0x9f229cacU,     0x02a1bc41U,     0xb48fb5a7U, \
    0x47a5ad6cU,     0x7d1ac9eaU,     0xbbf4826eU,     0x12f9f3afU, \
    0x0d96a0f5U,     0x5223ddcaU,     0x899a94ceU,     0x2316a005U, \
    0xf38c043bU,     0x656583c9U,     0xd1ad8e10U,     0xd8a8692aU, \
    0x0cda7288U,     0xc613a0d5U,     0x72c9d18aU,     0xbb97674eU, \
    0x1f49ecd8U,     0xae31a5e4U,     0x4f098328U,     0xffabb28dU, \
    0x7ea85e63U,     0xda63a91eU,     0x16868b48U,     0x04a0c395U, \
    0x94b7749aU,     0xc4fffb3cU,     0xadbfd4c5U,     0xcce4508fU, \
    0x46970952U,     0x968891e5U,     0x5a5bb3fbU,     0x9bbd3741U, \
    0xe450d9d0U,     0x863a7f32U,     0x00c8f100U,     0x35adab34U, \
    0x07aca803U,     0x1c1aabd3U,     0xc99bafd8U,     0x2afbe3a6U, \
    0x31cac28aU,     0x499f460fU,     0x3cd64ae4U,     0x0443b9e4U, \
    0x07149f90U,     0xd8229459U,     0x1a9442faU,     0xf4ce5506U, \
    0xb512b16fU,     0x74ba518fU,     0x4ffd1d0fU,     0xc19ec6f3U, \
    0xe7138a5eU,     0x5443a900U,     0xc5d39bccU,     0xf1a160e2U, \
    0xd8154f10U,     0x968a0b69U,     0xf85338e3U,     0x47e68ad3U, \
    0x68728bd9U,     0xc12cb5c2U,     0x0ef00fa6U,     0x26a3e957U, \
    0xc5468390U,     0x1f01d47cU,     0x0e12b103U,     0xb78e790dU, \
    0x7d8b1a18U,     0xe541269fU,     0xc4afbdecU,     0xd9b849fcU, \
    0xd8ed992fU,     0x29e63df4U,     0x7fff70fbU,     0xb797757aU, \
    0xcbaa01b6U,     0x2b5fa7f1U,     0xecd3b264U,     0xe490bde4U, \
    0xc897b281U,     0x45c1b051U,     0x6734c77dU,     0x9cff7724U, \
    0x318f7677U,     0x3eac1615U,     0x54b2304bU,     0xb82a3215U, \
    0x4ce0c2e5U,     0x05ee70c9U,     0x7e469e0cU,     0x8b1d9646U, \
    0x6bd6f9d5U,     0x398765a5U,     0x4334ad22U,     0x91d0b68aU, \
    0xedcdaa11U,     0xee5196caU,     0x7db4aef8U,     0xad9fd219U, \
    0x70ac7282U,     0x398c2720U,     0xc6a6838dU,     0xf559e71fU, \
    0x6fe0fc89U,     0x802e6fb6U,     0x9353bd02U,     0x5fa907caU, \
    0x0032c194U,     0xb0eb7f6fU,     0xbb692a47U,     0x2ae77874U, \
    0x9eac614fU,     0x63d9bc2cU,     0x7c070c24U,     0x3971c64cU, \
    0x5ecbc141U,     0xeb239887U,     0x2dbe029bU,     0x41c098ffU, \
    0x5a62483bU,     0xc467189cU,     0xb51afd4dU,     0x020dfc9aU, \
    0x929b81feU,     0xcd84dfccU,     0x1539e55cU,     0x5745bef6U, \
    0x01a68fe3U,     0x4fcd2ec9U,     0x25a181c4U,     0xbb38c44dU, \
    0x223876c1U,     0x59a880a5U,     0x9584d2f6U,     0xd1a1c9f6U, \
    0x6d32a80cU,     0xcc9432c7U,     0xd6499f71U,     0xcb5507d6U, \
    0xc943e023U,     0x55d2900eU,     0xea499063U,     0x77cb4b66U, \
    0xf32c8fb2U,     0x8613e5c4U,     0x8d8161b9U,     0xebe79131U, \
    0x25f3b4d4U,     0xe3037fdbU,     0x7c05691aU,     0x14ce2796U, \
    0x2a1882a8U,     0x6d25614eU,     0xc197c571U,     0xa8410b66U, \
    0x939caa64U,     0x5dd99e07U,     0x7cf416e3U,     0x4ecaffd1U, \
    0x0288dd98U,     0x4c8f92f9U,     0x1f63b7bfU,     0x3591b4f1U, \
    0xa44b6b3bU,     0xdb49541dU,     0x222e50b3U,     0xb8dfb9fdU, \
    0x35b6a74cU,     0x2e8f43f7U,     0xe7021da1U,     0xaa040dc4U, \
    0xc188c956U,     0x8242e4d9U,     0x46c614c8U,     0x53f37b3fU, \
    0xefe5d26dU,     0x42f0a0baU,     0x04d3b6d4U,     0xae910591U, \
    0x41a4c325U,     0x117de559U,     0x577dab03U,     0x129b4feaU, \
    0x731a3e5dU,     0x001d4ee9U,     0x263646deU,     0x33523ecfU, \
    0xd17135daU,     0xbbd90634U,     0x61cbc2d2U,     0xcd8619c6U, \
    0xbb952b23U,     0x7c4c6c2aU,     0x1ac1f57eU,     0xafb36c3bU, \
    0x90bf68c3U,     0x7e9faf72U,     0x790e3e55U,     0xaad67dc8U, \
    0xc218ce80U,     0x61ee7b36U,     0x0917121cU,     0x0b51a8d7U, \
    0xedc6c9a2U,     0xe9e44567U,     0xb3019cb1U,     0x0e68b90fU, \
    0xa09d5bf6U,     0x7d240391U,     0xc9af772bU,     0x3dab54d9U, \
    0xa0ca1187U,     0xdf49a32bU,     0xc13fa008U,     0xf586abe1U, \
    0x7df77db8U,     0x7cdb88e4U,     0x8c9079a9U,     0x054d0429U, \
    0x4dbd3367U,     0x02180520U,     0xc8541d44U,     0x896d4ba2U, \
    0xe33facd1U,     0x9c3ae6c1U,     0xb05bcdcaU,     0x9ea071f0U, \
    0xbf880b8bU,     0xa2740d09U,     0x1380912bU,     0xfebf032cU, \
    0x8f435236U,     0x4b931966U,     0x1b99aec3U,     0x28fb00a7U, \
    0xc8067034U,     0x0957d194U,     0x4eb8c005U,     0xda1c8be2U, \
    0xd5419f3aU,     0xe745d84cU,     0xae7bb2f9U,     0xdbd7c663U, \
    0xd8d9311aU,     0xf03c2d37U,     0xf2b315baU,     0x989df3dcU, \
    0xf3c1bfcfU,     0x6e762355U,     0x7f1169c8U,     0xaa5c315bU, \
    0xc9c5e984U,     0xd12e36eeU,     0xb8db7ea1U,     0xd01150edU, \
    0xd9beb852U,     0xc5e0b472U,     0x35205277U,     0x89392113U, \
    0xcfd38bb0U,     0x1f56c87dU,     0xe83febfbU,     0x6dd31947U, \
    0x24a0a3e1U,     0x8b851471U,     0xd0217532U,     0x020bddc4U, \
    0x17721208U,     0x57753c2eU,     0x43168f15U,     0x2b743f75U, \
    0xc26a7713U,     0xf6bbb770U,     0x8f5106b0U,     0xf8bbb913U, \
    0xa60020cfU,     0xd9b706adU,     0x16b3d8d4U,     0x38355263U, \
    0x1fe0f311U,     0x2e127db1U,     0xc9069ce3U,     0x7cb65870U, \
    0x5dd51397U,     0xa0738fa8U,     0xb4bff5b2U,     0x97ef72deU, \
    0xbcbb741aU,     0x9bfb89a4U,     0x661c4501U,     0xf0380ddaU, \
    0x610e9ddcU,     0x8c2d597bU,     0x4cc8d9c9U,     0x56636396U, \
    0x8dbff547U,     0xd4424fcbU,     0x50f980c4U,     0x8c462d5dU, \
    0xd1bf6dacU,     0xd32be540U,     0xb211c9c8U,     0xd97da78eU, \
    0xaa6caf4cU,     0x5ff3d62eU,     0xb36a2d56U,     0xdacda1cbU, \
    0xbf722136U,     0x580ffb12U,     0x8c5731a0U,     0x06daf934U, \
    0x170ef66dU,     0x66a5bb86U,     0x7eb7c682U,     0x6919ae0cU, \
    0x44e21c87U,     0xf6e8d90fU,     0x7442d869U,     0x4f137dc6U, \
    0x85411dd6U,     0x12e05e5cU,     0x367f0b3eU,     0x6e31d09fU, \
    0x394c765cU,     0x465bd68cU,     0x6bdf29dfU,     0x9f28c119U, \
    0x4ad3dbb7U,     0xbde0aaa3U,     0x9f2e67e7U,     0xef522d1bU, \
    0x61439382U,     0xacdfb774U,     0x77c169deU,     0x9b748b40U, \
    0x7c19bdc7U,     0xb15a16efU,     0xfe7a5050U,     0x7c5a3b6eU, \
    0x200e0f3eU,     0xec34087fU,     0x0257e1aeU,     0x95a98580U, \
    0x63b18fbaU,     0x920d9cd7U,     0xfabb5243U,     0x90dbbc0dU, \
    0xe9b61d5cU,     0xf9855242U,     0xa0d41d57U,     0x7ce2846eU, \
    0x9c7bc9c0U,     0xbe5e6101U,     0xe16c77c9U,     0x94c66f32U, \
    0xc1d7a30cU,     0xe7e26036U,     0xac003212U,     0x9820e044U, \
    0xc5838060U,     0x513af512U,     0x05106c0fU,     0x3b239c12U, \
    0x936456f4U,     0x4cdf0305U,     0x3d3055e8U,     0x1e79922fU, \
    0xc9b29cedU,     0x53809c27U,     0x7290926dU,     0xbedcec46U, \
    0x89ebd313U,     0x96f00435U,     0x798cda14U,     0x99d1b720U, \
    0xaf896a47U,     0xa6a00a83U,     0x064c7ea6U,     0x368bfab3U, \
    0xcb62df2aU,     0x47569d56U,     0x6f28ce66U,     0xdb421e0cU, \
    0x43055844U,     0x6cc41f0dU,     0x395c6290U,     0xffef9677U, \
    0xc85d75a5U,     0xe2e8e6a6U,     0x08ade8fcU,     0x29359357U, \
    0x579b947eU,     0xfbffc1f8U,     0x6e422d4dU,     0x3b3abf4fU, \
    0xe02a8d5dU,     0x9313d1feU,     0xfd47bf7bU,     0x6ea5aefcU, \
    0xd6531435U,     0xfac4dc16U,     0x572580a3U,     0x6bb1e4efU, \
    0xfe7b50b9U,     0x2d09aa6dU,     0xf8a98c75U,     0xb7548920U, \
    0x503132acU,     0xaa40a875U,     0xdb24b5c1U,     0x90a206f4U, \
    0x632a8c0aU,     0x71cd1a4bU,     0xcd8f3e79U,     0x1fe8e59dU, \
    0xe9e9ed71U,     0x748e4c4eU,     0x233a510dU,     0x1721f087U, \
    0x45d60d97U,     0xb99547fbU,     0xcbf87b1fU,     0x48ab03ffU, \
    0x1de54108U,     0xc5db8c92U,     0x12c7323cU,     0x0626876bU, \
    0x1437840eU,     0xd6c9f663U,     0x4af8725aU,     0x3f8f392eU, \
    0x89f50265U,     0x7bcd8caeU,     0xa62a8810U,     0x181a152aU, \
    0xe38c2dceU,     0xb3213d4bU,     0x34d5c1adU,     0x05705598U, \
    0x3f5dfd1bU,     0x0ae6f3b5U,     0xf2710eb2U,     0xa0e9fb5fU, \
    0xe5775dc0U,     0x9e11d239U,     0xf29123bbU,     0xad216919U, \
    0x34f23db8U,     0x210cc9b6U,     0xc003f7c0U,     0xa977096bU, \
    0x5c5edc66U,     0x7adb8087U,     0xcc1f0625U,     0x25f25b94U, \
    0x72c1c158U,     0xf354dde8U,     0x1ad12ff5U,     0x9ba7a031U, \
    0x7c6819feU,     0x57cd1f44U,     0xeb9ba497U,     0xba33c01cU, \
    0xe89bbbe9U,     0xd32f6936U,     0x606a4559U,     0x56782d23U, \
    0x36c149b2U,     0xc01e4a37U,     0xa78b1817U,     0x6867d6c0U, \
    0x81ba3e0bU,     0xc04eca51U,     0x566e9836U,     0x8fb6c167U, \
    0x6476b84aU,     0xc6621d25U,     0x6dc4ae3cU,     0xfbbed63bU, \
    0x35705da2U,     0xf9af2cebU,     0x583522b4U,     0x6427a0dfU, \
    0xa6c2fbf2U,     0x0b648564U,     0x4e4846a4U,     0xabe4af14U, \
    0xd001e060U,     0x0244bb19U,     0xca240e12U,     0xf559be6fU, \
    0x419837fcU,     0x2c59c487U,     0x287ed738U,     0x670d14c6U, \
    0xbcbf900eU,     0x1cdd860fU,     0x6d6729abU,     0x494b1aa3U, \
    0x9947e8b5U,     0xd65c21ceU,     0x532956eaU,     0x11656fdbU, \
    0xe31ba9dbU,     0x66651918U,     0xf0dc02b1U,     0x8a6fd557U, \
    0x185a6187U,     0x539b671dU,     0x1e8d624cU,     0x041d3580U, \
    0x8530c661U,     0x4bac9badU,     0x271c87b6U,     0x86da8f9bU, \
    0x233bb227U,     0x54d05137U,     0x146deef6U,     0x3d18fc08U, \
    0xd7bf5f7eU,     0x4af793c6U,     0x6ed5b796U,     0x660b4ac4U, \
    0xbcc9c57eU,     0x4906c96cU,     0x31bb3c44U,     0xa3d93ef8U, \
    0xa2922cb8U,     0xfd6930a1U,     0x81e14bdbU,     0x1167c2eeU, \
    0x07ac11d7U,     0xf87c40dbU,     0x43154ceeU,     0xe0be2e49U, \
    0xa8fb9336U,     0x4934d5b1U,     0xbfdbd2c4U,     0x3203d400U, \
    0xb893042eU,     0xf5f153c9U,     0xb16041a2U,     0xdfdb3720U, \
    0x35e648ffU,     0xbb603eabU,     0x46426aeeU,     0x8593760dU, \
    0x039d142bU,     0xf7105c73U,     0xba948593U,     0x91b132bcU, \
    0x420801c4U,     0x2932d744U,     0xf703de7fU,     0xec4d7243U, \
    0x17d0deb7U,     0x962e6c91U,     0xc129a9b9U,     0x2c6c2b92U, \
    0x06b38059U,     0x41995d7bU,     0x02e44ca8U,     0x3da28f24U, \
    0xa6f55ca5U,     0x447ff27aU,     0xe5aa006bU,     0x4ca23c36U, \
    0x2e88365eU,     0x74635d32U,     0x722c515cU,     0x3192ee3dU, \
    0x2b57fa76U,     0x2b028b61U,     0x2459c05bU,     0xc3309ac0U, \
    0x31ff25faU,     0x6926357dU,     0x6e6fa190U,     0x428fae24U, \
    0xd96db83eU,     0xa7957fdfU,     0x2c526a43U,     0x0217cd1fU, \
    0x881c14d8U,     0xc7e0d786U,     0x76046a6dU,     0x9d89324fU, \
    0x89367dc3U,     0x2f54436dU,     0x2f749825U,     0xdafa0fabU, \
    0x0d6a2e90U,     0x95daa7ecU,     0x8b4a7cc3U,     0x48871951U, \
    0x8c8a07f7U,     0xfc062345U,     0xe554c9eeU,     0x8356a966U, \
    0x82af541eU,     0x5733d8e2U,     0xb79a327fU,     0xbebb7f07U, \
    0x10105ac2U,     0x63b97955U,     0x5ed92ccaU,     0x54766269U, \
    0xd3dac417U,     0xf47b7515U,     0x8d9a7701U,     0x692fb336U, \
    0x947cd382U,     0xaa8f7017U,     0x6d26376aU,     0x1198812cU, \
    0x9fa7bd1eU,     0x2d32086bU,     0x857b0dd8U,     0xd6380cd2U, \
    0xabc88173U,     0xbefa1568U,     0x73ae0ab4U,     0x757bedf7U, \
    0x7f125c01U,     0x3cd46b08U,     0x911087bcU,     0x40edbdfaU, \
    0x3d1dd093U,     0x2abea027U,     0x91750737U,     0x9fdd6342U, \
    0x9d7c3c83U,     0xef8270fdU,     0x27b49f16U,     0xbf9ae072U, \
    0xf51dc448U,     0x2ea38f54U,     0x4128ebb1U,     0xf1e32feeU, \
    0x99ac9e3fU,     0x284cf641U,     0x08908012U,     0xb07cc0c9U, \
    0x31681dfeU,     0x06e41678U,     0xd3e8bf43U,     0x3e993a6bU, \
    0xa86d25ffU,     0xbe358410U,     0xef20144dU,     0xb84c1168U, \
    0x16a1fc02U,     0x545d15e2U,     0x4fd5670eU,     0xcb89a1b7U, \
    0xa1dc4995U,     0x3a643586U,     0x7c6c8c99U,     0x9729b5bcU, \
    0x798c3fcfU,     0x16417186U,     0x8fb1b809U,     0xfd49980aU, \
    0x0daae5eaU,     0x7007512dU,     0x02d45006U,     0x268f3b1fU, \
    0x141eaea7U,     0xa505ebafU,     0x63b51f6bU,     0x7e5aed13U, \
    0x4d04184fU,     0xecf87493U,     0x3f287222U,     0x9cadc59fU, \
    0x48a926b4U,     0x4d11db5bU,     0xc20f29deU,     0x7ee2af04U, \
    0x258c2072U,     0x2683fa95U,     0x750b85cbU,     0xc4290346U, \
    0xa5aadffeU,     0x23940be9U,     0x07fb31a5U,     0xed80574aU, \
    0x8f44ffecU,     0xb5a7f67fU,     0x1484865bU,     0xbc826058U, \
    0xd98f717dU,     0xdcf6687bU,     0xf257abcdU,     0x00f16eb1U, \
    0xd21fbb39U,     0x082cf01cU,     0x7ded5454U,     0x5e6d0a49U, \
    0xb190c5f5U,     0x67fc9f71U,     0x4c02a3d0U,     0x9a7ea0beU, \
    0x9628c05bU,     0x40bf16c2U,     0x975ee0abU,     0x881cc15cU, \
    0xae70d9b4U,     0xf0cbec43U,     0xd2e7956aU,     0x7b6314e5U, \
    0x9877360cU,     0x53f1a5b2U,     0x1f4c6f3fU,     0x60a8c399U, \
    0x39196ebaU,     0xbbe10f3fU,     0x500f2e1eU,     0x4555daefU, \
    0x69f9c8b0U,     0x085f5aa8U,     0x29a39495U,     0xc9419df0U, \
    0x9c60e8e3U,     0xdf736af7U,     0xc2fca5d7U,     0x591f4234U, \
    0x5d61b307U,     0xedcb23faU,     0x498dfd20U,     0x759bf1dcU, \
    0x404b2465U,     0x07a3c19fU,     0x23b5a5a3U,     0x76f4214cU, \
    0x396bc257U,     0x8c0455f6U,     0xc06bb211U,     0x1c2901d5U, \
    0x23b2846aU,     0x855d9a13U,     0x470d1b78U,     0x9bd7a7dcU, \
    0xb4f1038dU,     0x81ceb3f4U,     0xc481f254U,     0x3f6f0391U, \
    0x83f90460U,     0x94e9ff7cU,     0x3641ec81U,     0x15c2182aU, \
    0x090217dbU,     0x4f1d2121U,     0x0c4ccd2eU,     0x91ec4b5bU, \
    0xd9d4b45bU,     0xe0501182U,     0x82a5129fU,     0x9c4d6cddU, \
    0xc0062127U,     0x77faffccU,     0x58cedc1dU,     0x40ad9debU, \
    0x196314baU,     0xf4571cd4U,     0xf78027c3U,     0x05b6680eU, \
    0x13961490U,     0x8f170dccU,     0xa3cf8d53U,     0x279235aeU, \
    0x41786909U,     0xa1dae077U,     0x94a43c25U,     0x729ca8c6U, \
    0xcaaa54d4U,     0xee43154fU,     0x51bfc248U,     0x5328e1d2U, \
    0x100f864cU,     0xea7c2fb1U,     0xb86fc3e3U,     0xe8f13f5aU, \
    0x1c8803d9U,     0xae528c08U,     0x1007610fU,     0xcc2a730aU, \
    0xb76ea177U,     0x69cc662fU,     0x476f1a6bU,     0xdaca0db0U, \
    0xd5c37a5fU,     0xf450debcU,     0x7de103c9U,     0x8793e056U, \
    0x9c2fd8e7U,     0xb891dc3aU,     0x7c5a0c4cU,     0xa725a5e3U, \
    0x496f9056U,     0xd175bb98U,     0x52ba7495U,     0x35ae8d63U, \
    0xc39551beU,     0xcf0d1846U,     0xfd268c09U,     0xb54e9b7dU, \
    0xb64885dcU,     0x5c729778U,     0x3a1eef65U,     0x8b53cac3U, \
    0x2285c126U,     0x92ee4038U,     0xad8f94e9U,     0xa626b292U, \
    0x0537fc55U,     0x2ac901d1U,     0x203e9fa3U,     0x25ea5d16U, \
    0xc5555304U,     0x997fa7cbU,     0x258a60e0U,     0x52ede41dU, \
    0xd6ecc9acU,     0x095edb8bU,     0x1e77737bU,     0xbf10ff38U, \
    0x329ba645U,     0x0654a59eU,     0xc84ba423U,     0x22f8dc62U, \
    0xbfe9224cU,     0x272c3a16U,     0x8a64a1caU,     0x68b2a103U, \
    0x0e8c4d41U,     0x5bff16e9U,     0x55f89e41U,     0x7114dac2U, \
    0x2ab62a39U,     0x947537cdU,     0xf0ef1d53U,     0xc74f6da8U, \
    0xac06f4f4U,     0x6ba4c518U,     0x853a4fb2U,     0xf0194358U, \
    0x03454e67U,     0x2e504d6dU,     0x508e9b60U,     0x340ae33aU, \
    0x873a0c8aU,     0x4edc4be5U,     0x1422fd9dU,     0xcceb389bU, \
    0x9021245fU,     0x2e61e7f2U,     0xd8a81ce0U,     0x009bab99U, \
    0x9be80303U,     0x15012515U,     0x4b3cf03dU,     0xa9b2e253U, \
    0x8a1d4d31U,     0x5573964aU,     0xc066049cU,     0x75ebfe93U, \
    0x7717b28fU,     0x67d68dd1U,     0xa8a5b5faU,     0xa12ce097U, \
    0xaddd7d74U,     0x29eef798U,     0xc3cb2636U,     0xd93c2fb9U, \
    0x24415ed4U,     0xc2192e51U,     0xc278b1edU,     0xe399eee1U, \
    0xe479ad7dU,     0x026cec9cU,     0x0123c4e8U,     0x2e8c61dcU, \
    0x4ed1ded3U,     0x589b0803U,     0xd2d6d4b4U,     0xed82fbd3U, \
    0x743be054U,     0xa5eb2361U,     0x2eafcdeaU,     0x07068c10U, \
    0xe8647d81U,     0x891b0785U,     0x36d3d2d0U,     0x377b3a68U, \
    0xd668b158U,     0x7dd638b8U,     0xa3de7cc1U,     0x5dd928b8U, \
    0xa62e4e87U,     0x91739fefU,     0xa58eefeeU,     0xc1a299a7U, \
    0x38b48380U,     0x788941b0U,     0x88d70bdaU,     0x78fc8536U, \
    0xc4af49e9U,     0x0bbcf032U,     0xc2ddeeacU,     0x553351c2U, \
    0xc7970ecaU,     0xb0e3640eU,     0x794c2fbcU,     0x461f8353U, \
    0xe0305d69U,     0xa3db3b08U,     0xbadc5b2aU,     0xc5465519U, \
    0x837d8024U,     0x5e104c19U,     0xb626fddaU,     0x12bf5948U, \
    0x3fdfb8f1U,     0x518e4853U,     0x3097c9aaU,     0xd30017d6U, \
    0xd9bc6dd4U,     0x928b6015U,     0x57bdcce1U,     0xc350608fU, \
    0x1a54a8c3U,     0xf3e64425U,     0xccd75636U,     0xc0ad2825U, \
    0x260309c2U,     0x91744111U,     0xc3a27bf7U,     0xb4722f1bU, \
    0x737789a0U,     0x411a4955U,     0x6b9cf8a4U,     0xad135c8bU, \
    0x64eb6ec5U,     0x54248816U,     0x66fea695U,     0x929f20f9U, \
    0x11f6f55dU,     0x8c7e2caeU,     0x196a30b6U,     0xedda67f1U, \
    0x2260a2a3U,     0x15ee81fcU,     0x29621bacU,     0xc1623715U, \
    0x48bdf0f0U,     0x541217c2U,     0x7a74c1d1U,     0x2e151b7aU, \
    0xa76b74d8U,     0x939dc05bU,     0x4ccd5f5dU,     0x8a06055fU, \
    0xec023cfeU,     0xe4f7ded3U,     0xf6d854e3U,     0x013ad302U, \
    0x5053f9dbU,     0xc0347245U,     0x30f6af8eU,     0x60810c93U, \
    0x3a3d862fU,     0x602f3affU,     0xd20b2d44U,     0x0749dd72U, \
    0xf2acab94U,     0xdc65f2c6U,     0x02f1e267U,     0xd1d295c0U, \
    0xdbd8a8a4U,     0x0975a5ecU,     0x2e27a71cU,     0x773d00c8U, \
    0x097aca4eU,     0x41870fffU,     0x0995f08dU,     0x40d92e54U, \
    0x53ede8ceU,     0xece8da36U,     0xba98cbecU,     0x2d3c03d0U, \
    0xe2463a0bU,     0x259549b0U,     0x502ede18U,     0x6e43a501U, \
    0x30620b00U,     0xd9d53537U,     0x40dcfbe0U,     0x639b7f69U, \
    0x6aeeb97bU,     0x9039da25U,     0x180bfe8aU,     0x2266b531U, \
    0x0678f1faU,     0xeac6c27fU,     0x5374164fU,     0x569adefcU, \
    0x5331258bU,     0xbd6a7e57U,     0xd42e36aaU,     0x6dc7ef1bU, \
    0xc8447c81U,     0xbd3b5609U,     0x204d1ee7U,     0xd774ac30U, \
    0x7bbf5d05U,     0x86026b41U,     0x07c59365U,     0x45ac8d9aU, \
    0x56ee5392U,     0xd356eed2U,     0xce753680U,     0xcba70633U, \
    0x71f49ce6U,     0xed295e0bU,     0x54924d88U,     0x1dbdec4dU, \
    0x76214bd4U,     0x92b87ce1U,     0x917d9feaU,     0xe512b212U, \
    0x333a36ccU,     0xb6f22bf5U,     0x17999eeeU,     0x8391435dU, \
    0x6689d80aU,     0xee61771fU,     0xc52181e8U,     0x6e0d9b9dU, \
    0xbf99abb5U,     0x623421d3U,     0xfaf9b1a4U,     0x19c89b3fU, \
    0x3ff0b0bfU,     0x3f161260U,     0x035c8378U,     0xdd62db3dU, \
    0x55032dc5U,     0x39447db5U,     0x6525315cU,     0xb98d29faU, \
    0x280f2897U,     0xa3075c68U,     0x2300ba43U,     0xa0e394e7U, \
    0x591dab8bU,     0xeef00c8dU,     0xb3dd0548U,     0x36ca1aa5U, \
    0xb6f68df0U,     0x6b687f80U,     0x12bd1ddcU,     0xa522ddaaU, \
    0xd98afa1eU,     0x730c1185U,     0x9c441b18U,     0x97296e17U, \
    0xfc4aba5cU,     0x770af3caU,     0x2fc620c6U,     0x0d28eb86U, \
    0x4c82697fU,     0x2c9f32e5U,     0xb561b3daU,     0xdeb915d3U, \
    0xe17ca85cU,     0x9e8faf26U,     0xb9ea7debU,     0x66a5ce89U, \
    0xc76d893dU,     0x2a372c76U,     0x6a6d82c8U,     0xee1ed43eU, \
    0xd630038aU,     0x1531e9abU,     0xbb3e2e62U,     0x5c886d78U, \
    0xba93cffcU,     0x0de8bf3dU,     0x1cbb117dU,     0x595d12f3U, \
    0x73e9b1f8U,     0xf8c7855aU,     0x9e990527U,     0xba331752U, \
    0x16a1d23aU,     0x6dd7e708U,     0x8cc2ac1aU,     0x50ea6821U, \
    0xc8146b0dU,     0xf025efb0U,     0x86e04817U,     0x0ad65deeU, \
    0xa354f7e4U,     0x42b16a32U,     0xdafd0e94U,     0x3d7ab9b4U, \
    0xe50853eeU,     0x8b9f9c1eU,     0x3f106c55U,     0x4065eaa0U, \
    0xf8a8eda1U,     0x0854f8caU,     0xb5ac9475U,     0x9edc95d9U, \
    0x3bd1a9dcU,     0x349f94e7U,     0x16f43d26U,     0x095a8ee4U, \
    0x8c40dc8dU,     0x7e0f2d28U,     0x6e72d080U,     0x3f6a4d38U, \
    0x42c07384U,     0x11a57d50U,     0x4a4ffc80U,     0x7c9fd1e4U, \
    0x9fb09828U,     0x66b19546U,     0x5c525e33U,     0x18adeba9U, \
    0x07a90f32U,     0xb4c209eeU,     0xc63e52b3U,     0xcf8af6aaU, \
    0x95cd36edU,     0x95745495U,     0xa4e92f6fU,     0xa473fff2U, \
    0x6e41c3bfU,     0x76a798c6U,     0x9acd0465U,     0x2f38b861U, \
    0xddd26874U,     0xa6ff0ef8U,     0xea09024fU,     0xddcdee70U, \
    0xb026efe6U,     0x4d2ad27cU,     0x214f8c1dU,     0xddee2316U, \
    0xeecce69cU,     0x03d36c75U,     0x18906828U,     0x08c10b86U, \
    0xa5d6cf46U,     0xe076df6bU,     0x3a19430eU,     0x125b8f86U, \
    0x1c4634e0U,     0xc112776cU,     0xad61611dU,     0x02509fe5U, \
    0x9257c0f2U,     0x5e843876U,     0xe19bb02cU,     0x6fbf1fb3U, \
    0x5716c3dcU,     0x1e2927f2U,     0xc04d38feU,     0xea771058U, \
    0x69946f26U,     0x9e9ef241U,     0xa8bcc8b6U,     0xe20eea84U, \
    0x64bfa1dfU,     0x82dba2e0U,     0x594d2c95U,     0x7427a51bU, \
    0x3f45fb59U,     0x9c9c9569U,     0x26d4a9f7U,     0xd639240dU, \
    0x23e07224U,     0x74f15cbfU,     0x3193f585U,     0x49214420U, \
    0xb2f60ebfU,     0x2902224bU,     0x4d5ee075U,     0xbf15106aU, \
    0x3afc543dU,     0x2716dcdfU,     0x8b6eb3a0U,     0xa3c661a7U, \
    0x1ce339ccU,     0xfc3ac2f2U,     0xb2fd6e66U,     0x607ef509U, \
    0x7f15bbd8U,     0xb8f77fbbU,     0x825b744bU,     0x85581f1eU, \
    0x6aeddf7bU,     0x2c9cfa18U,     0xc79cdec0U,     0x9b8b71e6U, \
    0xb49f86d7U,     0x33a6f792U,     0x87c23427U,     0xbff81a4dU, \
    0x9eef4a5fU,     0xa29a1b93U,     0x84a7b0b8U,     0xa07ad649U, \
    0x66f3c450U,     0xe743c145U,     0x2bcc4d50U,     0x71855fe5U, \
    0x56a3995eU,     0x5a2c81f0U,     0x6f27056dU,     0x12944784U, \
    0xf27514caU,     0x19a3cafeU,     0x6c1ee991U,     0x96452e3aU, \
    0xdfa202dfU,     0xefb4d1bcU,     0xd0d10b0fU,     0xa537f8aaU, \
    0x513f8af1U,     0x1da64d96U,     0x3bad211cU,     0x782be111U, \
    0x3f8fb8a6U,     0x62f61cd8U,     0xbef121b5U,     0xe192e94aU, \
    0x81564156U,     0x44d5165bU,     0x69d1508cU,     0x00e9ce9fU, \
    0xef47ae21U,     0x99fb86e8U,     0xd929b316U,     0xa9416c98U, \
    0xa15149a3U,     0xe3cb498eU,     0x7b353e65U,     0x26afe5c3U, \
    0x32fef820U,     0x6850d82bU,     0xc2bd0dfdU,     0x80451671U, \
    0x83b31dc3U,     0xc3a2c941U,     0x3837c252U,     0xc4a799bfU, \
    0x20c069edU,     0xc4d15220U,     0x0d0b5593U,     0x8f07b963U, \
    0x03655958U,     0xa5a39aaeU,     0x66cf4627U,     0xbe984e90U, \
    0x5bdfea9bU,     0x8d91dc53U,     0xc1ca1a81U,     0x9624e2ffU, \
    0xdd90dcb3U,     0xad3b09eaU,     0x5740a729U,     0x458f9d32U, \
    0xa5dc2d22U,     0x9cbafea3U,     0x3e20d72cU,     0xb4f1dc3fU, \
    0xe7ddbbccU,     0x42397151U,     0x431b05bdU,     0xf664e2d3U, \
    0xf683bb0cU,     0x3b79d985U,     0x65359c05U,     0xbbabc5adU, \
    0x3b270b38U,     0x14137f89U,     0xfdb2e32cU,     0x680d7aa2U, \
    0x0e38ba36U,     0xa81f5597U,     0xa0d44b66U,     0xbc10e71aU, \
    0x6e100defU,     0x919e7e89U,     0x4962ffa3U,     0xc12b9d06U, \
    0xb3b537dbU,     0x9e05a95cU,     0x77220c5dU,     0xeba0eebdU, \
    0x17cd12caU,     0x2c367467U,     0x2cea5cf5U,     0xf0950da6U, \
    0x558bd88dU,     0x4cb3485fU,     0x5e6cd7d4U,     0x40a980e1U, \
    0x60c4d2d8U,     0xded73463U,     0xa7b93ee6U,     0xd3ef7337U, \
    0x1cfee21aU,     0x2a6d028eU,     0xa687030cU,     0x4a285c2bU, \
    0xc5008ef8U,     0xcf7b1735U,     0x61baf163U,     0xeb98349aU, \
    0x257b52afU,     0x540d9e1bU,     0xb3d79ac4U,     0x25559a41U, \
    0xf4de12a5U,     0x9cab7789U,     0x7f92adc3U,     0x03ae6b24U, \
    0xa536414dU,     0x16b6e9e8U,     0x2babb960U,     0x1fafedacU, \
    0x37f800cdU,     0xae217515U,     0x9d54c45cU,     0x81e75ee0U, \
    0x4baa4636U,     0x1bf04340U,     0xf9297a58U,     0xf6744908U, \
    0x47168d36U,     0xb6ee0c97U,     0x59b75d87U,     0xeb7cded7U, \
    0x516339d6U,     0xfabe9ecdU,     0x6c1f7b42U,     0xae9a1b26U, \
    0xf9bdfe5bU,     0x836310d0U,     0x426e4b2eU,     0xf3f82ee4U, \
    0xbd0fdeb0U,     0x503011ffU,     0xdca6a81eU,     0x5097b25dU, \
    0xe8abc8d0U,     0xf106e28aU,     0xeb12f911U,     0xe04aa1a8U, \
    0x8baa4f86U,     0xa2e98a51U,     0x5892d08bU,     0x225b137eU, \
    0xe17aa274U,     0x9901d0ffU,     0x49e77b19U,     0xfbcc73a1U, \
    0x929f5e77U,     0xbd3eb7d8U,     0x32b0840fU,     0x6628f75aU, \
    0x52975adeU,     0xcee6d5d6U,     0xd7a50837U,     0xd61598b7U, \
    0x11aa0cb0U,     0x40131149U,     0xd433e794U,     0xd8b91dceU, \
    0x0c61dc3fU,     0x95394c3bU,     0xc2801052U,     0x60a35fe9U, \
    0xbab8947dU,     0xf36d1036U,     0xd042f167U,     0x6c79442fU, \
    0xadace10dU,     0x853779f6U,     0x5cdb7e0eU,     0x593064b0U, \
    0x07107861U,     0xb14dab67U,     0x24a594cbU,     0x87fc05c9U, \
    0xa843c0d3U,     0x2038721dU,     0xf840e685U,     0xe713dffeU, \
    0xa8560908U,     0x0ff28c88U,     0x0c7ff8fbU,     0x7d48370cU, \
    0xf7d46319U,     0xc226ef19U,     0x8833c8f4U,     0x16e6c3f7U, \
    0x343ca5f9U,     0x0e009f5aU,     0x4b4fbafeU,     0xd7130f14U, \
    0x4df7ed02U,     0xbc0adb9aU,     0x913eb4a9U,     0xc3b06d94U, \
    0xf3f19107U,     0xc4a0799eU,     0x721ff187U,     0xf8e5706aU, \
    0x14ddfa56U,     0xe5946857U,     0x894045c4U,     0x1c954f37U, \
    0x83ab8abbU,     0xccf6c60fU,     0xca379c92U,     0xa9bbb04cU, \
    0x559be220U,     0xe04e4d06U,     0x3eb32f97U,     0xda928b20U, \
    0x368bb2faU,     0x868d2c0bU,     0xe348b0daU,     0x77e00fa3U, \
    0x5729c531U,     0x80697f94U,     0xcff60f9bU,     0x70b2770aU, \
    0xe890f326U,     0x4f711c9fU,     0xa43a46cdU,     0x7ecd56d7U, \
    0xe4728315U,     0x9e3548e3U,     0xa61a27a0U,     0x12eecb56U, \
    0xdac3c493U,     0xe4545234U,     0x583058b0U,     0x8eafe718U, \
    0x72bef3b0U,     0x5768df01U,     0xd02aeb0fU,     0xc67e1a55U, \
    0x3283eb81U,     0x30500c4eU,     0x6b530745U,     0x1c0158abU, \
    0x2c811453U,     0xc67f239dU,     0xbe296a31U,     0x066a42f2U, \
    0x28c0b7a5U,     0x438d3ae9U,     0x94cb2f8fU,     0xe401df03U, \
    0x8d8961ffU,     0x8bf4c86eU,     0xef4bc48fU,     0x185439c9U, \
    0xc51fddefU,     0x01b51604U,     0x9907a567U,     0xfe7d7821U, \
    0x605fcd83U,     0x7b857642U,     0xb4c15bb8U,     0xafedd499U, \
    0x0d545cf8U,     0xa53455e2U,     0x52c8df65U,     0x0971345cU, \
    0x09b0828fU,     0x2772c032U,     0xdd49fe6cU,     0x64e7ea11U, \
    0xdbf6b119U,     0x80f9bb6aU,     0x06bb3964U,     0xd909ba5bU, \
    0xd7cd3f11U,     0x4ef79677U,     0x6386d8c2U,     0x3db61a78U, \
    0x8d519754U,     0xa7d914f3U,     0x93f817d2U,     0xef4e5f2bU, \
    0xd00df3c4U,     0x54f9d463U,     0xb1046d20U,     0x4310eda4U, \
    0xee15d707U,     0xea5dd89dU,     0x07755ef5U,     0x4724897eU, \
    0xd0bf34d9U,     0x2f2e7e6cU,     0xbd1c5569U,     0xa276d810U, \
    0x68f420f2U,     0xa6f97186U,     0xdeb4592cU,     0x2b27bf11U, \
    0x9bf8eb4eU,     0x4cabfdfeU,     0xc0183568U,     0x60ed693eU, \
    0xdb926c15U,     0x3930dcecU,     0x1ba72ff0U,     0x649f8576U, \
    0xdcd61cb1U,     0x2213c09dU,     0xeb030842U,     0x8fd4743fU, \
    0x0d1472d8U,     0xc5c08ecaU,     0x4206b2e5U,     0x261d3ee7U, \
    0xe7ff4a2dU,     0xc3e8e8e5U,     0x809a2050U,     0xac07658aU, \
    0xe8651b39U,     0xdc944c8cU,     0x499e4582U,     0xac90ebeeU, \
    0xece01888U,     0x6c78aed5U,     0x5654fc67U,     0x032621b4U, \
    0xcbde1b03U,     0x02ea5221U,     0x2c87f0c7U,     0xed534ac0U, \
    0xb5b7b145U,     0xf0cb9efeU,     0x7f199dd6U,     0xeead0b27U, \
    0x82e96928U,     0xb6962b48U,     0x6b64f30cU,     0xf652dd19U, \
    0xc67ad7a5U,     0x9eeccda5U,     0x884dad8dU,     0xe87c535cU, \
    0xdc4c15d9U,     0x7f269c22U,     0x4a999eadU,     0x78479332U, \
    0x8d789685U,     0xa6143cdeU,     0xd2024d30U,     0x9cf9d211U, \
    0xf5d2f5d3U,     0x29fb3183U,     0x859405e7U,     0x0ac36894U, \
    0xc21e58c6U,     0xbc857cecU,     0x85147620U,     0x282533f3U, \
    0x33d7a56cU,     0xab8b74dfU,     0x105abf20U,     0x0f699a75U, \
    0x4fe6a3fdU,     0xf19d8b85U,     0x6cacdef7U,     0x1714729dU, \
    0xa87e869fU,     0xe3890e32U,     0xd4f810dbU,     0x4d82e6edU, \
    0xaefcd0c5U,     0x99aa624aU,     0xc32942c2U,     0x58ccce12U, \
    0x4f9aa66aU,     0xd75eb830U,     0xcd1b8bdeU,     0xfc74d36dU, \
    0x7e5a1b57U,     0xeab20c73U,     0x025fa412U,     0x9fde994eU, \
    0xe45bb8d7U,     0x9c1e0e94U,     0xeaed359cU,     0x069d2898U, \
    0x6c7361cbU,     0x8624a3b1U,     0x92e8b6a0U,     0x42bc27dcU, \
    0x5b4b9e40U,     0x2f1ee189U,     0x0c5a42afU,     0xa9494deaU, \
    0xac2cf7a9U,     0x4bff7ec8U,     0x2b4abe06U,     0x037bde72U, \
    0xce5e2302U,     0x29f39b44U,     0xe42585ecU,     0x97a1410dU, \
    0x5cb09639U,     0xf7f3a51fU,     0xd4b26c2cU,     0x71ce6e29U, \
    0x7d53b075U,     0x3c255f3fU,     0x170b3069U,     0xebcca05cU, \
    0x323f9cd0U,     0xe1133c93U,     0xfd9f88ffU,     0xe316638bU, \
    0x9cab0d44U,     0x679dd863U,     0x3972f78eU,     0x60d6bc7bU, \
    0xb0e5f8adU,     0x6de39627U,     0x22f91f3dU,     0x5fe5ec1aU, \
    0x7dbc0954U,     0xb735c237U,     0x28a480f9U,     0x487ec5b5U, \
    0x53460324U,     0x8c5fdeb8U,     0x8a8461d8U,     0xa6566691U, \
    0x2e81d6dbU,     0xcb027e4aU,     0x8edfd040U,     0x590eb37eU, \
    0x5627d49cU,     0x9459e189U,     0x046cc352U,     0xaadb8e73U, \
    0x3981c046U,     0x2ae56fb8U,     0xe04484eaU,     0x41692c3bU, \
    0xc9729f79U,     0x582ba08cU,     0x647abd6bU,     0x75bb366bU, \
    0x8d8e9e43U,     0x1ace6ae4U,     0xef8fc2c7U,     0x1370c5cdU, \
    0x545c5fceU,     0x16a9fc99U,     0x53fcd3abU,     0x494ecf85U, \
    0x1e9c74deU,     0x8d034485U,     0x77b9153dU,     0x64899c4bU, \
    0x32ea1451U,     0x9bdddd0cU,     0xf03d8ae9U,     0x303db123U, \
    0x245a7c26U,     0xda9acd46U,     0x1198862dU,     0xdd91cda8U, \
    0x68b9f6e4U,     0xcb4587a1U,     0x55318c71U,     0x488f6f5cU, \
    0x5f8435e4U,     0x2fbcfd6dU,     0xb9cbf166U,     0x6b44077cU, \
    0x6b178c5dU,     0xdb4993c0U,     0x71470425U,     0x504df414U, \
    0x1a540784U,     0xb854eb7eU,     0xd2474a03U,     0x2c2b99efU, \
    0x14014194U,     0x39041585U,     0x6ffda1ffU,     0xb5a6b609U, \
    0xdcb730f2U,     0xcbaad157U,     0x110b05b3U,     0x7231cb56U, \
    0xe7ce8ca1U,     0xc6f4ff92U,     0xbad5997dU,     0x9bf6417dU, \
    0x40a3cac9U,     0x5c04f38fU,     0x09c5a21aU,     0x57adffc2U, \
    0x77340ed1U,     0x9c30b08bU,     0x344f1cb9U,     0xc5db2df4U, \
    0x91c247f4U,     0x84bda844U,     0xb6aed3ebU,     0x98edc501U, \
    0x7384bda2U,     0x21db8f70U,     0x1b061dacU,     0x715dd036U, \
    0x187cba2bU,     0xdf6bfacfU,     0x33509ad4U,     0x267edad1U, \
    0xa56abbc4U,     0xa5d9d08eU,     0xa6dde3b1U,     0x0e4cc250U, \
    0x31b81e4dU,     0x8fbfc3a2U,     0x3fb3d35fU,     0x1852a54bU, \
    0x3a337620U,     0x342ba73bU,     0x96a3a9e2U,     0x28921c9aU, \
    0xc96dabb7U,     0x212979a5U,     0x353ff716U,     0x64b60622U, \
    0xfbee06f3U,     0xd9174cb1U,     0x7cb275f0U,     0x281cb411U, \
    0x45dee098U,     0x2da2477eU,     0x8fcd0a65U,     0x78ccb814U, \
    0x33a0dee1U,     0xdf0495b9U,     0x6ed44279U,     0x99d8bdc9U, \
    0x40a4b315U,     0x25f1c251U,     0x05ff3102U,     0x411d3c0eU, \
    0x62cb1f00U,     0x9d39bd79U,     0xd3385ecbU,     0xbece0d8fU, \
    0x1e5d0b13U,     0x074bbddfU,     0xc18d2fc3U,     0x2b7a8f6fU, \
    0x267a205cU,     0x4d053690U,     0x9a3b924bU,     0xd76b9475U, \
    0x946b30d4U,     0xffea2172U,     0xf0020e5fU,     0xec571f08U, \
    0x707870d3U,     0x3b39e742U,     0x07298eacU,     0xc231e8a7U, \
    0x131fc372U,     0xe4f5af01U,     0xb0d01501U,     0x3db49265U, \
    0xb133530aU,     0xde38c402U,     0x838fd36bU,     0x84398281U, \
    0x5a09c209U,     0xcc6e101eU,     0x03ba3e00U,     0xf13faa3cU, \
    0xeea8f137U,     0x4557ba01U,     0x286dcb45U,     0x2db32c4cU, \
    0x0c8698b4U,     0x6fd14140U,     0x03be6e2aU,     0xc28e14c5U, \
    0x078404bfU,     0x93761c1dU,     0xc9529025U,     0x2e421a1cU, \
    0x12de73e5U,     0x11ce354fU,     0xd5332f19U,     0x4c67aef4U, \
    0xbc6375a9U,     0xdbddb1d7U,     0xbb6e6edaU,     0x2177c4e1U, \
    0xcb9cd964U,     0x359c1bb4U,     0x56c81196U,     0xb9e9a871U, \
    0x66e59920U,     0xa59cb695U,     0x28686c31U,     0x5ffb3a45U, \
    0xd963eb58U,     0x3417fa10U,     0x9289c645U,     0xb14d9043U, \
    0x69287a0eU,     0x040a8cd2U,     0x904ce6ebU,     0xf0acfce9U, \
    0x2ba43543U,     0xc8e57d99U,     0xc5099590U,     0xcd5df6baU, \
    0xf8c48a3aU,     0x88b9eeabU,     0x509478e0U,     0xad5a68efU, \
    0x0bbaf878U,     0x0b9d55dcU,     0x99ccf428U,     0x90c787bbU, \
    0x4818fecfU,     0x48a18cebU,     0xe5447939U,     0xdf593cd4U, \
    0xd9722966U,     0xd5a30abbU,     0x60fa40cfU,     0x2363cd1fU, \
    0x1a148055U,     0x66da4832U,     0x7579ae02U,     0x5374a948U, \
    0x0223cf30U,     0xe06888b1U,     0xc2103dd9U,     0x85459ef3U, \
    0xbc36706dU,     0xec5f267bU,     0x2caaa3ecU,     0x1e2e02fcU, \
    0x3f5ac164U,     0x858f4ab4U,     0x63a8e4f1U,     0xcb995953U, \
    0xdd293e86U,     0x0dc37b24U,     0x198d50efU,     0x559ea398U, \
    0xdb60a735U,     0x420ca62cU,     0x3936b68dU,     0x006adfc5U, \
    0x41d00e45U,     0xac923f02U,     0x7df6873cU,     0x7525b33fU, \
    0x0fa35c1dU,     0x994d2e7bU,     0xa6225124U,     0x7ce612a2U, \
    0x7f0195d2U,     0x8667700eU,     0x66227bb3U,     0x70046512U, \
    0x2b89e5eeU,     0x9d45af32U,     0x4db76f44U,     0x5b84bf93U, \
    0x5b3296caU,     0x6e8b72c6U,     0x1e474737U,     0x0f9f52e0U, \
    0x7ffff500U,     0x035fc2eeU,     0xe67ee39eU,     0xd2d2a1ddU, \
    0xd8e3299cU,     0xcb6cfc1aU,     0x70cc4f63U,     0xe349f449U, \
    0xf400b1f5U,     0xb5f7ba2fU,     0x6578ecc3U,     0x665cc5e3U, \
    0xb569e300U,     0x13de5160U,     0xd550d2c2U,     0x3142e9c4U, \
    0x40c1beb3U,     0xd0b2d297U,     0x2f470dbeU,     0xfa706f0eU, \
    0x4bee358cU,     0x8ed893e2U,     0x2f799398U,     0x000bc01fU, \
    0x04a14c5bU,     0x75975219U,     0x3caa1254U,     0x6034e7ceU, \
    0xea92ef77U,     0x1b92c308U,     0x7b63da48U,     0xd1063d3fU, \
    0x7f014f54U,     0x28e9de14U,     0xd89755d8U,     0x25bd1b11U, \
    0x6702ea49U,     0x967118e7U,     0xbf08c0f2U,     0xbfb2308eU, \
    0x89998654U,     0xe65123a9U,     0x567302e8U,     0x7f6ae577U, \
    0x07688ac4U,     0x332535e7U,     0xcf9fbc93U,     0x63588839U, \
    0x70cc62ddU,     0x10fe1105U,     0xb16c5fd8U,     0xed125d61U, \
    0x1228ff79U,     0x305def1bU,     0x733fd0e9U,     0x44d521d2U, \
    0x48747414U,     0x30feeb3dU,     0x2ef82faeU,     0x956dd908U, \
    0xdaecf468U,     0x9af73743U,     0xd5cd4534U,     0xd4adc5d1U, \
    0x266faaa9U,     0xe8d35b4fU,     0x6f9b0121U,     0x2344a2f0U, \
    0x53f05f0aU,     0x4da3dfc3U,     0xb7182936U,     0x43068d5fU, \
    0xa683e069U,     0xde16287bU,     0x3a26216cU,     0xe5287e57U, \
    0xea11ca92U,     0x6da38458U,     0x460b8426U,     0x3b3edc71U, \
    0x3283ccc2U,     0x462e9e4fU,     0x54bea7f5U,     0xf252b462U, \
    0xbc4b2087U,     0xc140c762U,     0xf5f693b2U,     0xe4bbc0feU, \
    0x2a5a2793U,     0x0b910175U,     0x41078a23U,     0x40795243U, \
    0x584c394aU,     0x83085539U,     0x7ce66a27U,     0x26e6c690U, \
    0x7d159cf8U,     0x051cbeeaU,     0xe41434f4U,     0x2e2632d4U, \
    0x5c54c2eeU,     0x23e6885fU,     0x6caa843bU,     0x3e4a2432U, \
    0xb6bad4f6U,     0x01462ddfU,     0xfc021fe8U,     0x29a604adU, \
    0xf021be69U,     0x7791596bU,     0xfcd5f52fU,     0xb26de30dU, \
    0x9d87b156U,     0x45034594U,     0x0013838fU,     0xc70415d2U, \
    0x958fcd67U,     0x4e377f4cU,     0x7f6fa931U,     0x21df4d8dU, \
    0xdc474575U,     0x054f1a7cU,     0x3f3cd6d9U,     0xc8272a96U, \
    0x551d503fU,     0x47a26eb4U,     0x2331d88eU,     0x11508a53U, \
    0x1a45acf8U,     0x7b67a841U,     0xbc8039e2U,     0xc6958287U, \
    0x04f14444U,     0xf5c7a34eU,     0x22acf704U,     0x88e853a7U, \
    0x472d2d31U,     0x0658571fU,     0xf7b4a75cU,     0x469a2f99U, \
    0x9d31d680U,     0x9f2189f9U,     0x54459e53U,     0x026f4268U, \
    0xcbd30e8fU,     0xc17a9e3fU,     0x99b7316dU,     0xa2658accU, \
    0xba3623ecU,     0xbe133d67U,     0xe4c62fd0U,     0xa7bdd684U, \
    0x97afae4dU,     0x89908d6fU,     0xed021774U,     0xc7990323U, \
    0xd8645ba2U,     0x6bc3f2b7U,     0xe1e5fbafU,     0x7c40d9ceU, \
    0x26d553c9U,     0xada752e1U,     0x7d03937bU,     0x95a167b1U, \
    0x54ebdf66U,     0x55717425U,     0x103b4cc2U,     0x56d936adU, \
    0x72402cc0U,     0xe3cb0e32U,     0x7bb477d2U,     0x85dca412U, \
    0x75c55140U,     0xdf494c1eU,     0x55c1a273U,     0xfb27760dU, \
    0x1dbcb07eU,     0x806cc900U,     0xea46b1fdU,     0x9fc0c3a6U, \
    0x092be301U,     0x01868f70U,     0xd85a3f14U,     0x0b6a659aU, \
    0xb16f339dU,     0x3f0f875cU,     0xb17f7124U,     0x6537ce72U, \
    0xba2db27cU,     0x9f6dca0dU,     0xcca25279U,     0x7c8934e9U, \
    0x0b2ccdeaU,     0xda3b05a0U,     0x1205c674U,     0x99aceeecU, \
    0x86bba9bfU,     0x5a8c25a5U,     0xae18feb6U,     0x819c1496U, \
    0xd0844cadU,     0x15e76439U,     0x1bfdf7bfU,     0xf7fd4d51U, \
    0x1695efa6U,     0x081ef527U,     0xb07b5fdbU,     0xf95dc04eU, \
    0xf24e00e4U,     0xe0240724U,     0xc6d21406U,     0x6a328972U, \
    0xf1c6c864U,     0x909fb07dU,     0x36d03ebaU,     0x0f587038U, \
    0x27152b3eU,     0xa33ea52aU,     0x946c635bU,     0x47245736U, \
    0xc0e107e8U,     0x5fd99136U,     0x175fd01fU,     0x71f3aaecU, \
    0x1b9f5befU,     0x4346ca42U,     0x959d7d3dU,     0xc2b59a8eU, \
    0x32c3c548U,     0xa29b4a4dU,     0xaaf3ced9U,     0x4d6bca7dU, \
    0xf932f94bU,     0x3a0b8a59U,     0xcd40d5f6U,     0xb689af68U, \
    0xa6970b05U,     0xe517c352U,     0x340d9509U,     0x8595c784U, \
    0x155014ceU,     0x9b354e37U,     0x8df5df88U,     0x42362372U, \
    0x4ff57f89U,     0x946874e4U,     0x0372a065U,     0x4be5e24aU, \
    0xa50e459cU,     0x8d753f5dU,     0x06bca30dU,     0x9bfe5e20U, \
    0x8e48f0b8U,     0xe59b15bbU,     0x84fedf6bU,     0x055ea902U, \
    0x040b332aU,     0x34e62956U,     0x17e3959cU,     0x33dc0bfcU, \
    0xc74c20baU,     0x9b12e865U,     0x52dfa486U,     0x827b7aadU, \
    0x331f4454U,     0x5674290bU,     0x5692fdc1U,     0x6da90f8aU, \
    0xf5d2602aU,     0xde4618c2U,     0xf91bd5e2U,     0x374d69bdU, \
    0x61158c7fU,     0x7bd2c0eeU,     0x3ba48c69U,     0xc3ce6c31U, \
    0x13bfe3bcU,     0xfce9bf2bU,     0xd2a94677U,     0x66dfc147U, \
    0xb7fc89e5U,     0x472efe03U,     0x2fd3adb9U,     0xd94eccf0U, \
    0x292a8bbcU,     0x3255d2c1U,     0x84e6e01bU,     0x8b9d645aU, \
    0x1d3517b3U,     0x662ba741U,     0xa7a86debU,     0xa1373e0bU, \
    0xf48c7fcfU,     0x34529f9dU,     0x30fd93e2U,     0xbd590bf0U, \
    0x7f2e8d79U,     0x6fed2312U,     0xd22d4e21U,     0xc9a5e301U, \
    0x6c823e55U,     0xe9f5612cU,     0x2726db0bU,     0xc29ad242U, \
    0x5c9eb6c0U,     0x4632ccb5U,     0x9ef6940fU,     0xeb83d3aaU, \
    0xb1717470U,     0x456592faU,     0x1c76efedU,     0xa8fc1131U, \
    0x4e5bb0afU,     0x319ef835U,     0xa45e8590U,     0x155b0df6U, \
    0x0b70f156U,     0x709222a2U,     0x7cb27cbdU,     0x99f4d410U, \
    0x69980c23U,     0x7a08cf9cU,     0x4dc6f605U,     0xcf83602cU, \
    0xc2e7287cU,     0x9609c0feU,     0x4cc7efd5U,     0xc9e73f12U, \
    0x5b424205U,     0x39eab16cU,     0xa210f35aU,     0xb4f0471bU, \
    0xfb85731dU,     0xfac226c5U,     0xf56c2841U,     0x1468be7aU, \
    0x8e0c3694U,     0x89b2e443U,     0x66ecf5faU,     0xd4df179cU, \
    0x6269fea0U,     0xd76c059aU,     0xc2c35bdeU,     0xbca5adfbU, \
    0x975fd3a8U,     0xa812d5f8U,     0xd5cfe4ddU,     0x6a2ce6bdU, \
    0x87298c9cU,     0x9bf0936bU,     0xc341647aU,     0x1a5aaf5fU, \
    0x971eab9eU,     0xcbdbf2e7U,     0x12606c02U,     0xc6bace6aU, \
    0x8831b0f5U,     0xe5a52234U,     0x40866191U,     0xb73d9f68U, \
    0x9c340022U,     0xb6919c8aU,     0xfd946ec9U,     0xd0766172U, \
    0x6791bf64U,     0x0a6e0f99U,     0x541da73aU,     0xc60236edU, \
    0xe5a7d86cU,     0x731c46efU,     0x977f47aaU,     0x03e62e0eU, \
    0x92550315U,     0x7aa30deeU,     0x462ac029U,     0xc83d7db7U, \
    0xc6de259fU,     0x728fbef7U,     0xe3ebf110U,     0x3c612779U, \
    0x416b1097U,     0x9d24acb5U,     0xe995ab98U,     0x13346bc1U, \
    0x9920789bU,     0x31dec933U,     0x417e42b1U,     0x8785457bU, \
    0x8bf20f93U,     0x42ff2497U,     0xca03a8e9U,     0x7b11911cU, \
    0xc9633722U,     0xb9221627U,     0xd8ecce35U,     0x7d99aab1U, \
    0x92d1bfc1U,     0x9f79a600U,     0xf7d4ff04U,     0x4617a4b5U, \
    0x74240ac8U,     0x04d6b275U,     0xef365006U,     0x8b710393U, \
    0xb861eb2cU,     0x48a0447eU,     0x2f293e4aU,     0x965d6ea7U, \
    0x6bdc2210U,     0xd352b6a7U,     0x9f51ba18U,     0xec5bbeb2U, \
    0xb4bef37aU,     0x97c10039U,     0xcb3a795fU,     0x19784180U, \
    0xa7500bf3U,     0x2894591cU,     0xd862da5dU,     0xaec7f332U, \
    0x48b21632U,     0x79f03b6cU,     0x168e7053U,     0xd074da6bU, \
    0x18407621U,     0xe35334e4U,     0x2b46471fU,     0x268144a1U, \
    0x587b83d7U,     0x56e19c59U,     0xfb9d3aedU,     0x86711216U, \
    0xef77f8feU,     0x5f2f3c76U,     0xfba2738eU,     0x4f5b1867U, \
    0x92c0d2dbU,     0xdf8f8525U,     0xf37bf950U,     0x71075873U, \
    0x254fe59aU,     0x0c11cdf2U,     0x13b09330U,     0x83048c35U, \
    0x2bc85c13U,     0xb2448f2dU,     0x38066a40U,     0xe28a051cU, \
    0x46f815aeU,     0xb6f0fc89U,     0xa99248f9U,     0x770aa584U, \
    0x094e2065U,     0x3f4fff92U,     0xed343bbbU,     0xe24071b5U, \
    0x92490460U,     0xdc0802d7U,     0x4357b3e1U,     0x175699e4U, \
    0x6b3526b8U,     0x8e96bf8dU,     0x48a34e97U,     0x4c90fd81U, \
    0xa3e2b85eU,     0x544e2a81U,     0xc7795cbdU,     0xf5a48f32U, \
    0x44ec0695U,     0x2210fbecU,     0xc3520c27U,     0xaa1cd323U, \
    0x84d36e58U,     0x3c6becf4U,     0x7fa6069dU,     0xf3ce8d32U, \
    0x8ead319fU,     0xd356b33dU,     0x0030e870U,     0xf0b64533U, \
    0x430e4d4aU,     0x6f9712d6U,     0x78f8d359U,     0x98a062f2U, \
    0x804afaa6U,     0x2e341af6U,     0xaa18fcdeU,     0x0882b0f4U, \
    0x6423c2f9U,     0x0881c627U,     0x3a56ca5aU,     0xe8f91270U, \
    0x06dc937dU,     0x749e5e49U,     0x82b99984U,     0xd043db9bU, \
    0x5fa97c9eU,     0x28586080U,     0x5f8f4775U,     0x21083493U, \
    0x45cac6d9U,     0xc9314ed7U,     0x0173207cU,     0x633aa7a7U, \
    0x74b36ff5U,     0x43390cc3U,     0x3b4d5f02U,     0xd4cb6167U, \
    0x09968830U,     0x0918abf9U,     0x4eb1a8a1U,     0x70153707U, \
    0xf5476053U,     0x54fbf65aU,     0x7cba3861U,     0x9bd8bf7cU, \
    0x3921fb50U,     0xeeadc9eaU,     0xed208879U,     0xf80207d4U, \
    0xcc3bc715U,     0x4c5b57bdU,     0x6c652972U,     0xa4450500U, \
    0xb985be99U,     0x77e11ef4U,     0xd04e83d3U,     0x8c8786d5U, \
    0x80a88d18U,     0x6e281201U,     0xc430c360U,     0x31305c30U, \
    0xda09222aU,     0x45cb94e8U,     0x2ecc0350U,     0x366abb3bU, \
    0x17c2dbdbU,     0x9954633fU,     0x61d5600dU,     0x41cb605cU, \
    0xcc81a0a4U,     0x796de4e0U,     0x0acfbbd2U,     0x221c99eaU, \
    0x58834121U,     0x7f19048fU,     0xa3b29700U,     0xd5b3614fU, \
    0x721a3745U,     0x3fc35809U,     0xfc1a73cfU,     0xd6cce79eU, \
    0xb2299ebbU,     0xaf6ba83bU,     0x10760b58U,     0x9ba4fb5fU, \
    0x8fe4cadaU,     0x8e192abcU,     0x2d0a0e51U,     0x05e62634U, \
    0x5b289a0aU,     0xfa3bb0fcU,     0xbebcb258U,     0x43daf22aU, \
    0x3445bc9eU,     0x0b4a044fU,     0xd1721d06U,     0xc69eeadeU, \
    0x0c974b88U,     0xefc17ef2U,     0x1ee393b8U,     0x16438840U, \
    0xe3d7930eU,     0xec9fe5bfU,     0xe685f1deU,     0x15cd2c20U, \
    0xeaa58506U,     0x4d10fc9fU,     0xd9c77c2aU,     0xb18d6678U, \
    0x1c70416bU,     0x8350a7a4U,     0xeda19c9dU,     0xa577193fU, \
    0x14b97e8eU,     0xd16ebff3U,     0xa1746f9bU,     0x88c3e89bU, \
    0x8a6c7c12U,     0x76118bcaU,     0x1773f1bfU,     0x3d456514U, \
    0x56d9c54dU,     0x1080191bU,     0xff05f71bU,     0xeb61a78cU, \
    0x4657c631U,     0x380e8815U,     0x79cef7b6U,     0x1708d7feU, \
    0x29318709U,     0x9b897dafU,     0xae028917U,     0x3f5d5b3eU, \
    0xbed02f51U,     0xa5e3919cU,     0x4e4340a7U,     0xe6101335U, \
    0xa8db2467U,     0x2065d7e8U,     0x242c733aU,     0xe670c643U, \
    0xbcba4e09U,     0x051125cdU,     0x0bb4581eU,     0xd70e05a5U, \
    0x0f01eac2U,     0x8d2b4298U,     0x742c7f29U,     0x9d55cdaeU, \
    0xc8e6505aU,     0xeb5b8730U,     0x61c2b68bU,     0xf1e4b46cU, \
    0x79096eadU,     0x7cef7b4aU,     0xbd8c0a91U,     0xd27db61dU, \
    0x0afde7a9U,     0x4fb1a300U,     0x311d82b1U,     0x978cf907U, \
    0xadb8a7baU,     0x03688a03U,     0xa58ff929U,     0x6f747463U, \
    0xec982033U,     0x25645033U,     0x29df9756U,     0x1368f16fU, \
    0x55611abaU,     0x94a8e69cU,     0x85573419U,     0xa5c4cd1bU, \
    0xcf1bdfaaU,     0xdb0dbd07U,     0x478a1b20U,     0x30e8e6f9U, \
    0x1672a162U,     0x8fc504d7U,     0x2242f00eU,     0xabd03a0fU, \
    0x8a6f1a75U,     0xe125ee76U,     0x2d63d39bU,     0xc20ed233U, \
    0xdf15057eU,     0x81478d6bU,     0x80ee35b8U,     0x324018f0U, \
    0x2589d742U,     0xdbeeb4e7U,     0x3c08777dU,     0xa9cec123U, \
    0xee533b43U,     0x69fca71aU,     0x585eff6fU,     0x271151c5U, \
    0x75588815U,     0x8fd8feb9U,     0x11d48057U,     0x092e7b4bU, \
    0xecae1822U,     0xbbdadd63U,     0x69538e20U,     0x8ffc4ba8U, \
    0xd841f695U,     0x8ae99245U,     0xc5124ca3U,     0xa0732932U, \
    0x96bb8d1fU,     0x4179d0f5U,     0x90041a4aU,     0xfa2ad190U, \
    0xe1241732U,     0xc2491adeU,     0x87cd20baU,     0xeeb182f0U, \
    0x03fb40e5U,     0x7a236006U,     0x73deb7c7U,     0xc26068beU, \
    0xe937c7e0U,     0xe8fc57aaU,     0xb9acf47dU,     0x0097e159U, \
    0x45f49fb7U,     0x7142c4edU,     0x982124b1U,     0x9cd467b7U, \
    0x40e369e0U,     0x8b97ba47U,     0xb3c5a366U,     0x66b1c75bU, \
    0x1d038001U,     0x28a622b4U,     0x10a690cdU,     0x1eadf0d7U, \
    0xe0116024U,     0x2afb7cffU,     0xfe31358bU,     0x3d5336b7U, \
    0xaf80a38bU,     0x8651561fU,     0x6f267704U,     0xa71b5432U, \
    0x07f09279U,     0x7bc492e5U,     0x64c5ca7dU,     0x66fed86dU, \
    0x9d12bafeU,     0x49decfd1U,     0xdb0d4827U,     0xffb65b65U, \
    0xccad8e6bU,     0x75828210U,     0xe175fc23U,     0x59229f39U, \
    0x6c15cd63U,     0x0d8dc024U,     0x1e3d8665U,     0xcb6ab04bU, \
    0xea7f16e8U,     0xcacc3543U,     0x1dd39393U,     0x54ea6d04U, \
    0xe584730fU,     0xabd3ed48U,     0xe267a4a8U,     0x5d43ef2eU, \
    0xb805d486U,     0x033dab28U,     0x4bf502a4U,     0xa1e7b0e2U, \
    0x373a35d1U,     0x81a38e35U,     0x9b86e3e0U,     0x5a0ef297U, \
    0x8c85b156U,     0x3bf9dea6U,     0x0cb08ae9U,     0xff6e3f5cU, \
    0xf0096ab4U,     0xbc7906faU,     0xb0a9a79bU,     0x0b4cc488U, \
    0x8916a83bU,     0x60326f01U,     0xc0590658U,     0xdfffdf8eU, \
    0xbca6944fU,     0xed637acdU,     0x3399e645U,     0x2b75a22dU, \
    0x48efe390U,     0x545b0680U,     0xebdcf310U,     0xd5d48e24U, \
    0xc373be25U,     0x9219b47dU,     0x9924c18cU,     0x9eb4a402U, \
    0x6436b773U,     0xa543ae6dU,     0xd00d572bU,     0x1df4f9fbU, \
    0x7134b55bU,     0x45abf880U,     0x1a82b950U,     0x41bb8ae3U, \
    0x53189677U,     0x0e838f2eU,     0x038bea61U,     0xb377518eU, \
    0x748b2ba5U,     0x6463a6a8U,     0x5cd713e2U,     0x84a03169U, \
    0xc7123395U,     0x1551c75dU,     0xfa1d6c12U,     0xeb7bbc00U, \
    0xa05f8538U,     0x810f5c8dU,     0xb2081addU,     0xd536ff6fU, \
    0xef44f25cU,     0x74be3351U,     0x32ee895bU,     0x5b5921b1U, \
    0x38872f70U,     0xb7375c4aU,     0xb28a32c7U,     0x407ee1f5U, \
    0x3cbd5c31U,     0x0871f2b0U,     0xa2cac3aaU,     0x9bece23bU, \
    0x94ccf4f7U,     0x83472b56U,     0xad8e0c35U,     0x1a278c2bU, \
    0x2ca57a2aU,     0xbb3daffaU,     0xe2091f14U,     0x63314796U, \
    0xa566d613U,     0xf0dd10aaU,     0xe591ea51U,     0x1fd00c23U, \
    0x543f312dU,     0xa25c35a6U,     0xfba74183U,     0xb5418c03U, \
    0xe5d89ffeU,     0xa25cd008U,     0xeb1626cfU,     0x558fbc1fU, \
    0x0ae10af3U,     0x0a12c1eaU,     0xe877355bU,     0x825acf90U, \
    0xb02b8ebfU,     0x1bbfb55bU,     0xf13a48d5U,     0x4df459d7U, \
    0xca5f32c7U,     0x71cbe5aeU,     0x2479dcdeU,     0x22900970U, \
    0x3cc6ec01U,     0xd21ad6b7U,     0x9bc608b8U,     0xe85d2c11U, \
    0xe877aa15U,     0x6a00ed0aU,     0x1cca201fU,     0xb7a90913U, \
    0x761be57cU,     0xe3496cbeU,     0x3910f05bU,     0x4ef15585U, \
    0x743453a5U,     0x945cf044U,     0xa1cd0b51U,     0xee82767fU, \
    0xccd25e78U,     0xaa694263U,     0x949ced36U,     0x859983c4U, \
    0x41443d29U,     0x5dc47cd4U,     0x63e66d95U,     0x510f9b49U, \
    0x610fab26U,     0xfaa894ddU,     0xabf3178aU,     0x0961cb25U, \
    0x31136c57U,     0x0d000522U,     0x00272828U,     0xdd0b3446U, \
    0x7655fee8U,     0xda86a6ecU,     0x4d43f5aeU,     0x604aa570U, \
    0xb359142dU,     0xa6723bfaU,     0x5ef8c6cfU,     0x3c238814U, \
    0x0a155e5cU,     0xc9904cbaU,     0xdf69f163U,     0xd605712aU, \
    0x3cfdd606U,     0x8a5363e3U,     0x30133bf4U,     0x8b74a407U, \
    0xd6769bbdU,     0xf73a0276U,     0xec1e933eU,     0x2bd9c19fU, \
    0x4462ba4eU,     0xf901f54cU,     0x0322947aU,     0x5bf61852U, \
    0xfa58caf0U,     0x75b1be99U,     0x47119a71U,     0x17934f4fU, \
    0x7e46517eU,     0x9e61ad40U,     0x190108edU,     0x1b672e48U, \
    0x156fa396U,     0xbce16edaU,     0x1da48f58U,     0x37e88918U, \
    0x112697a7U,     0x21ec9bf4U,     0xc5fe5133U,     0xc127f30cU, \
    0xf27e6483U,     0xf3f80417U,     0x40311020U,     0x88292dadU, \
    0xbd99d6f4U,     0x2aff05ebU,     0x8a51a350U,     0xf5c19968U, \
    0x1689fdaeU,     0x406ad75fU,     0xc0b661e2U,     0x0fed8b17U, \
    0x2d7048b2U,     0x953bbc99U,     0x6eeb48d0U,     0x85a499b3U, \
    0xf6fc6437U,     0xec7cca39U,     0xeff4e102U,     0x178ad361U, \
    0xa8f8301bU,     0x1c2d3722U,     0x194927abU,     0xe587f030U, \
    0x88a81756U,     0x0bfce8e4U,     0x444de919U,     0x12baa99cU, \
    0x78468dd5U,     0xfe893804U,     0x572dad72U,     0x0cc8ad27U, \
    0xea4cb5b2U,     0x7b95dd05U,     0xd7b8a341U,     0xb01033f0U, \
    0xbd7b0f89U,     0x8fedd72fU,     0xe14c0cdfU,     0xb172d1b2U, \
    0xcb5cf563U,     0xa8305a52U,     0x456fb131U,     0x1e38f7eeU, \
    0xa865f324U,     0xf943e462U,     0xf85e596eU,     0xfe81f232U, \
    0x87a7af86U,     0x7d6bfc4aU,     0x5c1c0cb0U,     0xcb6b0d46U, \
    0xaad9dad9U,     0x4e8308c8U,     0x36d44804U,     0xa33492f6U, \
    0x5955e3b7U,     0x3effc0feU,     0x38e83db0U,     0x48279d38U, \
    0xad338ab2U,     0xb354b8a7U,     0x0f6f128bU,     0xe8b9ff92U, \
    0x5bd5445fU,     0x39c1c999U,     0x85972bbfU,     0xf1795653U, \
    0x62221e1aU,     0xc116caf2U,     0x5c63b338U,     0x2d5a4a1cU, \
    0x9c9c8f61U,     0x1d7e2a6dU,     0x39de892aU,     0x10b4d9a4U, \
    0xdcedea76U,     0x3101494bU,     0xcf58f0c5U,     0xcde79266U, \
    0x4794e39dU,     0x09555364U,     0x3d5dbde2U,     0xfe8083ffU, \
    0xe7956085U,     0xecf667b1U,     0x6e026621U,     0xe9d4fcb0U, \
    0x6abd5a0fU,     0xfe09bfdaU,     0x3cc0d815U,     0x5bb0d1ddU, \
    0x364655b9U,     0x3584bf0cU,     0x8e7bb06aU,     0x2cb590b8U, \
    0x8cb3628bU,     0x90b44dccU,     0x693e7c4cU,     0x815971b2U, \
    0xbd3d81b8U,     0x3f8d31d1U,     0xaed03d54U,     0xa80b1593U, \
    0xbdfc1eaaU,     0x3ce52a79U,     0x70abcac2U,     0x378367d0U, \
    0x99d8bcccU,     0x9a986d02U,     0x94b95637U,     0x0d8040abU, \
    0x0db703f7U,     0x08306fc2U,     0x54821622U,     0x66c7f533U, \
    0xb6db51fdU,     0x6ee09d61U,     0xc567a768U,     0x6657a322U, \
    0xf3614d39U,     0x965819f7U,     0x95db8784U,     0xfc711e46U, \
    0x96811b58U,     0x98af1589U,     0x9d512ff3U,     0x451310f5U, \
    0x087b5049U,     0x68508cb6U,     0x9ba0aee2U,     0x4a20fc6dU, \
    0x67ab3a84U,     0x3fe92c14U,     0x826f7de5U,     0xc12ca519U, \
    0x024f9a30U,     0xc27f9db1U,     0x85a52978U,     0xdc368495U, \
    0xef687481U,     0xe1b3371fU,     0xf371def0U,     0x2b6e955bU, \
    0xfb1a71e0U,     0x4240d167U,     0x1efb0b08U,     0x028fd54fU, \
    0xb289ab42U,     0x88299ea7U,     0x292901b5U,     0x779c91beU, \
    0xdf712e94U,     0x4834c40aU,     0xb7ffa2daU,     0x599a3bd3U, \
    0xf63fff16U,     0xf0698d0eU,     0xc4cb4c8cU,     0xec315e51U, \
    0x3771457dU,     0x0e9e5e78U,     0xb2788225U,     0x3841881cU, \
    0xa3a25b6dU,     0xb841b189U,     0xb258e185U,     0x15dd5ee2U, \
    0xc5ca18e4U,     0xa902d9ecU,     0x8b949438U,     0x38788f7fU, \
    0x16cbdc01U,     0x65cb62e1U,     0x86260750U,     0x5d75d5b2U, \
    0xe579aa9bU,     0xc5d1c277U,     0xd4a3b07eU,     0x76973a0aU, \
    0x31f6afdbU,     0xd4828752U,     0x9f7f1249U,     0x4889f0eaU, \
    0xdcd89ed4U,     0x3448c1c6U,     0xd1026fbbU,     0xf8cdac5cU, \
    0x9dc79403U,     0x1a1a555aU,     0xf345beeaU,     0x246bb8f5U, \
    0x294713d0U,     0x9b84fd65U,     0x539a73e3U,     0xe076070dU, \
    0x8f7e26cfU,     0xa5c1988dU,     0xde2ce5c7U,     0xe5c20bceU, \
    0x743ab7f5U,     0xd1fa9c67U,     0x15415f04U,     0xcc5eab56U, \
    0x2fe76011U,     0xd934561fU,     0xa9830c65U,     0x4ee80b4bU, \
    0x7eb6c381U,     0xd7b7e81eU,     0xe4be0078U,     0x7028da13U, \
    0xf2783da2U,     0xf2b3d61cU,     0xb4252dcdU,     0x2ea3eb02U, \
    0xe530daf4U,     0xed5af1cdU,     0xfd0356b8U,     0xcfeeb67eU, \
    0xd906992bU,     0x82edafa8U,     0x14cb9dfcU,     0x50a1e982U, \
    0x26d12993U,     0xb926c300U,     0x0ebbcc21U,     0xe0206769U, \
    0xa364e1f5U,     0xa700a4aaU,     0x3a924f83U,     0xef38434aU, \
    0x7a815312U,     0x26b1847cU,     0x49d1e787U,     0xbdbe61c7U, \
    0x64c68537U,     0x91014b5dU,     0x8272ac5eU,     0xeb209d9cU, \
    0x75fba247U,     0xd697c96aU,     0x042b712aU,     0x7b651437U, \
    0xf67e2943U,     0xb217a22fU,     0x9505833cU,     0xf5ad6f01U, \
    0x57902b1aU,     0x03693c75U,     0x0837e4d1U,     0xc36eaf31U, \
    0x8ece0fe2U,     0xfc9fa783U,     0xe1c6585bU,     0xd60303f2U, \
    0xf0b81d01U,     0xf21e1955U,     0xce77982eU,     0x4b34fa3aU, \
    0x773c6729U,     0xbd98ccecU,     0x58dc78a3U,     0x8354545dU, \
    0x3b9b33a7U,     0xb56aafdcU,     0x9c45a6f9U,     0x20938f40U, \
    0x9e8bbe43U,     0x842e86d6U,     0x28f1e747U,     0x7617ccbbU, \
    0xa68df179U,     0xdd2d4563U,     0x802ebae2U,     0x6d070577U, \
    0xd59d208dU,     0xfeb84d05U,     0xd9dd605dU,     0x3baf9994U, \
    0x9953200fU,     0x6326de5aU,     0x7c7b667aU,     0x2f382d36U, \
    0x1c8dfbdbU,     0xd65d2252U,     0x55346727U,     0xaee3d185U, \
    0xc0716971U,     0x1a8a3713U,     0x2fe5e9a7U,     0x902bc5eaU, \
    0x40868397U,     0x1edf92a9U,     0x75ebd2acU,     0x6adeb741U, \
    0xf96280e4U,     0x8ca9e1f9U,     0xae4c0fc0U,     0xf1af00fbU, \
    0x07f79e60U,     0x2f8a8917U,     0x88386957U,     0x0bdc8997U, \
    0xe594c1dbU,     0xe47354d0U,     0xf537539bU,     0x851e6483U, \
    0x80873b02U,     0x0f981c1aU,     0x80fbeb79U,     0x9033b5c4U, \
    0x88212e4aU,     0xcf180673U,     0xe469711cU,     0x4e50d409U, \
    0xb9c1b8d4U,     0xcaccc5acU,     0xe052e7caU,     0xc7158e2cU, \
    0xa9688ebbU,     0x63b5e53aU,     0xfa8af11cU,     0xbb74cc41U, \
    0x243626d2U,     0x0337392eU,     0xc5f96db7U,     0x98168211U, \
    0xed7eae93U,     0x8e432f24U,     0x7483cd38U,     0x55f8b5b0U, \
    0x73f61adcU,     0x1fe9ca65U,     0xb142c7e4U,     0xf4d66fe3U, \
    0x52ed0498U,     0x9bc3b757U,     0x3b14b428U,     0xf66a06d7U, \
    0xb225813fU,     0xf41505f0U,     0x161c54aaU,     0xcb0ed52fU, \
    0x0b584dc0U,     0x2612ad41U,     0x8d362fe7U,     0x681684b1U, \
    0xb0b4472cU,     0x35ded961U,     0xdf54b167U,     0x1963ec01U, \
    0x9b0280acU,     0x171dd57eU,     0xc0509679U,     0xb3a7c5d1U, \
    0x68cb68a9U,     0x9078c1d1U,     0x9fcb6087U,     0x30cbd59bU, \
    0xb507cb46U,     0x7d47620aU,     0xac9c6fbfU,     0xe4283441U, \
    0x785fc664U,     0x583ed995U,     0xaac00b9aU,     0xdddd281bU, \
    0x0c2c4f81U,     0x0604ce8cU,     0xd277b6abU,     0x89c2bbcdU, \
    0x0a9aea9aU,     0x684e0cecU,     0x3de5823dU,     0xd1f945d1U, \
    0xd95d64e7U,     0x8b8b900dU,     0xbbc251cfU,     0xe3acbf62U, \
    0x4c887c39U,     0x2e31e61bU,     0x3d233c3dU,     0x35a84bdeU, \
    0x3ecd242fU,     0x339cff7dU,     0xc30d4568U,     0xbfd6e3a6U, \
    0x72ac894aU,     0x41c2ed54U,     0xf96f8797U,     0x04f74fbbU, \
    0x50b005bfU,     0x1b25de68U,     0x4a0c6ebdU,     0xb07235beU, \
    0x5753f7edU,     0x8279aa78U,     0xd0eb5879U,     0x3c6924a5U, \
    0x46a8e189U,     0x0e87df45U,     0x07b715aaU,     0x10e816abU, \
    0x819164a8U,     0x9a114023U,     0x3cdd07efU,     0x1b130a13U, \
    0x7adef028U,     0xac5b50d2U,     0x8aaf2b26U,     0x2509ac0aU, \
    0x93e96079U,     0x2d57aca6U,     0xf2be8bc4U,     0x390f110cU, \
    0x0429e84aU,     0xa3cf854cU,     0xe868d5b3U,     0x4ecd3af2U, \
    0x980c2a44U,     0xbb17f493U,     0x85c342d0U,     0xbfcaf119U, \
    0x2359d7f1U,     0x8e0c142bU,     0x1e8fb6a4U,     0x33c70379U, \
    0x68980952U,     0x98e545feU,     0x12368d77U,     0x62b29786U, \
    0x5ec0f119U,     0x4ae955f2U,     0x860b0747U,     0x786ca0deU, \
    0x3941a7abU,     0x24cba1efU,     0xeab0f13aU,     0xcf7ce007U, \
    0xcd2df002U,     0x67e2af87U,     0xf145ccd3U,     0x336076e6U, \
    0x9bc539caU,     0xfc4d6d3eU,     0xa0841de6U,     0x347f357cU, \
    0x044e52fcU,     0x5059b231U,     0xb31cd161U,     0xb6304ac7U, \
    0x6b89a574U,     0x87db5771U,     0xff56f9bfU,     0x9de91b39U, \
    0xe76bb30aU,     0x77eca19bU,     0x88c5a0daU,     0x5d9d9191U, \
    0xa66ba8d6U,     0xb865d049U,     0x59f12297U,     0xe4b09a3eU, \
    0x02316734U,     0x420d1641U,     0xff005821U,     0x28299841U, \
    0x68dd32ecU,     0x92a3015aU,     0xbdd262d7U,     0x276386f0U, \
    0x7706a1ecU,     0xd2d6dd50U,     0x3390d622U,     0x52a5c10cU, \
    0x7214d65eU,     0xf454197eU,     0xc7a2a85bU,     0x6f0648b5U, \
    0x4fa6e74cU,     0xed45490cU,     0x5fdbc1ddU,     0x596162a3U, \
    0xf4c2ae48U,     0xf0f38d68U,     0xc6976239U,     0xaaebdbd7U, \
    0x3b18d790U,     0x2564b488U,     0x7fa2b2b7U,     0xf55fab9aU, \
    0xb12d86aaU,     0x43ab2576U,     0xd7f3a2b7U,     0x20825022U, \
    0x23e2d2daU,     0xa3692accU,     0x7aa3b28cU,     0x974505ccU, \
    0x4cdad8a5U,     0x41304e3fU,     0x2e7cf35cU,     0x6ed8b9b4U, \
    0x8921e41dU,     0x8f57a49bU,     0x604499f3U,     0xf7d707b6U, \
    0x957b4ecaU,     0xd73df5a5U,     0x84189c9bU,     0x7846e543U, \
    0xab9f5219U,     0x89503021U,     0x1788d480U,     0xf9fed911U, \
    0xd462fadbU,     0x0de1a34cU,     0xe387b5c0U,     0x5ce8ec9bU, \
    0xe0080126U,     0xaa0a426fU,     0xdab86fe9U,     0x02548d38U, \
    0x48116742U,     0xfa3d8103U,     0xf993ae0aU,     0x64265938U, \
    0xd45c6fa6U,     0xc850f310U,     0x008c7ac1U,     0xf91db83cU, \
    0xb4e3863dU,     0xf0add8ccU,     0x1dd7bc7cU,     0xadcef979U, \
    0xbbf1eb5eU,     0xe6cddcfdU,     0xe6cc142dU,     0xfdb03e82U, \
    0x8b819b73U,     0x24b3dc72U,     0x4fc707a5U,     0xb351304bU, \
    0x648dc6ddU,     0x7f72484cU,     0x3a7b1079U,     0xac1a3180U, \
    0xd32bf132U,     0x9391476cU,     0x7fd7fc30U,     0x2334226fU, \
    0x8b417291U,     0x81fd835aU,     0xd4b77736U,     0xa79e668cU, \
    0xf83cc49aU,     0x6d8311e2U,     0x8165f30dU,     0x350d2c4cU, \
    0x844d356fU,     0x779b4a97U,     0x2c1519bfU,     0x60682a6eU, \
    0xf68af142U,     0xc162281eU,     0x5eb121feU,     0x75d770f0U, \
    0x25d955b5U,     0x449d69c2U,     0x536afc78U,     0x96e108a8U, \
    0x9d5977bcU,     0xe7065620U,     0x510f7363U,     0xfd9dca58U, \
    0x7472a8b9U,     0xb98697b3U,     0xafe34b2eU,     0x12357cd8U, \
    0x83e9aeb6U,     0x2917a64dU,     0x65cbc54aU,     0x62daebc9U, \
    0x144396daU,     0x72bf775eU,     0x7908d1a8U,     0xeea60ba9U, \
    0x6c8ae511U,     0xd0a26d83U,     0x5fee881fU,     0x392c2aeaU, \
    0x1d11e054U,     0xd14220c2U,     0x8738f252U,     0x9d1d27ebU, \
    0x5445af6fU,     0x8592e287U,     0x24fc9684U,     0xc7abb696U, \
    0x4547b1d4U,     0xee95310fU,     0x2976836bU,     0x4ff5c700U, \
    0x1f4f93bdU,     0x55d8bce5U,     0xc9280ff4U,     0x4827fd4fU, \
    0xb559b687U,     0x5350d6a8U,     0xbd98e1c0U,     0x8ad61dcdU, \
    0x11369a44U,     0x50ff976dU,     0x497c2923U,     0xd5663bb7U, \
    0x7f13ecffU,     0x7b465102U,     0x21df48e6U,     0xaf3b925eU, \
    0xc2481f97U,     0x6e5672ecU,     0xb78283c6U,     0xf8cf7e7aU, \
    0xba5a1621U,     0x97529bfaU,     0x79f20f20U,     0xf79fc1a0U, \
    0x6c7b7b05U,     0x85383d0aU,     0xd1562d3dU,     0xd01ef205U, \
    0x1a3bba0dU,     0xbdf84625U,     0xdf65037dU,     0x8b0aeaf8U, \
    0xf10a21b7U,     0xcede8440U,     0x987fa196U,     0xd23dedb6U, \
    0x4a922c28U,     0xda2689daU,     0xd0cf6b92U,     0x434daf05U, \
    0x525a0993U,     0x51604632U,     0xfa7c52eaU,     0x448511beU, \
    0xc324a768U,     0xdab5840fU,     0xcdf7c6cdU,     0x7a582dd5U, \
    0x71641237U,     0x05f99fc2U,     0x0f170ac4U,     0x6f3b56d5U, \
    0x45ca2969U,     0x237fa934U,     0xb8b9bb18U,     0x2ce74ca0U, \
    0x807eb23aU,     0xd1e6679eU,     0x6bb41896U,     0xbd1949b8U, \
    0x6625bc05U,     0x7fec6e96U,     0xa1fc239cU,     0x26339d47U, \
    0x6eee4e42U,     0xa82177ffU,     0xbab1a4e2U,     0x3f8fd5d4U, \
    0xd3d40aa9U,     0x24d6ea57U,     0x338de08eU,     0xf88e188aU, \
    0x105722e4U,     0xfd54ae5eU,     0xdf9d871fU,     0xc19d12b2U, \
    0xb456ca14U,     0xfd0054c1U,     0x1e4ebf6fU,     0x6a3e8025U, \
    0xcaae79bfU,     0x69755db3U,     0x98f2deb0U,     0x92090bd0U, \
    0xedba33a3U,     0xcd830922U,     0x70fd33a3U,     0x0b627a2bU, \
    0xa7a874c6U,     0x7506822bU,     0x375daef6U,     0x912a30f3U, \
    0x15b2162bU,     0x71a79752U,     0x97c0dba5U,     0x6b75c772U, \
    0xe268c70aU,     0xacc55170U,     0x6d22c0d9U,     0x4c4b36c6U, \
    0xaea305c6U,     0xf449299fU,     0x2569c3eeU,     0xb9ecbdafU, \
    0xa801fb01U,     0xaf8cdd43U,     0x61d2f889U,     0x01dd030eU, \
    0x10d56114U,     0x6915feebU,     0x0d3f8ddcU,     0x142e6d09U, \
    0xfd216fdeU,     0x3247e218U,     0x931dcdedU,     0xf5f174d0U, \
    0x1a84dc90U,     0xfe8317d0U,     0x97fb50beU,     0x9e4e1c3eU, \
    0x8705d5baU,     0x4228d14bU,     0x39d23efdU,     0x1ce59630U, \
    0x75f21789U,     0x21ea0a8eU,     0xea305f8fU,     0x020c458cU, \
    0x9c570607U,     0xf57618a4U,     0x60ae9df9U,     0xd7c7ecebU, \
    0xc9e086fbU,     0x499c4489U,     0x0c40480fU,     0x841956aaU, \
    0x2395548eU,     0xb3328894U,     0xc1af50c2U,     0x4c32b831U, \
    0xe3269f4eU,     0x88f58d6cU,     0x6cb80480U,     0xe4a14603U, \
    0xf5b85927U,     0xa0d06153U,     0x1881ce12U,     0x98c017a5U, \
    0xbdd86567U,     0x60f56077U,     0x137d7fb7U,     0x37f29e7aU, \
    0x2d88f070U,     0xdf6264f5U,     0x9be57041U,     0x05407cf5U, \
    0x65f31cbeU,     0x623a851dU,     0x3c6eacb3U,     0xdf8ff22eU, \
    0x5edb96b1U,     0xa5c7bdc3U,     0x65794b90U,     0x07000ea8U, \
    0x728f7c2fU,     0xbe4fa8d7U,     0x47fdea89U,     0x9d294728U, \
    0x48d7af63U,     0x8941b7d7U,     0xf2e589b7U,     0x8a4e224bU, \
    0xac2e5928U,     0x38b9015fU,     0x14a74351U,     0x78eaec4fU, \
    0xfe25bbcaU,     0x39cdb401U,     0xfeb9a025U,     0x42f16965U, \
    0xbc0124f2U,     0xc53eb272U,     0xf47ed1e9U,     0x9e208635U, \
    0x3956d939U,     0xfc4c141cU,     0xec5f3278U,     0x4e16bdf8U, \
    0x044f7b0dU,     0x940fcebfU,     0xa254983bU,     0x71db27aaU, \
    0xf68adc00U,     0xaada262bU,     0x840f5049U,     0xde40b200U, \
    0xed452eb7U,     0x74d208d2U,     0xa44a4c8eU,     0xf27ff600U, \
    0xe9e92b4eU,     0x81379524U,     0x442655daU,     0x6a1bacc0U, \
    0x14e99e4dU,     0xd2aa70c8U,     0xb9a2fffbU,     0xc176bd3cU, \
    0x3d99857eU,     0x9a2ec5aaU,     0xd3b35622U,     0x4cee2fe7U, \
    0x9499d441U,     0x09b6a438U,     0xa2af2b28U,     0xd3d2b5b8U, \
    0x6e53df5bU,     0x28b13a7dU,     0xa7d46cc6U,     0xabe97b53U, \
    0xb9dcc898U,     0x98cb1e01U,     0x8c4bd9ceU,     0xf23ab117U, \
    0x05b1bad1U,     0x24d21f21U,     0xfffdcea9U,     0x52dccd46U, \
    0x5dffb98dU,     0x867c6563U,     0x553e601bU,     0xe40354a2U, \
    0xf79c5954U,     0x06144d63U,     0x989b104bU,     0x20f9efc8U, \
    0xbe467af2U,     0x381987beU,     0xfd70ce50U,     0xf3d1bd73U, \
    0x6ac8ffb4U,     0xd541ac17U,     0x354b60a0U,     0x34caa7d0U, \
    0x9b7f5a48U,     0x8834d55eU,     0x63555111U,     0x095878d0U, \
    0x690391abU,     0x094a33bbU,     0x04c8fee4U,     0x27cb290dU, \
    0xa920692cU,     0x7fa7ca0cU,     0xee9f59aeU,     0x3ac8988fU, \
    0xd486d257U,     0x4c366125U,     0x5510c61dU,     0xee89d8f3U, \
    0x5840335bU,     0xdc49852eU,     0xa64eaa60U,     0x9f736a29U, \
    0x100f23f2U,     0xc7e8d61cU,     0x560c1ef8U,     0x506b204eU, \
    0xd7215d0bU,     0xad68935bU,     0x967d2887U,     0x3098cebbU, \
    0x4eaf476bU,     0xc233a5d0U,     0xf0cdb5bcU,     0xe70781f4U, \
    0x7403ed37U,     0x0b078332U,     0xecb5d139U,     0x85b6a10dU, \
    0x681ddf31U,     0x93ff1a13U,     0x45a056a4U,     0x2369eaf1U, \
    0x2ae78806U,     0x5f7b3de0U,     0xad5cd1a0U,     0x65bc8080U, \
    0x21ac67a1U,     0xacd75c59U,     0x183ae373U,     0xf3267bebU, \
    0x14ef195eU,     0x0d351836U,     0x00ff6781U,     0x698288c0U, \
    0xc8f900e5U,     0xa9f9c487U,     0x51e718c1U,     0x1e050ae3U, \
    0x3febadb2U,     0x0ccfec7aU,     0xdafd7e21U,     0x280f5e60U, \
    0x1df39f7eU,     0x7730d3d8U,     0x6ad81972U,     0xdbd72139U, \
    0xdaa7b635U,     0x9c9dc660U,     0x5b69ebd4U,     0xdc0e9d6fU, \
    0x3b4f52c0U,     0x45d5843dU,     0x06ffdb24U,     0x2833a2ccU, \
    0x5befc3c7U,     0x036d4a95U,     0x825fad20U,     0x40babdbaU, \
    0x232d9857U,     0xaff15168U,     0xdf4687aeU,     0xc25ee536U, \
    0xd9132137U,     0x03224d1dU,     0xfe7baba0U,     0x8c3ac771U, \
    0x39450de1U,     0xec806717U,     0x66f2c22aU,     0x074eb665U, \
    0x50cdaeaaU,     0x2368fd30U,     0x8519b482U,     0x6ac2ab00U, \
    0x546006eaU,     0xa9219887U,     0x8e3dc838U,     0xe2ce9d03U, \
    0xca8d158aU,     0x61a75c53U,     0x9840d806U,     0x54bcfdd5U, \
    0x7f57ed4dU,     0xeebc9a40U,     0x0cca5513U,     0x434f798eU, \
    0x3742ee0cU,     0x9e59ec0dU,     0xf335cf38U,     0x047dbd32U, \
    0xc7bb2a94U,     0xf2c9616bU,     0x8294bff5U,     0xe2d6b12bU, \
    0x6205221cU,     0x3ee1fac2U,     0xf6a430deU,     0x3823d50dU, \
    0x5b86a6e0U,     0x2cebecc1U,     0x00ac2739U,     0x5e1c0be2U, \
    0xf51738f6U,     0x4ac5d68fU,     0xa1b8c10aU,     0x6770bdd0U, \
    0xc6a75cd0U,     0x7c3431fbU,     0x78f06137U,     0xa3f51f03U, \
    0x8afb87a9U,     0x796fca35U,     0xe8178471U,     0x292a9c0aU, \
    0x7a0decfcU,     0xcf6aa571U,     0x17518002U,     0x168662b2U, \
    0x33202737U,     0x52e98917U,     0x008a0d9aU,     0x0f714ce9U, \
    0x201a91f1U,     0x5c06c2fbU,     0xc923a21eU,     0xba135fadU, \
    0xc4cab8c2U,     0x0994af3cU,     0x440beca9U,     0xa16501f3U, \
    0x3928b543U,     0x64726439U,     0x470dfc52U,     0x1bab0955U, \
    0x11d3c5e4U,     0x333c0940U,     0x4190eb14U,     0x60a87e36U, \
    0xb5f7d706U,     0xffca833aU,     0xc94131feU,     0x623b07bbU, \
    0x779a22d5U,     0xe95cdd5eU,     0xcb92579aU,     0xccc02225U, \
    0x91f43a9dU,     0x3c2831f4U,     0x6843c813U,     0xd09ec2c4U, \
    0xf826b3d1U,     0x0993e65dU,     0xdd7ef3ecU,     0xc22d22ecU, \
    0x91496af4U,     0x60f1ba4bU,     0x8e790c5cU,     0xfd4c0256U, \
    0xa58ac60bU,     0xfc38a32dU,     0x248c5309U,     0x8e234141U, \
    0xf68cf222U,     0x1deaf235U,     0x8ba0bef6U,     0x94aefa14U, \
    0x641915deU,     0xc606a416U,     0x3b30d58cU,     0x35d58c7cU, \
    0x560ae83aU,     0x61b87e40U,     0x149f5018U,     0x0aca564eU, \
    0x3822a002U,     0xaed1227eU,     0x7058c7b2U,     0xda75f249U, \
    0xb34c186cU,     0x84bfcdc7U,     0x14acba02U,     0xdb68eb5dU, \
    0xd592f013U,     0x55723d46U,     0x66e62565U,     0x3e6627d6U, \
    0x19c55db5U,     0xa2baa55dU,     0x2335fc94U,     0x9c3a8ba8U, \
    0xaef135b4U,     0x6fa736b5U,     0xe0480e24U,     0x7a7f3b20U, \
    0xf791ae07U,     0x829ad71eU,     0xd4e16299U,     0x3f91e59eU, \
    0xe0407942U,     0x53ad8a33U,     0xab49ed70U,     0xf29b9432U, \
    0xc56247e2U,     0xe96e6857U,     0xd77916c0U,     0xd7b0defdU, \
    0xb362cce7U,     0x057c53e6U,     0xfc96e3c6U,     0x9416d8a1U, \
    0xa820cac8U,     0x007bc373U,     0x5660318cU,     0x302bf56cU, \
    0x00417c0eU,     0xd51f0d84U,     0x383b098eU,     0x495ea5f0U, \
    0x507f438cU,     0x5b298813U,     0xb5fffdccU,     0x67c7c511U, \
    0x62f6ae50U,     0x8944de52U,     0x67c0a0a4U,     0x6a36fdf9U, \
    0x65779dfeU,     0xff549298U,     0x62628967U,     0xfaae00c7U, \
    0xf2beb719U,     0x56033df4U,     0xf786308fU,     0x2938b80aU, \
    0x9d5a1282U,     0xd9ed6f9dU,     0xb6dd904cU,     0xc5da6b5fU, \
    0xd413f531U,     0x808c0e25U,     0xf4446880U,     0xf51f8d29U, \
    0x75d21251U,     0xb4f69f01U,     0xe0996bceU,     0x425829e0U, \
    0xe81a12c4U,     0xd1e924c7U,     0x4182f0f9U,     0x27dbc5cfU, \
    0x00eacc53U,     0x8b9a9379U,     0x92e644b3U,     0xf861637cU, \
    0xf38207a6U,     0x57c159c9U,     0x2522b743U,     0xe64839edU, \
    0x44dbb47bU,     0xb8e7eecdU,     0x2defdf15U,     0x7d6a603fU, \
    0x3b92160dU,     0x230551ceU,     0xa9d3d5c9U,     0xb869764dU, \
    0xeaf162ccU,     0x3d377e4aU,     0x613b0b44U,     0x8e860041U, \
    0x3e5c3e89U,     0x6156b8deU,     0x5f479804U,     0xee8a256eU, \
    0xcec63df6U,     0x275a398bU,     0x215649f3U,     0x5522d95cU, \
    0xbd67d27cU,     0x15471acbU,     0x5fd6205bU,     0x1671c355U, \
    0xaddb8df6U,     0x3836a405U,     0x84781da4U,     0xec3f525eU, \
    0xa63ce694U,     0x4e83db03U,     0xa05a3db6U,     0x1d4a0df7U, \
    0xb0db0025U,     0x8100971aU,     0x81e8cf1fU,     0xddd97dc8U, \
    0x371ac3a7U,     0x54cdd073U,     0xe9647865U,     0x42d110faU, \
    0x3e1c3676U,     0x2e0de735U,     0x6ecbf812U,     0xabf06539U, \
    0x98ce762cU,     0x1724e628U,     0x24c7e5b8U,     0xdafbdb6eU, \
    0x2cd58429U,     0x8c3f4633U,     0x6c7a183eU,     0x5bd38affU, \
    0xafc53961U,     0x0bc6e2c3U,     0x9c482170U,     0x911460b1U, \
    0x2aa5f375U,     0xb86fc74bU,     0x9bde2427U,     0x8367c7cbU, \
    0x1d79abc2U,     0xec256569U,     0xf7e9aa26U,     0x15eed7f4U, \
    0x4e99fa8eU,     0xc7f0c1a5U,     0x0cde2073U,     0xdf640807U, \
    0xbfe9370bU,     0x9b5c016aU,     0xd2a8b985U,     0x27179e6dU, \
    0x6b2e1356U,     0xe9254aa5U,     0x803fbde9U,     0xac1e334eU, \
    0x46fde8c8U,     0xd0e92182U,     0xea7e4282U,     0xb59c03dbU, \
    0x4bd50f0dU,     0xb3f9eac6U,     0x7e71c167U,     0xb577475aU, \
    0x67c44e90U,     0x12c8dcbeU,     0x463279e2U,     0x314cddc0U, \
    0x35bbca30U,     0xebb07bafU,     0x4646f235U,     0x043467ccU, \
    0x385ecaf0U,     0x89570b56U,     0xd55beee2U,     0x1b1ddfb5U, \
    0xb5f37598U,     0x7d821584U,     0x3f22705aU,     0xf633593fU, \
    0x09e7adc3U,     0xe5034985U,     0x4826948bU,     0x7df0f81aU, \
    0xf307d4a4U,     0x077ade8cU,     0x6084e934U,     0x9f560474U, \
    0xbf7b1c12U,     0x43e030c5U,     0x23977bf2U,     0x035bcf27U, \
    0xd35e356bU,     0xef5bb266U,     0x931a2d27U,     0x0ab218c7U, \
    0x3ef05cc2U,     0x873344feU,     0x527ca6aaU,     0xc80db18fU, \
    0xd1701c91U,     0x887a2f82U,     0x5eea10ffU,     0x4cd85f35U, \
    0xf6bcd36eU,     0xc3ffc1cfU,     0x95c1c8c2U,     0xd9b401d2U, \
    0x01b1b212U,     0x5bf403bdU,     0x3ae3ab70U,     0x2468b87dU, \
    0x68db64eeU,     0x8b563a33U,     0x3f2290eeU,     0x7c8cbb69U, \
    0x71d40e4dU,     0xcd26d528U,     0x33ad18d1U,     0xefe780a2U, \
    0x7cf781e7U,     0x7e3b4216U,     0x854610feU,     0x0679e962U, \
    0x94f641e7U,     0xb212c2e8U,     0xeeaff06fU,     0xc7b3c59cU, \
    0xc61c90efU,     0x34a29db8U,     0xbc5cd25fU,     0x4775629cU, \
    0xd1e0e495U,     0x96d9171dU,     0xe9032f95U,     0xe016aa64U, \
    0x5d0827c7U,     0x215600c9U,     0x0459540bU,     0xf9f5ae1cU, \
    0x4c398fb3U,     0x41465366U,     0xbc4e3323U,     0x972f56aaU, \
    0x4022e9ddU,     0xb384df2aU,     0x5a0ce7f5U,     0x379a556eU, \
    0x12d8c665U,     0xe7dc07caU,     0xcc88bb40U,     0x14efe622U, \
    0xc28cd30aU,     0x5e3e270cU,     0xbc8ff472U,     0x66518d2eU, \
    0xd316a099U,     0x5a9a0048U,     0x8eed93f7U,     0x81b294a4U, \
    0x4bd0ecffU,     0x20d05da7U,     0xbfa9fd64U,     0x30c19b8aU, \
    0x59bad387U,     0xcc7d82fcU,     0x06c257f3U,     0x19162e6cU, \
    0x850bff30U,     0x6af4a472U,     0x817e6475U,     0x7756e9b4U, \
    0x0531df7fU,     0xddb0f661U,     0x20d41d5dU,     0x8cec1f05U, \
    0x04513f82U,     0x7664c6b7U,     0x3b71499eU,     0x0f0dc385U, \
    0x74e3d6ecU,     0x5c39465cU,     0x2d841186U,     0xc03b295aU, \
    0x3772a6f0U,     0xf1073614U,     0xc68ae68fU,     0x3715b221U, \
    0xe5a8565cU,     0x57e50cf5U,     0xd25a16b9U,     0x3cf383f9U, \
    0x138377d2U,     0x75cf643fU,     0x511fba10U,     0x190676d9U, \
    0x80e65079U,     0x7782b71fU,     0x69d479fcU,     0xb5ffcb00U, \
    0x9a962d59U,     0x9f937ac0U,     0xf3f04bb8U,     0x169d9261U, \
    0xd1208f4dU,     0x6e402d4eU,     0x67d66a4bU,     0xa8192cb6U, \
    0xaa0441b8U,     0x21b26ce3U,     0xd707e284U,     0xd9d8114eU, \
    0xcf067479U,     0x683d94d6U,     0x2eda7f66U,     0x471a93dcU, \
    0xbebf3ec3U,     0xad096b22U,     0x43d4f12fU,     0xa19bfd3bU, \
    0xe00b7d12U,     0xabdf8e23U,     0xd6dd6ab3U,     0x158edbd0U, \
    0x64b9e232U,     0x37592f9eU,     0x7f1edeb5U,     0x8c4035eaU, \
    0x5bb6401aU,     0x3b61b5eaU,     0x3dd91829U,     0x58ad9f5eU, \
    0xee35fefcU,     0xd7217d3cU,     0x8f7372a9U,     0xe692e721U, \
    0xf786dd88U,     0x074ef395U,     0x3d283631U,     0x1e1ab190U, \
    0xa8597fa0U,     0x88a1f700U,     0xe2de6882U,     0xa41cb271U, \
    0x19b598d8U,     0x943c91f2U,     0x76a51147U,     0x77091b22U, \
    0x747f806aU,     0xe86050a2U,     0xd736bfb8U,     0x6b292074U, \
    0x7467e275U,     0x9cb620a7U,     0x8967fa02U,     0x7a42f144U, \
    0x260280d3U,     0xa38ccf99U,     0xfa50c449U,     0xbac27d91U, \
    0xfa56b7c0U,     0x8ff8ef6eU,     0x9f3eefebU,     0xd9b503efU, \
    0x0c1c205dU,     0x4b5c01e5U,     0x983fd2c1U,     0x8be84875U, \
    0x1745ec49U,     0x2ed98e7fU,     0x4ed068cfU,     0x943a03ccU, \
    0x7c0635f9U,     0x4ef43585U,     0x12adae42U,     0xa904c030U, \
    0xaa7a7827U,     0xe778b28eU,     0x2d525e54U,     0xc976d06dU, \
    0xd37e5a21U,     0xd55926cdU,     0x77c5798bU,     0x563e0c13U, \
    0x4a61c0e3U,     0x18fdb361U,     0x2e7527d7U,     0xf611d45cU, \
    0x406d87ccU,     0x186dbcd1U,     0x596659e2U,     0x28e103e2U, \
    0x5075aa7bU,     0x100bf3d3U,     0xcf39f228U,     0xbdb40a9bU, \
    0x85ec59feU,     0x003a5722U,     0xc68a1ebbU,     0xc79f68baU, \
    0x27c36cfeU,     0x16d72d71U,     0xef2eed00U,     0x3c5b8221U, \
    0x682d43e4U,     0xb271fdc6U,     0xc8479248U,     0xf34b725eU, \
    0x93611ab3U,     0xbdb82162U,     0x1b403c9dU,     0x55dde3a3U, \
    0x3d64fcaaU,     0xe66d8b86U,     0x885d8e9dU,     0x40c91cf6U, \
    0xc0ae2453U,     0x988d6226U,     0xc1a57db2U,     0xbfecb6b9U, \
    0x375f9457U,     0x2cc24168U,     0xaa130190U,     0xbc8489c8U, \
    0x6390fecaU,     0xd6e5823dU,     0x9303295aU,     0x80e44499U, \
    0xe633cbd8U,     0x32804de5U,     0x39f6f7acU,     0x3540600bU, \
    0x2a310c0aU,     0xf974f09aU,     0xf1452763U,     0x3b20f720U, \
    0xd6b4c3d8U,     0x3139bc9cU,     0x487f08ffU,     0xe172c70fU, \
    0x5918b5b8U,     0x32c21237U,     0x627575fdU,     0x01425ac9U, \
    0xfa2b40aaU,     0x1c76709dU,     0x2cdb8368U,     0x0395f9b4U, \
    0x8573a2ebU,     0x8c02dd0dU,     0xb82aef83U,     0x88477e7dU, \
    0xf3fac98cU,     0xf2b329a0U,     0x23c202d9U,     0xfbab4a30U, \
    0xab891679U,     0x467209a6U,     0x2ac4059bU,     0x24a39e94U, \
    0x526d8543U,     0xdccc5da6U,     0xc8aa8c28U,     0xaa058053U, \
    0x6544dcd7U,     0xbc807dccU,     0x96f0a9a1U,     0x63b4122cU, \
    0x92315d27U,     0x0ca54990U,     0x50457fe4U,     0x6c54fc1cU, \
    0x53e67a70U,     0x11df8d93U,     0x6e27d33bU,     0xd99265dbU, \
    0xbf748216U,     0x0ad82520U,     0x008c3d17U,     0x92ea3237U, \
    0xf05f3104U,     0xa09b77cdU,     0x4d014a9eU,     0xf018fbf2U, \
    0x74f154f4U,     0xcbc14e55U,     0xfe8dc9aaU,     0x4c534d69U, \
    0x667fdb3bU,     0x1a70a8b1U,     0x92983eccU,     0x87fc3cabU, \
    0xc9fdd049U,     0xb7bea225U,     0xa10f90afU,     0x4614b50aU, \
    0xa94cb762U,     0xd92ddb8fU,     0xac233739U,     0x03cae1a8U, \
    0x80f21b12U,     0xe96cac9cU,     0x317aa66cU,     0xeff7ba7bU, \
    0x5e951e3aU,     0x2092634aU,     0xbbb6f264U,     0x6a109c53U, \
    0x096b38ffU,     0x25d20270U,     0x17aa7ef1U,     0x98546052U, \
    0xad74dd9eU,     0xc18f44f2U,     0x0d514a7bU,     0x863ce561U, \
    0x76ffc958U,     0x2cea7cf3U,     0x0464856aU,     0x7c7489c7U, \
    0x76b76aa1U,     0x35e72c07U,     0x1725e7f8U,     0x40231dcdU, \
    0x39c40fc6U,     0x7a68858bU,     0x37d4a550U,     0x3c454680U, \
    0x2033e33bU,     0x0c66fea8U,     0xe4c501dbU,     0x1e56c3feU, \
    0x87c4219fU,     0x6f37f07dU,     0x53bfd047U,     0xd3e4a69cU, \
    0x62ee84e5U,     0x13328536U,     0x15009672U,     0x8c040824U, \
    0x613df0b3U,     0xb8eb2d94U,     0xf214665fU,     0x943189adU, \
    0x9a3828a7U,     0x20ce5a99U,     0x1c45eef4U,     0x8fb4a301U, \
    0xee1996b8U,     0x8ce91430U,     0xc531a038U,     0xd32bdb72U, \
    0xf5ed16c1U,     0x199e2ff6U,     0x0e043088U,     0xf1235ee1U, \
    0xd70bf01cU,     0xf0a35905U,     0x021a3d5fU,     0xc9d8614cU, \
    0xb5ca59bcU,     0xe264da20U,     0xd0ef0396U,     0x3be4a8abU, \
    0xe552bfe0U,     0xcfdefb62U,     0xc050a65eU,     0x82694b58U, \
    0xa9694b0aU,     0xf08aa2a9U,     0xa0b82876U,     0xe984cfdbU, \
    0xd17d4274U,     0xedb872b5U,     0x7c47dfd6U,     0x746d7e69U, \
    0xbabff5e3U,     0xc1ad130aU,     0x7c149bd7U,     0xa8a70d98U, \
    0x14872c03U,     0x5f988618U,     0xddc7fde9U,     0x48e4e29aU, \
    0x4e2f0867U,     0xdecf3496U,     0x2ed6f078U,     0xd503ce8bU, \
    0x30c8acf5U,     0x985cad71U,     0x036912fdU,     0x9bfc318dU, \
    0x7e1914f7U,     0x43d6a875U,     0x00854fd8U,     0xf614ea49U, \
    0xbe5aa220U,     0x344e9830U,     0xb709fbcdU,     0xef7a4d0fU, \
    0x5c48ca33U,     0x323d0f0dU,     0x88138b65U,     0x7fca8f14U, \
    0x5bd27240U,     0xd9295714U,     0xcac4f466U,     0xe01ba2f3U, \
    0xa24127dfU,     0x3e3c0008U,     0xb26e7c59U,     0xafae0aa7U, \
    0xa9992417U,     0x3744cd20U,     0x3247441eU,     0xb58deb07U, \
    0xd6144dbbU,     0xdfb72d58U,     0x3b06aeb7U,     0x947a6b9fU, \
    0x025c5716U,     0x803e4bdbU,     0x82555b76U,     0x763cb694U, \
    0xd893bd36U,     0x315d10bcU,     0x5fe31619U,     0x339a1c10U, \
    0xc6339e44U,     0x9a1abdf5U,     0x3491a145U,     0xce6b33d0U, \
    0xcb2cee0dU,     0x6d024fbdU,     0x8c64dc54U,     0x712d4cddU, \
    0x52ad66eaU,     0xb0751263U,     0x95e26c1cU,     0x39d8e838U, \
    0x95419277U,     0xc2632891U,     0x1ebb52f9U,     0xb42e6132U, \
    0x5135dc08U,     0xb9481795U,     0xf4b077c3U,     0xbed73d62U, \
    0xac6fe4d2U,     0xafc9d299U,     0xedfff1d9U,     0xf046b948U, \
    0x01ab7367U,     0x416f90d2U,     0x1f2c7469U,     0x6d61f784U, \
    0x59ac6f6bU,     0xf35ffecdU,     0x7d39f3fdU,     0x8a711f5dU, \
    0x8725730cU,     0x48ac21deU,     0x19ef4645U,     0x3102b8c1U, \
    0xe50c92d8U,     0xf096e2aeU,     0x797bf9f8U,     0x1e4d5183U, \
    0x6c44cfb2U,     0x5409684eU,     0x586fcf08U,     0x18823ad8U, \
    0xd0e8ae14U,     0xea349b62U,     0x4518aa18U,     0xaec79b19U, \
    0x3fe93089U,     0x68bc5ea1U,     0xefa490efU,     0x3ef28e7eU, \
    0x75942318U,     0xa41aa2b8U,     0xa7fabae2U,     0x639e928aU, \
    0xa24985d8U,     0xa24a49caU,     0x7ad9054eU,     0x082df63dU, \
    0x5b3bcd41U,     0xb4caac4dU,     0x42874888U,     0xa15daf17U, \
    0x2e704941U,     0xe8251a33U,     0x30c5f472U,     0xf292ac3eU, \
    0xdbd3259bU,     0x0cc36661U,     0xbbcb4070U,     0x91a860a7U, \
    0x6f594edcU,     0xda01c8eeU,     0xeef1f85dU,     0x10378f66U, \
    0x16be2069U,     0x953244c4U,     0x8fd1fdbaU,     0xa3339c09U, \
    0x7349ea55U,     0x5f1f5f2cU,     0xd46d2818U,     0xcea95253U, \
    0x9bd6714dU,     0xe0bb028cU,     0x0af33198U,     0x8a2efc9cU, \
    0x4a3a1ab3U,     0xbf853cd5U,     0x7f339d1cU,     0xce24b74eU, \
    0x2b043be2U,     0xd20dd8d8U,     0xe8c5d7d4U,     0x345b41b1U, \
    0x0fd53d82U,     0x8f800f43U,     0xb4195162U,     0xd6ed2c26U, \
    0x85c6e8dbU,     0xf67697e2U,     0x4cb03544U,     0x96b3395bU, \
    0xa306f97aU,     0x9e87862cU,     0x132f8a98U,     0x817872beU, \
    0xbd7382b7U,     0x0fbc520cU,     0xc00cd74eU,     0x8825a985U, \
    0x0445ca89U,     0x88e5cc5cU,     0x1646f487U,     0x5554e9beU, \
    0xce84750fU,     0x02400393U,     0x3a155166U,     0x5eab65e5U, \
    0xb3edf24fU,     0x21297db3U,     0x8a862997U,     0xb98e7b33U, \
    0x888045daU,     0x0d30e9a5U,     0x1a076959U,     0x81c68327U, \
    0x5d70ccc2U,     0xa5b1f112U,     0x46c428aaU,     0xd68009bbU, \
    0x2f019adbU,     0x3d5e41b6U,     0xa61fef6cU,     0x4e808f9fU, \
    0xd074bd49U,     0x1c006f0fU,     0x539b15aaU,     0xa713c5f7U, \
    0x1e1edcb3U,     0xeb9d3885U,     0x3ca04e3bU,     0xc0a78fd7U, \
    0xf39e01a3U,     0x37a09144U,     0xa9f1d212U,     0x71291f70U, \
    0x9ed0d8c1U,     0xe8b9f4c5U,     0xc49c4036U,     0xc0e9256dU, \
    0x33f214ccU,     0x6ce6f940U,     0x1d89ce25U,     0x7491b320U, \
    0x10b391b1U,     0x12cd8959U,     0xa5d4157dU,     0x260fcbc7U, \
    0xa0e8ae44U,     0xe80fb6c4U,     0x4ff00649U,     0xc40e6cceU, \
    0x88ed94d2U,     0xc3531f2aU,     0x05e6fd51U,     0xbed16b69U, \
    0xa8de7c53U,     0x77f75e54U,     0x18cdec70U,     0x3b14f6fcU, \
    0x99eb140bU,     0xe150aa97U,     0x668356f2U,     0xdb095be0U, \
    0xc036ff24U,     0x5842bc31U,     0xe3b8171dU,     0x244adf44U, \
    0x351809b1U,     0x4420d5f2U,     0x6ecc1094U,     0x0af4b80bU, \
    0x3934102fU,     0x279fefaeU,     0x4fae1d3aU,     0x958897efU, \
    0x49de7bd8U,     0x0f5cc802U,     0x4f129308U,     0x32304c8eU, \
    0xbd39bad9U,     0xa0d3e245U,     0xaf99b034U,     0x0a530d03U, \
    0x32d96c11U,     0xb0c38e98U,     0xf6dc6ca1U,     0x051baffcU, \
    0xddd6f3efU,     0x35902212U,     0x2056f5ecU,     0x256f13a3U, \
    0xc9d9cafcU,     0x0ec780a2U,     0x186532daU,     0xe01a2363U, \
    0x28171083U,     0xdbf88e8fU,     0xeffafad5U,     0x7894261dU, \
    0x465cac46U,     0xf9e83006U,     0xc37a160fU,     0xe3b3a1adU, \
    0x1202da60U,     0x3db0ce58U,     0x892d1420U,     0x636e3751U, \
    0x3ad6346dU,     0x103591cdU,     0x614b71feU,     0x0f5d7582U, \
    0xdb97160fU,     0x3d91f17eU,     0x962d2bffU,     0xe1b507e9U, \
    0x13b00c4cU,     0xd9112a16U,     0x23027467U,     0x2243312cU, \
    0x440f7e1fU,     0xc853c7e5U,     0x92be192dU,     0x686c3bcdU, \
    0x1352f553U,     0xaef936f1U,     0x0cb572e0U,     0xd0849e60U, \
    0x4cacd120U,     0x4e027517U,     0xb8fb5b63U,     0x7b5b2919U, \
    0x0e3df75fU,     0xbb613eb7U,     0x745aa3caU,     0xe02636cfU, \
    0xa07159afU,     0x1ab268a6U,     0xb409ad23U,     0xebf9d6f7U, \
    0x2f9762e8U,     0x4b45c709U,     0xdde99b2dU,     0xb0193c68U, \
    0x55af917bU,     0x3246d5faU,     0x2080ca63U,     0x5f8d760eU, \
    0x4be689f1U,     0x67b5c540U,     0x31e8546fU,     0x06f36e76U, \
    0x852b251cU,     0x39a91edbU,     0x8d2a6409U,     0x4461e7b3U, \
    0x0a806d5aU,     0x6d3749bcU,     0x132549d0U,     0xa6b1d57fU, \
    0x4699a2e3U,     0x5e9552f1U,     0xb2b8a128U,     0x7b1eba69U, \
    0x2e080db6U,     0x2f77f56cU,     0xf001ad4aU,     0x83f8dbffU, \
    0x99c826c5U,     0xe6774a87U,     0x945907b8U,     0x13d6cbb1U, \
    0xe25fd01dU,     0x482be765U,     0xf3c8d2b4U,     0x0be9cdd1U, \
    0x31a57e76U,     0x7ecb93f9U,     0x8f333ce8U,     0x8ae5c033U, \
    0x0158d4f7U,     0x8287fc43U,     0x460aa74cU,     0xbfd8d340U, \
    0x26c56880U,     0xa8839655U,     0xd0cf72a1U,     0x012b1cafU, \
    0xa5d1c510U,     0x974c36d5U,     0xa17e0ba9U,     0xb487974dU, \
    0x532d107aU,     0x555721b0U,     0xd7886db4U,     0x56707968U, \
    0x98817f7eU,     0x072c0d24U,     0x8af6088eU,     0x285eb3baU, \
    0x873c3551U,     0x51053e5fU,     0x77390bacU,     0x8f83080dU, \
    0xc9b15892U,     0x1ecd12f4U,     0x831c478bU,     0x19a5ce64U, \
    0x15c04b24U,     0x99a04cefU,     0x70e7aebcU,     0xb0e6c9e0U, \
    0x90fc83dbU,     0xa811c82dU,     0x6bfb71f1U,     0x0f911490U, \
    0xd89250f4U,     0xec8527f7U,     0xb70142a8U,     0x0b282026U, \
    0x77af4166U,     0x494ffac8U,     0x2252f9cdU,     0x395de896U, \
    0x608fadd5U,     0xf9701fe1U,     0xd245ea8dU,     0xe10b85ccU, \
    0x2d4c8408U,     0x0720d602U,     0xcdbd2580U,     0x6b71676eU, \
    0x73da5a2eU,     0x833f8bdaU,     0xff215105U,     0xc1bfcd35U, \
    0xd6323b11U,     0xce6bc164U,     0xfc7f84ebU,     0x81e5e600U, \
    0x378d3208U,     0x56d4f78eU,     0x3cd0497cU,     0x01b79bcbU, \
    0x5c7b9eefU,     0xc0cde6ffU,     0x8d82eb2bU,     0x95fc553eU, \
    0xe9bdf216U,     0x23f67adcU,     0xc5290101U,     0x7b1fb3e2U, \
    0x53897697U,     0x3ffe2d8bU,     0x13b55021U,     0x6f083ed2U, \
    0xa5f0ecc3U,     0xfee59544U,     0xda02ab28U,     0xc3f5aa15U, \
    0xfc12dcf6U,     0x3427d02dU,     0x5225c607U,     0x3003e938U, \
    0x438d0582U,     0x26b558e3U,     0x48bafdd4U,     0x801e3737U, \
    0xf0ed9452U,     0xc106184fU,     0x04e3638cU,     0x05105273U, \
    0xae24bfe0U,     0x90f886b6U,     0xceef32b3U,     0xde432c54U, \
    0xb4c81812U,     0xc7460c3aU,     0xe00568afU,     0xb65c83f9U, \
    0x71e04b8cU,     0x8719d45bU,     0x76877cbbU,     0xc80b9e05U, \
    0xc017ba75U,     0x9ae5c906U,     0xdbef7e9aU,     0x9ab5f05cU, \
    0x407d341eU,     0x6969251dU,     0x0ca70531U,     0x556a815bU, \
    0xfa897491U,     0xe6defdc5U,     0x8274b888U,     0x97c66bcfU, \
    0x68da4f74U,     0x483eb860U,     0xeee57921U,     0xaf450313U, \
    0x482d09b4U,     0x6c06b46cU,     0xa6a3bc60U,     0xbd14ba73U, \
    0x1d41f59bU,     0xff7ed06cU,     0x535148fdU,     0x1bfeb8e2U, \
    0xa78c405fU,     0x7c8fb4e6U,     0x37c177c9U,     0xe97dab63U, \
    0x3b9b26eaU,     0xb0d70259U,     0x9eb36adeU,     0x4cddce04U, \
    0x3ee0ea8cU,     0xca29346cU,     0xb23e50c1U,     0x303b8583U, \
    0x5c3d6537U,     0xf7b567bcU,     0x1a30b316U,     0x7f6b86c9U, \
    0xcfec50a9U,     0x36ebb472U,     0x34c7241cU,     0xaca1d63dU, \
    0x1e0fc90bU,     0xe06577fdU,     0x5f847a49U,     0xd56251ffU, \
    0x8477f14aU,     0x8e922b35U,     0x5ece4944U,     0x7e67382cU, \
    0x499d7a83U,     0x73d471dbU,     0xb00e607bU,     0x2888d92bU, \
    0x8c8746cfU,     0x4915b392U,     0x96572e8aU,     0x3eb14c9bU, \
    0x6b4db16dU,     0x1aa95490U,     0x17e99296U,     0x96995cb1U, \
    0x1a05e946U,     0x7ed3ffa7U,     0x7e59b437U,     0x2459975bU, \
    0xd1f55e1fU,     0x6f4c7bb0U,     0xc1b32672U,     0xf0e36a87U, \
    0x98d6bdccU,     0x2bd63497U,     0xaea502cfU,     0x3221bd1cU, \
    0x61855128U,     0x39491d71U,     0xcad70107U,     0xf92d822cU, \
    0xe852d7e3U,     0x528f9aa9U,     0xff9e1af7U,     0x2c545e57U, \
    0x7080cf8cU,     0x065a85b9U,     0x29ca9117U,     0xb25c523bU, \
    0x745175ccU,     0x0bbb941aU,     0xaee569c0U,     0x177a383fU, \
    0x0dee53eeU,     0x5defc3b8U,     0x5695f50aU,     0xb7ee71aeU, \
    0x5c2ea36fU,     0xfec92f64U,     0xa7330c3fU,     0x5d6808adU, \
    0xce15e28eU,     0x56ffeb95U,     0xd7d64644U,     0x21371c12U, \
    0xe85fb3e1U,     0xdf74feabU,     0x3f34a26aU,     0x79ff74c2U, \
    0x9c5b1fbbU,     0xac28e9dfU,     0x5359fdd5U,     0x755e38fdU, \
    0xa8fa2012U,     0x0015c91dU,     0x70b280feU,     0xce33052aU, \
    0x18412467U,     0xb5b76274U,     0x0b34e1e7U,     0x5a9113fcU, \
    0x80ccc524U,     0x6c1c4c66U,     0xeed13517U,     0xdf7c11e3U, \
    0x3e1ac227U,     0x8f468d58U,     0x61467c9bU,     0x881256a2U, \
    0x13d51f2bU,     0x73e150ceU,     0x8b690231U,     0xfb6112a4U, \
    0x1fa11d56U,     0x6ed4943eU,     0x5cb80167U,     0x4fc9f59bU, \
    0x1acf445bU,     0xa79e3d9aU,     0x253ed048U,     0x225d3e74U, \
    0x32dcf0a7U,     0x819d0a6bU,     0xe579f5e8U,     0xa51d494fU, \
    0x8c5f5de2U,     0x98e6b0a9U,     0x3e5e7c44U,     0xe82c5c0aU, \
    0x921f1cd9U,     0x9e6f172cU,     0xd002c2beU,     0x74c48c5bU, \
    0xc510fe38U,     0x9220eafdU,     0xc583fbf9U,     0x6b7b2fd2U, \
    0x99229965U,     0x0623bba2U,     0x3d436220U,     0x398fae9bU, \
    0x139b8029U,     0x451dc20fU,     0xc1a26fe8U,     0x1e803006U, \
    0x780ac056U,     0x688cee5dU,     0x47080939U,     0x0be0bc2bU, \
    0x20197164U,     0xe32c73ddU,     0x9c906ec4U,     0x169dbbb8U, \
    0xe9112de4U,     0x578a24fcU,     0xc88a19caU,     0xf08360e4U, \
    0x7a428c22U,     0xcc268ebbU,     0x38e21872U,     0xb19d863bU, \
    0xc73b3d34U,     0xd3df2b5fU,     0x85438c70U,     0x7bf03cf5U, \
    0x0dc97d77U,     0xf520bfe2U,     0x7b9b81aeU,     0x083bbc0fU, \
    0x1ade5188U,     0x9a6f364cU,     0x4990192eU,     0xd2112d91U, \
    0x9f7bd3edU,     0x5cda8424U,     0xa0810937U,     0xd4164fc0U, \
    0x09e31eeaU,     0xbf64fdd9U,     0x68a8063aU,     0x43184137U, \
    0xdeecd042U,     0xe32edcfcU,     0xfda257daU,     0x9b08d697U, \
    0xb5b97f43U,     0x897ff74bU,     0xb20eb94eU,     0x03a2555cU, \
    0x94af6ef9U,     0x2f101b1eU,     0x63794300U,     0x89498eccU, \
    0x2a888482U,     0xe2a317b3U,     0x379589bfU,     0xf490e2f9U, \
    0x45984841U,     0xf3c662f4U,     0x18c8c57dU,     0xbc4625b4U, \
    0x00555fa6U,     0x4b28fbfbU,     0x7149f8b9U,     0xa419c113U, \
    0xe89ac81eU,     0xf4ab0f45U,     0xf9e5e6cbU,     0xb72a55daU, \
    0x73e9253bU,     0xefd5957bU,     0x117c4e89U,     0xa3e5666aU, \
    0x67fa4f79U,     0x663704e6U,     0x73cd5d1eU,     0x17beabc2U, \
    0x6a8eb78fU,     0xce5dbd9eU,     0xfee889ccU,     0x3af6e98aU, \
    0xf8bc1512U,     0x5887daa6U,     0xc660b333U,     0xacfa7e61U, \
    0x1f0ed36eU,     0x04f05a17U,     0xfe52d2bdU,     0xa317a396U, \
    0x9df8b19aU,     0x01eb02f1U,     0xa5747571U,     0xb28fe8a6U, \
    0x8d5042c2U,     0x22a328a7U,     0xc836a032U,     0x88b02db1U, \
    0x45d1114dU,     0xfe3fa1d0U,     0x44ff5442U,     0x009a237bU, \
    0x4c29874bU,     0x4422807bU,     0x44432d9bU,     0x9e5a5f09U, \
    0x4a7edaa3U,     0xf892c2cfU,     0x2d44fa28U,     0x6498719dU, \
    0x4c039e67U,     0x24785416U,     0x8c31199aU,     0xcc8fb845U, \
    0x3a451b9aU,     0x1b595cc4U,     0x28dfec91U,     0x49e5448bU, \
    0x83b58b1aU,     0xf2b7af3eU,     0xa4fa6efbU,     0x11ea2077U, \
    0x78da35a8U,     0x64267c1bU,     0x254ca2b6U,     0xf56fe954U, \
    0xd8c309a7U,     0xa61c3203U,     0xb3133cfbU,     0x1ee44d35U, \
    0x942b7208U,     0xb001b147U,     0xe2126f25U,     0x391929e1U, \
    0xff4a6a18U,     0x438c6a0aU,     0x64037e35U,     0x536012ccU, \
    0xe2d2fc2eU,     0xbb946dd5U,     0x1945bdd8U,     0xf990dff5U, \
    0x167738ecU,     0x0f7bac1eU,     0x08d73ae4U,     0x27e0c62eU, \
    0xef5ad9e9U,     0x3a644350U,     0xf913dcbdU,     0x0fdbec98U, \
    0xbc3661fcU,     0x323e1ee2U,     0xa572ecf4U,     0x8cb84047U, \
    0x6446bd46U,     0x1adbca83U,     0x75e1af7eU,     0x188ca024U, \
    0xcd6ec333U,     0xdb0640f1U,     0x51ecce89U,     0x2a9772efU, \
    0xe5c28c29U,     0xf70dff22U,     0xb6470a79U,     0x4b701700U, \
    0xe0de8e59U,     0xad972402U,     0xbe159cdeU,     0xb179e0a5U, \
    0xdd4b87e6U,     0x6ea3522eU,     0xd37e57ecU,     0x210c8be5U, \
    0x8f723f22U,     0x28f5fda3U,     0xddfd813fU,     0x9c69ea8bU, \
    0xaed353dbU,     0x6582197eU,     0x7fa65fa5U,     0x5e2c59d1U, \
    0x801d0d70U,     0xd6493042U,     0x1d2db74eU,     0x5cde899dU, \
    0x8352e6d6U,     0xfe5c1748U,     0x1fde443eU,     0x2588d41eU, \
    0x41df6754U,     0xfcc534beU,     0xe3f68792U,     0x02d27896U, \
    0x69cafdefU,     0x700b31f9U,     0x34d9091aU,     0x87278d68U, \
    0xd6645359U,     0xd95c1cc5U,     0x952ed85fU,     0xa6991a5dU, \
    0x8d09cb4eU,     0xdac9e2b6U,     0xf859dce2U,     0x3012e7dbU, \
    0x81e66f59U,     0x3d4a7090U,     0xbf44a1fcU,     0x19daa161U, \
    0xb949feaaU,     0x4ed35495U,     0x04c6bdf9U,     0x3156c428U, \
    0xf12cbb78U,     0xbc2c6188U,     0xe6a01c9bU,     0xc88bac62U, \
    0x8a35073cU,     0xe192c52bU,     0x377a65d1U,     0xd3d2a75cU, \
    0x9d91d5c2U,     0xe7fbfbf5U,     0x0e176e6eU,     0x90721cedU, \
    0x8d019989U,     0xd0bfd98fU,     0x6cea61a5U,     0xa9b76e5eU, \
    0x1240f2b5U,     0xe8c584f2U,     0xb6e288ceU,     0x7415fb6fU, \
    0x3fe8ddecU,     0xf6b828b1U,     0xf985bb66U,     0x14dbff09U, \
    0x4efddeabU,     0xb61d5eb4U,     0xe37c913eU,     0x3379c631U, \
    0x87ff5caeU,     0x83759d42U,     0xee7ff736U,     0x5760400bU, \
    0x8b810bffU,     0x6b95b890U,     0x9edcb304U,     0xb5b6e585U, \
    0xf276bcb9U,     0x171023b2U,     0x7bd709f7U,     0x5f970c45U, \
    0x1ab5bbd1U,     0x52852908U,     0x2a22b6f1U,     0xd0c35753U, \
    0xe2045fefU,     0x66e59f20U,     0x2e2c8616U,     0x215b3e9bU, \
    0x0c1654b1U,     0xb67df66aU,     0x7caa4b70U,     0xc5ee2e85U, \
    0x056f3f0eU,     0xd337d366U,     0xf7a4aa63U,     0xc5e2055aU, \
    0x2d35533cU,     0xc8d1ebefU,     0xd46381edU,     0x00172f21U, \
    0x8083f3cdU,     0x71c082bfU,     0x1a4ba2f9U,     0x7de22d29U, \
    0xb540122cU,     0x662f4446U,     0x6227dc93U,     0x087c5dc2U, \
    0x322f5fb7U,     0x5e54ddd1U,     0xd327fa17U,     0x8defa1fbU, \
    0xcf963190U,     0xbdc00aeeU,     0x698cf2d0U,     0xe7017036U, \
    0x5061f136U,     0xf9b68a40U,     0x1a162002U,     0x7e5bb353U, \
    0xb5ace787U,     0x34ece19aU,     0xcc361ac5U,     0x08753641U, \
    0x0a2af2c1U,     0x373e4ac5U,     0xa3e21b33U,     0xc549ec41U, \
    0x9c52638aU,     0x8fe840dcU,     0xc9e83307U,     0x7bae7f15U, \
    0xfc94514fU,     0x5a89cb8aU,     0x1d331891U,     0x4f3b480aU, \
    0x82139279U,     0x9f42de49U,     0xd0c1106aU,     0xdb10c516U, \
    0xa59b59fbU,     0xcbd6530eU,     0x974f2446U,     0xab07a4d4U, \
    0x01c5cd05U,     0x99bd5808U,     0x317e5f45U,     0x6a7c0ac3U, \
    0x4686ea56U,     0x36d338ebU,     0x964f2a30U,     0x9f3fd9c7U, \
    0xfa42e5c4U,     0x2ec6744cU,     0xd5735db4U,     0xdcd3037aU, \
    0x6354d918U,     0x45dc4988U,     0x440d8185U,     0xe9123b42U, \
    0x93e05f20U,     0xcdc24873U,     0x803d117aU,     0x73ce4779U, \
    0xe213f0b5U,     0x426c0b1eU,     0x29a192c5U,     0x920aa6c5U, \
    0xf581464dU,     0xe13f43e3U,     0x91f91832U,     0xf5148376U, \
    0xf33c1a71U,     0xdec70ce9U,     0x1598341fU,     0x69597c6dU, \
    0xbc79dc89U,     0x2acf302cU,     0x706a1efeU,     0xf92128e3U, \
    0x1662fb99U,     0xcfd0fc73U,     0xc62ba5afU,     0x304ac1c2U, \
    0x20938f16U,     0x737b8540U,     0x6c316f03U,     0x445f8792U, \
    0xbbbf436dU,     0x0fd8b524U,     0x19c9aa9fU,     0xa57521ebU, \
    0x5eaaa292U,     0x45f4a435U,     0x36e3b931U,     0xa2f77c07U, \
    0x8464c543U,     0xb3a37d64U,     0x30c10f28U,     0x7a8aa3efU, \
    0xf88b1bd8U,     0x1fd36497U,     0x2a3c8322U,     0x30e2b038U, \
    0xef8f53c5U,     0xc99a55c4U,     0x9a416faeU,     0x07881a81U, \
    0x2e2bbeceU,     0x2fadea92U,     0x85deda78U,     0x5e925016U, \
    0x8bed37ebU,     0xcabc5410U,     0xf6f5ed11U,     0x2aa117d0U, \
    0x869797bdU,     0xdcd8d83bU,     0x9aeeb171U,     0x6e319f03U, \
    0x8450f48fU,     0xd46b0960U,     0x0c11f6b5U,     0xab8c8697U, \
    0xcc047363U,     0x53550a68U,     0x9d0877c2U,     0x4da65f05U, \
    0xf16f3469U,     0x4c4b7bc1U,     0x2abab6c9U,     0x6164637aU, \
    0xd231ab4dU,     0x11f531edU,     0x353425c3U,     0xc6b49d1dU, \
    0xbf64ffe2U,     0x7496ad14U,     0x6c63ee81U,     0xdb0087ccU, \
    0x099c3e1bU,     0xee8885b5U,     0x58140948U,     0xfb8d9d0aU, \
    0x884066d5U,     0x39a62e2aU,     0xc196f7faU,     0x180de0ddU, \
    0xfd66ececU,     0x13bcd1dfU,     0x3f24702eU,     0x2566bfd3U, \
    0x01d17f86U,     0x2d9146a7U,     0xc0f6f651U,     0x7cee06aaU, \
    0xfb6c771aU,     0xef2f78eeU,     0xcca7c6ebU,     0x1389865dU, \
    0x9fca7f14U,     0x62884224U,     0x87d70126U,     0xb7543b7bU, \
    0x9717e8c4U,     0x2b6425c0U,     0x99b7399dU,     0x6b7b0881U, \
    0x34fdea74U,     0x1bac79d3U,     0x14940124U,     0x4f32c325U, \
    0x9f3d05a3U,     0x53cf6670U,     0xfac31be5U,     0x60c7d1d4U, \
    0x0c3b249aU,     0xf094caf2U,     0x8e1a77e8U,     0x8d678441U, \
    0x6dce304dU,     0xc5f35d03U,     0x8e259043U,     0x87cd698aU, \
    0x05700b80U,     0x3cb56c9eU,     0xafc10b75U,     0xe73208d9U, \
    0x78fb0697U,     0x73811ce5U,     0x30b9ef73U,     0xecc2db04U, \
    0xc8a69c57U,     0x71424f0cU,     0x6931c5a3U,     0x2ca6dee8U, \
    0xa9860cf1U,     0xa02c0b11U,     0xe7cd5c42U,     0x6a1145b1U, \
    0x292f521aU,     0x5ecc6dd0U,     0xe2b85fc9U,     0xd67dc7a8U, \
    0x75a5e3bdU,     0xaa3458eeU,     0x3fef924cU,     0xb6d135f3U, \
    0x64f0f1ccU,     0x575f40deU,     0xe7a940c6U,     0xc46bc5d0U, \
    0x2971c542U,     0xd17ad64fU,     0x1c1bccd3U,     0xa9836079U, \
    0x817e9becU,     0xf6218ea2U,     0xbe3156eaU,     0x501f7564U, \
    0x1df56782U,     0x33305bbcU,     0x64c071d0U,     0x8d5b21fdU, \
    0xb2e8d401U,     0xd7df4f35U,     0xee997c02U,     0x19c91082U, \
    0xc73a9768U,     0xe7b75a11U,     0xb287f3c8U,     0xfea90199U, \
    0x4896aa1dU,     0xb2ec17d2U,     0x5e109135U,     0x0398c46cU, \
    0xfcaacfccU,     0x1a9fac88U,     0x8ddf71f6U,     0xb8d944efU, \
    0xbecd6a5bU,     0x64049e38U,     0x0dbce786U,     0xb74bcf6aU, \
    0x16379d23U,     0xa325f8bdU,     0x1be6fc7cU,     0xb5b9dcfdU, \
    0x0d889652U,     0x379c290fU,     0x9cfd6a75U,     0x27b0718aU, \
    0xb40e91adU,     0x272a0214U,     0xbdff2a21U,     0x45a193e1U, \
    0xf6a8c5c5U,     0x357533d1U,     0xd44e0823U,     0xa4957fc8U, \
    0xcfaca1b1U,     0xd1f26551U,     0x06190cefU,     0x2c30bc98U, \
    0x92b9e575U,     0xd96b0dd1U,     0xbad3e7e1U,     0x79441c37U, \
    0x8028cceeU,     0x5700fd1eU,     0x0f9893fdU,     0xac959938U, \
    0x40f085dcU,     0x178093d2U,     0xd6375480U,     0x006e206cU, \
    0x77c9fbe2U,     0x650a7462U,     0x713d0288U,     0x6074efccU, \
    0xf3b2518cU,     0x5a977573U,     0x8815cdf0U,     0xdc91402eU, \
    0xc0d78566U,     0xebba38cdU,     0xd6f5908eU,     0x39c38921U, \
    0xd0873e24U,     0xd13e09ebU,     0x2958f52dU,     0xb46b4ef2U, \
    0x09dd7d30U,     0x7136b091U,     0x45675d10U,     0xb74ef0a7U, \
    0xfe5eb696U,     0x3ee9104bU,     0x10cd404eU,     0x1c97d034U, \
    0xb79f857dU,     0x31fa02aaU,     0xffbd9b55U,     0xcfefe419U, \
    0x6d91fe4bU,     0x760f2249U,     0x603ece5cU,     0xd5ab47a2U, \
    0xd77e34b4U,     0xd4d48bf5U,     0x66f41c8aU,     0x07bd4f2cU, \
    0x47ec29bbU,     0x7d320bd8U,     0xcc24de6aU,     0x702b70d5U, \
    0x546ecc3eU,     0xbff6a87eU,     0xa01b60fdU,     0x98c0edb8U, \
    0x28e86681U,     0x84cced1dU,     0x6b679348U,     0x1ddbd668U, \
    0xd5353462U,     0xa47c5584U,     0xe4b695ceU,     0x08fda88aU, \
    0x42e0ffdaU,     0x9447941fU,     0x95cffd7eU,     0xf3407eecU, \
    0xecad0172U,     0x943fdae6U,     0x9b3c5cdaU,     0x1a9424b0U, \
    0x2af2178eU,     0x394d1becU,     0x4bcec2bbU,     0xe7c3a512U, \
    0x544031a7U,     0x64f8bb94U,     0x824b85e0U,     0xb6a34067U, \
    0xf65ff6b8U,     0xccec8925U,     0xe31f72faU,     0x30038e7fU, \
    0x00abfdaeU,     0x70af74bbU,     0x28e039a7U,     0xbdf640c0U, \
    0x3ed75353U,     0x82f45390U,     0x18880590U,     0xa806514eU, \
    0xa83bca38U,     0xba37817aU,     0x1ef2205aU,     0x9322523bU, \
    0x64e12606U,     0x7dd3ac54U,     0xe570727cU,     0x58e067ddU, \
    0x1328515aU,     0x6f9a4914U,     0x86bf5e79U,     0xd9c99659U, \
    0x77bd8578U,     0x667e9a36U,     0x9ba057b6U,     0xb00e579dU, \
    0x309a794eU,     0x9a2dc242U,     0x54261211U,     0xc5d16246U, \
    0x71afe497U,     0xf7375816U,     0xf299bab5U,     0x6737259fU, \
    0x0aaf4904U,     0xca64d996U,     0x26f24eefU,     0x0cc8a724U, \
    0xb4580105U,     0x6450ef55U,     0x4df04fedU,     0xfe615207U, \
    0xf558b62fU,     0xff9920afU,     0x7fcc2272U,     0x3bef466bU, \
    0xb008240cU,     0xd6695a34U,     0x74f53434U,     0x27b67876U, \
    0x52d30cd9U,     0x0bb7f9fbU,     0x265faa04U,     0x56815592U, \
    0x9e506ec8U,     0xa3d8206fU,     0xc8480beaU,     0x895ffdb7U, \
    0x8815ee2bU,     0x7ca61c83U,     0xf252a02bU,     0x6c6f36daU, \
    0x99bcdc27U,     0x5221cf45U,     0x8d90a2b3U,     0xabce5dbbU, \
    0x615c441aU,     0x5632ea0dU,     0x6629ff3aU,     0x1376b0f4U, \
    0x6399ad2eU,     0x2b15f4c8U,     0x82ec57d6U,     0x9f6c32aeU, \
    0x5245f2b5U,     0x1c50e7b7U,     0x987d0886U,     0x8c92ac1eU, \
    0x82644c92U,     0x07923c72U,     0x360f1361U,     0xe53dbd88U, \
    0xfed15012U,     0x76bff662U,     0x1bba883eU,     0x94b93887U, \
    0x2989e9e5U,     0x4888c788U,     0x8824d30dU,     0x5b3a8e3bU, \
    0xc905db7eU,     0x45939c19U,     0xf45a5f4bU,     0xe3ea0344U, \
    0x4b9d766bU,     0xe0cfb1a0U,     0xf8429c06U,     0x4f8f0e12U, \
    0x47ab02d6U,     0x9aa5ba6dU,     0xd2e58312U,     0xeaf4bfb0U, \
    0xffb253fbU,     0x843c74b5U,     0x37ec40d3U,     0xae1124f5U, \
    0x905f05bbU,     0x0e5e0a31U,     0x2169c981U,     0x65916d95U, \
    0x580df833U,     0x1c8a59d6U,     0x7eec605bU,     0x9ee9652eU, \
    0x10b3bf1cU,     0x8b3e52e6U,     0xb24993b7U,     0xd4c054a0U, \
    0xc30a5551U,     0xb683e09aU,     0xe79e80cfU,     0xee921327U, \
    0x8ca45e8eU,     0x39583359U,     0x5061dd98U,     0x770a7b3eU, \
    0x13fa65caU,     0xa1a77c1eU,     0xff6a08e6U,     0x39678de0U, \
    0x8ea3ea4bU,     0x00ad0115U,     0x216fdefcU,     0x83ffa054U, \
    0x261444b6U,     0x01762414U,     0xd191382cU,     0x00fa2e06U, \
    0x9c306d86U,     0x89ae26cbU,     0x06bf4c57U,     0x62e1ae06U, \
    0xd4ceb48dU,     0xc9f1fc04U,     0x6b06d582U,     0x6bbe3372U, \
    0x03d2291fU,     0x7f303b74U,     0x80d8c94cU,     0xedd613cdU, \
    0x98461068U,     0xe9acbe8eU,     0x84af54dbU,     0x8f134aa5U, \
    0x4b5176ccU,     0xd0dd2330U,     0xf8eb60eaU,     0xd639ddceU, \
    0x7d3b54c5U,     0xeaa2cbe9U,     0x45d0e0d1U,     0x33c37088U, \
    0x4b5f2da7U,     0xf417d736U,     0x0a18b098U,     0x4c6e67abU, \
    0x8493e384U,     0xacef1b10U,     0x533feb8eU,     0x0172640fU, \
    0x62e427efU,     0xceea0e27U,     0xe999f06eU,     0xd9dc694cU, \
    0xc9c4d015U,     0x2e6a052fU,     0x040731afU,     0x887a9efcU, \
    0x17c32f52U,     0x81d60495U,     0xbaaf9feaU,     0xeb4ed2bfU, \
    0x373b3ccbU,     0x98faf8deU,     0xf1f49b8fU,     0x7c09a815U, \
    0x5fc0853dU,     0xa19ab439U,     0x096fef67U,     0x6486420bU, \
    0x6ae65814U,     0x2a675f5eU,     0x45d4dda9U,     0x73f33775U, \
    0x8e878d82U,     0xbf7ed42aU,     0x2e425dcfU,     0xa3acbf5eU, \
    0x59d135d7U,     0x9343aa9bU,     0x62527a23U,     0x4bfce659U, \
    0x8cad8b15U,     0x983f274eU,     0x25ecb405U,     0x86bdeec6U, \
    0x50bb0fdeU,     0x660fffadU,     0x9c9adf75U,     0x7379b12bU, \
    0x9b224310U,     0x1700bcbeU,     0x7ac02b98U,     0xac495009U, \
    0x1d39b139U,     0x4a899d28U,     0xbc28c8a6U,     0x44e7b57aU, \
    0xa3310601U,     0x8f4fbbb4U,     0xfcb22ab9U,     0xcc1f26bdU, \
    0x973996aaU,     0xacb3adecU,     0x498a1885U,     0x0e9eb600U, \
    0xa65a0be2U,     0xe83abd8cU,     0xd1dfbf96U,     0x7e6dd1c5U, \
    0xb7373451U,     0x31affc0eU,     0x7c216378U,     0xb33c9887U, \
    0x5545a2edU,     0xe2b64707U,     0x35cafa78U,     0x9ce41480U, \
    0x99b67539U,     0x5ee03870U,     0x066eb705U,     0xf7ca947fU, \
    0x78b72167U,     0xeb3c894fU,     0xcb649a68U,     0x4eaac047U, \
    0x9917892aU,     0xd60d46efU,     0x9bd0402cU,     0x8bb9b03aU, \
    0xebd91672U,     0xa3fe4affU,     0xe3e23dbdU,     0x5b073fc7U, \
    0xf619123dU,     0x42ceb6b6U,     0xe00f8fc7U,     0xef143294U, \
    0x59c73a68U,     0xb1b19b61U,     0xd5d452efU,     0x112e46aeU, \
    0x2485394fU,     0x090394bdU,     0x55134cbeU,     0x6d0915ddU, \
    0xef32aa11U,     0x5308263cU,     0x11b4fd10U,     0x271793d5U, \
    0x7e99040cU,     0xd3389d6fU,     0x762bee22U,     0x5a769b94U, \
    0x2c3c7280U,     0xed7f5b32U,     0x3117b4b4U,     0x29117ffcU, \
    0xe9001f32U,     0x36205a7cU,     0xe2e25cb4U,     0xcfc27cc7U, \
    0x4222c58eU,     0x605f83a4U,     0x1cbdc0b4U,     0xd142b7a8U, \
    0xe79a6234U,     0xb7e3dc14U,     0x2e8588bbU,     0x3fed9b1fU, \
    0xbb67e138U,     0x89e6db2dU,     0xd702337bU,     0xf9cf7b6bU, \
    0x01e0fba9U,     0x23665011U,     0x3b19b924U,     0xd8e0a495U, \
    0x50f71e3cU,     0xafbe4756U,     0x44ecd7b1U,     0xf80d036fU, \
    0x1216f071U,     0x1a984438U,     0x29926919U,     0x91fb2beeU, \
    0xc74ccb92U,     0xa4f17ee8U,     0x45c08e30U,     0x3cef3560U, \
    0xddc9a3caU,     0x8b552694U,     0x46857685U,     0xb67bf758U, \
    0x6b10ef71U,     0x1c568389U,     0x5d162cffU,     0xdc665119U, \
    0xe419893bU,     0x9de4b773U,     0x8ab74791U,     0xdef61467U, \
    0x3fc4a0c1U,     0x291b69c3U,     0x032d27f1U,     0x1001c6f1U, \
    0x953aca1bU,     0xbc3d0854U,     0x71ef0d1aU,     0x1bbca524U, \
    0x748a46c3U,     0x490630e3U,     0x5d7e914cU,     0xc181a3cbU, \
    0xeb70895eU,     0xc0120bf3U,     0xb7f6d509U,     0x891186c1U, \
    0xef038037U,     0x9857b19cU,     0xac77037cU,     0x3300d7acU, \
    0x669b2b87U,     0x264d3128U,     0x8e66ba60U,     0x1b460d9dU, \
    0x618c714dU,     0x9144e66fU,     0xcd9b23eeU,     0xddb7bad8U, \
    0xc4149ed1U,     0xba356eb1U,     0xbebeb0f1U,     0x62f2c5a2U, \
    0x3764a10bU,     0xd63fe05fU,     0x24edaec3U,     0x67f7c6f5U, \
    0x5aa896a9U,     0x95be9974U,     0x6e65cb9dU,     0x2ac300bdU, \
    0xa5fdacf5U,     0xae297ed1U,     0xf89905c4U,     0x623d27a8U, \
    0x9b71cba7U,     0xcb42617bU,     0x2aa9517aU,     0x1bcf3600U, \
    0x34f6e37cU,     0x32157d91U,     0x6d88c38cU,     0xd91dd0cdU, \
    0x0b23a38fU,     0x39035094U,     0x8be647e0U,     0xf8ec87f7U, \
    0x52e95791U,     0x827d1c0bU,     0x93f94acdU,     0x8833e07fU, \
    0x86cb3572U,     0x0bca9551U,     0xf3f7226cU,     0x37d389daU, \
    0x6611b4f6U,     0xe8262610U,     0x8673b656U,     0x4640f694U, \
    0xb45ea752U,     0x9c277f90U,     0xa6f84e9dU,     0x41ae5d9bU, \
    0x235b4cb6U,     0x3cf31361U,     0xe33cccf5U,     0x44c5e44cU, \
    0x49fecc9fU,     0x3b7c378fU,     0xfd86489bU,     0xca51794aU, \
    0x5d1308f5U,     0x447aa414U,     0x31c47a64U,     0xeff06b2cU, \
    0xf9f6224aU,     0x1c9526b4U,     0xbac0b624U,     0x021b7339U, \
    0xa3084f61U,     0x4b4f606cU,     0x33ea17f1U,     0x17b20abcU, \
    0xd29492e8U,     0xec5e821aU,     0xb9f7ae0dU,     0xf74b4deaU, \
    0x65c42e2dU,     0x94724fccU,     0x6918d394U,     0xfd94515eU, \
    0x610c8313U,     0x57d82aecU,     0x8ea727c6U,     0x2b23f200U, \
    0x15668902U,     0x7be08964U,     0x90167e98U,     0xd738f241U, \
    0x6edce236U,     0x9832f5b4U,     0x5f65f97cU,     0x43bac631U, \
    0x0a666298U,     0xaf8424b2U,     0xc6dab244U,     0x94d12c54U, \
    0x057490c8U,     0x72d002f1U,     0xe82a82f7U,     0x3ad50cb4U, \
    0xbd1757f6U,     0x8d98676dU,     0x616844a0U,     0x0643da84U, \
    0x646d2519U,     0x99c970ceU,     0xb3dcc6adU,     0x5904a656U, \
    0x70310b20U,     0x36950390U,     0xe6cd35e9U,     0x8dd72ab9U, \
    0xe1c5647aU,     0x9f694464U,     0x3ff9f1ecU,     0x1b626b4fU, \
    0xbf24a8f5U,     0xcbbd3461U,     0xad868e7bU,     0x706f6bddU, \
    0x7a36677dU,     0xd252768eU,     0x1099e871U,     0x6b57c72fU, \
    0xc0cd6110U,     0xe08c4f61U,     0xbcac5d0bU,     0xfcd9c361U, \
    0x013eefa8U,     0x844e7550U,     0xd502e8aaU,     0x0dc5493cU, \
    0xff025380U,     0x637f3b35U,     0x3c897b66U,     0xd61e810cU, \
    0xd263f950U,     0x6a2729d2U,     0x2916517eU,     0x7398ce4dU, \
    0xa702def5U,     0x6393a6efU,     0x76947901U,     0xa0d77d34U, \
    0xc7f13cdeU,     0x21a471f0U,     0x066d5b8aU,     0xf44e0a7dU, \
    0x74a27701U,     0x94ec9321U,     0x43fd3fd7U,     0x506584afU, \
    0x9b674c9bU,     0x50d94b46U,     0xcf1d02a3U,     0x274f8854U, \
    0x7ef54d06U,     0xe09d384bU,     0x859d4723U,     0x3c43bbe3U, \
    0x26526406U,     0x3c77df36U,     0xa33cc104U,     0x5c3f11c8U, \
    0x27d744baU,     0x81815aa7U,     0x383b949dU,     0x767b79ffU, \
    0x812a8350U,     0x81d973b3U,     0xcced543aU,     0x0ed022cfU, \
    0xcc172a79U,     0xe1e48250U,     0x09049979U,     0x0873bf6bU, \
    0x94f480d3U,     0xf713a45fU,     0xab7654cbU,     0x6f38854dU, \
    0x028c3ecfU,     0xa7cc57a6U,     0xcd547dd8U,     0xf73928e6U, \
    0x68924c66U,     0x8d2608ddU,     0x1af38ba1U,     0x96a3ebb8U, \
    0xae7a171bU,     0x45c11189U,     0x65837ae0U,     0x604a4b0bU, \
    0x12efb629U,     0xc16d9329U,     0xb01be5acU,     0x5858f6eeU, \
    0x157f4830U,     0xbff17175U,     0x3a5a4efaU,     0x791e24f9U, \
    0xa29d0e12U,     0x57921302U,     0xeeb74519U,     0x88cb04f7U, \
    0x78b94782U,     0xa29e78f1U,     0xf557e1cfU,     0xaa3b9ba6U, \
    0xd7fd9702U,     0x73cf4752U,     0x82ee4082U,     0x457b963fU, \
    0x9f0d2368U,     0xa9f349d8U,     0x17b2154eU,     0x0fe7dd3dU, \
    0x79183e3aU,     0x17f16cf2U,     0x92fa4dcdU,     0x11663615U, \
    0xd1fbf024U,     0xb70da91dU,     0xc02d05cdU,     0xaa0c8d7aU, \
    0x5167695dU,     0xeeefc149U,     0x0b9875adU,     0x89126b8fU, \
    0x18702dbfU,     0x63eeaf1eU,     0xf6b7cdbcU,     0xa53bf9e5U, \
    0x9f26a3a6U,     0x512c5b0eU,     0x306059edU,     0x6ffaff63U, \
    0xd16827ceU,     0xe0b679aeU,     0xfe95c7dfU,     0x5294d023U, \
    0x6c1861e8U,     0xf60e1aaaU,     0xae2b419fU,     0x423076c8U, \
    0xbb4bcf7bU,     0x3db26739U,     0x46ef9bd3U,     0x8cc4094fU, \
    0xe7f4fa72U,     0x40f6a920U,     0xd8f23cf8U,     0x13e1c45eU, \
    0x5d6a308aU,     0x56ef02cfU,     0x975c7bdfU,     0x8c8cda56U, \
    0x0e741898U,     0x70fb22dbU,     0xd2e4683cU,     0x68d9ac70U, \
    0xe2295c81U,     0xed564998U,     0x4828938cU,     0xc1eb361dU, \
    0xd731b98aU,     0x91afa802U,     0xa2b8dfd5U,     0x369ab5e0U, \
    0xd81fb382U,     0x131ae908U,     0x82f8f29dU,     0xafd7daa3U, \
    0x6d649ce4U,     0x94304ccaU,     0xfa3c6620U,     0x6348564dU, \
    0x15b1b0fdU,     0xe3ca1915U,     0xd2d014a9U,     0xd187ebcbU, \
    0x00787d1cU,     0xba00800fU,     0xf4250af5U,     0x4d2ce85aU, \
    0xd1a39b42U,     0xcb60794cU,     0x3a7d8c85U,     0x60c58299U, \
    0x339a0451U,     0x62baa860U,     0x98acaeb1U,     0xa505f5cbU, \
    0xb4975426U,     0xbf02476dU,     0x135737f0U,     0x310c6eafU, \
    0x95d84c16U,     0x76aa1e25U,     0x40ba2b4dU,     0x857ae5cfU, \
    0x727db288U,     0x14e7bb9bU,     0x6ceb84b2U,     0xc008554cU, \
    0x74658c36U,     0x558c351dU,     0x0202fb0cU,     0x96c38a45U, \
    0x661a296dU,     0xbdd7a040U,     0x9a09062cU,     0x69899d0bU, \
    0xfdc6c268U,     0x3f7915f4U,     0xe022b0f4U,     0x81245e11U, \
    0x4f8191d3U,     0x42c57c13U,     0xd90e8a2dU,     0xcc1beae0U, \
    0x4389cc76U,     0x8833b47fU,     0xbce093e4U,     0xba8f2c80U, \
    0xe92f9c6fU,     0x55abd750U,     0x089c23a5U,     0xc8c06f24U, \
    0xd7a1f512U,     0xf5c2d727U,     0xadc9d01cU,     0x1d39821eU, \
    0x9149dbe1U,     0xf51544d0U,     0x9f3d0651U,     0xc4a70cf5U, \
    0xe8daa4c1U,     0x28e4c6eaU,     0x4832a871U,     0xcbe1e9c7U, \
    0x2e10dfafU,     0xfa3a0ae0U,     0xeedf897fU,     0x41ef3caaU, \
    0x94b9ad02U,     0x3f985b5eU,     0xc50b9487U,     0x09755b7eU, \
    0x1a164714U,     0x88df74fdU,     0x13777ddbU,     0x6b3896ebU, \
    0x70a1887dU,     0xc420e50aU,     0x98afc05bU,     0xb0ea01e1U, \
    0x44532be6U,     0x6c54e638U,     0x5303193aU,     0x5480606bU, \
    0x632b9bb5U,     0xf8907d84U,     0x5fbf26a9U,     0xd82f81b3U, \
    0x53d22e77U,     0x43d0dfe6U,     0x64cfdc26U,     0x997389d5U, \
    0x75492ad6U,     0x9d73074aU,     0x1105f321U,     0xfd6d6837U, \
    0x9c7ee204U,     0x4c7c61d4U,     0xd32a26c2U,     0xc0a8c29dU, \
    0xa008a566U,     0xc0de8737U,     0xbdf64e80U,     0x372b5851U, \
    0xf16fa082U,     0x25721395U,     0xdc32d1d6U,     0x56369fddU, \
    0x1753189aU,     0x650bf173U,     0x7afad572U,     0x8eda6645U, \
    0xadc315b9U,     0x69b2967aU,     0x2688e0ccU,     0xef66ad63U, \
    0x494cd181U,     0x08313ed3U,     0x884fa594U,     0x08b087c8U, \
    0x5d9594feU,     0x82698513U,     0xb221e25cU,     0xc0e99208U, \
    0x8de9a1b7U,     0x943288efU,     0x1cfe883aU,     0xc09adf62U, \
    0x2460878eU,     0x14e710cdU,     0xd110f511U,     0xf0d08e02U, \
    0x57a6f9e6U,     0xbbc1b067U,     0x9cc33b05U,     0x6755166bU, \
    0x1fac9751U,     0xfcbba348U,     0x2675bf95U,     0x6ee7c3f7U, \
    0x61955a71U,     0x7742acbdU,     0x76db8a01U,     0xacfef838U, \
    0x4ac96d7dU,     0xb7359fd1U,     0xb5cb476fU,     0xc08aa27fU, \
    0xc63d6dceU,     0xe1424e73U,     0x68d7cb0cU,     0x42db1700U, \
    0x320b83b7U,     0x21b18857U,     0x4e1db0b5U,     0x37187ecbU, \
    0x40c1b9a7U,     0x8d66c474U,     0xa16e2c57U,     0x7fd6c472U, \
    0xa6e36f94U,     0x733abdc7U,     0xe8dad83eU,     0x5b06bad4U, \
    0xe93cf81bU,     0xadde43a3U,     0xcdf44142U,     0x74b2e55fU, \
    0x81bf7490U,     0x07487f7fU,     0x1a9be104U,     0x067a7c83U, \
    0x163f24e4U,     0x216322a3U,     0x216fac7aU,     0x0134f928U, \
    0xb391ece9U,     0x182e038cU,     0xae7e517aU,     0x6a3acd71U, \
    0x55648c9dU,     0x839d3d25U,     0x046478f9U,     0x6bf17c89U, \
    0xcddef151U,     0xd43f4245U,     0xbab73d5fU,     0xf3b06c69U, \
    0x1a2a6229U,     0xc9879524U,     0xf6b300b0U,     0x491cd1f9U, \
    0xabfd90e6U,     0x636f0c83U,     0x9b063290U,     0x8732439fU, \
    0xc2b8e92aU,     0x6fda9da3U,     0x8c4859e9U,     0xc845d68aU, \
    0x69cc8abbU,     0xe8d5979cU,     0x8290fb8bU,     0x1b202296U, \
    0x03ff499dU,     0x5a6e0c66U,     0x23e3034cU,     0x9e92864cU, \
    0x594835b1U,     0x7a4d169eU,     0xfe7fe696U,     0x439e77fcU, \
    0x9272bd28U,     0xb45b3624U,     0xaacbe467U,     0x2e2f2c12U, \
    0xf3f0dbeeU,     0x04d0a89bU,     0x9d1ab657U,     0xed372bc4U, \
    0x5aa7db0dU,     0x11c31ef9U,     0x9a0652b4U,     0xac19d063U, \
    0xd83988a3U,     0x555923c1U,     0x6803c24dU,     0x0ad9ca5dU, \
    0x8ddf9464U,     0xada7cb31U,     0x3ae003b8U,     0xab133fcaU, \
    0xb94dad85U,     0x2610c401U,     0x67ba7f7cU,     0x578fc17fU, \
    0xab8b5f5dU,     0xd669b202U,     0xdf0f8b35U,     0x6650b8ffU, \
    0x87f0208eU,     0x0b9adaaeU,     0x917d2ac8U,     0x3e6139f7U, \
    0x51404eb2U,     0x9b90ae15U,     0xd6d43c3dU,     0x709b74ebU, \
    0xa927b314U,     0xb4d425dfU,     0xd1a7d396U,     0x5aec603cU, \
    0x9208a2a2U,     0x68689353U,     0x62ccf872U,     0xb3b528b2U, \
    0x898b38b8U,     0xaa17cfe9U,     0x60be0c54U,     0xe097cc36U, \
    0xf5934fd8U,     0x0b861744U,     0x6de9d6adU,     0x374a32f4U, \
    0xc3ef4e82U,     0xcaf9ff70U,     0x1c4a9638U,     0x329f57bfU, \
    0x056354f1U,     0x90a546b7U,     0x653b0cf7U,     0xc89ef589U, \
    0x8455add6U,     0x21e66158U,     0x2e2bc8afU,     0x005cd737U, \
    0xf65f4d53U,     0x8a802fa9U,     0x17c51c30U,     0xc7d6e4dfU, \
    0xeef5fd01U,     0x01467d4eU,     0xa4f4bb72U,     0xa34244dcU, \
    0x3598cbd5U,     0x96761f26U,     0xa40bedbcU,     0x11cc9db2U, \
    0xa3ef9b3eU,     0xdd5b7368U,     0xae786f35U,     0x174159f6U, \
    0x3aab3e60U,     0x872634c5U,     0xb2d680efU,     0x5c3adce6U, \
    0x1a1f5db2U,     0x29108a09U,     0xaee5b9f5U,     0x419dd7f0U, \
    0x69871e1fU,     0xafc2d934U,     0x65a896a4U,     0x710d89b4U, \
    0xd172c37aU,     0xb12a48bdU,     0xdf68aeadU,     0x17d1e00dU, \
    0x680355cbU,     0xaa66644cU,     0xb566711fU,     0xcd138a27U, \
    0xdc656efdU,     0xebe9e9f8U,     0x9dd8c221U,     0xa1879475U, \
    0x5acc0cdeU,     0xa3135cb9U,     0x2d5dd4e9U,     0xb8fb914bU, \
    0x99e6d32eU,     0x0f55249bU,     0xf48b9e34U,     0x0f85ca89U, \
    0x6c67059eU,     0x1de206f6U,     0xe6de93a2U,     0xc3d16a85U, \
    0x7c3a33a1U,     0xf4ca936fU,     0x91e1c890U,     0x4464f84fU, \
    0x4e50abedU,     0xc493eea2U,     0x258dd959U,     0xaa09050bU, \
    0x172e3c89U,     0xc4981205U,     0x3d562d75U,     0xa3aabf19U, \
    0x65ea7c66U,     0xbc6444dfU,     0x77bbc50bU,     0x9df6efbfU, \
    0x9b89314cU,     0x6763d945U,     0x0fc9e2cbU,     0xa98fdad3U, \
    0x332edde5U,     0x14d293e1U,     0x749049a3U,     0x20aaddc4U, \
    0x37310cb4U,     0x5c10f28dU,     0xa9e2675eU,     0x3557d9a8U, \
    0xea127401U,     0x6bc9feeaU,     0xd5158bdbU,     0xd54ad155U, \
    0x2fd7fb9dU,     0x62c0d73eU,     0xf3ba06bdU,     0x9971cf3fU, \
    0x0be465abU,     0xda4b93d2U,     0x6ccc20daU,     0x43e0bc0eU, \
    0x79609b36U,     0x6d3f60ecU,     0x84fc98dbU,     0x4f40b28eU, \
    0x02a85413U,     0x600da5beU,     0x63f68d81U,     0xbddd24eeU, \
    0x79f44274U,     0x17de3c99U,     0x68523ec8U,     0x1c588c85U, \
    0xf357cb65U,     0x20f42c28U,     0xd755710cU,     0x89b3ffe1U, \
    0x5e376e3aU,     0x51170931U,     0x84fc5d15U,     0x6930e6c7U, \
    0x0d621b92U,     0x750c96f3U,     0x907a4444U,     0xeb914271U, \
    0xc5bb7707U,     0x4c6f0a8cU,     0x67b38b8dU,     0x25dd0353U, \
    0x0569495aU,     0x61e999dcU,     0x57808c47U,     0xd05ec4c4U, \
    0x7a8ce42cU,     0x5b929143U,     0xb3715035U,     0x8f67e210U, \
    0x0cc3ffd2U,     0xc81a8d84U,     0x764ff036U,     0x267f4feeU, \
    0x4161588aU,     0xa935a1e0U,     0x9956bfdfU,     0x3fcbdf21U, \
    0xe8191689U,     0x34f432dbU,     0x8e38bc07U,     0x98392e73U, \
    0x876944ebU,     0x81e52d51U,     0xe82ee98dU,     0x50243749U, \
    0x83d2a8edU,     0x8c1e8614U,     0xfc2971b4U,     0x6fade436U, \
    0x803b2d72U,     0xc0a09960U,     0x784bf203U,     0x79ecd8a4U, \
    0x49cb9895U,     0x7bff810aU,     0xd7e78b65U,     0xa366ef32U, \
    0x7602490fU,     0xaa3f7b78U,     0x35ce1839U,     0x61a6d181U, \
    0x98481944U,     0xdc43fd5aU,     0x4703097dU,     0x0b4ac8b8U, \
    0xfb9e5be5U,     0x57f61822U,     0x6159dc06U,     0x3bfa61dfU, \
    0x70ec16d5U,     0xb161f010U,     0xdabe04b1U,     0x868113f3U, \
    0xd1c3a0a4U,     0xa134861cU,     0xa6d75c63U,     0xbaf34d0aU, \
    0xd12d0d80U,     0x6cde2f0fU,     0x8bb7d472U,     0x892e86ebU, \
    0xc5f5fc2cU,     0x6afe7755U,     0xcf3007d1U,     0xc0defaf9U, \
    0x868bac14U,     0xb8e50703U,     0xf3e5a424U,     0x47ef4cc7U, \
    0x22f0523aU,     0x85356728U,     0x2b24096dU,     0x09165951U, \
    0xedbd8f6bU,     0x9b659a8fU,     0x7b96002eU,     0xbf67ce29U, \
    0x994c4035U,     0x6be914fdU,     0x02211c15U,     0x532d4f25U, \
    0x57a486e3U,     0xbbba3cf2U,     0x90601529U,     0xbcb5c350U, \
    0x4ffda6c5U,     0xcf221648U,     0xf0f99aebU,     0xbd53072cU, \
    0xca6a39e9U,     0xd2d892deU,     0x3ceac1adU,     0xd448d2abU, \
    0x7940e2e5U,     0xc838c1d5U,     0x6012f843U,     0xf2ec7a24U, \
    0x95a5ad6bU,     0x94fd445bU,     0x2827b029U,     0x502a6286U, \
    0x6b234543U,     0xe38b133bU,     0xc089030fU,     0xdb39aa9eU, \
    0xec934827U,     0x7154f5dfU,     0x346afda4U,     0x40be0391U, \
    0x75f43f0cU,     0xaf4bd2b3U,     0x14ec55c8U,     0xf3f466daU, \
    0x9e99e039U,     0x8f2c6822U,     0xc1658e6cU,     0x5ab8de8cU, \
    0xf8235b69U,     0xe331aa2fU,     0xa91ea58fU,     0x96222e0dU, \
    0x4022775eU,     0x0bf58717U,     0xb5e4ea4aU,     0xcb118a3cU, \
    0x6264143dU,     0xd593af98U,     0xa1a8a073U,     0x5d6bae90U, \
    0xa0b6adcfU,     0xb9f9429cU,     0xaea49dcbU,     0x7a5d0591U, \
    0xc864fcaeU,     0x4ca3feadU,     0x4bbf846bU,     0x0bd20ccbU, \
    0xa7fca945U,     0xbe4ca175U,     0x24802df7U,     0x0fac9344U, \
    0x671fc92bU,     0x44f814d4U,     0xd79f3cdaU,     0x10b4751cU, \
    0xe92d4e68U,     0xd28e101dU,     0xbb911cedU,     0x2401d199U, \
    0x4c68caceU,     0x12470b56U,     0xbc880b3bU,     0x1531f46cU, \
    0xe9fdbb63U,     0x5244bef6U,     0x3c229d43U,     0x32efa46dU, \
    0xfc630778U,     0xdfd6e7a8U,     0x6672a635U,     0x76166e86U, \
    0xa2965a81U,     0xd360d4e1U,     0x90b6db33U,     0x0f49c85aU, \
    0xfc4c245bU,     0xf2160509U,     0xa830e3b5U,     0x930849e6U, \
    0xfe5b263bU,     0xe5556883U,     0x47c53eefU,     0xca7196ceU, \
    0x9a1e3f01U,     0x64ffebe7U,     0xcdaa644bU,     0xc9e2ed99U, \
    0x8e7af92dU,     0x4b5165f2U,     0xda2abc27U,     0xe78da297U, \
    0xb0d3f033U,     0x38674234U,     0x586774c2U,     0x78b72775U, \
    0x12c10384U,     0x8bc2ac1cU,     0x57e8645aU,     0x0e1b0855U, \
    0x09c6ac52U,     0x1cfb7612U,     0x4a84b131U,     0xb8e63114U, \
    0xf3e9bad4U,     0xb186bd25U,     0x95ba24dcU,     0x66e83d56U, \
    0x777db1c9U,     0xdc4352a6U,     0x3f6f316eU,     0x4cb41bb1U, \
    0x3f186876U,     0xf32aa9d3U,     0x3fefc221U,     0x1f7f0eb3U, \
    0xd4546367U,     0x17da6654U,     0xcf3e02c1U,     0xe9e1c373U, \
    0x93954868U,     0x1ccf1752U,     0xc155691fU,     0xbf1ed393U, \
    0xdc415ab4U,     0xd1765f4fU,     0x42f2a822U,     0x74dff018U, \
    0x321ca08eU,     0x8ec0f869U,     0xd3e3c30aU,     0x42bbf871U, \
    0xb9dc1132U,     0xd068e767U,     0x21f9bf84U,     0x93add5aeU, \
    0x95a768ffU,     0x3e3c9271U,     0x87cd3c88U,     0xd3d298f1U, \
    0xf4d2fe02U,     0x09e57e6fU,     0xcb53605fU,     0x47553ccbU, \
    0x0d3756b3U,     0x31b4074aU,     0x2f074b95U,     0xbac6e31dU, \
    0x79d44126U,     0xcdf0d921U,     0x09b9f862U,     0x12bc6012U, \
    0x9a42b4b6U,     0xe5a096ffU,     0xb8aff145U,     0x4de4ea1fU, \
    0xc3936bc0U,     0x366a9c15U,     0xf1ac5b2bU,     0xc4b45494U, \
    0xbac1d2b3U,     0xda966d05U,     0x85256134U,     0x3b5b78c0U, \
    0x630b525dU,     0xdd1ee457U,     0x6db0ca41U,     0x4d3876e9U, \
    0x5c95256aU,     0xf3da2570U,     0xbcfa992cU,     0x3cd0bb45U, \
    0xdeb8659eU,     0x6eea7393U,     0xf0401e12U,     0x1736b340U, \
    0x4c8071b4U,     0xe78fd137U,     0xb3c3bbe1U,     0x85ab1b59U, \
    0xf786aa0aU,     0x98739db8U,     0x351435abU,     0xb0c9211aU, \
    0x2c148b43U,     0x70c53aedU,     0xa40019deU,     0x0c1497b6U, \
    0x55a71131U,     0xb2dd4b66U,     0x48e853bdU,     0x5a909ac3U, \
    0x76bdd7c8U,     0xb3cc047aU,     0x3f5666bbU,     0x6fa6f834U, \
    0xd4beaa4bU,     0x493ffc44U,     0x3ee19053U,     0xff27d222U, \
    0xece19d93U,     0x3ca745bdU,     0x546893f6U,     0x351524e2U, \
    0x61c8ee68U,     0xa274ead0U,     0x4fce1725U,     0x1ded04b4U, \
    0x3c348b1bU,     0xd770d0c1U,     0xf42e01ebU,     0x123f790bU, \
    0x9a4941e1U,     0x4108c773U,     0x57f873b0U,     0x93898d22U, \
    0x2a185b29U,     0x787461f5U,     0x46f13c99U,     0xc87ad024U, \
    0x074b92e1U,     0xe5e33d5dU,     0xadd7bd6aU,     0xb54fd17fU, \
    0xe5ccfe36U,     0xcca2f8b0U,     0xd2383314U,     0xa03c582bU, \
    0xc082458fU,     0x11cbdce2U,     0x9127f9d2U,     0x1554a513U, \
    0x2e4399d2U,     0xac2d7382U,     0x04c03378U,     0xbac1d3d0U, \
    0x3d3017fcU,     0x15655246U,     0x7d5be791U,     0x3d90eba1U, \
    0xe739aeb4U,     0xfa043b62U,     0xe062048dU,     0x276705afU, \
    0x761602f2U,     0x2547e8bcU,     0x7ef4a473U,     0x6dda2ce4U, \
    0xecc75492U,     0x4c3d4929U,     0x143e2d5eU,     0xe126f644U, \
    0x90d0f4d0U,     0x4f5b2c08U,     0x0e13d66aU,     0xd96396d8U, \
    0x9fb53130U,     0x23080761U,     0x50347313U,     0xfe4a2532U, \
    0xa46a6011U,     0x777cf268U,     0x166d8296U,     0x8acfae6fU, \
    0x1ac2a244U,     0xe3db3eecU,     0x233c258aU,     0x14e0f6afU, \
    0xbbc2ea48U,     0x2a57cc20U,     0xd13c4f6bU,     0x437e729cU, \
    0x55b1c53fU,     0x7a246fcbU,     0x6ce36f77U,     0x9042136aU, \
    0x76ec629aU,     0x1bff3918U,     0x54528392U,     0x5474c3e4U, \
    0x08275da0U,     0x86106121U,     0x190bbb88U,     0x805fa1b7U, \
    0xa50abd18U,     0x3ec6490dU,     0xaff38aa6U,     0x4d46d30eU, \
    0x13010259U,     0xb76ca6feU,     0xbdd6149dU,     0x2f115188U, \
    0x4c527b25U,     0xb3af4755U,     0x2984662eU,     0xe37c593bU, \
    0xd4999c23U,     0x9a5573fdU,     0x11a6f4dcU,     0x200dd6eeU, \
    0x6373be33U,     0x7247a3a5U,     0xc440c194U,     0x6c9cf717U, \
    0xf6b59112U,     0x3895702bU,     0xa0daea0dU,     0xaea6a636U, \
    0xfc6b25e1U,     0x1e1fb174U,     0x938d079dU,     0xda747e7fU, \
    0x3361ccbeU,     0x5af91461U,     0x42e7954eU,     0x325f1baeU, \
    0x2ba16b91U,     0x63024f09U,     0xecdd76b9U,     0xabf935a6U, \
    0x73afba90U,     0x77eaf956U,     0x07dda991U,     0xf0619305U, \
    0x3ff5cc37U,     0xe67b3930U,     0xd3021afaU,     0x28af80abU, \
    0xc303cd10U,     0xf6770113U,     0x616daee3U,     0x8e3c3139U, \
    0x6f6269f0U,     0x20955d4bU,     0xf53fb1eeU,     0xd7d1f977U, \
    0xd8b0b79eU,     0x34096754U,     0x629a24dbU,     0x159c0f39U, \
    0x9ad2f011U,     0xd85fe8efU,     0xd8b5ccb8U,     0x45f6a6feU, \
    0x8cd197bcU,     0x3db6aa18U,     0xa00755aaU,     0xaf78d215U, \
    0x7b7fbee6U,     0x5987cb33U,     0x65830dbcU,     0xade29d6eU, \
    0x10edda8cU,     0xeb5814fbU,     0x676261b8U,     0x0f8bea1fU, \
    0x51570bf0U,     0x0d963917U,     0x12fab3e4U,     0x8c346079U, \
    0x57688fd5U,     0xa4cc5ea8U,     0x81f7770aU,     0x7f70bc10U, \
    0x3edd5ddbU,     0xb319a716U,     0x9e9fe6c5U,     0xf70dd192U, \
    0xb2565defU,     0x928f2ddcU,     0x0aa35f9cU,     0x76b29cdfU, \
    0x3066811fU,     0x04616843U,     0xc93ce7fcU,     0x4e9443e8U, \
    0x75379fa3U,     0x6b22cda5U,     0x83b9c55cU,     0x9d0d9d49U, \
    0x98cb1d09U,     0x39c3fbbcU,     0x14ed257eU,     0x004f6696U, \
    0x8faf68e8U,     0x844efa6dU,     0x1f7d194eU,     0x67fd157cU, \
    0x3b194f17U,     0x84e54f1eU,     0xfcb66ab1U,     0xa0573329U, \
    0x70e414a3U,     0x00739a5fU,     0x33bb210bU,     0x557a18c2U, \
    0xe01f3f25U,     0x1120903bU,     0x6c2f1905U,     0xb80f88aaU, \
    0x682e16cbU,     0x057a414aU,     0xb2e6058eU,     0x5f0764f3U, \
    0xc428ece8U,     0x9080da1dU,     0x8a99e165U,     0x59a6a5d3U, \
    0x0d294b50U,     0xeee5dd3cU,     0xd589db87U,     0x962fb0ddU, \
    0x5fd2008fU,     0xb4ee91cfU,     0x05f78829U,     0x93fd90d8U, \
    0xf9437dcbU,     0xdaab6f08U,     0x1ab08e6cU,     0x004d23d2U, \
    0x7a7111a8U,     0x4c1757a5U,     0xff7a512eU,     0x81429702U, \
    0x9805a71bU,     0x34a815deU,     0x19f44cfdU,     0xb9152f25U, \
    0x527a820eU,     0x2f964b75U,     0x05cee6e0U,     0x9cda1a47U, \
    0x4203c7f2U,     0x608bb37bU,     0x6652ead8U,     0xedce466dU, \
    0xbc168ca1U,     0xb885a24bU,     0xee618cb2U,     0x7677fdefU, \
    0x2932fed1U,     0x11c7c7d8U,     0xfeb5e3aeU,     0x9200be98U, \
    0x76398227U,     0x8fc2c076U,     0x68855934U,     0x8cb356edU, \
    0x5da8c52bU,     0x9f38db81U,     0x14bc08dcU,     0x9944403cU, \
    0x55b699e6U,     0xd26b0a16U,     0x63acf64bU,     0xeed2b330U, \
    0x075ee63fU,     0x335245d2U,     0xaa15678fU,     0x2b8ebb1bU, \
    0x282d9f6eU,     0x97aee3e4U,     0x7097763cU,     0x7f6d2d5aU, \
    0xa699161fU,     0xa1967e9fU,     0x67ed1961U,     0xf7975c7fU, \
    0xe56ce0eaU,     0x73411d6aU,     0xbb07554cU,     0x4c58d0d1U, \
    0x4b765f4cU,     0x3481a820U,     0x966d3078U,     0x64928957U, \
    0x74946b0fU,     0xd2b92134U,     0xd58cf0d8U,     0xf9380316U, \
    0x5e67b404U,     0x7c860cc6U,     0x7111a843U,     0x7ee72f19U, \
    0x7fadbd80U,     0xa976cc0dU,     0xa2f94227U,     0xedf52ba1U, \
    0x1d68f8b3U,     0x4a8713efU,     0x720e58feU,     0x42063739U, \
    0x59aca0d8U,     0x80b078c8U,     0x8c2cc15cU,     0x0fc7b84bU, \
    0x8f238b62U,     0xcda59d98U,     0x3b06327bU,     0xacff5deaU, \
    0x5ebad796U,     0x984c6ca8U,     0x47ce22faU,     0x2a4f303dU, \
    0xb49b9737U,     0x5ad0b264U,     0xd3d2c894U,     0x26587ab0U, \
    0x065ced08U,     0x7acb9731U,     0x27a8744eU,     0xb0d358f9U, \
    0xe3e8d472U,     0x1a51a7ddU,     0xac0c2700U,     0x583f77b2U, \
    0x89c8bfa4U,     0x9b7b5d28U,     0x8798c8f3U,     0xa0eca77dU, \
    0x41bde853U,     0x7dc028beU,     0xc79717d2U,     0x459282a0U, \
    0x5e9edd64U,     0xbfbad98bU,     0x7e8294cdU,     0xd4528694U, \
    0xb68838a0U,     0x1bd7675cU,     0x10818af8U,     0xabd89a7cU, \
    0xdf929929U,     0x9d1dd38cU,     0x2252b2caU,     0x7162d225U, \
    0xdb1c8e73U,     0xefa6eb91U,     0xd057c331U,     0x1e2b1892U, \
    0xca60332bU,     0x114cbc5cU,     0x2dd00455U,     0x36d44885U, \
    0x8889fb9eU,     0x0eddd754U,     0xcaa5e86cU,     0x5eee355eU, \
    0x20dad23aU,     0xe95ffc4bU,     0xd0c61a71U,     0x47234d89U, \
    0xb0f111dbU,     0x6674817fU,     0x4ce66848U,     0x4d863e70U, \
    0x6dd05501U,     0xb933e342U,     0x6f08883dU,     0xf220401aU, \
    0x5ac2fc53U,     0x41e2b3baU,     0x3c925463U,     0x05c9fbd7U, \
    0x4cc615a8U,     0x635306acU,     0x6b6f6376U,     0x374b4158U, \
    0xf16ebf4fU,     0x40757732U,     0xd0220fc1U,     0xccaece53U, \
    0x61e5f800U,     0xda686412U,     0x8a804586U,     0x22b2c915U, \
    0xa51ae478U,     0xb87b63cdU,     0xfbbf7dd6U,     0xe3c4606fU, \
    0xd759b858U,     0x59f421dbU,     0xa5d39c04U,     0x3f104a2dU, \
    0x63d85c7eU,     0x0d954aefU,     0x700eb98fU,     0x8b421704U, \
    0xb88559b7U,     0xbbefed39U,     0xc03453eeU,     0xb010cdcfU, \
    0x8a08d516U,     0x108d5fc8U,     0xf6d8cef0U,     0x53133d1aU, \
    0x06a6d135U,     0x69b430d8U,     0x5b8049c1U,     0x9dd41138U, \
    0x1a8a4142U,     0x831e90edU,     0x36830574U,     0x24a0a497U, \
    0x7c0c7354U,     0x038f5db7U,     0xebb62ce7U,     0x62030fe6U, \
    0x5de90ef3U,     0xd811c851U,     0x148966daU,     0x08b6765aU, \
    0x49f9a291U,     0x6b6dc834U,     0xcb960a41U,     0x2a789246U, \
    0x82bdd635U,     0x170bf7ffU,     0xdfe1e197U,     0xa2927397U, \
    0x95fbec08U,     0xdc6fb07cU,     0x36fffb52U,     0xf77d61beU, \
    0xb54502d8U,     0x712d7722U,     0x4d8a58c6U,     0xa1ae7a3eU, \
    0x8b244431U,     0x8f4968ebU,     0xb358c8dcU,     0x0bcff2d4U, \
    0x6c151111U,     0x15769030U,     0x3adc9df4U,     0x3b283237U, \
    0xc6b1019cU,     0xc49c993cU,     0xcceffbbdU,     0x96208084U, \
    0xf76fc50aU,     0x625787d3U,     0x253f2811U,     0x706d0f21U, \
    0x0fb1f6b4U,     0xef0eac5eU,     0x7bb61a76U,     0x91bbb223U, \
    0x96ce9cb9U,     0xb3184a61U,     0x2cb8bb01U,     0x7d5a9f63U, \
    0x10d590b7U,     0x88c41196U,     0x935bba4dU,     0xe9a196ddU, \
    0xd3eb390dU,     0x1f9ad60fU,     0xd3edb4c7U,     0xf20956beU, \
    0x0620dc9bU,     0xc61494a9U,     0xcf63afdcU,     0xc6e94810U, \
    0x905173c8U,     0x3b511ef0U,     0xb85b58aaU,     0x55847796U, \
    0x6bb16598U,     0x13530988U,     0x8fb46d85U,     0x9849d029U, \
    0x1a1ec64dU,     0x731b8291U,     0xa2552621U,     0x7b5fbd9fU, \
    0x38105619U,     0xfe1c406fU,     0x732bdd7aU,     0x05d3ae07U, \
    0xb6df9892U,     0xe9215ba4U,     0x13b89e69U,     0x3d32459cU, \
    0xd2e3b932U,     0x8d892195U,     0x4892ba73U,     0xa5276f22U, \
    0xe5dddc30U,     0xfaacae91U,     0xfa8d570dU,     0x51a418fbU, \
    0xeee33fd9U,     0xabf93536U,     0x5862fb88U,     0xf8cf67bbU, \
    0x89308d9fU,     0xf289c1faU,     0xe3f7891fU,     0xa215f8feU, \
    0x1690fa8eU,     0xcdcb40e2U,     0x762d0582U,     0x01c08e1aU, \
    0x40c88947U,     0xca67f8edU,     0xd1101cbcU,     0x77a1be87U, \
    0x9d2c7db7U,     0x65ac48a2U,     0x8a69ab6bU,     0x3b5387f0U, \
    0x92474f18U,     0x68b10435U,     0xff4bc5e8U,     0xdba280f2U, \
    0xa9643d9aU,     0xad31388bU,     0x1521e0a0U,     0x25ba5624U, \
    0x122220b0U,     0xb1b711f5U,     0x9957ee47U,     0x4086841cU, \
    0xefc874c7U,     0x0d92933cU,     0x2edfb7b8U,     0x4307bc2aU, \
    0x898a19d0U,     0xb29eb3e9U,     0x6a6c7768U,     0x6052209eU, \
    0x8f5ae843U,     0x7883d036U,     0xaeb3de00U,     0x1565fe8dU, \
    0x6c2614b8U,     0x76356a8eU,     0xd0e00dc5U,     0x21352df7U, \
    0x39d26b7bU,     0x6b1c82c8U,     0x7bb0616cU,     0x8a737773U, \
    0x3b837b22U,     0xdfb37981U,     0xd7e7825cU,     0x5d448ab1U, \
    0x5161cb21U,     0x567d6bb7U,     0x1c5bf7d8U,     0x83c10aeaU, \
    0x50ed3d55U,     0x7dea95caU,     0x56683878U,     0x69086f0eU, \
    0xba211315U,     0xb2220107U,     0xda9b99adU,     0xbec0459aU, \
    0xfcae9c73U,     0xdbdb8b8fU,     0xac45e782U,     0x5be2dec1U, \
    0xe119ffc6U,     0x9c65bb45U,     0x84cb9b02U,     0x9e003311U, \
    0xfe4c1c34U,     0x06cfd4caU,     0x47e71969U,     0x346b6e9aU, \
    0xb091042eU,     0x4970ab16U,     0xac4e03e9U,     0x4f00d5a4U, \
    0xaee8d192U,     0x36516ac4U,     0xc3eb5010U,     0x50714f5cU, \
    0xfa24916eU,     0x34a987f7U,     0xdaeb4204U,     0x41598d7aU, \
    0xc9f7e46dU,     0xce385299U,     0xb78184b5U,     0xb879d5afU, \
    0x62323e72U,     0x85bd9b11U,     0xa4197f19U,     0x13acf832U, \
    0x8d4cbf11U,     0xf7490d2dU,     0x86fbc653U,     0x89dbb6d3U, \
    0xa3e77e7cU,     0xeace0165U,     0x622dab58U,     0x75faa742U, \
    0x897e8e33U,     0xa3c3b2a3U,     0x22c3cbc9U,     0xfef5e0b6U, \
    0xd88cc4d3U,     0x53b28c35U,     0xda3d47bbU,     0x714396b8U, \
    0x18865e63U,     0x88db5975U,     0xdc6816f9U,     0xc79465d6U, \
    0x941d5cccU,     0x02a7e4b8U,     0x53d55cd9U,     0xf237c0c4U, \
    0x7cab9f80U,     0x0e55e154U,     0x07c90267U,     0x8ac271eaU, \
    0x1fe24e3fU,     0xba13bf77U,     0x2331525fU,     0xd817e8ccU, \
    0xb84be6a3U,     0x22d97c35U,     0x3f5e531fU,     0x03c7bebbU, \
    0xa78c2df4U,     0xcd033dbdU,     0x40d3fb15U,     0x5c9a3a8cU, \
    0xce5be5a2U,     0x88798caeU,     0x9509850aU,     0x2ce87634U, \
    0xc609b1e0U,     0x13fba52cU,     0xb4688bd1U,     0x8a563c9fU, \
    0xc4748ec3U,     0x7fd11405U,     0xea97642bU,     0xd3d62bd7U, \
    0xb993e597U,     0x8c45367cU,     0xa2481984U,     0x24a67676U, \
    0xd8d647caU,     0x26440f7aU,     0xb677423bU,     0xd217c03dU, \
    0x3f04bcc4U,     0x4efffbc3U,     0x5eb47bdfU,     0x215eb535U, \
    0x6350295bU,     0x04627428U,     0x79a8f662U,     0xb378e1efU, \
    0xe4afed7fU,     0xfc5a7ca7U,     0x573260d2U,     0x8533b100U, \
    0x761fe0eaU,     0xc321433aU,     0x294defa2U,     0x2628b8c7U, \
    0xda207c6fU,     0x8bef30e6U,     0x60ad06feU,     0xf61a1cb3U, \
    0x44553ca6U,     0x472efcf2U,     0x8375e239U,     0x146a547fU, \
    0x55cdbe87U,     0x2454061eU,     0xfcd31ddeU,     0x90b67515U, \
    0x5f6d41a1U,     0xa34bd951U,     0x699f116aU,     0xf9f3b05dU, \
    0xa0c6e0e9U,     0x7f17e048U,     0xe0178931U,     0x8944a0d6U, \
    0xe9fb8236U,     0x2a0049c1U,     0xc90c7dc5U,     0x7d4f238dU, \
    0x7d6e4fb6U,     0xe18525fbU,     0xae28660aU,     0xd714527bU, \
    0x4099beb1U,     0x4a43cd3eU,     0xe4bf470bU,     0xf4e63b40U, \
    0x1e7ca471U,     0x8d03019eU,     0x6812165fU,     0x4c256916U, \
    0x7d4d116cU,     0x191f5984U,     0x9b2c2d5eU,     0x66d86424U, \
    0xa03cb21aU,     0xdbc2982aU,     0x5b484fb3U,     0x7206bb14U, \
    0x8e9a2597U,     0xc9dad48cU,     0x98fb2909U,     0x6a025ff0U, \
    0xc631413dU,     0x66a95590U,     0x4497464dU,     0xd5340ba2U, \
    0x748245daU,     0x71e0b5daU,     0x5c97ca56U,     0x1b12a7afU, \
    0xd73ec5caU,     0x93576cc3U,     0x1f51824dU,     0x24bfeb9fU, \
    0x635dc77eU,     0xc21837eeU,     0xc59bae79U,     0x58718b56U, \
    0xf6f12db8U,     0x42d082d8U,     0x6e08e5e4U,     0x64b09207U, \
    0x62a9d0bcU,     0xc5e2879fU,     0x9320517aU,     0x806ff6daU, \
    0xd20614bcU,     0xc4891b30U,     0xeb6cc44dU,     0x81f71081U, \
    0xa7b4b292U,     0xe8c359b3U,     0xcf93b10cU,     0xfd83c6d0U, \
    0xc0c37fccU,     0xc1125ef4U,     0x2bfaade2U,     0xb7eda184U, \
    0x48cf0a1cU,     0xd2fcda65U,     0xaed1bcb5U,     0x099317cbU, \
    0xe11c9089U,     0xf992b3fcU,     0x017f66c3U,     0xb36c5102U, \
    0xc968d1a2U,     0x3ce281c2U,     0x71c1aaaaU,     0x0749bb1bU, \
    0x7d3b831dU,     0x6d0cfa2dU,     0x14a6dc00U,     0x7c88d79cU, \
    0x200f21b4U,     0xe4c75582U,     0x0769e686U,     0x0f09224fU, \
    0x01c40186U,     0x22ca8cb9U,     0xfe59e129U,     0xe5773c09U, \
    0x129a6555U,     0xe9ca88eeU,     0x96af3028U,     0x199c6e16U, \
    0x9fc6b02dU,     0x1cac1fa2U,     0x0bd3e63fU,     0xffb9c5bcU, \
    0x53ea9941U,     0xe1948a78U,     0x7c16c33cU,     0x0b9cc36fU, \
    0x50d15e07U,     0xbb7e2cb4U,     0xa5e8c6c5U,     0x1be5291aU, \
    0x7192a568U,     0x973bdd35U,     0x8177bfadU,     0x6f050a6bU, \
    0xd3c5e2a0U,     0x3b5f42d6U,     0xaf4f8d5cU,     0x59ef1c3bU, \
    0x06a556f3U,     0x9933a1c2U,     0x71655b56U,     0xad020572U, \
    0xc4324cf3U,     0x5bdbcd0cU,     0xe899d1b3U,     0xac450cdbU, \
    0x8404a15dU,     0x2147441aU,     0x444f830dU,     0xa8422a99U, \
    0x98db8c54U,     0x20a8bd1eU,     0x01bd3d28U,     0x2d681e5fU, \
    0x9bcb5acdU,     0x36b44115U,     0xbf7a23b7U,     0xaf69ff94U, \
    0xa467a0b2U,     0xadf2d3d5U,     0x2fa89da2U,     0xac0db091U, \
    0x7c97f6ffU,     0x685faf27U,     0x15120d2dU,     0x31f93c5eU, \
    0x8fb506c6U,     0x5ec31c57U,     0x57af33a8U,     0x355623e8U, \
    0xb1622732U,     0xc2ca3b66U,     0x78b98b07U,     0x260cf9c8U, \
    0x93c5d6c1U,     0x1948dc61U,     0x7f0a4c8bU,     0xcdddbde5U, \
    0x95b8fd59U,     0x732a332fU,     0x539e04d2U,     0x665a7744U, \
    0xe1b1f2afU,     0x19e6494dU,     0x978f7418U,     0x64e75ee0U, \
    0x00955d7fU,     0x38ca986fU,     0x5e9aef0dU,     0x99153b58U, \
    0x4a78492cU,     0x07f84653U,     0xc62715a9U,     0x7e740ebaU, \
    0x4927821cU,     0x7d0a3980U,     0xd30d2c5dU,     0x503023c3U, \
    0xc4747490U,     0x55f990d4U,     0x8ba53268U,     0x172c0ce6U, \
    0x11f43efbU,     0x08efdb93U,     0x1a7fc53bU,     0x6b98d563U, \
    0x55f19772U,     0xe3b63dc4U,     0x5de33e7cU,     0xfdb2701aU, \
    0xfaaf4e3cU,     0x3e0cc578U,     0x2d5639fdU,     0x5f1c5505U, \
    0x866b28e0U,     0x7aa85d23U,     0xde1a542dU,     0xad15c2e4U, \
    0x2a048563U,     0xd04ce9e9U,     0xad1cf7d0U,     0x9670092fU, \
    0x9121e7e2U,     0xa03412c5U,     0xa48056a7U,     0x5d840b2fU, \
    0x545a9ceeU,     0x7539d612U,     0xb45e7308U,     0x8a87a9ddU, \
    0x05587fdaU,     0xe362cf16U,     0x13f83813U,     0xb9a61842U, \
    0xaa5a3a22U,     0xf7ead927U,     0xbb4d0c30U,     0xcad65a43U, \
    0x45a6273eU,     0x8b54c26aU,     0x0e3229d2U,     0x5a166607U, \
    0xb51f9d08U,     0x7b1524a4U,     0xbe75eaafU,     0x4e879d87U, \
    0xd6eca1c3U,     0x6bc287efU,     0x1a6a8bfbU,     0x3b3456e8U, \
    0x9d6d95eaU,     0xa453db9bU,     0x9876b67aU,     0xa1c92181U, \
    0xca1d1e8dU,     0x0b46cd7bU,     0x6830a69eU,     0xfd8a8dd6U, \
    0xab353f53U,     0xf2230688U,     0x60e9e540U,     0x260c933bU, \
    0x7b8a3367U,     0x0c95166bU,     0x89ed72cbU,     0xacee633eU, \
    0xf4238723U,     0x3b4e86a2U,     0x81984bd9U,     0x0fdfb6d6U, \
    0xe8d79071U,     0xfa1eb53eU,     0x1525dd84U,     0xae19cbcaU, \
    0xd9a30a4aU,     0x3b6b2b4cU,     0x8ce43679U,     0x9395f706U, \
    0x3945e142U,     0x133d8a15U,     0x8d95a10cU,     0x958dc401U, \
    0xe5870a54U,     0xcfa01660U,     0x09c76c66U,     0x5b8928c5U, \
    0x1414efc3U,     0x94f4dce1U,     0x58fb4c82U,     0x0b7f05a5U, \
    0x0eddc4c3U,     0x95a919f3U,     0xa922a982U,     0x26e2a1b1U, \
    0x960337ddU,     0x17dd4e82U,     0xc0079a06U,     0x5cb893b5U, \
    0x3e94a9d9U,     0xde08604dU,     0xa77f141bU,     0x5eaf680cU, \
    0x25aa4121U,     0xa2d0c7b1U,     0x52498852U,     0x13784fb6U, \
    0x7f1492daU,     0xa0f432f2U,     0x5eedfd1aU,     0x6065fc18U, \
    0xe8885d1bU,     0xc5ec4cf7U,     0x1a2fb0e9U,     0x78d48307U, \
    0x85c26bfeU,     0x93857951U,     0xe849953fU,     0x3983775fU, \
    0xc59cc41cU,     0xd0431f73U,     0x3182aeffU,     0x8e7becd9U, \
    0x785ad3b3U,     0x6bbef839U,     0xf1261e59U,     0xd7d5e975U, \
    0x6a243f1bU,     0x6fc3fba0U,     0xd72a9f65U,     0xad6cc287U, \
    0xc2ab9a15U,     0xc7131001U,     0xcddc90c2U,     0x2db4ee2aU, \
    0x99c8aa1eU,     0x7c15ec67U,     0x02c1c091U,     0x767d123dU, \
    0x00c6aa7cU,     0x743d5d61U,     0xc43b4bf5U,     0x91d69e0aU, \
    0x9b6b5b6dU,     0x30a8fe4aU,     0x8a06e03aU,     0xf650b5eeU, \
    0x7deaaf94U,     0xd268449eU,     0x37e726fdU,     0x1f76934aU, \
    0xc6a8c0b6U,     0xec497c8eU,     0x854f6247U,     0x336faeb4U, \
    0xa639b852U,     0xb67270b9U,     0x054428a9U,     0xf31b5e04U, \
    0xaa329eeaU,     0x4d00c7bcU,     0x26b634ddU,     0xe2e2bb44U, \
    0x9907fa8dU,     0x3cc31055U,     0xb545008fU,     0xc29a3cf4U, \
    0x1d3b151bU,     0x3fcb5dc1U,     0x16b82538U,     0x2ecdcc20U, \
    0x765cdbafU,     0xc189bcacU,     0x863a8940U,     0x78a81d90U, \
    0x499cfc8eU,     0x0ca19e52U,     0xe079e143U,     0x9d21e0e6U, \
    0x03a6076cU,     0xdfa2cbc3U,     0xc3fefdefU,     0xe681dc2aU, \
    0xc6459b26U,     0x1507feeaU,     0xe186d97cU,     0xa9865ddbU, \
    0xdd205b70U,     0x8a1fe652U,     0xf33464b5U,     0xe3a05e4dU, \
    0x20effac1U,     0x255b5933U,     0x696954e8U,     0xcff77e37U, \
    0x0f18a28eU,     0x7d2fc08fU,     0x16a75034U,     0xf0562368U, \
    0x179ab66aU,     0x68eaef22U,     0x895bb15eU,     0xca752b16U, \
    0x9e2ad4baU,     0x058aa39dU,     0x9271942cU,     0xc075cc0aU, \
    0x445b5c69U,     0x87a1ee5fU,     0x22a27245U,     0x3e0bfe2eU, \
    0x620cf434U,     0xdc94c80eU,     0xb5b5c0caU,     0x0ccd1147U, \
    0x5b9d7ee9U,     0x96a2c2c9U,     0x03d569b8U,     0x3cc70a79U, \
    0x709ddbf0U,     0x6a448bbaU,     0x456a0d2aU,     0x3938a80cU, \
    0xfbcc1c11U,     0x732cfd1dU,     0xbc8a8519U,     0x4c958a46U, \
    0xd9eb2da6U,     0xfdfba3caU,     0x134dd9e1U,     0x72afacd2U, \
    0xe158dd34U,     0x4f5bba05U,     0x394024b6U,     0xca7fdce8U, \
    0xee4fbeb6U,     0xa8f13755U,     0x10a2bfc1U,     0xf1587631U, \
    0x7dfbc0d2U,     0xdf9f3c50U,     0xe3f7430cU,     0x14802b75U, \
    0x263c717dU,     0x324c6ff3U,     0x1abcfcb9U,     0x09df170aU, \
    0xec3a3a46U,     0x3c009996U,     0x92846930U,     0x3fb79c52U, \
    0x431eb512U,     0x022e82f4U,     0x9698b8f1U,     0x862c70eaU, \
    0x8e846843U,     0x77864636U,     0x5d0234afU,     0xebf66cf1U, \
    0x59560e3aU,     0x06b2c86cU,     0xf24c6a9fU,     0x620fecf5U, \
    0x82032a96U,     0x57fad328U,     0xa895287fU,     0xf3ac4140U, \
    0x498f454bU,     0x4748f2f1U,     0xaaa25d56U,     0x604c5fcbU, \
    0x7420f359U,     0xf947a1fdU,     0x855e70d1U,     0xd2eea44dU, \
    0x12690f75U,     0xbda7d0d0U,     0x7458fd71U,     0xbd74f5b1U, \
    0x81d39ce6U,     0x8b04502dU,     0x9e28625fU,     0x70dad3c1U, \
    0xf8086837U,     0xd141bf1bU,     0x9e5064c3U,     0xdd543524U, \
    0x0af6a522U,     0x77ba29c4U,     0x0e139e22U,     0x7f598f2fU, \
    0xcc48e3c5U,     0x9a7d2c0aU,     0x8bbc1b42U,     0xe273ea3bU, \
    0x242fd335U,     0xbdc7c16eU,     0x3d9d7b3cU,     0x49bbf643U, \
    0x79677315U,     0xbc0b36e6U,     0xa7afe61aU,     0x3e703be8U, \
    0xf58028f2U,     0xedb74992U,     0x1c63530bU,     0x7e08d657U, \
    0xdc9025d3U,     0x146ca195U,     0xb11b1c99U,     0x8c0c4b5aU, \
    0x10f3054dU,     0x19851295U,     0x1350658eU,     0x76de2601U, \
    0xa23fbf2aU,     0x1de47b64U,     0xdd075d2aU,     0x7313dcc2U, \
    0x0a48534aU,     0x1b94f6ceU,     0xa05834d1U,     0xd97265acU, \
    0x1e8fad88U,     0x3b07c23eU,     0x5d726944U,     0x013b2966U, \
    0x3bcf4391U,     0xa6edd309U,     0xaffe67e6U,     0xbdcce8baU, \
    0x8167135eU,     0x4e11bc6dU,     0x0035453dU,     0x4019029cU, \
    0xbbf1f8cdU,     0x1711589fU,     0x26f22afcU,     0x0dcb6669U, \
    0x4ed353e6U,     0x295ac458U,     0x8659d656U,     0xc9f61c3fU, \
    0xc1de9592U,     0x1f03c5e8U,     0x379207e5U,     0x9c1ecc53U, \
    0x8425ebc2U,     0xc40f9c7bU,     0x0a848a6aU,     0x2602d44dU, \
    0xd28c3a4bU,     0x5de8b8fcU,     0x2384567dU,     0x834cf215U, \
    0x209e36e6U,     0x3ad07c40U,     0x77cd4944U,     0x0908f7f1U, \
    0xa9f90a3dU,     0xdc517e18U,     0xe5cb8496U,     0xc96ed8aaU, \
    0xf4f92b28U,     0x512c1ee2U,     0xae1be386U,     0xbfc11988U, \
    0x76da094cU,     0xd38b515fU,     0xf113e633U,     0x2964735dU, \
    0xf1f79a96U,     0x9071e005U,     0xbccb62dfU,     0x39b6f993U, \
    0xfef7241aU,     0x37413f1eU,     0x26171c4dU,     0xd02fea18U, \
    0xd5132231U,     0x5c03f65dU,     0x44ffdfe1U,     0x0a8107d1U, \
    0xfb270b7dU,     0x9db76894U,     0xf2cfbae3U,     0x65a01b8cU, \
    0xbef48c6fU,     0xc8ebf625U,     0x4e501401U,     0x9894141dU, \
    0x70c6ec45U,     0x3de05be3U,     0x9b7723d6U,     0x40f6df61U, \
    0x07c4ddb4U,     0xb0b11361U,     0xc9449169U,     0x9433ae7cU, \
    0x2a9df154U,     0x0f929021U,     0x5c3bd1b7U,     0xc626ec50U, \
    0x554c9290U,     0x90ba2cb0U,     0xb786f49fU,     0xe197bc85U, \
    0xde8e3bbdU,     0x5fc99a08U,     0xc3413fdaU,     0x8f63c43eU, \
    0xef3da1b2U,     0x0d32220aU,     0x7979076bU,     0xc19da2f2U, \
    0xbdbcd59aU,     0xce2c0f16U,     0xe08b475eU,     0x308df7bfU, \
    0x8343c54dU,     0xe5444c6dU,     0x3e8ba93dU,     0x7323ddccU, \
    0x82a6eda2U,     0x71fb8d0dU,     0x71f3ce97U,     0x0811c366U, \
    0x30afd712U,     0xe6999251U,     0xb4b51b93U,     0x3daa0081U, \
    0x8e74e8dbU,     0x0c67058eU,     0x7fbcb636U,     0x603dd7b9U, \
    0x3b944100U,     0xe4358207U,     0x900565a3U,     0x9d28e6e3U, \
    0xaf663d48U,     0x032772ffU,     0x58130256U,     0xda1a1a45U, \
    0xcefc1208U,     0xb5d46713U,     0xa9d365a5U,     0x5379a0b0U, \
    0x7824669cU,     0xdb8d05b9U,     0xffbeb5b2U,     0xfabf5827U, \
    0x7753e649U,     0xfc15389aU,     0x9a847ed8U,     0x670c24a9U, \
    0x8e350d9fU,     0x008f6866U,     0x392dba54U,     0x18a92f69U, \
    0x82db5eedU,     0xe7ffaab8U,     0x5bc03f4dU,     0x447dc8dcU, \
    0x67569b1cU,     0xa4c38722U,     0x0ed6dfc5U,     0x86f616d5U, \
    0x58d0008cU,     0xcd62b311U,     0x98384f40U,     0xa9c507bbU, \
    0xf1e7c413U,     0xb592aa18U,     0xdcb7281fU,     0x7c135ff4U, \
    0xc28892afU,     0x117e7eb1U,     0xbab2b80fU,     0x69d792bfU, \
    0x192a3105U,     0xde100a95U,     0x95af5ce5U,     0x377b8c3fU, \
    0xffe7cef3U,     0xed5ff30cU,     0xdcbbede5U,     0x295f505fU, \
    0xddb2270bU,     0x94f4a3c4U,     0xed20f351U,     0xad0b6e49U, \
    0x23a70d50U,     0x46e17f2bU,     0x85fa9407U,     0x046b5981U, \
    0x30f9b231U,     0x6fd824eaU,     0xec672ae7U,     0xb6ee8584U, \
    0xfd61fc35U,     0x0723235aU,     0x365a37b3U,     0xc2f86e37U, \
    0x0e310ec6U,     0xb4581391U,     0x367a1979U,     0x6819898cU, \
    0x43ec905bU,     0x7b029ce0U,     0xc1659915U,     0x422b7886U, \
    0xecfc7916U,     0x248575e0U,     0x9f2496b5U,     0xc1b9e2b4U, \
    0x56b36e01U,     0x0a512c32U,     0x80e539b1U,     0x6c1fd11fU, \
    0x1b3dbf1cU,     0x2cabb987U,     0x4680a05aU,     0x5db6fe83U, \
    0xef10cab7U,     0xe30fd456U,     0xffd362b2U,     0x62d17376U, \
    0x58a81765U,     0x73cdb3a4U,     0x965a888bU,     0xc3ac24ceU, \
    0xd55667a8U,     0xd34423eaU,     0xe50cb545U,     0xdf958c00U, \
    0xe2c0f7a0U,     0xc295da89U,     0xd0274372U,     0xc0184ab3U, \
    0x0d4f962aU,     0xb039ff06U,     0x63fb72beU,     0x15e13abfU, \
    0xd26dabecU,     0xea06d730U,     0xd2b1b24aU,     0x622193adU, \
    0x74ae4ed7U,     0xbbf37849U,     0xaf068721U,     0x52358a6bU, \
    0x55a8b8b4U,     0x739c41d9U,     0x17a4b72cU,     0x6e9f62c8U, \
    0x2c14581cU,     0xa1514a3fU,     0x825056a6U,     0x60c8075fU, \
    0xb0eece91U,     0x87433233U,     0x7ef7be5bU,     0xd34ca9b8U, \
    0xe3b2a599U,     0xc1f46f6aU,     0x869c937cU,     0xb25bb0e3U, \
    0x646c31e7U,     0x435e7db2U,     0xe2fbf5c2U,     0x5b99a7d2U, \
    0xa7f7ccb0U,     0x2ca1cee3U,     0x5441bce3U,     0x825f654cU, \
    0xc1d3be95U,     0xcb549728U,     0x47fd91e6U,     0x3f0c9b10U, \
    0xe1e3d7c6U,     0x613c1854U,     0xd8a1ee5dU,     0x7fb1c870U, \
    0x999cbc03U,     0x2874cf6eU,     0x0b4e90f3U,     0x2a8d0852U, \
    0x9dddfd0eU,     0x7ff403f6U,     0xd8ddaa69U,     0x72f846dbU, \
    0x19aa800fU,     0xb77f1605U,     0x862dc3deU,     0xe8c5dc83U, \
    0xc794e638U,     0x0f9a6f62U,     0x9f258636U,     0x03c5284bU, \
    0xce26b33aU,     0xd2e79264U,     0x26a4d18dU,     0x79d9ff51U, \
    0x638f4190U,     0x694b8561U,     0x648c39adU,     0x7d3a8740U, \
    0x028cf817U,     0x529d6f13U,     0x9024dcc8U,     0xfd2211feU, \
    0xc064ee5aU,     0x7b611effU,     0xdc439d20U,     0x34e95403U, \
    0x652a37c9U,     0x4f8a2f00U,     0xd7c4eb24U,     0x9a8d1018U, \
    0xa2a3f279U,     0x59825598U,     0x015ae60bU,     0x1734d59aU, \
    0x4886fc2cU,     0xadbd0d67U,     0x55b20328U,     0x2eb3cebbU, \
    0x0cf402adU,     0xbdc669cfU,     0xb422c032U,     0x907f9052U, \
    0x4a4cc894U,     0x4b328876U,     0x938d7910U,     0x3c423b80U, \
    0xe756aac8U,     0x46c39480U,     0x07fb9690U,     0x1c1d86c3U, \
    0x7ace76c0U,     0x7a8c365dU,     0xe57faa03U,     0x08e1d915U, \
    0xf9701b2aU,     0x4d7e3813U,     0x2790b9e1U,     0xa94ff54fU, \
    0xf0ebd71fU,     0xa0207dbdU,     0xcc6e1977U,     0x5c213252U, \
    0x45435bc0U,     0x6cc712d8U,     0x332d8457U,     0x2585ab61U, \
    0xc00c3897U,     0x792ab518U,     0x60d0fb0cU,     0x1f58b60cU, \
    0xafcc3b6aU,     0x40ca5c09U,     0x827344b4U,     0x5a773518U, \
    0xac3eebbaU,     0xbcf8bb8fU,     0x8f0e08fbU,     0x3d3771b5U, \
    0xe25f0603U,     0xbf8e5dc7U,     0x26269adaU,     0x9fc5ed9aU, \
    0x12d99804U,     0x89d2ff87U,     0x00e052c6U,     0xb66292adU, \
    0xd82e163cU,     0xf1774161U,     0xebba1095U,     0x610f4b51U, \
    0x844f9289U,     0x53c5a018U,     0xff70bb95U,     0xbbbbeb1fU, \
    0xaf392d12U,     0x6ef88e7eU,     0x50fcc8f5U,     0xf83e0d06U, \
    0x4988ea9cU,     0xd06562beU,     0x0bb72aa9U,     0xa28ab692U, \
    0xd7664627U,     0x6b43d244U,     0x4bb392acU,     0xc7f9412eU, \
    0x1664316fU,     0x373a4f68U,     0xf8d8fcdaU,     0xd724ab52U, \
    0x18526656U,     0x52241c47U,     0xc5e55d81U,     0x41342186U, \
    0x8f98a733U,     0xf86bb5fcU,     0x00afb5a3U,     0x5df248ffU, \
    0xadf3775cU,     0xfdbf9b2cU,     0x7ef5856fU,     0xb954d620U, \
    0xb99ea5c3U,     0xd3aadcadU,     0xcb5f80d5U,     0x4a7274bdU, \
    0x70307122U,     0x12f29a0aU,     0xc76be803U,     0xa41f86fcU, \
    0x40963429U,     0x2303b676U,     0xb564f89bU,     0x9a3a2329U, \
    0x0455db1bU,     0x23c3d674U,     0xe12b503dU,     0x1ae21d25U, \
    0xbb11ba45U,     0xa55dad7aU,     0x19e11581U,     0xab4faa90U, \
    0xd570a35aU,     0x2c326140U,     0x7f9015edU,     0x6fb2d6cfU, \
    0x317020baU,     0x1f27b8ddU,     0xb970454aU,     0x7e8b4422U, \
    0xbbdf79eeU,     0x458821c3U,     0x7c33d1a0U,     0xb1c04b33U, \
    0x487b1b5cU,     0xd460cdbcU,     0x09f9caa5U,     0x179fea4eU, \
    0x8e84bac4U,     0x73b3b275U,     0x7d05ffb6U,     0x84cc5a2cU, \
    0xb3059546U,     0x099bbbb6U,     0x60ec52a3U,     0xc0c1e10bU, \
    0x59e0a2b9U,     0x733c114bU,     0x411aefe8U,     0x7da32022U, \
    0x5f605fdbU,     0x3307c593U,     0xf61c40a9U,     0x7a88b876U, \
    0x617e131fU,     0xf03eccceU,     0xa359928bU,     0xe5bd85b7U, \
    0x43107ec0U,     0x1dc61481U,     0x85d3b7c9U,     0x6d7bb65bU, \
    0xcd64f5cfU,     0x21741757U,     0x542a8c5bU,     0x632d27d1U, \
    0x17e63b76U,     0x04e54739U,     0x151299f0U,     0x5e36770dU, \
    0xac381cd3U,     0x75bc4606U,     0x7a525a5dU,     0x8b8ffd75U, \
    0x29eb5f56U,     0xbce5f90cU,     0xf769bec3U,     0x81be2a61U, \
    0xef59e8d3U,     0xd32f23fdU,     0x1a9ce48dU,     0x7c8ed49dU, \
    0x3f6fdf89U,     0x25433212U,     0xbf737494U,     0xee749ddfU, \
    0x989d5fc6U,     0x57241bd0U,     0xda89c2bcU,     0x65734d22U, \
    0xcf86fd77U,     0x8dd2bb57U,     0xe6063898U,     0xdb88d895U, \
    0x4103813fU,     0x3ac32220U,     0xdd3c4529U,     0xe3505aceU, \
    0x3aa5bfe6U,     0xe4b86e44U,     0xff060691U,     0x90cb1eb2U, \
    0x14b805f4U,     0x70252c5fU,     0xb373613fU,     0x72794fd1U, \
    0x8fed132eU,     0x62ae3488U,     0xce42fc8bU,     0x0edb9187U, \
    0x6a4d71c7U,     0x140577deU,     0xe19da907U,     0xf9ce2737U, \
    0x11b19237U,     0x7676107bU,     0xef986174U,     0xc0d95119U, \
    0x6c09d142U,     0x10df8aebU,     0x5a151994U,     0x9985f947U, \
    0x8e7a4012U,     0x40833980U,     0x992cf9c1U,     0xc87969caU, \
    0x03c2e7aaU,     0xd4a3e309U,     0x00e86474U,     0x649fc659U, \
    0xfdc83ac7U,     0xcf599a3eU,     0xa329b452U,     0xcb1ed825U, \
    0x27578f64U,     0xe0967efcU,     0xef34cd99U,     0x729df081U, \
    0x3ff3c61bU,     0xe9fc7ea4U,     0x112b0782U,     0xd68c5e2fU, \
    0x3cbe462eU,     0x5f598b64U,     0x0d867edeU,     0x6745375aU, \
    0xbc5d8995U,     0xee114ddaU,     0x5a93ed28U,     0x31993b39U, \
    0xec28c638U,     0x543ecbc2U,     0x0b12381fU,     0xac271bb4U, \
    0xdf4573e1U,     0x62f571d5U,     0x9371593dU,     0xbab61451U, \
    0x22f4e7c7U,     0x8df020a0U,     0x20e0f03dU,     0x876d8aadU, \
    0x2b910a8dU,     0x86e549f4U,     0x0f1552d4U,     0x6180a223U, \
    0x5527c185U,     0x4371321aU,     0x1bf9afc8U,     0xa9ab569aU, \
    0x8123455aU,     0xda8b6897U,     0x5436ee8aU,     0x6bea37eeU, \
    0xc59b2492U,     0x664b5681U,     0x421f3a28U,     0x4fbe0cbeU, \
    0x2f997475U,     0x87c3cfe3U,     0x4980cfa5U,     0x2ce386f1U, \
    0x57c19550U,     0xbe987bfaU,     0xe148d604U,     0x3753c7caU, \
    0x8b681f10U,     0x073a9eb2U,     0xe341f282U,     0xaaa9d44dU, \
    0x48dcc951U,     0x615755c8U,     0xec3c031cU,     0x312761dcU, \
    0x8b9f3aa9U,     0x127ffb3bU,     0x92c6916dU,     0x5aadf546U, \
    0x1672f19eU,     0xc40cecbfU,     0x69115bb5U,     0x0aeb2aecU, \
    0x1c276c64U,     0xfb388504U,     0x07c3fb27U,     0x6fb2837eU, \
    0xd42e6dcfU,     0xd495531bU,     0x1e448572U,     0x057e08f7U, \
    0xd7b90359U,     0x4efedd5cU,     0xee68bdb1U,     0xb8e4a724U, \
    0xf1d26c93U,     0xbc97d762U,     0x0e3318feU,     0xcde63f43U, \
    0x2a45e6a5U,     0xc8547196U,     0x72db1be7U,     0xf4fb0111U, \
    0x3b22cec0U,     0x5f1bd99aU,     0x3d20903bU,     0x0bf442b2U, \
    0x881ac7d5U,     0x64f64afaU,     0x6cd315e3U,     0xee9255a5U, \
    0x173c279fU,     0xeb5419abU,     0xed572ef3U,     0x86d36836U, \
    0xa42acb31U,     0x891acfeaU,     0xfee52bbfU,     0x3021f79fU, \
    0xfb8bdfa7U,     0xdb852089U,     0x6b0db56dU,     0x9f7894b4U, \
    0xe934e76eU,     0x51a6f2ddU,     0x8ab801eaU,     0x5f30dacaU, \
    0x7385b5a6U,     0x8465a15eU,     0x76888eb6U,     0xded0bab1U, \
    0x8d5e0adaU,     0xadc6bf7bU,     0xa1d8168bU,     0xf5b0a5ceU, \
    0x2f1a2cbeU,     0x7a37f397U,     0x18b35f7aU,     0x0e3ddc91U, \
    0x1e54bb66U,     0x5b647c0dU,     0xb6d0829fU,     0x52bba9f0U, \
    0x89ef3cd3U,     0x6dfd7c82U,     0x1e9c1458U,     0x177555dcU, \
    0x3bd96cebU,     0x88108a55U,     0xaf47c8ebU,     0xe58a8b9cU, \
    0xaae9ebf0U,     0x3dbd4d48U,     0x5fc85339U,     0x818a7674U, \
    0xc3f0416bU,     0x848c82e5U,     0x33728e5cU,     0xaf044cfcU, \
    0x3c4565c0U,     0xb37bc975U,     0xb8895ba0U,     0xd148d108U, \
    0xa6ec0724U,     0xbf9a7eabU,     0x6e636e70U,     0xd7c1a457U, \
    0x9b9a0879U,     0x87c2a26bU,     0x398fc5a9U,     0x413b19eeU, \
    0x77219d9aU,     0xb18b5693U,     0x1181f26aU,     0x47a3a29dU, \
    0x99623620U,     0xc8cfe482U,     0x2319bc61U,     0x9fdc654fU, \
    0x84198187U,     0x5420531bU,     0xfd77ee27U,     0x2fa0e2eeU, \
    0x864484a1U,     0x81b556f1U,     0xa16bf8b3U,     0x6802df51U, \
    0x510a1800U,     0x84adea71U,     0x70305540U,     0xb5975fcdU, \
    0xaa661a44U,     0x13a2144dU,     0x0c8824d7U,     0x43227d64U, \
    0x5fcfde80U,     0x5172a7a7U,     0x9bce6999U,     0xf4bfddeaU, \
    0x58074a49U,     0xd6bfaec1U,     0x5123c4faU,     0x87b29fd7U, \
    0xdc8a4239U,     0x4e2c7629U,     0x5395a768U,     0x5700f170U, \
    0x2fcab201U,     0xf59af0deU,     0xf183584aU,     0x0bf3e63cU, \
    0xc66f618cU,     0xe8e9c14bU,     0x007aee17U,     0x5d3fb225U, \
    0xa15636a5U,     0x9f33ddaeU,     0x38e8d1d2U,     0xfb4427d4U, \
    0x5fe8bc38U,     0x4fd8da10U,     0x3aa70ddeU,     0x0a8d48cdU, \
    0x58429fecU,     0xf95614e7U,     0x4910db5bU,     0x88786ef5U, \
    0xb6e58598U,     0x6bdf1b5aU,     0xd663804bU,     0x5a40a789U, \
    0xe8ab9c5bU,     0x83cca8f2U,     0xa002e772U,     0x7a9af579U, \
    0xc5e4d6f4U,     0xe08c6c67U,     0xa488b30eU,     0xe0fd1045U, \
    0xad35ee6eU,     0x8ee1cf81U,     0xd1cf42c0U,     0xd8d7f230U, \
    0x4b2815d9U,     0xee6ce973U,     0xdc2daaddU,     0xddd9679aU, \
    0xd5a166b6U,     0xe4d9660bU,     0x54d46ddbU,     0xacc6a4eaU, \
    0xc77ba10eU,     0x2ffb05ecU,     0x3fe8f22fU,     0xdb2c0766U, \
    0x83dab01eU,     0x78b3d535U,     0x2d9cf6bdU,     0x4816e7b7U, \
    0x5359ff48U,     0xbe0b674cU,     0xd7ef9f94U,     0x9d629f84U, \
    0x665d336eU,     0x826754b6U,     0xb3ca35b6U,     0x2b3dd4a9U, \
    0x6513f0f5U,     0xb130dfb9U,     0x6faad79eU,     0x0e6a656bU, \
    0xcdcdb54cU,     0xdf17ccd5U,     0x609c7e61U,     0x3eac632eU, \
    0x551491c3U,     0x327b1b14U,     0x97437940U,     0xa46f1c76U, \
    0xe207e6aeU,     0x1f39e5a8U,     0xc2ecf291U,     0x21a0f97bU, \
    0x1e568ff7U,     0x3fea96a3U,     0xa80d5542U,     0x0f3bdabeU, \
    0x9f032c8cU,     0xc4378d79U,     0x93f17b22U,     0x51e1c09eU, \
    0xbde337b4U,     0xc1433abeU,     0xd80b96b9U,     0xbd3d04baU, \
    0x6a83e16aU,     0x0bd573a9U,     0x90761255U,     0x8abcec09U, \
    0x2700ae61U,     0x8e9018b2U,     0xec3ddee6U,     0x33039100U, \
    0x10672060U,     0xcc96745dU,     0xa67b1415U,     0x78cc3bfaU, \
    0xc77b4d41U,     0xd1188e93U,     0x89ff221aU,     0xfa81f5b6U, \
    0x3d672776U,     0xefdbaffbU,     0x125df3b7U,     0x2d4f5ff9U, \
    0x2801bc25U,     0x793dfb2eU,     0xeb7137c8U,     0x4eac11cbU, \
    0x08216f48U,     0x0c780623U,     0x89a151a7U,     0x51066d9fU, \
    0xb25e7025U,     0x2ca4254cU,     0x90bbcd34U,     0x00823000U, \
    0xea01ab60U,     0xb1dd37f8U,     0x63574ff7U,     0x7b31d2e1U, \
    0x0f3c9391U,     0xe3175d36U,     0x88735a6aU,     0xc69153c0U, \
    0x6ecea356U,     0xe636fbf1U,     0x212ca4d2U,     0xdc52d0d6U, \
    0x0c6daceaU,     0xabd6441cU,     0xf1dc0fffU,     0xfb606af5U, \
    0x3ff79e58U,     0xe67a12d7U,     0xbb3d53b6U,     0xdb23aa5aU, \
    0xbb18b51aU,     0xd3d59920U,     0xfcf947afU,     0x5aa59c9bU, \
    0x108efc9bU,     0x9aa6e74eU,     0x5710460eU,     0x96cea4d3U, \
    0xb36d086aU,     0x54344a86U,     0x3e5cc769U,     0xae22f918U, \
    0xc1a208adU,     0x2de8f033U,     0xba472e47U,     0xa409091eU, \
    0xc3a4490bU,     0x295f0a96U,     0x43bc7908U,     0xb5c63054U, \
    0xdf2e6c84U,     0xed24c82fU,     0x599f6bd9U,     0xd3d53519U, \
    0xf44044e9U,     0xcc6816ccU,     0x15539bc2U,     0x0c063903U, \
    0x1e7b44faU,     0xd3a2f307U,     0xd9b438ebU,     0x18b70f00U, \
    0x709b8d1bU,     0x313ca6d7U,     0x33bb630fU,     0x6642e2f0U, \
    0xd55b336cU,     0x1105812aU,     0x67aa335fU,     0xd04b9ad7U, \
    0x0435523dU,     0x0a9b7d01U,     0x45a7af98U,     0x682f825dU, \
    0x129d222eU,     0xe44bae2fU,     0xaf4656a1U,     0x52dc4505U, \
    0xf9291146U,     0xe916dfffU,     0x8f918cc0U,     0xf511379aU, \
    0x489d41bcU,     0xdd2f3b81U,     0x13435a8aU,     0xf5991f27U, \
    0x583b5d96U,     0x472318e8U,     0x4d110f5aU,     0x289cce19U, \
    0x433dbf5bU,     0x72eb88d8U,     0xb9a54ca9U,     0x776d15c0U, \
    0xbf118603U,     0xa8c5a629U,     0x80f379c5U,     0x6d693695U, \
    0x81ceaa96U,     0x35f788c4U,     0xdcca0cc5U,     0x2df13a45U, \
    0xbb838ce7U,     0xa2fc279cU,     0x383d8d69U,     0x8e414e12U, \
    0xed1853e5U,     0xceaf5faaU,     0xfceb692aU,     0x081d9b0bU, \
    0xbcbe806fU,     0x68785556U,     0x858804deU,     0xce915dccU, \
    0x68a490fbU,     0xc9102293U,     0x51e5830eU,     0x8b2df21cU, \
    0x1dedd9c2U,     0xf4461d37U,     0x3eb4701bU,     0xe183255eU, \
    0x94e75ddeU,     0xb57960c4U,     0x5450a0d2U,     0x5c098f95U, \
    0x210ec7f2U,     0x3db3deb6U,     0xcd61ba80U,     0x5660f64cU, \
    0x8ce6ff90U,     0x871b7e68U,     0x17bb585fU,     0x378a165dU, \
    0xc2c23a33U,     0x56b70330U,     0x22598d3aU,     0x06e117ddU, \
    0xe9ff11b6U,     0x2cf3e8d4U,     0x2d2bc084U,     0xa45ce89dU, \
    0x0387ed76U,     0x37f19a00U,     0x88c1f288U,     0xe9f07040U, \
    0xe19a5698U,     0x231d0f9eU,     0x95eaf34fU,     0xf006f94eU, \
    0x8c285e3fU,     0x30d6606dU,     0x1e52a4f6U,     0xe55500bdU, \
    0x2089a8e9U,     0xdad5edd0U,     0x132bfdcfU,     0xfc78f302U, \
    0x2126c336U,     0x13669277U,     0x55d1c0b9U,     0x1402ffb4U, \
    0xe54122d7U,     0x446f1720U,     0x46eeec97U,     0xe3ae5022U, \
    0xf11f2f8aU,     0x7474f5ccU,     0x050fa746U,     0xf665eaa9U, \
    0x9298b7e8U,     0x301bb974U,     0x7c4c88ecU,     0xc2c8b58bU, \
    0x1398557dU,     0x14239520U,     0x838284a8U,     0x3bd2d514U, \
    0x4ff5a1a8U,     0xf8b88c1cU,     0xf3aa22afU,     0x9decb210U, \
    0x29fe065cU,     0xad61e34cU,     0x022a3f8cU,     0xf99e0f03U, \
    0x86ab837dU,     0x3501261aU,     0xd225a698U,     0xbd8d78f7U, \
    0x9f3358dbU,     0x4fb52780U,     0x4b7b5dc1U,     0xd0bb637fU, \
    0xf39fa0f4U,     0x3e967d1cU,     0x8ba9908bU,     0xe07f52afU, \
    0xd56c52a6U,     0x9c8a29a0U,     0x1a82800bU,     0x69558a57U, \
    0x392a57e4U,     0x49022cadU,     0x6cb377d2U,     0x324910e9U, \
    0x422abb68U,     0x725fa69eU,     0xc368e1cbU,     0x01bf4941U, \
    0x0e5362bcU,     0x570b0b07U,     0xc6741ca1U,     0xcd8fb041U, \
    0xa8aab3baU,     0xe358c84fU,     0xd79df13eU,     0x1fe8ae7cU, \
    0x83328eb6U,     0x881e006cU,     0xa4464642U,     0x6f63deb7U, \
    0x11b699a8U,     0x1856db88U,     0x6284cbd0U,     0x3fe34854U, \
    0x6ab4b695U,     0x6594bbcdU,     0xdfa4b8f8U,     0x83937d72U, \
    0x319e3c61U,     0x40769d05U,     0x91a479fcU,     0xa1f7f680U, \
    0x1ccce682U,     0xbf930108U,     0x7c7d3ce3U,     0x8b0673ecU, \
    0x9d0bb990U,     0xfa9d1d8cU,     0x17809378U,     0x41c5de81U, \
    0x2155865fU,     0x4b82e677U,     0xcfe58a5bU,     0x5975e6d4U, \
    0x2e7f70bcU,     0xb9e16e73U,     0x83ea0223U,     0x1254b235U, \
    0x8ffff8f7U,     0x041731dcU,     0x61503ed2U,     0x9f39e288U, \
    0x3fd5cfe5U,     0xa3e99ed1U,     0x545e08a5U,     0x472ef309U, \
    0xb0923741U,     0x9e18b7c6U,     0xd63a9397U,     0x01dce1f1U, \
    0x2f3e3987U,     0x08bd8692U,     0x5ccb5686U,     0xb086cfabU, \
    0x51c6d621U,     0x4bdbbb2eU,     0xf34071b9U,     0x07cdce02U, \
    0xe07e5319U,     0xa1fbce34U,     0x155d3ed6U,     0x6cf070a1U, \
    0x3e02ef5eU,     0xbcdb8d9aU,     0xcd292858U,     0xf785995eU, \
    0xe9571e76U,     0xb63a336fU,     0xd7367a6aU,     0xe89b2611U, \
    0x3b504c25U,     0x59ca4170U,     0x9f917e8eU,     0x264274f8U, \
    0x3029b241U,     0xd46f2db4U,     0x2c92eb46U,     0x2ba1ea72U, \
    0x392ef869U,     0x11897805U,     0xa4e3684bU,     0x51faf1bfU, \
    0x0a5015a7U,     0x9e77c85dU,     0xdcf9b164U,     0x6db5fc83U, \
    0x9c60eed5U,     0xa4f6b6a8U,     0x55d86305U,     0x1706953aU, \
    0xe38bd48dU,     0x1b6aed46U,     0x1ecf37c0U,     0x5ccfa88eU, \
    0x910cfbe8U,     0x0f421c12U,     0xb6867aceU,     0x36b0abc2U, \
    0x4c99d94aU,     0xcd797b7eU,     0x06c25ce5U,     0x3b247317U, \
    0x09621731U,     0x54f8f94eU,     0x68f31012U,     0x810d8867U, \
    0xede92b97U,     0x228ad41cU,     0x8bab5f3dU,     0xe398afb5U, \
    0xe5993d44U,     0x207a8d39U,     0xbd8e1493U,     0xabe7de34U, \
    0xb221a1e6U,     0x75be6811U,     0x1cb83e0dU,     0x2f2a690cU, \
    0xbce1f3e5U,     0xbea73308U,     0xe9524238U,     0xa86b30a4U, \
    0xdace1040U,     0x582f6f12U,     0x81191339U,     0xd351b202U, \
    0x9e4e4568U,     0xd0ea9b98U,     0x822de24eU,     0xc8eaf8d6U, \
    0xadb7c184U,     0xbe9d0ec3U,     0x0547fc8dU,     0x651de848U, \
    0xaaa662c6U,     0xa01c0196U,     0x517cb677U,     0x410fbb2aU, \
    0xc790d296U,     0xdee51910U,     0x5259aedfU,     0x9612a6b0U, \
    0xe5a75f0eU,     0x62edf93eU,     0xd718a5aaU,     0x00e5ccedU, \
    0x37583178U,     0x685d9d2eU,     0x03d95499U,     0x0ad3a33eU, \
    0x8eb6b3e5U,     0x6b5eef26U,     0xb74d9c55U,     0xee59b150U, \
    0xb8fda2b4U,     0x02db59e6U,     0xe73fac85U,     0x913bed05U, \
    0xe8d3cde6U,     0x0effa164U,     0xf400fb2bU,     0x3500ce95U, \
    0x2cef1d3aU,     0x8a904a43U,     0x7750abe0U,     0xfeceff16U, \
    0x24e5ef0bU,     0xd9120326U,     0x415c76abU,     0xc4cb50e7U, \
    0x1867d404U,     0x6d22aa3dU,     0x8ab1c65fU,     0x60a0e5baU, \
    0xb70467e3U,     0x58d4391cU,     0x5e0a0241U,     0x54d6136fU, \
    0xa9f7d213U,     0x9bbc0540U,     0x2109b476U,     0x8cf756b8U, \
    0x8af73beeU,     0xbe17c010U,     0x45df3a5bU,     0xdd6b3992U, \
    0x8ef6cc1bU,     0xcdeb381fU,     0xb45f47d1U,     0xfe300966U, \
    0x66d4d668U,     0xcd285e8cU,     0x34ffc77bU,     0xc5084f77U, \
    0xe7445716U,     0x9e179a7bU,     0x1b56958fU,     0xfd0fb67dU, \
    0x8701ec88U,     0x72a9288bU,     0x1267ce7cU,     0x7e2263efU, \
    0xf2031141U,     0x22d5372cU,     0x280c9df9U,     0xefa746f2U, \
    0x3e8b4bf5U,     0x4ebdb4f2U,     0x72121055U,     0xdcc72b9cU, \
    0x5103afd6U,     0x3e1e49b4U,     0x36b589e2U,     0xf3a7f7b7U, \
    0x6291fdc1U,     0x125cd406U,     0xc5a4d64fU,     0x2b0007b8U, \
    0x017abd77U,     0x3a08c017U,     0xeddf3156U,     0x3b4f8b5cU, \
    0x2c8d96edU,     0xf7785170U,     0x0fa30881U,     0x0920355dU, \
    0x8fe1beb1U,     0xb997ad23U,     0x464140a0U,     0x883d3cb3U, \
    0xd11c4f98U,     0x1ad305d9U,     0x762af1c9U,     0x2ea2c83fU, \
    0xbd73c499U,     0xe4640023U,     0x0bf1f64fU,     0xc6083f65U, \
    0x0feafe57U,     0xe719d2e2U,     0xb7b3d2d4U,     0xdd73b988U, \
    0x63d8148fU,     0xb0ed46e4U,     0xf72eb69eU,     0xe72e73beU, \
    0x53a94352U,     0x62c2fe38U,     0xd72e0190U,     0x0137e68bU, \
    0x035d53e3U,     0x539c9912U,     0x2ce86098U,     0xaa6aabb1U, \
    0xb4ed85ddU,     0xdf7bf8c2U,     0xc8397ee5U,     0x3ee4bf66U, \
    0x9ef656e6U,     0x2cb1a26aU,     0x351b2bacU,     0x8d59249cU, \
    0xa903c1ecU,     0x55bdfb69U,     0x7094fd7fU,     0x487610bfU, \
    0x1ad36db8U,     0x1e707948U,     0x9aa774dbU,     0x6782ece6U, \
    0x2114104bU,     0x54d26287U,     0x5ecca934U,     0x1de38db5U, \
    0x87173035U,     0x75913877U,     0x1216a29bU,     0xc1b5293fU, \
    0x225dc967U,     0x75f97992U,     0xf9e32f7aU,     0x34cf262bU, \
    0x6ea5f591U,     0x17a94d6fU,     0x78ecc3e1U,     0x978e9d7aU, \
    0x5a7d1c99U,     0xeffca849U,     0x4aad7a5aU,     0x5a78d3e1U, \
    0x24f4bb13U,     0xa7e584d5U,     0x378e523cU,     0xf7b83200U, \
    0x7989773fU,     0xcb9a6edbU,     0x910b9a36U,     0x867fa08aU, \
    0x4c3507bcU,     0x1d774b35U,     0x252208fdU,     0xc527a2cbU, \
    0x5f9fc205U,     0x67225b73U,     0x1c2b633cU,     0x10a776a8U, \
    0xabe72fd1U,     0x8dc02d5fU,     0xfac8c2d5U,     0xcdb64639U, \
    0x0697186dU,     0xed4d0fb1U,     0xacf82619U,     0xfb7a7cebU, \
    0x5024723fU,     0xa4610df2U,     0xa4482aa2U,     0x72dbb426U, \
    0x9810ac4bU,     0xfe239fc6U,     0xd86601f1U,     0x4bd91b96U, \
    0xf7db6737U,     0xda6744b8U,     0x2ef9d997U,     0xc002466cU, \
    0x7845082aU,     0x1f463a50U,     0x221b3a7aU,     0x0e3f20c0U, \
    0x8a30a31aU,     0xaa1c046aU,     0xfe3ce96aU,     0xe9d4042aU, \
    0x3d028897U,     0xad3a974fU,     0x70730da4U,     0xfd3c5f1dU, \
    0x155301bcU,     0xc13961aeU,     0x4918986eU,     0xed47ae27U, \
    0xe2ecbca8U,     0xa7747236U,     0xc4cec466U,     0x9eac27aaU, \
    0x458501dfU,     0x6d041778U,     0x626da2b6U,     0x33596d42U, \
    0xb275dc89U,     0xda369b02U,     0x40252920U,     0x8733b61cU, \
    0x06a76303U,     0x7ac6c3ffU,     0x9f7f2bfcU,     0xa1077c31U, \
    0xde187009U,     0x4d752046U,     0x9375d50aU,     0xdb36a5c1U, \
    0x64c71e55U,     0x8efa4b59U,     0xfe3178c0U,     0x074935bfU, \
    0x727be058U,     0x0de1076aU,     0xf6611961U,     0xc6fb57dbU, \
    0x989bce3aU,     0xafa05580U,     0xaec12f74U,     0x38964fceU, \
    0xfeb7a595U,     0xa6426baaU,     0xe86251c5U,     0xfcdcd627U, \
    0xa0cb9b7fU,     0xc9a06ee3U,     0x74238287U,     0x3825660dU, \
    0x822f5d8dU,     0x1cd634bcU,     0x296b0177U,     0xee4da0e4U, \
    0x10011bb1U,     0x469282f2U,     0xc2d0d4b4U,     0x2c427f96U, \
    0x082aca1cU,     0x467f1d82U,     0x10d74211U,     0x8a746cd9U, \
    0xa6f97b69U,     0x57b23141U,     0x76592123U,     0xeb827451U, \
    0x4e4c6f6fU,     0x504438fbU,     0x157b9c07U,     0x14d716f1U, \
    0xc76e32ceU,     0xf537326eU,     0x8e21100eU,     0x4ea2d2a9U, \
    0xd47e58bdU,     0x40631ccfU,     0xb4a1fcfaU,     0xabe1fc5bU, \
    0xbae7ef4dU,     0xfd553643U,     0xb7f441b7U,     0xbd685a47U, \
    0x423be2b8U,     0x4b109017U,     0x4660a68eU,     0x245e70acU, \
    0x30623c8cU,     0x9e720df8U,     0xfdc9a610U,     0x28e80d80U, \
    0x2de0854aU,     0x3a427681U,     0xd9b56706U,     0xa976eb47U, \
    0x74e4e8e9U,     0x5c09899fU,     0x689c2d95U,     0xcd3c4d21U, \
    0xba4d7ff1U,     0xdb3dd618U,     0x394b9f94U,     0x0056d9feU, \
    0xf086c76cU,     0x785021fbU,     0x7b1c0a4bU,     0xb987a7b8U, \
    0x64de9877U,     0x045af5f6U,     0x501a7a6eU,     0x8ab5c55dU, \
    0x47ac1544U,     0x85783223U,     0xf671a6d0U,     0x279a84deU, \
    0xaaea441fU,     0x373a4ed9U,     0x788b85a2U,     0x03772615U, \
    0x566701b4U,     0x81c32adaU,     0x2eff923fU,     0x7f9c4a82U, \
    0xa153770bU,     0xa1ebf58bU,     0xb334e2f0U,     0xe5fb472dU, \
    0x23313badU,     0x217dd136U,     0x96e4ece2U,     0x2295a92fU, \
    0xabccc7c2U,     0xa6341774U,     0xca0ac9beU,     0xa34ad864U, \
    0xfa976abfU,     0x7370b31bU,     0x3d4ebb85U,     0x346b8157U, \
    0x29e1a16cU,     0x92e73fdcU,     0xdac11f79U,     0x5ccdfb51U, \
    0x3c9f1c59U,     0x25c2cda5U,     0x20fa4e45U,     0xd958b168U, \
    0x26a71122U,     0xaa111385U,     0xc65b1194U,     0x7eef66e2U, \
    0x1a5bfc9dU,     0xe7f31c61U,     0x2dd69835U,     0x9d31735cU, \
    0x5dc71ba6U,     0x56dfa3c6U,     0x8cd40346U,     0x8491fcefU, \
    0xcb79d90dU,     0xe0d253feU,     0xd5b85282U,     0xcbe4dc7cU, \
    0xa93c26aaU,     0x84ad5cfcU,     0x121041f5U,     0x52696548U, \
    0x5aeb03fbU,     0x8f9b42edU,     0x3a4b712dU,     0xf67cd3e6U, \
    0x480fa3f8U,     0x5dbd3982U,     0x614afe3cU,     0x7d90b4a6U, \
    0x2871d051U,     0xf282b4f0U,     0x3033d9fdU,     0x0da72ae1U, \
    0x46eb74e8U,     0xb9b1e9f6U,     0x174bfb07U,     0x53e51e02U, \
    0x2faba851U,     0xda61919eU,     0x51973390U,     0x6dcee5d9U, \
    0x008a39b6U,     0x099d9dd8U,     0xe8f0d3abU,     0xf08cf31aU, \
    0xdcd25796U,     0x207d0215U,     0xd4339d29U,     0x5e1f608aU, \
    0x97a5d1dcU,     0x3a99f167U,     0x4b789d66U,     0xeb12df8aU, \
    0x3e654a5aU,     0xef1b21d6U,     0x0b65207aU,     0xf556ccbbU, \
    0x54a71bdaU,     0x1fb635e5U,     0x0da47991U,     0x25431275U, \
    0xb1f97662U,     0xe6590f74U,     0xd12e0c35U,     0xa91a1a75U, \
    0x45ce6de1U,     0xd277255fU,     0x0d1e0b60U,     0x2f0a0cbaU, \
    0x8bf91f28U,     0xe520b77fU,     0xa22d6d00U,     0x408ba701U, \
    0x9b63f41fU,     0x28901dcaU,     0x8d488591U,     0x5fca93ddU, \
    0x79f70056U,     0xbed3adaeU,     0x6cf0d1feU,     0xc3350b5eU, \
    0x43c69396U,     0xaf1e68eeU,     0xf08361ebU,     0xa289c1f2U, \
    0x3aaaa1a0U,     0xcdc1924fU,     0xf8246dc5U,     0x0ff22aa0U, \
    0x36709eb8U,     0x349eba09U,     0x47c60d44U,     0x859f9cdaU, \
    0x97d3a7d8U,     0x5be5d00fU,     0x1c266b2eU,     0x3e0a9505U, \
    0x1b36f10bU,     0x90dd1824U,     0x0cae080cU,     0x52aecfbcU, \
    0x97357a75U,     0x057cd0d5U,     0xcf15e224U,     0xbd0ba898U, \
    0x7c89c376U,     0xc1f80d5cU,     0x243a8caeU,     0x88232f07U, \
    0xbb63ff03U,     0x0604dd13U,     0x04782a91U,     0xb30eec42U, \
    0xe5df77a5U,     0x0d8cf751U,     0x8a956e1fU,     0xd8f614bcU, \
    0xc5b9ab95U,     0x776358a5U,     0xa32ced29U,     0x732845f1U, \
    0xd30a88d7U,     0xf4dc4587U,     0x5101e0dcU,     0x831fd647U, \
    0x4268372bU,     0x985db14cU,     0xffcb767dU,     0x30978cccU, \
    0x67759a42U,     0x6ea82e9dU,     0x9f84824cU,     0x0f7763aeU, \
    0x557f9a00U,     0xd6b0ff7cU,     0x0ef78375U,     0xb252d6e9U, \
    0x2b4bff70U,     0xe52fc438U,     0x1ea420f8U,     0xf7d3377fU, \
    0x195756b1U,     0x5c4ab55fU,     0x81fbf4d6U,     0x232f714eU, \
    0x68196f56U,     0x74632ccdU,     0x7c9d5156U,     0xdc622d05U, \
    0xa752c321U,     0x3776d865U,     0x6c341ae0U,     0x2443163bU, \
    0x62640eedU,     0x88d98af2U,     0x6dcbc2b7U,     0x49e81890U, \
    0x6be563e0U,     0x2094e10bU,     0xcc4e6424U,     0x17f33450U, \
    0x289dc1c3U,     0x60a6c8ceU,     0xfd18598cU,     0x0435f9d4U, \
    0x2762c68cU,     0x94f71c06U,     0x1a739e58U,     0x391f1f1bU, \
    0xa33e8308U,     0x7f4c6d9bU,     0x29b292cfU,     0x2343af56U, \
    0xce817f6aU,     0x38b45d26U,     0x01fa1a45U,     0x1d1aa77aU, \
    0xcdb28d87U,     0x7d29a769U,     0x847e995bU,     0xdcddf344U, \
    0x4cb07bd7U,     0x8712d756U,     0x1eff2910U,     0x28f669adU, \
    0x15730041U,     0x0aa5e37eU,     0xe2132dd3U,     0x995d025cU, \
    0x891622b9U,     0x0859e45aU,     0x37d12bf1U,     0x89e3a81fU, \
    0x3b90d188U,     0xffb03e30U,     0x45b89eaaU,     0xdd876d26U, \
    0x950c36c1U,     0x6d757373U,     0x25270de3U,     0x0cace618U, \
    0x0f6bd6caU,     0x4db0bcccU,     0x8912cdbfU,     0x67928d18U, \
    0xdb61b8b1U,     0xa2c0d7beU,     0x9154c640U,     0x774d7689U, \
    0x120063d6U,     0x017560e2U,     0x6cd98c2cU,     0x0e76cd68U, \
    0x8439e4a7U,     0x812b1301U,     0x17e4bd85U,     0x6165c11fU, \
    0x408781f1U,     0xc771f100U,     0x4b2795daU,     0x783fd1e6U, \
    0xa98bb6c6U,     0x4c8800e0U,     0x8c94da6bU,     0xa467e32aU, \
    0xbe195efcU,     0xa238ef94U,     0xb9b71101U,     0x44243162U, \
    0xc4c06d45U,     0xde0ce56eU,     0x70700572U,     0x746968efU, \
    0x89dce47cU,     0x2b0b8953U,     0x078cad7bU,     0x808568f4U, \
    0x856a0132U,     0xe873b776U,     0xa2fc1f3cU,     0x6fed3bc5U, \
    0xaa4701a5U,     0x1eb3c529U,     0x8a97f018U,     0xa376c234U, \
    0xf2ee64a8U,     0xd6bf5891U,     0x3cae998bU,     0x0536987aU, \
    0x7dc3aafbU,     0x251b0d46U,     0x19726294U,     0x46e2dc3bU, \
    0x01c3ef97U,     0x64b5c1f8U,     0x33d4122aU,     0x9a1d36baU, \
    0x52460e17U,     0xdb7e8a6dU,     0x4f26e36fU,     0x270b1982U, \
    0x2343ef3aU,     0x0ad342c0U,     0xc407f87bU,     0x5bd8f61dU, \
    0x148f573aU,     0x7ce0f7b6U,     0xe71424e5U,     0x3f432e4dU, \
    0xb39d5be8U,     0xb74185cdU,     0x89be50f8U,     0x96aca173U, \
    0xd719ba8aU,     0xd9a5f995U,     0x6d5bf753U,     0xd0804bd6U, \
    0xa3d1910aU,     0x35cf6357U,     0xfc419fd8U,     0xcdc778a0U, \
    0x890e55e8U,     0x704869e4U,     0xc30054d3U,     0x1ae98d11U, \
    0x40ac5161U,     0x746f841cU,     0xa78a7639U,     0xa19b6701U, \
    0x83221414U,     0x19e92475U,     0x105e72d2U,     0xcdfb9280U, \
    0xbaee43c2U,     0xd4e24f14U,     0x492c8822U,     0xbff3cf33U, \
    0xcab78b8aU,     0x9677c246U,     0x1307ecbcU,     0x63854e71U, \
    0xa5612998U,     0xd4bc89f3U,     0xcc433fc3U,     0x382b437dU, \
    0x94a8a22fU,     0xc7ccdee4U,     0x0ec30c89U,     0x77990156U, \
    0x24f0ce7aU,     0xbb43e832U,     0x06500af7U,     0xde6eab36U, \
    0x2536f409U,     0xeea6c498U,     0xe785e842U,     0x9665a9d6U, \
    0xf65c2ce4U,     0x30162a3eU,     0x59943a9eU,     0xcd64bb4aU, \
    0xb0b21589U,     0x9223022aU,     0xd90c9170U,     0xdad24f0bU, \
    0x73bd483dU,     0x377a9900U,     0xa4e488caU,     0xabdd22eaU, \
    0xd40e5ca6U,     0x27589b5bU,     0x58fabaeaU,     0xb6a627a8U, \
    0x1a8145c0U,     0x6db39aabU,     0x0a61622cU,     0x08510eceU, \
    0x8dca1e27U,     0x8ce2950aU,     0x72aff7f3U,     0xeb19d59bU, \
    0x06b4ec56U,     0xc2e02b17U,     0xccfda8f8U,     0x23a47a21U, \
    0x9803f118U,     0x64ffeddbU,     0x1e534519U,     0x7186c0e5U, \
    0x384b8403U,     0xc1a2a7f6U,     0xdd614004U,     0x5a7e31cbU, \
    0x320b8351U,     0x89fc2d8eU,     0x25242fd4U,     0x10081986U, \
    0xb518da6fU,     0x99b32cd6U,     0x206b9561U,     0xeee02198U, \
    0x9df036edU,     0xd1fc8892U,     0x0d103b38U,     0x674ee5bdU, \
    0x6c748523U,     0x2f016284U,     0x27891b97U,     0x8f7b5497U, \
    0x455c7f7aU,     0x3fe4517cU,     0x383b7d6eU,     0x9db19c14U, \
    0xe399705bU,     0xc9b54a68U,     0x38e35d09U,     0xf79612d5U, \
    0x7d2adc85U,     0xe831c540U,     0xf3bbaa9cU,     0x131ac664U, \
    0xf0aed968U,     0x8beab966U,     0xa12421f2U,     0x9c84b408U, \
    0x18f3d731U,     0x0956ee21U,     0x61f025a3U,     0x44c998c9U, \
    0xebf3c718U,     0xea25898cU,     0xdb2be216U,     0x8cdc0255U, \
    0x738ab546U,     0xfbfdb263U,     0x99d6ff34U,     0x42f86cbdU, \
    0x1ffafa0fU,     0xe5ae8d4bU,     0x174baff7U,     0x288f47dbU, \
    0xbd627f2bU,     0x14d75e9bU,     0xe5f1db3dU,     0xa5613063U, \
    0x55aeef65U,     0xccf4bd4eU,     0xd219938aU,     0x2ba30423U, \
    0x3201d717U,     0x06f0bd51U,     0x908358b3U,     0x9522be99U, \
    0x0662e7aaU,     0xc636f0b7U,     0x4e4f268cU,     0xc88a7ef7U, \
    0x021671d3U,     0x026915c2U,     0x4b8d9db9U,     0xbd68776bU, \
    0x4191f98eU,     0x11610293U,     0xfb4c562cU,     0x486ab4ecU, \
    0x89598ca2U,     0x7192616bU,     0xc6dec7b4U,     0x880899d3U, \
    0x180d5992U,     0xfbf4e5feU,     0x0926d009U,     0x72b2ef5dU, \
    0xa454653aU,     0xc0d43f75U,     0x73dcecbbU,     0xefcf5e7eU, \
    0xedb00824U,     0x0c9038bcU,     0xfdaf6a0eU,     0x9378443aU, \
    0x9103e282U,     0x72dd08c7U,     0x7f7d7840U,     0xe4584704U, \
    0xf3fa4e05U,     0xec136848U,     0xf116ba91U,     0x8cb63f4cU, \
    0xe5134f6fU,     0x31447949U,     0x1778685aU,     0xf98125d9U, \
    0x0564c60bU,     0x970e1405U,     0x03014fc2U,     0xea714c4fU, \
    0xb2839d60U,     0x41149f78U,     0x457395a0U,     0x85baa9fbU, \
    0x00ef5b6aU,     0x20856ed2U,     0x3da2d27dU,     0xce858434U, \
    0xaced803eU,     0x2477ff85U,     0x47323eadU,     0x2ebacebaU, \
    0x387c849bU,     0x1c491d82U,     0xa573a6a3U,     0x5436fc33U, \
    0x283b7910U,     0x58a920a2U,     0xfcaff7a6U,     0xb12644a9U, \
    0xbb67d08aU,     0x4114e28eU,     0xe45301b2U,     0x0f5db984U, \
    0x5a6467c4U,     0x0ac71254U,     0xaa080c51U,     0xf18f0907U, \
    0x198f5b6bU,     0x1fa47b50U,     0x6275fd13U,     0xf7245e75U, \
    0xba52a86eU,     0x8155f76cU,     0x16c510d3U,     0x66f000c4U, \
    0xd9508d3eU,     0x005a269bU,     0x06ee8117U,     0xa3cac24eU, \
    0x5e5ae9ffU,     0xf1937592U,     0x26e000bcU,     0x76edaf35U, \
    0xa4abd161U,     0x9b27fd87U,     0x7e950ae7U,     0x0ce91557U, \
    0xae7ccd1dU,     0x53b13e8bU,     0x4e062f8fU,     0x890f390dU, \
    0x333df0d8U,     0x86f39b5dU,     0xe8f120b2U,     0x36a79a85U, \
    0x9cf701d7U,     0x6a698268U,     0xa6f2d012U,     0xe4d255c3U, \
    0x70bae2f2U,     0xc8c96009U,     0x1a00ef6dU,     0xa13cd93cU, \
    0x3730a4b6U,     0xc389357eU,     0xcd778fdcU,     0x7b745a09U, \
    0x89003eb0U,     0x74b8261dU,     0x48fb90f3U,     0x741fa80eU, \
    0xfb70e7feU,     0x0e8950afU,     0x1d5c9e19U,     0xb0fa7fa2U, \
    0x96d00423U,     0x9defe463U,     0xa44248b6U,     0x081bdad7U, \
    0x89ebd84aU,     0x7086fc87U,     0x2a13fbd5U,     0x4aa2e99cU, \
    0x380c4c0cU,     0x8595e587U,     0xac36af51U,     0x581658e1U, \
    0xe25a9b6eU,     0x249e1813U,     0xbd0bda92U,     0xe502b99aU, \
    0x1a6b0d4bU,     0xf57bfa16U,     0x383e5c2cU,     0xfc270c2bU, \
    0xa90395d6U,     0xadfffec3U,     0x143d13dcU,     0xfb1bf4b7U, \
    0xcf2cf9b8U,     0x7b2f9e82U,     0xe03424c8U,     0x06bba687U, \
    0x6d218117U,     0x4d3cbdf0U,     0xb5746ed3U,     0x1a95df9aU, \
    0x3e9a9976U,     0x5aabfc05U,     0xe0ba45c4U,     0xa8d79fa4U, \
    0x9ef2bff8U,     0x2476abcfU,     0xa04a01f5U,     0x409833f8U, \
    0x63dae7adU,     0xd3edfb1eU,     0x4d4f6f77U,     0x895caf44U, \
    0x237b2c9fU,     0x44dd00eeU,     0xfd10b959U,     0xd4912040U, \
    0x5f2f34bfU,     0x7e287e21U,     0x2d9b4c10U,     0x8ece392bU, \
    0x675ccae2U,     0xc05eb6ceU,     0x9c53462aU,     0x081a732dU, \
    0x9a714af2U,     0x49cc55deU,     0x9808ee02U,     0x6e404147U, \
    0x349dcdc5U,     0xb4c103e7U,     0x41cbf6a8U,     0x5efe2375U, \
    0x3824f591U,     0x61addee7U,     0x9f10aab9U,     0xf84f0d76U, \
    0xb201e2bdU,     0x7311a233U,     0x3afda9faU,     0xd9be624eU, \
    0x3b9873d5U,     0x279bc8f2U,     0x79f5990aU,     0xd17442e5U, \
    0xe8a019feU,     0x710a3b10U,     0x1d605403U,     0x9341486eU, \
    0x3953644dU,     0xbe240ec0U,     0xf38005c2U,     0x103411c0U, \
    0xab6ea3ffU,     0xaababb40U,     0xda506cfdU,     0x6d93153bU, \
    0x5f3a7d3cU,     0x40dd4daaU,     0x1ddecf4aU,     0x0f9b3521U, \
    0x42dac0b9U,     0xe11b60bbU,     0xd5369caaU,     0x5764d218U, \
    0x593ff219U,     0x435d5e88U,     0x4abb940bU,     0x085d78afU, \
    0xb8f686f5U,     0x045801ecU,     0xb2ebaf48U,     0x4a313a96U, \
    0x911cd350U,     0xa15b760dU,     0x8a7b3e00U,     0x99fcc614U, \
    0x20cd9669U,     0xd56901ffU,     0x58e540d8U,     0xda2024f1U, \
    0xb257bcb4U,     0xb5bce083U,     0x3f83ac02U,     0xf143f7c1U, \
    0x2065b4b2U,     0xe5bf8cefU,     0x347de172U,     0x677b6faaU, \
    0xaff28451U,     0xc07636eaU,     0x7bf17501U,     0xf4cb7478U, \
    0xeec11d38U,     0xb2f43d8dU,     0x4a9a824cU,     0x8e9b97daU, \
    0x80731829U,     0xc3929d4eU,     0x41471431U,     0xcccffaeaU, \
    0x37344385U,     0x97e486c0U,     0xb19adc7fU,     0x27e46dd2U, \
    0x3caf809cU,     0x93dca2e5U,     0xd3afcf4dU,     0x4d0a250fU, \
    0xffd3a775U,     0x6ee7273dU,     0x7db8ffa9U,     0x002f9f12U, \
    0x852cac35U,     0x3e2bc57fU,     0x2bdd9931U,     0x30dbb769U, \
    0x24e45708U,     0xbb40f122U,     0x356ee080U,     0x2def9a0dU, \
    0x175c8ddbU,     0x31ee10e0U,     0x6fdefc13U,     0xd96cf89bU, \
    0xcffbd920U,     0xec0bd30dU,     0x020a1fd7U,     0xbda60b96U, \
    0xf3715eb0U,     0x875f651dU,     0xd3bf22e9U,     0xaa24a6f2U, \
    0x11402ae3U,     0x263bf237U,     0xca30fabaU,     0x428a10eeU, \
    0xd548fa6cU,     0x3b65a5c5U,     0xdc979139U,     0xa988d5ceU, \
    0xfb720b77U,     0x1004a9fdU,     0xa9625f11U,     0x988788a4U, \
    0x970649ddU,     0x49acb1bcU,     0x6ac97b32U,     0xa5facdd0U, \
    0xd3f11a79U,     0x7a03796bU,     0xc07bcd89U,     0xa67efdf0U, \
    0x8b95bc2cU,     0x31d1fa29U,     0x9cf69b57U,     0xdac33ce5U, \
    0xaa591feaU,     0xdb5cff54U,     0x9daa5abcU,     0x5e9d3815U, \
    0xfd1cebb3U,     0x10a4fdbcU,     0x499e1ae7U,     0xdaacdc4cU, \
    0x61a55bb0U,     0xd174f799U,     0x0dda89a7U,     0x844afa8eU, \
    0x0d537cf7U,     0xdae6add4U,     0xbb2441a7U,     0xf7ff77f8U, \
    0x1311a9b0U,     0x84494e62U,     0xf16db717U,     0xc77b6d55U, \
    0x1497a2f1U,     0xf546c2afU,     0xe6722d69U,     0xd5d25b57U, \
    0xf57088a7U,     0xaad5b0abU,     0xaa9a1d75U,     0x4e21660fU, \
    0xc56ef0d6U,     0x7cb379beU,     0x25a0ef38U,     0x2312b481U, \
    0xc994499dU,     0x14e622f7U,     0x3d4234fcU,     0x38e73428U, \
    0x8b068665U,     0x6e701c69U,     0x1a640f10U,     0xaf4bbd2eU, \
    0x19df1c11U,     0x3d9c1cf3U,     0x496c0c2fU,     0xf90c9ae8U, \
    0x86c1069aU,     0x268ca7cfU,     0xf0a0cca9U,     0xdeaff070U, \
    0x1a704fd7U,     0xfc3a18b1U,     0xb0773c49U,     0x194e9e9cU, \
    0x75c42912U,     0xb6dda264U,     0x0ca08691U,     0x79a24515U, \
    0x52ce24cfU,     0x6c1a7d58U,     0x9833f2baU,     0x5396e80eU, \
    0xdf4ce34fU,     0xd3b4a5bbU,     0xc1b3c64cU,     0x57728896U, \
    0x39218b53U,     0x79b4b17aU,     0x1a2ad77bU,     0xd4b5f270U, \
    0xef1ca1cdU,     0x6e8177baU,     0x40891c8bU,     0xe739f096U, \
    0x7d0c14ecU,     0xfe649676U,     0x341531b4U,     0x6a8e4751U, \
    0xa4ef9966U,     0x931a66f4U,     0x6a7d5e40U,     0xfaa007c0U, \
    0xaa6ab16aU,     0x534c71d5U,     0xd6387707U,     0xa6fd2d4cU, \
    0x9c9776baU,     0xb7d9f5d2U,     0x6919883fU,     0xff45d71cU, \
    0xde8e07e1U,     0xb4ccd07cU,     0x55a1fb9cU,     0x4be7f692U, \
    0x7acab619U,     0x9f1872dcU,     0x52cd5233U,     0xa89b1337U, \
    0x4d29b27eU,     0xbbd98586U,     0x50476e9fU,     0x40afc5b6U, \
    0x1312cfebU,     0x3b8b629aU,     0xedd9d600U,     0xd5bcc525U, \
    0xc6b2f4a6U,     0x0540ef6eU,     0xfffd5fefU,     0xcdc3f92aU, \
    0x5ee96273U,     0xf683d36fU,     0xf02bdec6U,     0xcf614394U, \
    0x1d641dffU,     0xe893a706U,     0x49ec79f6U,     0xcb23cc2bU, \
    0x88fb9a3cU,     0xfbfe54dbU,     0xd63e656aU,     0x9001e338U, \
    0xe655f30dU,     0x565285b1U,     0x74a01be9U,     0xc5e8f24aU, \
    0x8297bbd1U,     0x0e22f7caU,     0x2abca0e2U,     0xccd51b1eU, \
    0x2fa8d49cU,     0xa842b86bU,     0xcece5a47U,     0x17c538f9U, \
    0x5fa2f8a2U,     0xa0be11baU,     0x37c5d067U,     0x3f99a4bfU, \
    0x5cfdd739U,     0xa2f93d0fU,     0xea004639U,     0x9913f9d3U, \
    0xa39718e1U,     0xa99d2a43U,     0x6f712a79U,     0x8a1fa0ceU, \
    0x35963085U,     0xf565b590U,     0x3e6237efU,     0x4d18d125U, \
    0x8f426e2dU,     0x0bc6b29fU,     0x0946b61aU,     0x268a91b4U, \
    0x685baceeU,     0x87cacd91U,     0x6d3f0584U,     0xfac84456U, \
    0x721b6e2eU,     0x316055c2U,     0xd14cc3f1U,     0xc481e73dU, \
    0xcc5d521aU,     0x87d37dd3U,     0x897550c8U,     0xf43adb31U, \
    0xe3c66620U,     0x23e762ffU,     0x267c7d45U,     0xe2535e24U, \
    0x98900a9bU,     0xfaf89a13U,     0x2b01ba7fU,     0xe5262b55U, \
    0x7498727bU,     0x59120ba6U,     0x068c950fU,     0x1c77f2fcU, \
    0xd1905a00U,     0xe3ab6868U,     0x4c8c934aU,     0x32699679U, \
    0xfc765e16U,     0x22d30301U,     0xb5dd0c81U,     0xd8416cabU, \
    0x1ead1a32U,     0xc5208c88U,     0xb1ba40b9U,     0x0129afd5U, \
    0x8973b250U,     0x60865243U,     0x799a8492U,     0xf9710751U, \
    0xf44c553bU,     0x95811978U,     0xdfe47191U,     0x3242dc99U, \
    0xbd3a87beU,     0x7afb41f7U,     0xb37a711bU,     0x379b3848U, \
    0x4dc9e82fU,     0xadf3154aU,     0x55704710U,     0xc7e3fba5U, \
    0x38b517d4U,     0xfc69e3deU,     0x790536f0U,     0x6d53d496U, \
    0xd46bd694U,     0x1528bdb7U,     0xf0c7c044U,     0x39e0874bU, \
    0x57ccf0caU,     0xeb6d6459U,     0x58c343a2U,     0x04d26679U, \
    0x346d5578U,     0xbbeb17a5U,     0x085166d3U,     0xaa0565a8U, \
    0x93bc9819U,     0x9a49aed1U,     0xbbd195baU,     0x4c39f5feU, \
    0x111e2b7eU,     0x4a1e9ac1U,     0xb5f5fcf4U,     0x229d8f78U, \
    0x875c5e08U,     0xab908363U,     0x204298feU,     0xa985bc13U, \
    0x6539f423U,     0x0dd94b6bU,     0xdf77f737U,     0xa37d1b13U, \
    0x01a5710bU,     0x8480dc5fU,     0x28463d67U,     0xf46b25bcU, \
    0x10601280U,     0x4c80c021U,     0xa4c7edcaU,     0x554ab4d5U, \
    0xc6da621aU,     0x8362d5b7U,     0xbe242220U,     0x7604198aU, \
    0xec39a8cfU,     0xe7c4346eU,     0x63942f5dU,     0xec2eb2a0U, \
    0x86c1fe0bU,     0xfb2895ceU,     0xb7b31079U,     0x65790aebU, \
    0x96aae67cU,     0x3210ddfcU,     0x41fbefb4U,     0xb62f53f4U, \
    0x972cda4eU,     0x14c1b23bU,     0x7e1ffae2U,     0xd82a955bU, \
    0xb80f194aU,     0x845155d8U,     0xaa986357U,     0xef1a80a3U, \
    0x7f028a28U,     0x8b2e774dU,     0xe7bc88f4U,     0x650ab471U, \
    0x6ecdfcd1U,     0x65211940U,     0x8ebbbae6U,     0xa6b6c73dU, \
    0x6a9f2520U,     0x7bcd11b0U,     0x96d92e9dU,     0xb26eaaf1U, \
    0xed8a3e90U,     0xf3b19ee1U,     0x8eaf4e9fU,     0x5412ef06U, \
    0x41e9fc78U,     0x15015647U,     0x984d07dfU,     0x8921356aU, \
    0xf8036551U,     0x74496c30U,     0xb8c116b4U,     0x76881e6dU, \
    0x63084a07U,     0x17f69c1cU,     0xac8ac7a8U,     0xf700f998U, \
    0xfd1b3587U,     0xfbf58759U,     0x1934f661U,     0xd138fa26U, \
    0xa90e6b27U,     0x4cdd5ac0U,     0x8b512c3cU,     0x06985e66U, \
    0x16cb92d3U,     0x21e80597U,     0x71161195U,     0x27be19c5U, \
    0x1443e300U,     0xe3a11f86U,     0xaa99b531U,     0x58ac17eaU, \
    0x4a809130U,     0x3a149adbU,     0x2608fcadU,     0x706ac7f6U, \
    0x938ea223U,     0x6c520955U,     0x810967e8U,     0xbe243130U, \
    0x080b1711U,     0xdb4a105fU,     0xd4a3ce0aU,     0x63fc4ad5U, \
    0x7c8c078bU,     0xdd584922U,     0xa1501ed1U,     0x0c0f3134U, \
    0x69ba0badU,     0xa08a9f85U,     0x897013eaU,     0x75861959U, \
    0x5bbec29fU,     0xcec91a41U,     0x52aeea04U,     0x7c8c94c3U, \
    0xdf441fbaU,     0xcf623e86U,     0x7b2f780dU,     0xffa65a48U, \
    0xf6f3b215U,     0xc1c42d91U,     0x1074893dU,     0xefd7ce11U, \
    0x48d0d6c6U,     0x50579f64U,     0x8347517eU,     0x5ef72efbU, \
    0xcb778f4aU,     0xfba7b6b6U,     0x37d45de7U,     0x1833f6c5U, \
    0xa1bf7b4fU,     0xb793a43cU,     0xc3c1c293U,     0x431c2a3cU, \
    0xf26878eeU,     0xc4508ba3U,     0x96e723e3U,     0x9e43ba76U, \
    0x4fc53a54U,     0x9be6d28bU,     0xbec8ecd4U,     0xbc337e34U, \
    0xfae9d93bU,     0xbb9fa549U,     0xad793ac4U,     0xbe6bd62fU, \
    0x85d423b3U,     0xdf6dc437U,     0xfe580a99U,     0x04f76943U, \
    0xd5623af4U,     0xc303cfd7U,     0x2a982363U,     0xa1c92652U, \
    0xd8a943adU,     0x1ce590d0U,     0xa93f8040U,     0xc83fb5edU, \
    0x80bc31c5U,     0x64bbe3e2U,     0x978b0312U,     0xfe12e0c4U, \
    0x7e4b0c99U,     0x43382cabU,     0xf9d1c219U,     0x83cc3d32U, \
    0x2e150274U,     0x2f05304dU,     0xe368fe1aU,     0x521e5918U, \
    0xb87bd36eU,     0x17406fe7U,     0x1feb2494U,     0x4a6b1028U, \
    0x3d6a2a94U,     0xd5f219feU,     0x3ce1a015U,     0x99e40db7U, \
    0x6dda8455U,     0x68752d4cU,     0x65a485aaU,     0x472db2b3U, \
    0xc8d73a5cU,     0x9c075e03U,     0x2b8407cbU,     0x7b2bd6bdU, \
    0x07238c84U,     0x0fa8140aU,     0xb02c73e2U,     0xdd8af4dbU, \
    0xb1e42a29U,     0x818379e7U,     0xd4d6a04cU,     0x4ef475abU, \
    0xf6f9dc64U,     0xf016b5c4U,     0xa411e641U,     0x33aa2cf0U, \
    0xbe88337eU,     0x701cbde8U,     0x7e8e5868U,     0x1971c9d7U, \
    0xd3712e84U,     0xa2ea5407U,     0x9d73287eU,     0x532a6293U, \
    0xb8eaa628U,     0xa3241c76U,     0xb185f65bU,     0x221d269aU, \
    0xf31ad0abU,     0xf00e45f4U,     0x6579056fU,     0x180389ecU, \
    0x53ac264fU,     0xada42e34U,     0x4a765947U,     0x71c7e380U, \
    0x6d9845f3U,     0x13a1fc41U,     0xc3e32471U,     0x192e204cU, \
    0xa5ce1949U,     0x17a252b8U,     0xe968a6b6U,     0x3b504669U, \
    0x599b8d92U,     0xc0dd5854U,     0xd8405b10U,     0xfb8bd81bU, \
    0x26f6dcc7U,     0x495a49d3U,     0xd058a872U,     0x689bd1a0U, \
    0xbb36e9eaU,     0x8478a70fU,     0xcc3c944bU,     0x65229e8bU, \
    0x30c0b692U,     0x583c5e13U,     0xcfd87422U,     0xdc21de0cU, \
    0x14e67fa1U,     0x14d8c865U,     0x6c04191aU,     0xfe1e31eeU, \
    0x749bcf3aU,     0x8809d2bdU,     0x985e7867U,     0x35bfe4efU, \
    0x44efe9f6U,     0xe4082944U,     0x00a0e81dU,     0xd73f7642U, \
    0xacf4fa41U,     0xf2782fdeU,     0x9801a771U,     0x3d42bdb3U, \
    0x411e0430U,     0xc9abf0b6U,     0x091dd106U,     0xc2c84d93U, \
    0xa5fc15b6U,     0x201ed2deU,     0x82664525U,     0xb1901496U, \
    0xc14c726dU,     0xb0080827U,     0x03ee56d3U,     0x5fde7656U, \
    0xbedb654cU,     0xef3eb4a2U,     0xf3c2a3d3U,     0x14aa11a1U, \
    0x911c6193U,     0x0cd918f0U,     0x6c4c82e8U,     0x2997e84bU, \
    0x76c6dd70U,     0x098d59e7U,     0xbe3eb2d6U,     0x5b7de076U, \
    0xa06eda61U,     0x0a82e928U,     0x0f58d494U,     0x0dcd8379U, \
    0xca1dec29U,     0x2e2fdeafU,     0xb1101b64U,     0x90e59f9fU, \
    0xe458c7f7U,     0xcd77147aU,     0x72fb2746U,     0xc50a1501U, \
    0x4f5045f4U,     0x2cd93dadU,     0xc8777eddU,     0xcb2b0b1aU, \
    0xb0b55acbU,     0xc71d52deU,     0x1d5ba95bU,     0x037d7a15U, \
    0x0cf2e98bU,     0x0f16ba85U,     0xa9d5091bU,     0xcede8d07U, \
    0x2d4e1af6U,     0xfcc77559U,     0xa9172925U,     0x633bd345U, \
    0x5eefb587U,     0x124c82f4U,     0x2b010150U,     0xce959f80U, \
    0xcbb8cdaeU,     0x49cf0f34U,     0xdf150a3bU,     0xc3aaaf48U, \
    0x02ea2677U,     0x6ac559ebU,     0x67d8a073U,     0xd77bcb51U, \
    0x5a22dce0U,     0xfd0a275fU,     0x004c1856U,     0x3f207248U, \
    0x1c987b1bU,     0x47b6a581U,     0xb270bdefU,     0xa30f4232U, \
    0xb2ca926eU,     0xb684cf40U,     0x8883b880U,     0xbbd003bcU, \
    0x8759cb98U,     0x6bf20a1cU,     0xbfa999a8U,     0x4d8a18b8U, \
    0x45aa0ddcU,     0x995cd319U,     0xa1166927U,     0xb4276df0U, \
    0x946e4f12U,     0x2fc6543fU,     0x0e3227b9U,     0x77961023U, \
    0xbc3e3194U,     0x92175b4eU,     0x0aa9c26cU,     0x702af3ebU, \
    0xeecb1292U,     0x023ce9fcU,     0x94f9cde3U,     0xdc5c41d0U, \
    0x9388499cU,     0xbc91a346U,     0x52a86dcaU,     0xd65b9f1cU, \
    0xea411fd6U,     0x3e8be9edU,     0xccc9087eU,     0xba96940cU, \
    0xf8658521U,     0xfe5652f2U,     0xe34c719dU,     0x9b9c32d2U, \
    0x8bd4d5d9U,     0x9c6dde37U,     0x40764f01U,     0x9bb247a3U, \
    0xaa0a7b9bU,     0x57ce6823U,     0x2eebe816U,     0x09d5469bU, \
    0x5f628481U,     0xfb914e64U,     0xb313c5b5U,     0x1f0cd7ecU, \
    0x68b99ac1U,     0x4c2810daU,     0xa0628e17U,     0xa36676a8U, \
    0xf8cf2045U,     0x7c9a2582U,     0x22e4dec0U,     0xe637aca9U, \
    0x682c371bU,     0xd122f9a4U,     0x6934534fU,     0x7c805ca2U, \
    0xe071cd26U,     0xeb85e1feU,     0xc8882a70U,     0x34900c3eU, \
    0x03d2cb72U,     0xb4b3030aU,     0x3a2ce37cU,     0x77b8e6eaU, \
    0xb95ce248U,     0x7e6455a2U,     0x8b161c68U,     0x0102cf7eU, \
    0xacba64ecU,     0x9db56bf8U,     0x01e19d59U,     0xfece3625U, \
    0x46beb0c9U,     0x1a6a404dU,     0x5173f1daU,     0xb013a114U, \
    0xbe93e2aaU,     0xbf64a31bU,     0x442fe06eU,     0x6a609f9cU, \
    0xa1a922d8U,     0xec3002a0U,     0x97a39d68U,     0x8f379f11U, \
    0x3f190977U,     0xb76f98f4U,     0x2300f346U,     0x164972a2U, \
    0x852dacb7U,     0xae0759fcU,     0x1d83b7f5U,     0xbb9eff61U, \
    0x45a503b8U,     0x07d0fa38U,     0x721d4127U,     0x9f1d6f5bU, \
    0x18ae0609U,     0x23e2831cU,     0x4cd47cc9U,     0x7ac64a42U, \
    0xfe25dcbbU,     0xe2e287ebU,     0x17dceb08U,     0x871ea928U, \
    0xfe560894U,     0x7b3cdc64U,     0xaab1f67fU,     0x87956645U, \
    0x8bc75e97U,     0x8f43cfc0U,     0x718ce833U,     0xbc794a14U, \
    0x2daaf601U,     0xb4043b3dU,     0xa3f57cb3U,     0x3b5cae28U, \
    0xe0454f2bU,     0x850eb296U,     0x533b21d3U,     0xf66e6119U, \
    0x4b6c5eecU,     0xd94528e9U,     0xf7d2da57U,     0xd36e93bdU, \
    0x5d15e456U,     0x8605173aU,     0xc58447c2U,     0x5e65d2dcU, \
    0x719e1df2U,     0x2494393cU,     0x6acb2c3eU,     0x15adbbccU, \
    0xa8b15472U,     0x1b8b4f4cU,     0x890966d5U,     0x832f7f45U, \
    0xbae34b8dU,     0x914763ebU,     0x914d95bbU,     0x8697150dU, \
    0xe4530eb4U,     0xff19e857U,     0xa9f33894U,     0x984f58deU, \
    0xd0908b0bU,     0xf9d2421dU,     0x67cbf373U,     0x2359d3a8U, \
    0x884e876cU,     0x86f272a6U,     0x6b548ee4U,     0xebd96c9dU, \
    0xe2bce007U,     0x812ba652U,     0x9646d6c2U,     0xe01300f9U, \
    0x27b26abdU,     0x923962dbU,     0xd8ef3d4dU,     0x0610adacU, \
    0x40fb7d3cU,     0x47429555U,     0x5a9762eaU,     0xe474402aU, \
    0x1f874bb8U,     0xae78d679U,     0xc220c0f3U,     0xf256defdU, \
    0xa91b14afU,     0xe4dc4c71U,     0xfe78f9e7U,     0x3e294f4fU, \
    0x6a790bd1U,     0x8ab96282U,     0x276baf66U,     0x8cbf459fU, \
    0x00479e97U,     0xb81741b8U,     0x7c47ebc6U,     0x0ed52f4bU, \
    0x88294541U,     0x0e687f22U,     0x3a414f75U,     0xfab6f953U, \
    0x87ed23b6U,     0xb314f7e9U,     0x7ce25e4fU,     0x96bf1e18U, \
    0xd50e16d2U,     0x4159de43U,     0xecd22de0U,     0x28c6c4ceU, \
    0x99d6202eU,     0x016378f2U,     0x4ecd4cf7U,     0xa3215b17U, \
    0x4b3543ddU,     0x3003b3ffU,     0x97cd48a8U,     0x67ab343bU, \
    0x7c31a207U,     0x71520019U,     0xaa1447e6U,     0x1287160eU, \
    0x9324fc71U,     0xf4954e17U,     0x24c0168cU,     0x9ad53e9fU, \
    0x564b79d5U,     0x7980d706U,     0xebba7d01U,     0xb2a63a6dU, \
    0x5710b660U,     0x7b3093dbU,     0xfbbd993cU,     0x9e32f5dfU, \
    0xde435338U,     0x4df45d17U,     0x3f6a6da0U,     0xf5d0ec84U, \
    0x0866fde0U,     0x84bdf278U,     0xa88c9eb4U,     0x98a436dfU, \
    0x0810dcd7U,     0xbd9bb46aU,     0x5a169e2dU,     0xe7ff353eU, \
    0x54be4ae3U,     0x91004902U,     0x942ba452U,     0xe1b46c11U, \
    0xbf8bc24aU,     0xf138d970U,     0xc35e7761U,     0x134e8a3fU, \
    0x445483ffU,     0x6890afb0U,     0xe822f23eU,     0xcfe595f8U, \
    0x7306c7f7U,     0x6e913433U,     0xb4d801a8U,     0x4c2ce172U, \
    0xb3723c9bU,     0x59583483U,     0x567998caU,     0x63dab167U, \
    0xd704e3bcU,     0x26e80067U,     0x1a58b498U,     0xef575fc1U, \
    0x63970b03U,     0xd82057b9U,     0x36977f6eU,     0xbb8eaec4U, \
    0x612ece06U,     0xcc4fdcacU,     0x9d8593e9U,     0xd8c3fd33U, \
    0x0538a914U,     0x1c365230U,     0x4ffb1ae6U,     0x50a50c47U, \
    0x34e4eed9U,     0xf50730a6U,     0x03b39e76U,     0x0a0917e1U, \
    0x41bc28caU,     0x620fd179U,     0xa2b14d0dU,     0x9624a957U, \
    0x3d51e6d4U,     0x403ab762U,     0xaa082a22U,     0x075ac44dU, \
    0x9593735cU,     0x8f6134dbU,     0x027a5f90U,     0x9194881eU, \
    0x5c05848dU,     0x4098eecbU,     0x9f4ac847U,     0xbb6042a3U, \
    0xf87030dcU,     0x0e02fd82U,     0x363351d3U,     0xcb910159U, \
    0xd62f70faU,     0x793c38c3U,     0xa469a64eU,     0xc3f41048U, \
    0x63206a84U,     0x95efc077U,     0x7be29797U,     0xefd3db99U, \
    0x58a2094aU,     0x3e36ef3eU,     0xe831140cU,     0xfe9fb55eU, \
    0xdd5a7ad4U,     0x0cc8636dU,     0xbe77319aU,     0xafc06798U, \
    0x57636eadU,     0x3de88cd4U,     0x2e5c4d68U,     0x5d47efd6U, \
    0x2369a16dU,     0x61a40a37U,     0xa242473fU,     0x093dbdfaU, \
    0xe7ee4108U,     0x4f7775baU,     0x3c078d2aU,     0xa73da4a7U, \
    0x6f96f8baU,     0x2a33f4f3U,     0x1216d614U,     0xada6b194U, \
    0x554f7da1U,     0x9e9a3efdU,     0x6c63faffU,     0xfe7a4e2aU, \
    0xdb3937d0U,     0xa2d345faU,     0x33a33c77U,     0xe6f12d64U, \
    0x87fa6ab6U,     0x312cb300U,     0x494ba830U,     0xccfd91dfU, \
    0x455e1ffeU,     0x6850f652U,     0x2e70ce7fU,     0x5f263843U, \
    0xa17dd04eU,     0x43a85fc0U,     0x1194492eU,     0xab0dab77U, \
    0x565f5841U,     0x79f3ceceU,     0xbc05e004U,     0xee25f228U, \
    0xee4da1f6U,     0xd238d8f1U,     0xf2f3203fU,     0xe12f975eU, \
    0x1108d72fU,     0x128801abU,     0x74fa8ce1U,     0x6875cabdU, \
    0xe3c5411aU,     0xa65451ffU,     0xa747dd34U,     0x076908ccU, \
    0xbd7f4929U,     0xe9184a10U,     0x07e6349dU,     0x9051be06U, \
    0x93f2c47bU,     0xc70a1729U,     0x3d8bac10U,     0xaa7acffaU, \
    0xb5fac4c0U,     0xefde1b1fU,     0x04cf4154U,     0xb001ce3bU, \
    0xa5843ca8U,     0x2b49f4d1U,     0xeeb421b8U,     0x211a65c2U, \
    0x0be31133U,     0x86b40ec6U,     0xf189fa8aU,     0x18dcca3cU, \
    0x7409793cU,     0xbe7bed6fU,     0xe828f837U,     0x4891cfa4U, \
    0xcec7998cU,     0xf2be6d4cU,     0x6e8da015U,     0x67ace16eU, \
    0x939178d9U,     0xba9e94f2U,     0x37ea9622U,     0x2d55a013U, \
    0x4e57a38eU,     0xa73288d1U,     0x87164b10U,     0xf419aa00U, \
    0x58db9b88U,     0x80efb057U,     0xf8158878U,     0xb43fc306U, \
    0xbb6ef2e3U,     0x9031abb2U,     0xdb8bf6afU,     0xbd6b0167U, \
    0x4b3ebd2eU,     0x8a5efaefU,     0xea85df2aU,     0x5491cb33U, \
    0x08817fbbU,     0xd7ffd2f4U,     0x5a6185a6U,     0x63fbec81U, \
    0x9e9eb5f6U,     0x76f4cfbaU,     0x33779702U,     0xebf7430eU, \
    0xd18e55adU,     0x4c4ea7fcU,     0x66cb239eU,     0xe0a6f3e9U, \
    0x8f003398U,     0xc2f77d47U,     0x49ff369cU,     0xc1ab0acfU, \
    0x9bcf916aU,     0x72fdc23aU,     0x6d3de8acU,     0x121eb99eU, \
    0xa7f1f962U,     0x9b7a8f73U,     0x15b7ff02U,     0x9bd2938aU, \
    0x25db176cU,     0xcaef3cb1U,     0x33076acaU,     0x0d6e484aU, \
    0xd7af015cU,     0x4551d123U,     0x9ff27ec0U,     0x43a1d2ecU, \
    0x4c91a2f5U,     0x0d4db74cU,     0xb76e5d1aU,     0x2dfd5a56U, \
    0xe3328e30U,     0x8a609252U,     0x76b30d97U,     0xaf517f28U, \
    0x304f4036U,     0xf15c625fU,     0x37f90768U,     0x364794daU, \
    0x516bdb2cU,     0xad1d296aU,     0xef343e80U,     0xe2a4f4cdU, \
    0x8506f2eeU,     0x2bce760eU,     0xf442d602U,     0xdf75248eU, \
    0x5d30ecd1U,     0x8ba72bfbU,     0x787e501aU,     0x53607bcbU, \
    0x153f1868U,     0xedf97877U,     0xa2cb4815U,     0xe7be1e07U, \
    0xebb4527aU,     0x0976650fU,     0xa40a9dc7U,     0xa147d216U, \
    0x2e3e0eeeU,     0x4b1d8deeU,     0xb3494244U,     0x25d48fa1U, \
    0xb66affadU,     0x7f5a7d7cU,     0xa830eabeU,     0xd3a766a3U, \
    0xda3928fdU,     0x4fb2b6f9U,     0x08676a4bU,     0x0c355b5eU, \
    0xcdd18b8aU,     0xdf8c67fbU,     0xd491baddU,     0x07ae50c8U, \
    0x3da90ed6U,     0xaf795983U,     0x617348ceU,     0x464928fbU, \
    0xfd2fc3f3U,     0x99992ea6U,     0x3be6b4b5U,     0x0a62bff7U, \
    0xbd5a9bf0U,     0x26502b85U,     0xb0b3091bU,     0xe69af3b6U, \
    0xe854f01cU,     0x75b4a6a3U,     0xb4de138dU,     0x70e43865U, \
    0xbfed9a12U,     0xaf2a0072U,     0x6c003706U,     0x9412afe6U, \
    0x27c0268bU,     0xbd77521aU,     0x8d0f2f7eU,     0xf37928cbU, \
    0x4a0ba9dfU,     0xa1bfe031U,     0x4678d8c2U,     0x9d3ef22aU, \
    0xbc7184bdU,     0xa9eb0730U,     0xff2b0124U,     0x73b8100aU, \
    0x08b6cd87U,     0xc0cdadc0U,     0x02b5c1bcU,     0x8c0049faU, \
    0xb1dddb7cU,     0xcd298c3bU,     0xe71d6a0dU,     0x307f141eU, \
    0x54db4cdcU,     0x6b4453bdU,     0x216b9b20U,     0x7dd38a5eU, \
    0xc799c5f2U,     0xdc7e3abdU,     0xa9af225aU,     0x87486fd1U, \
    0x4070c9fdU,     0x79264d31U,     0x2c5bdc09U,     0xc40fc3b9U, \
    0x07a371f4U,     0x819f03b7U,     0x05064fbaU,     0x8d0bd666U, \
    0xa23e8b59U,     0x6d458ae8U,     0xa3d687e4U,     0x35b4309bU, \
    0x51b551d4U,     0x448a7d18U,     0xf72fdcc5U,     0x8a74dc3dU, \
    0x678c83c0U,     0x556d6cd1U,     0x829dc21cU,     0x3e14eeb0U, \
    0x0763de7cU,     0x25ef77a2U,     0xb8fd2805U,     0x53c2b56aU, \
    0x4a1e545eU,     0x51fbb41bU,     0xf11868a9U,     0x0ff4ea1cU, \
    0x56c46b65U,     0xc75809aaU,     0x367f97c4U,     0x331217d0U, \
    0x0d0b71c4U,     0xf6fdc1faU,     0x8f993961U,     0xb9e19397U, \
    0xf8c8a3d9U,     0xb97d83faU,     0xd4adb1cdU,     0xe1ee496fU, \
    0x39cd4d86U,     0xe6bbcbf1U,     0x6c8cbca7U,     0x40ca6976U, \
    0xab18d30dU,     0x45c429b9U,     0xd680c7beU,     0x9dbfd991U, \
    0x44c013afU,     0xd523d42cU,     0x5c2432c1U,     0xa892f826U, \
    0x11065b8aU,     0x94070331U,     0x99d1a4ddU,     0xa6c53d69U, \
    0x980169ffU,     0x251d930bU,     0xed3810bbU,     0x39dd1f00U, \
    0xdd0e0263U,     0x6d728213U,     0x41429791U,     0x93585087U, \
    0x3f9553dbU,     0x23c09086U,     0x078fe065U,     0x731287f3U, \
    0x267904b6U,     0x7f7b8a62U,     0x7038a660U,     0x7d5d818eU, \
    0x13d84fe3U,     0x13893b97U,     0x6d659355U,     0xcdf6cb23U, \
    0x95011436U,     0x05a42385U,     0x5b0df38eU,     0xc6ac586dU, \
    0x44a0580bU,     0xece54cb1U,     0x7716502cU,     0x77b6f138U, \
    0xafaa0b0dU,     0x58bd8e66U,     0xfc2a0a08U,     0xc4d0f6a7U, \
    0x5d7c14e4U,     0xf99f6ff9U,     0x7d9b6ff9U,     0x14c117adU, \
    0x10eed400U,     0x394f7414U,     0x32e2895fU,     0x539b205bU, \
    0x8c52c583U,     0x03eee39cU,     0x742bdb48U,     0x4fe2c0dfU, \
    0xd3dacc0bU,     0xc70773e4U,     0x292baa1eU,     0x61e814bbU, \
    0x0c8acbf5U,     0x42e244a4U,     0x42d46551U,     0x0a262c57U, \
    0x962272b5U,     0x4cd1c6c4U,     0x5d6cec16U,     0xf8361f3bU, \
    0x72d3a168U,     0xb9b2d497U,     0x15abebb3U,     0xf30bf471U, \
    0x7646bdb2U,     0xcc4be609U,     0x2376d379U,     0x28e65321U, \
    0x52e42f9eU,     0xfe6f0fe0U,     0xed9e1e36U,     0x0465f8f2U, \
    0x41983bb3U,     0xafdab336U,     0x7ca92194U,     0x36c3c1f5U, \
    0xe5efd9deU,     0xb7284d6dU,     0xd09643eaU,     0x3d534c60U, \
    0x482e3defU,     0x40c3cd66U,     0xc0a6d061U,     0xbf60bc2dU, \
    0xad5fe48dU,     0x8db16c24U,     0x91ef1049U,     0x0bf63762U, \
    0x3129f35dU,     0xc19740c4U,     0x95b26d0cU,     0x3c1ba457U, \
    0xf9d9ae6aU,     0x76dfb4e4U,     0xc502e37dU,     0x6baef06fU, \
    0xfbbd19b6U,     0x8f43c178U,     0x125a65e1U,     0x3e6f4a6eU, \
    0xc5b7bac3U,     0x78f4d2e7U,     0x0d76fa7aU,     0xe6745a81U, \
    0xb980c5c9U,     0xb7277c79U,     0x469a0ae3U,     0x105d8460U, \
    0x93ec2adcU,     0xc15379d9U,     0x025dfdb6U,     0x491cef75U, \
    0xc2eea5bbU,     0xd92a63b4U,     0xd994cbb3U,     0x5ead54c2U, \
    0x36e9d367U,     0xde1d4969U,     0x0b1df5c3U,     0x0baf38f7U, \
    0xd41d56c1U,     0x66168b6dU,     0xbcf1ca0bU,     0x7cefab6fU, \
    0x7d032b77U,     0x96dc9d06U,     0xc010ad49U,     0xa1493f58U, \
    0x0a769dd7U,     0xa4f01ebbU,     0x0816a8edU,     0x7dc5cea2U, \
    0x25bec8abU,     0x39d5118dU,     0x02f5dbaaU,     0x402bffe4U, \
    0xb1efb4b0U,     0x7d4f84ceU,     0x7c6e0ed9U,     0xdb94b142U, \
    0x66b30314U,     0xb4edc61cU,     0xcd219f90U,     0x69dee030U, \
    0x737f7cfdU,     0xeb0f6162U,     0x3bc70f1dU,     0x6f7144f3U, \
    0xb6948878U,     0x29581012U,     0xe6bd7c36U,     0xc51f0597U, \
    0x1738135eU,     0x91542224U,     0xda75dc59U,     0x5bb9ec71U, \
    0xd153545aU,     0xd4a300dbU,     0xaab13fdbU,     0x91bcd06aU, \
    0xa4761af6U,     0x2ac098a5U,     0x3a101f77U,     0x6784fc81U, \
    0x959156f2U,     0x6cd1e0dfU,     0x4a9c2fd7U,     0xa132d146U, \
    0x4e1dfa71U,     0x1b76f57bU,     0xe308430fU,     0x243c88e0U, \
    0x689bee4bU,     0x967ead81U,     0xcfdfd72dU,     0x1419d113U, \
    0x72c63f3aU,     0x52433b2fU,     0x428be552U,     0x36430d0fU, \
    0xfbb63806U,     0xee812c12U,     0x9ee85d26U,     0x3caa5babU, \
    0x174ae0c4U,     0x9c68e3ffU,     0xa2846e8cU,     0xcc516118U, \
    0x4b3d8734U,     0x23080145U,     0x11b2321eU,     0x20e33a1fU, \
    0xcb6332daU,     0x8a96eacdU,     0x1a7cdebbU,     0x98e13833U, \
    0xdf2f4908U,     0x2facdecdU,     0x019859b2U,     0xa10909c0U, \
    0xb9e861d0U,     0x26ec6897U,     0x9bdc2a7fU,     0x07d99cb6U, \
    0x7e962c1dU,     0x1a1e2988U,     0x090a05a3U,     0x9513cc90U, \
    0xe3834717U,     0xe2fb3dbbU,     0xc5e7560cU,     0x4e52bf9aU, \
    0xa4db4900U,     0xe620da59U,     0x87b8261fU,     0xb4f35249U, \
    0x28006a64U,     0x72f9d722U,     0xb38a13fdU,     0xa6575797U, \
    0x90560662U,     0x8a766233U,     0x2f8f1abeU,     0x546bdf16U, \
    0xb2c2534aU,     0x7b95bcdfU,     0x428b5cc2U,     0xe0c73bfaU, \
    0x49185b44U,     0x63450005U,     0x3b45598bU,     0xaedf0d1bU, \
    0x3eb8a9bdU,     0x4d3bbf63U,     0xe67d890aU,     0x52cd8857U, \
    0x1673d05cU,     0x2d74b2fbU,     0x4417a9aeU,     0x23c27910U, \
    0xf66ec04eU,     0x44c960d8U,     0xb84ce4c7U,     0x7a713a4bU, \
    0xdd3ebb87U,     0x151f7b60U,     0x5c9e1532U,     0x8f7d0fb5U, \
    0xfd23f0fdU,     0xfe67ab5fU,     0x352c54d6U,     0x2fd3f922U, \
    0x39be712dU,     0x0d66d610U,     0x59330dfeU,     0x6f126bb8U, \
    0xddc69e6fU,     0xba3e04b6U,     0xd1829e89U,     0xc47e30efU, \
    0x0a3e46faU,     0x9f5c43afU,     0x398a56faU,     0x16062ca5U, \
    0x00e3731dU,     0x8da950a7U,     0x8671007eU,     0x77ff1993U, \
    0x0f4bde0aU,     0x789d4915U,     0x5656790dU,     0xe5878e2cU, \
    0x35c56bd1U,     0xb598a230U,     0x86901204U,     0x2b7b51e4U, \
    0x4864f821U,     0xec9c5e32U,     0xfcd24769U,     0x416acc98U, \
    0xd63f3fe4U,     0x34f63cffU,     0x006dd230U,     0x5a698b27U, \
    0x6ab09e51U,     0x13b5dbedU,     0xb9888041U,     0xa6eb4c66U, \
    0x85e45a75U,     0x7b2d66f3U,     0x57d95065U,     0xc53cd9d2U, \
    0xa7267148U,     0xac23bc10U,     0x436d8b77U,     0x08ac69d1U, \
    0xaf222c47U,     0x3263b07bU,     0xd32eb7e1U,     0xfe558a20U, \
    0x42594bbaU,     0xbd9963d0U,     0xff80883cU,     0x2d45f48fU, \
    0xcf86f945U,     0xa4ffb409U,     0x33c12cc7U,     0xd4a17017U, \
    0x75d09f98U,     0x8cee6c06U,     0xfa8aaaecU,     0x45c0d35cU, \
    0xbf3745dcU,     0x48631ddbU,     0xa35db921U,     0xca0fd37cU, \
    0xb20af4b0U,     0x0275da75U,     0xe0b100bfU,     0x30647d10U, \
    0xa3555d5cU,     0x86b8f63eU,     0x36430c7eU,     0xa765ff93U, \
    0x69db3626U,     0x04238a82U,     0xf352022fU,     0x987ff9c5U, \
    0x3a8a06edU,     0x9132a9aaU,     0x1d96ee6fU,     0xd2ccd6fbU, \
    0x228bdf35U,     0xea91e371U,     0x056cf153U,     0x12ed17eaU, \
    0x43a1c952U,     0xaa154477U,     0xc10b4f9eU,     0x70a430daU, \
    0xa38a74feU,     0xf8b586f9U,     0x2ac2b03fU,     0x4c82173dU, \
    0xf8197074U,     0x182bedd6U,     0x3196cc52U,     0x323eb42bU, \
    0xfb5b8659U,     0x738ef5d6U,     0xa03bfc6aU,     0xbc21fc4dU, \
    0x54a3ac31U,     0x54fa14a4U,     0x25e5abc8U,     0xc85a7b2bU, \
    0x19a058c0U,     0x6d538e28U,     0xb28ac57dU,     0x8893f640U, \
    0x98ddfbf6U,     0x7ebccfa8U,     0x7d804ab8U,     0x5bdeba8dU, \
    0x3c8481c4U,     0x2567261fU,     0xfb50569dU,     0x4c352415U, \
    0x3af04c9dU,     0x7814d986U,     0x56916af6U,     0xcf89ecf1U, \
    0xf7a5ad54U,     0x725d7794U,     0x15ee2b52U,     0xfdd0f412U, \
    0x807dd0d0U,     0xec1c9243U,     0x4540deb6U,     0x8d50ae5eU, \
    0x889cb762U,     0xd3664bb9U,     0xae8e9c69U,     0x81afae34U, \
    0xb57c55edU,     0x933e6a9eU,     0x362d011bU,     0xae3168daU, \
    0xedcfae91U,     0xf71a9fe8U,     0x2a6bc2b5U,     0xfee23603U, \
    0x31e85736U,     0x180e9bfdU,     0xb597c6bfU,     0xf37ae6adU, \
    0xc593aa8cU,     0xec5280e3U,     0x7ec3d73dU,     0x3c7ebb6bU, \
    0x0aa6c0dfU,     0xe94e8ac9U,     0x754e4f45U,     0x32f92a30U, \
    0x0a00728bU,     0x84a6bc11U,     0x6a8e9d8fU,     0xb913a4b0U, \
    0x8f466449U,     0x12b614abU,     0x0100f0a4U,     0xec3970acU, \
    0x2a423584U,     0x697bcae3U,     0x4deea4a2U,     0xf8eebed0U, \
    0x6f967414U,     0xafba6619U,     0xa41e654dU,     0x46362574U, \
    0x229c012dU,     0x02f3c43bU,     0x22485c18U,     0xb085066dU, \
    0x0e0bc99eU,     0xe6294655U,     0x769f28eeU,     0x550afe86U, \
    0xea2029d5U,     0x7d800cfeU,     0xe71adc01U,     0x43d665cbU, \
    0xa49da537U,     0x7eefa6c6U,     0x8f58cb58U,     0xe40e2917U, \
    0x2e02ad8dU,     0xb9b6f0a9U,     0x1d529f8fU,     0x403ef4a2U, \
    0x21f81aecU,     0xf8d2081fU,     0xb5dc6c11U,     0x289f27e6U, \
    0x22b3fefeU,     0xab1ebbfbU,     0x1de2711cU,     0x02216d58U, \
    0x2e3c1cefU,     0xebccd7f8U,     0xbc8b5b3eU,     0x4820af2aU, \
    0x64bb4729U,     0x1478ad65U,     0x25bd30eaU,     0x6eba0ec3U, \
    0x54b07794U,     0x524b8711U,     0xcca8af08U,     0x4121590eU, \
    0xc5531c05U,     0x1dd107ffU,     0x56085e82U,     0x88113097U, \
    0x31a573b6U,     0xfd86b407U,     0xffe8b280U,     0x45c0c8e7U, \
    0x13f1827fU,     0x74ee7bcfU,     0xbedca7bfU,     0x88d2d347U, \
    0xb021c143U,     0xd832dc57U,     0xe1b24e71U,     0x8f7c4285U, \
    0xf049a2f2U,     0x1daa0504U,     0xa7085265U,     0x18e6f2beU, \
    0x56047378U,     0xc2e691c7U,     0x1792a6c9U,     0x520a9cd5U, \
    0x9fac019aU,     0x9cd51663U,     0x53e1767dU,     0x78129b43U, \
    0xf08879d1U,     0x246a958eU,     0x9ba63a5dU,     0x4aa63d52U, \
    0xc764c9fdU,     0xd4c51456U,     0xad64c766U,     0xeed7e509U, \
    0xd18f3305U,     0x95ab6e64U,     0x3848205fU,     0x7fda079aU, \
    0x70c48bf7U,     0x174b5e0aU,     0x1a64ef2eU,     0xb1e1a1baU, \
    0x9dff124bU,     0xe1f3abb0U,     0xed87bca6U,     0xf3ca9b40U, \
    0x5c6f9f21U,     0xae8014d5U,     0x1ed2b567U,     0xeab07d9bU, \
    0xdca7e7b9U,     0x3d20d6f0U,     0x5df9f350U,     0x77abb358U, \
    0xe42a0ea5U,     0x36f8aff0U,     0xb559ce81U,     0xf4dec37aU, \
    0x6af6765cU,     0x1f9523b0U,     0xc1295755U,     0xa451b1f6U, \
    0xd91b0da5U,     0xe3b8c2caU,     0x9b40b02fU,     0xf6f02789U, \
    0xc5b052a3U,     0x1c13de49U,     0x9e17c01dU,     0xf194a188U, \
    0x251fa17eU,     0xb2b44181U,     0x2c3b4144U,     0xfc69de06U, \
    0x4f86af25U,     0x03170aeaU,     0xa79e4690U,     0x95df74d4U, \
    0x5e4378d0U,     0xa3ff8d9bU,     0x84d87081U,     0x9d3ea2b5U, \
    0xf5631679U,     0x6cf3780fU,     0xb896cd3cU,     0xf0cbdad0U, \
    0x4e253a8fU,     0x96bc359cU,     0xa57fb000U,     0xc54bb447U, \
    0xabf17eccU,     0xc8802174U,     0x10fa325eU,     0xced271c9U, \
    0x8a8cd30bU,     0x6094ff43U,     0xa9be73c3U,     0xd5e9f11bU, \
    0x418ebe57U,     0x1c52801eU,     0xb301f53fU,     0xc175ddcbU, \
    0x531aa91dU,     0x7651b405U,     0x8cdc6cd7U,     0x4a53fbc6U, \
    0xc5c531b8U,     0x7b1141cdU,     0x0c3aafe8U,     0x85cab121U, \
    0xb09bd28eU,     0xbc0c4fe5U,     0x4bcda04bU,     0xb3438a05U, \
    0x3a68255cU,     0x0a56aafcU,     0x119c6e38U,     0x3de14cd6U, \
    0x80cf7ef1U,     0x9568dd9dU,     0xe0fc0758U,     0xb12f975fU, \
    0xb40df573U,     0x0a73f36cU,     0x023e9f75U,     0xc269af17U, \
    0x4f7e9343U,     0xb7b91addU,     0x53678cb8U,     0x5d20284cU, \
    0xd0cbb6e8U,     0x4bf17547U,     0xaee9f17cU,     0x15b26a82U, \
    0x22ecf547U,     0x46c3276bU,     0x226dff5eU,     0xb6cd7a65U, \
    0x3cabba18U,     0x55b3671bU,     0x0e471a68U,     0x8a8d2554U, \
    0xe328dc2cU,     0x9af8e283U,     0xdab03bd2U,     0x272d38d6U, \
    0xa594f7a6U,     0x206fde0cU,     0x29b3b789U,     0xcc44dfbcU, \
    0x4e198b4bU,     0x4534d1caU,     0x27bd395dU,     0x6e06ff10U, \
    0xaf4e0d9cU,     0xc39437e4U,     0x84253216U,     0xa61762a2U, \
    0xa75fc2dbU,     0x61407ceeU,     0x03266c69U,     0xa75e0667U, \
    0x9cf7c421U,     0xf666685cU,     0xf2777f16U,     0x71acf613U, \
    0x756aa060U,     0x7a4376e4U,     0xf53d0038U,     0xd6b904e7U, \
    0xb88db51aU,     0xaa8f8216U,     0x4cd4ad5bU,     0x06a37c22U, \
    0x92e7f3a9U,     0x6b439316U,     0x33572e34U,     0x387f5e50U, \
    0xd3105be3U,     0x81398c67U,     0x6d6c43fbU,     0x88ef8a7dU, \
    0x913f88a3U,     0xa19816dcU,     0xacad362eU,     0x7881e4b7U, \
    0x9e45658eU,     0x7dd24421U,     0xd7d4a0f3U,     0xb3e62e37U, \
    0x57db18dfU,     0xf8e24aa3U,     0xd4277b9dU,     0x87cdce94U, \
    0x94b9eea9U,     0x4140d34aU,     0xb1f6183fU,     0xfddcf80bU, \
    0xdc252911U,     0x5f0974fdU,     0xef723230U,     0xe5876523U, \
    0xf9ac30b3U,     0xc542d32aU,     0x1ad9c2f4U,     0x75997a21U, \
    0x546f5ab7U,     0x5f45d92cU,     0xbc273e37U,     0x8cf89580U, \
    0x636a634dU,     0x124f927bU,     0x26d1246cU,     0xd2ce3842U, \
    0xad39dff7U,     0x10cf2009U,     0x8563c26aU,     0x2f4d6aa9U, \
    0x5ce2cbf8U,     0xba8ac3c6U,     0x55c1c59eU,     0x967342ebU, \
    0x459bb15cU,     0xf676c640U,     0x53c7c9bfU,     0x847ac6baU, \
    0x4e1a985aU,     0xe2c021e9U,     0xa0a1c1feU,     0x0353731cU, \
    0x58308a74U,     0x4822fc05U,     0xe5fc15fcU,     0x2aa4ed23U, \
    0xe41902c3U,     0xc1a08d50U,     0xee67f1e9U,     0x8722695fU, \
    0x893f6067U,     0xe0bb2cc7U,     0xd89b2f07U,     0xa8b5b6ebU, \
    0xcf24df7aU,     0x552035e0U,     0xb29a763eU,     0x34cbf1c8U, \
    0x4e2bbe5fU,     0x177d79e7U,     0xe6a454f8U,     0x5d85f31dU, \
    0x780a2a9bU,     0xc3eeee5dU,     0x7b1ed2b9U,     0x84699bedU, \
    0x31b7a818U,     0x63d1b440U,     0xdaa3718cU,     0x21c4ee4aU, \
    0xd3b73529U,     0x6081c5c1U,     0xd85d9256U,     0xaba08a00U, \
    0xee9cb174U,     0x165d9a55U,     0x133f1399U,     0x32d7394dU, \
    0xa899ec2aU,     0x2dcc8766U,     0x8661b646U,     0x28e670b0U, \
    0x96be4162U,     0x9928b8c3U,     0xcf63b790U,     0x0e35d55fU, \
    0x25fefadfU,     0xa9c37968U,     0x122fa73dU,     0x71c27b85U, \
    0xeb3cef84U,     0xfa888dbdU,     0x853b205eU,     0xf99b0d1aU, \
    0xf968e7e2U,     0x2ea32b24U,     0xf06c62e2U,     0x4bc76040U, \
    0xaa5bfd31U,     0x3439f5d2U,     0xfecf46dfU,     0xb804d1faU, \
    0xfb1711c2U,     0xb2411263U,     0x5a1c36fcU,     0xce624e83U, \
    0x5c45d286U,     0x88bbb598U,     0xc15a2229U,     0xbb541ec1U, \
    0xbadc2e08U,     0x4d0ef2d6U,     0x508ac5b2U,     0x3a359542U, \
    0x3dfd0a4fU,     0x4a188ad7U,     0x6b1977cbU,     0xd38b33f6U, \
    0xcdfdabc4U,     0x95fa63caU,     0x6166e8dfU,     0x4614f33fU, \
    0xa220f579U,     0x113ed040U,     0x496d138eU,     0xbbefce18U, \
    0xfcaf735dU,     0xa50be374U,     0xa53f773aU,     0xaa5e61d8U, \
    0xa0cbb189U,     0xda00e896U,     0x1c1cc34bU,     0xfe327f49U, \
    0x76c1abd5U,     0xa8fa970cU,     0x125b98f0U,     0x8d7168e5U, \
    0x58ab9145U,     0x4d61ebbfU,     0xfd81c23cU,     0x0ba3f4aeU, \
    0x6f85d5e5U,     0xbada6d05U,     0x30dba88eU,     0x6f5e9ca9U, \
    0x7586a319U,     0xb1223e63U,     0xc96cf0b5U,     0x30fc804eU, \
    0x853f545aU,     0xc646356fU,     0xbc779f27U,     0xda520dc6U, \
    0xe9b69db5U,     0x71589b00U,     0x3213dd98U,     0x104a9034U, \
    0xcdf474ecU,     0x1e1220d8U,     0xf204c7f7U,     0x160b6e03U, \
    0x31dd3c11U,     0xfde714edU,     0xcd68520bU,     0xe36819c1U, \
    0x86e6298bU,     0xe1a9db56U,     0xb674240aU,     0x893e879eU, \
    0xf77f6bdaU,     0xc4467a41U,     0x1088f11eU,     0x855fb5b4U, \
    0xcce129aaU,     0xd04b96a3U,     0xfda08a40U,     0xc59e21d4U, \
    0xd7d1451aU,     0xa7aa59c5U,     0x7fc611d0U,     0x41b86e86U, \
    0xf89e24a2U,     0xfff24f3cU,     0x9fa19022U,     0xd9013c8dU, \
    0x2706c4edU,     0x9edc899eU,     0x637b2c0cU,     0x260d1cbdU, \
    0x9d21e09eU,     0x084e416cU,     0xe2c808baU,     0x7dee3eb2U, \
    0xfec33222U,     0x87e18710U,     0x21676feeU,     0xbf42a841U, \
    0x5dc5b49eU,     0xd09ba150U,     0x5497eae0U,     0xcdc63fcfU, \
    0x4f2a85beU,     0x12ae8c09U,     0xfdbc050aU,     0xfd0159d4U, \
    0xf9d822e2U,     0xcac30d2aU,     0xefd3c9b0U,     0x500fea53U, \
    0xb6a13546U,     0x1e652145U,     0x7a3b4889U,     0x6b6b4a0eU, \
    0x2998b2ceU,     0x4dec74fdU,     0xd9dc6de3U,     0xc594d527U, \
    0xdff96e64U,     0xd26406aeU,     0xe3735a37U,     0x3f2a4f07U, \
    0x14cf0d77U,     0x305a2b06U,     0x6a629019U,     0x256f8633U, \
    0xcee1c890U,     0xcefdf84fU,     0x39805c5eU,     0xfa5b89ddU, \
    0x454081eaU,     0xc9d78a3bU,     0xd4dea4c8U,     0x426fecd0U, \
    0xbf17f303U,     0x33993647U,     0x33ebce6bU,     0x11eb5edbU, \
    0x9271d0c9U,     0xf1accb10U,     0xf3377e0eU,     0x94dac73aU, \
    0x0bae4390U,     0xb19aa726U,     0xcc51e181U,     0xaa6a6893U, \
    0x81c0ec2cU,     0x806e2880U,     0x9c19e5e5U,     0x463b69aeU, \
    0xe3d1fd6cU,     0xb72c2976U,     0x2cb73cceU,     0x4d29682cU, \
    0x0a1eec3eU,     0xba96bb4bU,     0xe511028dU,     0xff0c077aU, \
    0xa21ea2f9U,     0x929ccd13U,     0x4ac4f83eU,     0x164ab1f1U, \
    0xdd707d58U,     0x3928460fU,     0xbdb550f5U,     0x466a1501U, \
    0xd372995cU,     0xe2baf4b2U,     0xda680417U,     0x1dcf3a81U, \
    0xd9093db4U,     0x14a5ea84U,     0x1259f6feU,     0x8b2c90d9U, \
    0x60cfb6b0U,     0x773d0b34U,     0x7295af59U,     0x67468a1aU, \
    0x945c3a6aU,     0x3a798151U,     0x9a3a42d6U,     0x2044c390U, \
    0x849cbcfeU,     0x9ce37a8cU,     0x4d38b12fU,     0x9f6a976cU, \
    0xc7503b1dU,     0xfe5474dcU,     0x033ff3e8U,     0xabd800acU, \
    0xa3253cbcU,     0x1747ef49U,     0x8204eaddU,     0xf9481111U, \
    0x2e865201U,     0x3e9fb0a6U,     0xab16b99bU,     0x373e3e39U, \
    0xf01bb15fU,     0x9f2ce43dU,     0x64f2d516U,     0xda5fcb85U, \
    0x5fa3ad37U,     0x7ad60f78U,     0x03379da6U,     0xce9573fbU, \
    0x21d3be80U,     0x0b46e82cU,     0xdbbf4563U,     0x94b08e5bU, \
    0x33f221f9U,     0x66f319beU,     0x58b649efU,     0x8e389428U, \
    0x12dd920eU,     0x335c878cU,     0xbe0af2e3U,     0x9b63ece8U, \
    0x59037808U,     0x1a02e76fU,     0xbea7b0aaU,     0x9a66daccU, \
    0x9dd6eff4U,     0x4aac43d1U,     0xfbaae777U,     0xcb3f597aU, \
    0xc6bab1abU,     0x633b2c45U,     0x0f5e0a94U,     0xcff673daU, \
    0x48123965U,     0xb5c3eaceU,     0xd20902b5U,     0x0bff8b24U, \
    0xa2b45276U,     0xf31af524U,     0x6e18c43eU,     0xac822e11U, \
    0x3fecfadfU,     0xe3050b97U,     0x8a5df7d6U,     0xe084342cU, \
    0xdbdf20c6U,     0xe411b6bfU,     0x8a8b67b5U,     0x90d30623U, \
    0x461cad8bU,     0x61f69d6fU,     0xa1f495d2U,     0x6b57d5b9U, \
    0x29c287b6U,     0x8df1618aU,     0xb4d1a47cU,     0x007fba83U, \
    0x1e279911U,     0x6f49a9e6U,     0x46c57f76U,     0x83d03845U, \
    0xb37dae1dU,     0xf899cbf3U,     0xd4ee7741U,     0xb318c3aeU, \
    0xe64d4a69U,     0xd603f190U,     0x3d544833U,     0xf5bfb141U, \
    0xbdc64d87U,     0x5f4ab809U,     0xc5825646U,     0x6321930bU, \
    0x64641484U,     0x67459537U,     0x150817a3U,     0xcf66de16U, \
    0x9eb14332U,     0xf7ec94cdU,     0x3f31d84eU,     0xf6a80137U, \
    0x67c2ef21U,     0x4c175187U,     0x0ba51876U,     0x28e37892U, \
    0xe7cf9270U,     0x39736996U,     0xecd4fbdbU,     0x92206ab4U, \
    0x2186d1a1U,     0xff19ce0fU,     0x0a85ca83U,     0x28be871bU, \
    0xe1d6c35dU,     0x25a65879U,     0x436c458cU,     0x059a3cf8U, \
    0x675095ccU,     0xed7e12b9U,     0x89ecec89U,     0xd86a3604U, \
    0x6f5e4bdfU,     0xb078bdcbU,     0xcd186d7eU,     0x242df616U, \
    0x0d67c982U,     0x952d7a38U,     0xbc1f22dbU,     0xcfb682daU, \
    0x40bf2b0cU,     0xabb124c1U,     0x89600236U,     0x3e4caf2fU, \
    0x416be3b0U,     0xc372b453U,     0xd7b455d9U,     0x92b5bc41U, \
    0xfcc6c828U,     0xc352a2f9U,     0xe004f0aaU,     0x094f702aU, \
    0xe678d510U,     0xd489e476U,     0x1b37dd25U,     0xa1a694e8U, \
    0x9a1443b0U,     0x80f728f9U,     0xc02f3bf9U,     0x52f71ec2U, \
    0xe13edbbbU,     0x8d2fcd3dU,     0x02cdba73U,     0x8ae77e97U, \
    0x94bca603U,     0xa35dbdedU,     0x63b14796U,     0x7a688cffU, \
    0x23eb6312U,     0x4921810eU,     0x337ca3beU,     0xae6c2357U, \
    0x06c3b2f1U,     0xc52beb03U,     0xef264923U,     0xca6fb78fU, \
    0xc7c0e67fU,     0x8153712dU,     0x9a6157d4U,     0x923c88b6U, \
    0xe99a4717U,     0x28a54956U,     0xe5ff281cU,     0xdc7d94deU, \
    0xee96d7cdU,     0x77b3a5a6U,     0x7d98bfc1U,     0xa3ed6813U, \
    0x46148029U,     0xef1bc973U,     0x5336575bU,     0x4cdc4dc0U, \
    0x56f0c843U,     0xf9527db1U,     0xcce76e92U,     0x8256d340U, \
    0x05732a31U,     0xe99cdc31U,     0xee1c06daU,     0x5af10806U, \
    0xfd027c55U,     0x5ed5fa8fU,     0xac3c0662U,     0x25126421U, \
    0xeac0e35fU,     0x6a9fd86bU,     0x0388ac66U,     0xbfcf033eU, \
    0xc2445b7aU,     0x1f016457U,     0xc3d3623cU,     0x894ae7bdU, \
    0xf8cde0aeU,     0x238b42c9U,     0x0fa554ecU,     0x6c61e53aU, \
    0x3649bd73U,     0xaaa4d493U,     0x8cc0cac0U,     0x18001a3aU, \
    0x922f9a28U,     0xe257ec6cU,     0xbe660414U,     0xc2a46a87U, \
    0xd4349820U,     0x592ddb19U,     0x1d3423c3U,     0x1ce55348U, \
    0x76dc685aU,     0x336eb163U,     0xd0e9ecadU,     0x0039c583U, \
    0x09dd23ecU,     0x74590f44U,     0xeb09e085U,     0x049700e8U, \
    0x0a76a23dU,     0xc5165d68U,     0x94f87bc7U,     0xab791182U, \
    0x33ec47f0U,     0xbb240154U,     0x47c95e3eU,     0xdf7416f1U, \
    0x3ebdcc14U,     0x294d8b9dU,     0x2049696aU,     0x3551a685U, \
    0x040fa588U,     0xb96679e0U,     0xd2205974U,     0x86a8e1e2U, \
    0x5c28152bU,     0xf7628220U,     0xe694d37fU,     0x7e5174b3U, \
    0x9634debbU,     0x95e5b913U,     0xd3fa7bb7U,     0x13402561U, \
    0x89601bd6U,     0x897aca8dU,     0x8948b80eU,     0x81a7fb80U, \
    0x4adf8c56U,     0xf5607df4U,     0xe0e31ffeU,     0xc4830e93U, \
    0x5abc5072U,     0x0ab942c2U,     0x7f5cd27eU,     0xbb56a92cU, \
    0x750a12e0U,     0xca8bdfb8U,     0xe7fe6500U,     0x1ff112c4U, \
    0xd134fa91U,     0xd38f2c05U,     0x2d1c0921U,     0xe9dfa319U, \
    0x4d69ce1fU,     0xf539b0feU,     0x6427e192U,     0xf19e58d8U, \
    0x9bc0373cU,     0x24958d28U,     0xf5b19323U,     0xd5cfe126U, \
    0x0963bcfbU,     0x2049781eU,     0xb8163c27U,     0xd7e213d2U, \
    0xb0645ba1U,     0x30f1384dU,     0x2027fc4bU,     0xd3477f04U, \
    0x660e5f77U,     0x6e7130a6U,     0x699ab31fU,     0xd73c3a18U, \
    0x60d76260U,     0x82969318U,     0x994206acU,     0xa9f76c50U, \
    0x8ec2e7d8U,     0x57065f54U,     0xa344383bU,     0xdb373c48U, \
    0xa376a70aU,     0xa8a2eec7U,     0xdfb007b3U,     0x848fdff6U, \
    0x5ded0a5aU,     0xe2dcf773U,     0x1058acc5U,     0x372cfcd2U, \
    0x9fb9a1efU,     0x4967ed83U,     0x0b2169dbU,     0xc1b6ea28U, \
    0x64daf443U,     0xef847943U,     0xbfeecae1U,     0x27e5eaa9U, \
    0xf7621fd5U,     0xd70bb8a7U,     0x88d1abb2U,     0xdf12bd3aU, \
    0x4affa7eaU,     0x9d7b513bU,     0x17210ce5U,     0x145e9439U, \
    0x5e6c48e4U,     0xd3d3178cU,     0x5872e6c1U,     0x46951058U, \
    0x1e4c695aU,     0x56733b11U,     0xf649ee6bU,     0x68b3ec39U, \
    0x8fcf3201U,     0xa931453eU,     0xbbed2ff2U,     0x1329c5d6U, \
    0x928c2a6fU,     0x3a0496e9U,     0x23103df9U,     0xf77142c1U, \
    0xac19e7a8U,     0x9e04d38aU,     0x3ea5df34U,     0x370c7511U, \
    0x30020bfbU,     0xe9c5e172U,     0xd703798cU,     0xe91874e7U, \
    0xf3593a0aU,     0x4de9b44fU,     0x1d874490U,     0x191318a6U, \
    0x0c306f0eU,     0xa3f74386U,     0xea777d21U,     0x6e0bec09U, \
    0x24c6150fU,     0x03c11cf1U,     0xde2032abU,     0x09116adeU, \
    0xb4ed9eccU,     0x9a54785dU,     0x420c3658U,     0x5331688fU, \
    0x2d136428U,     0xf12729beU,     0x15b9260eU,     0xa30d812cU, \
    0x3d1c782fU,     0x1b9e76baU,     0x479eaae4U,     0xbdc79ce0U, \
    0xd03451ccU,     0xa9fa58e4U,     0xb387e34bU,     0x58b050e1U, \
    0xe904086fU,     0xa0e51871U,     0x13cb762cU,     0xc97223a0U, \
    0x8057719cU,     0xeaa96a7eU,     0xc20f280dU,     0x5ed7b770U, \
    0x10e06b02U,     0x22c610cbU,     0xa8eeb3e7U,     0xda5606e4U, \
    0xd8f9954bU,     0xca57376eU,     0x6ead7115U,     0x87779481U, \
    0xc02081e8U,     0xd0067288U,     0xe791006cU,     0x73c13b41U, \
    0x568d16edU,     0x79086713U,     0x25d73942U,     0x8c9c8c9cU, \
    0xe7108e7cU,     0xd41f550aU,     0xc7fed059U,     0x6e3391bbU, \
    0x770fa95bU,     0x938c7cdfU,     0xcc16338bU,     0x6bc865a7U, \
    0x3a09113fU,     0x3a330c1aU,     0xff548578U,     0x207a9a85U, \
    0x63cc3c90U,     0x707bd4dbU,     0x82adcafbU,     0xe90be6d1U, \
    0x6e269331U,     0xcf0b3539U,     0x212163eaU,     0x02baf842U, \
    0x883fb87fU,     0x4d4eba85U,     0x82d6579aU,     0xe719e208U, \
    0xd1e4d5d1U,     0xb37fc8e5U,     0x26e5384cU,     0x6942ad9bU, \
    0x749f74edU,     0x60fc5686U,     0x2344ea4cU,     0xa5b3c11bU, \
    0xcc305f7cU,     0x188bfc7fU,     0xf33b5f58U,     0x73e440aeU, \
    0xf2d6c781U,     0x11d7b07eU,     0xa240d1dfU,     0x2d5aced0U, \
    0xaefc8391U,     0x51b557beU,     0x6969a642U,     0x9d48f836U, \
    0xb4bb77b1U,     0x560c8fc9U,     0xe6ae96fbU,     0x6816da28U, \
    0x005f8225U,     0x510943b8U,     0x9069af1bU,     0x7b20b9a5U, \
    0xeb6a173cU,     0xad89ccf5U,     0x8b90f12cU,     0xc7561e7dU, \
    0xc06c154cU,     0x4fb19661U,     0xb5afa7eeU,     0x70638393U, \
    0xe4de1f60U,     0x723a75b4U,     0xe7a78db6U,     0x98050231U, \
    0x96268322U,     0x569844d5U,     0xece2c1d5U,     0xb189670cU, \
    0x5d3d5ac1U,     0x2f9c95d1U,     0x4d314009U,     0x1e9cb26aU, \
    0x8c5b6cc2U,     0xe374890cU,     0xfd294be3U,     0x579a9419U, \
    0x0893893aU,     0xec927e6bU,     0x05287c8dU,     0x91a3fbd9U, \
    0xecb9ce49U,     0x772cf63cU,     0x616f92b3U,     0x49b94a98U, \
    0x8867b638U,     0x14b8d7ebU,     0x5bbc4eedU,     0x8d22fcf2U, \
    0x4ee1e586U,     0xdde16e30U,     0xa80fb935U,     0x89b853d6U, \
    0x5d83a6deU,     0xb6d81de4U,     0xf9630305U,     0xa55d837bU, \
    0x33784d13U,     0x5c5b1504U,     0xfb1eebbdU,     0xe6e97dadU, \
    0x94ed65acU,     0x15f2c46bU,     0xc741925aU,     0xbc5d7eb5U, \
    0x34d7107aU,     0x8ec0a4d6U,     0x95af7f1aU,     0xf8a3e32bU, \
    0xb5ec6142U,     0xede877e1U,     0xf9512a0dU,     0xd27d5a2fU, \
    0x9aacf008U,     0xb00d3c13U,     0x76e95815U,     0x26492589U, \
    0x6a4ad53eU,     0xfb342915U,     0x3fe07e5cU,     0xd23cd7c1U, \
    0x6b2b3095U,     0x92870929U,     0x6736a550U,     0xb1a7ba4fU, \
    0x3726b2f8U,     0x826c02ffU,     0x2a6865d5U,     0x0244a4d1U, \
    0x53a2e22aU,     0xfa7eedc3U,     0xbb198d13U,     0xb6b7a8c7U, \
    0x266e3307U,     0x690a57f1U,     0xb926b881U,     0x1fe060efU, \
    0x3931160fU,     0x1d93fd3cU,     0xa580f840U,     0xf8db7720U, \
    0x677ef8f3U,     0x9dafdbc3U,     0x3ec25f0bU,     0x9597187aU, \
    0x3b22eef0U,     0xb5801485U,     0x1bea69dbU,     0xacc684afU, \
    0x0dd931d7U,     0xd0e01dbeU,     0xbccaf6b3U,     0x9e4860abU, \
    0xbf2c9b34U,     0x0e06e5b1U,     0x0b9d8485U,     0x2e60feb6U, \
    0x488d69abU,     0x408f592eU,     0x81a6c909U,     0x7e3d0d2bU, \
    0x818a9dcfU,     0xb552109aU,     0x8d8417d3U,     0x6469703aU, \
    0xf027349bU,     0x49b4f291U,     0xb4238a87U,     0xc80414a4U, \
    0xb7d2c927U,     0x713b2269U,     0xbf75c821U,     0xc67ab77bU, \
    0x0faa286fU,     0xf7b8503cU,     0x4e8124e2U,     0x12a7cb84U, \
    0x7768643aU,     0x82b37fcaU,     0x6e82da5fU,     0x1e0d7b19U, \
    0x761fe70aU,     0xa8d56b25U,     0x6aa87e61U,     0xaab4144bU, \
    0x7e1fff33U,     0x5b60bf4bU,     0x062489fdU,     0x7e0004c1U, \
    0x5b25b248U,     0x0c8addacU,     0xebc15cadU,     0xb7f9f74bU, \
    0xc34b6529U,     0xc64165d0U,     0x96e2e907U,     0xe9fb376aU, \
    0xf5200b54U,     0xa7b51118U,     0xfdc03519U,     0xfdec3e65U, \
    0x7e942ba8U,     0x48a54778U,     0xeedd03e0U,     0xce149407U, \
    0xc8b7a0e7U,     0x6af190b6U,     0x8833fc88U,     0x8c948294U, \
    0xc0bd14e2U,     0x9194d19eU,     0xc035fed2U,     0x3846d7ccU, \
    0x2ee48801U,     0x50100839U,     0xeb4deeb5U,     0xfd48d022U, \
    0x4db9f875U,     0xb2a209f9U,     0xfd3c3d1fU,     0x4147364aU, \
    0xfe105fc5U,     0xbeed2788U,     0x7f88d2d9U,     0x1da63267U, \
    0x4d221315U,     0x3f29e397U,     0x153dac75U,     0xc177044aU, \
    0x2a352b43U,     0x31ce8429U,     0xc4a1fa62U,     0x1b0f0238U, \
    0xb19b5690U,     0x96542a9cU,     0xd988b4a2U,     0x84a71a13U, \
    0x9fc1c83cU,     0x801a6d64U,     0x2301654bU,     0x0d807f5fU, \
    0x212d7e7eU,     0x16db405dU,     0xb4472014U,     0xa6100becU, \
    0xb88ae250U,     0xfcf3a078U,     0x0b3ce72aU,     0x7a4e3071U, \
    0x02f18036U,     0x79411b8eU,     0xf9c63343U,     0x7f53130dU, \
    0xc84249b2U,     0x00e68d47U,     0x6a865686U,     0x7c1d2edaU, \
    0xfc4ba7bdU,     0xd1b403b1U,     0x43c64943U,     0x5604a247U, \
    0xc293841fU,     0x9d0edf79U,     0x507e5c93U,     0x6e15bda7U, \
    0x2bb60b2cU,     0x3bfb4fd4U,     0x9f2668c7U,     0x935ebb63U, \
    0x1a56f7a7U,     0xc375c2bdU,     0x41754547U,     0x9273a172U, \
    0x45afb733U,     0x692a7a03U,     0x57464053U,     0x9a8dd0d9U, \
    0x6b36d7b2U,     0x8ea61da0U,     0x3951eca9U,     0x77e4c0b4U, \
    0x904864a9U,     0x27207725U,     0x70b21333U,     0x48d5915fU, \
    0x1ef7c1edU,     0x176972dbU,     0x8d3b63ccU,     0x313e0f88U, \
    0x0837c878U,     0x25d3f5d2U,     0x661d8b7cU,     0x3c01cd78U, \
    0x2e6989eeU,     0xe4e52610U,     0x97d9e1d5U,     0xb7c4147eU, \
    0xabbb3da8U,     0xbf93be0bU,     0x1d6871b5U,     0x1411e52eU, \
    0xf274a13aU,     0xdd17e3f1U,     0x19025b17U,     0xc831d1ccU, \
    0xdabd1a50U,     0x41b1774aU,     0xd0d86e95U,     0xc33e896aU, \
    0xd9aae4d8U,     0xf1770cc1U,     0x58ccc1ffU,     0xb6ac203dU, \
    0xdce6e1f1U,     0x5315d181U,     0x2d4368fcU,     0xa60b888dU, \
    0x958559abU,     0x8f1d73e3U,     0x70393afbU,     0xcc45660dU, \
    0x953bd9afU,     0x15ee2354U,     0x678ed8b5U,     0x9f5267b6U, \
    0x055751b0U,     0xd3fa432dU,     0x094935a8U,     0x635a27c0U, \
    0xbcb60231U,     0xe287cbe7U,     0x071bdc0dU,     0xaedaa91dU, \
    0x0b6f6212U,     0xa6bba420U,     0x77c341efU,     0x6a6f0a85U, \
    0x7db03cf7U,     0x3ff54ad0U,     0xe7a0775cU,     0xa68f1fb0U, \
    0x113f839aU,     0x216176dbU,     0x937ecb73U,     0xd88f9b1aU, \
    0xe2b3fe15U,     0xce5d7b73U,     0x4b047ed4U,     0x7cad97ebU, \
    0x3794d7ccU,     0x196b7f8bU,     0x2bc20768U,     0x9ddc27ddU, \
    0xe5f9bf56U,     0x7bd9b473U,     0xe8170728U,     0x568dd058U, \
    0xa375dd24U,     0xaae6cabaU,     0xbadf5f86U,     0x995c570fU, \
    0xb0fe0befU,     0x0d33699bU,     0xf15726fcU,     0xefa81621U, \
    0x4f6dff32U,     0x59af334aU,     0xf4adcdddU,     0x960f0d47U, \
    0xaaa1903cU,     0xe8463466U,     0xfe8dd535U,     0x9eb5e4ecU, \
    0x63354415U,     0x51dab284U,     0x40de7be2U,     0x0a3e03e6U, \
    0x9c38938aU,     0xcda35b4eU,     0x475deb7dU,     0xfc386191U, \
    0xf8a1d9c0U,     0x991c37b3U,     0xfb39754cU,     0x15f37c2bU, \
    0x7ca0bc15U,     0x1bec0462U,     0xc09b6485U,     0x5a8c410fU, \
    0xf9365c03U,     0xdf336fbaU,     0x495727f7U,     0x44d9c3e8U, \
    0x5006ffc6U,     0xc586f635U,     0x0bce49bcU,     0xc18b9f47U, \
    0xd6a1fe1bU,     0xfa41473eU,     0x693eca1aU,     0x76e724e7U, \
    0x1d1b6f2eU,     0xf46edc37U,     0x201e53d5U,     0x54d0c0bdU, \
    0x9804ff59U,     0x9f47ae10U,     0xa59a9550U,     0x3f095652U, \
    0xff73f229U,     0x19e99f9cU,     0xf0a13416U,     0xf7c7e736U, \
    0x342c31aaU,     0xe7b67d77U,     0x0334db64U,     0xc4d0856dU, \
    0xabe7d478U,     0x0367ea1dU,     0xf6850899U,     0x102c0bffU, \
    0xebfc1548U,     0x9d0159baU,     0xf7519346U,     0x1dbafe37U, \
    0xbf3c7ed9U,     0xcbc6c356U,     0x0a76f143U,     0x7398191aU, \
    0x53349c75U,     0xbafe74ceU,     0x9733a958U,     0xe256656dU, \
    0x3b546365U,     0x48d2d534U,     0x3da674ebU,     0x69b9bf9bU, \
    0x44112655U,     0x64b278fbU,     0x2b7ae965U,     0x62f28c3cU, \
    0x507aa820U,     0xb89b6f36U,     0x7454a175U,     0xd1b161e8U, \
    0xa38d4bf3U,     0xe321ed51U,     0x6351f6bcU,     0x4ce2c16aU, \
    0x8985ba61U,     0xba09a7a3U,     0x9a3ab19fU,     0x4ef2c4e5U, \
    0x9e3a0f8aU,     0x91efce14U,     0x358749e8U,     0x00b537efU, \
    0xbb02954dU,     0x04493756U,     0xb89f8180U,     0x29b22987U, \
    0x6025d487U,     0xe484e6b5U,     0x86dfa41aU,     0x376d946bU, \
    0x6cfdd0b9U,     0x92f71b49U,     0xf5012b0cU,     0xbdc1bab4U, \
    0x972b1f65U,     0x7026e169U,     0xde188ff1U,     0x263b05d8U, \
    0xd36d693aU,     0x5d14d01bU,     0x86fb183aU,     0xaedb3d69U, \
    0xb0990654U,     0x508862f1U,     0x2caef921U,     0x94b2bcaeU, \
    0x23c719c2U,     0xb1682e55U,     0x67dd0ec1U,     0x71b64fa0U, \
    0x1b4b3052U,     0xa21abf4cU,     0xcff5a19fU,     0x3fdf8ed7U, \
    0x13cf5263U,     0x6527c1f6U,     0x98584726U,     0x8539e5bcU, \
    0x31b5e0ceU,     0xd2412b62U,     0xc19c32a2U,     0x34c57ef8U, \
    0xa0c96fd4U,     0xd524933fU,     0x2ff0f3edU,     0x8fad140cU, \
    0x618a24baU,     0xadd0fbb8U,     0x04ae87f6U,     0xd8090180U, \
    0x7e393f4eU,     0xf8450380U,     0xb82d2335U,     0x89d3554bU, \
    0xebf9ddffU,     0x02609a61U,     0x94b68d9bU,     0x1fa5f5fcU, \
    0x7834a249U,     0xf4656436U,     0xc14ee520U,     0xe85fa1b3U, \
    0x0b2ff7dcU,     0xe3dc15adU,     0x2bb93935U,     0xf2de77b3U, \
    0xd6408937U,     0x63301c42U,     0xf7b1e8d8U,     0x09930b94U, \
    0x9c114e0eU,     0x23a6c987U,     0x6e362200U,     0xce0320ffU, \
    0x0a6e35a0U,     0xaaddc4e0U,     0xe276be48U,     0xef74605bU, \
    0xf8d68dd0U,     0x2a8a79caU,     0xa29a66e0U,     0xfd3495f5U, \
    0xf252d9a3U,     0x761cd0d3U,     0xe8e8e1c4U,     0x3c574349U, \
    0xad00bcffU,     0x9134a778U,     0x7f9abf8fU,     0x8a2640e7U, \
    0x1961ee52U,     0x4a679fe8U,     0x2eef81ccU,     0x2cffd3c5U, \
    0x9bb62662U,     0x3090728fU,     0x2c8c4d55U,     0x5d4de8b9U, \
    0x8a46d98bU,     0x6ff9351fU,     0x0bbec95dU,     0xcec85d24U, \
    0x2cb886e5U,     0x1433a281U,     0xa4963ca8U,     0x2c9ef799U, \
    0xa0f8fdb7U,     0xd2d213baU,     0x96d2f312U,     0x5e05c256U, \
    0x0197f8abU,     0x96ba182eU,     0xd5df600eU,     0x70412c39U, \
    0xc246468cU,     0x517e335fU,     0x454f12deU,     0x6cf0e6deU, \
    0x8d3d053aU,     0x40ced64bU,     0xbcb0ca8eU,     0xb1746312U, \
    0x85758b47U,     0x66f06006U,     0xc2b83570U,     0x6b1ac147U, \
    0x1637e93fU,     0xa6cb54adU,     0xca1bf559U,     0x5f8e88ccU, \
    0xce60f397U,     0xe725939dU,     0x6977292dU,     0xd50cc4d4U, \
    0x67fe7e42U,     0xeca81368U,     0xda403f4eU,     0xdf7cbe62U, \
    0x052ceaf2U,     0x6bfb0397U,     0xb63fa4c1U,     0x3c79b06cU, \
    0x408ba8ffU,     0x8d4b6b30U,     0x6e1c2159U,     0xfe4de67bU, \
    0x2bb318d3U,     0x8d1fcd79U,     0x98558039U,     0xa9d5e1a4U, \
    0x67b3bb2dU,     0xe13cef60U,     0x4c74db70U,     0x943dff69U, \
    0xda5aa4b0U,     0xb00c9de5U,     0x14d0f345U,     0x20cda8e2U, \
    0x1e64c928U,     0x47ec132eU,     0x82ecdf2aU,     0xef27f836U, \
    0xfccaa9feU,     0xb7de8254U,     0x574baee7U,     0x96b05943U, \
    0x77de45afU,     0x5044518aU,     0x7aa618f4U,     0x91665df1U, \
    0x4c14b5faU,     0x05fb9a66U,     0xc3176aceU,     0xfe897ec6U, \
    0x56c9dd1dU,     0x39634e42U,     0x212adbd1U,     0xaf822607U, \
    0x91776949U,     0x02d9f4ccU,     0xe88f3fa3U,     0xd32bcfdaU, \
    0x7582ea9aU,     0xd1fb394cU,     0x58179e80U,     0x1e42bf84U, \
    0x151c041eU,     0x8de6c3f6U,     0x18c0f4fbU,     0x3acec20aU, \
    0x77830537U,     0x0fe839c9U,     0x56307ecaU,     0xed57741cU, \
    0x480ce4e4U,     0x650662deU,     0x5cbca461U,     0x43e14611U, \
    0xd00120aeU,     0x21ac15b2U,     0xe33e57bdU,     0x187233e8U, \
    0x1c7b82feU,     0x6be1730fU,     0x4f6cb86cU,     0x2b4cde2bU, \
    0xa51fa2bfU,     0x738b7243U,     0x833c9389U,     0x5b1e5befU, \
    0x751fb49aU,     0x9ef316ddU,     0xa09adf44U,     0x1c54e92dU, \
    0xb1fb8ce0U,     0x5b018fd0U,     0x1522dfb8U,     0x5253c117U, \
    0xc2bfd265U,     0xda45d5a2U,     0xf8c5dfaeU,     0x3005350dU, \
    0xf88ae87bU,     0x921c6594U,     0xdf82a8a1U,     0xfe01c796U, \
    0x93f254ffU,     0x59bad107U,     0x1dcfbafeU,     0x8f1eb2b5U, \
    0xdb718fb6U,     0xbc8a6a33U,     0x3df90193U,     0x17109023U, \
    0xbd6c8bd0U,     0x13fd8448U,     0x99848c37U,     0x52ac2a56U, \
    0x56898a13U,     0x51e202e1U,     0x2c9a8670U,     0x4d10a689U, \
    0x70424939U,     0xcb6a581aU,     0x22ba9fddU,     0x842f54eaU, \
    0x4b04b864U,     0xf8ef06edU,     0x28bd0fb1U,     0xa7d5616cU, \
    0x400e4d5fU,     0xcbe5b4faU,     0x04b5684fU,     0x0ce9142aU, \
    0xaff4a1a1U,     0xb071f392U,     0xb02f1697U,     0x8ebe6cb6U, \
    0x34258254U,     0x55738b20U,     0xb7a62816U,     0x9de1697eU, \
    0x0e71df14U,     0xa9c15f1eU,     0x5d3227ddU,     0x81398d41U, \
    0x764b0064U,     0xa6adfef1U,     0x944fd321U,     0x117d5c5bU, \
    0x009e8536U,     0x10085a29U,     0x48a79cbbU,     0x05e8dc0cU, \
    0x6efc9176U,     0xc42af95cU,     0x032dee16U,     0x5c9d54f5U, \
    0x28c0601eU,     0xdfdfbae0U,     0xf3331154U,     0x825beb26U, \
    0xb72e9b9cU,     0x38e9858fU,     0x54d021deU,     0x6d712233U, \
    0x581c80c9U,     0x4db28112U,     0xb8cf06cfU,     0x86fecb1eU, \
    0xbb8b616bU,     0xa3811145U,     0x32555b80U,     0x5c4586c8U, \
    0x4282f3bfU,     0x736b5dcdU,     0x884a6bb1U,     0xbe5e7c80U, \
    0xc57b7a86U,     0x9adc5fc0U,     0xc3984bf3U,     0x8ed09aeeU, \
    0x1ab3675cU,     0xbfcaeb7fU,     0x014fc0ceU,     0x69268b6aU, \
    0xb9b671a8U,     0x67b148ecU,     0x249c9864U,     0x44d88879U, \
    0x98238ce2U,     0x6ea0f5fbU,     0xc24a0cd3U,     0x9b206d8dU, \
    0xded2e83cU,     0x9fb39691U,     0xbe963c3aU,     0x9e0485d9U, \
    0xf1b9473dU,     0x89c7a33cU,     0x514850cfU,     0xf00f2328U, \
    0x952524e2U,     0xdd16e944U,     0x5919ae42U,     0x0ff361f1U, \
    0x15fee99cU,     0x975fa9cdU,     0x4392e398U,     0x92c8e420U, \
    0x4bf86060U,     0x5e7b0c00U,     0x3f5ac1f5U,     0x5b1245a2U, \
    0xbfe48ffdU,     0x40348053U,     0x0b8911a1U,     0xac468731U, \
    0x33ec3015U,     0x37a57171U,     0x7dc4239aU,     0x28ab7d79U, \
    0x01eedbe5U,     0x274f7287U,     0x00eb8a32U,     0x82f4c105U, \
    0x82979ff3U,     0x12b90449U,     0x263a0e2cU,     0x74c647e4U, \
    0x51a7bf89U,     0xac1c617eU,     0x8297424dU,     0xfe7ae154U, \
    0x4036c8daU,     0x444efba2U,     0xb3b1d178U,     0x3745c560U, \
    0x5a1ea8ccU,     0xfafe5daaU,     0xddc62018U,     0xcde27e1bU, \
    0x355b8df8U,     0xb98c4948U,     0x99a112ebU,     0x25357691U, \
    0xaebf7988U,     0x232f8614U,     0xca747dd3U,     0xaa6d10baU, \
    0xc43fbb42U,     0xa00071feU,     0x0c97ece1U,     0x269f3454U, \
    0xea414f1dU,     0x37c3eab9U,     0x03ddd813U,     0x390d0930U, \
    0x4f95e86aU,     0xc215f1d5U,     0x11ad61c2U,     0x8403dd59U, \
    0x9f444a61U,     0xc9163b4bU,     0xe7d94330U,     0x617c7de0U, \
    0x51236d35U,     0x0a5f3e91U,     0x9d2a026dU,     0x62f94f8dU, \
    0xb2b775cfU,     0x5ad452e4U,     0xd0e17ff8U,     0xaab023d2U, \
    0x8a04fb93U,     0x9fc6fe68U,     0x629e5d26U,     0xdad1eeffU, \
    0xc099c55aU,     0x6b321b7aU,     0x3787cae1U,     0xa7505bbeU, \
    0xc050b387U,     0x3cd51f6bU,     0x52a6c00bU,     0x7db763aeU, \
    0x3e1d9a20U,     0xc73f40e9U,     0x18f10e2eU,     0x999ea5f0U, \
    0xe402fa36U,     0x07873c88U,     0x1c2c6395U,     0x1c958c04U, \
    0x278c701eU,     0x9c6227fbU,     0xa1c58541U,     0x27aaab60U, \
    0xae1ac474U,     0x1f07fa10U,     0x2fd09363U,     0x98db3edeU, \
    0x23b9b7b5U,     0x2cdb2bc7U,     0x38e60b43U,     0x4d10aeefU, \
    0x80517025U,     0x3952db1aU,     0x32ee5138U,     0x5e1a54dcU, \
    0x6faad711U,     0x9444cc94U,     0x897a8af0U,     0x334d141fU, \
    0x5f14e714U,     0xf38800c4U,     0x1d34101dU,     0xc0a656ddU, \
    0xbdfed7c8U,     0x725b276fU,     0x311e7665U,     0xa2f7ed8cU, \
    0xd7b91b7fU,     0x03dfd3a3U,     0x73729f7bU,     0x85ea8dd5U, \
    0xa78376f9U,     0x2d088476U,     0xb1c1048cU,     0x6b861d0bU, \
    0xce07b3bbU,     0x23d8c205U,     0x99f5a34fU,     0x997ff4f7U, \
    0x395aba40U,     0x2b230144U,     0x856af4a6U,     0xb4a8e469U, \
    0x69a15c30U,     0x66958e5bU,     0x6efa58fbU,     0x2168a887U, \
    0x376480b9U,     0x45002ce9U,     0x63d08b29U,     0x7fe6c837U, \
    0xf46d5d3aU,     0x2b54c210U,     0xc477432cU,     0xecab7677U, \
    0x57ff104eU,     0x0755fcb4U,     0xc7769342U,     0x4061ba23U, \
    0x62f51dffU,     0x9a603546U,     0xdb1efd60U,     0xb49edac8U, \
    0x088d1c29U,     0x3ed554ccU,     0x4fdac367U,     0xb41bd3afU, \
    0x3cb55992U,     0x58d5f487U,     0xae098961U,     0xa3787f32U, \
    0x6a694793U,     0x38f7a972U,     0x2dd142e1U,     0x4ec4129aU, \
    0xf8b0c021U,     0x32cb6e01U,     0x5697b39aU,     0xeb1b45c0U, \
    0xa5d273dbU,     0x8a0d68b2U,     0x03ab4dadU,     0xe4203a76U, \
    0x74dc88bcU,     0xef3fbb94U,     0x023d9b8bU,     0xee3bf18aU, \
    0x8985f4ffU,     0x00e8ea71U,     0x896291e4U,     0xe7c930a2U, \
    0xde840fc8U,     0x802bf9efU,     0xd2a071abU,     0xfc43c43fU, \
    0x3629d727U,     0x16f5bd9bU,     0xc4a1e121U,     0xd4d5b49aU, \
    0x86688eedU,     0xa562a40eU,     0x660d4f12U,     0x7c5afec7U, \
    0xfe15f206U,     0x1935249cU,     0x302cecd7U,     0x456c7ef5U, \
    0x9d5097edU,     0x384294e7U,     0x53b772caU,     0xb8690ad9U, \
    0x7abe94cfU,     0xace1a597U,     0x025bd1c5U,     0xb9f06d3aU, \
    0x64ba5a2fU,     0xf73bbb58U,     0x563e5712U,     0x9cd3e615U, \
    0x4fb088e8U,     0x5d4b00f8U,     0x249c63a3U,     0x6654948cU, \
    0xeec23c93U,     0x19a04d4cU,     0x9c445178U,     0x50768457U, \
    0x1406eb4eU,     0xfe55c956U,     0xb601c811U,     0x2af6ef2cU, \
    0x0a6ac2adU,     0xcaaf9047U,     0x48175aabU,     0x8e9edc2bU, \
    0x692ff2ecU,     0x3cf17293U,     0xdab28cbbU,     0xc2e3e3e3U, \
    0xe998e017U,     0xe1421185U,     0x5e6f91e7U,     0xbc1e1e36U, \
    0xca25b974U,     0xa8065e20U,     0x6d8d192fU,     0x074b3245U, \
    0x0fe34ceaU,     0x411fa1a8U,     0xbd5d796eU,     0x5c2c280fU, \
    0x55e1b0fcU,     0xdd1e77a4U,     0x26ae735cU,     0x7e2e2464U, \
    0xc1994f2bU,     0x7d874720U,     0x16b7dee9U,     0x6b88aa2eU, \
    0x539b771cU,     0x7a1c76dcU,     0x2dc92d30U,     0x1e553b79U, \
    0xa87e20e4U,     0x7e21a1f1U,     0xa980a96cU,     0x0284c173U, \
    0xcfd327b8U,     0xb735765fU,     0x095a362fU,     0xbc317c7dU, \
    0x5eec48f4U,     0x1e361c73U,     0x02bbf1d8U,     0xecf08c94U, \
    0x41ea3db1U,     0x353333beU,     0x8c87c73eU,     0xd445aad0U, \
    0xd4faabb0U,     0x6e25ac02U,     0x29f4b288U,     0xa57141e9U, \
    0x1d80538eU,     0x8fcb7a0bU,     0x608d410eU,     0xf50fea50U, \
    0xede0ce38U,     0x92351ffeU,     0x455575ecU,     0xf80858baU, \
    0x2f2ec2faU,     0xe41d12f5U,     0xaa6a05c6U,     0xc4cf2606U, \
    0x975a2f98U,     0x1ed891d9U,     0xe5e43e95U,     0xf0e2e440U, \
    0xba45365cU,     0xf13f1278U,     0x07eea25eU,     0xdb6daf91U, \
    0x0a4d0dd9U,     0x3194250aU,     0xc48f77f2U,     0xef360e91U, \
    0xe246bfa2U,     0x15a712c2U,     0x81f34378U,     0x535c95eaU, \
    0xe58d1ba0U,     0x3cb1e0d5U,     0x067099e4U,     0x8ce129b4U, \
    0xa4d7a47eU,     0x2865aab0U,     0x827639f8U,     0x05a0c0cbU, \
    0xde6be508U,     0x48ca95a4U,     0x69047fa8U,     0x4006c0e2U, \
    0xc20da914U,     0x4386a736U,     0x91df3376U,     0x83c5d9f3U, \
    0xf7c602abU,     0x2da43ea7U,     0x1a716652U,     0xa432f421U, \
    0x4446e6f0U,     0xd3755a87U,     0xe6553badU,     0x1e82b039U, \
    0x9d19a894U,     0x25fe8ee6U,     0x377de0d7U,     0x8d37472fU, \
    0xb297af70U,     0x9690ccf4U,     0x879450dcU,     0x30bf1525U, \
    0xf62beb2fU,     0xd0e4ce50U,     0xfbe85fc0U,     0x839ca3e9U, \
    0x6b214dcbU,     0xe984d7f5U,     0x591939edU,     0x4aeb0f12U, \
    0xb61a52efU,     0x386172e5U,     0x7bd1821fU,     0xeaf7cc6eU, \
    0xae3c8900U,     0xbe0ed801U,     0x555a9874U,     0x52fd3b2bU, \
    0x43ca3c08U,     0xe74bb460U,     0xd14804aeU,     0xc7cdb444U, \
    0xcd8b088dU,     0xcdde94b4U,     0x61b313ccU,     0x93b1c8d3U, \
    0x1c065346U,     0x786bd3a8U,     0x5f1ce215U,     0xce5f75bfU, \
    0xb2f57d6bU,     0x782a2394U,     0xadac0963U,     0x5bd517dcU, \
    0xca424bb1U,     0x240eb423U,     0x47505200U,     0x482c792eU, \
    0x87893fbeU,     0x265a887bU,     0x9c113389U,     0xd634494fU, \
    0x2b042518U,     0x41062bf2U,     0x612c2b0dU,     0xa1211b9dU, \
    0x24a96554U,     0x5c38f1d7U,     0x900a85b9U,     0x0b01b49dU, \
    0xa2fb4505U,     0xcfa009c6U,     0x3a351442U,     0x04e9decfU, \
    0xd1db6b71U,     0xbb063af8U,     0xd00dc461U,     0x3124b2cbU, \
    0x6ed54797U,     0x15ab0d62U,     0xccfeae23U,     0x0e62d443U, \
    0xd560d99bU,     0xcb4a2955U,     0xa6ccd3e3U,     0x2b97c562U, \
    0xdfb94325U,     0xf14ec859U,     0xd068d310U,     0x92556792U, \
    0x2b3298a6U,     0x68efe77fU,     0x7f73320eU,     0x8f0ba9e3U, \
    0x2673b08bU,     0xc6d653e8U,     0xb7187738U,     0x38900c63U, \
    0xd92bd2b5U,     0x96aa5f1bU,     0x9cc1d727U,     0x25415e4dU, \
    0xe4e6a515U,     0xd5e0c56eU,     0x24c7dca7U,     0x02c41839U, \
    0xf8ce9686U,     0x77abfff8U,     0xe1217e2fU,     0xc68da74aU, \
    0xe623dd5eU,     0x533a1414U,     0xefbc43a0U,     0x60a301e4U, \
    0x335d9effU,     0xed3017efU,     0xf5e10e91U,     0x98394a46U, \
    0x23295a60U,     0xd81d5abeU,     0xe47671c9U,     0xcfef0229U, \
    0x1c8a7f72U,     0xaa7bff56U,     0x52371dd8U,     0x378599afU, \
    0x44657086U,     0xdc9396a3U,     0x55ac57d1U,     0x09111400U, \
    0x6a9eb435U,     0xd987ab7eU,     0x7c2c6ef6U,     0xdab7828fU, \
    0xe20f4146U,     0x24d91783U,     0x8cf1da8aU,     0x67a3771cU, \
    0xdfe6c7f4U,     0x747bd0d4U,     0xf1495380U,     0x9f923d18U, \
    0x8cf5c634U,     0xe090b922U,     0xbbb85db0U,     0x89dcd2e2U, \
    0xe4075eacU,     0x94b24fa0U,     0xc0898339U,     0x22d2f7e8U, \
    0xc5a309a4U,     0x45513c7cU,     0xe8e7da8bU,     0x721da438U, \
    0xa62e9184U,     0xd640a2e7U,     0x765e0e62U,     0x00fe4af9U, \
    0x56ae9a10U,     0x0a82536eU,     0x165ceb43U,     0xc9a05749U, \
    0x8bf9cda9U,     0x7d2a3f8cU,     0x0014a05fU,     0xbb6a45fcU, \
    0x81cc87daU,     0x665bba6eU,     0x31cf6252U,     0x8030b0a2U, \
    0x3e9c3f54U,     0xbea66f5cU,     0x8fe96839U,     0xe97827fbU, \
    0xbc64fd88U,     0xf294898dU,     0xfa299ca4U,     0x64c60157U, \
    0x79b06829U,     0x46980186U,     0x076df674U,     0x0cd1079eU, \
    0xbfd02c8cU,     0x19d66598U,     0x52f30a2dU,     0x226085a0U, \
    0xcb0292a2U,     0x2fcd6dd4U,     0xde62c0e9U,     0x2d9889c2U, \
    0x63788430U,     0x9960bc20U,     0x90f70541U,     0x529ccc76U, \
    0xf6d92513U,     0x018e09c3U,     0xf11d0de2U,     0x051f4d96U, \
    0x3d321335U,     0x0da6d245U,     0x73a58868U,     0xa41dd1ebU, \
    0x3b2b88afU,     0x1f3b666fU,     0x565d1327U,     0xcc5beab4U, \
    0x6ec4b0f7U,     0x54bb2fa3U,     0x860e4abbU,     0x265d5200U, \
    0x49db4cfbU,     0x21b49b58U,     0xca037c7aU,     0x548af63bU, \
    0x7c723dd4U,     0x5b4c0fbaU,     0xce91ef50U,     0xd493eee7U, \
    0xf87f602eU,     0x23c78d15U,     0x92dbafb3U,     0x21ae9558U, \
    0xabdea2c8U,     0x367718b3U,     0xe253f1a2U,     0xed876f17U, \
    0xdffd188bU,     0xc15f5a6fU,     0xee0318a5U,     0xba218f57U, \
    0xfc2ebcbcU,     0xa99ad454U,     0xd6fe13aaU,     0x3201acf4U, \
    0x07506e2aU,     0x2513721aU,     0x6034ba0dU,     0x94e9d27fU, \
    0x80ba0aadU,     0xac4cecd4U,     0x018f6ddcU,     0x6f399523U, \
    0xc5d4c47aU,     0x31e85057U,     0xb141a453U,     0x2905788cU, \
    0xad21cec7U,     0xce9ad01cU,     0x1d124ddfU,     0x909b4665U, \
    0x4e67b327U,     0xdb0c3841U,     0x53d4b2f7U,     0x1c474e64U, \
    0x3d3f1737U,     0x52b29413U,     0x8ebbf317U,     0xd0f1b341U, \
    0x9c974d05U,     0x80e80370U,     0x421fc267U,     0x066df03cU, \
    0x8653dffbU,     0x0ad93b9bU,     0xcec14badU,     0x73b0ae8fU, \
    0xb84c672eU,     0x450e8085U,     0x2e870c5fU,     0xb072779eU, \
    0xbb58535fU,     0xf2c17797U,     0x89bf2b57U,     0xb5b3ef98U, \
    0xdd2e27b8U,     0x8835a3adU,     0xf71fd64eU,     0x44d84f5aU, \
    0x6a85f457U,     0xee47dfaaU,     0xe6c4776fU,     0xf291df6cU, \
    0xc2732de2U,     0x4a8c36dcU,     0x0b116d40U,     0x73dd6a20U, \
    0x07bc3cc4U,     0x4b64f755U,     0x3dad8edfU,     0x666e53d4U, \
    0xb59bd677U,     0xfe036edbU,     0x1a337f56U,     0x4ef9a689U, \
    0xe90df51bU,     0x452afa41U,     0xfa51ccebU,     0x4db7cdcaU, \
    0x8a1649adU,     0xe3d1af1bU,     0x1438da72U,     0xfc743748U, \
    0x2db259d0U,     0xfca778ceU,     0xd6a1a23bU,     0x1ca9e03eU, \
    0xafc2a62bU,     0x9ebcc29aU,     0x0b3cdb5aU,     0x035530eeU, \
    0x209c240dU,     0x7b2948efU,     0x89df8ba8U,     0x26f2697bU, \
    0xfe505208U,     0x6b38f638U,     0xbe37f790U,     0xc1fd7edcU, \
    0xaac5c8a3U,     0x6d968a7bU,     0xbd2e0672U,     0x8399e1a6U, \
    0xcc31a03bU,     0x29f2993dU,     0x1f1723b0U,     0x79795907U, \
    0x36168a7eU,     0xb94b88b9U,     0xd55577c7U,     0x8f70eb49U, \
    0xf6a1e098U,     0x1ffc46e5U,     0x2f7f3cf8U,     0x1bb095d8U, \
    0x2afb0ecdU,     0xfcf98e69U,     0xd32b0af7U,     0x914b9125U, \
    0xed0034efU,     0xc0cde89dU,     0x2504a542U,     0x398ebb5eU, \
    0x22cdfc72U,     0xc47a98b2U,     0xe2d05790U,     0xa96489c1U, \
    0x8198417cU,     0xedceb31aU,     0x8461a6eaU,     0xeb0bffceU, \
    0x0a711637U,     0x766e29d5U,     0x7e21d921U,     0x787d102aU, \
    0xe3b23460U,     0xbc71a63aU,     0x6780a7f3U,     0xd25d56cdU, \
    0xda94ef36U,     0xdbfae396U,     0x73530781U,     0x32b4766dU, \
    0x8896df3bU,     0xb7c98fbbU,     0x35b41e93U,     0x07460352U, \
    0x9db1c85eU,     0x91e236b2U,     0x01a5f2fdU,     0xc03eed55U, \
    0xc284a174U,     0xb7153647U,     0xf8ebc905U,     0x7da75d3eU, \
    0xd86b7b49U,     0xc4ef66a1U,     0x613adc16U,     0x323e0447U, \
    0x6f29e59aU,     0xe34f9201U,     0xd0b4eb54U,     0x2425321bU, \
    0x5759ce22U,     0xa82a01ffU,     0xe9e92893U,     0xd581bf22U, \
    0x935f1a9dU,     0x04e9a70dU,     0xa96d6423U,     0xaead8004U, \
    0x9bdd605dU,     0xfb4359d4U,     0x2c8de459U,     0x40de9ddeU, \
    0xb2784e99U,     0x75a299f4U,     0x2a64249cU,     0xcdbed02cU, \
    0x053cc5c7U,     0xcef99d17U,     0xdacf5c60U,     0x072a5685U, \
    0xf760c122U,     0x6fae5720U,     0xac7a83a3U,     0x9ded933fU, \
    0x33481b52U,     0xd43f98d6U,     0x515de814U,     0xf04c7cc9U, \
    0x32cad9f7U,     0xda708374U,     0xfbcfb358U,     0x0a2263b7U, \
    0x525f6896U,     0x160c5b34U,     0xec1bb552U,     0xaebf1b56U, \
    0xc4ed55beU,     0xcbd18789U,     0x4936e917U,     0x10b569d3U, \
    0xe94f5901U,     0xb72cbb36U,     0x51e4fd8eU,     0xf3f7c8eaU, \
    0xa50337baU,     0x165ac6a7U,     0xd6108b6dU,     0xb4346d6aU, \
    0x6af1303fU,     0xbac6bed3U,     0x715f2f6aU,     0xc9c0d8d9U, \
    0xca05cb7cU,     0x8ac1f3b3U,     0x297dfe52U,     0xb84520a8U, \
    0xa42f4139U,     0xd8ca8e1bU,     0x625dc971U,     0x5043debaU, \
    0x8285831aU,     0xabecd75aU,     0x29967189U,     0xc7a8e149U, \
    0xbe332f3eU,     0xb685be4dU,     0x52c67199U,     0xcc7351b8U, \
    0x871220dcU,     0x4b7af2b2U,     0xaf3e4830U,     0xc4ddcbf0U, \
    0x83341a08U,     0xcf69e815U,     0x1f43cdf4U,     0xc3bc5d9eU, \
    0xe855768bU,     0x9ffdbb5cU,     0x64d13ee5U,     0x91dc0cebU, \
    0xc556a91bU,     0xe78d3da5U,     0x3e897458U,     0xb6fa1673U, \
    0xeb9c9ab0U,     0xbd9e5e14U,     0x62274dc6U,     0xb4780bc2U, \
    0x2a481bacU,     0x6c3b91ceU,     0xef83ef86U,     0x12887b95U, \
    0x739f7ec4U,     0xfa4f6506U,     0xe766ccb7U,     0x5a27e85cU, \
    0xe4d61509U,     0xbc31681dU,     0x0c1b76e5U,     0x71682b45U, \
    0xb50c7effU,     0x9a657fa9U,     0x78071df2U,     0x6ac06294U, \
    0x03358ab5U,     0x88c0e597U,     0xf26fea43U,     0xe57d6288U, \
    0xa4f47fb5U,     0x0d4e7d61U,     0x72da5804U,     0x6ba076b3U, \
    0x2ae38f56U,     0x421fc62fU,     0x12adab94U,     0x8ef1e0e3U, \
    0x8c4b07feU,     0x7d09f503U,     0x12df2c05U,     0x905412edU, \
    0xe17ac3f5U,     0xf4779f4dU,     0x8f94c6c9U,     0x8800c38eU, \
    0x89264354U,     0x51123b20U,     0x33495412U,     0x480161a7U, \
    0xb9bd120aU,     0xb703e7d6U,     0x42850208U,     0x0beb047fU, \
    0xed43691fU,     0x587140d0U,     0x4a3f5b1bU,     0xd99e2f7bU, \
    0x0768c8efU,     0xd532172bU,     0x6470447bU,     0x79f16ecdU, \
    0x426fd53dU,     0xddaf0f23U,     0xc0f5b74bU,     0x7098c5b4U, \
    0xd3734fe8U,     0xadf5495cU,     0x424b64d3U,     0x5786facaU, \
    0xeb5a3f40U,     0x882fd3dbU,     0x8b5c875cU,     0x1b46e0aeU, \
    0xdff19ed9U,     0x2aaf800aU,     0x9e0d0f7dU,     0x2ffecaddU, \
    0x1704fad7U,     0x92a2ed70U,     0xa10dde51U,     0x4ac79dc1U, \
    0x5283c4b3U,     0x65c1b726U,     0xc951136bU,     0x4fc5ebaeU, \
    0x3bf89f91U,     0x736b01c6U,     0xc7d4a185U,     0x995118cbU, \
    0x76151daaU,     0x9df6d7e8U,     0x053ad49cU,     0x1d80be39U, \
    0xc991113eU,     0xe40ff0b2U,     0xd8b12b7bU,     0x3199a5b2U, \
    0x6e73598fU,     0xcae0e4fcU,     0x0da9feeaU,     0xcc5f4d4bU, \
    0x0a7afe78U,     0x8ec4e971U,     0xc2fb70d3U,     0x86b0b103U, \
    0xcc725951U,     0xd83ddb14U,     0x3098a7f9U,     0x589008a5U, \
    0x17dcb4a1U,     0x60df2895U,     0x425ad3daU,     0xdd079becU, \
    0xed141cc2U,     0xa3589256U,     0x59c4433fU,     0xc540178eU, \
    0x83856e04U,     0x7f6ffe48U,     0x290ee3d3U,     0x6b8eba11U, \
    0x8676292dU,     0x610191a1U,     0x443565c1U,     0x448f75f7U, \
    0xc5b4c98dU,     0x5475cfe9U,     0x19fb4b40U,     0x2a9ce394U, \
    0xbd909392U,     0x0ea62b23U,     0x77352e33U,     0x4d3ddab4U, \
    0xda8136c9U,     0xe704187eU,     0x19228808U,     0xf72caa23U, \
    0x2da4de44U,     0x67694461U,     0xdf0a1468U,     0xa9a0c15dU, \
    0x0cfe8e78U,     0x8d19e9d3U,     0x1d54cf7fU,     0x9f9a8e92U, \
    0x9b874bddU,     0x6f7b6186U,     0x17ebc87dU,     0x6bd00497U, \
    0xb4bc71daU,     0x8b3ed5cbU,     0x26e2eb3dU,     0xaf098ab5U, \
    0x80523dc7U,     0x54fcd252U,     0x59e6cc1dU,     0xe15fe269U, \
    0x91801c09U,     0x15ed8a29U,     0x7fa1b04cU,     0x57aa68c6U, \
    0xeadbe009U,     0x29652025U,     0x95e47e4eU,     0x8906ba1cU, \
    0xb9cf2dcfU,     0x01945733U,     0xe54bc918U,     0x29f8c566U, \
    0xeb735112U,     0x2c82a1cfU,     0x47988c33U,     0xcd89c5aaU, \
    0x213c4949U,     0xfea10afdU,     0x9959394fU,     0xbecca4cbU, \
    0x55163d10U,     0x1ad7c5b7U,     0x85427cdfU,     0xcbc32b0dU, \
    0x504c14bbU,     0x7a7195d0U,     0xa97840d9U,     0xa95b75d8U, \
    0x8566fde4U,     0xa1fbecaeU,     0x34376841U,     0x808698c8U, \
    0xb7900a92U,     0xaa2bd70eU,     0x8711bf6eU,     0x6baf0d1aU, \
    0x29932f3bU,     0xf3dc45f8U,     0x6baa99fcU,     0x7b93de62U, \
    0xa7746dc3U,     0xa2270b2fU,     0xe89168ecU,     0xc476a00dU, \
    0x261b26d8U,     0x8c005816U,     0xd2b8283aU,     0x23b1d45bU, \
    0x9d8a47e5U,     0x439683c3U,     0x8b3b0f4fU,     0x4f726c55U, \
    0x351f9b88U,     0xfc401405U,     0x837e3e0eU,     0x9f8cee95U, \
    0xf8f56bb1U,     0x9ea98d40U,     0xe393ba36U,     0x956fe0a8U, \
    0x136d88b9U,     0x64c25e28U,     0xf87eb093U,     0x9cdccf02U, \
    0x00f7142cU,     0xf9bc1a49U,     0x4f13aad1U,     0xc591730cU, \
    0xbdf4927cU,     0x596c9a1bU,     0x1eb3a283U,     0xcedd5a34U, \
    0xce5f0feaU,     0x4b279cbfU,     0x87956d1fU,     0x09211cf3U, \
    0x4dfe07d5U,     0xbae546e0U,     0xafdc109fU,     0xd1ed4f73U, \
    0x349ea84dU,     0xccf931d2U,     0x25da907cU,     0x26d19e34U, \
    0x85c293e0U,     0x95fd3faaU,     0x7a2048f4U,     0x9145c35aU, \
    0xb6ef1a30U,     0x894d1f19U,     0x1329b780U,     0xa84ea398U, \
    0x9c6355caU,     0x5b21bfa1U,     0x4aa21d90U,     0x6a3e81a8U, \
    0xe7bd665fU,     0x1fc827c3U,     0x6815ef23U,     0x46c0e2e9U, \
    0x739dd738U,     0x7fe4b1c1U,     0x557338e8U,     0xbbdfae91U, \
    0xc8ade1e3U,     0xd6d3fe7cU,     0x64fb4612U,     0xf70fa95fU, \
    0x18a274b2U,     0xed03eda1U,     0x64728bb3U,     0x6758c4adU, \
    0xc4e09334U,     0x65e342d4U,     0x1dff2ac9U,     0x4ba50625U, \
    0xb8a978eeU,     0x3c38e321U,     0x09eea35bU,     0xe2d95cb6U, \
    0x2944b949U,     0xc2268147U,     0x290cdbe5U,     0xe827a559U, \
    0x747703bdU,     0xd3b6e295U,     0x10d93798U,     0xc2926a12U, \
    0x947cc547U,     0x559029a6U,     0xd1cfbfc5U,     0x36519076U, \
    0x7bc28546U,     0x03fa01d5U,     0xd1e0d1c9U,     0x1275b5faU, \
    0x2f01c425U,     0x744f6c36U,     0x9b4836bfU,     0x07da40fdU, \
    0x9fa9a564U,     0xf215a931U,     0x8617a61aU,     0xc9a8ff6aU, \
    0x77f2aea0U,     0xc145a6e3U,     0x8978bdc9U,     0xafd15aa8U, \
    0x11bc5b26U,     0x935e6415U,     0xe7f6e9eaU,     0x791d958aU, \
    0xcf334ff9U,     0x2fac3130U,     0x6aceb646U,     0x3c704c12U, \
    0x609c9a5dU,     0x2084192fU,     0x655b1062U,     0xe228358aU, \
    0xdb525a09U,     0xa9044a84U,     0xf364b02bU,     0xf651582eU, \
    0x08806587U,     0x9a2bc204U,     0xca1ef54eU,     0x72461e39U, \
    0xb8634e08U,     0x18e8dc2bU,     0x626ce3feU,     0x3da76949U, \
    0x4b04c28bU,     0x528e41f8U,     0x2bce6e33U,     0xe873aa48U, \
    0x7a230542U,     0xb4af0d31U,     0x99dd80c1U,     0x77b4bb68U, \
    0x5742f9a2U,     0xe537ebf3U,     0xc374c932U,     0x3d06b853U, \
    0x5e291f47U,     0xd54efdc2U,     0xded832bcU,     0x7718425fU, \
    0x48b5256eU,     0x1d7e9aa4U,     0x4a8425fcU,     0x905e760bU, \
    0x80ea472aU,     0xb60142f3U,     0x1740901aU,     0xe1c0b058U, \
    0x33e07a13U,     0xbe183d94U,     0x1239b82aU,     0x3db46629U, \
    0xaa2887d2U,     0xea3ef191U,     0xc725a245U,     0xc4e8c6d6U, \
    0x457f6871U,     0xa8a08939U,     0x851fd9e6U,     0xdb32d324U, \
    0x76ad7d58U,     0x190530fcU,     0x55eafb95U,     0x93534f09U, \
    0x27b2a5c9U,     0x9d2ee36bU,     0xd5eaf36bU,     0xcc0f1b3eU, \
    0xddb0e79bU,     0x08328681U,     0x9bc1a201U,     0xfbfcee41U, \
    0x48fe4288U,     0x50b56349U,     0xe7d81062U,     0xb7d7fee9U, \
    0xb688d54cU,     0x666dd8c5U,     0x67cceaa9U,     0xc2588f4eU, \
    0x6dfda2f5U,     0xb42dd291U,     0x869239deU,     0x6e2475e6U, \
    0xff9be2d2U,     0xe0ab575bU,     0x27b18ad9U,     0x2ae44263U, \
    0x50ae898bU,     0xfa788916U,     0xfdb6e5c1U,     0x6d2017a6U, \
    0xeee40325U,     0xe07bc510U,     0x93eef174U,     0x0c469e96U, \
    0xd61538eeU,     0xc9a01033U,     0xb2a31801U,     0x99097bacU, \
    0xdd3e24dfU,     0x92b8b80cU,     0xf98ab2c3U,     0x7b74831fU, \
    0x764e56c5U,     0xecb1a0c7U,     0x55ba691dU,     0x3a83728dU, \
    0xcc667a10U,     0x40f6f5f2U,     0xf822ab97U,     0xaa01e04eU, \
    0xceca10e0U,     0x9012ba09U,     0x8afdae1cU,     0xadabf42eU, \
    0x2008b7e2U,     0x9933097dU,     0x59d1cb29U,     0x6e5e75e8U, \
    0x66eb3a7eU,     0x809cc547U,     0x9284c8a0U,     0x236dabe0U, \
    0xe37ce5a5U,     0xb947cabfU,     0xe6f55592U,     0x40acbdbeU, \
    0xe0622c8fU,     0x97dc3705U,     0x3cb08c43U,     0x537b04c3U, \
    0x3721bfabU,     0x12480664U,     0xb8df12b2U,     0xf8201699U, \
    0x6f55e2c3U,     0xcd348f68U,     0x7fef0f24U,     0xa4c628d4U, \
    0xe857bdb5U,     0x5f661922U,     0xcff1bdcaU,     0x69bf1a4dU, \
    0x58cb9df0U,     0x1f4630e1U,     0x1b5e1ab0U,     0x2e666238U, \
    0x589e03e2U,     0x44fb66f1U,     0xbc3cdc2eU,     0xa9670b65U, \
    0x2bac1899U,     0x0b0340b3U,     0xc7593fe2U,     0xb8697d21U, \
    0x8f0d3c48U,     0x797ff1ceU,     0x383d56beU,     0xa7705805U, \
    0x0ad5e456U,     0x6ac2ce4fU,     0x7c2705e2U,     0x6dca53e5U, \
    0x8fd34513U,     0x68c64e40U,     0x5c369b7fU,     0xf897f3c7U, \
    0xbf89006eU,     0xe77100ceU,     0xa4abe568U,     0x9d21d189U, \
    0x926e089dU,     0xedc3078eU,     0x42d3fc6fU,     0x6b0dd78dU, \
    0x57fcb385U,     0xb0fe150dU,     0x6f32e3b7U,     0x75906727U, \
    0xc13673eaU,     0xd23ca58aU,     0xadba91d2U,     0xe9b4dcffU, \
    0x009976beU,     0x53449f78U,     0x6011d725U,     0x7df1869dU, \
    0xfc55a047U,     0xe24082baU,     0x584f5530U,     0xbe96bdc9U, \
    0x47b7f36fU,     0xb0ad6384U,     0x6771cdfdU,     0x01b691ffU, \
    0x99f640ecU,     0xa28d747bU,     0xcd488645U,     0xe3ffe73bU, \
    0x68109b8dU,     0x77ddc24fU,     0x574d15d0U,     0xce13e6afU, \
    0x61b361d3U,     0x47058fa8U,     0x39738f86U,     0x7527be5aU, \
    0x56d6cb32U,     0x847f2e17U,     0xed75b4d9U,     0x01ac73c2U, \
    0x6ec57722U,     0x7a3a59e0U,     0xcb1d5988U,     0x6d6068d9U, \
    0xd01bd42cU,     0x24c2b744U,     0x76433a0eU,     0x775d1503U, \
    0xe26569b1U,     0x4706078eU,     0xf76750f5U,     0x4044bf80U, \
    0x2fd5f516U,     0x1acc3c60U,     0x52a585a2U,     0xd9737b07U, \
    0x6e5f1f63U,     0x989e456cU,     0x0a7c76d0U,     0xed30fe84U, \
    0xbb0f79f8U,     0x964889cdU,     0x6c93f1b6U,     0xad371fa8U, \
    0xd9445eb5U,     0x85c83accU,     0xed095f5aU,     0xbc41440fU, \
    0xd9781b2dU,     0x54e01b8fU,     0xd4e5ec8aU,     0x1a129710U, \
    0x6a11e8a2U,     0xb61169aaU,     0x226de5fbU,     0x98d5c323U, \
    0x24e24375U,     0xe58126dbU,     0x1208bcb0U,     0xc1ff989dU, \
    0xd29b2fd2U,     0x8d60d719U,     0x144a6776U,     0x44be2a9dU, \
    0x288d172aU,     0x6221e027U,     0xaaee18e9U,     0xf5adc8ebU, \
    0xf1d6c6f6U,     0xc7d44e06U,     0xb228f1a3U,     0x3a0f9424U, \
    0xbbdb3a0aU,     0xc4899b3cU,     0x9403e67bU,     0xd5486c98U, \
    0xb4d5928fU,     0x759db90dU,     0x33380e99U,     0x6041729fU, \
    0x92ace807U,     0x684c82afU,     0x60e66d37U,     0x8fac1863U, \
    0x854b21beU,     0x95fb1d18U,     0x7d90abc7U,     0x6317313eU, \
    0x0daeade7U,     0x54c1c77dU,     0xf824e6bdU,     0x86a95cd3U, \
    0xb20a1061U,     0x39348676U,     0x1831f6d6U,     0x04d64679U, \
    0x64a9cecfU,     0xc108835dU,     0x0925a919U,     0x227b1784U, \
    0xf2ec69a5U,     0x82c7520dU,     0xd35fc58dU,     0x4654b3d0U, \
    0x8d8d98deU,     0xace87502U,     0x368fa726U,     0x1232903bU, \
    0xc7030384U,     0xe37be1caU,     0x973d0a98U,     0x86b7f5ecU, \
    0x34584960U,     0x7ebe5070U,     0x9dcfb6d9U,     0xddd34af2U, \
    0x7081bf89U,     0xf1089c09U,     0xaeb9317bU,     0xdd35acf5U, \
    0x00f0d591U,     0xbc113e14U,     0xc89d5065U,     0xb3f0f797U, \
    0x6e7d970eU,     0x3a8da4b6U,     0x178fe853U,     0xaffcf23aU, \
    0xfaba30a9U,     0x90337206U,     0xed67fea6U,     0x156abbdfU, \
    0xd3101486U,     0xb670ef67U,     0xc29ba25eU,     0x3b59733bU, \
    0xc0d7cf8eU,     0xe8b5bf96U,     0xdc7a1709U,     0x2a7469ffU, \
    0xde28bbbdU,     0xb10f4cf3U,     0xe1ca360cU,     0xd5de1abeU, \
    0x27d704c0U,     0xacb3386dU,     0xc03e2c4fU,     0x2e20bf9eU, \
    0xc970f589U,     0x7391ee26U,     0xbe8da3ddU,     0x5f037cf1U, \
    0x8e703b4eU,     0xf09f44f7U,     0x9c647f60U,     0x2f86230aU, \
    0xad596d9fU,     0x1f2208d9U,     0x1ad057b9U,     0xc7eb1bdcU, \
    0xd54e0953U,     0xac769c45U,     0xe9ad2facU,     0x75f013c4U, \
    0x9ad54c65U,     0x3b84fc30U,     0x0179dcaaU,     0xbe98c747U, \
    0x1d3c1d2fU,     0x2661f0b0U,     0x5645616fU,     0x9ad27c8aU, \
    0xbc9f74e5U,     0x85ac1460U,     0x9fceb9cfU,     0x164652f8U, \
    0xd67fff98U,     0x40594fddU,     0xc99f5670U,     0x7f3274f4U, \
    0xf0f5cc91U,     0xe566a936U,     0x783f8decU,     0x30c7fa66U, \
    0x5cd3fa53U,     0xf6b9206eU,     0x5b4e824aU,     0xe63a6da1U, \
    0x8070ba91U,     0xf9e23aaaU,     0x1c6c5cfcU,     0x6d6046d0U, \
    0x49f370ccU,     0x7ee63289U,     0x0e93ed56U,     0xf2f823f8U, \
    0xa9bbd369U,     0xa6f9ab61U,     0xbdbcd19fU,     0x0b9d645eU, \
    0x8b1d23ebU,     0xe3dc82feU,     0xb91f2d8cU,     0x57957518U, \
    0xf1d91823U,     0xc33418e0U,     0x951f6482U,     0x826d92dfU, \
    0x477cbfadU,     0x537005afU,     0xff059fe8U,     0x68c0b473U, \
    0x22d00a60U,     0x59f4a2d9U,     0xe6798961U,     0xa47c0110U, \
    0xbc416eaaU,     0x313ee8bcU,     0x4f32b502U,     0xaa4b1a91U, \
    0xf16d8604U,     0x41ee6b8cU,     0xe5e3d744U,     0x31fc74abU, \
    0xb72b3bb5U,     0xe770603fU,     0x37d190f9U,     0x4d443a00U, \
    0x2aa11e67U,     0x29543300U,     0x461aaa99U,     0x70479dc8U, \
    0xd1bf980bU,     0x252243f7U,     0x99911b73U,     0x90efc142U, \
    0x301b5cd0U,     0x93da8df6U,     0xea72a602U,     0x0ed32ae4U, \
    0x59024100U,     0x08793665U,     0x4dcf9f2cU,     0x9e11299bU, \
    0x608226e6U,     0x14cb14e1U,     0x888e70faU,     0x6d1ba88aU, \
    0x5009a108U,     0x6d89a19aU,     0x89195653U,     0x59e17452U, \
    0x8dae317cU,     0x0f0c305dU,     0xa346e744U,     0x73e4dd58U, \
    0x68891c3cU,     0xae6a7f97U,     0xc242e426U,     0x97083924U, \
    0xadb6dcc4U,     0xfa2db1acU,     0x543a2bbaU,     0xf1a49448U, \
    0x226b6d04U,     0x031cb8e1U,     0x62dc5cbbU,     0x5bb181a8U, \
    0x5e3e2528U,     0x8d3a786eU,     0x83fd3007U,     0x6526e653U, \
    0x271ce642U,     0xc1388cdaU,     0x559330b9U,     0xf3821de5U, \
    0x61f37af8U,     0x0f9a7ea3U,     0xe9c5f12bU,     0xebb900baU, \
    0xfc424c69U,     0x6ebec820U,     0xe18a5068U,     0x50a814d0U, \
    0xc28c2711U,     0xa2029edcU,     0x28dba7f7U,     0x847bc416U, \
    0x7a1325c1U,     0x60abbcfdU,     0x753f2edeU,     0x97e2ce07U, \
    0xc5e9ae0bU,     0xa9dd0741U,     0xa70ca32fU,     0xa30b3f30U, \
    0xaaf3939bU,     0xed814067U,     0x14592b44U,     0x0d6987b8U, \
    0xb97a3ee8U,     0xd1cb41c1U,     0x5bfd4db3U,     0x07e4f867U, \
    0x949debbeU,     0x5567a757U,     0x52c4068cU,     0xaca170c6U, \
    0x8b08a4b7U,     0x83e66292U,     0xc60a1a24U,     0x3b2f8b10U, \
    0xc376c04cU,     0xfc255cb3U,     0xf2bb93ddU,     0xced3a59bU, \
    0x79180cb2U,     0xfaad1354U,     0xf45b5f36U,     0x67ebda63U, \
    0xbaf0450cU,     0xfb162e7fU,     0xa2fb803cU,     0x6270b469U, \
    0x2e6467d3U,     0x1fcbcb81U,     0xcce42d4fU,     0xf8a18697U, \
    0x4a2ec5bbU,     0x79aa0a89U,     0xb830c984U,     0x69dfccb2U, \
    0x7db252faU,     0x9269d50eU,     0x0bcf977fU,     0x18ca44b6U, \
    0xd5ca2951U,     0x6e731ff9U,     0xa59eb448U,     0xe7f09abfU, \
    0x570abe9cU,     0x94f34e23U,     0x9d5e2e3dU,     0x3f467992U, \
    0x63361958U,     0xee638a5dU,     0x375123a3U,     0x548c663dU, \
    0x23f98bbdU,     0xa2128665U,     0xf6d06c55U,     0xa060f58eU, \
    0x051acdffU,     0xbf316fa4U,     0x86a660d3U,     0x837c2366U, \
    0xe5474590U,     0x82caa6b8U,     0xac556b94U,     0x22670381U, \
    0x33eee651U,     0x1f1899f6U,     0x8c7a62efU,     0x145dec26U, \
    0x0cdf515cU,     0x1317319aU,     0x60309818U,     0x09182eacU, \
    0x45cb9e0aU,     0x4ae7d63fU,     0x438d6d4dU,     0x3366b8b2U, \
    0x6420f3b4U,     0x2d8ddcc6U,     0xb22c90bdU,     0x6bc94fcfU, \
    0xa4fd9d8dU,     0xfcaa1b62U,     0xfdd22a20U,     0x0080c070U, \
    0x4f708a35U,     0x5d9f7d8eU,     0x6057b6f4U,     0xc9de854dU, \
    0xf5b4a450U,     0x658de312U,     0x67b28f50U,     0xe32c3a8cU, \
    0xf8130688U,     0x5f30f035U,     0x3825840dU,     0xdf374872U, \
    0x3c3b292fU,     0x3c4fde60U,     0x45b61acaU,     0x297ee0a8U, \
    0xc8b15848U,     0x3d780b09U,     0x4816dbdeU,     0x663af9e0U, \
    0x52667149U,     0x27e04350U,     0x0f93ff24U,     0xad5c6a43U, \
    0x5d0434e4U,     0xe0225cbfU,     0x6ba22a09U,     0x48e7b814U, \
    0x33bac8e9U,     0xabbd194fU,     0xa6cedafbU,     0x44b25f37U, \
    0x99b05e53U,     0x8156dc61U,     0x683edaf2U,     0xe2f87684U, \
    0x8df57461U,     0x214f8df6U,     0x58605a76U,     0x1e5d23e1U, \
    0xca73827dU,     0x0ca1608cU,     0x88d31811U,     0xfea1cc0aU, \
    0xda86008bU,     0x38a9409bU,     0xe717bb92U,     0x8e84ba55U, \
    0xb623ee41U,     0xa3e63b92U,     0x47138a5bU,     0x46a1e713U, \
    0x6c9d768fU,     0xc4d192f2U,     0xfbc84924U,     0xc29aba1bU, \
    0x28b14f77U,     0x7ca84531U,     0x078bc56cU,     0x94d3e664U, \
    0x47d65ecbU,     0x8653ad3dU,     0x3bcbbdc5U,     0x80b1a0e0U, \
    0x1c0b809dU,     0xc80ee377U,     0x1eea4316U,     0x441baffaU, \
    0x3b503d80U,     0x47c4581dU,     0xd2ecd991U,     0xc32865f9U, \
    0x7832ec2aU,     0x0cd0bff7U,     0x7e9d0af9U,     0x05652c20U, \
    0x5d76e6feU,     0x2e552b19U,     0xebb5d383U,     0xac5f7de2U, \
    0xeceee746U,     0xc2e39f38U,     0xadb2d4a0U,     0xe3f3b399U, \
    0x570a607aU,     0x2d8e0a3cU,     0x14198207U,     0x56890b94U, \
    0x305b5881U,     0xf6e05f8bU,     0x0c935282U,     0x6f1da4a4U, \
    0x48b093c7U,     0x60fd46aeU,     0xdb58a10cU,     0x952b60caU, \
    0x5f13f5cbU,     0xfead1217U,     0xae7fa10aU,     0x91b6fad2U, \
    0xdc360299U,     0xcc6dbeebU,     0xcb83ef4eU,     0x11172efaU, \
    0x60129c2fU,     0x8e0cd253U,     0xe3bb62faU,     0xf9b641ebU, \
    0x6adde0bfU,     0xc6807d95U,     0x130a802bU,     0xee0c702aU, \
    0x568d78abU,     0x544911aeU,     0x2301d442U,     0xad3c9069U, \
    0x3544b493U,     0x6d3ca66dU,     0x82257c8fU,     0x35439419U, \
    0xe0c2ce8dU,     0xc4eea635U,     0x2c0ba854U,     0x0ede5552U, \
    0x004208caU,     0xc3edb1c3U,     0x89b0937bU,     0x3597407eU, \
    0x7fb304daU,     0xcbcee5e5U,     0x109a6c84U,     0x2f50ac03U, \
    0x3e895150U,     0x9fa92a7bU,     0x8adea196U,     0x83360affU, \
    0x8a28759dU,     0x011a3b05U,     0xcd3c08efU,     0x3b0eedc4U, \
    0x5a20364bU,     0xf7e0b3c8U,     0x53b6974eU,     0xeed3d77fU, \
    0x5ae0194dU,     0x408359afU,     0xea94f71aU,     0x5f9b7f21U, \
    0x2b3084cfU,     0x3dd5a24eU,     0x4867e199U,     0xbb044550U, \
    0x915fc47cU,     0x66477eeaU,     0x3f4c4759U,     0xa2ab3d74U, \
    0xbe74040cU,     0x16763ae3U,     0x2239ea3cU,     0xaf9c1dc9U, \
    0x7acf70ccU,     0xa9fb4ce6U,     0xd13824cfU,     0xcb5291c1U, \
    0x78fcc84fU,     0xaa47d194U,     0x9cea6b46U,     0x3f6775a5U, \
    0x463cd72dU,     0xcc62e846U,     0x587ee9c5U,     0x9ec9fc8cU, \
    0x55a4626dU,     0x6fa996d3U,     0x32a9b054U,     0x4665e284U, \
    0xaa79ff37U,     0x759dc3a6U,     0xa3b8c0dcU,     0x4dbe58c3U, \
    0x5e561723U,     0x1cd639abU,     0x4b3a89faU,     0x9dfea4aaU, \
    0x2385876eU,     0x8fc89c0cU,     0xbd643f28U,     0x141169a8U, \
    0x3bf3bf86U,     0x0f494a63U,     0xa44d5c80U,     0x620cf9ffU, \
    0xfe155c6cU,     0x983d5a7eU,     0xce96a360U,     0xb47920a3U, \
    0xca1a7267U,     0xe5566786U,     0xaed81819U,     0x68150799U, \
    0xe4423a69U,     0xfab3074fU,     0x3f64643eU,     0xb8321099U, \
    0x11d9c9fbU,     0x5d681124U,     0x7e32a9c4U,     0x4cbd78b1U, \
    0xec98447eU,     0x757c3831U,     0x4f8f4fc8U,     0xbac3c600U, \
    0xfe8bc886U,     0x3442407fU,     0x961fd2adU,     0xb56986acU, \
    0x88281c0eU,     0x942b8c1bU,     0xa98599aaU,     0xaebf02f3U, \
    0xd9fd73b8U,     0x7a78b177U,     0x5467eb78U,     0x06a1464eU, \
    0xc7d0731bU,     0xee3b3bd2U,     0x2e0f6f9fU,     0x3fc245beU, \
    0x7d560653U,     0x32dba230U,     0xa939afffU,     0x151b9b19U, \
    0xbc31ca30U,     0xf5cbfc13U,     0xfb063a32U,     0xdf8d3ac6U, \
    0x2cd3825eU,     0x65b2c8faU,     0x3612c826U,     0xa6b6a6f3U, \
    0x85916aebU,     0x41e29fc7U,     0xfef3581cU,     0x97c77bc9U, \
    0xef58bfc8U,     0xa44527eeU,     0x72a8a27cU,     0xea82d1caU, \
    0xfca9ba76U,     0xcd9d6378U,     0x5b63466cU,     0x3fd98968U, \
    0xa31a61e3U,     0x68314c2aU,     0x9e71d56aU,     0x3cff4737U, \
    0x01e7efc3U,     0xcb3094bcU,     0xeca53984U,     0xb918c773U, \
    0x386627d1U,     0xf1f9956cU,     0x5ef73e72U,     0x8321a706U, \
    0x0ba2a3b3U,     0x10fbe864U,     0x8cd0240fU,     0x1010f853U, \
    0x6e9d7731U,     0x94ba3272U,     0x3cb6e8feU,     0x635b0b99U, \
    0x5fe345d1U,     0xb7e3ab55U,     0x1de878d8U,     0xd2960362U, \
    0x78e626c1U,     0x79f48d05U,     0x8b80c7c4U,     0x13621f7cU, \
    0x7d057324U,     0xd8aa22f2U,     0x21316564U,     0x682c0ce0U, \
    0x861c772fU,     0xae8ee7baU,     0xe0c83b30U,     0x4135180fU, \
    0x749f420eU,     0x73e6ebcfU,     0x6c2bc60cU,     0x0b77bed8U, \
    0xc88caf3aU,     0xbbca6e96U,     0x1e31886eU,     0xb6ea35f7U, \
    0x24c30f88U,     0xe37d3372U,     0xb6685c3fU,     0x55c30a20U, \
    0xcd7ec07fU,     0x7f566062U,     0x889d4f6cU,     0xe786d74bU, \
    0x3fcb0f1fU,     0x075cb9c6U,     0x27253e61U,     0x85a6d994U, \
    0x560a92b5U,     0x03b6d2dfU,     0x03de23d7U,     0x03864cb7U, \
    0x31b1e3c8U,     0x689acb3bU,     0xfc48ee5aU,     0xe10f8f51U, \
    0xcea3dabdU,     0x1c12c240U,     0xd4526b43U,     0xc91717aaU, \
    0xb0048fddU,     0xe0342aeeU,     0x8c911696U,     0x32d41d9aU, \
    0x1f4a121bU,     0x19d0ad80U,     0x2e5e906aU,     0xd12c4afbU, \
    0xbcf9cd4dU,     0x6a6fefd6U,     0x94fc4f25U,     0xfb767ff0U, \
    0xc8a7ba19U,     0xcfaff532U,     0xc3dcca04U,     0xa0b4f83dU, \
    0x3af1240bU,     0xd7691bb6U,     0xabd90bb4U,     0x7b28e1c6U, \
    0x4febbe08U,     0x70e3950fU,     0xd9e04555U,     0x303a3174U, \
    0xb82e5abcU,     0xe7699d8dU,     0x1a298d6cU,     0xaa0d0f61U, \
    0xeddc8a98U,     0x0b80fa67U,     0x26f4a1f6U,     0x4496efdaU, \
    0xf6f782c2U,     0xe0dcf689U,     0xbfa7d2d4U,     0x11897400U, \
    0x5bc6316aU,     0x06867059U,     0xaf4043afU,     0x571530e2U, \
    0xf4d0bbddU,     0x23dbf18bU,     0xb73d85e7U,     0xb44c49d6U, \
    0x7fc02a55U,     0x35330e29U,     0x75c72b73U,     0xbc9993ceU, \
    0xc53f2337U,     0x6f49471dU,     0x65cd116eU,     0x903c7870U, \
    0x2a13b880U,     0x49aa648bU,     0xc4fb5674U,     0xd989b63eU, \
    0xd661e8efU,     0x73350d1dU,     0xe249ee75U,     0x6f3c35fbU, \
    0x5bede4a4U,     0xe8c49831U,     0xbd95e167U,     0x552930b9U, \
    0xda2a430aU,     0x812b3580U,     0x0c44cdfeU,     0xf744aa39U, \
    0x42f8aa05U,     0x4fd55f49U,     0x034e1a15U,     0x4d997652U, \
    0xf954de33U,     0xc9a5c4baU,     0xbcf61e73U,     0xa229b05fU, \
    0x422fa01aU,     0xf1ad58adU,     0xee26bf44U,     0x6feeac7cU, \
    0xd7ba7aa9U,     0xf6173b8eU,     0xa4611809U,     0xe597ada7U, \
    0x40bf5296U,     0xf8481032U,     0xfb2f1f32U,     0xe5f61d6fU, \
    0x4b0348f5U,     0x719dae3aU,     0x936c31d3U,     0xbbd03d61U, \
    0xbb36969aU,     0x25a47900U,     0x4d22629dU,     0x05154687U, \
    0xddcc387bU,     0xfe926672U,     0xde915a6cU,     0x2dd8c37cU, \
    0xb3c201efU,     0x28db151fU,     0x7a645c19U,     0x4858b5faU, \
    0xcbd85bdaU,     0x83344024U,     0xee3f0e4eU,     0xd6f73e77U, \
    0x0442b037U,     0xcb606baeU,     0x746fe54dU,     0xd42515d7U, \
    0x52eb59cdU,     0xaf0e0b01U,     0xfe91a53cU,     0xbcf778a0U, \
    0x66e33f94U,     0xc571f6c9U,     0xe3c8759eU,     0x5fcf3d28U, \
    0x6db3991dU,     0x79cfb93bU,     0xd7e44d5eU,     0x4896991eU, \
    0xdf5ef968U,     0x9079d7a0U,     0x6d3f6821U,     0x04c5e30aU, \
    0x75c5d88bU,     0xf040d142U,     0x7bc3aa86U,     0xa64dea1bU, \
    0xf2b5175eU,     0xf8df9a90U,     0xbc7314a0U,     0xf5c6a494U, \
    0x72bc9438U,     0xe305e99cU,     0xd3bafa52U,     0x32af72ebU, \
    0xea5eded7U,     0xbd99f7c4U,     0x694f28ebU,     0xfe5dec86U, \
    0xaa86851eU,     0x60072e15U,     0x71a33cb1U,     0xab7d9035U, \
    0xc08787c6U,     0xb4573ad5U,     0x69a18bcbU,     0xe492ee7bU, \
    0xd5973a26U,     0xfae69992U,     0xddd10841U,     0xaca83c22U, \
    0xe5fd8518U,     0xb691ed3bU,     0x2d6d0caaU,     0x6a3f291cU, \
    0xc5b3cb06U,     0x4ced37d1U,     0x041af9bfU,     0xa1f54007U, \
    0x02dd43e0U,     0x78d4d254U,     0xe5234a82U,     0x0492a3d9U, \
    0x879a5014U,     0x72390dc2U,     0x7d072a0dU,     0x68f36ebbU, \
    0x5e632cafU,     0xd8c9fecbU,     0xfae1140dU,     0x29346569U, \
    0x8c30b36cU,     0x0b37f443U,     0x2acfbe84U,     0x08dc2138U, \
    0xe24cefcfU,     0x01075fc1U,     0xe4bb2a53U,     0x1912cd3bU, \
    0x80c51f30U,     0xb55e77f6U,     0xc18b7f0dU,     0xef105b45U, \
    0xec2996ceU,     0x469b65f7U,     0xccd302efU,     0x7ab54a8aU, \
    0x6d0e5829U,     0x4610dec7U,     0x8e3f58f0U,     0xc184cd21U, \
    0xb14b15b4U,     0xf555bb33U,     0xf45faea1U,     0x2325d4d1U, \
    0xf31aee27U,     0xacdffb00U,     0x2ebfa832U,     0x2b27f496U, \
    0x1702f851U,     0x9e58c441U,     0x176c06fcU,     0x67d66cc4U, \
    0xa306e3f8U,     0xcfa7f8ccU,     0x51234799U,     0x50f6592bU, \
    0x086cc84aU,     0xa850233fU,     0xc5fc5652U,     0x65335dc3U, \
    0x5066d5b9U,     0x6f9d360bU,     0x1682c8a7U,     0x7d38cd00U, \
    0xe9877422U,     0xa1c32816U,     0xcadfaa0eU,     0x6de8b5e7U, \
    0x52271a05U,     0x9196260dU,     0x3f963238U,     0xdb866bdeU, \
    0xaacbb7f8U,     0x6aa224e6U,     0x11ce789eU,     0xd3187886U, \
    0xfe01ad05U,     0x85c47e82U,     0xa9b5742aU,     0x0f4071c4U, \
    0x67ce60afU,     0x1d7ec945U,     0x6cb88533U,     0x24577874U, \
    0x358cd8f4U,     0x154ed7abU,     0x195e109dU,     0x5d3d43d6U, \
    0xdc34da85U,     0xc366e9f2U,     0x9d0e1d1aU,     0x39a16043U, \
    0xa447ddadU,     0x4e14cc29U,     0xa011de5fU,     0x06f1fba9U, \
    0x0b6bfd90U,     0xb22188deU,     0xa05ad4dcU,     0x2d4b1901U, \
    0xc2bfa21fU,     0x24e501feU,     0x12b283e9U,     0x7b7e329aU, \
    0x27568608U,     0x17337df0U,     0x05cf26b7U,     0xf8b4c66bU, \
    0xa511e2ecU,     0xe77910e9U,     0xed5e0d8eU,     0x6d51ad0dU, \
    0xca6580f2U,     0x390342e3U,     0x3b3bc34aU,     0x5e97ec97U, \
    0xca3a7e4aU,     0x58040437U,     0x37871304U,     0x92bf6ed1U, \
    0x2b65daa4U,     0xebeff0c8U,     0xe5eaf1adU,     0xbdb71963U, \
    0x3cd147dfU,     0x3b9561a0U,     0xd0688908U,     0x1b8d5854U, \
    0x70a250cbU,     0x6032bf80U,     0x7354622eU,     0x2e247a22U, \
    0x2d16a114U,     0xfd88785bU,     0xfe6ed2d3U,     0xe6a3a1efU, \
    0x04087caeU,     0x73af241cU,     0x939b589cU,     0x83bf5e99U, \
    0xbe0f404bU,     0xccc1d1ffU,     0x2fde75aeU,     0x2fea45daU, \
    0xe71e976cU,     0xc1227a3cU,     0xe41c9599U,     0x8442d589U, \
    0xad3664ccU,     0x6c1dfc86U,     0x80279be3U,     0x50aad41aU, \
    0x35b7382bU,     0x5214c260U,     0xcaf9c0abU,     0x3d81c85dU, \
    0xf708d40cU,     0x35820d97U,     0x5e819948U,     0x0574633eU, \
    0x2bf732fdU,     0x63b9492fU,     0xc882b339U,     0x87beeb52U, \
    0x8bf157efU,     0xd2dcdf5fU,     0xa02e6cc3U,     0xce397c58U, \
    0xe4115a4dU,     0x400354efU,     0x015a47b1U,     0xda03330bU, \
    0x44a7cdeaU,     0x712323e7U,     0x137b564cU,     0xb9fb14edU, \
    0xe4fc4cf7U,     0x0cb0dd95U,     0xb0778287U,     0x19fb1f73U, \
    0xcd0c229cU,     0xe4b5ca7dU,     0xd0d4b1c4U,     0xcff64671U, \
    0x1e28419eU,     0x20a68bdfU,     0xf0f66a01U,     0x39c1d569U, \
    0x732ca278U,     0x9cd2e406U,     0x38c2c76dU,     0x8fb5035eU, \
    0xa6927a76U,     0xfa8aed2dU,     0x8f3d00b3U,     0xb65a4ccbU, \
    0xaf765cdfU,     0xf213096eU,     0x2bf1a77fU,     0x31894407U, \
    0x4d110a1bU,     0x3d34c718U,     0x415fa46fU,     0xb9a8cf78U, \
    0x64450fbcU,     0x85114cfeU,     0xcbb872a8U,     0x8a283c3aU, \
    0x2147e5d8U,     0xd860279eU,     0x808dc864U,     0x0c307678U, \
    0x50fe253cU,     0x711fdf61U,     0xcdfab1b5U,     0x0782e9dbU, \
    0x4bf4f914U,     0xb4fb9916U,     0x47362235U,     0x8257c2e7U, \
    0x68d79a22U,     0x2ce9b7e8U,     0x004a0cc8U,     0x7b6b0827U, \
    0x8ccfd42cU,     0xaa07d826U,     0x16dde38cU,     0xe1f4e0e2U, \
    0x345ff4b7U,     0xb7081ca3U,     0x721d7061U,     0x613d0fe0U, \
    0x62b378e7U,     0xe0711dceU,     0xc512b062U,     0xf7133eafU, \
    0x341097b4U,     0xd2d44415U,     0x0f88a266U,     0x36ffcf85U, \
    0x2f1e8910U,     0x3c9991c0U,     0x20d5f4e6U,     0x262266cdU, \
    0x375d6771U,     0xe544d485U,     0x0e7b3494U,     0x815bca69U, \
    0xe31092daU,     0xa067e112U,     0x7b633144U,     0xe723a708U, \
    0x4f8c8cecU,     0x38defa3bU,     0x9f81ff03U,     0xa3dc8445U, \
    0xfce5d26dU,     0x8c7bdf31U,     0x95df3b3dU,     0x7b610825U, \
    0x6566c176U,     0x3c99cefcU,     0x3cc315b9U,     0x12fab87cU, \
    0xf0f23139U,     0x977e6963U,     0xd668a0dbU,     0xfe828001U, \
    0xe3ae3c59U,     0xf21c3dd4U,     0x33e4b224U,     0xc5a3df47U, \
    0x6fa0b0a6U,     0x8bd5bc50U,     0x1d97695eU,     0x358bd2f6U, \
    0xa4bfd580U,     0xd5665f65U,     0x1f1918e5U,     0xf25f85a1U, \
    0x877460baU,     0xd211472cU,     0xcdca018cU,     0x63018df4U, \
    0xcf097bdaU,     0x0918ec79U,     0xe668932aU,     0x39b975daU, \
    0xf8e90fe4U,     0x1b99a1c3U,     0xccd42e4cU,     0x28ad5cb6U, \
    0xcd56f1e1U,     0x3570f64aU,     0x1d9b1fb4U,     0x1a9ef41eU, \
    0x1c03eb31U,     0xae4b1da0U,     0x0f9c92d7U,     0xba3a043dU, \
    0x75bb3f72U,     0x46beb782U,     0x9afb092cU,     0xaa75afe3U, \
    0x4c19b082U,     0xf1e8747fU,     0xb68ef44aU,     0x53e90fc5U, \
    0x1aa55782U,     0x7742e5eaU,     0xbe86806aU,     0xd499f713U, \
    0x84a10d12U,     0xda594156U,     0xac76f788U,     0x3b757fc4U, \
    0x020145dcU,     0xfb634502U,     0x6599aab7U,     0xabeaa3fbU, \
    0x92dfdc73U,     0xbc7c2896U,     0xfd2d36a6U,     0xe4d4280cU, \
    0xcf195ff8U,     0x73be16a8U,     0x4e464f91U,     0x15e2c912U, \
    0x7b89f2d4U,     0x0b675a05U,     0x77860e84U,     0x93e2ad37U, \
    0x2e5224c9U,     0xb672eb4cU,     0xb26fea1bU,     0xf4c061feU, \
    0xb1d2f66bU,     0x9fb2353bU,     0xd0f333b6U,     0xa87aa721U, \
    0xc493ee03U,     0x8481b041U,     0xfb3c3642U,     0xe872383fU, \
    0xf36f4342U,     0x79b2b985U,     0xfb5a0f41U,     0x364831a1U, \
    0x844e9690U,     0xceda7edbU,     0x583ad3adU,     0xff05e605U, \
    0x0aa02f6eU,     0x5f2505a2U,     0x172b0a41U,     0x8abe1093U, \
    0x7cec1c4eU,     0xf12ced30U,     0xa00f3b36U,     0x117669e0U, \
    0xfba527a9U,     0x1e2953ceU,     0xc9422bfcU,     0x8f6ee3d5U, \
    0x3610fa71U,     0x1b6dcfcaU,     0x59a2abeaU,     0x7f736141U, \
    0xb532a05fU,     0xcab0b10dU,     0xff2d7f74U,     0xfdb94d83U, \
    0xbe55d4e6U,     0x2d1a756cU,     0x437b76dfU,     0xb196d0d5U, \
    0xce15a6b7U,     0x26bec4e3U,     0x35f5a66bU,     0x49c3b12eU, \
    0x73ec84a1U,     0x6f3f4daeU,     0x300f0416U,     0xe482280bU, \
    0xd1fa962aU,     0x6667caa9U,     0x6bb8ea2fU,     0xb213b68fU, \
    0x7a480c53U,     0x4aec01f2U,     0x2cf8273eU,     0x618fdf63U, \
    0x142bdd9eU,     0x00ac604eU,     0xa21fbdc5U,     0x060bdb3fU, \
    0xe42a7d05U,     0x06dee36aU,     0x8d56b33bU,     0xb407fb1aU, \
    0x8070f6ddU,     0x8afebbf0U,     0xa8a67653U,     0x9b3fc33eU, \
    0xa907a256U,     0x3ddac0c6U,     0x81aba5b3U,     0x6050da2bU, \
    0x4af565afU,     0x083f9241U,     0x345e40f0U,     0x2b1ee94fU, \
    0x9302896fU,     0xef9c6a41U,     0x9d90cd98U,     0x270da5a4U, \
    0x6e391a3aU,     0x31b84509U,     0x9cb67df9U,     0x05400fbbU, \
    0x2c0493b8U,     0xea1ab2f9U,     0x51782854U,     0xba75007bU, \
    0x48b569e2U,     0x1c99f86fU,     0x55606004U,     0x8d715da4U, \
    0xac4349acU,     0xe28cbbdbU,     0xb6c9898cU,     0xf10ef310U, \
    0x8573518dU,     0xb334b274U,     0x35faf06bU,     0x21658f59U, \
    0xde0fa47dU,     0xcc57d348U,     0x26e5e563U,     0xc5fa97caU, \
    0x67366cdcU,     0x7bfbf3c6U,     0x9586518bU,     0x92ae2960U, \
    0x0ee47a34U,     0xd9887f31U,     0x322e2c47U,     0x139cfc4fU, \
    0x7968e4eaU,     0x6a3ebfd0U,     0x1ba8daa0U,     0xa89e9cf9U, \
    0x9d06f169U,     0x0ccb5030U,     0x6c1a1700U,     0x78d68325U, \
    0xedb9cdb9U,     0x57ceaa90U,     0x05eb1193U,     0x8f1d7762U, \
    0xabb5347fU,     0x5685a414U,     0x3be061adU,     0xd9d4d01bU, \
    0xb4a62be4U,     0xb8050eebU,     0x81831c04U,     0x52fc0858U, \
    0x35b21711U,     0x388a1835U,     0x7ac7a650U,     0xe1c9fae0U, \
    0x4cc70f92U,     0x57ed8e06U,     0x0d667953U,     0xd92f953eU, \
    0x93c9ee56U,     0x32f6fb97U,     0x69c5aa2dU,     0x0e23c6b1U, \
    0x33b489bdU,     0x4569f629U,     0x88c27989U,     0xc104278dU, \
    0xe9977ed6U,     0xaae195b2U,     0xce834470U,     0xc517c477U, \
    0xf2c316b3U,     0xee4c01f2U,     0x35df473cU,     0x8c0572a1U, \
    0x857c66a5U,     0x0d7d14bfU,     0xd9546058U,     0xa12762caU, \
    0xd41812faU,     0xc18ad859U,     0xa1877e19U,     0x680107e3U, \
    0x87862169U,     0x88a6af4eU,     0x38efbf9dU,     0xf37f4574U, \
    0x9b599e57U,     0x01e2060fU,     0x89233843U,     0x018e0eb1U, \
    0x30eee567U,     0x7e0a5ab1U,     0x00bd140aU,     0x1b51d3aeU, \
    0xcd193fedU,     0x528f8f2bU,     0x90c61c8bU,     0xf313f0c3U, \
    0x62caea91U,     0x307459dbU,     0x4e6d0f4dU,     0xe3a918c3U, \
    0xd379bf39U,     0x64da5d95U,     0xbc4ca975U,     0x6804a88cU, \
    0x71f31097U,     0x0a87a8f5U,     0x23a042bdU,     0x21295cebU, \
    0xb5816605U,     0x779396c4U,     0x7a45e744U,     0xe7a81e6fU, \
    0xd37c6f04U,     0xf0314832U,     0x2b45cd37U,     0xaeab6abdU, \
    0x882e9973U,     0x66b90b18U,     0xbc8ded2aU,     0x2eb5b02cU, \
    0x354a058aU,     0x9405373eU,     0x612a4671U,     0xf71d6242U, \
    0x55f21b82U,     0x013af0c2U,     0x2a951e8fU,     0xaa0ff3c0U, \
    0xe91e7dbfU,     0x5a388f48U,     0xae73ed66U,     0x747dfa98U, \
    0xc248ffe2U,     0x0a3cbbccU,     0xbe738deeU,     0x84349230U, \
    0xfe099d6dU,     0x1f489eedU,     0xe274434dU,     0xedb347c4U, \
    0x09b39135U,     0x43c58bc3U,     0xbf7935f7U,     0x85bb4faaU, \
    0x7eb96f8dU,     0x03ece93bU,     0x6580ae74U,     0xc60e7413U, \
    0x597d6b81U,     0x55206015U,     0x0c5221e1U,     0xf3be1d0bU, \
    0x72a27762U,     0x2826d957U,     0xe38263e6U,     0x1676706fU, \
    0xead16ac8U,     0xa6176f2dU,     0x74f0a853U,     0x14db4687U, \
    0xf54bc0c4U,     0xbbe68ccfU,     0x83ea07ceU,     0xa69690dfU, \
    0xadd43a5bU,     0xe820fa6eU,     0xd670415dU,     0x1406a106U, \
    0xc95f822aU,     0x8695ebc0U,     0xd62a63b2U,     0x6b29e98eU, \
    0xf29c6509U,     0x75d8f550U,     0x3f73d3cdU,     0xbfbd091dU, \
    0x646dcad9U,     0x7860cd2cU,     0xa5128ac9U,     0xb4d1b4a0U, \
    0x99bd1d10U,     0x022b8709U,     0xdd1e4423U,     0xdf315635U, \
    0xe19bd59aU,     0x8bd8d271U,     0x4ba4ddf8U,     0x058a42c1U, \
    0x7ef90c79U,     0x1e1d7f3eU,     0x508acd5eU,     0xd0b0a8b9U, \
    0x392a7c12U,     0xeb32ed8eU,     0xd2de0620U,     0xbe684bf3U, \
    0xe9af4173U,     0x588a06bfU,     0xeb52f921U,     0xb86e1cacU, \
    0x980c1e22U,     0x1165eee9U,     0xaec9f86fU,     0x1910900dU, \
    0x32392b6cU,     0x935f89cdU,     0xe89b5714U,     0x7b1b02e3U, \
    0x3da48bc6U,     0xa40838d2U,     0x70c20117U,     0x65fb695dU, \
    0x374dc20aU,     0xd3244b69U,     0x2b75abb0U,     0x1312ee63U, \
    0xf087cfd6U,     0xed7e1002U,     0xccf73bceU,     0x11ecf78cU, \
    0xc9e3b471U,     0xdcb87a18U,     0x1e6db56bU,     0x7e88af26U, \
    0xfd937da2U,     0xfbe5dd25U,     0xf26c4229U,     0xc7e0da62U, \
    0xe8957c2aU,     0x81efdb3eU,     0x8f46c2fcU,     0x49c44cbcU, \
    0xa0682378U,     0x7c5b9e49U,     0x829c92e7U,     0x5eecb0edU, \
    0x5a88a750U,     0x69a8fb9fU,     0x21ce9e88U,     0xfa723345U, \
    0xaecdaa88U,     0x5b54a10eU,     0xaa8a0670U,     0x1b875d49U, \
    0xcac1d532U,     0x9b2cf506U,     0xb0626975U,     0x2a943ec6U, \
    0x09b35436U,     0x8f15a166U,     0x03282134U,     0xc97a753dU, \
    0xf024c28bU,     0xa535c5a5U,     0x04927731U,     0x5506780aU, \
    0x9c8a3e5dU,     0x9221534fU,     0xfb8dc7afU,     0x12edbba2U, \
    0x6ba0d5bcU,     0x36a6e8baU,     0x597ae086U,     0x70ddc2d3U, \
    0xbf862a4dU,     0x246ec07dU,     0x341da1deU,     0x2a9f0441U, \
    0xb29ba02aU,     0x020f3f83U,     0x3f446e9fU,     0x70581f6eU, \
    0xbed8fa93U,     0x58374537U,     0x8cd26389U,     0x1d5f8467U, \
    0x03360a9eU,     0x8c9cfa92U,     0xd400c8f0U,     0x4011d86dU, \
    0x9a0b2e5eU,     0x5a02bea6U,     0x44b81033U,     0xf9c2c0f7U, \
    0x1bd51ffaU,     0x0bd4b843U,     0x4917fca0U,     0xfa2f682aU, \
    0xc996c9ecU,     0x78d23d33U,     0xf7db02dcU,     0x9cc5dafaU, \
    0x3cd2bd46U,     0xdac13bd8U,     0x6cba30a1U,     0x23c3c836U, \
    0x80bc6974U,     0xc8e529a0U,     0x72bb21b8U,     0xf75fa02dU, \
    0xcdcbbe0aU,     0xe7980cd2U,     0x3d810471U,     0x50c0acbcU, \
    0xd353f8f3U,     0xa48b6251U,     0x20122f08U,     0xe35c0a78U, \
    0x83585d91U,     0xfaef3f9dU,     0x5d164880U,     0x7ec0052aU, \
    0xb999eaf3U,     0x1e8e84e8U,     0x0a442ae2U,     0x8d2e137dU, \
    0x55f3194bU,     0xca02bff2U,     0x102186dcU,     0xc7519c95U, \
    0xfdfa9860U,     0x0f6dfeb9U,     0x213751edU,     0x35aab3e1U, \
    0xc5db43daU,     0x337ed007U,     0x99231311U,     0xcbfb9d9dU, \
    0xeb371d14U,     0x53f799ecU,     0x83b2b7f4U,     0x3ade9427U, \
    0x714d7662U,     0xb1e983f8U,     0x12a00182U,     0x63a3eb90U, \
    0x69ab0df1U,     0xa5205264U,     0x9341ff6fU,     0xa80fd239U, \
    0xe1ae1c81U,     0x7c660405U,     0x7ea6976bU,     0xd9979abaU, \
    0x10c959cbU,     0xad59c0dbU,     0x2648f469U,     0x242489eaU, \
    0x011ec5ebU,     0x103cc855U,     0xf78aeb1eU,     0x288a0fc2U, \
    0xc346fbc4U,     0x28e94e81U,     0x28b2e0e8U,     0x1a185622U, \
    0xd9bb063eU,     0x79688e0bU,     0xaea149e5U,     0x7b21aff4U, \
    0xe0784031U,     0x40cd654cU,     0xf08f606aU,     0xa2d7d1bfU, \
    0x4430b1b7U,     0xadec1cbcU,     0x8ac4e395U,     0x9fe55787U, \
    0xce7d1951U,     0xa3fb5e84U,     0x2cc6cafdU,     0x2b31aedeU, \
    0xb24593baU,     0x4942d881U,     0x4d2495deU,     0x6a1965bbU, \
    0x3e592e20U,     0xa99be929U,     0xcda6ffd3U,     0x2e503f72U, \
    0xf5064555U,     0xe0317ee8U,     0x191378f3U,     0xc24a48eeU, \
    0xe31bb543U,     0x1faeda37U,     0x93d1a150U,     0xd12fd24dU, \
    0xfd069720U,     0x2ce12b2eU,     0x9cf646c3U,     0xa67c345dU, \
    0xa247a2aaU,     0x1c4d3358U,     0x46ff0c41U,     0xa2962953U, \
    0x0331c92bU,     0xa918bc90U,     0xba269569U,     0xf2c4eda2U, \
    0x158414a2U,     0xd8620896U,     0x9a7c45b0U,     0xd12e33daU, \
    0x1f4250f2U,     0xde0711eeU,     0xd057ac36U,     0x62be0816U, \
    0xe59b5b96U,     0xb1ae52e1U,     0x0fbbf291U,     0x1ec2098aU, \
    0x0b713ac1U,     0x1eb852e6U,     0x38818c6aU,     0x01b62595U, \
    0xe74a0dc2U,     0x44f42b83U,     0x07ee1414U,     0x4cb5be65U, \
    0x16607595U,     0x086efed2U,     0xee28cde6U,     0x4146833bU, \
    0x701e7c82U,     0xaa64b712U,     0x9c4bf2cbU,     0x63f23987U, \
    0x544ce47eU,     0xf6ce50d7U,     0x36210c01U,     0x32591b4cU, \
    0x374705e9U,     0xb3a75368U,     0x567fd381U,     0x48f5d1fcU, \
    0x6530e698U,     0x0293b603U,     0x01f47b95U,     0x640bc43dU, \
    0x8abddf35U,     0x26f96a59U,     0x3c25625fU,     0x95b1ba79U, \
    0xb8b1217eU,     0x2f372e06U,     0xf7e439dbU,     0x3365eb9dU, \
    0xb17bb13fU,     0x51928f3dU,     0xb131cdbeU,     0xe5a09330U, \
    0x4533fb2cU,     0x6704f11cU,     0x96a8489eU,     0x3cc1d40bU, \
    0xf8e71b47U,     0x9746014cU,     0x26322065U,     0x5eb9d7a8U, \
    0x4717505eU,     0xeab508bbU,     0xb5f74388U,     0xd8c01b46U, \
    0xd0e4a1ddU,     0xd691abe4U,     0xd0537951U,     0xa23a791fU, \
    0xca9721b1U,     0x4b974eecU,     0x49e33f64U,     0x24f851d2U, \
    0x1b741e5cU,     0x5d24e2e4U,     0x13e49189U,     0x3dfa9b97U, \
    0x510483a2U,     0xb2b70e39U,     0x18e820d0U,     0xf5623b99U, \
    0x83b30769U,     0x01dbaad7U,     0x69ab47a1U,     0x009e819eU, \
    0x5c6cdb5cU,     0xe3098a35U,     0x2679db1cU,     0xf2d597a4U, \
    0xa042c3feU,     0x980e4244U,     0x2c24d045U,     0x1d8bc4f6U, \
    0xa8925750U,     0xe42a3814U,     0xd7c022c3U,     0xdeab48bdU, \
    0x9940e05aU,     0x1913e887U,     0x8e790e65U,     0x15696808U, \
    0x3129c789U,     0x6ad4f99dU,     0x3a0e5af3U,     0x11b8fc2fU, \
    0xae005fd6U,     0xa4aaed84U,     0x457ed5afU,     0x60984491U, \
    0xb03ea6caU,     0xf397a533U,     0xf25883bfU,     0x3006f4a8U, \
    0x248b8c84U,     0x23853b33U,     0xdde6b509U,     0x935e3c95U, \
    0x3ac789afU,     0x9b057eb4U,     0xe25d14a5U,     0xd4acb616U, \
    0x5c5fd42fU,     0x9def753dU,     0x6b35a2b8U,     0xbb9873d2U, \
    0x40c55f29U,     0x855bbb0dU,     0x27847739U,     0x788d971cU, \
    0xf32636a7U,     0xe3ee16afU,     0x6f364855U,     0x30a385d4U, \
    0xc1965457U,     0x6c19f089U,     0xb1a14a91U,     0x9188e61dU, \
    0xebe06739U,     0x42c799cfU,     0xdf83012cU,     0xc7a6f013U, \
    0xd9771ba7U,     0x45853ce4U,     0xcaec5958U,     0x066c007aU, \
    0x72da3df0U,     0x99ac6853U,     0xf4ead743U,     0x94351eeaU, \
    0x1f7ecaa9U,     0xc5a86eecU,     0x11482d76U,     0x5663e385U, \
    0x0f7da053U,     0x346902d5U,     0xbf053cc6U,     0x4198a139U, \
    0xf9213224U,     0xa43aa0f2U,     0xd3806b8dU,     0x9b552ad3U, \
    0x688924b1U,     0x37571324U,     0x28aed438U,     0xcf395763U, \
    0xcde404aaU,     0x777f4d5dU,     0x2e092053U,     0xd44df3baU, \
    0x3dc41b17U,     0x2c5bb98cU,     0x6f769dcdU,     0xb82e10a6U, \
    0x3fc325e2U,     0xeb802b2aU,     0x3b0764d0U,     0x65382455U, \
    0x131bb152U,     0x11ed32c1U,     0xacc057e5U,     0x3c42b998U, \
    0x3eb52b15U,     0x764ec67dU,     0xecd335c4U,     0xbe1c4a84U, \
    0xa02af193U,     0x97972facU,     0x6a3d10e6U,     0xe7cc4f4cU, \
    0x5bf8ad47U,     0x6b7fc905U,     0x639ff142U,     0x772bf91bU, \
    0xf20f45c7U,     0xb9add046U,     0x7089a244U,     0x444345b5U, \
    0x8f8e97cfU,     0xa6888b25U,     0xa1063ba9U,     0x2546fd5eU, \
    0xf0642cbbU,     0x684ebc74U,     0xe1a0cbe6U,     0xe4cd7cc2U, \
    0x5974944bU,     0x98302810U,     0x76a6c9d2U,     0xc29ed011U, \
    0x6857fc05U,     0x26c4c311U,     0xd013cbc2U,     0x363b9b54U, \
    0x869177d9U,     0x025f2874U,     0x11cd9ba5U,     0xf55d4549U, \
    0xebed9b76U,     0x9b4828bcU,     0x0b19ae4cU,     0x27accd5bU, \
    0x26c5f094U,     0x75ce61ccU,     0x14559e19U,     0xa24659faU, \
    0xd935e099U,     0x2a934b95U,     0x63d769f6U,     0x835fb2f6U, \
    0x644c67fcU,     0xca8c282eU,     0x894dfbf8U,     0xcf10b38bU, \
    0xaac8d69eU,     0x2fa2d719U,     0x443cd6d4U,     0xf17b6d7dU, \
    0xcfe1f1c8U,     0x420f2ab1U,     0x862faf6dU,     0x7b915a84U, \
    0x6af62197U,     0x0c9f8258U,     0x2a01d8b5U,     0x1f64018dU, \
    0x7bc493acU,     0xf61939e4U,     0x8ebae9a2U,     0x73144e2fU, \
    0x1866e0c9U,     0x2a1a15beU,     0xbc670974U,     0x068ae3b4U, \
    0x0586a760U,     0xdf4cf90dU,     0xfaa7567bU,     0x105753e1U, \
    0xaac05538U,     0x8ca8e99fU,     0x8db8592bU,     0x3e8668ebU, \
    0x4c1d6ed3U,     0x267eb669U,     0xb8463f55U,     0xe6a5c856U, \
    0x2c626cf6U,     0x9975cf82U,     0x13aad7d5U,     0x7c929f86U, \
    0xd7195bf1U,     0xea5d779eU,     0xf2e1de26U,     0xf30b997bU, \
    0xb74eddf5U,     0x5fbb72f3U,     0x51a55ee1U,     0xd6bc92e6U, \
    0x59158d52U,     0x82b44b5aU,     0x03d67292U,     0x316956a1U, \
    0xa341753aU,     0x86564256U,     0xeed70228U,     0xbfce56d1U, \
    0x9881e18eU,     0xd3a0840dU,     0x517fb1c7U,     0x8d84e939U, \
    0xc99f897cU,     0xa2dfcdabU,     0x12a1209cU,     0x1b3ce419U, \
    0x26363da9U,     0x4bc3d51cU,     0x033cb6d6U,     0x2f264f7aU, \
    0xaed78af8U,     0xac3960c8U,     0x633c6d0bU,     0x0364322eU, \
    0x087cc3dbU,     0x2148dfa4U,     0x72bde410U,     0x36c4ce22U, \
    0xbfeb6473U,     0xa792f550U,     0x52c064daU,     0xb843b466U, \
    0x93639f38U,     0xc4d01b5bU,     0x303f5109U,     0x8fcf4541U, \
    0x281f929eU,     0xe42701ecU,     0x601f71b9U,     0x77784cafU, \
    0x8624397aU,     0x2472c853U,     0x11b2c95aU,     0x9b0899c0U, \
    0xd1d2dea2U,     0x6d59190cU,     0x09cfb763U,     0xc933d48eU, \
    0x908b79c1U,     0x105d052bU,     0xd64b8b29U,     0xb01af680U, \
    0x44c1fc59U,     0xa1c168b9U,     0x317015bbU,     0xf1985e4eU, \
    0xd0b3fecfU,     0x712febfbU,     0x6ab974b9U,     0x94084157U, \
    0xd156e193U,     0x4ed96dc9U,     0xfcbece1cU,     0x87e35f91U, \
    0xfabe44b8U,     0xcb544c2aU,     0x8915dc82U,     0x3d6bbf07U, \
    0x345ec64bU,     0x6ee30801U,     0x94115519U,     0x1b9d6fe9U, \
    0x1e7d8163U,     0xb0bd988aU,     0x88c21c2fU,     0xa657cd9eU, \
    0x2918f217U,     0xa372a773U,     0x61318e4bU,     0xdd7592dbU, \
    0x6a0f9ea8U,     0xad22ec5dU,     0x6719a97cU,     0xee218a32U, \
    0x23a75c96U,     0x965aa086U,     0x54abb181U,     0x1f483957U, \
    0xf2f7e0f1U,     0xaedbf1cdU,     0x7f47f8e0U,     0x6a566076U, \
    0x21c2ad6fU,     0x4bb164e8U,     0xe9e8f30dU,     0x3b16974dU, \
    0x15f0b481U,     0x880d8449U,     0x02db279aU,     0xa023ed1cU, \
    0xf509841dU,     0xea6699cfU,     0xfba542aaU,     0xfdcce581U, \
    0x0d2ee5c3U,     0x9c647834U,     0x0656d423U,     0x6a5a2543U, \
    0x31ab1596U,     0x700cf3c5U,     0xf49bbaa0U,     0x50f18291U, \
    0xced9fdafU,     0xb0650631U,     0x9c8a7ba7U,     0xe62b9975U, \
    0x1018c56dU,     0xb5083e87U,     0xe8bde829U,     0x6f6ace9aU, \
    0x34ec0832U,     0x92aaca4cU,     0x2d7085fdU,     0xf011f3f7U, \
    0x6a23bfa4U,     0x063b9e11U,     0xae26e8f3U,     0xe72be1eaU, \
    0x4b26088eU,     0xe18fb4dbU,     0x3eb97339U,     0x9dc4a52aU, \
    0xd6042335U,     0x1d7e6722U,     0xbac62347U,     0x38c17704U, \
    0x07aecaa1U,     0xdbe7c1b7U,     0x6c3c977dU,     0x9d5d8a7eU, \
    0xe754cd8cU,     0xa007e106U,     0x457a5993U,     0xf9aae143U, \
    0xfb5d2e7eU,     0xcc70bb2fU,     0x5a479188U,     0xee6c2653U, \
    0x78ff7f78U,     0xab643cefU,     0x044186d4U,     0x91ba4f47U, \
    0x9424156fU,     0xea50f89aU,     0x38673129U,     0x2391b46dU, \
    0x34ca36ecU,     0x83472b5fU,     0xefa2c3a1U,     0x77ec090fU, \
    0x33a8b26eU,     0x4466bb26U,     0xc54ad9e0U,     0x6c13812bU, \
    0x4eb388a3U,     0x44404bb8U,     0x057331dbU,     0x6ba3c8e7U, \
    0x8fdfa10cU,     0xfab50b63U,     0xe24a179aU,     0xf05f6927U, \
    0xde3643daU,     0xe266f562U,     0x82756ed0U,     0x3b18f912U, \
    0xf6c98ca8U,     0x8f373c85U,     0x22681949U,     0x41cb2839U, \
    0xd697f31dU,     0xbdd6c69eU,     0x25a4f603U,     0x85842849U, \
    0x38cad8d0U,     0x8960ae38U,     0x4b6c501dU,     0xda17e5a0U, \
    0x8fd3d92dU,     0x9b54d5f3U,     0x62247e80U,     0xb2edb464U, \
    0x42d00074U,     0x73e96998U,     0xc27683bdU,     0xce0d2415U, \
    0xb55ec20cU,     0x8f85d7eaU,     0xc8adf3b5U,     0xa5493e3aU, \
    0x6b81bcb2U,     0x0808f8b7U,     0xa9f40ea2U,     0x19174609U, \
    0x54f3ac33U,     0xa06aa00bU,     0x04eac5baU,     0x7a7dacd7U, \
    0x01e1e7a2U,     0x9a1c0c3cU,     0x5210c84aU,     0xc99cee28U, \
    0x99f63e17U,     0x11f378bdU,     0xa04bd41dU,     0x86ac2470U, \
    0x8ceb54f6U,     0x8c4df614U,     0x054bc708U,     0xe700e868U, \
    0xc04af8d2U,     0x24dfb3dbU,     0x6b8c7b7eU,     0x7577268dU, \
    0x414f43f6U,     0xa9181363U,     0x8dd14a39U,     0xdf57d3ffU, \
    0x56b3c6c8U,     0xb7496bdeU,     0xcba5a967U,     0x5be5ef8cU, \
    0xd420f6c3U,     0xc5099cfeU,     0x2fe9c958U,     0xc3ce4ea3U, \
    0x6fe5417fU,     0xb9651874U,     0x890833e3U,     0x6486d1abU, \
    0xb7818f71U,     0xf8c05be3U,     0xc72bf51fU,     0xb1bde2caU, \
    0xc7ba60b5U,     0x51d2541bU,     0xaa5ce931U,     0x6e175f21U, \
    0x6d5136aeU,     0x9059f868U,     0x0169192bU,     0x4cf87030U, \
    0x2eb7f5c8U,     0x2af44cd2U,     0x8347c51eU,     0x71493ca4U, \
    0x56b9da4eU,     0xee8d1819U,     0xe0f3b2b7U,     0xcec71d58U, \
    0x824cd279U,     0x65cd5e30U,     0x9d53e700U,     0x1727eb31U, \
    0xd3897f4dU,     0x81d3fd1aU,     0x97742cf8U,     0x72d322d9U, \
    0x0cda14a4U,     0x1fe833ebU,     0x62478251U,     0x3ca6551dU, \
    0x90847456U,     0x137f2881U,     0x96e2c4fbU,     0x2284ca5eU, \
    0x0a38c627U,     0x12e94da9U,     0x8268d688U,     0x7eb45d27U, \
    0xef490c8aU,     0x7076937aU,     0x3738216fU,     0x1c40bc91U, \
    0xa68228d5U,     0x14913784U,     0xa8822ceeU,     0x7f4849f4U, \
    0x39bc8a98U,     0x3ebd4e27U,     0x328d35ecU,     0xf863f707U, \
    0x2ca47d13U,     0x0054a14aU,     0x44d63b7eU,     0x360bdc51U, \
    0x2f59774bU,     0x3c71ecdcU,     0x733f3aefU,     0x3e3de9ffU, \
    0x8039ec8eU,     0xea1422c5U,     0x40cf6403U,     0x74f1c1fdU, \
    0xecd3d43eU,     0xc637a5a3U,     0x89cb978cU,     0x66b40b06U, \
    0x9417386dU,     0x0e94e165U,     0x592c245cU,     0x328e1f88U, \
    0xd33997dfU,     0xc819b630U,     0x313829d5U,     0x9cfb443eU, \
    0x353818faU,     0xd7bca2e3U,     0xe835b89aU,     0xfb4a3256U, \
    0x8f7ddfe3U,     0x67e581e4U,     0xa3a794bbU,     0xf03eac96U, \
    0xa60e9c7aU,     0x73743a10U,     0x5505e3baU,     0xfff0d7f2U, \
    0xf5d28adbU,     0xce9b9278U,     0xe6dfa4c7U,     0x04ccb07bU, \
    0xeb647887U,     0x780bc594U,     0x00070445U,     0xc11a98c5U, \
    0x336abe25U,     0x5e56e35eU,     0x81be1e77U,     0x70d5eb5dU, \
    0x4781e7feU,     0xc1b13894U,     0x39231c1bU,     0xd0919c18U, \
    0xbd02c376U,     0x4a4dcf5eU,     0x518d2fe7U,     0xc0b24120U, \
    0x02dcd169U,     0xfb40f97aU,     0xc1792b61U,     0x7d80638fU, \
    0x47cb155dU,     0x2995435cU,     0xa4d792f5U,     0x6f6f931bU, \
    0x738f91b7U,     0x25f9e3dfU,     0x876ee44aU,     0x2eec1aa2U, \
    0x4172c571U,     0x878f1c83U,     0xf73e2780U,     0x54ccaf3cU, \
    0xd73ffaceU,     0x9db66dd5U,     0x592b432bU,     0xae4f3d3fU, \
    0xa29623c8U,     0x5efc095bU,     0xe9fd64a2U,     0x95418adfU, \
    0xf1bdb48dU,     0xf8408551U,     0x92c0df6eU,     0xe611cab8U, \
    0x33dbbc92U,     0xc1a88b28U,     0xc005c468U,     0x19844b3eU, \
    0x8da3a90aU,     0x252d4617U,     0x966a6838U,     0xd88b5186U, \
    0xc6ffa3dcU,     0x0bb8114cU,     0xd9d0bb71U,     0x8e9b3561U, \
    0xd56944f6U,     0x4392ecd8U,     0x9c8c356bU,     0xd22d7e17U, \
    0x2f7d21a7U,     0xdb4b6bd9U,     0x5632fff8U,     0x21010263U, \
    0x4f25a432U,     0x78056cc6U,     0xd64f5c7bU,     0x3aec75b1U, \
    0xa40d54ddU,     0x3ab252d5U,     0x35ab6312U,     0x4229cbedU, \
    0xc56cdc59U,     0xe16d1238U,     0xab2bececU,     0xb33e85d1U, \
    0xe3d86023U,     0xa185bf22U,     0x393d6d32U,     0x54a1855cU, \
    0x6181c62dU,     0x687876dbU,     0x227ec18cU,     0xa6485c47U, \
    0x668e1c4bU,     0xf824dc20U,     0xeb2e6958U,     0x95b55ec0U, \
    0xbfaffe62U,     0x85b5e067U,     0x490a999eU,     0x22c26fa5U, \
    0x94dfbeefU,     0x34497c19U,     0xbff8b269U,     0xf6884d32U, \
    0x6063d0c9U,     0xb2017110U,     0x1af9a476U,     0xe84bf547U, \
    0xc7f18a21U,     0x718a6ea4U,     0x5db24900U,     0x029ae07bU, \
    0x010e9b90U,     0x0b180877U,     0xcd2651a0U,     0xc03fe402U, \
    0x13890409U,     0xe57b4926U,     0xcd8b0fddU,     0xaadbe028U, \
    0x4705ef63U,     0x8797064aU,     0x3a6775afU,     0x0fc90a4fU, \
    0x9bba9582U,     0xf35b343eU,     0x16b4799dU,     0xa13a85fdU, \
    0xc503d9bbU,     0x21c178aaU,     0x125176f6U,     0xea1e433fU, \
    0xf9853594U,     0xa4550abcU,     0x282d07ecU,     0x9ad24610U, \
    0x2b3385f9U,     0x3f7573f3U,     0x0ce9010eU,     0xc06c3844U, \
    0xb790d1bbU,     0xe1c9d1f8U,     0x7cadac2cU,     0x883aaf0fU, \
    0xeabe581fU,     0x62bd3aa8U,     0x39ebc6f3U,     0x29f019d4U, \
    0x0fa49cffU,     0x79371ccdU,     0x02ef5dccU,     0x3be9b94fU, \
    0xf4e4d793U,     0x3072ee02U,     0x2d8fe9cdU,     0x598fe262U, \
    0x56003799U,     0x4fd27163U,     0x8a4665e4U,     0x5bb19065U, \
    0xb073cc8bU,     0xde62b055U,     0x70af44c3U,     0xbbe61691U, \
    0x0ed276eeU,     0x7973dc45U,     0xf6d6ed1eU,     0xccabee5bU, \
    0xa4e276f5U,     0x121afd7dU,     0x74992966U,     0x490e9f1cU, \
    0xb2594180U,     0xea4f3444U,     0x26dc034bU,     0x2e8cd47eU, \
    0xe89fe6f8U,     0x3e3c8db9U,     0x6c0e24a2U,     0x3b5af863U, \
    0x194dc824U,     0x1d333f38U,     0x65c86aa0U,     0x5d4ffe36U, \
    0x0bc5e997U,     0xec2c3801U,     0xa273968cU,     0x937d9f3fU, \
    0x1e985435U,     0x62194b47U,     0x37dfc906U,     0xd833a76fU, \
    0x58daa048U,     0xa37ed2bbU,     0x57a0a821U,     0x8fc7ead9U, \
    0x7b33e2a3U,     0x16b985d9U,     0x9a77249aU,     0x8b402bbfU, \
    0xaabaa538U,     0x3fa39a1cU,     0x9311f9aeU,     0x29f9839eU, \
    0x5ede2e9dU,     0xdb45f843U,     0x5998c77aU,     0xa9be5658U, \
    0xb3e86fe1U,     0xe1e23501U,     0x173b71b2U,     0x16b0be67U, \
    0xc9c181f1U,     0x7729f7eeU,     0xd3293edfU,     0x8229c84bU, \
    0x9dcc5053U,     0x52043162U,     0x2e8c3d2fU,     0x69127d8aU, \
    0x10509414U,     0xad5be3d3U,     0x133863faU,     0x9879b9b9U, \
    0x35cbaee5U,     0xb41c27e1U,     0xef1e2a58U,     0x420923d5U, \
    0xee6dfd99U,     0xd978f543U,     0x838e4c9fU,     0x1ac49ff7U, \
    0x57bea97bU,     0xd509b37eU,     0x79934435U,     0x370e7da5U, \
    0xda3d43a2U,     0x9ef263b0U,     0x07f594d1U,     0x830fb9a4U, \
    0x90684d26U,     0xb6f5dbc7U,     0xc2992384U,     0x0e63fe1aU, \
    0x2bc3354bU,     0xc7d92e4fU,     0x11e3c86aU,     0x92a6d290U, \
    0x021f89a5U,     0xd4abe212U,     0x8f5b2c4bU,     0x52d0b72cU, \
    0x1990954fU,     0x37568577U,     0x595d75cfU,     0xfb9008d7U, \
    0x6e9fcbfeU,     0x0f015ee9U,     0x28eb00f5U,     0x1103413eU, \
    0x9c53fd82U,     0x4010d6baU,     0xd4e37776U,     0x83c3ac47U, \
    0x7e17107bU,     0x811dbc61U,     0x73e66684U,     0x0bdddbefU, \
    0x34cbdacdU,     0xe0a480ccU,     0xfd5d5303U,     0x13a3d1a8U, \
    0x5b456fb7U,     0xb5230129U,     0xcb67315aU,     0x6dc75dd4U, \
    0xb8165d10U,     0x2d0054a0U,     0x1f9be573U,     0xae9dcd6aU, \
    0x597ed81aU,     0x6a2c45adU,     0xc4e708c2U,     0x0980db92U, \
    0x1fd25d95U,     0x8c323f74U,     0x874cb258U,     0x05ba89b7U, \
    0x2e06709eU,     0x8444f793U,     0x9559d84eU,     0x2a8afc9eU, \
    0xe29ac6ccU,     0x9d91e0d3U,     0xf77d18b6U,     0xb25fc9e2U, \
    0xfb4d0a52U,     0xb995df61U,     0x0de8d720U,     0x82b347c0U, \
    0xc8e719a8U,     0x26df20f9U,     0x9a788749U,     0x3b179780U, \
    0x9fc586abU,     0x5f1a8bb6U,     0xe35a1091U,     0x4fccd517U, \
    0x52f2d406U,     0x7dbd5a5cU,     0x44ed851aU,     0xcbd4b458U, \
    0xd2fd201eU,     0xe22feca0U,     0x998dd6a9U,     0xa2e07575U, \
    0x16964733U,     0x5b6e17b9U,     0xc0b4a89dU,     0x519dbdceU, \
    0x4a85b70cU,     0x95bf10bdU,     0x0366c69dU,     0x95a12a53U, \
    0x8e9c1842U,     0xc5bfa8feU,     0xa60ffeaeU,     0xa96df076U, \
    0x5c9ad5ffU,     0xcaff0448U,     0xdfd6e839U,     0xbaf1ae03U, \
    0x7b6ad119U,     0x55f06949U,     0xf95704ddU,     0x855824e2U, \
    0x2c00486fU,     0x28552cb2U,     0xc2b21b9cU,     0x79958f37U, \
    0x2706b9e1U,     0xa1630eb0U,     0x326d6beeU,     0x0e94222aU, \
    0xba0a3193U,     0x2a3466abU,     0x7a3b34c2U,     0xa97c3a7cU, \
    0xffdc045aU,     0xc26f66ceU,     0xda74ea45U,     0x6472d0dfU, \
    0x06583541U,     0x14da644fU,     0xaf26bebeU,     0xa7d49435U, \
    0x03a160bcU,     0xd92572dfU,     0xe7ed889bU,     0x44d41f1aU, \
    0x90ecab37U,     0x3bdefac5U,     0x94954082U,     0xe817bb6eU, \
    0xabc1e671U,     0xddbd5375U,     0x704cf445U,     0xab875167U, \
    0x3bbcce40U,     0x75b5a056U,     0xd2bc8ec2U,     0xa691d326U, \
    0xead0ce8fU,     0x54b85ad6U,     0xa0f73510U,     0x04a44d82U, \
    0xcda6bc04U,     0xabd0d905U,     0x969fd89cU,     0x246f00efU, \
    0xe5471254U,     0xd7f38c31U,     0xcc2cab01U,     0x0eb59d9aU, \
    0xf39670d8U,     0x025da424U,     0x6d7d5fc0U,     0x0f165c14U, \
    0x6672db1bU,     0xc89d5c27U,     0x73e93f54U,     0x4b8add9fU, \
    0x33fbc172U,     0xd87a4767U,     0x7c9039deU,     0x97bedd1eU, \
    0x9c5659c3U,     0xe174f7d0U,     0x44274c9dU,     0x0f60256aU, \
    0x83cc7bebU,     0x2060ecc0U,     0x72741b98U,     0x3cf338b3U, \
    0x5057fe2bU,     0x361bffd3U,     0x5229f220U,     0xfcfff77cU, \
    0xb37d7cadU,     0x29aee035U,     0x0d0114b0U,     0xef292667U, \
    0x6d5fb78fU,     0x81a84972U,     0x6ea0fbdaU,     0xc8415b4bU, \
    0xd1faddfeU,     0x99aeb24fU,     0x2e244909U,     0x53b58ffdU, \
    0xd3eb2894U,     0x48638e7aU,     0x309210b5U,     0xa2fa61ebU, \
    0x4f590eebU,     0xae268b69U,     0x6479acdaU,     0x4b267930U, \
    0x9ec9009cU,     0x2846cb4cU,     0xf99dd75aU,     0xf64f4fc5U, \
    0x13a7b599U,     0xd49a8186U,     0x7efdf08eU,     0x86e1e6c9U, \
    0xde7619bbU,     0xd7dbf86bU,     0xcd46b82cU,     0xbf95a8deU, \
    0x22171e3fU,     0xeddd4509U,     0x2053c3adU,     0xc3ccb8e0U, \
    0x09fffd0aU,     0xb0c4edf4U,     0xfe4c995fU,     0x3ef6ebd5U, \
    0xca58e6bdU,     0x6c095314U,     0x1c60add6U,     0x0a8d0f30U, \
    0xd24cf272U,     0x73f87403U,     0x223426a9U,     0xc268e858U, \
    0x0506e6b0U,     0xe028226bU,     0x3e3b7ffeU,     0x2e0f9984U, \
    0x727a1c1aU,     0xa1bd9b4bU,     0x8f5d0230U,     0xb29a911eU, \
    0x4c0f9ec8U,     0x067313d7U,     0x15b28e01U,     0x4d14d656U, \
    0xd1526621U,     0x0ea1ce07U,     0xbe3cf9bcU,     0x055b544dU, \
    0xfde79420U,     0xfbc4f9deU,     0x67f20b29U,     0x11772116U, \
    0xa9e90cfeU,     0x75b5f871U,     0x307aac73U,     0x442e7dd1U, \
    0x09e9231aU,     0x1d2def71U,     0xde52ca7bU,     0x60a23c9aU, \
    0xe8ed730cU,     0x78273835U,     0x0155e27fU,     0xd18e3466U, \
    0xac57df99U,     0xf911b53cU,     0x46724169U,     0xb9731fdfU, \
    0xcdbab343U,     0x6bfdf11aU,     0xfbd36a36U,     0xc65fe91aU, \
    0xccb9c063U,     0x6be97e6eU,     0xdf53edf8U,     0x51a080e7U, \
    0xedb05bc4U,     0x330a8136U,     0x7440dcb3U,     0x3fa9c93aU, \
    0x90ba370aU,     0xb69d194cU,     0x2bbc9162U,     0x5e825009U, \
    0xa1ae3aabU,     0x4ec0fa3dU,     0xe6041165U,     0x89d77aebU, \
    0x41a559e1U,     0xa7361a00U,     0x548dd26fU,     0xebad0902U, \
    0xeb74255fU,     0x574e17c7U,     0x8b9a6ad7U,     0xf329c05eU, \
    0x24fcb76aU,     0x225ea87bU,     0x0928bc74U,     0x9952e9d4U, \
    0x4aef75dcU,     0x4e39dc62U,     0x0294ebb7U,     0x95bd3505U, \
    0x55f55ebaU,     0x8dfc52ceU,     0x7f08484fU,     0x27c493edU, \
    0xb8aa29a4U,     0xfbb20367U,     0x35ad9363U,     0xc5eef3ebU, \
    0x279bce59U,     0x92a18aa5U,     0x22b4f206U,     0x918078d1U, \
    0xad7a99f9U,     0x8dfca215U,     0x3b3cc477U,     0xf0a344f5U, \
    0x6cf0df5aU,     0x27dcc0e9U,     0x18f4334cU,     0x1b30e7b2U, \
    0x10b656dfU,     0x81344769U,     0xb6bdd1cfU,     0x9595a731U, \
    0x2f64ae3cU,     0x84ee061bU,     0xd483c257U,     0x78205dd6U, \
    0x633340feU,     0x71d6ed1bU,     0xd19b239cU,     0x820fd8efU, \
    0x241aa359U,     0x386e530bU,     0xabbac9caU,     0x74773cc0U, \
    0x419d52dfU,     0x7ada172fU,     0x80c8d819U,     0x90e55410U, \
    0x879abf29U,     0x93efef9cU,     0xd8c9be1cU,     0xe21ceb9eU, \
    0xe4a208bbU,     0x1dcd07feU,     0x0bd41ab5U,     0x0b3aa509U, \
    0xdd18c497U,     0xa2af883bU,     0xae65b905U,     0x3fa69ccfU, \
    0x423726eeU,     0xcd67bdc3U,     0xfa62ee23U,     0x06b8395dU, \
    0xd90af540U,     0x56a916e1U,     0x00b977c5U,     0x550bf2bcU, \
    0x5c9675f8U,     0x3f5fee4cU,     0xa703ec5bU,     0xec816c32U, \
    0x2760e5c2U,     0x12f84278U,     0x56867e7bU,     0xa08e79deU, \
    0x123d5a5bU,     0x117f4b6fU,     0xe31299c5U,     0x79d03eb9U, \
    0xba7271fdU,     0xda117bb2U,     0xcd8e0a97U,     0x7babc843U, \
    0x27d60b0bU,     0xc65f3d08U,     0x591834c4U,     0x3b8c12adU, \
    0xe46d92e0U,     0xb74e585cU,     0x1e5f6550U,     0x7ff12d61U, \
    0xbbdbcdccU,     0x9d4dc097U,     0x365c3449U,     0x1d40cef3U, \
    0xa89787beU,     0x48c01045U,     0x7a3f8692U,     0x8fcc60d8U, \
    0x62aa5ab3U,     0xcf804885U,     0x83628d1dU,     0x612052eeU, \
    0x6bd4e24dU,     0x04126bd4U,     0x7d40cc9dU,     0x47e75cfdU, \
    0x3c28e6b2U,     0xa6ac5d20U,     0x499a491bU,     0xb557e2dcU, \
    0x28647974U,     0x159078cfU,     0xcf1d3979U,     0x522780fdU, \
    0xe241e7fcU,     0x34639204U,     0x6a1247a9U,     0x07d9dfbdU, \
    0x7c21bec5U,     0x1617e8bfU,     0x212351e8U,     0xcff68022U, \
    0xca77563dU,     0xf66e3e00U,     0x4d62fc2eU,     0x9d8d31aeU, \
    0x64881875U,     0x7cc62e2bU,     0xc314d6cdU,     0xdb6edca6U, \
    0x3a1d391bU,     0xbc74c9a5U,     0x931db948U,     0xbadfd295U, \
    0xece72e65U,     0x191e8b07U,     0x62b74888U,     0xb568088dU, \
    0x0f94c2f1U,     0x1684f1e3U,     0xfd00f0f8U,     0x02596cf9U, \
    0x2a8cc7e9U,     0x185ec89cU,     0xecd9fad7U,     0xfeaced9aU, \
    0xe83e28f3U,     0xcbedabb9U,     0x6d4faf11U,     0x0c8994eeU, \
    0xd1049c58U,     0x0d735ee6U,     0x682ba8d8U,     0xf3ba912cU, \
    0xb4ee9819U,     0x2d00d0bcU,     0xe4f29c9eU,     0x9623b999U, \
    0x3c2445afU,     0xf93f5422U,     0xc68c6ba6U,     0x873bc915U, \
    0x1fd4b924U,     0xe8e4825cU,     0xe538602aU,     0x1c1e9525U, \
    0xb7803c11U,     0x6fb4ec6aU,     0x040c8e04U,     0xc99b6b3fU, \
    0x36237358U,     0xb9a114e6U,     0x26350072U,     0x5089defbU, \
    0x40504714U,     0xe14ca061U,     0x27e9e8b4U,     0xa5391b91U, \
    0x757e9148U,     0x21c8b20bU,     0x6784265aU,     0xb18209e8U, \
    0x833b620cU,     0x0a57e2ceU,     0x28afe825U,     0x74629d02U, \
    0x318e4e39U,     0x267f80d7U,     0xdf52ac40U,     0xadcde0dfU, \
    0xfa6c8710U,     0xc5e3fdd3U,     0x14f0c5c2U,     0xe27e05ecU, \
    0xc7919a9eU,     0x3c23e051U,     0x9677dee7U,     0x781d818bU, \
    0xdaed5080U,     0x893b0027U,     0x6c74b163U,     0xf50d5b57U, \
    0x157491b6U,     0x721e5c60U,     0x36e180c6U,     0x22ed4958U, \
    0xf77743f0U,     0x68fc215eU,     0xb9395143U,     0x18777fdbU, \
    0xfe8efa40U,     0xfbbdafa5U,     0x825894b9U,     0x20f44ee2U, \
    0x534eb648U,     0x13b7d783U,     0xe85f0097U,     0xbdd8be3dU, \
    0x41ce7c5bU,     0x7622de10U,     0x1afccac3U,     0xfbddd96cU, \
    0xbce20213U,     0xf36991cbU,     0x4db8702cU,     0xbb8a4918U, \
    0x4045263eU,     0x4e178bccU,     0xd997e1a1U,     0x370bf832U, \
    0x8a1ed229U,     0xf254d91dU,     0xd3c2be8fU,     0xadbd4f67U, \
    0x018b3d38U,     0xf65a1308U,     0x594f3a03U,     0x8eb91efeU, \
    0x7075f0a3U,     0x9ed9a24aU,     0x10440d16U,     0x0c50e518U, \
    0xf56c7961U,     0x8613884eU,     0x9c69bcd2U,     0x2fe575edU, \
    0x603c5adfU,     0xcc7ba880U,     0x5e06fe37U,     0x562bab61U, \
    0x82edfd65U,     0xe27fdab2U,     0x64488833U,     0x688bfad2U, \
    0x43c93bceU,     0xeb4194a4U,     0x5e7f59ccU,     0x89a4ca84U, \
    0x95065d3dU,     0xbd7a7160U,     0x064261f3U,     0xff2c2c83U, \
    0xf258b991U,     0x7f552086U,     0x976b6448U,     0x46abb3fcU, \
    0x23677e26U,     0x9b2968caU,     0xd7df0a70U,     0x36b3d5deU, \
    0x88a3914dU,     0xe2413330U,     0x0d282fdcU,     0x0ebaad55U, \
    0xcbc4526bU,     0x6cdc3a7eU,     0x9492ce37U,     0xfc387e9dU, \
    0x1899a23cU,     0x7ded9f91U,     0x07c19f77U,     0xec6a6375U, \
    0x6b159cf3U,     0xf2f21823U,     0x8007e7e7U,     0x1733fcdfU, \
    0x9f789354U,     0xd8216254U,     0x00e02703U,     0x2950fa50U, \
    0x612f0f5fU,     0xf9fa203eU,     0x7da1ea95U,     0x18001591U, \
    0x44b93348U,     0xf4f3f681U,     0x0f5553c3U,     0x154ba924U, \
    0x9a8dd6d3U,     0xcb4c2f56U,     0xeb7ca69eU,     0x94463565U, \
    0x9e224173U,     0x19f446bdU,     0x407ca515U,     0xda3576d4U, \
    0x6b070fa7U,     0x391d2530U,     0x2626184bU,     0x83c1a40bU, \
    0x9430ea02U,     0xbdac9086U,     0x66575270U,     0x973fa0bcU, \
    0x39fa26f1U,     0xd3ed021cU,     0x24313b25U,     0x06af7d9cU, \
    0x78c25b6eU,     0xdb0d84c7U,     0x4d0dc413U,     0xb5d13fbeU, \
    0xbbfe23c9U,     0xbcb480fbU,     0x4bb023abU,     0x8a63695fU, \
    0x8637405dU,     0x95961994U,     0x48e62102U,     0xf41f93a9U, \
    0xa82da0d1U,     0x669d7f5dU,     0x09584bc4U,     0xe3cf4002U, \
    0xf9eb5916U,     0x80359bc8U,     0x74d38c7fU,     0xf11d854bU, \
    0x916dee14U,     0x15f5e649U,     0xfd58859fU,     0xa0269d1dU, \
    0x0f527fc0U,     0x0203f3d7U,     0x0277d653U,     0x670cd6efU, \
    0x3843c610U,     0x8fa5c235U,     0x3c65fe69U,     0x2b9d7419U, \
    0x2affdde1U,     0x366bd4c5U,     0x659f7c92U,     0x305869cfU, \
    0x0083cdabU,     0x97e868cfU,     0x33da719fU,     0x38b97677U, \
    0x25e14048U,     0x0ce607d3U,     0x3754eb6cU,     0xda381f67U, \
    0xc82ab28cU,     0x533882aeU,     0x62714dacU,     0x8e29c28cU, \
    0x5bea3276U,     0xf878d063U,     0x7a3b0f51U,     0xac2f8492U, \
    0xeef59cb8U,     0x7d19ed9bU,     0x57e2b78fU,     0x96edd4e0U, \
    0xf4aa524eU,     0xeef3b2beU,     0xe8d1c48dU,     0x5af8d862U, \
    0x16ce3d36U,     0x706fb981U,     0x28c54814U,     0xca906e89U, \
    0xfc150159U,     0xbdf9235aU,     0x7861cbc7U,     0x2ddb1222U, \
    0x7f3a3b98U,     0x45c6fd04U,     0x967374faU,     0x3d812341U, \
    0xb0c95639U,     0x3bfc7c99U,     0x4a92a97fU,     0x330db2d9U, \
    0x3363add2U,     0x6c803d27U,     0x6ed9c75cU,     0xae28efe5U, \
    0xfa126e71U,     0xe8595fceU,     0x1ed7f9d6U,     0x4e8dd8e4U, \
    0xb0657087U,     0x9ef8c152U,     0x3cfece7aU,     0x76734536U, \
    0xb47783a2U,     0x6b5ca536U,     0x21621b5fU,     0xccc35191U, \
    0x28215f8bU,     0xcfb3051aU,     0xb096bc9dU,     0x06695d96U, \
    0x3035c7a8U,     0x39a0d515U,     0x554a94e9U,     0xa631fe04U, \
    0xa37ab1a5U,     0x5c1ef1edU,     0x2a039092U,     0x151ee1f6U, \
    0x08c21bdfU,     0xad14b5c8U,     0x45b4c94fU,     0x2272e680U, \
    0x1800e858U,     0x60665ac6U,     0x724b3072U,     0xce491338U, \
    0x71181329U,     0x2cd36160U,     0x22e27a9fU,     0x60bbb011U, \
    0xb55c1a81U,     0xff46a3fbU,     0x704171b1U,     0x14f4874aU, \
    0xa54ca162U,     0xcf03a660U,     0x3cbdd249U,     0xf7deaf00U, \
    0xd045a49fU,     0xe0610b28U,     0x1cafd41eU,     0xd5fed082U, \
    0x832b49aeU,     0xa348ce47U,     0xfd41f3b8U,     0xd79e5a72U, \
    0x4bf3abd3U,     0x2598979bU,     0x8c7ef8c1U,     0xaeb7cd24U, \
    0xd2c2ad1dU,     0xc24e7ea5U,     0x2a2f61e3U,     0xf3b1b735U, \
    0x844f5a71U,     0x0dede3bfU,     0x1cab2aa4U,     0x4d4d38ecU, \
    0xd4682f44U,     0xf000a088U,     0x3fe884a7U,     0x34d9880eU, \
    0x9ef6c023U,     0x759f2cb1U,     0x089f8cc8U,     0xc1d4f568U, \
    0x3065cdacU,     0x73bb7517U,     0x1ac09bd2U,     0xe19decc4U, \
    0x5c09ec6eU,     0x7ce24f15U,     0x83049290U,     0x1484b79fU, \
    0x9984faeaU,     0xfdbd6601U,     0xca547f8dU,     0xe7602ee1U, \
    0xedd83ba2U,     0xd3887881U,     0x0ab549aeU,     0x61d4dd4bU, \
    0x18ce6cd1U,     0x1ea3bbc0U,     0x25d642ddU,     0xfd23dad0U, \
    0x4ea490f1U,     0x1ff28018U,     0xbe80d422U,     0x33866df5U, \
    0x01c094acU,     0x00f82b9aU,     0x68a2b966U,     0x4f720e0dU, \
    0x96b17deeU,     0x7a0e1244U,     0xa0622ee5U,     0x2004bc0fU, \
    0xadeb7b94U,     0x84fa0d8eU,     0x4370f1b0U,     0xef7984e0U, \
    0xc2688ff1U,     0x7910a5bcU,     0x50aa31d0U,     0x3204f3e8U, \
    0xe55c95ceU,     0x4d1ed25eU,     0xf78e9868U,     0x2ada21dfU, \
    0x8ab5b51aU,     0x8b3ee869U,     0xb0c789c9U,     0xea31c4fdU, \
    0xa3673e4bU,     0x1aa533feU,     0xed5d4b1aU,     0x253c835aU, \
    0x85b62c80U,     0xe3b7049cU,     0x2deaada7U,     0xd5873b30U, \
    0x368b1a82U,     0x010cbe71U,     0xf96a8353U,     0x2b968400U, \
    0x99efbaffU,     0x844360b1U,     0x914c40f6U,     0x240735e4U, \
    0xe85069d6U,     0x80813b4dU,     0x04bf4723U,     0x96157250U, \
    0xf5989ccdU,     0x711b6945U,     0x3eee865cU,     0x53509d63U, \
    0x44abd244U,     0xa8c105b6U,     0x1710fcdcU,     0x4104aa06U, \
    0xd2e3d99fU,     0xc7e94310U,     0x267b157cU,     0x93a00c41U, \
    0x6c17fc60U,     0xc65301c2U,     0x49a94a05U,     0x794eb88cU, \
    0x701b6296U,     0x82803ff3U,     0x3d3cfbc3U,     0x6c864771U, \
    0xfe574da2U,     0x121efa74U,     0x3ce4c349U,     0x4f4b6553U, \
    0x1935dc89U,     0x30c63c1fU,     0x0bb0f194U,     0x045f3439U, \
    0xbc48600dU,     0x59aa0067U,     0x38f33aa4U,     0x6df592c7U, \
    0xa5e80f69U,     0x9f6d47ceU,     0x4444a748U,     0xcd2e4820U, \
    0x5f8c756dU,     0xfd5e17d7U,     0x736f9282U,     0xe52c2cb5U, \
    0x53e33f60U,     0x42544e29U,     0xc360f07aU,     0xe6720070U, \
    0x93b284cfU,     0x12de0621U,     0xfd66c520U,     0x5810b866U, \
    0x97ad58c5U,     0x00dc2df0U,     0x18131c5cU,     0x6f1886caU, \
    0xba27a40cU,     0x5901e7d5U,     0xc8a1dafbU,     0x69137604U, \
    0x6d0cdf13U,     0x4639e055U,     0x4b5ac027U,     0xe362d39dU, \
    0xb23f7f01U,     0xc5fa3fe8U,     0xed866ee3U,     0x51db75bdU, \
    0x72643f27U,     0x989390e3U,     0x29bf44abU,     0x7bca6919U, \
    0xbf672d40U,     0x6f8f7d00U,     0xaba2c34eU,     0xe031ebfbU, \
    0x0a8debe3U,     0x53e4e0f4U,     0x41fb6456U,     0xa6204087U, \
    0xafcaf4c4U,     0x4d907f8cU,     0xe35dec1aU,     0x8d27b725U, \
    0x51d75c17U,     0x899869d6U,     0xcc9396c9U,     0x04ce1cb1U, \
    0x4e428de8U,     0x745058b6U,     0x5ea8397dU,     0x12e516e7U, \
    0xed730006U,     0x15670ab4U,     0x3996edd2U,     0xebafab16U, \
    0xef003bcdU,     0x5e481cc4U,     0xd0cb7657U,     0xa1fbe18dU, \
    0x445983c5U,     0x71a5e402U,     0x7163d5b3U,     0x85c5d105U, \
    0xd320c75aU,     0xd6fa268dU,     0xb0237333U,     0x2789261fU, \
    0x8b816383U,     0x3190e6aaU,     0xbe390b01U,     0xbe66c368U, \
    0x40969786U,     0xe71889f4U,     0xbd55a6c4U,     0x7831a5a4U, \
    0x7e8b5f75U,     0xa764fe36U,     0x47214932U,     0xb0c51c4dU, \
    0x79584c28U,     0xdcbb4347U,     0xda621686U,     0x989ca1d0U, \
    0xdd8b1718U,     0xe3606aa2U,     0xb6b39efeU,     0x61d2fe8dU, \
    0x02680ebfU,     0x566165c8U,     0xef1b64d6U,     0x677bda56U, \
    0x6f2e9f7cU,     0x60b93791U,     0x940511f8U,     0xe2961ad0U, \
    0x1ddfa3b9U,     0x2ae88fd3U,     0x8248870fU,     0xf42a2a34U, \
    0x4e633b94U,     0xbf21b855U,     0xc92d9289U,     0xc6e9f97dU, \
    0x9c6e4fecU,     0x7dcd13e4U,     0xc7e4de9cU,     0x4d9ffe6aU, \
    0x9cf87542U,     0xeab6a926U,     0xbf077086U,     0x09072c8eU, \
    0xc6b72ac9U,     0x682d8f23U,     0x87afb7e1U,     0xb4bb315aU, \
    0x530e27a2U,     0x70f7b2d7U,     0x6f6b7d7eU,     0x26adcc4dU, \
    0xf65aa12bU,     0x22be225bU,     0x14687189U,     0xb13e6627U, \
    0xef067d8aU,     0x0d16579bU,     0xfe0f53fdU,     0x54b6fc99U, \
    0xad56a3fdU,     0xef0c604cU,     0x76ef3b28U,     0x43399ffaU, \
    0x59ff1c2eU,     0xc435af83U,     0xe99e5a32U,     0xe72612f9U, \
    0x6b190613U,     0x7ea8e4baU,     0x2413bb2dU,     0x058b3f52U, \
    0x5149bf51U,     0x24e99849U,     0x446cd3b1U,     0x7cf79d74U, \
    0xe691d8edU,     0xc66b1bd7U,     0x06ff5c7fU,     0xf4b0a42dU, \
    0xea45da8cU,     0xdf48ac5fU,     0x72f6a097U,     0x310b60c5U, \
    0x07715df1U,     0x3142a8fcU,     0xe705932eU,     0x35b4cef2U, \
    0x4faae06bU,     0x2fc2d844U,     0xbd921260U,     0x8b0c90dfU, \
    0x82249ddfU,     0xb1662914U,     0x03c94c8fU,     0x2f44d101U, \
    0x32e25837U,     0x45ebc81fU,     0xa9a101e9U,     0x871fa9e5U, \
    0x2e33b885U,     0x06314f86U,     0xc0bfbce9U,     0x739367c5U, \
    0x07743499U,     0xee26bb92U,     0x9cadd9feU,     0x621650fdU, \
    0x476363c7U,     0x7c78ea04U,     0xa5a37296U,     0x0f5c4472U, \
    0x8f02ba02U,     0xdb214cdcU,     0x703da29dU,     0x187b512fU, \
    0x71e52c43U,     0x8dcbe995U,     0xaaff4905U,     0x58ad94ddU, \
    0x1ea4c88dU,     0x645da6cdU,     0x8d81b17eU,     0xa2fd2f11U, \
    0x6f8746b1U,     0xb28d64a5U,     0x5af44409U,     0x4d5a6932U, \
    0x2c9ff672U,     0x37bf778dU,     0xf7335114U,     0xdad671daU, \
    0xa8713ee2U,     0x4ed50e4cU,     0xcc949fb8U,     0x5a406cfdU, \
    0x2c1a4db4U,     0xa5e004b4U,     0xc1eae745U,     0x5bc54db0U, \
    0xace8341fU,     0xdc2a9ed7U,     0x807a5580U,     0x41ae8a0fU, \
    0x68e84f8fU,     0x75eb62eeU,     0xf29888ddU,     0xf650047cU, \
    0xe94b3f5cU,     0x77172322U,     0x12e8fb72U,     0x20c17071U, \
    0x85d4a70bU,     0xe213bd4eU,     0x57f059c8U,     0x1048bb1fU, \
    0xd752cad2U,     0x00cf680dU,     0xeee14dd8U,     0x7496c898U, \
    0x5f293191U,     0x9b6fab0dU,     0x8b5d2fb2U,     0x9c0d2a60U, \
    0xd70ed9a1U,     0x42c8e964U,     0x9078851eU,     0x1519b212U, \
    0x78871c5eU,     0x652e086fU,     0x1a80d760U,     0xc87476a8U, \
    0x0cd2b5c7U,     0x2999ea62U,     0x335bf585U,     0xbe34fec5U, \
    0x268d1497U,     0xceb2b3fdU,     0xf4ac9da2U,     0xc326403eU, \
    0x33a3c68eU,     0xd83a5154U,     0x93b33dbdU,     0x53202111U, \
    0x540288c9U,     0xb19c1aa5U,     0x973eb613U,     0xb6963576U, \
    0x07930b04U,     0x722f37c9U,     0x22d54f48U,     0x974bc5d6U, \
    0xd61aa38bU,     0xfd5f6fedU,     0x8c3deb82U,     0x0275ca33U, \
    0xeabe8554U,     0xa4f93ffbU,     0x07d0643cU,     0xc117ee7eU, \
    0xf5e9fe76U,     0xef34b151U,     0xce508174U,     0xf151692aU, \
    0x7acfef04U,     0xaa1c8410U,     0xbdf4f5f4U,     0x5696eb09U, \
    0x018981e9U,     0xfc81bd09U,     0x3a82f723U,     0xca998529U, \
    0x09ddf6f1U,     0x99a4c956U,     0xd3356db8U,     0xf7781879U, \
    0x421e5ea5U,     0x31b0df11U,     0xea71c128U,     0x64777b5cU, \
    0x5b71910eU,     0xe100010fU,     0x3e2e1837U,     0xf8b21226U, \
    0x1713c4c5U,     0x077dc29eU,     0x4fc5031dU,     0xc06f26dfU, \
    0xa4f5498cU,     0xfa1ce762U,     0xf225707bU,     0xaeedb55aU, \
    0xbb5fe756U,     0xe6835279U,     0xaf2287c4U,     0x38fc5905U, \
    0xab2e8a99U,     0x67c8517cU,     0x5d592503U,     0xce9161c0U, \
    0x268f9b4bU,     0xd18b4ba6U,     0x4caab2faU,     0x5d0ee522U, \
    0x61752da9U,     0xb1bace13U,     0x7c6f9242U,     0xd98e39a0U, \
    0x4f899627U,     0x084e472dU,     0x4ee1d1e3U,     0x6319ac1eU, \
    0x97d2a776U,     0x07fb045bU,     0x7e15d1e2U,     0x8b603f84U, \
    0x5f278080U,     0x3b299772U,     0xb7319f77U,     0xe514bc94U, \
    0x5d507cb1U,     0xa26691f3U,     0xb49197e4U,     0xf51f3808U, \
    0x8764b3a2U,     0x39ea9801U,     0x7615eb94U,     0x7ca1d416U, \
    0x8a868888U,     0xcf3d68bbU,     0x55f20680U,     0xe6b46579U, \
    0xd7f63f25U,     0x85ec4e17U,     0xc96bcc94U,     0xd3cddefbU, \
    0xa3633db5U,     0xfb51c404U,     0x25d3d37bU,     0x063d4793U, \
    0x621de2b4U,     0x38cff4efU,     0xd482366aU,     0x3fb88cafU, \
    0x2125ce93U,     0x2d82061fU,     0x83b654b7U,     0x482b2820U, \
    0x584972f3U,     0xf9eba00bU,     0x67689ca0U,     0x58e2bf82U, \
    0x90b5f4d7U,     0x9ecd7560U,     0x9cf3fe86U,     0x2aaf2116U, \
    0x37da0051U,     0xe41cf7faU,     0x54aefdb4U,     0x484f7816U, \
    0x0aed7b9aU,     0x2052a2b5U,     0x95ab019dU,     0xf549ff18U, \
    0x91632314U,     0xcae911efU,     0x4e1462e6U,     0x170d0309U, \
    0x2f85a9f3U,     0xde73e9ccU,     0x2b8b65feU,     0x60cf8850U, \
    0x03e7808bU,     0x147c1bb0U,     0xb1dc69c9U,     0x0fab025cU, \
    0x84e5f394U,     0xf5ea78f7U,     0xbcbeb667U,     0x32840edfU, \
    0xb35d6999U,     0x49aef49eU,     0x5db96690U,     0x89ae329bU, \
    0x71725d64U,     0x26945946U,     0x05396ff0U,     0xa39cd4caU, \
    0xf306d755U,     0x3fe52a63U,     0x8d1e9ce8U,     0xac579965U, \
    0x6f6e613fU,     0x64b151d6U,     0xc8a8bc8fU,     0x556db5e6U, \
    0xc3c1a3a9U,     0xd99b6f57U,     0x5b63de8bU,     0x714f9104U, \
    0x52ab4c17U,     0xb33210d4U,     0x633825ddU,     0x80d022a4U, \
    0x1e139e16U,     0xf6a0b2caU,     0x563fa261U,     0x2e6d30e2U, \
    0x49160badU,     0x8a4ea460U,     0x5268078cU,     0xa40e1eb5U, \
    0x6fd472cbU,     0x55d97dfcU,     0x3733ee42U,     0x298fa1cfU, \
    0x0276f677U,     0xf381a3f9U,     0x646ab40fU,     0x1728bbdcU, \
    0x050f31daU,     0xdc2a20ffU,     0x0dd4304cU,     0xa1cb6dc1U, \
    0xfd07c30dU,     0xeaacc51aU,     0x75d3c877U,     0xad68ea5aU, \
    0xea813a62U,     0xc5e16d35U,     0xd40c09efU,     0x3d402ea0U, \
    0x398f7b5eU,     0xd57a8787U,     0xb053888aU,     0xebda521aU, \
    0x894f0a1eU,     0x415c5ef7U,     0x98c3fdb0U,     0x85859f1dU, \
    0xf542b6bcU,     0x68625f62U,     0xb41c9c70U,     0x1eb9d6d1U, \
    0xc66797c6U,     0xebd70876U,     0xbffb703bU,     0x36fb9e61U, \
    0xc4ddd9b9U,     0x16017618U,     0xcce940b3U,     0x9bcdbc00U, \
    0xe470945dU,     0x4fad0b63U,     0x7911d4ddU,     0xf0c80038U, \
    0xbefe219fU,     0xcd009291U,     0x2eb80edeU,     0xe97e2a3eU, \
    0x1f915f7cU,     0x9985c51bU,     0x5b06d620U,     0x8c7de7ecU, \
    0x7a8c2c90U,     0x77f2b8e1U,     0xd1aa13e7U,     0xd0868a2cU, \
    0xdaea89d9U,     0xc6901bc1U,     0x43880ac4U,     0xf90803a8U, \
    0xc74bd993U,     0x7915c2a2U,     0x1637a3e6U,     0x5e3a9068U, \
    0x190dead7U,     0x7dc9db10U,     0x74f6831eU,     0x270102bdU, \
    0xdf9bc1efU,     0xf4e7ce26U,     0x37d1b272U,     0xe2ad0c7bU, \
    0x445c87deU,     0xd0b3039aU,     0x33ddf4a6U,     0x7dcdca41U, \
    0xab623983U,     0x48cd1740U,     0xbb50f139U,     0x5d2a99f8U, \
    0xd5610977U,     0x9c245ca7U,     0xa20fb91bU,     0xd749002eU, \
    0x13ddbf40U,     0xc8853b65U,     0x9ca6503cU,     0x6ea29a5eU, \
    0x1913b412U,     0x2b58d02aU,     0x4759d475U,     0xd610707cU, \
    0xbec434b1U,     0xbc4d9131U,     0xdf007b4bU,     0xda8dafd8U, \
    0x1272b5f3U,     0x8372f5bfU,     0xba4fb61cU,     0x1e2957baU, \
    0x8a36bf93U,     0xb3c740aeU,     0x228b0f40U,     0x4decc476U, \
    0x0ac43814U,     0xc457eb30U,     0x0bc3a29eU,     0xe4ed0a25U, \
    0xeb472263U,     0xdf9db36fU,     0x08d574f9U,     0x6db1ba51U, \
    0xa9551b71U,     0x1dfb61b5U,     0x58532c76U,     0x7c1e722aU, \
    0x1881d5deU,     0xfb68bafdU,     0x28cb5862U,     0x4639cc3aU, \
    0xf32e005fU,     0x8a9e9171U,     0x85b51cc8U,     0x6013ecb3U, \
    0x73571fd9U,     0xc625a7d3U,     0x95b463c0U,     0x40e1648aU, \
    0x3ff93f2eU,     0x79401575U,     0xf987f7d1U,     0xc4a8e0e6U, \
    0x5e2a5367U,     0xf7538f1aU,     0x7760825eU,     0x8a94d066U, \
    0x0fee94efU,     0x46e1e8dfU,     0x94281440U,     0x41589884U, \
    0xfda684c7U,     0xc5514271U,     0x8ac786ddU,     0xa65741eaU, \
    0xfdfc28f7U,     0x0bd7e7e9U,     0x13552e84U,     0x6e455fe7U, \
    0xdab18321U,     0x05eb4e04U,     0x6d1ac653U,     0x039797b4U, \
    0xe3d322e9U,     0x8430c69cU,     0xefe9c9d4U,     0x5a9f89d7U, \
    0xee7d2a1aU,     0xb202a5e0U,     0x341b0b44U,     0x766a8b11U, \
    0x3a597c5fU,     0x4b959330U,     0xe2681693U,     0x4d175c48U, \
    0x99b2539eU,     0xb6f90abeU,     0x37cb9640U,     0x8a85b0c4U, \
    0x798ae79dU,     0x6efde6a1U,     0x19de029cU,     0x533ed402U, \
    0xcc357f6bU,     0x3cf329daU,     0x3a52fb6eU,     0x315ca4f6U, \
    0xbe33c4e2U,     0x3446f0d3U,     0xab50bbb0U,     0x088fabaaU, \
    0xdb6ee534U,     0x98f85237U,     0x6671d23aU,     0x333a56e6U, \
    0x5f713e00U,     0x9e427449U,     0x9e887aacU,     0x1e2c287eU, \
    0x1864625cU,     0x2c063cc1U,     0x84a2d380U,     0xb7b24a8fU, \
    0x46a957f4U,     0x70855f71U,     0x95b99823U,     0x529b0b33U, \
    0x4dfc18abU,     0xc1ab5d91U,     0xa73c30fcU,     0x2d0da238U, \
    0x9983ac07U,     0x7a4c1ee9U,     0x83a26e62U,     0x27ddd7f4U, \
    0x2916ecc8U,     0xfaad1602U,     0x2c406e28U,     0xdffd3003U, \
    0x0f8c979cU,     0x7d414ea9U,     0x8c6f96bbU,     0xd63f1b77U, \
    0x9c4c7b66U,     0xb15b411bU,     0x3d11b5e2U,     0x677d4ca1U, \
    0x9e76ef9eU,     0x8ecc721bU,     0x76419d7eU,     0x6e61211eU, \
    0x7b516b42U,     0x99642ac7U,     0x7efbd99bU,     0x0477eab4U, \
    0xa408729bU,     0x11fed355U,     0xbb70409aU,     0x9a021289U, \
    0xc661c71eU,     0x16e0b663U,     0x21a5e425U,     0x824612ebU, \
    0xe9188071U,     0x757c98a6U,     0x77d77312U,     0x44453520U, \
    0xd41cac5fU,     0xd8eacf7bU,     0xb6247cbfU,     0x2b77d1d2U, \
    0x9dd98f1dU,     0x2f79ce83U,     0x3d69898eU,     0x3c57efe7U, \
    0x5c8c97a0U,     0x3bc2f1f6U,     0xa6e4654eU,     0x345445cfU, \
    0xdc4ec82cU,     0x034d6ba1U,     0x7b608743U,     0x9adb1832U, \
    0x6e855aa7U,     0x71e9afb9U,     0x6e53af3aU,     0x1f994a58U, \
    0x1f893993U,     0x40d2c04eU,     0x0d6b8014U,     0x708d0e77U, \
    0x907f4c3eU,     0x1b64a4ceU,     0xd5115ac2U,     0x9d1475e6U, \
    0xa4855d53U,     0x6ec7aee2U,     0x16e6561cU,     0x30450be3U, \
    0xb32651b0U,     0x8c3124f5U,     0x8d65642cU,     0x044a29a3U, \
    0x04263d81U,     0x6b19d644U,     0xd68e4354U,     0x10a2abf6U, \
    0xc4af375bU,     0x9e74c3c1U,     0xa21db9d6U,     0xd6b95e87U, \
    0x8e9fedfaU,     0xd72d9383U,     0x6cf4709bU,     0x15e4b6ffU, \
    0xfb49f394U,     0x1cdba89aU,     0x70510cfeU,     0x7f39dac9U, \
    0x0807759cU,     0xc23b8807U,     0xc98d4540U,     0x9a1e2b52U, \
    0xefd04268U,     0xf3fd8991U,     0x4bad4f41U,     0x85f778f3U, \
    0x937d115cU,     0x274da7a9U,     0x1007976aU,     0x3d95a69fU, \
    0xcaa3831fU,     0x111779cfU,     0x495ca4f1U,     0xf3bb0a9eU, \
    0xe399ca33U,     0x2b31b797U,     0xca2dde94U,     0x1f4c0381U, \
    0x9052f335U,     0xdd670c9dU,     0xa89bd82dU,     0x13436153U, \
    0xe522fb8eU,     0x443984fcU,     0xd1051e01U,     0xcc8ef2eeU, \
    0x5b2c77e6U,     0x55a75238U,     0x070bf608U,     0xd045cbb0U, \
    0x4e5da15cU,     0xd85ce132U,     0x7b249920U,     0xaa864170U, \
    0x76a5698aU,     0xac365d65U,     0x53258a2bU,     0x98e2dae6U, \
    0x9b667ffcU,     0x7cbf4f40U,     0x5f838c15U,     0x0fc21669U, \
    0x83619a76U,     0x6fd46065U,     0x115ddb23U,     0x2cfbfa49U, \
    0xda7e9179U,     0x0e157eefU,     0xfe684450U,     0xbd981052U, \
    0x61a5d89bU,     0x2f7575fbU,     0x3f7f8a11U,     0xa3125081U, \
    0xfee38874U,     0xa88b1764U,     0xd606e3b5U,     0x9fb0d836U, \
    0x1d64cc49U,     0xb93ccf44U,     0x00d9e413U,     0xece49f92U, \
    0xf078c8eaU,     0x8d66c1ceU,     0x0ce0aee0U,     0x95428eeeU, \
    0x41c74f46U,     0xaca70a71U,     0xaff549caU,     0xe5c3be30U, \
    0xc46f099eU,     0x33e89172U,     0xcfcddb6bU,     0xbfdd78a3U, \
    0x49f3e05eU,     0xe1e4701fU,     0x2eae910dU,     0x717b0a07U, \
    0xf075b511U,     0xe4db88f4U,     0xe52c02c6U,     0x6ac6eee3U, \
    0x80c91db6U,     0xefe44ba2U,     0x27b8bbb2U,     0x6f320d12U, \
    0xd797657dU,     0x8749edd2U,     0xac862ccfU,     0xc6cb273dU, \
    0xf2485f0aU,     0xf9c05456U,     0x3ffb3544U,     0x2ecde573U, \
    0x600e6f69U,     0x2e532b59U,     0xbd9814e8U,     0x5770cba3U, \
    0xf25f77caU,     0xe62c6f28U,     0x564b86aeU,     0xbe0cd00fU, \
    0x5b50a5a6U,     0xcf42b6c6U,     0x481b83aaU,     0x7fb28a22U, \
    0x43d2ac9bU,     0x8d9c5e82U,     0xc2dba8efU,     0x992a16afU, \
    0x4f1ee386U,     0x43dd20f8U,     0x3cb2915bU,     0xf57fa80dU, \
    0x59a87b1fU,     0x2236c766U,     0x923dc4caU,     0x7d981110U, \
    0x667fd294U,     0xcc688facU,     0x8b5091b4U,     0x4706d099U, \
    0xdf1489f7U,     0xe13aa78eU,     0xb2a35c66U,     0x17cd489cU, \
    0xeae0c62cU,     0xcba0ce34U,     0xf3f75d08U,     0x985bc68aU, \
    0xaa62f680U,     0xf9e0a8deU,     0xb8909f35U,     0x64cb5601U, \
    0xe91d278eU,     0x56d69ca8U,     0xea45903eU,     0x41d582a2U, \
    0x36ed1311U,     0x57e9456cU,     0x8d14b4c9U,     0x5e0d0460U, \
    0xe7d79125U,     0x5ff60468U,     0xf68cbf47U,     0xcc60a7d4U, \
    0x1eb4ac10U,     0xaae56f05U,     0x819a8184U,     0xc4691842U, \
    0xe69567feU,     0xc3c215d7U,     0xb075683fU,     0xb54b354fU, \
    0xc5c03b91U,     0xc82d9807U,     0xe4e82ccaU,     0xeb51b3caU, \
    0xa016e2a7U,     0x341db615U,     0x49838e6aU,     0x937f7309U, \
    0xbf43f3afU,     0x11b7a912U,     0x343751f3U,     0xb1f99600U, \
    0xac81a8a4U,     0x539f80caU,     0x7484a04bU,     0x9bfa5edcU, \
    0x3d41b293U,     0xc2f20e01U,     0x170b0c43U,     0x59f6e6eaU, \
    0x4055efa5U,     0xb17c2101U,     0x02196d54U,     0x1886b065U, \
    0x9aed2434U,     0xaa7e5ecfU,     0xcaab044cU,     0xe0b1b721U, \
    0xf5964585U,     0xeb08c223U,     0xc90787beU,     0x4f27803cU, \
    0x198931e0U,     0xed6fa7a4U,     0xfecbc271U,     0x4e11a8fcU, \
    0xdb6d45f7U,     0xd38cee17U,     0xb92d33ddU,     0x4da31bb6U, \
    0xeb9a811dU,     0x52734c4cU,     0x01cea441U,     0xfa4c88bcU, \
    0x8b8b6d58U,     0x6d8b21afU,     0x0bff8a7eU,     0xbbed42a4U, \
    0x02cdf9ecU,     0xc57ceeabU,     0xcdd18611U,     0x4780e214U, \
    0x81e5ea12U,     0xe4adaddbU,     0xafec8f42U,     0xd7945d58U, \
    0x06149b67U,     0x9663d9d6U,     0x08e7acc1U,     0x6d06baceU, \
    0xb235272fU,     0xd3f60020U,     0x3583c812U,     0x8ccfda9bU, \
    0x484c6d2bU,     0x1f004da6U,     0xe81def81U,     0xa5f1dfe5U, \
    0xa0c12f2cU,     0x14a3d87bU,     0x051d53bbU,     0x853f58dcU, \
    0x22422b52U,     0xef8b2ef1U,     0xa1bb629bU,     0xf5fee4a2U, \
    0xe49f9314U,     0x5d866f7cU,     0xa0a9d36cU,     0x6f6845f0U, \
    0xa663ac71U,     0xd9538675U,     0x864cd584U,     0x9ea2b8bbU, \
    0x71c06049U,     0xfb6b1575U,     0x5d5ec9f1U,     0x62548c1cU, \
    0xbf3515aeU,     0x29068d80U,     0xe5c1ffb9U,     0xd4be54cbU, \
    0x658d24ddU,     0x3887c354U,     0xc3415bf5U,     0x2076ad52U, \
    0x440ce05aU,     0x1882d902U,     0xac0a4d2eU,     0x430cbc8fU, \
    0xabc62563U,     0xb8b961d2U,     0x5a01359eU,     0x16ceacc6U, \
    0xc6a18901U,     0x8bfe7bfaU,     0xe71361a7U,     0x0a001923U, \
    0xbae03d2dU,     0xcd46a8eeU,     0x0dce8b5cU,     0x2897efe8U, \
    0x72a2c160U,     0xd7b12216U,     0x6580eb55U,     0x2d6bb433U, \
    0x82a48852U,     0x826f6fa4U,     0x9e94acb8U,     0x0f0297c4U, \
    0x4d3919e1U,     0xd2f63884U,     0x2bfb070aU,     0x16065220U, \
    0x1c3111a5U,     0xa5f06f87U,     0xb7f6833fU,     0xdbd12a0aU, \
    0x1b337fc2U,     0xbd30c312U,     0x865eb3deU,     0xc2fcd2e4U, \
    0x4d95c764U,     0xb8a8c3a7U,     0xf4b54374U,     0xa9e7c9d8U, \
    0x027cd5c1U,     0x3efccc16U,     0x212195bfU,     0xa53a374eU, \
    0x97edfe95U,     0x5344e607U,     0x9b12dcc7U,     0x12a5dd72U, \
    0x0f934171U,     0x7b7d69d2U,     0xb8e19ff9U,     0xfd2580bdU, \
    0x15e86005U,     0x1e17d1ffU,     0x75c969fcU,     0x04700b4cU, \
    0xd3f3041aU,     0x709e0478U,     0x98e3a31fU,     0x168c38ecU, \
    0xd40b23c7U,     0x0729977fU,     0xc7a12853U,     0x3d6444b5U, \
    0x0f3e894fU,     0x04b50db8U,     0x9e233bceU,     0x773790cdU, \
    0x8013d9b0U,     0xf3426143U,     0x3e39fa3fU,     0x7c764138U, \
    0x45269cd9U,     0x7cbe2639U,     0x73c4f1eaU,     0x5e91a228U, \
    0x3a40b5a0U,     0x5fa4cec4U,     0xc95cf303U,     0x2e8b04ddU, \
    0xf265fe36U,     0xffb87507U,     0xe825dd01U,     0xddcd733cU, \
    0x58c93a87U,     0x3305ccadU,     0x1663e5c2U,     0x89553b0dU, \
    0xd165a6a2U,     0x57b60f4dU,     0x9402ad0eU,     0x3c5a2efcU, \
    0x21ca6c0aU,     0xa6d0befeU,     0xfd6d3bcbU,     0xe0a006aeU, \
    0xbdf7fda4U,     0x29038d25U,     0xa01ee23dU,     0x57344af8U, \
    0xa3ddd829U,     0xcd41c382U,     0x972686d9U,     0x5403e30eU, \
    0x57b9fcb8U,     0x46ce95f9U,     0x8126bdbfU,     0x1d114258U, \
    0x7dd489cbU,     0x34b01cfaU,     0xbfff88d7U,     0x8449de53U, \
    0x1fafcd8cU,     0xb35bdbffU,     0x6e1e70fbU,     0x44cfbe33U, \
    0xb342a7f9U,     0xf2e3df2eU,     0x1a5f61e8U,     0x82420352U, \
    0xd2456c06U,     0xa6dec9f7U,     0x9a4d91c1U,     0x42450d8dU, \
    0x75c3e45fU,     0xa0d12642U,     0x6fa6e2d7U,     0xd575297dU, \
    0x50b176cdU,     0x58befc10U,     0x48869ed8U,     0x5ca86629U, \
    0xc896ec11U,     0x3381cb8fU,     0x4ca1c6ebU,     0x81125324U, \
    0xcdc3ad8dU,     0x040c9d12U,     0x8e9d09d5U,     0xfb485301U, \
    0x52ee0ffaU,     0x33f52c67U,     0x4220d1d7U,     0x654bba85U, \
    0xe69f8719U,     0x2c4fd7f5U,     0x23954683U,     0xb5b6a978U, \
    0xfed959ebU,     0x7126997dU,     0x6d25d85bU,     0xe757c79dU, \
    0x866e4ae7U,     0x471ba433U,     0x30f1df7cU,     0xa4eeab3aU, \
    0x4285d95fU,     0x6af7dfc6U,     0xffc49754U,     0xba556426U, \
    0xe8720876U,     0xbcf3dcd9U,     0xec19033aU,     0x48b17a76U, \
    0x0ac1bfbdU,     0x3a947950U,     0xe518e77bU,     0x42d04d3bU, \
    0x347c096bU,     0xa57513a5U,     0x21d6066bU,     0x022a3f70U, \
    0xa1029b5aU,     0x65d1a40cU,     0xc3888184U,     0x8edd18a3U, \
    0x2ed3217bU,     0x792fa088U,     0x074c611eU,     0x881d53d0U, \
    0x51a5838dU,     0x4e7c3dc0U,     0x38a9868aU,     0xe771ce6aU, \
    0x7fe3390dU,     0xcd118815U,     0x9ae7afbbU,     0x5788d337U, \
    0xc380f065U,     0x62a885a2U,     0xc2c0d2efU,     0x8ff67f47U, \
    0x9cd40e20U,     0x06011ef0U,     0x61b42b54U,     0x37637b27U, \
    0xf58cf75fU,     0x2ed6ead2U,     0xe458f9f9U,     0x0c28f435U, \
    0x2d38f255U,     0xb0619039U,     0x4d642a16U,     0x5242a9a4U, \
    0x063c7eeaU,     0xd0cdb578U,     0xad40b2f5U,     0xf4f449c6U, \
    0x08600f88U,     0xfa37e3baU,     0xf8fbd677U,     0xa390023dU, \
    0xdc089860U,     0x8d8b5810U,     0xa550bca3U,     0x06122971U, \
    0x37b4e9e3U,     0x595581a5U,     0xfbcafca9U,     0xa670a29aU, \
    0xb7e3b482U,     0xbf729115U,     0x3e608670U,     0x9a201074U, \
    0x735c6b18U,     0xdaaf1741U,     0x6bc91819U,     0x44c16f27U, \
    0x93660283U,     0x1c7338e9U,     0xcf15c48fU,     0x4e5ee6ceU, \
    0x828a20f4U,     0x43cb5ee6U,     0x69309363U,     0xfac04ff3U, \
    0xa9f4ef1eU,     0x45d9def7U,     0xa332e241U,     0x865c23f5U, \
    0xb263bbb8U,     0xeade291bU,     0x6c08fe36U,     0xae788797U, \
    0x1a0f4cbbU,     0x7dacd2edU,     0x2093d041U,     0xcfa4fd6aU, \
    0xb530aa8dU,     0x0db775cbU,     0x6acc27bbU,     0x3ffde2f1U, \
    0x83dbd3ddU,     0x7ed83459U,     0x7445ec2dU,     0xf4748d25U, \
    0xe9de5014U,     0xb43a3028U,     0x5d50d1b5U,     0xf39ddc24U, \
    0x6ea643cfU,     0x1dc6b567U,     0x076beae8U,     0xe1d6ddf2U, \
    0x6a11c0b3U,     0xaa9ab739U,     0x94a10477U,     0x4eb57286U, \
    0xcad5ddd0U,     0x3d41f228U,     0x111bac83U,     0x4c79bf64U, \
    0xadda2e6aU,     0x0f1247b6U,     0xefcb66b5U,     0x374039c6U, \
    0xf0de269cU,     0xb64de599U,     0x0f95a90eU,     0xe0cc9083U, \
    0x236e12e6U,     0x36c27aceU,     0xa4fe3bf6U,     0x3b6dedfdU, \
    0x7a0463f0U,     0x76f7bb26U,     0x642d2beeU,     0x5b9afe83U, \
    0x23f48800U,     0x55310bb8U,     0x2adf694dU,     0x7f586afdU, \
    0x47ce0235U,     0x378d9e00U,     0x37acfd13U,     0x946bb542U, \
    0x7b307770U,     0xcf204e67U,     0xda875740U,     0x1d32bec1U, \
    0xd4a94254U,     0x92087513U,     0x997274d3U,     0x19897d54U, \
    0xb9ed4909U,     0x8317e4e1U,     0x4133e047U,     0x9a0ca88cU, \
    0xe81ab3e9U,     0x92bbf24bU,     0x8aa98db0U,     0x7bcb9c16U, \
    0xd2d378b2U,     0x993af11dU,     0x8577e9b8U,     0x4a222308U, \
    0xbe00adddU,     0x700f6090U,     0xce07d677U,     0xa2d236a3U, \
    0x540a6240U,     0x016f1db6U,     0x8e021c30U,     0xdf251e1cU, \
    0x104dabfeU,     0xfce7289fU,     0xc5b38352U,     0xb03e7c85U, \
    0xf87de36aU,     0x58693744U,     0xdfca2923U,     0xf1c243c5U, \
    0xa5928587U,     0xa6475ec1U,     0x57ba970cU,     0x33163707U, \
    0xac1717d6U,     0x5935aaf3U,     0x14d04dedU,     0x85b40311U, \
    0x441dce0dU,     0xbf0bfebaU,     0xd960e962U,     0xf2b639d0U, \
    0x42659021U,     0xe42becf0U,     0xea80170aU,     0xac78c1b0U, \
    0xf3ed0d1dU,     0x47316e78U,     0x7bb87ea5U,     0x3f5de493U, \
    0xcc8f7697U,     0x20038b19U,     0x58ee0966U,     0x57c78358U, \
    0x54824183U,     0x1361052fU,     0xfee08b27U,     0xbb94a781U, \
    0x206fed73U,     0xf676cb76U,     0x6f10f13fU,     0x208b35bfU, \
    0xa41fe95eU,     0x1a3dd3aeU,     0x84a044f4U,     0xcc079836U, \
    0x0113cee4U,     0x67021ec1U,     0x79fba204U,     0xd51621e3U, \
    0xa931eeb6U,     0x1e3dd270U,     0x89010750U,     0x2646d951U, \
    0x3390f428U,     0x3d7c9c55U,     0x26f46e69U,     0x4da1c0acU, \
    0x6314d534U,     0x2d2c3703U,     0xc365cc7cU,     0x28c6e598U, \
    0x80cd6f42U,     0x0a09bf45U,     0x6dcda61bU,     0x62c4a04fU, \
    0xf948e15eU,     0x8ba6b544U,     0x0ca50f8bU,     0x72858c81U, \
    0x9112d9fcU,     0x7eedd062U,     0x7f05d1f4U,     0xdfbe6e0dU, \
    0x54b6a217U,     0xbf1e1bbbU,     0x024b6da2U,     0x48ce1b6eU, \
    0x614a736eU,     0xaa2f487aU,     0x2f82f60dU,     0xf850354aU, \
    0x00216c55U,     0xe2c784ddU,     0x919ccc94U,     0x431a2228U, \
    0x0996aea4U,     0x44a4b38fU,     0x7e2a4003U,     0x8a238746U, \
    0x840bd6a3U,     0x1ff742dcU,     0x4c3d5413U,     0xf2d295baU, \
    0xf4225f39U,     0xea74cf7aU,     0x288ca642U,     0x5ca3a176U, \
    0xe3d960ebU,     0xf6e10414U,     0xf1c0523fU,     0x5a426154U, \
    0x1951871eU,     0x957ba786U,     0x86441055U,     0xeb7a9f59U, \
    0x39435b14U,     0x30f9bf1bU,     0x916a394cU,     0x42e676a9U, \
    0x7d901e15U,     0x57c4b1e4U,     0xc39f0588U,     0x92cf43dcU, \
    0x5e810744U,     0xad635237U,     0xa57e8c59U,     0xa2272793U, \
    0xd3b260a5U,     0x45e7d482U,     0x1be74311U,     0x587ac2ddU, \
    0x03c04309U,     0x60d9e9cbU,     0x01b710a4U,     0xf5c0c0ecU, \
    0x38f1aad6U,     0x3a3772ecU,     0x2be2cf73U,     0x8cbd72a0U, \
    0xca8d664bU,     0x341debf8U,     0xdf295a56U,     0xec13e9faU, \
    0xe36093b5U,     0x05c1bd37U,     0x5620742fU,     0x33d83178U, \
    0x81a1734fU,     0x85c2bab9U,     0xd382d02dU,     0x8da44c43U, \
    0x132e17b7U,     0x3f665f09U,     0xad673598U,     0xe4471a59U, \
    0xd3732735U,     0x60a6f8c3U,     0x0eabf13cU,     0x41b91d4cU, \
    0x6a37f8faU,     0x9fd6258fU,     0xc22fc26aU,     0xd01ec4b4U, \
    0xee70c02dU,     0x479957a7U,     0xe9b369ebU,     0x3aa79163U, \
    0x8f85b694U,     0x184211a6U,     0x182e1eddU,     0x68d137c4U, \
    0xb88ac18bU,     0xc7808da1U,     0xef37810aU,     0xa9ba36fdU, \
    0x9db38ae3U,     0x5b2ccd57U,     0x0acfb8f6U,     0xfd25c28eU, \
    0xda13f550U,     0x0d5fada3U,     0x482fbb77U,     0x012c9ffaU, \
    0xd4476eacU,     0xdd6c4810U,     0xf5236c65U,     0x923ba6a4U, \
    0x329e8a23U,     0x0e0c4740U,     0xa1beb81bU,     0xd8587a4fU, \
    0xbe578383U,     0xd468f633U,     0xfa1dfcb8U,     0xec8e119dU, \
    0x0ad39043U,     0x3b85a806U,     0x81803597U,     0xecfbe3d3U, \
    0xf7184342U,     0xec8d4efcU,     0x32477253U,     0xec4a5002U, \
    0x003d20d3U,     0x4c5a70d3U,     0xf231269eU,     0x5bd0b741U, \
    0xc7cd0ec2U,     0x5214c45fU,     0x6bda1a01U,     0x640484e3U, \
    0x2488a803U,     0x86f8025fU,     0x05a53396U,     0xe3c55bb5U, \
    0xf064dd38U,     0xa12e8a33U,     0x9bae5b52U,     0xf990f65cU, \
    0x8df47d8cU,     0x625e7fb5U,     0xb513fa74U,     0x0009513eU, \
    0xa9aea98fU,     0xd051dc12U,     0xf94da159U,     0x36367b22U, \
    0xacddd251U,     0x3c83a9bdU,     0xd37129aeU,     0x7a9e5ea8U, \
    0x1d1102e4U,     0x31f088f0U,     0xbb35f694U,     0xc242677eU, \
    0xfd843d53U,     0xc7a743b6U,     0x1489e509U,     0x0dfaea15U, \
    0x092362e8U,     0x285f2941U,     0x27e90111U,     0x34f95c4cU, \
    0x4134e224U,     0x075f4effU,     0xf030bc64U,     0x4d46d7e7U, \
    0x3a4a69a7U,     0x6b65fd89U,     0x9978330eU,     0xa63c7225U, \
    0xfdf09071U,     0x552c9963U,     0x692b51efU,     0x6da5b3a3U, \
    0xaede45c9U,     0x8a0f4e09U,     0xb769b7cfU,     0x3783199fU, \
    0x4a0a7121U,     0xcc8fb9d9U,     0x3b697183U,     0x69121966U, \
    0x67b335dfU,     0x88af6afcU,     0x4cc0851eU,     0x06b63d38U, \
    0x53a310e6U,     0x42eca6bfU,     0x80092d5dU,     0x2060321bU, \
    0x0fad7a93U,     0xf608da33U,     0x58cca5a0U,     0x14adf171U, \
    0x3b293ddaU,     0x1815b3a3U,     0xe8e8ec24U,     0x9c4ac93cU, \
    0x7bb598b7U,     0x220d1321U,     0x49cde7ecU,     0x8658c09dU, \
    0x0b97aeffU,     0x28e0e329U,     0x6f5580b8U,     0x0595c994U, \
    0x95d9fc80U,     0x9f2a23ccU,     0x35690805U,     0xd497b333U, \
    0xb793f3ffU,     0x084fc5adU,     0x1464b987U,     0x566a0205U, \
    0x163b919cU,     0x56e91a6aU,     0x81de0f68U,     0xab7db5bfU, \
    0xe8264d39U,     0x957d9169U,     0xf52e4170U,     0x6677695aU, \
    0x10b2d5a5U,     0x7ca7a757U,     0x5c81d756U,     0xd12c501cU, \
    0x07b88086U,     0xc7967431U,     0xf7d5d177U,     0xe0c6e2afU, \
    0x04d6b17dU,     0x4f75a1efU,     0xe6d7ccbfU,     0x5408b99aU, \
    0x5ce929f5U,     0xc0a35139U,     0x071f4247U,     0x01235b67U, \
    0xf9dc2b49U,     0x7e709f34U,     0xe7c1fba3U,     0xc9b32b74U, \
    0xdedf3b08U,     0xa71386e7U,     0xd7e655aeU,     0x568f1834U, \
    0xc4076046U,     0x0212b36aU,     0xa9788e73U,     0x296a3d6fU, \
    0x61b16062U,     0x71cd5f80U,     0xa0b6731cU,     0x083fef8aU, \
    0x32f06b64U,     0x7cfac2cfU,     0x45c32a0eU,     0xb9fde588U, \
    0x5206cdbfU,     0x9ea2db46U,     0x70161e38U,     0x14923904U, \
    0x888b1159U,     0x59dd0614U,     0x6a41cb1dU,     0xdbe1c2deU, \
    0xf51977edU,     0x7c7acb53U,     0xa931f1a1U,     0x69ad45fdU, \
    0x492459ffU,     0x3ccd3236U,     0xe20ed91dU,     0xf9d2f41eU, \
    0xa485397fU,     0x8ab24259U,     0x4e0351ebU,     0xe6608b4fU, \
    0x6a1a4e47U,     0x21bbf589U,     0x6fd71ae9U,     0x05c15b9aU, \
    0x1fa9fed9U,     0x41f6631bU,     0x2deeffb3U,     0xd4c1696cU, \
    0x9afdf5f5U,     0xd3ddfb50U,     0x58fc79beU,     0x0618effaU, \
    0xb14e45caU,     0xe874286fU,     0xa5ce37e2U,     0x45d765adU, \
    0x235eab59U,     0x1c2bff42U,     0x38921070U,     0xda4abcd8U, \
    0xaeb8378bU,     0xc618e2d2U,     0x669f359bU,     0x4361500fU, \
    0xf5643805U,     0x19efaabaU,     0x636b2a57U,     0x0389c6e9U, \
    0xece9cb77U,     0xdb9b5affU,     0x71a0df3fU,     0xd347409eU, \
    0x1d936c4dU,     0x73ee3632U,     0x82a082eaU,     0x8d083244U, \
    0x9618cc42U,     0x6c587a1dU,     0x8ff3db42U,     0x265f6dadU, \
    0xd831eeabU,     0x25454ff7U,     0x1e397683U,     0x7299e94cU, \
    0xdd990b17U,     0x5b8becc5U,     0x45b71131U,     0x4e42ab3fU, \
    0x3c1f0c15U,     0x168e64bcU,     0xa4fcafa2U,     0x4b0d2963U, \
    0x8c450859U,     0x1df932a3U,     0x175fa8c7U,     0xf4c6e1bbU, \
    0x1ce7c29cU,     0x89892501U,     0xa2ca2565U,     0x1ca16fc9U, \
    0xbccfb6d1U,     0xa116bb47U,     0xe1d0201bU,     0x1436045cU, \
    0xdea09844U,     0x05829ae0U,     0xe98948a9U,     0x8be95d3cU, \
    0x025b3bf1U,     0x1d57c8faU,     0x2529ca8bU,     0x8e1031a4U, \
    0x3c464c3aU,     0x96d11befU,     0x8c8b1eebU,     0x03de3d18U, \
    0x526956bfU,     0x6c28f5c9U,     0xdd72c836U,     0x42c61e79U, \
    0xfd7e15d5U,     0xa5192f83U,     0x970238f6U,     0x9967714fU, \
    0x912e0da4U,     0xf7a8fe20U,     0xfda91bccU,     0xfaf664deU, \
    0x2e2c5bb4U,     0xc4ee44b1U,     0x093f9ef9U,     0x9240039aU, \
    0xbd103d28U,     0x74aaa9adU,     0x91c8ce74U,     0x88267683U, \
    0x82dddcfbU,     0xa924efc3U,     0x8c058e46U,     0x7ebbeddfU, \
    0x507ee6efU,     0xdc009c18U,     0x6bb74f6eU,     0xa07ae29fU, \
    0x01b545e8U,     0xa51a6b18U,     0xbc021607U,     0xa5aec9f2U, \
    0xffc4a3ceU,     0xab3fc878U,     0x83360e58U,     0x5c6433b6U, \
    0x460d7c83U,     0xc1e2dfbbU,     0x7edc75bbU,     0x249a8997U, \
    0x44fa82dbU,     0x8aa1b691U,     0x16c53459U,     0xbb8bc1edU, \
    0xec7aa8e2U,     0xb7cd803cU,     0xeab47b48U,     0x75372546U, \
    0x94f128a1U,     0x24166181U,     0x0ce0f0abU,     0x46fb48d2U, \
    0x5e93a49fU,     0xff55f558U,     0x728dda54U,     0xb2cae5dfU, \
    0x26f46bacU,     0x778f2551U,     0x7b0aa99eU,     0x94bc3afbU, \
    0x06acd99bU,     0x4589a82fU,     0xf21918e7U,     0x981138b8U, \
    0xe0d3cc38U,     0x19d06ff6U,     0x1b6037d4U,     0x0974b585U, \
    0x23b37443U,     0x1d02c6e9U,     0x011d1c4aU,     0x20ba1c51U, \
    0x28e10a69U,     0x21eabe5bU,     0x68ba7155U,     0x4fa87f38U, \
    0x50a1307eU,     0x07022ea3U,     0xbccb67e1U,     0x21915da8U, \
    0xadd4b650U,     0x74f2c5afU,     0x0cfdb7deU,     0x9dc5dffdU, \
    0x90255c4aU,     0x638a39c6U,     0x2c86c22aU,     0x94fcadceU, \
    0x7a849c51U,     0x827edad7U,     0xb9a662c4U,     0xf147f53aU, \
    0xd2b85f31U,     0x223979d6U,     0xcdda1cabU,     0x83a91f81U, \
    0x5fa4d4a1U,     0xd9ca9ae9U,     0x53914ecfU,     0xab537767U, \
    0x40157dfbU,     0x70f9a261U,     0x733db867U,     0x85e61d81U, \
    0xaf570ad5U,     0x77cc8d19U,     0x1cc833b6U,     0x1212839fU, \
    0x288d235dU,     0x7277182fU,     0x9504a256U,     0xfe4f0777U, \
    0x255861f2U,     0x5956965fU,     0x1892a9f8U,     0x7674a216U, \
    0x67961e0fU,     0x23a3b960U,     0xf1556e8fU,     0xa4a88d9fU, \
    0x2434783dU,     0xdb8fe22aU,     0xfe6e5e8dU,     0x79726997U, \
    0x7c19baffU,     0xb5e324b5U,     0xefd3d00aU,     0x540a775dU, \
    0xa8bcf271U,     0x57b29be6U,     0xe9e0fb61U,     0x30f846c8U, \
    0x20beb9d8U,     0x95f2cadfU,     0xbf32553fU,     0xa921aba9U, \
    0x7de61531U,     0x79d1ecf2U,     0x98a999ebU,     0xdd07be7dU, \
    0x2a924b68U,     0x640ddec1U,     0xa7c409a8U,     0xfa8eee24U, \
    0x7b724a15U,     0x5792b203U,     0x983ca09eU,     0xc98db0c8U, \
    0xac220e4bU,     0xfde6e6c9U,     0x6c692c60U,     0x995b33dbU, \
    0xcb3798c6U,     0x0c1f3f8fU,     0x279ed97dU,     0x0889232aU, \
    0x9f014d84U,     0x430e032fU,     0x617cbc4eU,     0x4e98c686U, \
    0x7495f2acU,     0x344739b7U,     0xf83ff294U,     0x9e5e3d8cU, \
    0x36f52456U,     0x5c74a821U,     0x596a7fc8U,     0x40601872U, \
    0x955e546aU,     0x1109ec0aU,     0xac27f082U,     0xc9ff9838U, \
    0x02b094c8U,     0x1377f4dbU,     0xbd19ae9fU,     0x3b0f241eU, \
    0x390a21c9U,     0x81b77a4bU,     0xf22d0e52U,     0x9172c504U, \
    0xff2a8070U,     0xe342e9cbU,     0x6e3c6c8bU,     0xf9c1bac2U, \
    0x87444c41U,     0x0e565710U,     0x9a4996cdU,     0xc7a4a255U, \
    0x7ae8fb0dU,     0x16772768U,     0x86c7d1deU,     0xc7c12790U, \
    0x5bc9b7d9U,     0x60e69c63U,     0x88224c17U,     0xbb991695U, \
    0xa8c308e5U,     0xcfed61b0U,     0xe73c0944U,     0xab991370U, \
    0xac52b569U,     0x7101c3b5U,     0xa68f0b83U,     0x9c4a217bU, \
    0x657fddb3U,     0x204ff3f4U,     0x5bc72bcaU,     0x9f93efaeU, \
    0x847af083U,     0xdffebb61U,     0xe8891ba5U,     0x6c1e2bf4U, \
    0x2b40e96eU,     0xb7d56190U,     0xaea9e448U,     0x245f08a5U, \
    0xfde2b1eeU,     0x8abcf589U,     0x84f5bc59U,     0x2775a51cU, \
    0x65db4410U,     0xefeca7b2U,     0xa556e8c3U,     0xedc9716cU, \
    0x4edcf890U,     0xde3b5143U,     0x747a01b1U,     0xe323a113U, \
    0x214f3984U,     0x3821054eU,     0x2b99dfaaU,     0xa939720fU, \
    0xdd10f78eU,     0x047256d9U,     0x8f0c09eaU,     0x62914318U, \
    0x3581e89fU,     0x0e5dd010U,     0x62074eefU,     0xd0063939U, \
    0x1da02766U,     0xfae07f75U,     0xf39d2eecU,     0x76481f31U, \
    0xd650bc26U,     0x6cdc9ef8U,     0x1296405cU,     0xe244dffdU, \
    0x733b5811U,     0x5a908318U,     0x002012faU,     0xe6033e43U, \
    0xa1f6fd03U,     0x369b5bfaU,     0x5532c080U,     0x0006cc87U, \
    0xd240410dU,     0x733706b7U,     0x7394578fU,     0xd26e0808U, \
    0x40c59346U,     0x3e601ffeU,     0x6d63e7f9U,     0x0a20ec0eU, \
    0x8c3f5ba4U,     0x0aef6149U,     0xa409c7d6U,     0x8ae70c96U, \
    0x02a90472U,     0x75d59fe0U,     0xca425e2eU,     0xd54c910cU, \
    0x60c8da9cU,     0x235ef28dU,     0xb9b2b213U,     0x146a574fU, \
    0xa8d17f9eU,     0xb8c7be96U,     0x8fd0bdf3U,     0x8912f508U, \
    0x1d6c2d4dU,     0x4f0cbd47U,     0xcb6492ecU,     0x983f0616U, \
    0x46de2de8U,     0xaf497b23U,     0x51a93133U,     0xb16c6b09U, \
    0x637a6290U,     0x8d65b691U,     0x64fb1923U,     0xdbdf0331U, \
    0x37eb9df8U,     0xac263989U,     0xc6464fa5U,     0x6ccdf2d9U, \
    0x7da95110U,     0xe716a485U,     0x818b2169U,     0xb968f82cU, \
    0x45d2502cU,     0xd00b58fdU,     0x6529372dU,     0xb1816ad2U, \
    0x0b025c07U,     0xb427d0c9U,     0xf5a94016U,     0x1efb7003U, \
    0x5b7594d1U,     0x50e8a1dfU,     0x89bb201bU,     0xb33b8dc8U, \
    0x38cfb4c5U,     0xdbf70c32U,     0x879c71d9U,     0x8acb3fbbU, \
    0xd966e156U,     0xbca889ecU,     0xe68e53ffU,     0xcc0afc41U, \
    0x3777356fU,     0x5011c645U,     0x717521adU,     0x66211b46U, \
    0xdc61da71U,     0xeec68b33U,     0x98585c62U,     0xf2e8f78bU, \
    0xd00ec19bU,     0x8abf8accU,     0x3ba754adU,     0x1bea8ae1U, \
    0x5b71e229U,     0x38cf84aaU,     0x9739b799U,     0xa48ce8c1U, \
    0x3e235d0cU,     0x2f8479f8U,     0xf56a3b7bU,     0x22902b40U, \
    0x6952f02cU,     0xcf8a64e5U,     0xd376de1cU,     0xab0da323U, \
    0x8e018e9dU,     0x37092bc1U,     0xe3a1662eU,     0xbf42e3a6U, \
    0x995dd774U,     0x741478eeU,     0x0e18ccb9U,     0x77f79f0eU, \
    0x87808911U,     0x8e598764U,     0x94129acfU,     0x8700a455U, \
    0x27f69be1U,     0xbeb7aa04U,     0x5865fd51U,     0xebd29f07U, \
    0xe46f3051U,     0xde335091U,     0x5a07e5b3U,     0x9bf17748U, \
    0x7eb7cc7eU,     0xb8519a98U,     0x3c13d15aU,     0x3c4ae492U, \
    0xeb9733f9U,     0x232cbd0aU,     0xeb3f82dcU,     0x2063d912U, \
    0xbfbfae14U,     0x27a77756U,     0xef6c872eU,     0x10241d88U, \
    0xe0c3d839U,     0xf13a0fdfU,     0x25c41897U,     0x74c2ca7dU, \
    0x24ca41beU,     0xab138abeU,     0x73f9f13fU,     0xf6714f1fU, \
    0xe2a7283cU,     0x15f4d659U,     0x5a10e0f2U,     0xe77c794aU, \
    0x2414feb8U,     0x1534d58fU,     0xdebe758eU,     0xbc89f200U, \
    0x23500d19U,     0xa68f61e1U,     0xcdbb5d1eU,     0xc9a3199cU, \
    0xa996358eU,     0x02fcec18U,     0x1f12544bU,     0x89d8a6a6U, \
    0x7f5d1301U,     0x7e4d81a6U,     0x29c311ceU,     0x04cf4654U, \
    0xdb3b961aU,     0xf8921fc5U,     0x0a95daafU,     0xe4c12acaU, \
    0xc6e65c46U,     0x18bbbfb4U,     0x27fb523fU,     0xb35f6112U, \
    0x6850532cU,     0x75e1ae3eU,     0xcd26478cU,     0xac434771U, \
    0xdefee783U,     0x3abc01deU,     0x17a967efU,     0xea16aee2U, \
    0x940ad640U,     0x9439d281U,     0x0c337f9dU,     0x106c18c8U, \
    0x4f9acca3U,     0xa6db8122U,     0xfca940b2U,     0x4b058057U, \
    0x72ae8c8cU,     0x2efa737bU,     0xb3e91ea6U,     0x2589e9c9U, \
    0xc3464ff7U,     0x273ea7b0U,     0x0e650de1U,     0x7c2a7a9fU, \
    0xb9f1d604U,     0x1325a1b9U,     0x5019a160U,     0xb1a1a264U, \
    0x2e80a436U,     0xe6d1bbffU,     0x1eedecaeU,     0xbd6a39b5U, \
    0x616eb48dU,     0x21801a3bU,     0x38fdf1eeU,     0x5789feffU, \
    0xbe984a0eU,     0x95bb5095U,     0xa7c6f0a9U,     0x90a77603U, \
    0x2da9a558U,     0xb918bfb7U,     0x41c29064U,     0x22c51647U, \
    0xbc2cece7U,     0xc6639836U,     0xf23e0591U,     0xd3e293c9U, \
    0xe919ea00U,     0xded1be78U,     0xd04aefd0U,     0x8a21ff45U, \
    0x5be7e05eU,     0x23718323U,     0xa7fde814U,     0xfd0a93c9U, \
    0x6dacf30dU,     0x1cf92533U,     0x3a0032e8U,     0x544e712cU, \
    0x66153f88U,     0xf982caa2U,     0xd7a240e4U,     0x5fc8191eU, \
    0xe2cc1c00U,     0x309db32bU,     0xd8feb250U,     0x2a6ec4a0U, \
    0x88c9f565U,     0x6e2ee2e6U,     0xfdb0601bU,     0xddbe4b2dU, \
    0xd5d68004U,     0xb0a5e112U,     0xef227ceaU,     0x52151238U, \
    0x4d23f615U,     0x100a1be9U,     0xa4980cf1U,     0xc6be8a27U, \
    0x6d3dbb98U,     0x20f6b5b5U,     0x1e1b392dU,     0xd5930893U, \
    0x6685ce07U,     0x3f7dd874U,     0x1f7e6d8bU,     0xbd4f30a6U, \
    0x2f8a68d1U,     0xc52d50f5U,     0x13228576U,     0xa44f9921U, \
    0x970da799U,     0x1f1c5067U,     0x15905cf1U,     0x5847a0ffU, \
    0xf487df9bU,     0x6783f8bdU,     0x054bdfd0U,     0x8f26d3baU, \
    0xa1277928U,     0xaaaed608U,     0x89b8cf09U,     0x0759ad88U, \
    0x34391db1U,     0x711c203cU,     0xd7d6a7a6U,     0x28ff9613U, \
    0x1977d292U,     0x12aedcd6U,     0x4885dafeU,     0x3d574952U, \
    0x23cf1fc5U,     0xa7689587U,     0x87598bbcU,     0xe9cb5d4bU, \
    0x98ea7529U,     0x5d8722b9U,     0x4143328cU,     0xb1760615U, \
    0xf5be2caaU,     0x13b541a2U,     0xd3adc170U,     0x560f60e4U, \
    0x67375138U,     0xed132eefU,     0x718616b3U,     0xfef8dd1fU, \
    0xda022f9dU,     0x47c044c4U,     0x400ee859U,     0xba5c21a2U, \
    0xd527d361U,     0xb6689c9fU,     0x13aff867U,     0xe3dcd52eU, \
    0xead92b5cU,     0xa5dd7801U,     0x2b574b4cU,     0x97579171U, \
    0x5185b1eeU,     0x04eaa724U,     0xe1715878U,     0xa731cd4dU, \
    0x0e137feaU,     0xea468a90U,     0x3e6a89c4U,     0xe627b032U, \
    0xc768c38eU,     0xe0845bb8U,     0xf2bb1849U,     0x2bbd7c28U, \
    0x3afd2f6fU,     0x64ce2d23U,     0x38642ebeU,     0xe0be0ce7U, \
    0x0eea7fd6U,     0x6a413dc4U,     0xb977d552U,     0x034db643U, \
    0x314c9987U,     0xf37d02ecU,     0x61736b59U,     0xee12cbb2U, \
    0x812f1882U,     0xfa622729U,     0x49c1d902U,     0x63ad309fU, \
    0x68ca1d61U,     0xb85d6185U,     0x3322eab8U,     0x35260085U, \
    0x3878d646U,     0x8df4ebd9U,     0x2ac01072U,     0x36fcd7eeU, \
    0x8d0c6b18U,     0x40ff6e5fU,     0xd233538bU,     0x1626201cU, \
    0x2a1141bbU,     0xb72b9cf5U,     0x7f4af188U,     0xbeb389b0U, \
    0x98048949U,     0x88fd7493U,     0x64e01c1aU,     0x4650e455U, \
    0x53340086U,     0x44fb7ef9U,     0xd2856fedU,     0x211c6ba2U, \
    0xc47104bbU,     0xe7756100U,     0xac773d7dU,     0xcc0e20beU, \
    0x9e7da0bbU,     0xbf5dcef5U,     0x0aa7aee8U,     0x4dbb4590U, \
    0x4a8d9dafU,     0x023eeffcU,     0x53b9c33bU,     0xd08dd981U, \
    0xa0e53a21U,     0xf83e9817U,     0xbf34591aU,     0xfedb891bU, \
    0xa5ded0ceU,     0x28f420ddU,     0x9e88e935U,     0xbc2ac039U, \
    0x250f6a16U,     0x6c4bbf9bU,     0x72084863U,     0xedfc47c2U, \
    0x78d7aa2bU,     0x2f77c7deU,     0x297e8cddU,     0xb8c27d91U, \
    0x859c7418U,     0x1e50e8baU,     0x00f93e35U,     0x5a515c58U, \
    0x02fa9734U,     0xd48e8748U,     0x9c1c1749U,     0x44350071U, \
    0xb66a3a1bU,     0x6a52f055U,     0x190f24d6U,     0x1247f85fU, \
    0xfb5085d2U,     0x662a473bU,     0x69443e6cU,     0x19652ec9U, \
    0x51c3a292U,     0x61483983U,     0x6495c474U,     0xf7106e51U, \
    0x0b6c137cU,     0xba9ca236U,     0xc6367356U,     0xefdfeb6bU, \
    0x3fb5079eU,     0x0e5ed058U,     0xf896aed9U,     0xc9641a68U, \
    0x3ce0538cU,     0x5924d183U,     0x2ab7968eU,     0x836b1721U, \
    0x1abbb1cfU,     0x9bcd6e87U,     0xfd1fa6b8U,     0xc78debfcU, \
    0x69148ffcU,     0xd7cb2a80U,     0x7da8e94eU,     0xf048c432U, \
    0xe3133856U,     0x2bdf9403U,     0x5088ef85U,     0x979598f9U, \
    0x4af51b2dU,     0x89393dfeU,     0xafbde25aU,     0xc96196c4U, \
    0xf526170bU,     0xb964408dU,     0xfd6ffbaeU,     0x543f7df4U, \
    0x1e3351deU,     0x28c73534U,     0x38408678U,     0xb2c80d6aU, \
    0x2f6a4458U,     0x1e422337U,     0xc548ef6dU,     0xda660172U, \
    0xeaf4109fU,     0x1442a363U,     0xf562cce2U,     0x44883b8eU, \
    0xf0b7d307U,     0x3d2246cdU,     0x93408b56U,     0xc2006405U, \
    0xe83706dcU,     0xd5ec3decU,     0xa4a172a3U,     0x3711dcbcU, \
    0x41fd2e4aU,     0xa003a15dU,     0x12cf357aU,     0xc109aaffU, \
    0x9c0f3fc9U,     0x6537cf5bU,     0x642feec2U,     0x66f6c49bU, \
    0x4ff3d675U,     0xc95ac97fU,     0xc4fca124U,     0x887abbc2U, \
    0x39853572U,     0x36df9ba6U,     0xfbebe7d9U,     0x868c5131U, \
    0xb2884a71U,     0x25233393U,     0x68b8c574U,     0x97d4cf35U, \
    0xa48f91f8U,     0x8e77e0c9U,     0xd6098cf8U,     0xa6688434U, \
    0xceac0277U,     0x44e89021U,     0xf80c9da5U,     0xaa58a390U, \
    0x798e357cU,     0x3ffc28f4U,     0x4dc61d79U,     0xb54e1ae3U, \
    0xb1ebbf1eU,     0x92321a7fU,     0xb2500189U,     0x063dc451U, \
    0x8ae54f1cU,     0xef745124U,     0x22e839b9U,     0x5627b58bU, \
    0xb0781363U,     0x94a9c821U,     0x68be41e8U,     0x0dea5eeaU, \
    0xde72bdfdU,     0x20519d26U,     0x08291cd8U,     0x2b3f1f5aU, \
    0x36f98694U,     0x939da822U,     0x151dc45cU,     0x51e9bb9dU, \
    0x48643cf2U,     0x187e8fdcU,     0x82317062U,     0xc5e5012dU, \
    0x915241b1U,     0x9bb9f31cU,     0x1385c899U,     0x87c103aaU, \
    0xa7ac1c63U,     0x51b6f226U,     0xedaf07dbU,     0x4a455283U, \
    0xf96aa3d4U,     0x4ed5c092U,     0xad9787bcU,     0x40063f90U, \
    0xc544c4fcU,     0xd0425addU,     0x8403628cU,     0x6abacbe2U, \
    0x245ca890U,     0xa5796696U,     0x560028b2U,     0x6db0d23cU, \
    0xe446883aU,     0x84051258U,     0x7fb9b5c1U,     0x4a963d14U, \
    0x3df20cdcU,     0x9c6ad9eaU,     0xf33df11aU,     0xb21cb423U, \
    0x3a3619dbU,     0xe2f331eaU,     0xeb3b24f4U,     0x739e1ea7U, \
    0xe2339029U,     0xec23bcf0U,     0xa47daa0eU,     0xc5c79068U, \
    0xf9b73f51U,     0x80eda71fU,     0xe3fa37feU,     0x37710411U, \
    0x53580cd5U,     0x255dae42U,     0x1d07d7b0U,     0xafdd7591U, \
    0xa7a7208aU,     0xe3badcf2U,     0x6343c564U,     0x61da3744U, \
    0xc090c7d4U,     0xf8969993U,     0xb9a56626U,     0x11a73f8eU, \
    0x720f1b58U,     0x7d6585fbU,     0xd943368fU,     0x5451def9U, \
    0x5914944bU,     0xace915d7U,     0x1a72cccbU,     0xe34687efU, \
    0x8555c830U,     0xc345a211U,     0x0552ab65U,     0x3e3c503bU, \
    0x76990d5eU,     0xce65f8a4U,     0x3d2817e3U,     0xbf5f038bU, \
    0x48baa71fU,     0xb9e269bcU,     0x3744dbe4U,     0x9130c0e3U, \
    0x52ee834fU,     0xe38eb3e0U,     0xf6f96b5bU,     0xaefaa4dcU, \
    0x3267df6aU,     0x72a1d90bU,     0x02773c0bU,     0x9f7fc73aU, \
    0xb97e6a41U,     0x29008f2fU,     0x1e8d6febU,     0x1aac198dU, \
    0x3b1b3a1eU,     0x0747bc9eU,     0x6f0cc8c3U,     0xf95acfb4U, \
    0xb802d90fU,     0x2b985c36U,     0xa850671aU,     0x38772325U, \
    0x05378ba8U,     0x3657b071U,     0x196f9003U,     0xe9a435b9U, \
    0x84878f80U,     0xb3982299U,     0x2878f9e4U,     0x988c7013U, \
    0x84d82393U,     0xc0a757a5U,     0xad85114dU,     0x366ff90fU, \
    0xe03f3abcU,     0xb599f4a4U,     0xb5099ac1U,     0xf4c712d1U, \
    0xb7ed11c6U,     0xab8865b6U,     0x25319303U,     0x2105b70fU, \
    0x9fdd4e77U,     0x81acd64cU,     0xb6968b3fU,     0xdcbf693fU, \
    0xf7078766U,     0xb68f3192U,     0x9411c1d3U,     0x1c584533U, \
    0xc62476b7U,     0x1d487bb2U,     0xa26cd946U,     0x67a33d97U, \
    0x9e4ae6d7U,     0x50597347U,     0xa168ddfbU,     0xa7f1d392U, \
    0xdc3263e4U,     0x923ba372U,     0x903155c9U,     0x2bda0726U, \
    0x1cbd0ae9U,     0x88be93f5U,     0xe22ecc66U,     0xe4bb9f98U, \
    0xe34c267fU,     0x0398524aU,     0x3f13c274U,     0x57d81b7dU, \
    0x4be0d5c5U,     0xb1847482U,     0xda77f9b1U,     0xb2d10d12U, \
    0x0201c6c6U,     0x0a1c8a2eU,     0x4d0957eeU,     0x9567be0dU, \
    0x3856b499U,     0x62227275U,     0x8a9fe42fU,     0x9b6afaabU, \
    0xf57adcf5U,     0x2a6d7266U,     0x539b0421U,     0x8e06bbadU, \
    0x7e5ec3eaU,     0xacfb6ba0U,     0x9a891de2U,     0x3cb1e323U, \
    0x133efbabU,     0xf103e572U,     0xebaf496aU,     0x269bce4eU, \
    0x28fa9a1bU,     0x3b025936U,     0xc88c8afaU,     0x6311699aU, \
    0x577a3f0bU,     0x7c0cff61U,     0x067080a1U,     0x18ee8ab0U, \
    0x566636cdU,     0x8fc2ba93U,     0xc5f5aae5U,     0x68ddb4a5U, \
    0x7eac0589U,     0xc466404cU,     0xe8ac5d2bU,     0xaa46fa8fU, \
    0x55d9071dU,     0x46f2624dU,     0xb704baaaU,     0x79904329U, \
    0xca086907U,     0x90f6eb24U,     0xc78052c8U,     0x57210765U, \
    0x0140255cU,     0x449e310cU,     0x637953ebU,     0x539f73b8U, \
    0x5fd0cb12U,     0xa6f93419U,     0x64667203U,     0x71c91117U, \
    0x12e6ba88U,     0x4d5ea677U,     0x2a213cffU,     0x6cab3aa4U, \
    0x35e2c444U,     0x8a492c31U,     0xd9c2c6c6U,     0x8dc8005aU, \
    0x12d4b21cU,     0x97e7adfcU,     0x59ff4d66U,     0xf7534f5fU, \
    0x0166523aU,     0x59350578U,     0x5d7a9ed3U,     0xb9c9c2b4U, \
    0x4100e34bU,     0x24e23681U,     0xb1ccb72dU,     0x18e5be35U, \
    0x42cea66bU,     0xde9d13edU,     0x250a57cbU,     0x87fea12fU, \
    0x09c17b3aU,     0x0000f7caU,     0xaa01741dU,     0x442dddfaU, \
    0x3ae1c3f7U,     0x75cec0feU,     0x19d7d1aaU,     0x7c40a2a1U, \
    0x39a4559eU,     0xd5d701cbU,     0xbb0dabf4U,     0x77988b22U, \
    0xb6c07543U,     0xbe3b20e1U,     0x32b49258U,     0x9d947781U, \
    0x3e6aea1fU,     0x03852c9eU,     0x79540af2U,     0x00c1344aU, \
    0xfc5dc817U,     0x2b9a8dd2U,     0x9416bb13U,     0x3b801290U, \
    0x8fcca955U,     0xdf56405aU,     0xe0c4c51eU,     0xd9ffbbedU, \
    0x32fef9a1U,     0xdbe66c35U,     0x4ac7ed04U,     0xf13d8cf2U, \
    0x7c6afb10U,     0xe99fb493U,     0x6a804e87U,     0x2b64cb84U, \
    0x9c632061U,     0x2eb7b958U,     0x6b0b2be2U,     0xa25eb138U, \
    0xebdc0ca1U,     0x76889dc2U,     0x28c23b96U,     0x38d055d8U, \
    0xfb7bdaaeU,     0xe08f60e6U,     0x9583572cU,     0x7d8d07daU, \
    0x7dc8c674U,     0xf2fa8554U,     0xe32c36d8U,     0x08aeda1eU, \
    0x55ac7f51U,     0x36d21e9dU,     0xd968615dU,     0x02796c6dU, \
    0x1498a24bU,     0x298aa177U,     0xc506df19U,     0x98d875feU, \
    0xfb0e74ffU,     0x2cc13ab3U,     0x4b3eb4edU,     0xe7aca3e2U, \
    0xd0097d92U,     0x14f73825U,     0x572ff86cU,     0xd9b708aaU, \
    0xc6e1be50U,     0x4fbc62d9U,     0x4cca5432U,     0xaa29b654U, \
    0x6ae201f1U,     0x8adb501fU,     0x1dcae673U,     0xc65f58f4U, \
    0xe92b8d40U,     0xeab1a90dU,     0x0be56894U,     0xf366a2edU, \
    0x149b84d5U,     0xc251da27U,     0x1ab77cd0U,     0xcafd89f3U, \
    0x28775517U,     0xd4eedb50U,     0x84c3209aU,     0x9bfe239dU, \
    0x7afab2a0U,     0xb75ea66eU,     0x3521d1abU,     0x23c0b480U, \
    0x488a7c5eU,     0x8c8174f6U,     0x22b73b2eU,     0x6fa63d23U, \
    0x8309578eU,     0xffbe3476U,     0x3a0d4299U,     0x68d3be35U, \
    0xde221e56U,     0x41098885U,     0x6fa91638U,     0xc38779ceU, \
    0xf921bb61U,     0x57ffb1beU,     0x9ff5989bU,     0x92168660U, \
    0xa1da9a12U,     0x15850f47U,     0x828d4864U,     0xdef8163aU, \
    0x893db729U,     0xaa1ae8e3U,     0xf0b5c229U,     0x3dc6409bU, \
    0x73f5371aU,     0x27048845U,     0xcd86fe65U,     0xc67b5369U, \
    0xf92d2292U,     0x69581e3dU,     0x346e371dU,     0xd0e47e56U, \
    0xd8afece6U,     0x77d60aa2U,     0x7622d28cU,     0x4511a2feU, \
    0xf47cbd5dU,     0x505359ceU,     0x02e7e215U,     0x4cd9047bU, \
    0x69ac8debU,     0xbc84ff93U,     0x19879bbfU,     0xf5347808U, \
    0x79ab5e20U,     0x22af281eU,     0x8ffbeecbU,     0xa99144f5U, \
    0xf48dc29fU,     0x2266c3f9U,     0x4570ae3bU,     0x78b4285dU, \
    0xdd2badd0U,     0xad13dc36U,     0x06cf2c0cU,     0x8229c25eU, \
    0x61fcf6caU,     0x7a597ddbU,     0x6cae5f3cU,     0x43f36286U, \
    0xc4ca8721U,     0x8bdaca55U,     0xc9b24237U,     0x1d42c042U, \
    0x56788f05U,     0x072783afU,     0x5c5448f0U,     0x1d058805U, \
    0x2a89b30dU,     0xe162ef3cU,     0xec3f0ddcU,     0x481a1112U, \
    0x0f9e3260U,     0xe0f5ff73U,     0xfaefc60bU,     0x5731a522U, \
    0x20eab56dU,     0x108d9995U,     0x945c5841U,     0x26ea443aU, \
    0xdbb168d2U,     0x71cc3ef5U,     0xdbd7a33fU,     0x7c9aa9d4U, \
    0x0735e4efU,     0x87f7899eU,     0xe635aea6U,     0x13ca7183U, \
    0x77f1dcafU,     0x10a5c10aU,     0xa3fcd765U,     0x99ea9934U, \
    0xea95ae0aU,     0xb2f22ffbU,     0x21518f4eU,     0xb54c7e80U, \
    0xa366378fU,     0x38072002U,     0x4e7ad3cfU,     0x318c6a69U, \
    0xb09dbdd7U,     0xca8b775bU,     0x77c454c5U,     0x8a23c9adU, \
    0xaf459752U,     0x26fedee8U,     0x38a4b908U,     0x12a2b5c5U, \
    0xf2cb3769U,     0x1fd198f5U,     0x29957369U,     0x5bfdd3adU, \
    0x3f3f5779U,     0x9bdc37f4U,     0xb9771599U,     0x59b12544U, \
    0xe3180e60U,     0x81fd0f9eU,     0xad702ea2U,     0xcc7f236cU, \
    0xa1f6a468U,     0x6863c755U,     0x7a621ec7U,     0x1939dbccU, \
    0x35b92c56U,     0xd3a78002U,     0xe10a9bdfU,     0x0a1cc4cbU, \
    0x8e6e5e38U,     0x36317ffcU,     0xff7feb99U,     0x38a658dbU, \
    0x44675659U,     0x18c12e76U,     0x29c7252eU,     0x485b9ecaU, \
    0x96490ddbU,     0x77ba927bU,     0x11708e3eU,     0x735a25a8U, \
    0xa3e1b475U,     0xd884d93dU,     0x4bc23401U,     0xf1a93d1fU, \
    0x81317346U,     0xa52becbfU,     0xead3e720U,     0xf7f46ba0U, \
    0x167db8f4U,     0x763e3073U,     0x7a48be8aU,     0xbc691d45U, \
    0xa6221e8dU,     0x70b0ce58U,     0xccc8fc19U,     0x47a4316aU, \
    0x1262f448U,     0x50d95449U,     0x85064d06U,     0xcb690fc4U, \
    0xbee2e98cU,     0x09eb6aebU,     0xc38db6e0U,     0x6e91e5e5U, \
    0x4cb4d504U,     0xa9423e8fU,     0x09eb8313U,     0x276cb4e0U, \
    0x1bc232d3U,     0x771b802fU,     0x186e2654U,     0xbccf6b46U, \
    0xa6ec3008U,     0xfcf0b70fU,     0xee1395dcU,     0xc3f0c0ceU, \
    0x2c722a39U,     0x7a09a9b2U,     0x0e412a6eU,     0xfc4d8bd9U, \
    0xbdf1b058U,     0x21d4bf61U,     0xa765c87aU,     0x3523f23fU, \
    0x1d7d05a6U,     0xbc6e735bU,     0x8e00f537U,     0xb96a6afcU, \
    0xfaf0d2ccU,     0x6c792034U,     0xe47244edU,     0x2e402cb0U, \
    0x3015bcbaU,     0x08e0577bU,     0x6a44aa4aU,     0x30bc80a7U, \
    0x956c1432U,     0x79337330U,     0xfa6182eeU,     0x1caa355eU, \
    0xd6b7fc0cU,     0x44302a98U,     0x468a54d3U,     0x79998a99U, \
    0x7c0e8079U,     0x3526ffe0U,     0xc3811926U,     0xcd4678f4U, \
    0x9784a726U,     0x72977b75U,     0x50c0a8b4U,     0x4b6f32cbU, \
    0xd65cf864U,     0x0c8a6bb8U,     0x2bbf56caU,     0x03420b75U, \
    0xa0e38e8dU,     0x4515c47bU,     0x7aca3cb5U,     0x92dcf251U, \
    0xa8d34ea7U,     0x1f745ccdU,     0xe5e71e97U,     0x4c3893f1U, \
    0x2f2858f0U,     0xa43641adU,     0x9da156d8U,     0x13bde990U, \
    0xfc370e0eU,     0x3b318794U,     0x77a6c8ceU,     0xe03e457cU, \
    0x874b572fU,     0x2b05d502U,     0x12bb42dcU,     0x72563898U, \
    0x51d85b65U,     0xaf4ed1dfU,     0xb5efbe8cU,     0xd1860db7U, \
    0xd3afa918U,     0x9bf87349U,     0x1ab15a36U,     0x37210fb9U, \
    0xe2a7e5efU,     0xdaa97dd2U,     0xa389574fU,     0xae38506aU, \
    0x11abaebfU,     0x8a14b620U,     0x12305b6fU,     0x7fdcb10bU, \
    0x5d90dda1U,     0x36b1cb87U,     0xbf8a852fU,     0x8cf04980U, \
    0x16e93e85U,     0x753257a6U,     0x8dff1893U,     0x8ec9e307U, \
    0x38a54424U,     0x64ebb02fU,     0x6e205408U,     0x126dee83U, \
    0x92ecc077U,     0x38402c4dU,     0xaaa2eb46U,     0xfcdf0521U, \
    0xbe5aa897U,     0xc5034f7fU,     0x97b9b305U,     0xd1dbfc0aU, \
    0xd48357bdU,     0x8278c224U,     0xce81ee72U,     0xcfcecabcU, \
    0xdfa1c58bU,     0x1f2d854cU,     0x24158be3U,     0x32ea21faU, \
    0x01984ecfU,     0x6583b0d1U,     0x56cbd05eU,     0x012b9346U, \
    0x823b6c57U,     0x2cedc756U,     0x7db6e117U,     0xc5277623U, \
    0x0ff0b4aaU,     0xebf1cb12U,     0xb8ee1113U,     0x0b50708fU, \
    0x9ca3e296U,     0x2d54e855U,     0xe752ea80U,     0xdf7936a1U, \
    0xe676b7e5U,     0x9a3b0673U,     0x86cba3f1U,     0x96a7ad39U, \
    0xfd7bfb7eU,     0x5938b863U,     0xd800eec8U,     0xb29fb85fU, \
    0x3075849eU,     0x06523deaU,     0xd1fd132aU,     0x9c5beb5aU, \
    0xf1f46c94U,     0xd0d95c0eU,     0x5862946bU,     0x6a1dbae0U, \
    0x6868aa0eU,     0x0d148d0eU,     0xcc433a54U,     0x96998b7cU, \
    0xccc2c7f2U,     0x89012481U,     0x3c1bd8d8U,     0x7fe7ca0bU, \
    0xac5fb767U,     0x5571933aU,     0x9d42ca45U,     0x57e3d599U, \
    0x152f8590U,     0x2bbb8db8U,     0x5ffc563aU,     0x46a936f0U, \
    0xb538d7acU,     0xa2b67e62U,     0x20e12f6dU,     0xf44b2886U, \
    0x2603adb6U,     0xfa5d3384U,     0xbcba5316U,     0x30e8cf53U, \
    0x0780fa91U,     0xc55b2480U,     0xb4fe4f53U,     0x05e6f094U, \
    0x86927eafU,     0xc2dda2a6U,     0xd973e059U,     0x5be77d92U, \
    0x5e818dcfU,     0xdea0c687U,     0x5a08e3c6U,     0x8d261ed7U, \
    0xb0b7f256U,     0xd8d11afdU,     0x7b2d2ebbU,     0xdde5b7b5U, \
    0xd080a242U,     0xe5571c5eU,     0xce7ee881U,     0xd8f6b49eU, \
    0xb010f4cfU,     0xb21cefa6U,     0x04de13a5U,     0x216e74e0U, \
    0x08d29b9fU,     0x49007ceeU,     0x314b8a8dU,     0x51cea821U, \
    0xd2452f64U,     0xf402e348U,     0x6bb51d1bU,     0xc1a26d89U, \
    0xace95cdeU,     0x6d7ca159U,     0xc757bae2U,     0x3fc9d47eU, \
    0x96beb83bU,     0x1249fc9bU,     0x1a4fa265U,     0xc6ac6709U, \
    0x1f3ab1ffU,     0xb8c99613U,     0x3a3231d8U,     0x604fadfaU, \
    0x829ab041U,     0x4b70050eU,     0x3855d04aU,     0x372e718dU, \
    0xbc736550U,     0x5fed697fU,     0x333c1643U,     0xb8caddd7U, \
    0x3cd636baU,     0x19166d1cU,     0xebe12da7U,     0xe15d81beU, \
    0x96e1c4a5U,     0x50026d0bU,     0x90f5e87aU,     0x3d34c216U, \
    0xee5ba675U,     0x65f5343bU,     0xb74dacb4U,     0xe8ab8df9U, \
    0x35854c4bU,     0x19a37df8U,     0xe11ce5d6U,     0x4ad31c2eU, \
    0x06191da5U,     0x9daa7dc7U,     0xfc4e3042U,     0xb9ad2375U, \
    0xf4df60c5U,     0x6ad668f8U,     0xf46fe07bU,     0x5694e4d6U, \
    0x065d7c8aU,     0x7be3d61eU,     0xe856fe8aU,     0xd73dd37bU, \
    0xcedcb561U,     0xc1048747U,     0x0f2de5b1U,     0x180dd1baU, \
    0x1f8cab61U,     0xc1bf2e71U,     0x4675935eU,     0x73683ac2U, \
    0xee5145e5U,     0xb3dc48baU,     0xec1fba24U,     0x376857dfU, \
    0x3380a7a1U,     0x7fbf6000U,     0xabf85234U,     0x87ab1876U, \
    0x422b0f03U,     0x3abe0c3eU,     0x29be1374U,     0x0ba1c222U, \
    0x31843b2dU,     0xcfe22619U,     0xcf1f9848U,     0x8cb16cedU, \
    0x8c9b3e5eU,     0xdd8bbdf0U,     0x603bbaf2U,     0x83e9360dU, \
    0x2602085dU,     0x2a6e6f16U,     0x7ff86ae7U,     0xc480ee7fU, \
    0xd058c05fU,     0x3e086e16U,     0xa4e896b2U,     0xf5f1931bU, \
    0x4306ce59U,     0x8a019de0U,     0x0ebabd3aU,     0x93b1f949U, \
    0x13539fb6U,     0x55942be5U,     0xfea98c30U,     0x329e4fceU, \
    0x8a7d2ee6U,     0xdac89918U,     0x0844186cU,     0x2379bc96U, \
    0xe36cc2e2U,     0x7df6db3eU,     0xbb4b3c90U,     0x8df0216dU, \
    0x8db18805U,     0x63730aa2U,     0x04cd0ebfU,     0x007eccd0U, \
    0x90aa4862U,     0xda265473U,     0xb4c16a90U,     0x89654c1cU, \
    0xe6ab4c32U,     0xba2f8273U,     0x382a0e84U,     0xbb1905c9U, \
    0x4fffb268U,     0xa7a05f56U,     0x4df91ffbU,     0x89d0c009U, \
    0x670afa34U,     0xd4aca61dU,     0xa8698ef3U,     0xfcaed6e4U, \
    0x9eccf1e2U,     0x5b4e2ad5U,     0x66118911U,     0x58de0149U, \
    0xc07e85ceU,     0x10665756U,     0xd8ce520aU,     0x349dc5ccU, \
    0xdb64aceaU,     0xdd82d443U,     0x928d2d5fU,     0xc3eb617eU, \
    0xfd116b8eU,     0xcaff40d3U,     0xda3db35eU,     0xb245f311U, \
    0x75f74c3eU,     0x6a925bedU,     0x557d7237U,     0xda76dd9aU, \
    0x597bdf9bU,     0xfec48fbfU,     0xfa8278b1U,     0x092cd755U, \
    0x07199c04U,     0xc0941a1aU,     0x6cc48786U,     0xad594c9aU, \
    0xadaa545dU,     0x79273c35U,     0x46ac4847U,     0x40849fc1U, \
    0x8bbd48efU,     0xf054fa34U,     0x725038f8U,     0x12c3d536U, \
    0xccc43f46U,     0xeb8cecc6U,     0xe136912bU,     0x1f543ff0U, \
    0x867578e3U,     0x6c28207fU,     0x133670f8U,     0x28afaea5U, \
    0x99d5df67U,     0x1d4ecd4cU,     0x6faf695aU,     0xac6e0f1eU, \
    0x0583b6a3U,     0x91a71199U,     0xdbe96827U,     0x38bf77edU, \
    0x1c44d3c5U,     0x9b5ef24cU,     0x7c8d5d3dU,     0xb79fbafdU, \
    0x05615ff8U,     0x19f53198U,     0x3b4cd45fU,     0xe319426bU, \
    0x519931d1U,     0xe9215232U,     0xb75c1103U,     0x2c2f0fd1U, \
    0xf6259164U,     0x5286f7d7U,     0xdcf44f5fU,     0xdee51e52U, \
    0x295a17b0U,     0x1e94a688U,     0xfe2dfe22U,     0x62506246U, \
    0x7f4a02e5U,     0x89debe0dU,     0x91a1f0e3U,     0xf7cfccfbU, \
    0x3b23c815U,     0x2a12da0dU,     0xc20f43c7U,     0xc1c984f6U, \
    0xd1504e64U,     0xbfc9f902U,     0x2abe069fU,     0x22e359abU, \
    0x221e0e86U,     0x3f7696aeU,     0x2d697922U,     0x99dde588U, \
    0x0d7e64cbU,     0xdec15e5bU,     0x4c15ee4dU,     0x39fc60e8U, \
    0xa39dfc1aU,     0xf2fb5621U,     0x3057546aU,     0xf71d4365U, \
    0x6c7c600fU,     0x70aba465U,     0x060a950eU,     0x91ed07dcU, \
    0x02526517U,     0x5b86dbe5U,     0xb90c2276U,     0xfe2cef29U, \
    0x8afba906U,     0x448651f6U,     0xf841c6c0U,     0x47d8bd75U, \
    0xbd6f8d20U,     0xd81781e8U,     0xf01375e3U,     0xe3f33560U, \
    0xe946669eU,     0x7f7c2066U,     0x5b0c4718U,     0x70971dcaU, \
    0xe05d1d82U,     0xa8d87a76U,     0xf1091a44U,     0xc3063218U, \
    0xe3b98baeU,     0x8b5240bbU,     0x14fd01fcU,     0x971dce15U, \
    0xaf4dc449U,     0x7701e358U,     0x3864e712U,     0xbfaf5439U, \
    0x1d299672U,     0x84e4a0c6U,     0x16590f1fU,     0xebe3a2a5U, \
    0xcebde03cU,     0x643060adU,     0xecb34241U,     0x1846b583U, \
    0x6f595a42U,     0xde518b25U,     0xaf23a534U,     0x1e8a6d3cU, \
    0xff664a8fU,     0xfbf39e0aU,     0x0bc438efU,     0x35d1fe73U, \
    0xcec43531U,     0x86e0624bU,     0xdc32472fU,     0xa8dd001dU, \
    0x286872acU,     0x8b358f30U,     0x878aaf30U,     0x357366a5U, \
    0x6fa61adbU,     0x6210887cU,     0xa041347cU,     0x80602205U, \
    0x5ba4b9d8U,     0x8c5276cbU,     0x8f738642U,     0x3a3a4548U, \
    0x1fed7b4eU,     0x2704ec86U,     0x10a11b5bU,     0xd7f35161U, \
    0x2812f5a6U,     0xc82e73f3U,     0xcdce1234U,     0xba59c274U, \
    0x0a8a6cf8U,     0xdfecc2c5U,     0x635d43bbU,     0x05f3377dU, \
    0x51f92971U,     0xf77218efU,     0x0241585bU,     0x9cda399dU, \
    0xc42444dcU,     0x72d7d83dU,     0x789a0f1fU,     0xdbfe7d03U, \
    0x86e18865U,     0x006086ecU,     0x4cfcbe51U,     0x830ec61dU, \
    0xb58d44efU,     0xbbfe67c1U,     0xb22e6533U,     0xd8e21e8aU, \
    0x791f8ccdU,     0x07d2099bU,     0x0220182cU,     0xf7c8cd36U, \
    0x777b1b22U,     0x18676ce6U,     0xefe3fe96U,     0xe719b09fU, \
    0x80c96172U,     0x8698cab9U,     0x2295ed84U,     0xccb61043U, \
    0x6bbe5147U,     0x66a60e4fU,     0x66b108deU,     0x7c0ff572U, \
    0x9408abc3U,     0x65810457U,     0x83fa5896U,     0x13182742U, \
    0x04d45469U,     0x04f300e0U,     0x67544d3dU,     0xa90973bbU, \
    0xfa4b321aU,     0x8543488dU,     0xac575ea5U,     0xcb0e5441U, \
    0x1d7efd14U,     0x8a9448dcU,     0xf1f242c1U,     0x65955d92U, \
    0xf33eba06U,     0x004e7850U,     0xa06f3f6fU,     0x7b5ae396U, \
    0x215dc62cU,     0xb226a19aU,     0xbe7a4d47U,     0x314623d0U, \
    0x1d311ffaU,     0x07daacfeU,     0xb07d16ddU,     0x05943b6fU, \
    0x2d115c2eU,     0x0fd8a399U,     0x2f18b59bU,     0x14e78cffU, \
    0x9d28861fU,     0xe2aaef36U,     0xcea0f9a2U,     0x0d92e558U, \
    0xf5f2593eU,     0xf9897fa3U,     0x5a7dfd1dU,     0x62499639U, \
    0x3a30cc1fU,     0xadfdd0e9U,     0x58b80823U,     0x407491e0U, \
    0x1d4c72bfU,     0x72332b00U,     0x64368d5aU,     0x58a82e28U, \
    0xa3872772U,     0x6fee5570U,     0x445e239eU,     0x1292b953U, \
    0x3d274156U,     0x5a62884aU,     0xf179e545U,     0x96fc0304U, \
    0x72fd7e90U,     0x580079ceU,     0x8e0b88b8U,     0xc1b4ad7dU, \
    0x22111f26U,     0x1a399b38U,     0x71d8b0dbU,     0x61994453U, \
    0xb3d8edb1U,     0x32a77678U,     0xfcebd4b3U,     0x7f3b1f61U, \
    0x920a7022U,     0x3fe2a5c5U,     0x230628d7U,     0x96787f59U, \
    0x123768a7U,     0x21656859U,     0xbad48f94U,     0x4d91752aU, \
    0x1a388363U,     0x2c084170U,     0xb9aa246cU,     0x890d9af4U, \
    0x3a034332U,     0xb9ad0b9fU,     0x4ddde5eeU,     0xadb362a6U, \
    0xb1994279U,     0x6bff7380U,     0x1691e66bU,     0xe637778aU, \
    0x061012deU,     0x358aa299U,     0x9e52c22dU,     0xe412c3b7U, \
    0x3c86d9beU,     0x8a672576U,     0x7f996c98U,     0x6d2d8595U, \
    0x22bc259fU,     0xaa84c567U,     0xf0c1e438U,     0x09b4e3d8U, \
    0xc7876718U,     0xe36f8a6bU,     0x3958d799U,     0x1893a684U, \
    0x8680420fU,     0x0fb82e2eU,     0xbbd59a64U,     0x0e5307bdU, \
    0xd78967d2U,     0xbafc9bb2U,     0xeefb0eedU,     0x9d678e5dU, \
    0xc7ccf51fU,     0x38a930baU,     0xa57aff25U,     0x8be31cbbU, \
    0x72e2ab81U,     0xe3e5b669U,     0x2bc55102U,     0xed14346eU, \
    0x50aba271U,     0x9b52992fU,     0x49b989afU,     0x69026e08U, \
    0xba662beaU,     0x2cba53fdU,     0x931de6acU,     0xc57521a6U, \
    0x8413f4eaU,     0x648c980bU,     0x862816d9U,     0xbd16c68eU, \
    0xa28d2983U,     0x9005d401U,     0xd70c5538U,     0x4529c42cU, \
    0xf8b76c9eU,     0x150bbac5U,     0xd5877c04U,     0x2c3c1420U, \
    0x2280fa62U,     0xfcb672c6U,     0xaa77aacfU,     0xf5281eb6U, \
    0xb0ec4c86U,     0x71c41500U,     0x52aeec03U,     0xd2d0b45dU, \
    0x318a07a6U,     0xf3716580U,     0xca7f3df3U,     0xaa19f860U, \
    0xa2707bffU,     0x706cd307U,     0x1770e486U,     0xc59987f6U, \
    0xd9eb4c20U,     0xbc267dfeU,     0xefb28b1bU,     0x5b1d1d68U, \
    0x91751b00U,     0x2df58c6dU,     0x120883b4U,     0x0487936eU, \
    0x36bc3ce3U,     0x7af16038U,     0x9354c9fcU,     0xc557a8ceU, \
    0xadf1467eU,     0x8ea54185U,     0xc13a6698U,     0x73e643e4U, \
    0x6b0fe3ceU,     0x8e9c3646U,     0x9494137fU,     0x3788d6fcU, \
    0xff55ce9fU,     0xed91f5adU,     0xcfbf5a47U,     0x09511323U, \
    0xd084b5f9U,     0x653e844cU,     0xb9616e15U,     0xefaed9d9U, \
    0x5b76727fU,     0x5e9bcee6U,     0x483a3860U,     0x55d14cbaU, \
    0x317d315fU,     0x4896ebb5U,     0x26712542U,     0x6bf49270U, \
    0xf22ff926U,     0xacdf52a7U,     0x0bfb7b46U,     0x61150b3fU, \
    0x08331bcfU,     0x02e5812eU,     0x8ce9407aU,     0xcc61193cU, \
    0x464a54d3U,     0x53428b6fU,     0x5c77b5c9U,     0x862ac694U, \
    0xa9613a8bU,     0x1c76d249U,     0x16d2b266U,     0x2b97f117U, \
    0x19c14679U,     0xecc4e2b2U,     0xcf41c0cdU,     0xf5d3206eU, \
    0x0b4cdc09U,     0x87bd8e6eU,     0x91bb010cU,     0xf1e3a778U, \
    0xb7ea8d30U,     0x123f1c86U,     0x149b53c7U,     0x7f45af97U, \
    0x64fac063U,     0x04e34d66U,     0xa6cde542U,     0x76801904U, \
    0xc1cf5934U,     0xdd7f13e1U,     0x122f9540U,     0x49dedf3aU, \
    0xd7b6e63cU,     0x420daa3aU,     0x01af0c3aU,     0xaae3d36cU, \
    0x0b1d3246U,     0x79fe0bd4U,     0x7c2b226eU,     0xe3ca81e0U, \
    0x62a3e150U,     0xa8d97f38U,     0x092b4e01U,     0x07968664U, \
    0x474b70e4U,     0xe1d22e6aU,     0x2a16db5fU,     0xea927cd4U, \
    0x3b9212e1U,     0xacb39e85U,     0xaa3ed6d8U,     0x4c165a9eU, \
    0x0cb5e766U,     0xeb6e969bU,     0xb77efc9bU,     0x2b8d14f9U, \
    0x22d63b9eU,     0x7b690f4fU,     0xb9c8335bU,     0xc4170e27U, \
    0xa3224a07U,     0x25f9aab7U,     0x10972407U,     0x1950d644U, \
    0xf5f32868U,     0xa9dc73f3U,     0x07619dfeU,     0x1332f534U, \
    0xbac77ef6U,     0xb0b198e7U,     0x2ccf5426U,     0xc84acb11U, \
    0x3df4f6feU,     0x90cf4acdU,     0x1f21092dU,     0xcebecb1cU, \
    0x1b313621U,     0xb83e8c06U,     0x52b8472fU,     0x4b2a8921U, \
    0x797bf8ffU,     0x2295f310U,     0xc11f0a5dU,     0xf9f3f66bU, \
    0xaca8d504U,     0x902f2057U,     0x7aec42fcU,     0xfa0f087cU, \
    0xaeaf3d70U,     0xafcd7f62U,     0xa1181912U,     0xbd22947aU, \
    0x3015cbfbU,     0x1ee7e0d9U,     0xc5c7c82fU,     0x5b85f8b8U, \
    0x27625a2cU,     0x3c647ebcU,     0x2ad6e142U,     0x4163f796U, \
    0x274595e9U,     0x05e51244U,     0x0cab83a2U,     0x71c94f37U, \
    0xaca511ebU,     0xda12a61bU,     0xb78c2836U,     0x141e487bU, \
    0x1fd0a220U,     0xaccd4c95U,     0x88656c12U,     0xb201c506U, \
    0x811397daU,     0xaba8d175U,     0x4f45681cU,     0x856852c3U, \
    0x7833c74fU,     0xbd1c17cfU,     0xcd3dfd4fU,     0xf00a5f7aU, \
    0x3d5dcad4U,     0x6255fbf5U,     0x21eb8836U,     0x2082bed5U, \
    0x71149717U,     0x70a2b1b7U,     0x1a8095faU,     0x1c92b1bcU, \
    0x3efaf769U,     0xd95dfe88U,     0x81f93b76U,     0xef6f1452U, \
    0xb89aa248U,     0x8e45f1b5U,     0x6af17149U,     0xcffcd9eeU, \
    0xac185e77U,     0x121e2a97U,     0x2de5a69dU,     0xc6cc4983U, \
    0xaa235258U,     0x379913e2U,     0x9b433b6bU,     0x91e8e677U, \
    0x22f45c1bU,     0x3a208d09U,     0xf2bc4610U,     0xa068eb51U, \
    0x8f2ebef6U,     0x3aaf1077U,     0xdee0e64bU,     0xd09aecbeU, \
    0x7f25acc4U,     0x0eb8e801U,     0x6062e18aU,     0x4c958e10U, \
    0x8fdab11dU,     0xb1800be0U,     0x78c85c60U,     0x7fc75e69U, \
    0x9fba7c31U,     0x3503dd68U,     0x886ef7f1U,     0x8e8110cbU, \
    0x8f0a4903U,     0x3312e63fU,     0x801ecc00U,     0x30547828U, \
    0x3b6dc5b1U,     0x1eadcb84U,     0x71e97f69U,     0xde181137U, \
    0xc54b46c0U,     0x4c84c136U,     0x9b8b285eU,     0xfd32d007U, \
    0xbbdcb8bfU,     0x239c0576U,     0x52153407U,     0x02c64fb6U, \
    0x8697ae52U,     0x955140e6U,     0x74d4b53aU,     0x7fb847fcU, \
    0xa6d8ee7dU,     0x2cbad042U,     0x8ddeb0cbU,     0x8199a3a6U, \
    0x2a6a2669U,     0xe9dd461aU,     0xf1dedfbeU,     0x2c294257U, \
    0xd47951ecU,     0x97175121U,     0x91314141U,     0xee90cb4aU, \
    0xb1631c82U,     0xc33a26efU,     0x014d2853U,     0x83e38ae4U, \
    0x9ec81205U,     0x7d8046e8U,     0x683cd48fU,     0x91764535U, \
    0xff9809a2U,     0x27251544U,     0x8671efbaU,     0xe7812822U, \
    0x29da9668U,     0x802ebbadU,     0xdf101447U,     0xba9cfb24U, \
    0x7ea28429U,     0x77b1d506U,     0xc67821d8U,     0xf4d5291dU, \
    0x51c814bcU,     0xd6fc781fU,     0x942c5dfdU,     0x56a631e8U, \
    0x3147835eU,     0x1955c353U,     0x9335ddf0U,     0x417ae5d5U, \
    0x91eac2e6U,     0x0914c6d6U,     0x5743e2c8U,     0xa2f38e5cU, \
    0x12d362b9U,     0x0e9c73faU,     0xe01312eaU,     0xe3b58ab3U, \
    0x7b216ec5U,     0x29700f68U,     0xd0230ef2U,     0xf32761b3U, \
    0xf492c48fU,     0xe71f3908U,     0xaf63965fU,     0x452255bbU, \
    0x36f10e9fU,     0xb296bd02U,     0xaf58379fU,     0x69a995d0U, \
    0xda10ec25U,     0x1a0a7de7U,     0x4aa4af4dU,     0xf8d7ebc4U, \
    0x9aa8d212U,     0xa0c70efcU,     0xa6f3b0afU,     0x857cea31U, \
    0x58098829U,     0x2024026bU,     0x1f204482U,     0x773216c1U, \
    0x30633ea3U,     0x40a935b2U,     0x8587b5bcU,     0x8587f064U, \
    0x5f9f5a12U,     0xbebdd55fU,     0x650d3496U,     0x7901f2faU, \
    0x5308e04fU,     0xe9bf12d2U,     0x06faed76U,     0x87aa946cU, \
    0x24f7c9c5U,     0xa6205228U,     0xb4deb12aU,     0x17ad0b7aU, \
    0xba8c38f1U,     0xa2d03917U,     0x94541773U,     0xc0adf9a0U, \
    0x655459fbU,     0x8e2292ddU,     0x6a62ef53U,     0x0c1261a9U, \
    0xb6680819U,     0xbdc809a1U,     0xf77169e0U,     0x5bbfb8e7U, \
    0xe1ec4d21U,     0x6a5db7cfU,     0xf38d0f16U,     0xf9889065U, \
    0x82c528f7U,     0xbbc18799U,     0xeb1ebf3cU,     0x8fbc86e1U, \
    0xced2c7beU,     0xf5e1e31fU,     0xdc1672d3U,     0xcc085f6eU, \
    0xff848443U,     0xffa9ce1eU,     0xca0da72dU,     0x50543e11U, \
    0xad5608feU,     0x6bd940edU,     0xf6a6d08eU,     0x8d4bbb2aU, \
    0xd9861e5aU,     0x2317bad1U,     0xee855763U,     0x536f8e41U, \
    0xa61c2f37U,     0x8c14bb39U,     0xc5570028U,     0x1512e0efU, \
    0xd5d42350U,     0x885aed8dU,     0xc471fd9dU,     0x4324d74cU, \
    0x6d916991U,     0x5b928874U,     0x1c1d02c3U,     0x4347dbbeU, \
    0x67ba5e5fU,     0x33a64291U,     0x17c92526U,     0xa60f2708U, \
    0x3e06304aU,     0x3f11619aU,     0x991b6472U,     0x319321a7U, \
    0xe7f96203U,     0x987b8546U,     0x889799afU,     0xdf8a4d7bU, \
    0x35f48e22U,     0xf46143deU,     0x3562f471U,     0xecb34749U, \
    0x3b47243aU,     0x43316f0fU,     0xe735fcdbU,     0x41484cecU, \
    0x84ea3a1dU,     0xedd8f4f3U,     0x7d5b7099U,     0xc9368eb2U, \
    0xb06658fcU,     0xdd15588fU,     0xcee39824U,     0x3074fb10U, \
    0xa27a2e0dU,     0x2c9a8d0cU,     0x2368fe6aU,     0xa2a82132U, \
    0xe1c96cadU,     0x60cea7b6U,     0x5bb57399U,     0xcddb7e68U, \
    0x7288899aU,     0xbde66f4eU,     0x393d05edU,     0x94963374U, \
    0x733de269U,     0xfc2b89edU,     0xa21e53acU,     0x622edf69U, \
    0x4677b265U,     0x04df1a75U,     0xc627cb70U,     0x03b6ed7dU, \
    0x7fc7934eU,     0x39495ec9U,     0xeb9ed6b5U,     0xf0b1e4e5U, \
    0x27cdefc9U,     0xa0030653U,     0xc2ff93d5U,     0x5df8381dU, \
    0x612f80e5U,     0x4d18541eU,     0x189670ccU,     0x024b0191U, \
    0x892bc015U,     0x45d8a6c8U,     0x5ab56c0cU,     0x9af73757U, \
    0x86db3073U,     0xa6f38dc8U,     0xa4408ccfU,     0x9d554568U, \
    0x6110e6bbU,     0x4ba14f5fU,     0x44eeb655U,     0x329b353eU, \
    0x97a0cc6aU,     0x7bb711ebU,     0x28ab0d25U,     0x379ce1bdU, \
    0xfd6de481U,     0xf1cd1bd9U,     0x54603a8cU,     0x0bd6dfb9U, \
    0xe447c9eeU,     0x1f984cc4U,     0xeac25e6bU,     0xe6600758U, \
    0x128c982bU,     0x29e998c8U,     0x212ef76fU,     0x7f29420bU, \
    0x354f2663U,     0x5cca76c4U,     0x55ab64b5U,     0x98dba63dU, \
    0x5e3ec9ffU,     0x29bcd951U,     0x010013e5U,     0x10933adbU, \
    0xd4286f1eU,     0xb4b39e68U,     0x8876d56fU,     0xb4a2425dU, \
    0xf67220d5U,     0xba472ea6U,     0xf723007fU,     0xbe67e759U, \
    0x08b1d7a7U,     0xd489bb4fU,     0x3c69287bU,     0x3457a8b1U, \
    0x028a746aU,     0x3a754151U,     0xaa0a9e38U,     0x228c7646U, \
    0xfc9ea97bU,     0xaa0835d1U,     0x0fcedaf0U,     0xdbf994daU, \
    0x854e1672U,     0xb91d8f39U,     0xbc7acdc5U,     0x3086804bU, \
    0x66f05f99U,     0xf9628a5eU,     0x861c6e34U,     0xd922a9ebU, \
    0x283e5aebU,     0x1575dd0bU,     0x3dfcd05cU,     0x4da0991dU, \
    0x92f52608U,     0xdae7baa4U,     0xf63ed77bU,     0xb8ab9fb9U, \
    0x55f84102U,     0x65860b5fU,     0x1a320e4dU,     0x762d1754U, \
    0x492eef2fU,     0x8f63e65bU,     0x7273d347U,     0x4d1e1589U, \
    0xe7ac6e4bU,     0xbfd3ff4fU,     0x9807e2b7U,     0x8ef73619U, \
    0x3474e53eU,     0x9e249c57U,     0xdb3e43fdU,     0xc83c771bU, \
    0xbda26759U,     0xcb6d04dcU,     0xa9e569c0U,     0x8f3f8ceeU, \
    0xab82fe40U,     0xd360f728U,     0x99ad8d32U,     0x0963b7daU, \
    0xbf3aaeabU,     0xb1e3eea3U,     0xf7e9d26eU,     0xb6501940U, \
    0xe970ac3bU,     0x576013c4U,     0xf4aebb5fU,     0x231206d5U, \
    0x2649f49dU,     0x3ee8d238U,     0xbb387f06U,     0xc9eace95U, \
    0xaffa451aU,     0x7c6260f0U,     0xbc803961U,     0x9a732a85U, \
    0x77b9f46bU,     0x8acbb7bcU,     0xb6cf25fcU,     0xa9cd373aU, \
    0xe63750c8U,     0x66d33e19U,     0xaf96e6d7U,     0x9de6dac2U, \
    0xd5263e8cU,     0xe249eda8U,     0x4ab25d5bU,     0x8448e66cU, \
    0xb6c8c3ecU,     0x0515aae3U,     0x87ab22c0U,     0x97bbca79U, \
    0xa2c16353U,     0x7f452a04U,     0x9367bd8eU,     0x1db9e307U, \
    0x429d4fdfU,     0x089c4f95U,     0xd29059c3U,     0x77594670U, \
    0xd60e00e5U,     0xee99ebebU,     0x4ecefdbeU,     0xfcefb08cU, \
    0xf06ab766U,     0xe3d401c4U,     0x9f711102U,     0x257d62c1U, \
    0x89dd08cfU,     0x09ce10c2U,     0x3f81eb30U,     0x4c75f9baU, \
    0x6ab2ed3bU,     0xf6ed1029U,     0x617d88a0U,     0x6284b439U, \
    0xb68da4b4U,     0x6b21d5f8U,     0xaeb700ffU,     0x4df009e8U, \
    0x0c4d8a53U,     0xa875118dU,     0x1a762de2U,     0x07cf01f9U, \
    0xf6f4e3f3U,     0xd358cd09U,     0xe15f9710U,     0x89aef515U, \
    0xe33a7e05U,     0x7d4dc966U,     0xfe7088e3U,     0x2054372cU, \
    0x31f67b18U,     0xad634e4dU,     0xf54092a0U,     0xac9ec2e5U, \
    0x8aa518e5U,     0x207a2833U,     0x46c3b909U,     0xd5f3a6c7U, \
    0xac7a51abU,     0x40cb89bdU,     0x7225d77dU,     0x1e71fb53U, \
    0x4f7ba0ebU,     0x3f4ac117U,     0xec9480b5U,     0xae9ef0fcU, \
    0xf1135c60U,     0x0e20887eU,     0x9c62b47cU,     0x4a03a865U, \
    0x0c9d2d60U,     0xaf67dbf1U,     0x227052f5U,     0xadea31edU, \
    0xe74a65dbU,     0x16f2e6e8U,     0x36c605f5U,     0xe01f37a4U, \
    0x3239af11U,     0x5cf80d95U,     0x04a4ad51U,     0xc7e1d9e8U, \
    0x3d36ef1dU,     0x9136bd84U,     0xf5c8d440U,     0x06d50e94U, \
    0xcba5d070U,     0x53c4f54eU,     0x061f6b31U,     0xaa290094U, \
    0x55b17766U,     0x65838553U,     0x9c4227f8U,     0x02227323U, \
    0xa40a48acU,     0x712a877aU,     0x8f2d62ccU,     0x2aaff0beU, \
    0xcd57ea84U,     0xde4c7797U,     0xc00e6f0dU,     0x86f16f65U, \
    0x1b0c9185U,     0x09b3b919U,     0xc5bf09d4U,     0x309bfb6dU, \
    0x50e9a58eU,     0x2a5021afU,     0x7a7adc0cU,     0xb4ab9231U, \
    0x589a1733U,     0x31699696U,     0xb9152421U,     0xef4fededU, \
    0xc1b218d5U,     0x0018a437U,     0x6ff3ecdbU,     0xab6fedc2U, \
    0x0e0d0f80U,     0x80e976e4U,     0xf5c2f013U,     0x9d996729U, \
    0xb6b12803U,     0x03a089a4U,     0x18ac3835U,     0x9907d0f3U, \
    0x5935c32cU,     0xd55cb190U,     0x519d1ce2U,     0x4dc7ed38U, \
    0x390767d7U,     0x47a1b13aU,     0x7cec94f1U,     0x3037bc55U, \
    0x2ee2257bU,     0x8d38fff6U,     0xc23d6bcaU,     0x0c2f8a50U, \
    0xc895e149U,     0x3cd3f46eU,     0x43d1e35bU,     0x3d995e9eU, \
    0x26d68584U,     0x5598c17eU,     0xbba7f571U,     0xf51a721cU, \
    0xc08c13d5U,     0x0162a5b4U,     0x9de450deU,     0xbe7a08f6U, \
    0x37e3a077U,     0xc62f8a42U,     0x6b6f21c6U,     0xe2f6b42eU, \
    0x0dde1f84U,     0xf0fc6441U,     0xbf1d60b2U,     0x04de3126U, \
    0xe2a3db9dU,     0xd90657a8U,     0x1873182fU,     0x495b15ebU, \
    0x1e319462U,     0xbd538a4aU,     0x7b796c24U,     0xa58c6b29U, \
    0x2f49360eU,     0xd6c53c27U,     0xe1de5258U,     0x6ef45d8cU, \
    0x64712531U,     0xbc4d5f3dU,     0xe0434174U,     0xa07eb860U, \
    0x93ecdfc6U,     0xd1fb7240U,     0xd93efc4bU,     0x6357bd27U, \
    0xca4ba4f6U,     0x68e610daU,     0x9340390bU,     0x74b18c78U, \
    0x78ddf2f7U,     0xcba16979U,     0xa2bf6981U,     0x571d9183U, \
    0x37fd56edU,     0x73eb6edaU,     0x0f1062c1U,     0xef045025U, \
    0x0822c5a6U,     0x46768310U,     0xdddf3b95U,     0xeb758ec1U, \
    0xf2a6913cU,     0x28afdf9aU,     0xf38ebe9fU,     0x96f14ac5U, \
    0x07a154d8U,     0x54b29383U,     0xd8f5407cU,     0xe16f558aU, \
    0x000ccdc3U,     0xbb760b35U,     0xc2e532e7U,     0x8e9fe5e8U, \
    0xc1969fecU,     0x84365d27U,     0x12c3e66bU,     0xccb38931U, \
    0x8c0f0458U,     0x09d7eb4fU,     0xa6c2222bU,     0xf863f378U, \
    0xb138a66eU,     0xe3c0fa16U,     0x3937c5b2U,     0x592a1456U, \
    0xfd05f192U,     0x886fbe77U,     0xde5df02aU,     0x31c1c212U, \
    0xa7156bd5U,     0x150a1b8dU,     0xf0b5bd52U,     0x4d7180bbU, \
    0x799cfd20U,     0x5032f192U,     0x7512fa6bU,     0x3b3cf269U, \
    0x088eee14U,     0x32c65057U,     0x9c721378U,     0x7212b4c4U, \
    0x77bd8f94U,     0x5a1c9a40U,     0x4df65ecdU,     0x2d6f8e09U, \
    0x026857c9U,     0xa90d02faU,     0xd4ed793fU,     0x22818826U, \
    0x54c864b1U,     0x2ca2df74U,     0x044ecd04U,     0xa2a1ef8cU, \
    0x1177b101U,     0xc9f97eceU,     0xa97fb595U,     0xa0590b76U, \
    0xab83f8baU,     0x23c753e0U,     0x1d38385fU,     0x6f55d8e9U, \
    0xa56f42a6U,     0x915b7867U,     0x28638a69U,     0x4876712aU, \
    0x4ad6b1f4U,     0x8969af40U,     0xfcf3de6dU,     0x07dfb38fU, \
    0x35022788U,     0xea781b88U,     0xffaad587U,     0xb186f53eU, \
    0x24964c9bU,     0x5197e3dfU,     0xcac85f8eU,     0x098d4b4cU, \
    0xb8ccb9e7U,     0x5114eab1U,     0xf64f8d2dU,     0x84afb7c2U, \
    0x78e8ea2bU,     0xcf3e10e6U,     0xdc627efbU,     0x8a69cd09U, \
    0xabd78a74U,     0xc23ea837U,     0x71a8555aU,     0x8cfae4ceU, \
    0x09dccd5dU,     0xce49c1c0U,     0x325438aaU,     0xc4e4ff16U, \
    0x73a453bcU,     0x97b12e28U,     0xeb5a9b17U,     0x37a2ac6fU, \
    0x653a5f1aU,     0xa35a3ca1U,     0x1f45f832U,     0xc5c62876U, \
    0xf02c9845U,     0x7d289d47U,     0xf5b8824cU,     0x91768265U, \
    0x9fe3f9b4U,     0xf951d4f9U,     0xef4dda16U,     0x7a546506U, \
    0x5cd21bc8U,     0x477e84b5U,     0x0d2c2497U,     0x835a5551U, \
    0x0d6a399dU,     0x1b3b01f6U,     0x1f3a56a4U,     0x1dcbe635U, \
    0xa940802cU,     0x7761f766U,     0xdca8b6f4U,     0x96c557acU, \
    0x7be2a8f4U,     0x033594a0U,     0x1287a0bfU,     0x3e98bd37U, \
    0x260474adU,     0x13f00ca4U,     0x1aa0545eU,     0xe0e3b98eU, \
    0x1e2aba54U,     0x65effae2U,     0xea68423bU,     0x48afc1beU, \
    0xbc97b713U,     0x5e3d3ac4U,     0xd137e85aU,     0x5bfe57daU, \
    0xc3ea74cbU,     0xcdbd7f9aU,     0xa2517f62U,     0xde8b245bU, \
    0x6ba341c9U,     0x310098b1U,     0xf449cdaeU,     0xbb95c06cU, \
    0x562b3df9U,     0x7daf9287U,     0x7f3c5f12U,     0x94bdef9fU, \
    0xe560298eU,     0x1437ad7eU,     0x74cf6a24U,     0xde6b3b42U, \
    0x3ce435b0U,     0x365bfd4cU,     0x77972a44U,     0x7b72f228U, \
    0x4bce27d9U,     0x168cd4d4U,     0x01d7f5e0U,     0x78bb3d18U, \
    0xe2f12fcfU,     0x7bea0446U,     0x79a5b38fU,     0xa7edb179U, \
    0xdee552faU,     0x51a3c085U,     0x4367fa19U,     0xfeca50dfU, \
    0x44c7f751U,     0xa5efaa76U,     0xdc8cfdbbU,     0x21337b9aU, \
    0x818cb97dU,     0xb3b0e41dU,     0xbd126af0U,     0xce2d25a0U, \
    0xff1e7ef0U,     0x2c1f350aU,     0x64b9df46U,     0x592f66ceU, \
    0xee0ddbddU,     0xcc66f792U,     0x73064bd8U,     0x918f3055U, \
    0x3f66fcd1U,     0x41fa54efU,     0x1da352eaU,     0x87ab2f2aU, \
    0x674dbb22U,     0x368aae7dU,     0x30702d79U,     0x5ddbb6a0U, \
    0x530da74eU,     0x37c85232U,     0x40693497U,     0x986613b2U, \
    0xd6246cf1U,     0x0d6b4bc2U,     0xf1e66e8eU,     0xfd876081U, \
    0x3464afd9U,     0x85124106U,     0xa9d6cfcbU,     0x3198c65bU, \
    0x881438eaU,     0x142138d7U,     0x0bfd50d7U,     0xe609958fU, \
    0xec5075aaU,     0x21a84cfeU,     0x523fc121U,     0xd06fa215U, \
    0x20a1b4b0U,     0x3d3f994bU,     0xb9e1b66fU,     0x26f88a5eU, \
    0xa0541c1bU,     0x9887b4b2U,     0xbfb99ebbU,     0xd703bcfaU, \
    0x07f7085aU,     0x1b7886cbU,     0x418c321aU,     0x123e915aU, \
    0x11d3b210U,     0x9e8165d2U,     0x933bc3feU,     0x8a710ed2U, \
    0x44307254U,     0x291d82b5U,     0xfc1a3471U,     0xefaa9d9dU, \
    0x813cc666U,     0x5d6dcf63U,     0x93dea581U,     0xf7d14f6cU, \
    0x83be9a6eU,     0xd3a3e8dfU,     0x748c6ffeU,     0xcbcce146U, \
    0x170d3850U,     0x66da5956U,     0x75ed3f14U,     0xbf5ba836U, \
    0xa021d877U,     0xa193dab4U,     0xaea4550bU,     0x3913ee48U, \
    0x1a14888fU,     0xc38f5668U,     0x2f50881aU,     0x844feda4U, \
    0xab97fea4U,     0xd15ccf1bU,     0x9c04ffa6U,     0x9c0dc6faU, \
    0x17e2a362U,     0x219e715aU,     0x071b5d5aU,     0xbbb2bee6U, \
    0xbdad7dc7U,     0x997a61cbU,     0x3b309d73U,     0x9746d265U, \
    0x04dad5e8U,     0x95101d29U,     0xff2177acU,     0xdfd87f5aU, \
    0x7195ab55U,     0x130d1963U,     0x2d1f5427U,     0xf0c71307U, \
    0xbe0d6d2eU,     0x24dbe5efU,     0x9e063387U,     0x8b905e98U, \
    0xf25b4218U,     0xce901c40U,     0x836a0c72U,     0xc1b70f72U, \
    0xc955b607U,     0xc0ed128aU,     0xe828d830U,     0xb5accd74U, \
    0x4e370a2eU,     0xe9cadd2fU,     0xb576fdcfU,     0x7ced25a0U, \
    0xe9a4672dU,     0xb850035bU,     0x91d3a252U,     0x1f1b160aU, \
    0xbe7bf711U,     0xab721915U,     0x9a6def9fU,     0x37cccb1cU, \
    0xed931bc6U,     0x927f7368U,     0x85762631U,     0x2df0fc73U, \
    0x91c305b2U,     0xd74d54f7U,     0xdd444d2fU,     0xff47a126U, \
    0x58d11668U,     0x4678ebe9U,     0x953f7252U,     0x41d690bfU, \
    0x1b7fdda3U,     0x5b646b21U,     0xdd6cecb4U,     0xe101ae61U, \
    0x73088b66U,     0xfc3ffb8dU,     0xbd7d0730U,     0x73470a97U, \
    0xec86362dU,     0xd79af54eU,     0x0208127dU,     0x62bd8f0cU, \
    0x81c73804U,     0x9466c8d1U,     0x83b0a5f6U,     0xf035026aU, \
    0x377652b3U,     0xf8513e3fU,     0x86a06e79U,     0x1ee5795eU, \
    0xafdf7f09U,     0x208be2f4U,     0xa7b8ca41U,     0xe6de2f01U, \
    0xdc5dd48dU,     0x15715242U,     0xc61f0e29U,     0x3ad9eb12U, \
    0xf4a5208aU,     0xa9e89338U,     0x900b5038U,     0x78c6accdU, \
    0xb44a4347U,     0x93d1761aU,     0x941d8a6cU,     0x5be7d1e8U, \
    0x10fd66a2U,     0x9ecda541U,     0x8cdd6c93U,     0x744aa5ffU, \
    0xebd24d37U,     0x2aef5913U,     0xca4f8296U,     0xe6959d43U, \
    0xbb641d16U,     0xa0b467c2U,     0x18c33ba3U,     0xa1ce021aU, \
    0xc6ba2575U,     0x37534db5U,     0x481cc21aU,     0xc3832719U, \
    0x1c4ff014U,     0x20636b66U,     0x114d948dU,     0xc94795c5U, \
    0x708fc928U,     0xea65cdf2U,     0x4bba29c3U,     0xc9632050U, \
    0x821b05adU,     0xbe93f2bbU,     0xc53f3bc2U,     0x13fa6eb1U, \
    0x69f2a04fU,     0xdd5b4637U,     0xf398b69eU,     0xdaf27e3eU, \
    0xa35e6845U,     0x56825671U,     0x788d8c14U,     0x579903d1U, \
    0x2955ea32U,     0xff7787f3U,     0xf17ce8d5U,     0x92456380U, \
    0x5de5321cU,     0x958e2abcU,     0xb24e768eU,     0xc3be3ab8U, \
    0x55bf453dU,     0x5a6f26b3U,     0x643a19e0U,     0x90197e4bU, \
    0xfcd07fddU,     0x1703eadbU,     0x88de3cecU,     0x777c63acU, \
    0x97265963U,     0x31e01a0dU,     0xde5da3e6U,     0xf2811940U, \
    0x18984f7cU,     0x2f7d27edU,     0x116accc8U,     0xb39fe4e1U, \
    0x6100fcf0U,     0x3624d373U,     0x835b8dcbU,     0xe5a8c980U, \
    0x9512c80eU,     0xbebbba5cU,     0x42910de2U,     0xb7bbbe6eU, \
    0x57ccf8b9U,     0xe05c8714U,     0xc40096e9U,     0x5164098fU, \
    0xb0288bc6U,     0x0d1ee32dU,     0x0c001917U,     0xd7c8d639U, \
    0xbd69c553U,     0x3850339cU,     0x3964e670U,     0xbc250592U, \
    0x4772c5ccU,     0x25c3010cU,     0xbf472544U,     0x8bba4e19U, \
    0x745ab14fU,     0xdb9aea74U,     0x0df4b086U,     0xdcaf0c01U, \
    0xdc9e382eU,     0x5a4b2aa1U,     0x0527e7dbU,     0x3adeca63U, \
    0x4b7fa0a4U,     0x35e89296U,     0xa76539a9U,     0x70abf46dU, \
    0x34a994f5U,     0xb7c95545U,     0xff6bd916U,     0x5602be77U, \
    0x08afa64bU,     0x4b2cf8feU,     0x34256338U,     0x710b392cU, \
    0x88681703U,     0x0f1faaecU,     0xeda0a652U,     0x12611482U, \
    0x34f6fc73U,     0x181145d0U,     0x0bb547aeU,     0x9d377ea3U, \
    0x33b618feU,     0x9f2831c7U,     0x5b07262eU,     0x4ccc30f1U, \
    0x6be41bdbU,     0xf9c8f195U,     0x8f510177U,     0x5adb8efaU, \
    0x89d81919U,     0x3f14a8b1U,     0xfaa46210U,     0xe8dd02a6U, \
    0xa6688c89U,     0xa6c5be73U,     0x6a3b718aU,     0x3f895631U, \
    0x11f50d51U,     0xce465f46U,     0xc37255c7U,     0xd3afd27bU, \
    0x5704f145U,     0x302a6113U,     0x5d3eb004U,     0x461cee5bU, \
    0x6f300703U,     0xf2db8815U,     0xccb623aeU,     0x3a17bb39U, \
    0x39320ca5U,     0x89acaad1U,     0x4c47bcbaU,     0xf123cf82U, \
    0xee45c8adU,     0x78870f9cU,     0x8c458ed4U,     0x372b772cU, \
    0x8d81e03fU,     0x8880ed7dU,     0xb7dd161dU,     0xd48c307eU, \
    0x63dd7412U,     0x91290c6bU,     0x86dee895U,     0xc1c0a7ecU, \
    0xc6ccf2d1U,     0x45bbb9deU,     0xd7e85ec4U,     0xef5ce53fU, \
    0x52a1184aU,     0x7cfea929U,     0x0a63918bU,     0x746e47d4U, \
    0x8874be38U,     0x5f022b4dU,     0x3e4d4c20U,     0xd27b9c93U, \
    0x92d41d1dU,     0x14968f65U,     0xdecf8fd8U,     0x653d7709U, \
    0x34e8bb82U,     0x210d2648U,     0xe48b9b80U,     0x02bebd7aU, \
    0xc6e9f221U,     0x5d4bb3f3U,     0xddd969c3U,     0x5bebf4b1U, \
    0x693ec5aeU,     0x45ab44a0U,     0x5d2342c1U,     0xbf5e4393U, \
    0x103fc734U,     0xd938617cU,     0xe0ed5aecU,     0xc5d69a71U, \
    0xa7478618U,     0xe797b834U,     0xe07b1c16U,     0xd4c8f9c3U, \
    0x59478bc3U,     0xd2d6af24U,     0xcb8f2a71U,     0x739bea80U, \
    0x946d21d0U,     0x093a912bU,     0x409c792dU,     0x0f4b0bc7U, \
    0x06c83bd6U,     0x5f9603a5U,     0x19b4578fU,     0xef04c044U, \
    0x595ca5e3U,     0x7b3c44afU,     0x16e660c1U,     0x4d77e5caU, \
    0xdc6e252eU,     0x1e058facU,     0xed2313dfU,     0x58c6a622U, \
    0xf6341cd7U,     0x1508c74aU,     0x3371ea68U,     0xe4f1e314U, \
    0x4b6a9f7cU,     0x4f8f2a31U,     0x69a0d634U,     0x1dafd396U, \
    0xab6c0c0eU,     0x76079da6U,     0xc08906c6U,     0x303969d0U, \
    0xb1d6561aU,     0x647c3e0eU,     0x0b1a04eaU,     0x3520becbU, \
    0x91ef041dU,     0x3ea92a19U,     0xdcb1d441U,     0x85d6e917U, \
    0x12fbb48bU,     0xbfb3e04cU,     0x98bf754aU,     0x219fcf93U, \
    0xfcf6ee1bU,     0x47563d2aU,     0x7cab8e2dU,     0x810007ccU, \
    0xd5db11c7U,     0x54954b3dU,     0x953394a3U,     0xcdbde908U, \
    0x9298fd6fU,     0xff29d942U,     0x13807c15U,     0x65f2ab89U, \
    0xe7dfe7dbU,     0x4971ddd3U,     0xe60e203dU,     0x07fe7d8bU, \
    0x81ce1e3eU,     0x17d3dea1U,     0xedd105a3U,     0xcd3ea6a0U, \
    0x81c4d401U,     0xa17be0eeU,     0xae37b0d1U,     0x4566c899U, \
    0xb83c2c20U,     0xa5b5d43cU,     0x1b7f8413U,     0x6757729cU, \
    0x73aebc7fU,     0x8729cde9U,     0x145fb735U,     0x0122725dU, \
    0x1666ea7eU,     0x38ad7109U,     0x47377779U,     0x91921b0eU, \
    0x51d3fcd6U,     0x216571d4U,     0xd5c9e3c0U,     0x22cf31faU, \
    0xa062b459U,     0x5ddb1e3eU,     0x0918b268U,     0x1115e814U, \
    0x154a197fU,     0x6d15f796U,     0x968b09f8U,     0xab7e7993U, \
    0x9373def7U,     0x548d7670U,     0x4d59b90cU,     0x8f74146aU, \
    0x8c66eda7U,     0xad0021f9U,     0x32381e7cU,     0x385000f4U, \
    0xcdda77a1U,     0x0d685052U,     0x4b3429dfU,     0xb99a7a6aU, \
    0x09cf8c50U,     0xf6d10dabU,     0x2004aff7U,     0x5e8945c0U, \
    0xb9d329cbU,     0x0a2af918U,     0xfc39e652U,     0x38715eacU, \
    0x3bbc1748U,     0x43760319U,     0x01a409cbU,     0xd62c1aa3U, \
    0xae7de916U,     0xa682ce47U,     0xcdccef9cU,     0x64e74f94U, \
    0xa15f173aU,     0x57179083U,     0xeb373e01U,     0xfb5e8de0U, \
    0xab831ebbU,     0x547b4307U,     0xc7c52241U,     0xb7ebf3f6U, \
    0x67876f79U,     0xb81f03f5U,     0x60f90f4dU,     0x554ab53eU, \
    0x031a7929U,     0x2e54afe0U,     0x2d10a1f7U,     0x5eced0e0U, \
    0xbb5a7584U,     0x0598d715U,     0x19075295U,     0xbf6c3d2fU, \
    0x5916280aU,     0x6c2f9f4fU,     0xc7063ec1U,     0xbd9f9d08U, \
    0xeb9cbea9U,     0x7b096385U,     0x9f1bd515U,     0x3038ab0eU, \
    0x97b1dd9dU,     0x9fae5b07U,     0x380a0f7dU,     0x0c3e9915U, \
    0x8110b4e9U,     0x2b0deebcU,     0xced74f59U,     0x31fa5927U, \
    0x8d94bfd3U,     0xa89b49ebU,     0xe976f6d7U,     0xe7d104c6U, \
    0xc82f79a3U,     0x2cf08e09U,     0x9ac9827fU,     0xd377eb0aU, \
    0x2f0cdbbfU,     0x22aa6378U,     0x5d5c42f4U,     0xe92d8cf0U, \
    0x0b67422eU,     0xdbac324cU,     0xf440606cU,     0x31f9b98cU, \
    0x8b6e37b1U,     0x976a4271U,     0x6a40d54bU,     0xb18b0a5fU, \
    0xc743ea39U,     0x2c0371b0U,     0x17aaebbdU,     0xd1663e58U, \
    0x566233c9U,     0x961fac3eU,     0x3192f26fU,     0x5df2e46eU, \
    0x934642ecU,     0x33441247U,     0x818a9b5bU,     0xb0d2da7bU, \
    0x429538f7U,     0x9506d1e7U,     0xe63116eaU,     0xfd0e0531U, \
    0x4ff791b7U,     0xcf690f76U,     0x55286c4bU,     0x2303450aU, \
    0x5dd7c41dU,     0x4bf7ae6aU,     0x4972fda7U,     0x11969ba1U, \
    0xd8195229U,     0xfa6f5975U,     0x00df2f4bU,     0xa44d0bfaU, \
    0xe6ee4384U,     0x42075f5aU,     0x0965a22fU,     0xa832b53eU, \
    0x51f44a46U,     0x54973e30U,     0x7ea51994U,     0x356a41a3U, \
    0x6460dda6U,     0x9ec88092U,     0x7f41ce47U,     0xd7582afaU, \
    0xb50cd3bbU,     0x471dabd6U,     0x4382bb66U,     0xf8870f15U, \
    0xa2367db3U,     0x306f0ee8U,     0xf9ea6419U,     0x3e79da25U, \
    0xe70f15bdU,     0x23d468bdU,     0x6a33658fU,     0x55b39c88U, \
    0xe589e369U,     0x93c61f12U,     0x35b37641U,     0xf3d6de24U, \
    0xa8ca305cU,     0x95412107U,     0xc9cc1fdbU,     0xb8863cbbU, \
    0x68df46e9U,     0xf145a064U,     0xd3de7bf3U,     0x3ef26282U, \
    0x0ef7b48eU,     0x19d2dc8cU,     0xac4d9ec0U,     0xf6c06870U, \
    0xc5897b6cU,     0xb5f0dd1dU,     0x24bf2de9U,     0x1f72b42bU, \
    0x4f5ad9a3U,     0x0a2395c5U,     0x6de91d8eU,     0x9f81c409U, \
    0xc522f10dU,     0x82f07283U,     0x19bc9666U,     0x5e57496bU, \
    0xabd541c3U,     0xbdc84bebU,     0x5bfa30e9U,     0x79ddad89U, \
    0x1a0632d2U,     0xaebfd439U,     0xb3554278U,     0x39f897ecU, \
    0x6bc46b2dU,     0x5855a547U,     0xd23fc059U,     0xe04caf8cU, \
    0x674e5aa6U,     0x7b7af389U,     0x22c78443U,     0x9d0699d5U, \
    0x3a596838U,     0x916c95e1U,     0x139872eeU,     0xae8be102U, \
    0x5c8e70f1U,     0x798e49b8U,     0x11f3bc79U,     0xf36f5a51U, \
    0xf07cbe11U,     0x31205688U,     0x18b63bc2U,     0x24dab6a4U, \
    0x739d34fdU,     0x344220f5U,     0x38e975f4U,     0x77574dc2U, \
    0xa2dc243fU,     0xe65c6cbeU,     0x7d47ce9fU,     0x4a228ac4U, \
    0xf28ccc89U,     0xd89604baU,     0x32363742U,     0x4e279d68U, \
    0xdbeffed9U,     0xd0b5caeaU,     0x4abd577dU,     0x4172187cU, \
    0xdc2bed0dU,     0x2618d775U,     0x903b5c15U,     0x7b7c7c62U, \
    0x19cede00U,     0xd55f999cU,     0x186261cdU,     0x200a4732U, \
    0x396c7af1U,     0x5748d236U,     0xced83946U,     0xc2b71d5fU, \
    0xb1e3ba91U,     0xa6b80b86U,     0xc17f4197U,     0x9e2939c0U, \
    0x5dc0ae62U,     0xefa8f9e4U,     0xe9f0c00aU,     0xa1b4ca05U, \
    0x3231585eU,     0x08382b0dU,     0x63316d85U,     0xba3b703dU, \
    0x2ae06a3bU,     0xfbb86318U,     0x40f12da0U,     0x8ab1523cU, \
    0xdab38410U,     0x67ba2487U,     0x94457018U,     0x1d7e8c61U, \
    0xcb92a2b7U,     0xd4579067U,     0x32465792U,     0x22e9b374U, \
    0x4ddeda3aU,     0xd396bbd0U,     0xa1a6724fU,     0x7e8bc205U, \
    0xdad049b7U,     0x5fa26354U,     0x947ed20cU,     0x832b328fU, \
    0xf7df0019U,     0x6cff46a8U,     0xdddd36dfU,     0x02346368U, \
    0x5a8c0d09U,     0x77e215b9U,     0x91583dedU,     0x4af1ae9bU, \
    0xcb88973fU,     0x40a35318U,     0xc75d9bb9U,     0x96244378U, \
    0x76393016U,     0x1bc0c972U,     0x77a11813U,     0x1282d1a1U, \
    0x8457a0bcU,     0xd1adaf6fU,     0xa7e2623aU,     0xa802e7f7U, \
    0x4b8ff6d5U,     0xe3b6164dU,     0x7fc3a9e8U,     0xab150306U, \
    0x40f173b3U,     0xae7de089U,     0x4c31b7e1U,     0xdf4d0219U, \
    0xb89062b7U,     0x28450d63U,     0x6de07a32U,     0x5174357dU, \
    0xad6340f3U,     0xe3e340ddU,     0x29c13650U,     0x066abc54U, \
    0x200a4a53U,     0x02cbf6baU,     0x14e8d9bbU,     0x30a8a5e4U, \
    0x6b3a3854U,     0x4600735fU,     0x6140279fU,     0x517deff0U, \
    0xf3730f1bU,     0xcec39a1dU,     0xe53d4c66U,     0x55056c0cU, \
    0xf21ec9c3U,     0xb1a1ed39U,     0x06ba895dU,     0xcd60c533U, \
    0x52cd4c98U,     0x8e4d45a3U,     0x79f979afU,     0x10d3660dU, \
    0x2f6b4bb7U,     0xbadd21bdU,     0x269a9c25U,     0x2ddb0c62U, \
    0xd7112a1cU,     0xa2053cb7U,     0xc8eaf23bU,     0x4b4db9abU, \
    0xa05613a2U,     0xce2e8ba1U,     0x2a8a4c44U,     0x6789de24U, \
    0x6f36b108U,     0xcff43a48U,     0xb86db130U,     0xf78c23e5U, \
    0xe7896ef9U,     0x844993dcU,     0xd74dd462U,     0x87568abcU, \
    0x09f74311U,     0x9ed28c31U,     0x0e8aee0dU,     0xa794e18dU, \
    0xf260c78dU,     0x6d19f969U,     0xc60c6e90U,     0xd7b60db3U, \
    0xd69c9cb4U,     0x3753fd4cU,     0xb084b336U,     0x55c9c5ecU, \
    0x6f4fd488U,     0x580091a0U,     0xc69feae2U,     0x3d028a87U, \
    0x4d6b4f06U,     0xe694a7dcU,     0xb6a4b25cU,     0x79153553U, \
    0x5d2067c4U,     0x3d12304cU,     0x4d5d1eebU,     0xef57321cU, \
    0x0a723200U,     0x88c8ea94U,     0x60913997U,     0x7704b9feU, \
    0x69abdb1fU,     0x8ef67d4eU,     0x8299b61aU,     0x7ff9bc95U, \
    0x0d9e3f52U,     0x5e079a90U,     0xc28fc409U,     0xbc015237U, \
    0xad638bb8U,     0x57004b7fU,     0x82c78492U,     0xd3862f57U, \
    0x58dbeb5eU,     0x43891538U,     0xd0158a8bU,     0xf7cc7a87U, \
    0x2bf72e06U,     0x1c7ad0fdU,     0x184d1286U,     0xa687facdU, \
    0x479574beU,     0x47b6366fU,     0x6efe3dbfU,     0xd5f003b8U, \
    0x91093c64U,     0x718c3f04U,     0x785cbc64U,     0xd7301ff8U, \
    0x553ae98eU,     0x5121309fU,     0x14a9c845U,     0x1c37b021U, \
    0xd527d61bU,     0xb50be42aU,     0xaa4ade88U,     0xa28cfc08U, \
    0xcff3a37eU,     0x3c6d0febU,     0x75962851U,     0xafb2d702U, \
    0xcf44ffc6U,     0x29763aa8U,     0x6d496a50U,     0x535b6f0fU, \
    0x008548a7U,     0x014bb638U,     0x1539d4bcU,     0x8e710e24U, \
    0x71ff1210U,     0x9a1eda21U,     0x01bc780aU,     0x82e7afe8U, \
    0x7e743273U,     0x3dec26f3U,     0xb66d6a28U,     0x629d98c3U, \
    0x8c450047U,     0xea295b91U,     0xce829a89U,     0x05762b2cU, \
    0x2f1a4ed2U,     0xcef10fa1U,     0x7a27609cU,     0xc12c0489U, \
    0x087bbef7U,     0xa5b2d932U,     0x4a5457a5U,     0xe848ebb5U, \
    0x83ac790aU,     0x12d3ed8dU,     0x117145c8U,     0x25b827a4U, \
    0x266d1f28U,     0x08d8b777U,     0x1b0a1762U,     0xe977e051U, \
    0x9e9252deU,     0xc373e955U,     0x750c2b39U,     0xdd317e07U, \
    0x4ccaeb63U,     0x7d6495c1U,     0x75a57bd6U,     0x5b5ab12aU, \
    0x85f4a488U,     0xe8089aafU,     0x351dd029U,     0x699d9688U, \
    0x44e2c7c6U,     0x69c4fa78U,     0x7e3dc8cfU,     0xac009151U, \
    0x1afa0ae2U,     0x42f18c62U,     0xdba95ab2U,     0x43c7f6ceU, \
    0x507ceffdU,     0x4097ba8fU,     0xa036fcf5U,     0x789a7d0dU, \
    0x448f739aU,     0xa4f2ef0aU,     0xefaef8a1U,     0x807f8303U, \
    0xa05db606U,     0xc6df5df2U,     0xb1ef8f6dU,     0xe30003e6U, \
    0xe4debe19U,     0x064c3776U,     0x6a55c73aU,     0xc6500e5cU, \
    0xc4a7019dU,     0x9d38fcd0U,     0x0fa1c920U,     0xe3cff058U, \
    0xf8df295bU,     0xcd56dd95U,     0xfc58dc8eU,     0xdde3f432U, \
    0x457a1b05U,     0x28ed7220U,     0xaf72176eU,     0x9c7a8563U, \
    0x925fad7cU,     0x10422a50U,     0xd23b8b7dU,     0x09ba3342U, \
    0x10edea45U,     0x296d2e39U,     0xf38749f6U,     0x69bbe423U, \
    0x7c1404fcU,     0xdb824b77U,     0x41ff2067U,     0x35326c75U, \
    0x57df740aU,     0x9f279d75U,     0x226be706U,     0x09b078beU, \
    0x55ccb8a5U,     0xa9d433bbU,     0xa9150200U,     0x6b81da8aU, \
    0xab383cedU,     0xbccceac1U,     0xa4c44bffU,     0x1f16301cU, \
    0xc9304461U,     0xebf3a16fU,     0x22c660c8U,     0x583d2cc3U, \
    0x8cd5acb3U,     0x7ff8e69fU,     0x3d862a6aU,     0x91d307b8U, \
    0x1f538778U,     0x760958baU,     0x41e57978U,     0x9cefcbf3U, \
    0x04d62bfaU,     0x5d007e6cU,     0xd13675d8U,     0x2884ac77U, \
    0x5637ac72U,     0x8bf79fa5U,     0x1cac8292U,     0x4ea40340U, \
    0xf39614e3U,     0xb5d27864U,     0xa814dac1U,     0x4a4e4157U, \
    0xc58e7ae2U,     0x8bb15d09U,     0xc2f1089cU,     0x8c707e19U, \
    0x80c0c722U,     0x8b03f6a0U,     0x6e420dc6U,     0x9a0ad68dU, \
    0x9989939bU,     0xc6eb9204U,     0xe00c1fbeU,     0xa9f16163U, \
    0x00e9c9fbU,     0x5c083737U,     0x147b22bfU,     0x1d9c96efU, \
    0xe26b961bU,     0x8e6ba2fbU,     0x7e2cd160U,     0x1dce751eU, \
    0xc3831c04U,     0x49730cc5U,     0x909a6fb4U,     0x96e0f58bU, \
    0x24302f6eU,     0x9da3f327U,     0xcc91c0a5U,     0xed0240afU, \
    0x7b58a9e4U,     0xc2d82251U,     0x78363fa3U,     0x609ce3f9U, \
    0xeb1b479dU,     0xf9ba3fdeU,     0x7add593fU,     0xc6ff94aeU, \
    0x16bc5f6cU,     0xc35a94efU,     0x826697daU,     0x3345c4e4U, \
    0xe72d9482U,     0x540785b8U,     0xb56e68d2U,     0xca68ae06U, \
    0x21a1ed13U,     0x119dd699U,     0x8b54e9c3U,     0x2da5409cU, \
    0x7d092e56U,     0xca20da9cU,     0xf526a1d7U,     0x83221d97U, \
    0x4f0cdebbU,     0x197eb081U,     0x1ab66335U,     0x335b2e42U, \
    0x939b35c2U,     0x1a008043U,     0xe70c9813U,     0x388e383fU, \
    0x9da29802U,     0x13cc8132U,     0x472b4637U,     0x2572a210U, \
    0xba57764cU,     0x7f9862a0U,     0xe39bc54fU,     0x008bc770U, \
    0x73371efaU,     0x0e52628aU,     0xebc9358bU,     0xe8164c9dU, \
    0x0055c004U,     0xa060190bU,     0x2a211737U,     0xca897896U, \
    0x258fbea4U,     0x9bf6a43fU,     0x5563bccfU,     0xdfc2d96bU, \
    0x58128c99U,     0xaa650602U,     0xa9eac60fU,     0xa9c9001bU, \
    0xc41cd904U,     0x73c9a991U,     0xf4790772U,     0x103c2fc4U, \
    0x9f9efda2U,     0x94a4a384U,     0x9907437fU,     0x06dd980aU, \
    0x47d01ba7U,     0x13e0189bU,     0xa11ca1b2U,     0xe2a26f1eU, \
    0xccf5a6d7U,     0x89dd4c22U,     0xdfec653bU,     0xa9650d46U, \
    0x8303eaaaU,     0x9ff45e9bU,     0x2f810d7cU,     0x51c4c54cU, \
    0x192248bbU,     0xe1949206U,     0xc21be7b0U,     0xc5858f86U, \
    0xab400605U,     0x3b79df79U,     0xf09bcb17U,     0x4a4555c7U, \
    0x6bd832e1U,     0x33d2baa3U,     0xc32c0e96U,     0x89ae7026U, \
    0xde9b9edeU,     0x489f626dU,     0x59a05461U,     0x15ecfd70U, \
    0x36c4f3afU,     0xdb9462b6U,     0x41fbd450U,     0x07624f30U, \
    0xba50e71dU,     0x91ba5cf0U,     0xb6599556U,     0xfae1197dU, \
    0x022c8c98U,     0xc88727f0U,     0xc6ce8f72U,     0x3f2f2ac9U, \
    0xb487271eU,     0x7e6829d0U,     0xb57fd745U,     0x417bc875U, \
    0xd3e5c014U,     0x69ef67e0U,     0xc0f1924cU,     0xd24fdd2cU, \
    0xc22cb027U,     0xcd012ad6U,     0x9c49f3b9U,     0x3fd84944U, \
    0x851fd526U,     0x77978acdU,     0x12515658U,     0x498fc995U, \
    0x43c4c5d7U,     0xa485c81dU,     0x49fb67a9U,     0xa3427159U, \
    0x291c3279U,     0xe985a273U,     0xcf96b04aU,     0x17b5f197U, \
    0x3b0d37cbU,     0xe7cf63d8U,     0x475dbd0eU,     0x006293e3U, \
    0x5d3d335cU,     0xf9e1d69eU,     0x01690247U,     0x7d2d0655U, \
    0xd514fe9bU,     0x0b624d52U,     0x54ae9c07U,     0x48999c29U, \
    0x5e674115U,     0x29b8ed6bU,     0x6c7c70a6U,     0x9218d7e7U, \
    0x9e3f4a2aU,     0xdc959b42U,     0x9a6d1b3cU,     0x25723c60U, \
    0x97ec7e40U,     0xa51497a6U,     0xb9898ae8U,     0x41966938U, \
    0x966115ccU,     0x0f215f3dU,     0x848d3a79U,     0x2fa74e88U, \
    0x520f2c1eU,     0x3cb5a1fbU,     0x924ff25aU,     0xa6cb9716U, \
    0xfde901cfU,     0x4df2e045U,     0xcd345230U,     0x8e2805e5U, \
    0xd25383e7U,     0x061a36b0U,     0x57ef6171U,     0x9b528460U, \
    0x7a385d90U,     0x0a581cddU,     0xb5e36ef4U,     0x37abf03dU, \
    0x79420f79U,     0x0ed54e68U,     0x156668e9U,     0xc75236b3U, \
    0xf247be1aU,     0xde28ea67U,     0x5e6fd3b8U,     0x1cc9c8b3U, \
    0xf65fa3c2U,     0xa11ca0e3U,     0xf112900cU,     0x999c23feU, \
    0xcd1930aaU,     0x2e2ce6e9U,     0x9d48bea8U,     0x3987b29fU, \
    0x4f5bbc0bU,     0xe7f3ff2bU,     0xa7ec559cU,     0xcac7e0d9U, \
    0xaccef465U,     0xe7988182U,     0xc73fff16U,     0xc309b5f7U, \
    0xb7309b56U,     0xf8e95b74U,     0xca570fafU,     0x9917eaf8U, \
    0x9649f7f2U,     0x36b18e39U,     0x9ced5714U,     0x27ed9872U, \
    0x96eda312U,     0x91d424f3U,     0x3967943bU,     0xbbf49b70U, \
    0xea85627cU,     0x668ae095U,     0x4d22013cU,     0xf974a816U, \
    0x76bca3bcU,     0xba024045U,     0xfc4aa8d1U,     0x2fef568fU, \
    0x8acf0844U,     0x83326666U,     0x9fa3e97aU,     0xe98dafd0U, \
    0x195afef4U,     0xe4315a8bU,     0x2a0b9f17U,     0x4cd0069fU, \
    0xfd853655U,     0x7ea4566cU,     0x58c839d7U,     0x714f4de1U, \
    0x710945ebU,     0x4df06279U,     0x371cf51dU,     0x651ded95U, \
    0xb3f9e1f2U,     0x5bbaa8d6U,     0x92bb4642U,     0x9d19db18U, \
    0x11132b2fU,     0x439a6e10U,     0x6838bac1U,     0xf049ef75U, \
    0x93b14415U,     0x2ee26674U,     0x39381d15U,     0x139b57fbU, \
    0xfd4d5c64U,     0x7dc3dca3U,     0xf8100d8eU,     0xecc62aedU, \
    0x56e67362U,     0xa1619b81U,     0x67e0fa31U,     0x7a56cb47U, \
    0x2a2bf081U,     0x452c842dU,     0x02dffa86U,     0x54e2f313U, \
    0x16366c46U,     0x3cfb1a5dU,     0xb3b0f315U,     0x34d0d14cU, \
    0xd672b860U,     0x98e4451dU,     0x597a21edU,     0x26feb5d2U, \
    0x4453217bU,     0x1c394365U,     0xf268b12fU,     0xe074b920U, \
    0x67b927d5U,     0x6695951cU,     0x96619657U,     0x9108388fU, \
    0x74385364U,     0xf23b7a8bU,     0x40fddc53U,     0x3444b8d4U, \
    0xd57ce6f1U,     0x82b9cbf7U,     0xd3d3ce57U,     0x25e243cdU, \
    0x27248730U,     0x47d5a76eU,     0xb91a2d6bU,     0x6bd99dc9U, \
    0x7356be98U,     0xffc147a7U,     0xe7139596U,     0x5ab9dd56U, \
    0x522eee92U,     0xca745615U,     0xedaf9587U,     0xa92eab4bU, \
    0x15c1dd47U,     0x3c44f90fU,     0x69037356U,     0xe04d57e1U, \
    0x3124b34fU,     0x09fe18ebU,     0x9011ff8aU,     0x2fb040f8U, \
    0x086a0d54U,     0xa04ef247U,     0x794ee073U,     0xe93b9c06U, \
    0x23aabd6dU,     0x9dfb9d91U,     0xcd98f213U,     0x4aa34003U, \
    0x813fedd7U,     0x0b0e00baU,     0xd3a9e7f2U,     0xa112c0f7U, \
    0x33adc96cU,     0xd1fcfc10U,     0x12352acbU,     0x81fb66f8U, \
    0xd47daa4bU,     0x26578e79U,     0x6b11d213U,     0x00673ef3U, \
    0x6aef9616U,     0x68d296d5U,     0x65712acbU,     0x699566bbU, \
    0xc26a4b96U,     0x08e28212U,     0xd463336fU,     0x90fe7137U, \
    0x37b15b42U,     0x729b4187U,     0x09487bd6U,     0xa41a0e97U, \
    0xe483d89cU,     0xc713b059U,     0x4320f6a3U,     0x5fb2fb2aU, \
    0xe84f0f97U,     0x850f2936U,     0x6d916845U,     0x79d0d272U, \
    0xa55489b8U,     0x22d14324U,     0x6aec0162U,     0x0dacb581U, \
    0x4b790dccU,     0xf18c2559U,     0xcae0f296U,     0x8e192b2dU, \
    0x93421803U,     0x8c314e86U,     0x87f87fafU,     0xb37a56afU, \
    0x21790eefU,     0xf74d49d4U,     0x2da65d77U,     0x7f83479dU, \
    0x54386861U,     0x64814a36U,     0xc19f0b45U,     0x7f2316bdU, \
    0x3fd01524U,     0x536bf082U,     0xeb0f55f6U,     0x4047bd97U, \
    0xd9d7a7c2U,     0x08645769U,     0x167c6a93U,     0x49a11c5cU, \
    0x8f256adcU,     0x7e3f4263U,     0x451fc88cU,     0x215da3a4U, \
    0x969ec0e1U,     0x584ad6c7U,     0xd017f9b9U,     0x31d3c4afU, \
    0x8035d0e3U,     0xe6ed1b29U,     0x64f66e77U,     0x0d7e78dcU, \
    0x7aba3a16U,     0xd1634d05U,     0xbc4532c0U,     0x4976ea3cU, \
    0x0236c761U,     0x6fc285d5U,     0x54cd8d4bU,     0x57cd4cf7U, \
    0xc6437c16U,     0xdc2d9642U,     0x6d284cbbU,     0x4d19732dU, \
    0xa551a797U,     0xee0ebf96U,     0x0c344c52U,     0x6b336f05U, \
    0x1524c918U,     0x99f4f4dfU,     0x4fca6b99U,     0x766712eaU, \
    0xf37bfe19U,     0x5c8eb9bbU,     0xb3c77c79U,     0x86545dfaU, \
    0x06a47174U,     0x6295a79fU,     0x9fd3100cU,     0x5d89d700U, \
    0x4ca90c6cU,     0xe28ca396U,     0x13a721aeU,     0xb36aa932U, \
    0xafe4a135U,     0x9b93eb23U,     0xbcf466d5U,     0xc470d41dU, \
    0x4a73c594U,     0xdb666de1U,     0xb76252e2U,     0x7100ff88U, \
    0xdedd166aU,     0x5fa0cea8U,     0x277e0b1cU,     0x732af624U, \
    0x7c567653U,     0xfc60e9ebU,     0x86d38a76U,     0x69a00abaU, \
    0xef29f921U,     0x1c234715U,     0x7b06b76bU,     0x1bbf69adU, \
    0x919c160eU,     0x81c312c0U,     0xd5f5d508U,     0xccc964fcU, \
    0x05934468U,     0x1cc38b31U,     0x49478358U,     0xda90951dU, \
    0xbec69987U,     0xa6466414U,     0x2cd9ea92U,     0x9a03ddd1U, \
    0xc02015a5U,     0xbaceeaa3U,     0xe720a3d7U,     0xa4b58883U, \
    0xf8838c55U,     0xc81a3fa3U,     0x25c4df83U,     0xd2d64c03U, \
    0x0626173fU,     0x0a39f44aU,     0xec444bf9U,     0x22e78e01U, \
    0x0a5f2f7aU,     0x8a4c1b3eU,     0x7edc760aU,     0xfd6e0909U, \
    0x1c46b5a4U,     0x1e426265U,     0x75f76450U,     0x3a98fd15U, \
    0x33e308ebU,     0x66ff1137U,     0x712e6782U,     0x64b7d1edU, \
    0x655b75e3U,     0x1a12fa0fU,     0xbb5b26cfU,     0x62365cddU, \
    0x8fd84274U,     0xbafb04e3U,     0x4e520c5cU,     0x80e712ceU, \
    0x2da03943U,     0xfdb1832fU,     0xf6fd7905U,     0x8d6e9392U, \
    0x8e0dd5c9U,     0x34778b19U,     0xd803d4e5U,     0x130291a6U, \
    0x3651205aU,     0x70c04a23U,     0x4d79dee6U,     0x9b8b9b8eU, \
    0xd42abeaeU,     0x3116e1e3U,     0xb030a33aU,     0x22ac3429U, \
    0x8551fc68U,     0x0592dd39U,     0x00b2c5a4U,     0xa8e7bc1bU, \
    0x05879be5U,     0xe325a359U,     0xb5a0b730U,     0x70010852U, \
    0x68905f32U,     0x8c3b6129U,     0x62579088U,     0x7521dcffU, \
    0x45525058U,     0x1a45fd46U,     0x8f5a7a25U,     0xfe8077e2U, \
    0x8808b19eU,     0x2692124fU,     0x291b9c35U,     0x56c9610bU, \
    0xf96a1c7cU,     0x0a9f7bbdU,     0x4294d9b7U,     0xeca8ae2cU, \
    0x29e6b160U,     0x5ac81eddU,     0xc95006ddU,     0xbd7c0c7fU, \
    0x5ef7e016U,     0xd68d3c86U,     0xb796c34cU,     0x7541ce23U, \
    0xbaea3b1aU,     0xb895647fU,     0x6c1453e5U,     0x7b66a599U, \
    0xa61e000bU,     0x15ea95e3U,     0x7192dc34U,     0x9f0210d0U, \
    0x49dd8bc1U,     0x098ed5c6U,     0x8662f847U,     0x8c5eaab9U, \
    0xc7c4c850U,     0x630e1fe5U,     0x7e00ee1bU,     0x9d259a81U, \
    0x9442367fU,     0x2470c69bU,     0xd1bc9b88U,     0xd26925b2U, \
    0xaba20cf1U,     0x13d94d12U,     0xc6ca0078U,     0x875da8baU, \
    0xde088a03U,     0xd8df30b9U,     0xacb36171U,     0x469d8f63U, \
    0x5685c49bU,     0x83e1dbb5U,     0xa1ea5371U,     0x710ed455U, \
    0x32d6e738U,     0x299b8d0fU,     0x2cc2451eU,     0xfbd21846U, \
    0x1bda2c07U,     0xb2d58370U,     0x6f4c35f0U,     0x4298b8b1U, \
    0xb53b7b31U,     0xf75ffabeU,     0xe527e3edU,     0xb5730cd5U, \
    0x05e07ce1U,     0xe4c55402U,     0x05589f78U,     0x2278b633U, \
    0x205b298cU,     0x994953e5U,     0x577ca8faU,     0x16cd8f3fU, \
    0xb9706e3fU,     0x2ad7e131U,     0x073f9eceU,     0x2c20b02dU, \
    0x10bcbb68U,     0x3c61a9ffU,     0xbf7bd659U,     0x17d0b40fU, \
    0xdf4efc90U,     0xa6d96879U,     0xb7ef0147U,     0x04d624beU, \
    0xeeeee2f4U,     0x9912e2e2U,     0x3e9c9484U,     0x3e325df5U, \
    0x5ff89195U,     0xd4754ec6U,     0xf1ee47bcU,     0x17ea59ccU, \
    0xa47d54edU,     0x6ecc8074U,     0xadc85f43U,     0xd6b6f0feU, \
    0x23d62334U,     0x06451094U,     0xc7932f84U,     0xa3329587U, \
    0x2ed43c3cU,     0x38885afeU,     0x2c449d08U,     0x840e954cU, \
    0x41ed8d8eU,     0xbfe8323bU,     0x71ab5c84U,     0xe31621d6U, \
    0x6301f46cU,     0xc931089cU,     0x20d248a0U,     0xe4f0b0f5U, \
    0x8ae88c97U,     0x525c36c8U,     0xf36afec8U,     0xcd005c43U, \
    0x14931f49U,     0x537d80f5U,     0x791b244bU,     0x7bb3cc29U, \
    0x3267284bU,     0x34448284U,     0x5fd0ce82U,     0x5953ead4U, \
    0xd1225ea4U,     0xe04f7e1bU,     0xa3082e3eU,     0xe053cd7aU, \
    0xeaebc213U,     0x2759179dU,     0x5113bacfU,     0xa5bc2b07U, \
    0xc1fc4a5eU,     0xc5c33312U,     0xbd1d4f81U,     0x76e98523U, \
    0x755f71dbU,     0x741f6b7aU,     0x151546c4U,     0x4330b425U, \
    0xd6e310f0U,     0x85342a7aU,     0xfe804094U,     0xabe0af3dU, \
    0xa6953a7bU,     0x4dba1147U,     0x4390187dU,     0x1d7b19ceU, \
    0x2df79f30U,     0xb4dac9abU,     0x579bae33U,     0x74b7ba1eU, \
    0xf9397b06U,     0x0b35fce5U,     0x256aabe8U,     0xdd9d7eb0U, \
    0x9654ae1eU,     0x056b5d91U,     0xc117b294U,     0x9c1b3cbaU, \
    0xc3e0133fU,     0x5887d134U,     0x6c42136fU,     0x1b71dc55U, \
    0x82c503aeU,     0x927fe781U,     0x4701f477U,     0xd46d0968U, \
    0x56f5249eU,     0x2b0324c6U,     0x25b2b0f1U,     0xf31e6450U, \
    0x5bce5930U,     0xb8c33aaeU,     0x450636adU,     0x93de74c4U, \
    0x64db1e52U,     0x6e792a06U,     0xc20c3d26U,     0x6a00e086U, \
    0xd7f3bcbcU,     0xd1a86ccdU,     0x4303c062U,     0x20d10206U, \
    0x84920be7U,     0x626a11d0U,     0xb701ad1bU,     0x08420341U, \
    0xbbac39f8U,     0xaac85675U,     0x430b3a1cU,     0xa8546394U, \
    0xc8022701U,     0xcb77018eU,     0xc411e270U,     0x0af79629U, \
    0xfada6524U,     0x53d08431U,     0x6e4d8629U,     0x34dfc06aU, \
    0xcb5f1898U,     0xfc974eaaU,     0x1ce6a3a8U,     0x2046ba91U, \
    0xf2258586U,     0xa073cf01U,     0x960218eeU,     0xb686d492U, \
    0x3e50a1b7U,     0xf8055b31U,     0xf9488125U,     0x11353789U, \
    0xc617dfffU,     0x691bf7e1U,     0x3ce89d2dU,     0x591c189aU, \
    0xb8ecae94U,     0x33bbc142U,     0xdccc4d89U,     0x235f0d0aU, \
    0x7399999bU,     0x6f0452b6U,     0x613f65d0U,     0x793b01acU, \
    0x9a175b5bU,     0x5c19e606U,     0x4c69ea38U,     0x3ab4e35fU, \
    0x676a8100U,     0x5626842fU,     0x53075f24U,     0xa1b860fbU, \
    0x8ecb5bc0U,     0xa6999025U,     0xfdb910fbU,     0xa01ab04bU, \
    0xeb579091U,     0x29add255U,     0xa7296ed0U,     0x7312f699U, \
    0x1b706981U,     0x2981a2cdU,     0x3b3bbcbcU,     0x1773d608U, \
    0xbe08f3e5U,     0x7c21329eU,     0x844b71bcU,     0xfb0678eaU, \
    0xa434c419U,     0xac67575dU,     0xb9358426U,     0xf17cbdccU, \
    0xc6a339f2U,     0xf62fd497U,     0xaaea16acU,     0x3af35cf0U, \
    0x914c5eb5U,     0xccaa0c13U,     0x2c7715c9U,     0xb9d92064U, \
    0x48ea05e6U,     0x2c468e55U,     0x7b52d600U,     0xc69fc42eU, \
    0x1242d2ebU,     0xfd51e916U,     0xead8d395U,     0x5b2d8074U, \
    0xc22013f5U,     0x8b4a302eU,     0x62fbd379U,     0x9e06539eU, \
    0xb737e692U,     0xd37b9fc6U,     0x3bab8591U,     0x44aa9997U, \
    0x7e057495U,     0x61d3d776U,     0x8df36a7cU,     0x394f4283U, \
    0x08a93a5cU,     0x757d02caU,     0x6c4336a1U,     0xf3b3ad84U, \
    0x192e44f7U,     0xc88fc191U,     0x7cec7cc3U,     0xb667ca72U, \
    0x8dec56d6U,     0x667b191fU,     0xf80de249U,     0x97507495U, \
    0xc925ac2bU,     0x08ab92f5U,     0xd8c54b60U,     0xf0576ef1U, \
    0x197836d9U,     0x80016ed2U,     0xd81cee69U,     0x8edb4c15U, \
    0x5fcd9809U,     0x07833b14U,     0x53ae9399U,     0x6e784d9fU, \
    0xc91f10c4U,     0xf4ef518cU,     0x04ddf6f7U,     0x71c1bd4eU, \
    0xe4463dd8U,     0x752a2548U,     0xdeef1d43U,     0x76aa4cfbU, \
    0x7340f7cdU,     0x830768dbU,     0x5e6af478U,     0xdf5c0fc9U, \
    0x6e16314dU,     0x5072b360U,     0xad90738eU,     0xa16baaabU, \
    0xdf5ff63fU,     0xac0e0f18U,     0x4ac811b2U,     0xc16cb3d0U, \
    0x18634de6U,     0xa30eda01U,     0x4d0ff0c5U,     0x46e997f2U, \
    0x3aea0350U,     0xfc63648aU,     0xcffeee88U,     0x1ae0fea7U, \
    0x33f535afU,     0x9cb2de94U,     0x8d4de213U,     0x2156610aU, \
    0x0f218b94U,     0x31720b81U,     0xb7e65e44U,     0xae036014U, \
    0x147e69b2U,     0x79f5ad38U,     0xee1dff71U,     0x8243333bU, \
    0xe9847afeU,     0x921aa1cbU,     0xc6a000abU,     0xe29ca304U, \
    0x7a0b7aedU,     0x926a58cfU,     0x51ba9b94U,     0x9d0ddc49U, \
    0x04a19a9fU,     0x8cbc851cU,     0x4d1506faU,     0x98174d4bU, \
    0xa4ee6be8U,     0x9662922fU,     0x014c22baU,     0x07f61bb3U, \
    0xc3cee886U,     0xa9825c13U,     0x2816cc71U,     0xa308de78U, \
    0x57f8e535U,     0xc46ee0e0U,     0x3997ea5bU,     0xd89db859U, \
    0x24b337cfU,     0x8e46e4b2U,     0x6d8d15f7U,     0x49b45f3dU, \
    0x4fc1c654U,     0x00d9a5baU,     0x87e4e0b2U,     0x94aba0f6U, \
    0xe80f9fc9U,     0x2f2a0277U,     0x77da88d3U,     0x29765daaU, \
    0x3b8a8553U,     0xba82dee8U,     0x1042dcafU,     0x0b1d9cfaU, \
    0xe5264fcbU,     0x29a6c889U,     0xedb7dc12U,     0x14743619U, \
    0xd0187e03U,     0x88a7f9fbU,     0x4e85b9eeU,     0xa7aa7a24U, \
    0xd995b81cU,     0x3a713193U,     0x64fdf96fU,     0x1e516957U, \
    0x862173d6U,     0xa2bba7e8U,     0xd9aad692U,     0x26fd2e03U, \
    0x58c7e255U,     0x1384c80fU,     0x85edcf68U,     0x80c27768U, \
    0xad78944aU,     0xdc1993c2U,     0xaa5804d1U,     0x052eb883U, \
    0x977ec80eU,     0x4aadc9f7U,     0x55915511U,     0xeb077df5U, \
    0xbef1d214U,     0xc3dc1ed9U,     0xca2af53dU,     0x87083796U, \
    0x29099559U,     0xb4cd1222U,     0xcb50d0ccU,     0x8de1cd36U, \
    0x5c078097U,     0x6850839fU,     0xca7f991aU,     0xe265d163U, \
    0xd996ee81U,     0x242765d9U,     0x56037febU,     0x52749dc0U, \
    0xdf277fc1U,     0x1308e3a0U,     0x804f128bU,     0x476b46feU, \
    0x2ad69208U,     0x5709c076U,     0x01551181U,     0xb34d6197U, \
    0xf95ff675U,     0x01992002U,     0xd97a38b7U,     0x8b78b37dU, \
    0xbac98b3bU,     0x6a606d21U,     0xd1421291U,     0x5b18a8bbU, \
    0x8a7f571dU,     0x8a4a4438U,     0x2f9535cbU,     0x311ec491U, \
    0xb9469b07U,     0xb49286b5U,     0xe4fde964U,     0x64f84411U, \
    0x1f721691U,     0xc84b2726U,     0x82780b32U,     0x7bd1423aU, \
    0xa780a74cU,     0x7dadaddeU,     0xfaf7a72bU,     0x271b9b5bU, \
    0xcf2d2e07U,     0xd7271a1eU,     0x9b7dd641U,     0x3ed0ac26U, \
    0x1923a521U,     0x46ad8a46U,     0x55b53c46U,     0x6864ae6eU, \
    0x3eff5979U,     0x0c246b34U,     0xf1328a10U,     0x4cec57afU, \
    0x93a60122U,     0xe99534dfU,     0x2df93569U,     0xfaf1da6aU, \
    0xe017a0d9U,     0x7bee07a3U,     0xc54ecc6dU,     0xd2c25b45U, \
    0xd078b40fU,     0x51c9d0a3U,     0xbea0f2aaU,     0xa77ff629U, \
    0xda88c04fU,     0x1c66144bU,     0x69df3b19U,     0x23f66984U, \
    0xa25ac354U,     0xb9089d73U,     0x79fd51b5U,     0x88484debU, \
    0x8a1fc414U,     0xf6af3df2U,     0xf08704dcU,     0x49dbefb5U, \
    0x1d6704f7U,     0xdae72d68U,     0xffca588cU,     0xca0f2944U, \
    0xf99c6c36U,     0xf03a7ea4U,     0xe5ec7963U,     0xcfbf286dU, \
    0x3873aefeU,     0x6abd3645U,     0x89fb1967U,     0x5c89d27bU, \
    0xfb361f48U,     0x89e5ba24U,     0x2f53c099U,     0x70a0635dU, \
    0x61830c78U,     0x4184a052U,     0x7c09f571U,     0x01257b3cU, \
    0x71fb79ccU,     0xe7b926a7U,     0x4e7ecb60U,     0x9380368dU, \
    0xb36e72fbU,     0xecd9a685U,     0x60a109b2U,     0x1f75f687U, \
    0x629047e9U,     0x53fb57d3U,     0xd6811c48U,     0x87b5d65dU, \
    0xb1e41dfcU,     0xf8560cb3U,     0x266d8d03U,     0xcdc711e6U, \
    0x18688c71U,     0xad4b818fU,     0x7f97e6e3U,     0xb8cb79d1U, \
    0x51e306bdU,     0x5a1be84eU,     0x75b690d1U,     0x205ae48fU, \
    0xd174000bU,     0xca6d9815U,     0xc4317052U,     0x8d950f48U, \
    0xb9e58e46U,     0x82afb158U,     0xb7ef8480U,     0x127967a0U, \
    0xac144e69U,     0xeed20f9dU,     0x9675a80dU,     0xdbe5d236U, \
    0xbae1370aU,     0x89277561U,     0x8454084dU,     0x4a828504U, \
    0x24b71b64U,     0x4f05a0c0U,     0x4b23f0fbU,     0x77f47a3cU, \
    0x0c85d5d7U,     0xbe295361U,     0x0f93cf22U,     0x38521ca5U, \
    0xdbee3f20U,     0x283d6478U,     0x1b949729U,     0xaf53d94aU, \
    0x667f2f58U,     0x803e38e1U,     0xbd403a92U,     0x9d6d37bfU, \
    0xc46299bdU,     0xd96cfea7U,     0x1f2bc17bU,     0xa6ca11cfU, \
    0x98430814U,     0x9dff17b0U,     0x33ccef1aU,     0x0f18aa9fU, \
    0x5aca7dfeU,     0xd21d3958U,     0x139cc658U,     0xe9eb059fU, \
    0x5374e1e3U,     0x5a447bb6U,     0x4ea94460U,     0xea106fcaU, \
    0xd2f2a959U,     0xf38c7441U,     0xfacedb7aU,     0x8e796218U, \
    0x729b52baU,     0x8bcceaa1U,     0xb1cc4d37U,     0x5509c2adU, \
    0xa82e4d9cU,     0x03ae239bU,     0x4e2d1e63U,     0x2fd275c9U, \
    0x902cfec6U,     0x862e59b2U,     0x9ee45343U,     0xc5f0297eU, \
    0x8bbe10c4U,     0xe4f995b6U,     0x0a03a965U,     0xa4e45b57U, \
    0x81e21705U,     0x6880e9fcU,     0x5fdc902eU,     0x981b04ceU, \
    0xe429fa8dU,     0xa6472a09U,     0x58a2a79eU,     0xcc98d9eeU, \
    0xcbb3fd36U,     0xd203866fU,     0x63b6fc83U,     0x4ae31e56U, \
    0xd9a4f7c4U,     0x6a14e755U,     0x90416be7U,     0xe6e3cc79U, \
    0x71006679U,     0x97c7a4e6U,     0xa10db23aU,     0xb81c648aU, \
    0x107dc34aU,     0x31420016U,     0x81071116U,     0x60d9236bU, \
    0x1080fd47U,     0x5d0fa082U,     0x4621697eU,     0xa7c75192U, \
    0x365e42d1U,     0xe51cab47U,     0xac5828b2U,     0xc82f68caU, \
    0x396b9c7bU,     0x89a9eec3U,     0x6a3c34d3U,     0x92f29d8dU, \
    0xfcddce9fU,     0x694df4eaU,     0x28075327U,     0xfb6c038bU, \
    0x7d7d6efeU,     0x0eb2656fU,     0xb3c08d64U,     0x514df263U, \
    0x968c399cU,     0xf823432aU,     0xe5f2fc3fU,     0x0d9281f1U, \
    0x63fb6757U,     0x12ad5d50U,     0xcb7c906eU,     0x483efd6cU, \
    0x9ec459feU,     0xa9bebae5U,     0x9b85fe22U,     0x77275eebU, \
    0x821d7662U,     0x722edb93U,     0x2df7941bU,     0x911bc90fU, \
    0xe9b2f45eU,     0x01b88b3bU,     0x94775538U,     0x7608d69eU, \
    0xc0cff684U,     0x2270becaU,     0xbee42157U,     0xcdc55a12U, \
    0xcd432428U,     0x35df1232U,     0xae5137e6U,     0x47079b32U, \
    0x225f0f57U,     0x8229ca9fU,     0xa7f3e2feU,     0xe5458e44U, \
    0x7415dd1cU,     0xb071f2d6U,     0x46567f80U,     0x37c03177U, \
    0x5897d249U,     0x0ef3c4baU,     0x59f42010U,     0xcba35da4U, \
    0xe493b6c4U,     0xc225d778U,     0x756c57d6U,     0xba09272dU, \
    0x8649710cU,     0x02dc4b16U,     0x485ff12dU,     0x281d2059U, \
    0xccbb8df5U,     0x51815bf3U,     0xc05ecd3aU,     0xe5d0e2e8U, \
    0x4479cd3aU,     0x8f14bbfaU,     0x0fad31abU,     0x52ca5751U, \
    0x80e7cab1U,     0xa9cc3ac1U,     0x01b6a34dU,     0x8987bb21U, \
    0x5fc24025U,     0x75eb48c3U,     0x0daf6618U,     0x7a522462U, \
    0xae17a8e4U,     0xe51cdb1aU,     0x25a62f61U,     0x2a84a581U, \
    0xe8a944d3U,     0x7751bc7eU,     0xdaa6fba2U,     0xd0798a78U, \
    0x35e2ebb1U,     0x68a092e2U,     0xa183c41eU,     0x86b661a2U, \
    0x112e59dcU,     0xc4c35468U,     0x3133d01eU,     0xaf38815dU, \
    0xb2764c6fU,     0xa98db3b4U,     0xc39d057fU,     0x95d7a4b9U, \
    0x9925b397U,     0x29e9b57fU,     0x285c186fU,     0x36c561beU, \
    0xc7db2090U,     0x20e70465U,     0x5438f920U,     0x9fd78fe6U, \
    0x20c8c8a9U,     0xce636fc6U,     0x62418262U,     0x3ff1ebc8U, \
    0xb7d0bd6eU,     0x88276dccU,     0x21c9f314U,     0x4231e883U, \
    0x23009630U,     0x91203b79U,     0x7eaedb69U,     0x0bdd491dU, \
    0xeaebacc2U,     0x5a250d4eU,     0x2a348f9dU,     0xd07fb5ecU, \
    0xcbc7e72fU,     0x2a9dbc4aU,     0xe46ed8feU,     0x33fef656U, \
    0xf43a292cU,     0x00b7282bU,     0x38681149U,     0xbd889bffU, \
    0xdab46697U,     0x8601f65aU,     0x499714f0U,     0x3da7ffa3U, \
    0x1f053522U,     0x4a4bae4fU,     0x6630f670U,     0x70780efbU, \
    0xfd3f2259U,     0x99ffbc91U,     0xeba9cdbeU,     0xcb09690dU, \
    0x68719fecU,     0x7ca77adbU,     0x5172a491U,     0x510ef6beU, \
    0xb34692b2U,     0x2889d097U,     0x6bfd3c6fU,     0x70a91823U, \
    0x0a0a2945U,     0x5ccdd3a3U,     0xe34b9e6aU,     0x121e606aU, \
    0x5082a3daU,     0xffa02fdfU,     0xa1f4fbc7U,     0xb31c3c55U, \
    0x294b503aU,     0x1f427bdcU,     0x5b9186ecU,     0x3b1d9508U, \
    0xee0b27ecU,     0xa8e6e4c9U,     0x92322696U,     0x317d58b0U, \
    0xfaeb8e52U,     0xca773d50U,     0x93190ed8U,     0x8f061e56U, \
    0x3105a8aeU,     0x71d9c65eU,     0x4c6f5f39U,     0x26bbb948U, \
    0x391f3588U,     0x91eb6b00U,     0xcb1889a3U,     0x993783feU, \
    0x18ed1a07U,     0x7a3d3a13U,     0xbb2153b4U,     0x93bf1262U, \
    0x6af4acf2U,     0x3ac5cc34U,     0xa12f65aaU,     0x0787f9b7U, \
    0x18fc4e8bU,     0x49a41508U,     0x85352477U,     0x2eea8994U, \
    0x9733b58aU,     0x33f6fa8cU,     0x829bf502U,     0x88ed80d2U, \
    0x2b643d56U,     0xa4db0e90U,     0x112b7d3bU,     0x052f6dcdU, \
    0xbef6c3c6U,     0x83b6ce00U,     0x28226268U,     0x0ec28428U, \
    0xfd8a9cf1U,     0xf7a48de0U,     0x1fa6c0aaU,     0xc872b0a2U, \
    0x33f1f1b2U,     0xfc495267U,     0x80393384U,     0x40d5fff5U, \
    0x24af34a8U,     0x8f475fbaU,     0xcf87e85aU,     0x1637b8caU, \
    0x97ac46aeU,     0xc595d929U,     0xbe13d687U,     0xd8b18da7U, \
    0x0698df75U,     0xd94de57fU,     0x81edc763U,     0xe42c2f2fU, \
    0x25cf41a8U,     0x0a641324U,     0xcf170e50U,     0x1ab838ddU, \
    0x1d275671U,     0xc349ebd3U,     0x0da94c5eU,     0x479c3763U, \
    0xd785c43fU,     0xe7791d8fU,     0x3a7c23baU,     0x49ce51fcU, \
    0x0a2905edU,     0x2f77d48dU,     0x550a5effU,     0x8256da5aU, \
    0x880b059cU,     0xacace29eU,     0x22fdfeb5U,     0xb77ae7a7U, \
    0x4936c9e0U,     0x4396971eU,     0x2ca042d7U,     0x03363c87U, \
    0x61b8b8edU,     0xd50e6be5U,     0x9dff859eU,     0xa3bd018aU, \
    0x7896b974U,     0x1b105a6aU,     0x90606612U,     0xe1efe0a8U, \
    0x0966a858U,     0xb9a83899U,     0x50f9480bU,     0xac22a953U, \
    0x1ad687ceU,     0xfed27f6fU,     0x8844ed7bU,     0x20344da6U, \
    0x492c666eU,     0xf5315874U,     0xef26c5f1U,     0x23f9a578U, \
    0x758eb5fcU,     0x7f578ad0U,     0x0cbdbd04U,     0xa5d4f7b5U, \
    0xc989de3dU,     0xf38f2c8cU,     0x0cbadde9U,     0x453b6c1bU, \
    0x80a91a6aU,     0xa320fccfU,     0x23d9c0fcU,     0x838611f7U, \
    0x4489c4acU,     0x0773da04U,     0x00bbb13cU,     0xf332f944U, \
    0xdc2d3bf7U,     0x52a4b01bU,     0xd1bcd480U,     0x6e3e9c18U, \
    0xb65c8378U,     0x7d8fac40U,     0x31ff217bU,     0x8e8841feU, \
    0xf798389dU,     0x1934d583U,     0x3bfb3357U,     0xcf11a0c4U, \
    0xb75cfd9cU,     0x509c809fU,     0x4025c4cdU,     0xe3bba040U, \
    0xb5e602c5U,     0x15b2d147U,     0xa228d590U,     0x3c93e7afU, \
    0x7bbb1176U,     0x4e0881f8U,     0x1b843752U,     0x054156e1U, \
    0xa0bd6483U,     0x444d6f4bU,     0x521f6cfeU,     0x1e5388f0U, \
    0x008059adU,     0x8ca050f2U,     0x9c7b6ed0U,     0x99714e40U, \
    0x567a0300U,     0xf56b74daU,     0x8072c3a7U,     0x8a6024c8U, \
    0x94bb10c7U,     0xc329a7a1U,     0x00980a64U,     0x77bbf7feU, \
    0xd800ffc4U,     0xc014ee21U,     0xaecd83abU,     0xbe2df1d4U, \
    0x32f3ff18U,     0x5620e04dU,     0x689c9dfcU,     0xaddc08b4U, \
    0x05872599U,     0x37f21017U,     0xa9f08234U,     0x3662a61dU, \
    0x6f233004U,     0xbb2f8405U,     0xc9d14a8dU,     0x7bc874b6U, \
    0x8c139f07U,     0x4d44a7cbU,     0x9cf3e3f1U,     0x017a186aU, \
    0xb98d34c3U,     0xa1264865U,     0x3d6121c4U,     0x724f69e3U, \
    0xfbcf8eedU,     0xa6701175U,     0xfeb8f478U,     0xe4cfb842U, \
    0x8e17a03bU,     0xdda1358bU,     0x9033ea6fU,     0xf666ed5aU, \
    0x01b40bb0U,     0x701fc851U,     0xe3ab1b72U,     0x6f92e4efU, \
    0xa7f888d0U,     0x69976eb7U,     0x2e1f499aU,     0xa18db49bU, \
    0x51f7e949U,     0xac64054cU,     0xf76a6499U,     0xba8dd34cU, \
    0x98f9b93bU,     0x9b31d4c9U,     0xf67c5648U,     0x0267e89fU, \
    0xa93e299fU,     0x93a1da91U,     0x1c848f34U,     0xf4fffb6fU, \
    0xcedbf431U,     0x484a7373U,     0x100693afU,     0x80445c43U, \
    0xf2c47a51U,     0x8b67370dU,     0xeb639797U,     0xe7214018U, \
    0x64ae5e70U,     0xd91843e8U,     0xed1ea63dU,     0xc81f524eU, \
    0x40b2d5afU,     0x0f585632U,     0xec654419U,     0x7d9c84b1U, \
    0x227ce46eU,     0xfee42883U,     0x04498d67U,     0x3bbf0097U, \
    0x2b3f1406U,     0x8640f569U,     0x4d561576U,     0xdcaa394dU, \
    0xe8d2b42aU,     0x4a847c32U,     0x8961e982U,     0xd107774fU, \
    0x759886f3U,     0xaea45451U,     0x60ba370bU,     0x2074201aU, \
    0x628c1ec2U,     0x9b2bfce7U,     0x901873f6U,     0x4e3f2078U, \
    0x3accef4eU,     0x83c547aaU,     0x856cd6f7U,     0xf29a2dedU, \
    0x2283b9beU,     0x7f108d01U,     0x25f9c4eaU,     0x51094056U, \
    0xf7edbefaU,     0xbd16bbd3U,     0x4c90d496U,     0x2cd63b39U, \
    0xbe3f2223U,     0x6e229b41U,     0x963dc2e3U,     0x9cd47505U, \
    0x39197ce9U,     0xac603435U,     0x9a7195b1U,     0xf3763011U, \
    0x18f43861U,     0x07bbccffU,     0x1a94aa5eU,     0x0702e287U, \
    0xa5c643b3U,     0xd2a02be6U,     0x82211730U,     0x0d65c5b6U, \
    0x10358367U,     0x712f0ef6U,     0xdf3bab14U,     0xffc5add7U, \
    0x1d86a39eU,     0xc50e264fU,     0x0d0733deU,     0xf77d8918U, \
    0xb1a25a64U,     0xd4b2c817U,     0xc7caba85U,     0x7c14a8eaU, \
    0x09ce3705U,     0x8e297bf0U,     0xbbc442ecU,     0x847adb1dU, \
    0xfd0da478U,     0x7a35eb70U,     0x6947f5fdU,     0xda96411aU, \
    0x91c8a6b6U,     0x16d749ebU,     0x46862bbdU,     0x4d9cca79U, \
    0x14cb7527U,     0xb394adcaU,     0xd1c15aaaU,     0x5dd711ffU, \
    0xe0283f34U,     0xb9b98749U,     0x0fcd23dbU,     0x1b5b9297U, \
    0xb4a3c444U,     0xebe9e6a9U,     0x51b1eb93U,     0xc7c13798U, \
    0xb823194eU,     0x96171ab9U,     0xd8172b38U,     0xc08a749aU, \
    0xa1471183U,     0x9dc66a0cU,     0xfbf1e570U,     0xb2af4b41U, \
    0xe4df88b6U,     0x3bc64371U,     0x526058f9U,     0xc0650173U, \
    0x3a0219f4U,     0x2383bfdcU,     0xff44058aU,     0xd6cbee04U, \
    0x10508541U,     0xbd41fc5fU,     0xdf421ec7U,     0x4565a495U, \
    0x9be79256U,     0x0781829aU,     0x507ad780U,     0x064c9524U, \
    0xc91d9c40U,     0xfc5e731bU,     0x8a067113U,     0x6618fdd1U, \
    0x43f52ffdU,     0x5458d4beU,     0x9bf743ecU,     0x35155822U, \
    0x19c3ffceU,     0x694822beU,     0x0f7c5457U,     0x9cecfe5fU, \
    0x880e91a4U,     0x8d60de10U,     0x5316c628U,     0x564bea0bU, \
    0x1842fb29U,     0xb6fc43dbU,     0x77767bd4U,     0x8b9ec6feU, \
    0x83e1d3e0U,     0x7ac69d89U,     0xb326e59fU,     0xf3312773U, \
    0x1f1e15f1U,     0x519de975U,     0x135dec3eU,     0x556946a8U, \
    0x106bc669U,     0xe44cee44U,     0xe3f270d7U,     0xa25643a2U, \
    0x44410ba8U,     0x7a60441cU,     0xdddfe8e7U,     0xf727aea2U, \
    0x343b3991U,     0x66dfb8d1U,     0x4b2a114eU,     0x433a0bffU, \
    0x93ad3ca2U,     0xe64f5875U,     0x0ecc483dU,     0x99c1bfb2U, \
    0xeec1c324U,     0xddf76dcfU,     0xf68d20a5U,     0x9fab1a07U, \
    0x2d7f5933U,     0x500ff19fU,     0x7470f6dbU,     0xf3166dfdU, \
    0x7a49ba2fU,     0x6819ec30U,     0xcdb23799U,     0xefbaa2ddU, \
    0x3314c787U,     0x7e3ffb27U,     0x09eb15a9U,     0xb2e53c1dU, \
    0xa0ecb934U,     0x4acf5306U,     0xa3cdd28aU,     0x3f58329aU, \
    0x44cac33eU,     0xf38caddeU,     0x93a008e9U,     0xfea4b491U, \
    0x7da7fb23U,     0x4bc72fe7U,     0xfaf73c89U,     0x47e04663U, \
    0xaf2155c0U,     0xd27e95ccU,     0x24814759U,     0xe0ca67faU, \
    0xec7910e2U,     0x761e6715U,     0x1ec5e57bU,     0x2d98e0deU, \
    0x68ab2b3dU,     0x7976a2d9U,     0x62cacc0fU,     0x24b7a88dU, \
    0x59010817U,     0x283500c2U,     0x172675ffU,     0x00a835beU, \
    0xd0d4839fU,     0x1aa872adU,     0x8bfac0bbU,     0x45a39686U, \
    0x03f11224U,     0x87d0d61fU,     0x39a6b714U,     0x8d0dbea7U, \
    0x784d26d4U,     0x1630a753U,     0x5ddaea4fU,     0x2a234d71U, \
    0xc4c00c2eU,     0xad503c4fU,     0xed3a0f55U,     0xacb8dadfU, \
    0x7201d925U,     0x288dd28eU,     0x32eea782U,     0xac426286U, \
    0xdedc726dU,     0x569ac520U,     0xa9e3bea4U,     0xa97c8ac2U, \
    0x27eabc22U,     0x1c639194U,     0x3bd91fc8U,     0x427fc606U, \
    0x9fb9cbdeU,     0xde37c242U,     0x2cd36507U,     0xd32d3afbU, \
    0xc596c33cU,     0x8b9b58e4U,     0x2feb8d5eU,     0xd78992aaU, \
    0xf4ef304fU,     0x8ef6d31aU,     0xd2026b5aU,     0xcc132205U, \
    0x43bdf6e0U,     0xd73e68dbU,     0xa4723c97U,     0x9b2c692eU, \
    0x1074e0c7U,     0x39b76e34U,     0xcc83813cU,     0x2dfdb76cU, \
    0x2fdc3507U,     0x50d6f50cU,     0xf83e1654U,     0xb43cd2ebU, \
    0x30cfb53cU,     0x1edc0be1U,     0xb4d3507aU,     0x70b28dcaU, \
    0xead9883aU,     0x92f41b6bU,     0xc4fa0eb5U,     0x748d736dU, \
    0x34c80459U,     0x4f16d76bU,     0x27adfe63U,     0x594ebca0U, \
    0x8f28d577U,     0x936bdaafU,     0xf8ea0990U,     0xa8257ffdU, \
    0xb67184a0U,     0x037878e5U,     0x8db90e51U,     0x48126879U, \
    0x828552bdU,     0xce7129bfU,     0x7fcba840U,     0xd0139460U, \
    0x21b7212aU,     0x79d32feaU,     0xb27517deU,     0xff857d0cU, \
    0x5a78a956U,     0x226bec5fU,     0x81bb9712U,     0x27367d28U, \
    0x691a0fd4U,     0xfd7d2eb4U,     0xc5c4ee70U,     0xa0503b03U, \
    0x296ba2b2U,     0x0d3888a9U,     0x3e617508U,     0x07dd5087U, \
    0xb583a018U,     0x97fdefd1U,     0x045f0cfeU,     0x1a2c6f8eU, \
    0xb1ff010cU,     0xfc017299U,     0xbc341bdaU,     0xc8cd190cU, \
    0x2770af9cU,     0x3e05115fU,     0x3b2fc02eU,     0x02afbc03U, \
    0xf846c887U,     0x53cb60d2U,     0x7500fb71U,     0x2c815a23U, \
    0xcb926bb6U,     0xb624c9fdU,     0xead75f40U,     0xc55fdd06U, \
    0xce2cf724U,     0xb392f8fdU,     0x8f0be9f1U,     0x5c35cf26U, \
    0x299aebf8U,     0x1943dde1U,     0x9620264aU,     0x727e8faaU, \
    0x656229c7U,     0xddead423U,     0xd53b4b18U,     0xf3e0bccbU, \
    0x13a1bdbeU,     0xe28c152eU,     0x6bb5a18fU,     0xb8f8a5dfU, \
    0x4c0b4202U,     0xfd5d608bU,     0x959182f6U,     0x333ea484U, \
    0x393202c7U,     0x6a31f54fU,     0xfeea1bc2U,     0xaa42e3b1U, \
    0xbab9a758U,     0x74b9bba3U,     0x5fa6dabaU,     0x4bac0789U, \
    0xea583b3dU,     0x5a60c033U,     0x7d3dddbfU,     0x40032de2U, \
    0xaac4312dU,     0x7f59ea27U,     0x0360926aU,     0x2bf3612cU, \
    0x70520ccfU,     0x5a54e697U,     0x8a2f042dU,     0xda2d932fU, \
    0xa5d4e2adU,     0xd5a6c3d6U,     0xfc90bd55U,     0x2b5f8b02U, \
    0x37502efeU,     0x9c2b384dU,     0xdec197cfU,     0x19de5295U, \
    0x0be40435U,     0x71709cedU,     0xe289a5e5U,     0xc97d6de4U, \
    0x2b3ea8ddU,     0x46ff30ebU,     0x427aec99U,     0x3275ab6cU, \
    0xca187fc8U,     0x65dfe416U,     0x78416831U,     0x20aa3de7U, \
    0xb027a7f7U,     0x4ead1a84U,     0x88fb9231U,     0x5a8b3da4U, \
    0xcd624f15U,     0x157d8349U,     0xaa163894U,     0xfaa29aa5U, \
    0xb7fa99d5U,     0x5794a394U,     0x19014b49U,     0x1984b281U, \
    0x95190738U,     0xdb501396U,     0x249587c1U,     0xad56372dU, \
    0xdc20e0c8U,     0x854c7c53U,     0xb1b246b8U,     0x2c462f9eU, \
    0x3cf7552eU,     0xa7c27487U,     0xeed64c54U,     0xbcc112a2U, \
    0x41ee0942U,     0xe0c711b2U,     0x7300005fU,     0x2a089be4U, \
    0x0a26ad85U,     0xe4ac7af3U,     0xbfddcf5dU,     0x3e43d403U, \
    0x1cf36eb1U,     0xefbeb597U,     0x06aa78edU,     0xca53b684U, \
    0x9c8d0910U,     0x886cd996U,     0x03970170U,     0x212c3ffcU, \
    0xee9a7c5fU,     0xa95a296bU,     0xd882f42dU,     0xc352ebb2U, \
    0x3014c2feU,     0xe3b95e65U,     0x77925a58U,     0xc2083704U, \
    0x5f4f58b2U,     0x648312faU,     0x9e155c21U,     0xab3fa7a1U, \
    0x47602668U,     0xe1bb2c5fU,     0x157c86f8U,     0x76327722U, \
    0x3c73dd73U,     0x0457be00U,     0x085ee60fU,     0x56cc1df2U, \
    0x2ca4f80eU,     0xb2c06375U,     0x1b98555fU,     0xb5351988U, \
    0x0c6fb78cU,     0x1c03fdafU,     0xc922c02dU,     0xbaf42bd1U, \
    0x7fc7131bU,     0xd3680653U,     0x1dce1223U,     0x31a136d3U, \
    0x5b8ce3d5U,     0x6317b1dfU,     0x56146caeU,     0x43b33defU, \
    0x767fd0e4U,     0xbcf5c7a1U,     0x0ad0f9eeU,     0x779b5067U, \
    0x320f1b95U,     0xcf72402cU,     0x1f38ff7dU,     0x34bfc49aU, \
    0x52614ccfU,     0xbaf6c032U,     0xa934f659U,     0x3fa3f7abU, \
    0x8cc47675U,     0x0d2675c2U,     0xcd628eb1U,     0x78a93d54U, \
    0x4bf77ca2U,     0x6e98d995U,     0x3bb07af8U,     0x642b2debU, \
    0x391bc455U,     0x69ae7173U,     0xedb899e3U,     0x95f3cbe4U, \
    0x04856f9fU,     0x4de7503eU,     0x85ca5f8dU,     0x7cf3d28aU, \
    0xfe7ea2f1U,     0x709fcd88U,     0x61334000U,     0xdf8aa1dbU, \
    0x3b6d1169U,     0x4a39d995U,     0x876c3d11U,     0x9b6d7623U, \
    0xb9677807U,     0xd9d3bc2bU,     0x351e018cU,     0x525b1587U, \
    0x378c7fadU,     0xef9ad196U,     0x35e6a363U,     0x484d916dU, \
    0xff40a771U,     0xa9d5deddU,     0xb8840ba3U,     0x21c8ad05U, \
    0x968059e3U,     0x6142ed23U,     0x7785dbf5U,     0x430e43e1U, \
    0x5adeb2d2U,     0x0c0b74beU,     0x9f7ab711U,     0xb0fa2dccU, \
    0x3df36b8eU,     0x36868fccU,     0xbf72e14eU,     0x68a54a33U, \
    0xece9a794U,     0xb8d4f5caU,     0xc9e37dbbU,     0xf15b0b2cU, \
    0x00f48787U,     0x61a2573bU,     0x22d21e38U,     0xb105548dU, \
    0xac8e04c4U,     0xae2a7aebU,     0xec57d960U,     0xffc202a8U, \
    0x5f531277U,     0xb0b88c25U,     0x6f877548U,     0xd4b615a3U, \
    0xf9a42230U,     0xbf6e06a1U,     0x4a3498b1U,     0x46d08190U, \
    0xcaa6255fU,     0xca1b5a3fU,     0xf2690f10U,     0x03decbdcU, \
    0x3bf8300bU,     0x6fd87e08U,     0xaf8e3ccaU,     0xafa80956U, \
    0xaa80191fU,     0x4008843eU,     0x79ffce5bU,     0xadcec057U, \
    0xa26d5fb3U,     0x791f7826U,     0xf4153bebU,     0xb6534e3dU, \
    0x46f6cee6U,     0x344cfc5bU,     0x34c9a1b0U,     0x8657ea3dU, \
    0xeb723d60U,     0x3bfd57dfU,     0x9673dee1U,     0xdf141845U, \
    0x3dba4d58U,     0x2e29c0f2U,     0x02b3f737U,     0x2b322590U, \
    0xaa2fd500U,     0x7983bf79U,     0xa6ed74a4U,     0x3274457aU, \
    0xc3d197b7U,     0xe68279fbU,     0xb87758cbU,     0xfd860f25U, \
    0x2b80f1d6U,     0xbcb8222dU,     0x3c8fff94U,     0x0f1d3d4fU, \
    0x4b7993c8U,     0xf1a4b8ecU,     0x1979cd0dU,     0xe5a51853U, \
    0x7773e1caU,     0x68b7e854U,     0x55e538edU,     0x62377233U, \
    0x8c50e7b2U,     0xf425d593U,     0x5d9f4ef2U,     0xaad843ecU, \
    0x34f10d33U,     0x02f92c6bU,     0x5cc1782dU,     0x9013fd4cU, \
    0xb8be7b49U,     0xafac5876U,     0x222ac0e4U,     0x8318783bU, \
    0x7049b1c4U,     0x0deaafe9U,     0x08ef2b92U,     0xd260f74aU, \
    0xed65cc0aU,     0x46e94f51U,     0xba6087a4U,     0x28d685faU, \
    0x8abdbe3fU,     0x2f384c11U,     0x9121114bU,     0xc4910cd4U, \
    0xefcc3ddaU,     0xfbb6df6bU,     0x2a470edaU,     0x9a13c9a2U, \
    0x7886987bU,     0x381fd5f3U,     0x9f7974eeU,     0x904829b3U, \
    0x40bfbc81U,     0xc4324594U,     0x3cbd8cb9U,     0x5d87df05U, \
    0x0202b1c7U,     0xece23caaU,     0xa748b99aU,     0xc70aa2b2U, \
    0x78f6c015U,     0xe97fae6dU,     0x0a3c9d39U,     0x8ae50096U, \
    0x9f72d8d4U,     0x51994ea8U,     0x43d7abbbU,     0xba993f08U, \
    0xdfbb36abU,     0xf04c9f35U,     0x0f95595aU,     0xa4b146dcU, \
    0x9d6bc3b4U,     0xcd8b1b73U,     0x89f2880dU,     0x88da94a1U, \
    0xedc45936U,     0xfe16a9a7U,     0xb6fa7268U,     0xc2b7bc6aU, \
    0x1388902fU,     0x9389d977U,     0x128bdbcfU,     0x82f81683U, \
    0x9b3863cdU,     0x6fff9e9bU,     0xb07c213dU,     0xe263e610U, \
    0xc430d50fU,     0x76405949U,     0xdab7cfc3U,     0x5961f642U, \
    0x3eeea021U,     0xd500e5e1U,     0xfc9937d4U,     0x86b0142fU, \
    0x04368e8bU,     0x9c1b37d4U,     0x91112ed4U,     0x946ad84eU, \
    0x0581a9d1U,     0x4510107eU,     0xa3842633U,     0x50c11ed3U, \
    0xcd5b8d2bU,     0xc114ea0fU,     0x0650fa9dU,     0xf6d01765U, \
    0x8386befcU,     0xab3096efU,     0xd5c74a1dU,     0xbeef4c7bU, \
    0xc565c616U,     0x72d20895U,     0xa152f361U,     0x8a1f0e73U, \
    0x4fd72e2bU,     0xc91fb6abU,     0x007bcfc7U,     0x5d2f5da7U, \
    0x160c70eaU,     0x3db97c69U,     0x1b5bed7aU,     0x0aff5246U, \
    0x9860ac29U,     0xb8655e8fU,     0x09634bf4U,     0x9ab046efU, \
    0xed9bc535U,     0xaa86454cU,     0xb69fccc6U,     0x9629fb29U, \
    0x6769b020U,     0x3cb569ffU,     0x34ae06d3U,     0x57cbbbe2U, \
    0xe3742a13U,     0xc7a52f06U,     0x5aaa5073U,     0xd3a29d41U, \
    0x1bf119a4U,     0xdf711604U,     0xd62a897bU,     0xf8d0c917U, \
    0x77dac39aU,     0x2c0382b5U,     0x0c5b490fU,     0xac6547a9U, \
    0x1bd965bdU,     0x80b49badU,     0x2aaf93b3U,     0x30024fd1U, \
    0x96ddfc75U,     0x877ae422U,     0x7bf1a9b1U,     0x696e8937U, \
    0x176b70daU,     0xe7557b0aU,     0xb0e50dcfU,     0x9a47e7bcU, \
    0x9fbbfa59U,     0x30ae0f32U,     0x70fca3e5U,     0xa75fc767U, \
    0xc6855a12U,     0x4d04622aU,     0xe71522c5U,     0x56afe58fU, \
    0x1db02620U,     0x4799a95dU,     0xfc30a26eU,     0xbc9d1a27U, \
    0x7132107cU,     0x352f5fd1U,     0x2fef72cbU,     0x9318ccfdU, \
    0x4b02c280U,     0x9ce80839U,     0x8eb84a64U,     0x63b964b8U, \
    0xbe5ec934U,     0xea7f99d8U,     0x3be6f86fU,     0x993c8f87U, \
    0xc6e8b49bU,     0x57bd9220U,     0x420e6196U,     0x1f32e44cU, \
    0x1058747cU,     0x3b294ba0U,     0xb13df07fU,     0x9dc579a2U, \
    0x5f7e9089U,     0x6bd1d7bcU,     0x76321d31U,     0xf05e3b4bU, \
    0xac9324c2U,     0x7284b9d0U,     0x0bc8475fU,     0x1213d0e1U, \
    0x938865d4U,     0x0e39df70U,     0x60470bc9U,     0xccc6644dU, \
    0xed3f678bU,     0xe7217f11U,     0x4ea59635U,     0x1a58c282U, \
    0xa776c0afU,     0x9946f819U,     0x4e3f325fU,     0x8637f41eU, \
    0x83ebcb47U,     0xa9b4eeabU,     0xdabf8ad7U,     0x608feeefU, \
    0x64486a10U,     0x2df91b92U,     0x84d7c521U,     0x5d342f24U, \
    0x98729f56U,     0xe30d9ddfU,     0xe70f0d18U,     0x7e997779U, \
    0x1e94c603U,     0xe01a7076U,     0xeab3ab37U,     0xccac64c8U, \
    0x7b141e3cU,     0x443faaddU,     0x185f11eaU,     0x7d5fbaa2U, \
    0x430576f1U,     0xf71f5e51U,     0xfdd8959aU,     0x09316961U, \
    0x953225cdU,     0x7eefbe0eU,     0xf2f9c215U,     0x24ef155aU, \
    0x9b74b945U,     0x2b649a9fU,     0x327b1841U,     0x03495de7U, \
    0xac8f5c8dU,     0xc47bb8bfU,     0x859ad017U,     0x4b2ef96bU, \
    0xe62ad15fU,     0x0a3ca0b0U,     0x56e94461U,     0x3ba16e99U, \
    0x6b93c1cfU,     0x548c3ceeU,     0x2ec75602U,     0x979a65f9U, \
    0x8836941cU,     0x9caacb71U,     0x3902fc3aU,     0xef306e3eU, \
    0x89ca0783U,     0x4721cc82U,     0x5fbc1a21U,     0x14c86bafU, \
    0x66b813ccU,     0x50accb77U,     0x6fbcbc7fU,     0x6e55d37bU, \
    0x70244982U,     0x7d59dab3U,     0x3a3676ddU,     0x727f07c1U, \
    0x92629304U,     0xe27ce5aeU,     0x5dbf15a0U,     0x2c2fc9ccU, \
    0x76a862f2U,     0x9fd1deafU,     0xdc6ce125U,     0x786df510U, \
    0xf7c677ffU,     0x1f73883eU,     0xbc0d3fc9U,     0x0a5c2d42U, \
    0xec587fe3U,     0x3c8e11f6U,     0xc5636d30U,     0x95f10242U, \
    0x972432c0U,     0x94c36d01U,     0xfcbd835cU,     0xbddb8c6dU, \
    0xd3c2d32bU,     0xd3472b16U,     0x86a5c89dU,     0x5d18677aU, \
    0xfd7dbe63U,     0x934ef498U,     0x8bf89608U,     0x7510a448U, \
    0xd33cda47U,     0xacbb3115U,     0x3f1f3312U,     0xc8ef0154U, \
    0xfa3f0cc0U,     0x07ba9ce4U,     0x384afe76U,     0xf3380934U, \
    0x68b0f583U,     0x57c76a01U,     0x3d511839U,     0x2ba371ffU, \
    0xec6481b8U,     0xe9a022dfU,     0x3609ea51U,     0x61f51a65U, \
    0xb75d7db9U,     0xb58ca182U,     0x1a9b0515U,     0x86ae8f48U, \
    0xc62c12a8U,     0xac3275d1U,     0x998705c9U,     0x4fb3d46eU, \
    0xb59f7da1U,     0x18b9f412U,     0x4cb71e69U,     0xdd96580dU, \
    0xce7d8ec0U,     0x78b93486U,     0x635adbc5U,     0x3f3a6ec7U, \
    0xafbb8aedU,     0x19d8fda2U,     0x72f04ef6U,     0x94fc927aU, \
    0x0354aa59U,     0xead8c248U,     0x48178899U,     0x5d330bddU, \
    0xdf314c7fU,     0x13e13bf5U,     0xda5bc59eU,     0x70335420U, \
    0xcffd8f9fU,     0x589268ffU,     0x302e51daU,     0x7f20cb95U, \
    0x82200ebbU,     0xa3173453U,     0x5239b0f7U,     0x11bca14dU, \
    0x620940f9U,     0x126d912cU,     0x162aeccaU,     0x59a1d807U, \
    0x1ea8ae90U,     0xd8cb8335U,     0xea440710U,     0xa6a8ef56U, \
    0x27308007U,     0x21e76207U,     0x4d2505b9U,     0xc9f953d2U, \
    0x707f3054U,     0x4fc20a59U,     0x4b9d7170U,     0x7786df65U, \
    0x9ded76fdU,     0x1cfe5e66U,     0xab2f4f67U,     0x533b321bU, \
    0x1092d48cU,     0x946d45f9U,     0x4f191847U,     0x9885aebbU, \
    0x86516997U,     0x35efd652U,     0x4cf336d9U,     0x4efa89dcU, \
    0x47ae50c1U,     0xff450c10U,     0x167116feU,     0xbba68832U, \
    0x74a25a1bU,     0xe60c8acdU,     0x4e50a043U,     0x8f51f5dcU, \
    0x98bd473bU,     0x4fd1c527U,     0xb103c757U,     0xc27661e9U, \
    0xc5ab6fc8U,     0x00c61d79U,     0x7e669b81U,     0x37895f20U, \
    0x48073c05U,     0xca9778deU,     0x27def850U,     0x98078241U, \
    0x977f0b5aU,     0xfe25a3fcU,     0xc00ebb9fU,     0xa4232addU, \
    0x9d3c4875U,     0xb3842945U,     0x128dbe5fU,     0x68092950U, \
    0xded13eb2U,     0xfe12678fU,     0x14c91933U,     0x23f5bc3eU, \
    0xdd7c4f28U,     0xcb33e7f3U,     0x9abf7571U,     0xa944d0bbU, \
    0xdcfdc291U,     0x4de0f4b8U,     0x08185762U,     0x46c6931fU, \
    0xe4b4c1c1U,     0xa8f0e991U,     0xa7b35de9U,     0xb1e5705bU, \
    0xd397a846U,     0x1a3b9e52U,     0xad3d1c54U,     0x747792e6U, \
    0x34963be7U,     0x5390f60cU,     0x1bc62a6bU,     0x3207b127U, \
    0x9db32055U,     0xb42beda5U,     0x628dc94cU,     0xc8b84087U, \
    0x12b59cb1U,     0x29b0a6b7U,     0x9c7569baU,     0xdb120011U, \
    0x857c61edU,     0xa9a3b5c8U,     0xfceaf515U,     0x8044d73eU, \
    0x850b2358U,     0xa91d0da8U,     0x1b618433U,     0xf9ea53a6U, \
    0x1d7ae8edU,     0x18d43753U,     0xfe191e44U,     0x6d3b8003U, \
    0xa3975636U,     0x3b6d9868U,     0x95989a2cU,     0xd3355abdU, \
    0x011656f6U,     0x0caf0378U,     0x02a18980U,     0xac2f2835U, \
    0x375d7af8U,     0x10631ca9U,     0x8da8192dU,     0x5de919d5U, \
    0x9a9a0758U,     0xf5bf5879U,     0x268f3188U,     0x5a072837U, \
    0xbd1b325bU,     0xf1e99bb1U,     0xc4546122U,     0x6d25a219U, \
    0x651dc1b9U,     0x3e1a4cbcU,     0xded20880U,     0x9459684eU, \
    0xb19357d6U,     0xe6303d31U,     0xf53f8258U,     0xc83b5fa2U, \
    0x5ae389f0U,     0xed8f7b2aU,     0x2d317093U,     0x7ac1fe6cU, \
    0xe8e7e99fU,     0xb7eb99c3U,     0xa7bacd21U,     0x23e6f849U, \
    0xdbd2a278U,     0xf17c6ab4U,     0xe9b2f8e5U,     0xe89fca8bU, \
    0x14ddad47U,     0x6d9cd923U,     0xeb639a55U,     0x11bd36f4U, \
    0x831b611fU,     0x50ae5161U,     0x32908350U,     0x802e2e34U, \
    0x3dc5e7c5U,     0xde50af93U,     0x98697619U,     0x199461cdU, \
    0x307fc3beU,     0x8efb13d2U,     0xa8f39ce5U,     0x847ed090U, \
    0xf03f4d69U,     0x56d8d9eaU,     0x80923253U,     0x3cdcffdaU, \
    0x5554aeb4U,     0x039df6bbU,     0xd9a7275cU,     0xfa4a8034U, \
    0x8c336bb0U,     0x1bb630c3U,     0x1d005740U,     0xb91724d0U, \
    0xd4f2253eU,     0x9f072dc3U,     0x4296cb02U,     0xb09ae454U, \
    0x2d9e35f6U,     0xda38348bU,     0xa802dbdbU,     0xbc37852aU, \
    0xb5f5a91eU,     0x9c3117b1U,     0x0ecd5c4bU,     0x12cd5805U, \
    0x6b60757fU,     0x4d03397aU,     0x09c13d45U,     0xc6dcf382U, \
    0xc120dbceU,     0x98e2c6d1U,     0xe198ec2eU,     0x121edca3U, \
    0x106c4150U,     0xa0edba6dU,     0x55f8a7a4U,     0xc7a241ecU, \
    0xff303bacU,     0x2e0e7548U,     0x07872eafU,     0xe2ccb081U, \
    0x107077c0U,     0x0fcf8404U,     0xdd59ee83U,     0x4b83d841U, \
    0x8a63555cU,     0xd8aeb175U,     0xa8ea1076U,     0xab2df074U, \
    0xdd1b0b8cU,     0x078d5fc0U,     0xea236548U,     0xf83b66f0U, \
    0xdd37ea3bU,     0xf98f2ec3U,     0x2428768cU,     0xf1d3d7b2U, \
    0xeb49e1d8U,     0x5c0bb21fU,     0xba12676aU,     0x5fcfc49bU, \
    0xd0726753U,     0x8d2bde62U,     0x0e1ee842U,     0x588ecb68U, \
    0x584b8c32U,     0x5ea68097U,     0x51cb4a2fU,     0x67877f1cU, \
    0x95859478U,     0xdb979cdfU,     0xacc6f054U,     0x3ab2a5c4U, \
    0x70367c91U,     0xd0ff7a88U,     0xe028afdeU,     0x85267083U, \
    0x3ead305bU,     0xe6118aa0U,     0x22a59829U,     0xe5272518U, \
    0x47e88790U,     0xbd06d3b4U,     0x895d4c5aU,     0x92403329U, \
    0xdc9f907aU,     0x30a27631U,     0xc96e9552U,     0x0cab3963U, \
    0xaa5a6727U,     0x26a6c45eU,     0x9998ad71U,     0x8682f25eU, \
    0x024297f8U,     0x9898102bU,     0x475b1da8U,     0x019e4c85U, \
    0x0fcae8e3U,     0x2066a683U,     0x8f8bdc10U,     0x213cafebU, \
    0xa68efb2cU,     0x91695f57U,     0x7ae34bdfU,     0xa67fc191U, \
    0xe4f88addU,     0x38d6bdb4U,     0xfe05e830U,     0x74182866U, \
    0x15d21849U,     0x3867df53U,     0xcabf48b8U,     0x44bdb307U, \
    0x055d6b7fU,     0xa888030dU,     0x82da0ae1U,     0x646fec09U, \
    0xdfa77152U,     0x2e3693cfU,     0x640bb7eeU,     0x40594526U, \
    0x8adfa122U,     0xc6f3fdb2U,     0x757010f0U,     0x0a5c0f60U, \
    0x74724110U,     0xe1838531U,     0x12076a95U,     0x3d1ef58aU, \
    0x0ad815e7U,     0xeb9c378cU,     0xf7229cf5U,     0x465e1662U, \
    0x2641a79fU,     0xc8f662f7U,     0xa865d0caU,     0x0e178d27U, \
    0x373e464bU,     0x92c0fc02U,     0x6e8ac42eU,     0x78e82732U, \
    0x2c45770dU,     0x133e30ebU,     0xab653eaaU,     0x7599e481U, \
    0x90321788U,     0x18bcbc66U,     0x67638b5bU,     0xe331fb87U, \
    0x33af5e41U,     0x766fd37cU,     0x4262e775U,     0xf3ce0d17U, \
    0x3254db70U,     0x48b2ecdbU,     0x92339fd7U,     0x5ded4b46U, \
    0x51016becU,     0xf5435fe5U,     0x22cdbad0U,     0xa5eb166eU, \
    0x03663680U,     0xb48073e4U,     0x1fed9dcdU,     0xc4c35e56U, \
    0xc4048b8aU,     0xb19ed02aU,     0xe8d767deU,     0xe74106a4U, \
    0x44330616U,     0xe13ea647U,     0xcedcf6c6U,     0xbaaf63fdU, \
    0xd07ce88eU,     0x55f40740U,     0x4220c164U,     0x1ddf03c8U, \
    0xef4890f1U,     0x5d0870f1U,     0x113ff668U,     0xe0b5760eU, \
    0x87726edeU,     0x35cfe39eU,     0x6dc26ef3U,     0x8e77f5afU, \
    0x054b9d78U,     0x82be4a09U,     0x1ce24c7dU,     0x97acdf7fU, \
    0x77dfa21dU,     0x28c7a158U,     0xab5081f4U,     0x4eff2983U, \
    0xa4122ad0U,     0xb2d9a538U,     0xf83a8907U,     0x600e3014U, \
    0x8eaec76aU,     0xaf41a8b3U,     0x3ebe6ddbU,     0x6f5a4657U, \
    0x7b5e543aU,     0xcef7c149U,     0xa03da1bbU,     0xa8242712U, \
    0x513e9341U,     0x5a4b2276U,     0x992784e8U,     0x71eca1a2U, \
    0xb673b527U,     0xdf3b3015U,     0x2af8d552U,     0x6ff61c80U, \
    0x470638e3U,     0xb67d685dU,     0x5e3c1798U,     0x57a15237U, \
    0xf225b1a0U,     0x7b3b3471U,     0x8a9ff730U,     0x8eed23c4U, \
    0x470c9824U,     0x07539213U,     0xf4763ae2U,     0x8cadbb92U, \
    0xcf6c5712U,     0xd02b57cdU,     0xc80c8052U,     0x4ddf2f8dU, \
    0x8d34fbbaU,     0x77147316U,     0xfb4fe8e2U,     0xf8d5734cU, \
    0xf4ba3f52U,     0xcf2e202aU,     0x92208003U,     0x9ea40891U, \
    0xedc35c94U,     0xf9115621U,     0x85a1df45U,     0x190b4b44U, \
    0x57f53f86U,     0x9240f54bU,     0x94cac147U,     0xe4178ec1U, \
    0x8014f48aU,     0x56286339U,     0x49d93de1U,     0xde351d3eU, \
    0xefbe0930U,     0xf23b0af5U,     0x2e1bca8bU,     0x2b19d0c9U, \
    0x36ead888U,     0x377cf5a9U,     0xd1c7d42fU,     0x4fd1000eU, \
    0xd894cebaU,     0x13430e8fU,     0xf9e79849U,     0x4bcf7e47U, \
    0x6d7c2542U,     0xf6211cf5U,     0x3be654beU,     0x920b6061U, \
    0x891cae5bU,     0xdf36e031U,     0x36d97de4U,     0xb13a0092U, \
    0xf8c9605fU,     0x2eeb9f40U,     0x1744e270U,     0xb1f0c393U, \
    0xde8b8f74U,     0x0ecb4650U,     0xeac5e18fU,     0xeef21ba1U, \
    0x5a9460a1U,     0x682b44dbU,     0xde007898U,     0xa6c718d6U, \
    0x6bf3bfdaU,     0x9ea40f5aU,     0xe461a24bU,     0x9f25c4b5U, \
    0x65133560U,     0x5627cb52U,     0xffde1e64U,     0xbaa401e3U, \
    0x22f5c98cU,     0x0f23681eU,     0xa8e0ade5U,     0x7132876fU, \
    0x069e9eb2U,     0x7538394fU,     0x40ca07dbU,     0x7ff54c0dU, \
    0x250f8ad4U,     0xbf383941U,     0xa4a9e584U,     0xd72d982dU, \
    0x32b12dafU,     0xc70e4278U,     0xb6a9b8e6U,     0xec33681bU, \
    0x5e0293e9U,     0xdc2dde36U,     0xaf596bfeU,     0xa6fbf4eeU, \
    0xc8bfcfb8U,     0xf0f4defcU,     0x2cf60cb9U,     0xe65e9830U, \
    0x6c2e4512U,     0x44b93628U,     0x08ae9703U,     0xf1e74d51U, \
    0xad955488U,     0xb325a524U,     0x263f600dU,     0x248b3d07U, \
    0x56512610U,     0xbd11b1a0U,     0xe292819eU,     0x52e52bf4U, \
    0x3d3ce39eU,     0x32d3c84dU,     0x3652bf57U,     0x91f0ffa3U, \
    0xa1aaced3U,     0xa2337ac6U,     0x637f3a0cU,     0x858c3c75U, \
    0x8a003e54U,     0x11b2c038U,     0x8fa723f5U,     0xd77d160eU, \
    0x9b1d9540U,     0x5f42a930U,     0x382cd491U,     0x338062ebU, \
    0xa7e20360U,     0x4f8f8943U,     0xa3a37858U,     0xff6f25e3U, \
    0x9d87ce02U,     0x4b1a95c8U,     0xa50309c3U,     0xfdd44119U, \
    0x6fb12421U,     0xc9497aa3U,     0x2319e09aU,     0x0a69178fU, \
    0xd12af54fU,     0xfd8b7201U,     0x815aa470U,     0x471100f6U, \
    0xf0f71624U,     0xfe7639b0U,     0x8d6be300U,     0x59d99beeU, \
    0xec815cafU,     0x5c55cdb8U,     0xbb2571efU,     0x24e1525cU, \
    0x7ece9a1fU,     0x1cfee496U,     0xd18b50d7U,     0x54055dfaU, \
    0xeaf97341U,     0xd9dbe47bU,     0x4ec54290U,     0xa77588e6U, \
    0xd3986a53U,     0x32162bfeU,     0x9b3c1e78U,     0x0521a8bdU, \
    0x3d44275dU,     0x126ef145U,     0xf305dc5fU,     0x6c72aa7eU, \
    0xa8e405dcU,     0x1a22b6b6U,     0x06eb7e6cU,     0xce32dd24U, \
    0x24b6acd6U,     0x00964efdU,     0x981a5906U,     0x3193f8c5U, \
    0x62963626U,     0xe332cd39U,     0x92ef936fU,     0x515ef87dU, \
    0xcef47b8dU,     0x9deddd8bU,     0x4892e91aU,     0xdc53f700U, \
    0xf89e815cU,     0x99552e5bU,     0xdef6bebcU,     0x080a7fdeU, \
    0xf83be6b8U,     0x96c5d25eU,     0xda264c78U,     0xec664688U, \
    0xf04de2cbU,     0x443b5f19U,     0x36c94b85U,     0x325e34e1U, \
    0x5b2f3d11U,     0x66cbb439U,     0x34f868d4U,     0x7478bbe6U, \
    0xea190f2dU,     0x0dd17ffaU,     0x71e73a6eU,     0xe25b21dbU, \
    0xa44a8facU,     0xbce67488U,     0x3e3859d9U,     0xa0978719U, \
    0xbfa46b7cU,     0x7e2105feU,     0xd6d42c10U,     0x482ecb10U, \
    0xdc42f638U,     0xd0d4053fU,     0x33d607beU,     0xc2813f0dU, \
    0x4e4cc36bU,     0x5309fd85U,     0x8ba75f9eU,     0x1287c572U, \
    0x8f85b6d1U,     0xda90c0aaU,     0x27a6b000U,     0xcead72a6U, \
    0x197ec651U,     0xe4a5f073U,     0xe4a2801eU,     0x3317dadcU, \
    0x0a4718cdU,     0x32b9d17bU,     0xef977291U,     0xc74d6eb5U, \
    0x6b61db11U,     0x57c95728U,     0x244e05afU,     0x096beee1U, \
    0x570c9adbU,     0xf4dfa1e7U,     0x7bcb5ca9U,     0x58dacdeaU, \
    0x7b2ab68eU,     0x040c191fU,     0xcc92ea0cU,     0x12f42441U, \
    0xa48738baU,     0xfa89d886U,     0xfce18341U,     0x839b746bU, \
    0xdacfedccU,     0x8e574c07U,     0x9f1bfbd6U,     0x8afdf393U, \
    0xdd7cc7bfU,     0xd1aade5dU,     0xf35626ddU,     0xa3821658U, \
    0x3e17e9cfU,     0x849d7966U,     0xf61cbd25U,     0x9089b0b4U, \
    0x8f5418a3U,     0x8f70ae69U,     0x8d73ad5bU,     0x4adb9e25U, \
    0x4eb8fb7aU,     0xb396a617U,     0x84e43521U,     0x709f54f4U, \
    0x7a792f9eU,     0x9f34e0dbU,     0x03ead383U,     0x8b04c2ddU, \
    0xee87193eU,     0xcfa1dd37U,     0xc83a1139U,     0x8e70da73U, \
    0xc3bddd3eU,     0xdb8e035aU,     0xf0403f18U,     0x7a77b7d5U, \
    0xe7bbbcb6U,     0x545f5cd1U,     0x9b8619e7U,     0x9d6a8c87U, \
    0xd7400f3cU,     0x42713e57U,     0xadc41157U,     0xab0a43f7U, \
    0x975b5eecU,     0x43838021U,     0xa97242d6U,     0x84d8d860U, \
    0x32c40e39U,     0x1f19abd7U,     0x1787020cU,     0x46a4e8a3U, \
    0x313312e8U,     0xfabd8474U,     0x46a3e7e6U,     0x10798b28U, \
    0x8ce9ad5aU,     0x0378c81eU,     0xed9928b5U,     0x22ff8e40U, \
    0x3fd43253U,     0x5fa04986U,     0x3ba4dc34U,     0x518ef1ecU, \
    0x24017fc8U,     0x5ed50384U,     0x09f5b4feU,     0x910c462aU, \
    0x21d70cc0U,     0x3b6378cdU,     0x2253f825U,     0x459c7b8dU, \
    0x53e0e9f5U,     0x6241a647U,     0x31934d9eU,     0x2d87ed3fU, \
    0xc1cc53f5U,     0x7d2ae104U,     0x763ab46fU,     0xd0c650e1U, \
    0x4e37a9d1U,     0x800fa55aU,     0xa8b23dadU,     0xb9b32c64U, \
    0x56f8c4d3U,     0xc4735147U,     0xd942022bU,     0x0a6ce227U, \
    0xf34894b6U,     0xf2da850bU,     0xf1bac9f8U,     0x013cac4aU, \
    0x405d937bU,     0xe548e2bdU,     0x8f35257dU,     0x734d4f0aU, \
    0x6511bc31U,     0x76224bdbU,     0x107118c8U,     0xc970a904U, \
    0x0f938c89U,     0x55738112U,     0x71b6bcf9U,     0x1740aa2aU, \
    0x13f72575U,     0xf1762d7bU,     0xe27712dfU,     0x753c2d50U, \
    0x2237fbd6U,     0x0f892b77U,     0x8f28c353U,     0x87a1f61fU, \
    0xccd37e81U,     0x079cd4e4U,     0xfdb68beeU,     0x9d081671U, \
    0x77d982b5U,     0xe620869dU,     0xc0d65e4fU,     0x18559426U, \
    0x9892099bU,     0xc4b33c92U,     0x578fab03U,     0x229d3fdbU, \
    0xd48c0fa8U,     0x9e05cdaaU,     0x2fe7b447U,     0x555f6fffU, \
    0x1fbd7ac2U,     0x3e2d71adU,     0xda317b24U,     0xf3721234U, \
    0xa8ec35c5U,     0x514324b0U,     0xbfedfc7bU,     0x1c46e016U, \
    0x57b72ba2U,     0xd9cd6390U,     0xf9a4218eU,     0x6b278b3bU, \
    0x3cd0a318U,     0x5ef6430aU,     0x2dc1d66cU,     0xa8caaa5bU, \
    0x2948033cU,     0xe5f71c54U,     0x119a6725U,     0x1fcc138dU, \
    0x3696a0fcU,     0x7ea94bc5U,     0xe3e5e32fU,     0x73060bfaU, \
    0xb81795efU,     0xfec6375eU,     0x3455b491U,     0xedf750c6U, \
    0xdd812668U,     0x74f0d2cbU,     0x570b5f64U,     0xa8de8b8fU, \
    0x7569b395U,     0xe7c13f7cU,     0xc35d89a5U,     0x53547a7aU, \
    0xc5da688eU,     0xeb2ab161U,     0xcf18811fU,     0x08469d57U, \
    0xb96aa05aU,     0x41648d4bU,     0xd1c01ebeU,     0x933a9b4bU, \
    0xcf42f3e4U,     0xc9041773U,     0x1ab43e12U,     0x3a19e764U, \
    0x28facf31U,     0x77d80290U,     0xd320963dU,     0xb5026d01U, \
    0x8e83298aU,     0x078161dbU,     0x5885a1feU,     0xc3bf53d9U, \
    0xc415b48dU,     0xf37d5557U,     0xc2c1e3c4U,     0xa75479beU, \
    0xde2dbd59U,     0xcc439747U,     0xc849a41eU,     0xba8a6b3aU, \
    0xc30100a5U,     0xa9d277caU,     0x2c8d6615U,     0x3cfc559aU, \
    0x7cc0a2dfU,     0xb2eb9b85U,     0x882b20c5U,     0x61de1ec2U, \
    0x3d481f2cU,     0xcbcd5a25U,     0x52c3125dU,     0x5e4189adU, \
    0x0460d0aeU,     0x4ee0b7f3U,     0x586e8281U,     0xfdca4a2dU, \
    0x02b8859fU,     0xba7be046U,     0xd2f5affbU,     0xf3a181ffU, \
    0x7a3d1cbaU,     0x3aa95e73U,     0x0263ae37U,     0x5b363effU, \
    0x17c09727U,     0xa244d3e0U,     0x19e50e85U,     0x530255f7U, \
    0x62071da8U,     0x1a39a33aU,     0xaaafd092U,     0xf58e55e9U, \
    0xe07fc6f3U,     0x5f9d0f41U,     0xde63dcabU,     0x24ef451bU, \
    0x3738254bU,     0x325b865cU,     0x04ace676U,     0x22aa0db0U, \
    0x1ccc0d6bU,     0x504f77e9U,     0x22de7625U,     0xb89a1ae0U, \
    0x1b2aeef0U,     0x8dd224d1U,     0x2a20688eU,     0x88824998U, \
    0x72bf2aa8U,     0xc139c50eU,     0xd8fa386cU,     0xd248c3fbU, \
    0x7fcb18d0U,     0x07f32b8fU,     0xabe3e3e8U,     0x2a0f1ce0U, \
    0x30ebb00eU,     0xd1a07a12U,     0x1df78af5U,     0x911abf71U, \
    0xe4b62004U,     0x5ca366deU,     0x2c102877U,     0xfcf52062U, \
    0x2182c1b3U,     0x6faeec61U,     0xcae37226U,     0x09eb4435U, \
    0x5d1e4586U,     0xcb752227U,     0x20085e78U,     0xa0693a52U, \
    0xf75ee3beU,     0x4bf6c684U,     0x6133dcf1U,     0x25fe20b4U, \
    0x06fbb14aU,     0xef17f4c4U,     0x20733ce4U,     0x629a1858U, \
    0x5b9058c7U,     0x5c93fcccU,     0xd33c4854U,     0xe041f65eU, \
    0x4b08d25bU,     0x10762946U,     0xc4e8e705U,     0x92acfa4aU, \
    0x237bab19U,     0xf073d75bU,     0x66db9991U,     0x7ca371b4U, \
    0xdb56555eU,     0xcee5323eU,     0x50c274f5U,     0xed8afe64U, \
    0x9deef1ecU,     0x41085029U,     0xbff385e4U,     0x20589b0cU, \
    0xc4f28660U,     0x8a486ba6U,     0x74a3e01cU,     0x5448d41dU, \
    0x00279a7dU,     0x2a8c1e0aU,     0x777d9510U,     0x2e9be1c5U, \
    0x2d449ceeU,     0x31ff6103U,     0xc49d4eddU,     0x9f8f422cU, \
    0x48ab116dU,     0xae8bd516U,     0xb7ac3855U,     0x08988c40U, \
    0x70c30fd8U,     0xe482a728U,     0xaa4a2f44U,     0xdd638a96U, \
    0xeaa0c1e1U,     0xd7602e1dU,     0xe42dd403U,     0xe2248a6dU, \
    0xc81d20a4U,     0x8679906fU,     0xe00c8616U,     0x971d53ceU, \
    0x54792db0U,     0xfe188e78U,     0x918ff529U,     0x68a4a658U, \
    0x4d2bd311U,     0x38f82e18U,     0xd12a4956U,     0x7d83ab2fU, \
    0xf440a9b7U,     0x9bdda822U,     0xeb2538cfU,     0x0bf53aedU, \
    0xb6cc50a8U,     0xe575dc04U,     0xa0e1c4c3U,     0x676dac91U, \
    0x44428a85U,     0x6d548d60U,     0x14d44c8fU,     0x94848df6U, \
    0xd26ed738U,     0xa1454e4aU,     0x36da59cfU,     0x555bce9cU, \
    0x104ec5f1U,     0x92486fe5U,     0x757fc16cU,     0x6c2d1b34U, \
    0xef42587cU,     0xc290275dU,     0x7cc66b50U,     0xa11ecf3eU, \
    0x15b3bc84U,     0x7572c975U,     0x339e256dU,     0xe4699991U, \
    0x17218ceeU,     0x1ad9f259U,     0x38a74635U,     0x536926d9U, \
    0x1f2fea19U,     0x7f49c23cU,     0xcae7a6f5U,     0x84ecf3eaU, \
    0x46b98326U,     0xea90ee78U,     0x64fc01a7U,     0xee8e7609U, \
    0xfffbfcbdU,     0x98e78682U,     0x19cbf3a3U,     0xcc266faeU, \
    0xd4238426U,     0x2e7a0e67U,     0x4fa02a08U,     0xf0b4f843U, \
    0xf8872fbbU,     0x17950f90U,     0x41b836e9U,     0x26385637U, \
    0x566b265cU,     0xc85dc6cbU,     0x69c11f51U,     0xad126c3dU, \
    0x95ca2c16U,     0xfb679c1fU,     0xf8db16f9U,     0xce9da69fU, \
    0xfe86cf76U,     0x00de74faU,     0xadc5c601U,     0x8375ba53U, \
    0x5477c54cU,     0x363ab214U,     0x1558bff0U,     0xc0ed99c8U, \
    0x5c578dacU,     0xa234bebdU,     0x3d2b6e51U,     0xaf19979aU, \
    0x6464d4e3U,     0x13b5a741U,     0x10500390U,     0xbd72a95dU, \
    0x224e9a2dU,     0x185f4d4dU,     0xcd30d5a7U,     0xfcbb14c1U, \
    0x84f10843U,     0x43aff4edU,     0x7880d888U,     0xf2917181U, \
    0xee8a7db2U,     0x72a914e7U,     0xefc10cd2U,     0x3a7c1101U, \
    0xe6249d36U,     0x367b107dU,     0x04b3c4dfU,     0x117eaed1U, \
    0xf19a1099U,     0x7975ba7eU,     0x623a249fU,     0x6dd2f4f2U, \
    0xaa29feceU,     0xdf145aefU,     0xbf9242bcU,     0x03692dc1U, \
    0x336c8fe1U,     0x49cc83f2U,     0xd7f13456U,     0xef9d2b3dU, \
    0xcd0a7e06U,     0x17809eafU,     0x74323573U,     0x6d2363f4U, \
    0x5969f4a3U,     0x03f42938U,     0x7932b368U,     0x13fb4439U, \
    0x680f281dU,     0x2810a793U,     0x0549f04aU,     0x338c5ce0U, \
    0xf4142d61U,     0x236daa9cU,     0x5bc01acdU,     0x8ef76709U, \
    0x5bea5118U,     0x75d15b76U,     0x1d900263U,     0x36466d08U, \
    0x23353e7bU,     0x60070dbdU,     0xf813cd40U,     0x233158b1U, \
    0xee8b46d8U,     0xec1cdf07U,     0x70728ea2U,     0x32c3b94aU, \
    0x083afb79U,     0x34e2f6b0U,     0x516e743aU,     0x8b2640f5U, \
    0xcfcaa1dbU,     0x8b905234U,     0x7a3a9e61U,     0x94e179e0U, \
    0x2c548860U,     0x8ca2291bU,     0x383869f2U,     0x92cfeb73U, \
    0x828f2080U,     0x3c01aab7U,     0xde3cf4a5U,     0x4a20e962U, \
    0xe16f096fU,     0xa0f92a14U,     0x539c6a7dU,     0xd5dcffaaU, \
    0x8ab69a9aU,     0x7419ac07U,     0x34f4e5b0U,     0xc39fb9ddU, \
    0x9ef099d4U,     0xf12dc171U,     0x8feef703U,     0x78d58306U, \
    0x39070ab7U,     0x448527e1U,     0xeb0c4c58U,     0x5ffc8914U, \
    0x75508d4eU,     0xbde49091U,     0xbdceada7U,     0x9d1438ceU, \
    0xd669cc64U,     0xdb282f31U,     0xf06a8749U,     0xc4d69ad1U, \
    0x144b1df7U,     0xb6dfe5d5U,     0x5f4cd1ffU,     0xf807ce68U, \
    0xbffa58deU,     0xf5e39a55U,     0xbaab13d0U,     0x88808d5cU, \
    0x37b610dfU,     0x09d79256U,     0x53745d1cU,     0x91fecc58U, \
    0x0a62d41bU,     0xf80c650eU,     0xe933f91dU,     0x9fd130ecU, \
    0xf61a5908U,     0xa984e25fU,     0x147558abU,     0x66d0a75eU, \
    0xe5938d1cU,     0xd990774dU,     0x5f15ab2cU,     0xb6313fe3U, \
    0xa89b4eb9U,     0x3f408cf8U,     0xe9128257U,     0x67fa3e4bU, \
    0xb124b72aU,     0x260a4dadU,     0x4f02be76U,     0xdbf97982U, \
    0x9f29ffd0U,     0x90e5bd66U,     0x1f7103b4U,     0x31abf4feU, \
    0xd207c73eU,     0xeeaa7374U,     0x468a45d2U,     0xc1f02576U, \
    0x195c6d3cU,     0xbfe2037eU,     0xedd79e94U,     0xed73b7a9U, \
    0xb0ea42f7U,     0x813ea752U,     0xd63e4e83U,     0x41b8bd20U, \
    0xfb76939eU,     0x921910bbU,     0x23aeb9b6U,     0x09756f46U, \
    0x433d0722U,     0x1d0ecb34U,     0x5426d299U,     0x797c93e2U, \
    0xcefb9c8aU,     0x76132bbcU,     0xec7d4312U,     0xaf3d754aU, \
    0xd0e38e2fU,     0x8962d621U,     0xcc6a05cbU,     0xf3ddc424U, \
    0x26f05804U,     0xfbe7dda0U,     0x151b9b98U,     0x3f2f6c7dU, \
    0x2440bd1dU,     0x3a414713U,     0x53ec0aeeU,     0x06cb2028U, \
    0x8eb0ab8bU,     0x7763e168U,     0x5da0bf46U,     0xe206145cU, \
    0x3878c004U,     0xb3f5465fU,     0x4f6ae2ccU,     0x09048955U, \
    0x341d0f60U,     0x4b461323U,     0x7abb523dU,     0x13be9c8aU, \
    0x57c2839bU,     0x4aa69ad1U,     0xdb96ad51U,     0x42440b53U, \
    0xa038c541U,     0xaea437e0U,     0x22048a0fU,     0x91118890U, \
    0xcff7234eU,     0x95bc4b46U,     0x6ff49133U,     0xfd69d15aU, \
    0xa4be191fU,     0x6071eb9aU,     0x124de349U,     0x9b39f2d4U, \
    0xd6e17e43U,     0xc5b2ab01U,     0xe835229cU,     0x6ed91eb9U, \
    0x3aa08665U,     0xcb9eec40U,     0x5106ebe9U,     0x3481b07eU, \
    0x72f49ab3U,     0xa0deea8fU,     0x0108193cU,     0xcb7330a5U, \
    0xbe297ca7U,     0x8d4113efU,     0xc783e3baU,     0xd5b4cf25U, \
    0xeba22148U,     0x660d63cdU,     0x5ba24261U,     0x19f0b6d8U, \
    0x2a4f9e55U,     0xc242e01aU,     0x324d37beU,     0xc7345c02U, \
    0x56bc672aU,     0xf0f96172U,     0x9edb3193U,     0x128c0b50U, \
    0x46202c0fU,     0x9c2641a8U,     0x2612b7abU,     0x4b596e3dU, \
    0xc97f4e68U,     0xa9c65c7fU,     0xeb72d711U,     0x3832a02bU, \
    0xacc985b7U,     0x3bcd1c6eU,     0x9f0dc8cdU,     0xbc9edf69U, \
    0x04c48dc4U,     0xc1b20fbeU,     0x5f65712cU,     0xcfe2c36aU, \
    0x12e73bc9U,     0x87222527U,     0xd5bb6266U,     0x79313590U, \
    0x5594aa01U,     0x4e19ce58U,     0xf1ebeb2cU,     0x21147b19U, \
    0xfcf9dc61U,     0xaac5b550U,     0xae528e7cU,     0xa86263a5U, \
    0xe6bef28aU,     0xea51b76cU,     0x319481f5U,     0xbcb212dfU, \
    0xa1c88671U,     0xeb8cabc9U,     0xf07b3c22U,     0x6c7a9a75U, \
    0x874b3f44U,     0xdd94b005U,     0x8a4d4d2cU,     0xfedcbafdU, \
    0x7da7cc11U,     0x1a1a509dU,     0x59a7a132U,     0xe81c529eU, \
    0x8b05900fU,     0xc27bb31fU,     0x6115ce6eU,     0x12b4b322U, \
    0x3f68fa03U,     0x40d1151aU,     0x41e5629dU,     0xf51ed228U, \
    0x53387b61U,     0x70c6c575U,     0x54b82157U,     0x1bfeb1c7U, \
    0x3a5a1ff8U,     0x809f9d79U,     0x329a545dU,     0xc7566fdaU, \
    0xdf317843U,     0x7030aaa0U,     0x551820c7U,     0x5dc319c3U, \
    0xc16418d7U,     0xb52188b9U,     0x26387562U,     0x7ca97864U, \
    0xfaf1e20fU,     0xcbb6a4bcU,     0x0f538dd6U,     0x3c60d0beU, \
    0x8d4deb4bU,     0x7c91fc57U,     0xfbe267f5U,     0x7bb123d7U, \
    0x9b84372dU,     0xfab9c10dU,     0x04fbeba6U,     0xca4224acU, \
    0x61422d11U,     0xbac26180U,     0xb65eab40U,     0xde039e9cU, \
    0xb27556e0U,     0x656369e2U,     0x05e8a019U,     0xde411744U, \
    0x5fdf5a76U,     0x5a7080c7U,     0xf246e3c5U,     0xacb5dcffU, \
    0x875b88acU,     0x1b537c0aU,     0x2b80595dU,     0x2418d805U, \
    0x4fa1e05dU,     0xf09cefdeU,     0x4128f090U,     0x6329c6a0U, \
    0x47b10c7dU,     0x75b9ba75U,     0xb65b1f53U,     0xc4625272U, \
    0xc7a3a74bU,     0x10a56d0eU,     0xe8be6d23U,     0x017b8addU, \
    0xc2d6a56cU,     0x35bcc1edU,     0x7b7fc5c1U,     0x53cd2eb5U, \
    0x349ad63fU,     0xa43351a8U,     0x57b87fe8U,     0xd5c28c8aU, \
    0x79239c86U,     0x1887c299U,     0xdd718a61U,     0x8365390fU, \
    0xa3197082U,     0x0a4b1d23U,     0x577e19d7U,     0x8ab68efcU, \
    0xe6fc6a63U,     0xd4d234f3U,     0xe14c9bacU,     0x9f3d35e8U, \
    0x5bfe2d63U,     0x4d684dadU,     0x02241f5eU,     0x36ae9669U, \
    0x42f2bee5U,     0x1865ab7bU,     0x6d02bea8U,     0x3d61b97fU, \
    0x82da999aU,     0x02812215U,     0x0e7a4fbaU,     0x10019d11U, \
    0xdf52941eU,     0xd5b87807U,     0xab502354U,     0x1da70e3bU, \
    0x49e2b71eU,     0x9483d685U,     0x50795f7dU,     0x6e6ef4a5U, \
    0x249f39faU,     0x48e467afU,     0x3ee95d94U,     0x99c32ca0U, \
    0x732cf530U,     0xa0b61087U,     0x68716e53U,     0xe67a11abU, \
    0x5efc970eU,     0x23d0a8faU,     0x767eb4aaU,     0x420edfe2U, \
    0x42c8b910U,     0x306fb8d7U,     0x977b16feU,     0x7088692eU, \
    0xf3dbdf9aU,     0x15da45deU,     0x1c938e21U,     0xba1c2c21U, \
    0x5fee6704U,     0x54f793baU,     0xeba75a19U,     0xcace092dU, \
    0xe7be412eU,     0x48a5d380U,     0x0c90a3e0U,     0xefa18d8dU, \
    0x29fbef12U,     0x0e30bb9bU,     0x09adcf6fU,     0x43353e05U, \
    0x13dc92a0U,     0xe6b764a8U,     0x30fa27ccU,     0xd78e4d7dU, \
    0x983e7ce3U,     0x359366d0U,     0x0fa86fb4U,     0x2cc3d4cfU, \
    0xe957fb71U,     0x14623d1bU,     0xc9b0f62cU,     0x2f8eac92U, \
    0xd79b0816U,     0x68c8b3e6U,     0x67454bf0U,     0xc7fb8b97U, \
    0xe123c7f0U,     0x06aee7c4U,     0x40a50960U,     0x5526e984U, \
    0x67e35512U,     0xf5853118U,     0x5afae169U,     0x8c7c8784U, \
    0x9e51e31aU,     0x83c8d488U,     0xe8fed88aU,     0x2a10e358U, \
    0x7a8272b4U,     0xc4aaa203U,     0xe6b96fadU,     0x6dbdcf71U, \
    0xd0a3d166U,     0xb910d0dcU,     0xe9d85172U,     0x93c3c92bU, \
    0x93819693U,     0x8648d4f1U,     0x41c3e52aU,     0x89acd65eU, \
    0xd4be22adU,     0x824c8211U,     0xa8830764U,     0xb845e4b9U, \
    0x1d9fb323U,     0x2c01183eU,     0x44f7d578U,     0x0af66892U, \
    0xe9a8a7f6U,     0x4c026c31U,     0x4ed4f67fU,     0x9ec61fafU, \
    0x45a0ba5aU,     0x05cc75feU,     0xbb81c7eeU,     0x12ed5088U, \
    0xebf72446U,     0x68326735U,     0x6f549d1dU,     0xac594b75U, \
    0xb90cedc4U,     0x54c893a7U,     0x66dc5629U,     0xc90b6dfaU, \
    0x97f16033U,     0xd79a9972U,     0xbfba961cU,     0xab8d1814U, \
    0x18d19cbeU,     0x2888da2aU,     0x28d517a1U,     0xa8543da8U, \
    0x10bd457fU,     0x676ba095U,     0x601f98a6U,     0x59bdb5bdU, \
    0xc3a202ffU,     0x4e80fe65U,     0x0439c850U,     0x074a116aU, \
    0x0a767f33U,     0x9740a046U,     0x8b31b977U,     0xc7ea41afU, \
    0x1bfd7ffcU,     0x09d9e373U,     0xbaf107bdU,     0x407c4e2eU, \
    0xc3710d34U,     0x3bcf83afU,     0xa9ac95feU,     0x0ad50d04U, \
    0x00a6ea98U,     0x7973ff46U,     0x2e76c79aU,     0xc9cc35e2U, \
    0xf0134509U,     0xaa12fe51U,     0xd4bd2933U,     0x3a3c8f93U, \
    0xd45fb73fU,     0x4f2b79f5U,     0x21077aa7U,     0x180ff4d4U, \
    0x833d74b6U,     0x2ddfa2d7U,     0xce18db2fU,     0x4776d292U, \
    0x255d4a9eU,     0xbca38f70U,     0x95de3830U,     0xe09fd0b9U, \
    0xd63255d1U,     0x20583c64U,     0x48af1c26U,     0x70502f26U, \
    0x92e9ce65U,     0x5f4a8a51U,     0x3bf606b5U,     0xe4720845U, \
    0x53df9d2fU,     0xebc26755U,     0xd6b6c730U,     0xe01c6101U, \
    0x8c0a79beU,     0x32a8f3aaU,     0x677f32cbU,     0x0162966eU, \
    0x48a1282fU,     0xb9054995U,     0x3ae739c9U,     0xa52cc328U, \
    0x12cd30f3U,     0x79422937U,     0xd0b91220U,     0xe074a4afU, \
    0x5f6c6bf5U,     0xbf0a075fU,     0xf97c6b1cU,     0xa377a276U, \
    0x369b3249U,     0x2b750962U,     0x517cdedcU,     0xbdccb597U, \
    0x607e54b2U,     0xec2531f1U,     0x199cc258U,     0xfc26cb38U, \
    0x48164db7U,     0x90646cb9U,     0x8fd42ef0U,     0x8d3bd26eU, \
    0xbe1068bbU,     0x088967bbU,     0x8d6c583bU,     0xd5dd3280U, \
    0x39c54fbfU,     0xa1140313U,     0x058fbe53U,     0xe8213679U, \
    0x76f4e26bU,     0x39183518U,     0xe9f2a16fU,     0x06e54770U, \
    0x1cbe6bc0U,     0x1be811cfU,     0x83168cc1U,     0x77167373U, \
    0x48babc5cU,     0x6c4ed4e7U,     0xa6b69c10U,     0xae424a49U, \
    0x8ffed82dU,     0xbeea8634U,     0xa1cc1858U,     0xf484a812U, \
    0x02019758U,     0x5ed4463cU,     0xd995cc5eU,     0x0a6ac902U, \
    0x8a5e8c03U,     0x0c220a07U,     0x19ce9e48U,     0x0edc8a4fU, \
    0xe569d0ecU,     0x5146ab81U,     0x610aab33U,     0x480d89a4U, \
    0x6bc1bb3aU,     0x490e660eU,     0x3e7448d3U,     0x31852773U, \
    0x8cee8547U,     0xb41feb75U,     0x0118af7bU,     0xf9b93476U, \
    0x6f373b94U,     0xcbd02558U,     0x3954eb5dU,     0x8cd42925U, \
    0xd5cbffecU,     0xac7f85c5U,     0x40784f93U,     0xfeb47b37U, \
    0xb5e838c4U,     0x51b61cf8U,     0x76dc8e25U,     0xf5246386U, \
    0x7f65f19aU,     0xf6def845U,     0x2ecd0f44U,     0x7bfef3d2U, \
    0x8a754178U,     0xec1adb82U,     0xd036f0adU,     0x9d417d4fU, \
    0x5856b8acU,     0x023dda22U,     0xfabef442U,     0x6c4e544fU, \
    0x7d8521e4U,     0x1174c863U,     0x06c1d794U,     0x8e4ef7e2U, \
    0x5bf625b2U,     0x38d373cdU,     0xfd3f92d5U,     0xcbcd4c5fU, \
    0xe133dba7U,     0xe36b6e5dU,     0xc071d368U,     0x40680893U, \
    0x41a076feU,     0x899126a6U,     0x181608ebU,     0x845a16a7U, \
    0x76e24e2fU,     0x8b379a27U,     0xd0b94515U,     0x372df903U, \
    0x64af6ba6U,     0x7da93718U,     0x81896a88U,     0x6fd5576fU, \
    0x7c9e6813U,     0xb4c21ecfU,     0x589dcd97U,     0x07ee8893U, \
    0x25b532beU,     0xc08c9d72U,     0xa0f79988U,     0xd41de206U, \
    0x00c906c7U,     0xb5c7982eU,     0x15d23493U,     0xfc61eb96U, \
    0xdf27c878U,     0x73780c5fU,     0x719b4aadU,     0x8d3dcfa7U, \
    0x337dff7dU,     0xdfefd2dbU,     0x3bcea7e8U,     0x185f6d77U, \
    0xe19ed7c3U,     0x836ea069U,     0xc556e227U,     0x446819afU, \
    0x11e2722aU,     0xb6bc1af3U,     0xda5c48faU,     0xe36ff0faU, \
    0xb869b642U,     0xf4345eafU,     0x1807404eU,     0x5960c77cU, \
    0xdeddfecbU,     0xb1eac256U,     0x8ceefdd2U,     0xc48fb414U, \
    0xecb91b18U,     0xa41d9c59U,     0xff965f2fU,     0x64e5d2fcU, \
    0x9b22729eU,     0xe15dcdeaU,     0x06f7d312U,     0xae95f319U, \
    0x418d2abeU,     0xc06e1d11U,     0xd9bcf64fU,     0x8973fa10U, \
    0x4ff00e9dU,     0xdb5f32eeU,     0x8bd9ae01U,     0x6ad61e21U, \
    0x8f5a4118U,     0xa2870003U,     0xece1f81eU,     0xc13bfb9bU, \
    0x2a633f49U,     0x03cb9409U,     0x7887c265U,     0x5a1ea964U, \
    0xc650cc69U,     0x2c7b9d0dU,     0x64e8e833U,     0x6d891bc8U, \
    0x74d6976cU,     0x901be664U,     0x52e78483U,     0x14dce235U, \
    0x5cacecb9U,     0xc8de041eU,     0x90eac26eU,     0xcb36a858U, \
    0x7efc678fU,     0xb87c197bU,     0x2ff88081U,     0x1ae528c8U, \
    0x6c6bf3b3U,     0x7ed7f4b5U,     0x74e1f58cU,     0xaad37671U, \
    0x772c930aU,     0x5b27a464U,     0xefa4c32cU,     0x70e2e756U, \
    0x131c2babU,     0x37aacc72U,     0x26c854afU,     0xea911ad9U, \
    0x67a308edU,     0x04c8aebfU,     0x8e079fc0U,     0xb6aa3f58U, \
    0xf26ea24cU,     0x2d2de2adU,     0x4d66bf4dU,     0x215ccce6U, \
    0xdb233842U,     0x27fabf7eU,     0x728c0037U,     0xabbe813cU, \
    0x2169ec8fU,     0xd0715d5cU,     0xd0d01221U,     0x274a41ecU, \
    0xd88b69f6U,     0x4857aa69U,     0x7d8ce623U,     0x277158e2U, \
    0x5bb72767U,     0x41a5ffbbU,     0x074f3995U,     0x4f934b1dU, \
    0xdf89bd0eU,     0x945e5fb2U,     0x3a3dfc72U,     0x9e417bcfU, \
    0x1bda41c9U,     0xce4c527bU,     0x6de522bcU,     0x2dc582f4U, \
    0xa61f7e07U,     0x7502f79dU,     0xb1e2e183U,     0xa82891d4U, \
    0x763378d3U,     0xe3e249c1U,     0x7fce7167U,     0x061a4316U, \
    0x55629c5fU,     0xec4adf21U,     0x71ed8aa1U,     0x66a49ce5U, \
    0x758a0885U,     0xc0552e99U,     0x2a27b835U,     0x338e9a58U, \
    0x5c3c8266U,     0xa5464708U,     0xc24460eaU,     0xbaf1763dU, \
    0xbb3937efU,     0xacb20349U,     0x111fec7fU,     0x89c0ecacU, \
    0x31958372U,     0x1dc810a7U,     0xafc28a67U,     0x7962e497U, \
    0xa57f19ccU,     0x786c2749U,     0x49a2df0fU,     0x0c975913U, \
    0xee35fa8fU,     0xdd8a9b54U,     0x36f78b0fU,     0x4c91ef04U, \
    0x30e16f44U,     0xd12e4418U,     0x2e64516cU,     0x192db506U, \
    0x6f46202dU,     0x30bbbd8cU,     0xf9c82c62U,     0xbd07cf10U, \
    0xd4ac242aU,     0x65ec2877U,     0xc0d0d743U,     0x1085c156U, \
    0xa735c0d5U,     0xcb3ea0d0U,     0x4c98fb1aU,     0xc0590ae1U, \
    0xe28b0d8fU,     0x0281e5f0U,     0x5a9fda73U,     0x42d07cddU, \
    0xdd0eb85bU,     0x651510b3U,     0x54a9793eU,     0x06b92984U, \
    0xb002c888U,     0x6613f427U,     0x197947d2U,     0x38171631U, \
    0xfb07f719U,     0x775786c0U,     0xd83d8632U,     0xb543bd7dU, \
    0x64f2db5aU,     0x2ca044b8U,     0x6dbf9190U,     0x13ad8d6fU, \
    0xeb4d18a0U,     0x857ca160U,     0xd553556fU,     0xd4aa5442U, \
    0x39f3a30aU,     0xb5d9e0f1U,     0x92064e78U,     0x00867f6bU, \
    0x5be9e38aU,     0x38347465U,     0xe288543eU,     0x79612ef3U, \
    0xfa840aeaU,     0xc783825dU,     0x318fc90bU,     0xbc051884U, \
    0x16f4f962U,     0x2d968378U,     0xd1fa6550U,     0x7c004740U, \
    0x2f6af27dU,     0x575eec4bU,     0xffe5f032U,     0x9e2e10edU, \
    0x6075aeb8U,     0x99268ee7U,     0x7cf3092cU,     0x6328e607U, \
    0xf76602ffU,     0xf3db5a9eU,     0x1805ecdaU,     0xef940729U, \
    0x4674aa1bU,     0xcd88a845U,     0xfd2de54bU,     0x8f888dd3U, \
    0x3a79984eU,     0xf484b3d9U,     0xed002d62U,     0xeca8bc72U, \
    0x674ca71eU,     0x23f15ccaU,     0xd983e84bU,     0x46bc32e0U, \
    0x73c008f0U,     0x43b55c35U,     0x8285e562U,     0x4cdd6ef5U, \
    0x7b7106d0U,     0x5cb76f13U,     0xa517ba56U,     0x7a08e58dU, \
    0x5a4eb200U,     0x1040adfcU,     0xc2bbffe9U,     0x013b130cU, \
    0xdcaf336eU,     0xffff7a92U,     0x2b582641U,     0xe6585bfaU, \
    0x17c8e383U,     0xa71e2b3eU,     0x8c76b46bU,     0xa4aa9941U, \
    0x6689c90eU,     0x0be14595U,     0x29d9ef4cU,     0xc67aa0b3U, \
    0x1a4791cfU,     0x67d34f64U,     0x6f8596a4U,     0x651d1348U, \
    0x75395149U,     0x4606b8d5U,     0xeff4e181U,     0x75bba2bcU, \
    0xa32a7b0dU,     0x69faff0cU,     0x0ef96ed9U,     0x842994abU, \
    0x7f401e6aU,     0x8c04659bU,     0xc974d5bfU,     0xc4d18402U, \
    0x703b5fccU,     0xd7161a9dU,     0x4a7ec39fU,     0x73ba868eU, \
    0x61cf8f63U,     0x8b9fb1b6U,     0x1887879cU,     0xc9304e1eU, \
    0x24ede991U,     0x63f8928cU,     0x450e5c39U,     0xbdc1373fU, \
    0xd3ec6fcfU,     0x131521c8U,     0x3f619b7eU,     0xf56d1c77U, \
    0xa580b1f8U,     0xaba5628fU,     0x06f24079U,     0x8ac0a179U, \
    0x52d4764bU,     0x7aff05c1U,     0x5d746537U,     0xd790ddfaU, \
    0xf96a8c60U,     0x511c2547U,     0x92c40444U,     0x30d79ff1U, \
    0xdf4228e0U,     0x78dae65eU,     0x037252e3U,     0xef9621abU, \
    0xaafb5ba2U,     0xb7c4d19eU,     0xe6a80ed5U,     0xf19a12c6U, \
    0x1c901269U,     0xc735c9cfU,     0xf5620c86U,     0x4e6ad0abU, \
    0x3438c1b3U,     0x50ddfb3cU,     0xf31cf510U,     0x3fa7aec4U, \
    0x4e3b2142U,     0xe9c9b44bU,     0xada556b6U,     0x93cc8a4eU, \
    0xed9d0e95U,     0xe8777c04U,     0xf71436ceU,     0x805c36e4U, \
    0xc1970ba9U,     0xb6090b41U,     0xab718050U,     0x95112ba8U, \
    0x2bf0c65eU,     0xe350e453U,     0xdb90b1c4U,     0xdd083382U, \
    0x1594a8acU,     0xfabcba22U,     0x41725e48U,     0x91e48e37U, \
    0x65b58e8cU,     0x7fe0a6edU,     0x557d3277U,     0x1018192aU, \
    0x56486b20U,     0x6c1e52ebU,     0x3b63f812U,     0xcb90c30dU, \
    0x5e97e978U,     0x0240c016U,     0x7521cdacU,     0xa83ba12aU, \
    0x3cc6e13eU,     0xfe8536b4U,     0x55b607b3U,     0xc1949028U, \
    0x45d44733U,     0x12991a3aU,     0x5aebf694U,     0xc8316e24U, \
    0x3d1af713U,     0xb955f1eeU,     0x2a8d4ffcU,     0x1c04cdf7U, \
    0xc42dabb5U,     0xcc31c63aU,     0xef6f7104U,     0x7a96faeeU, \
    0xa5a13667U,     0x9baf1874U,     0x429aaf69U,     0x68e99a96U, \
    0x1bda5d6eU,     0x767c452dU,     0xa33a58deU,     0x77db868dU, \
    0x9bcbc233U,     0xa1828b1bU,     0xb4ede36cU,     0x3d9d0633U, \
    0xe139f12bU,     0x8015c34eU,     0x67809689U,     0x9a5cf899U, \
    0x29d703caU,     0xe11b294dU,     0x26e54d45U,     0xcbe581d0U, \
    0x24eaf97bU,     0x27e20fadU,     0x6c17e1c8U,     0x38632274U, \
    0xf53cb66eU,     0x53d64981U,     0x2d1def2bU,     0xb7f8da0bU, \
    0x797e2ac1U,     0x79d53826U,     0x3974d7d4U,     0x8c340da0U, \
    0xd7840801U,     0x194c15a6U,     0x314e9610U,     0x14b906ecU, \
    0x54e014ceU,     0x3291a390U,     0x2494923bU,     0xd3826266U, \
    0x3cbc3314U,     0x42858fddU,     0x8aeb9f4fU,     0xa3b726c0U, \
    0x6f506834U,     0xecd2d9a4U,     0xf231b4ecU,     0xafcc3658U, \
    0x8f622aceU,     0x6360a4c7U,     0xbf5b28e0U,     0x43db8f86U, \
    0x9da5fa49U,     0x4121a334U,     0xdb7f0baaU,     0x1fb85781U, \
    0x9cadf1eaU,     0x0b0548e1U,     0xe1246bd2U,     0xea71c09cU, \
    0xa822d867U,     0x8b03a93dU,     0x3b7b408fU,     0x74a52b77U, \
    0xdd7d3462U,     0x25f0c81fU,     0xbd414d34U,     0x9a15d72cU, \
    0x848d1e4fU,     0x45044bc0U,     0x3bd21450U,     0xba3a7df6U, \
    0x97c0ce1eU,     0xcaf0a9b1U,     0x3759689aU,     0x48fb08caU, \
    0xb499b5c1U,     0x9d8429c3U,     0x96a4657dU,     0x10101056U, \
    0x9e73f657U,     0xe095e80aU,     0x403b9ec8U,     0xf02659b8U, \
    0x6ae06d44U,     0xb7f99424U,     0x3bd26a6eU,     0xe5648fd0U, \
    0x4b07ccf5U,     0xa2296650U,     0x54e4a44dU,     0x98c9bb79U, \
    0xb01c8957U,     0x47c43d66U,     0x3442e63bU,     0x2e669418U, \
    0x4cbf5915U,     0x809902a2U,     0x6a568717U,     0x09c144efU, \
    0x9e682c9aU,     0xfcaaf7a1U,     0xe6939683U,     0xe48a141cU, \
    0x8c8fba2cU,     0xb25f98f6U,     0x931cb9a7U,     0xb1571deeU, \
    0x135570c1U,     0xe60d292dU,     0x18293f44U,     0xe279beddU, \
    0xc75a0012U,     0xac8380feU,     0xbdcad365U,     0xb169e363U, \
    0x5cebff2fU,     0x7657b769U,     0x57f5d9d8U,     0x78119cb5U, \
    0xa14c44e0U,     0x78dec09aU,     0x03b8916dU,     0xf838f26eU, \
    0x3ef27c95U,     0x6f11ce43U,     0xa8e8533eU,     0x0c47cd11U, \
    0x7c019757U,     0xdab897a2U,     0xb95718afU,     0xfd651399U, \
    0x29e99c9eU,     0xab3d4fb4U,     0xe0812206U,     0x5cea7605U, \
    0x0cb71c22U,     0xcd2d32efU,     0x91a4542bU,     0x7e43aeccU, \
    0xc375f66fU,     0x63496f58U,     0x8ee126c1U,     0x1f4a25cfU, \
    0x7b081056U,     0x8a65faa2U,     0xb1733f09U,     0xb986fa6cU, \
    0x5bffd14dU,     0x23459d32U,     0x4a851c64U,     0x489a28e3U, \
    0x8787e572U,     0xd5e14ee3U,     0xb64fd005U,     0x64dbaf2bU, \
    0x8ed753f4U,     0xa7b4f236U,     0xe47d3767U,     0xe1665427U, \
    0x6343dc03U,     0xfb83f5aeU,     0xd9f4ad22U,     0xc802bb6cU, \
    0xcf112dcbU,     0xa49967ddU,     0x2b12ddc0U,     0x28447bf2U, \
    0xf6c5322bU,     0x2c8ce77eU,     0x65f9e2dbU,     0xd01a6961U, \
    0x7f17696bU,     0x3e4738d2U,     0x6655a916U,     0x49cfbc4bU, \
    0x2a1735e7U,     0x7d82bdc3U,     0xd68c3991U,     0x723e04d7U, \
    0x303b191bU,     0xa3ae8110U,     0x9bb6194fU,     0xf58906c1U, \
    0x4f96f493U,     0xc82b6754U,     0x05d4fb77U,     0x60710919U, \
    0x6429677cU,     0x054c722aU,     0x52be7507U,     0xdc04e420U, \
    0x9917478aU,     0x80438b4bU,     0x48eb29faU,     0x32edc3eeU, \
    0x00dacb7cU,     0x6575fb4dU,     0x0ee63a9cU,     0x769fd3baU, \
    0x92154c59U,     0xe17d16edU,     0x38f5c72bU,     0x8756ca89U, \
    0x7d824bb6U,     0x0246ede6U,     0x17c3822bU,     0x22dcdb0eU, \
    0x663cef7bU,     0x69afb0baU,     0x5b079081U,     0xc99c9c80U, \
    0x36234100U,     0x1d92d100U,     0xb5570b68U,     0xbe238756U, \
    0x8eac78e6U,     0x016823ceU,     0x1a370330U,     0xb418327fU, \
    0xdf6bbdb3U,     0xc0ab240fU,     0x5cb34e39U,     0x9bb256aaU, \
    0xd44ee126U,     0xcd72f782U,     0xf6f98626U,     0x35a89ecdU, \
    0x1c5fd468U,     0x941ae16cU,     0x5e310317U,     0x520c4b9dU, \
    0xa982ded9U,     0x5760b6d0U,     0x83e9170eU,     0x71589cc7U, \
    0x6059c846U,     0xd4f484f9U,     0x93afd3daU,     0x43ad4b2dU, \
    0x2691f3cbU,     0x1ee6e245U,     0x028c0a31U,     0x71999976U, \
    0x9c5c57e2U,     0x2c46f493U,     0x85b843c3U,     0x8becf738U, \
    0xe54b9fdaU,     0x18c22babU,     0x1cbd9802U,     0x0df88bf3U, \
    0xc2b9f49aU,     0xdef4ca2fU,     0xd78fd098U,     0x4e9d11c0U, \
    0xbcfb6175U,     0xb73cda10U,     0x1934e53aU,     0x687a91bbU, \
    0x58d6f545U,     0x2ba30013U,     0x701bf40fU,     0x2b8a94f5U, \
    0xfd6964f4U,     0x40a60ea8U,     0x87862bdcU,     0xdf967f25U, \
    0xd234260cU,     0xeca39893U,     0xb697103eU,     0x0919157aU, \
    0x7aec980bU,     0x298715a3U,     0x859fde85U,     0x7b355349U, \
    0x882129f1U,     0xe5605ed6U,     0xa0e3f44fU,     0xb4c82d9fU, \
    0xb93aefbfU,     0x233c6758U,     0x18b92aedU,     0x8a5f93acU, \
    0x5a476fdbU,     0x0b7800c5U,     0x300560f8U,     0x50be1f44U, \
    0xc7967c1eU,     0xd0b129c1U,     0x94a8fe90U,     0xa7abb222U, \
    0xcc4ad4cdU,     0x4bad7872U,     0x6a3bde3bU,     0xca15c92bU, \
    0xa2071f0eU,     0x60d7284aU,     0x16f640c4U,     0x4dac704aU, \
    0x0d2d3e64U,     0xf6accbd3U,     0x5d1a3d7fU,     0x45baed36U, \
    0x89e1ff7cU,     0xfbf6004aU,     0x2c294705U,     0x7deb1b17U, \
    0xa45d4ad6U,     0x2bd62b24U,     0x1be5e025U,     0xaf4c2ba2U, \
    0xa4555535U,     0xc12db0dfU,     0xc97d8bbbU,     0xfd75e960U, \
    0x391411d9U,     0x9fbdbf8bU,     0x692bdeebU,     0x05d7743cU, \
    0x99dadaa8U,     0xf499ee98U,     0x511b7722U,     0xd718057bU, \
    0x6a8f5b4cU,     0x7b80cee8U,     0xdd19e56bU,     0x5b438c96U, \
    0x8ee62039U,     0x77945bcfU,     0x3cf07fcfU,     0x9d0f2ebcU, \
    0x32f92a88U,     0x4deb8cf6U,     0xb605f331U,     0x9f7859b7U, \
    0xd19a25e8U,     0xd380f300U,     0x7731cb16U,     0x805bbcdeU, \
    0xd80d8e2aU,     0x13f52c3aU,     0xae33de74U,     0x1c4c05f5U, \
    0xc4af86c4U,     0x7d942700U,     0xa302aef1U,     0xa38d076eU, \
    0x2f59fa3eU,     0x1cd83babU,     0xf80ae9ffU,     0x7cd5c984U, \
    0x72d512f0U,     0x6e705e52U,     0x7f893442U,     0xd9d701cfU, \
    0xfd0ad858U,     0x6c84ccd1U,     0xd0cb2469U,     0x8e5f08b1U, \
    0x298ad294U,     0xa6514ec3U,     0x218e2d12U,     0x86d5c4efU, \
    0x60db3940U,     0xf091fc2aU,     0x4c13f506U,     0x179476baU, \
    0x6836c271U,     0xd97dae8fU,     0x026a2125U,     0xcddfdd25U, \
    0xc12c831eU,     0x7c1f65a8U,     0xb110ce2dU,     0x07da7b14U, \
    0x6c925bf8U,     0x172e7c8cU,     0x1fe87220U,     0x6325b3d1U, \
    0x8f19341fU,     0xcb88eafcU,     0xb5009a8aU,     0x436d0888U, \
    0x36fb4b6eU,     0x47f4ab66U,     0x2ab09609U,     0xcfc8b342U, \
    0x487be3f7U,     0x07dd96a4U,     0x9a71b378U,     0xb58c4ff6U, \
    0x25ff3ebbU,     0xa34f3f52U,     0x0e70a6b8U,     0xad210ffbU, \
    0xe77de8e7U,     0x6c12a7c4U,     0x5193d5d9U,     0x9832ba4dU, \
    0x51fed8c7U,     0x68d43f24U,     0x32d62d8cU,     0xc7767b67U, \
    0x16b61192U,     0x9047ea37U,     0x42b380dcU,     0x61ab8146U, \
    0x3643ed81U,     0x9d5d2754U,     0x3d85188bU,     0xaaccce1bU, \
    0x3e7b8668U,     0xca0f4facU,     0x8e7e6f88U,     0x7dd7e8c1U, \
    0x32c573b7U,     0x404e5f5eU,     0x553f8478U,     0xdb2331d4U, \
    0xed408f9eU,     0x1816c76bU,     0x5eb5ff19U,     0x3bd66d11U, \
    0x50abb11eU,     0x31740b0dU,     0x6cbf7bb8U,     0xc16e55a1U, \
    0xc3bef59fU,     0x1495a10bU,     0x63c28e45U,     0x0750e281U, \
    0x1748d368U,     0x12216f03U,     0x0a02d61dU,     0xa7bc2642U, \
    0x2ef85771U,     0x171d52aaU,     0xec58c838U,     0x23a7af7eU, \
    0x0dc659ccU,     0x6086c0b1U,     0x190f54e1U,     0x377b4125U, \
    0xbe3dc94dU,     0xd1fb3d07U,     0x6a0b58f5U,     0x255774edU, \
    0x40c92332U,     0x30e80d3fU,     0xa92142ecU,     0x143b4c23U, \
    0x61fead42U,     0x4f7b75eeU,     0x78979e00U,     0xfaba80cbU, \
    0x7ef20e2aU,     0x4c30570aU,     0xe29bf788U,     0x3cc4a896U, \
    0x56898479U,     0x60307252U,     0x2dc51b99U,     0x168c98c8U, \
    0xeb1f331aU,     0x4f6cef62U,     0x8775fa14U,     0x9d8b32bdU, \
    0xd4ee7440U,     0x18d1abe0U,     0x91b195a7U,     0x919db3e0U, \
    0x7288c7ddU,     0x9191192bU,     0x8b0b5169U,     0x7e2f394eU, \
    0x1dd97647U,     0x743c5b3fU,     0xb422454dU,     0xb7cc1aacU, \
    0x0c357014U,     0xac6e7cb3U,     0x48891b44U,     0xfd885b5eU, \
    0x65df766bU,     0x4b841d69U,     0x239a481dU,     0xb56e96bdU, \
    0xa56b5e80U,     0xe44a4b5bU,     0xa1de6fffU,     0xe14ea100U, \
    0xe5f41cd8U,     0x012093d5U,     0xa0999e75U,     0x66ee8462U, \
    0xb534b282U,     0xf2340f8fU,     0x063d0486U,     0xfe01de01U, \
    0x22a806f6U,     0x3d2598e6U,     0x19272736U,     0xed3c8763U, \
    0x5711857cU,     0x8684bbf2U,     0xf544ee0eU,     0x24c35942U, \
    0x957c239aU,     0x8fb7ce70U,     0xdfd96183U,     0x20db5317U, \
    0x9153733eU,     0x375e0c01U,     0x1195b64dU,     0xa6dc38c6U, \
    0x2ded18dcU,     0xe0a8848fU,     0x5fcf8e36U,     0x74208aeaU, \
    0x8db46a91U,     0xaa18685dU,     0x0adb2c2dU,     0x90984130U, \
    0xad5aee8fU,     0xbcccdf67U,     0xe7e7c7a6U,     0x269af2eaU, \
    0xf3023176U,     0xc4b7cc0eU,     0xe36e59f7U,     0x0ff75e64U, \
    0x6b6f3c6dU,     0xcb126622U,     0xf339e31cU,     0x3b9e473bU, \
    0xb421e3cbU,     0x7c1483f8U,     0xce4a3a4aU,     0x17b3ccebU, \
    0xe5474fb6U,     0x02aabd6eU,     0xdb64b95dU,     0xb8775b12U, \
    0x1824a9a4U,     0xf72ce37dU,     0xc9adae0aU,     0xebb79e6aU, \
    0x3144f460U,     0x7787ac83U,     0x1963dfe0U,     0x5982f344U, \
    0x015e9153U,     0xf7fa21d0U,     0x838305c8U,     0x13adb965U, \
    0x31e68d71U,     0x4284183bU,     0x87692cd3U,     0x18a20065U, \
    0xc04ebcc8U,     0x9b7c3f24U,     0x3953fe49U,     0x509b7f90U, \
    0x22e6357fU,     0xe3075599U,     0x0ba1726cU,     0xd56aee18U, \
    0x81c469efU,     0xe307aa92U,     0x905252a8U,     0xccc05815U, \
    0xb545e7ebU,     0x8bccf463U,     0x19ea1fceU,     0xa6a62b11U, \
    0x0e27ec63U,     0xfb2d1db3U,     0x4575774eU,     0xa1391578U, \
    0xb8991e53U,     0x01cc5a4cU,     0xf00ee2ddU,     0xfe86d26fU, \
    0x495e8642U,     0x64de3c74U,     0xf36bd00eU,     0x10c46b4dU, \
    0xe6ad9c0fU,     0x9dbe2e09U,     0xe89415c8U,     0x74c07f17U, \
    0xe330aaf8U,     0xbb0b3581U,     0x4e890564U,     0x5323ccb5U, \
    0x4eecb439U,     0xde79f32aU,     0xe7904604U,     0x8dab547fU, \
    0x2249bdc4U,     0xa8ca79e6U,     0x54a6a8b1U,     0xf68127a5U, \
    0xc643dfe2U,     0x2ebd9fbdU,     0x1d2718abU,     0xa1054240U, \
    0x2ace83c5U,     0x197665acU,     0xedebcdceU,     0x322d72e8U, \
    0x9258bacfU,     0x65beda62U,     0x8fbf92a7U,     0x857e6371U, \
    0x3e22b4a3U,     0x3802ed9dU,     0x1f355601U,     0xbb4758d7U, \
    0xb49c1f0cU,     0x2de3b3ccU,     0x0cfb9229U,     0x9ca81c81U, \
    0x9c08dc35U,     0x7f5b27f4U,     0x8f2d4b0dU,     0xa009bcc3U, \
    0xe0c4a47dU,     0x74f4dc54U,     0xc1500148U,     0x37322293U, \
    0x8fd7b92dU,     0xafc080f3U,     0xe6278fdaU,     0xff77b98aU, \
    0x3e4ba026U,     0x9556db89U,     0x171cdf63U,     0x91a34b67U, \
    0x2bd69d3cU,     0xcbe5fe0dU,     0x2efcf0faU,     0xc006ded3U, \
    0x1f373336U,     0x7d29df40U,     0x9a382de1U,     0x54640124U, \
    0x5fe2f34bU,     0x240e7c9dU,     0x9af3146dU,     0x577720b8U, \
    0x104f3c6bU,     0xbfa23d19U,     0x385c4d13U,     0xea5cc6b3U, \
    0x253f5b5cU,     0xfe200c70U,     0x13b81b3bU,     0x12fad527U, \
    0x690685b7U,     0xd4036612U,     0x2df7b715U,     0xb290d976U, \
    0x8bcd02ceU,     0x7d6e27dfU,     0x55200af7U,     0xd9d46634U, \
    0xe5e68722U,     0xafdc1205U,     0xc079ef73U,     0x83866473U, \
    0xdf971081U,     0xe478c4c6U,     0xc472d0b6U,     0xc5f08360U, \
    0x122c4196U,     0xa2d18c34U,     0x3bd31777U,     0xf7892213U, \
    0xa87f59dbU,     0xf9655064U,     0x86684b64U,     0x6a6243efU, \
    0x8eeff8dfU,     0xdc51b9c2U,     0x10ef8492U,     0x556dfe2bU, \
    0x7871fd30U,     0xcf757137U,     0xa1ce2676U,     0x5e3862f8U, \
    0xe6e85f44U,     0xdf0f760fU,     0x89785996U,     0xea441858U, \
    0x44dd671aU,     0xda47244eU,     0x92b5df34U,     0x92668cb1U, \
    0xb135d0ecU,     0xbb926441U,     0xa22d4d2fU,     0xba052a0aU, \
    0x1b706028U,     0xb258c5d6U,     0x3b7f777aU,     0xaefd5881U, \
    0x6d25214cU,     0x4aca90a5U,     0x997120b0U,     0xc34f2147U, \
    0x4ff8a3a2U,     0x0ce49c53U,     0x0c5f6c70U,     0x24dc4373U, \
    0x33486ee6U,     0x17b20d5aU,     0x2dd6b263U,     0xe34c1611U, \
    0x1e472528U,     0xc270037aU,     0x463b7c92U,     0x48d2067cU, \
    0x28fed2e6U,     0x381971d7U,     0x1efbf2a1U,     0xf384866eU, \
    0x7ef7767aU,     0xaec83177U,     0x02b058a4U,     0x8bbf62c3U, \
    0xd612aed0U,     0x421c8f9bU,     0xe59a5da0U,     0xb66d5bdaU, \
    0x6ec65511U,     0x341a9fb1U,     0x944b856bU,     0x4a8902efU, \
    0x05c23531U,     0x2595ea3cU,     0xfc1b8efaU,     0x339a38baU, \
    0xae3e736bU,     0x29a8d90dU,     0xb5ab6bb7U,     0xf4100cb4U, \
    0x84a790b7U,     0x68f2bddeU,     0xa4b00979U,     0xd0b42dc6U, \
    0xb9471672U,     0x195d6c28U,     0x8e87e08dU,     0x033ee896U, \
    0x7cf50a06U,     0xc077a192U,     0x5a38a438U,     0x21d549c4U, \
    0x03fb8d64U,     0x97aa8369U,     0x4e15a692U,     0x3eb0f7b1U, \
    0xd4e614a6U,     0xbca99eb2U,     0x65956e30U,     0xa9484556U, \
    0x2dbe8baeU,     0xe0ed1bd9U,     0x8f551c2aU,     0x3e0f06bcU, \
    0x50f23da5U,     0x3e0ea699U,     0x80a885e1U,     0xb1514056U, \
    0xaea5cb7fU,     0x9a6edbc5U,     0x33329940U,     0xc40dda87U, \
    0x0dfc2a30U,     0x5a5fe8a9U,     0x039e2275U,     0xfd73396cU, \
    0x675198eaU,     0xe6fb2e1aU,     0x8464fc95U,     0xfe89a00dU, \
    0x44a1c989U,     0xe511bda8U,     0x4533c5f0U,     0x4ae50cedU, \
    0x4dfc7d40U,     0x6ba8ae67U,     0xde32eb02U,     0xa5b49c9dU, \
    0xe31055e2U,     0x14e86d79U,     0xc56dda03U,     0x277d9b0eU, \
    0x36901d6bU,     0x951106dcU,     0x419ff1f2U,     0x911c98d4U, \
    0xa46f58d8U,     0x7401cfb1U,     0xf46ed70aU,     0x4608af42U, \
    0x8f7353b8U,     0x4218b626U,     0x05a94803U,     0xb340c5feU, \
    0xa53d3a3dU,     0xff8334f9U,     0xa69c88ffU,     0xb30b4b90U, \
    0xae21a72fU,     0x70902ea5U,     0x41dbe264U,     0x96096e4cU, \
    0x8ca7d161U,     0x99c15ec5U,     0x95ccf26aU,     0x3e8b356bU, \
    0xbff80415U,     0x25ef7e1aU,     0x1feb5051U,     0xdf135da0U, \
    0xcab1a873U,     0x14ca8287U,     0xdbda6f8fU,     0x757828dcU, \
    0x2b7c68d7U,     0x211055d9U,     0x716d9bf9U,     0x963fda81U, \
    0x4d9b66adU,     0xab4e35d5U,     0x80e2dc4fU,     0xea97739fU, \
    0x6b8ca721U,     0xb25332eaU,     0x406549f4U,     0x97f37961U, \
    0xa315276eU,     0xd91f5257U,     0xe3c8d81fU,     0x7a888d29U, \
    0xecc1775eU,     0xa1e173beU,     0xd52350e6U,     0x4da89afdU, \
    0x8e7b6f63U,     0x1800fbbdU,     0x513a85e9U,     0x8dc0509bU, \
    0x93b525c0U,     0x9b7cce20U,     0xfbd80983U,     0x4a5ad497U, \
    0xb5683e34U,     0xda1c023cU,     0x2572f448U,     0xb09b6ecaU, \
    0x8f53e27aU,     0xf8a88033U,     0x12cd30dbU,     0xccdef148U, \
    0x6a4eede6U,     0xe055e91fU,     0x7eb2879cU,     0xfd9b362fU, \
    0x1444310eU,     0x8916ce3dU,     0xc34677b7U,     0x961d1e7cU, \
    0x5eabcda2U,     0xacbf7c6bU,     0x188bb977U,     0xb55cd648U, \
    0x1e10dbc6U,     0xc1f14ce5U,     0x1ad43206U,     0x25d58a6aU, \
    0xb9848764U,     0xbb74e303U,     0xaa1dc80eU,     0x13efaf08U, \
    0x82d5e143U,     0xca813274U,     0xea5045a3U,     0x2a191da1U, \
    0x1a4b8063U,     0xbab332deU,     0x591ba828U,     0x8f598bd5U, \
    0xfe8c1fc9U,     0x8e008e46U,     0x8ecfa16dU,     0x11ce8775U, \
    0x24a045b7U,     0x403585e5U,     0xe98f2270U,     0x72fde9beU, \
    0x6f2fa9d6U,     0x7a98b236U,     0xaf58d7e7U,     0x8472ab1bU, \
    0xa48234b6U,     0x55ea0896U,     0xea8316cbU,     0xb919c094U, \
    0x430480e9U,     0xc9382d21U,     0xd9df8509U,     0xeb2df16eU, \
    0x67aa9e06U,     0x260d136dU,     0x173a8ffdU,     0x4362ada8U, \
    0x2c7368c6U,     0x81c77cd8U,     0x64d9101cU,     0x623f919dU, \
    0x4e9634f7U,     0x87dc83c0U,     0x345a2090U,     0xcb999ba3U, \
    0x3db774edU,     0xcc04a439U,     0x8e10494aU,     0xe39df533U, \
    0x1f767b28U,     0x37f994baU,     0x9727ccccU,     0x5d0e3116U, \
    0xfaa41cbfU,     0x46dbb0b2U,     0xdb5df5b0U,     0x039c6c3cU, \
    0x2f9f2475U,     0x11167ccaU,     0x1481d5e2U,     0x799947deU, \
    0x22662ba9U,     0x681da0b3U,     0xb0890a76U,     0x198f2a39U, \
    0xdb07a119U,     0x3ee35cf1U,     0x7e154e3cU,     0xf7d38f32U, \
    0xf23d9d43U,     0x8f2a86c1U,     0x3f55da10U,     0xeebd6bc6U, \
    0xae0c015eU,     0xaf184b02U,     0xe9a885efU,     0x284242b6U, \
    0xce15c03aU,     0xbbbbf580U,     0xb378a5b8U,     0xb3c649dcU, \
    0x9b67632aU,     0xf88ee807U,     0x72a7dce3U,     0xa768050fU, \
    0xff165681U,     0xea9a2da4U,     0x79b50f6bU,     0xbddea647U, \
    0x152e5216U,     0xbaef0822U,     0xfc8b2c5eU,     0x6445ede2U, \
    0x99addcddU,     0x9736dd17U,     0x44c840d3U,     0x27967447U, \
    0x17e81a62U,     0x7f783376U,     0x4cfe8535U,     0x850d4c0bU, \
    0x975d75f2U,     0x2b43a9cfU,     0x040ad664U,     0x9dc951c4U, \
    0x4d712533U,     0x1c93f38dU,     0xb90ea7caU,     0xd3c59254U, \
    0x34a01fccU,     0x49233cf3U,     0x08ffb07cU,     0x23ba50faU, \
    0xd5d26a42U,     0xdaf50ddaU,     0x02624eb7U,     0x36b4dcf5U, \
    0x0e52ff70U,     0x2363e54fU,     0x0da39f2fU,     0xcfe0add3U, \
    0x43c9a770U,     0x9a233036U,     0x15d7fee2U,     0x985927ceU, \
    0x26a2ed21U,     0x6bdaa6f0U,     0x32fa7dbaU,     0xd697a65bU, \
    0xca03441dU,     0x904b809eU,     0xb9ec5226U,     0x43c9d96dU, \
    0x0d9a6f01U,     0xafb3ae4bU,     0xf0e27976U,     0xba23e831U, \
    0x1ac988a7U,     0x2e77d7c7U,     0x0a6f0b2eU,     0xc9de53e8U, \
    0xbb852e10U,     0x10bfe17dU,     0x52198650U,     0x54008f17U, \
    0xfa1bed4cU,     0xf93fa55fU,     0x7fc69fd5U,     0xe2177748U, \
    0x23388820U,     0x8a6d435dU,     0xf26aa021U,     0x7ff3f815U, \
    0x126ce06aU,     0x8d367d63U,     0x258f4971U,     0x0ca7363eU, \
    0xca7bac14U,     0xd199cd02U,     0x8f276b40U,     0x91eb1af9U, \
    0x85138250U,     0x96a90861U,     0xfbf79ec9U,     0x3c27e9d0U, \
    0x8a79406dU,     0x840851a8U,     0xa0e5f193U,     0x424a182bU, \
    0x8159fc6cU,     0xed9e8557U,     0x76806302U,     0x261e0305U, \
    0xcf23817aU,     0xd4dc1ab6U,     0xe947264aU,     0xf1a34391U, \
    0x2af77bbcU,     0x4ceb005cU,     0x6766b83cU,     0x61d84009U, \
    0x8e77f4f5U,     0x73e416f4U,     0x487c3e42U,     0xe2b9e67aU, \
    0xefc8f6ccU,     0xf09ab366U,     0xef71afceU,     0x25537756U, \
    0x6df924e9U,     0x62f8af7eU,     0xa2848b55U,     0xe37198a3U, \
    0xccb699abU,     0x002cb2c0U,     0xdeb016afU,     0xe5f7669fU, \
    0x5929f16bU,     0x45e2444eU,     0xf99275e4U,     0xd2f7d78fU, \
    0xb588bea0U,     0xa48f1b71U,     0xd81f13eaU,     0x145e3a2cU, \
    0x1167d1d8U,     0x1173254fU,     0x073e0475U,     0x64db1b7dU, \
    0x597e6a9aU,     0x9634e364U,     0x2ab36e27U,     0xc9a241cbU, \
    0xb5897f2bU,     0x2f72e1bcU,     0x23755cb8U,     0xf7a97a04U, \
    0xda8643c7U,     0xa1fe6146U,     0x9dbcad8fU,     0x53f19232U, \
    0x4a546aefU,     0xa953714aU,     0x46bbfe38U,     0xb10bcf14U, \
    0xcab868cfU,     0x2480818fU,     0x6422c86fU,     0x3d16c10cU, \
    0xa1eaec6cU,     0x0c797910U,     0x5d8ae8f7U,     0x6b547740U, \
    0xe470b1acU,     0xb8724d93U,     0xa30a196aU,     0x3faafbf6U, \
    0xbdb65110U,     0xa1eb01f7U,     0x344f755fU,     0x6b011a12U, \
    0xe393fabdU,     0x91b40a50U,     0x64d6d96cU,     0x5f73894bU, \
    0xbe1cabe1U,     0xb6d5d889U,     0x12564275U,     0x5749e0abU, \
    0xc434138dU,     0xd964a028U,     0x509a0a3fU,     0x0cb9750dU, \
    0x05ad1e82U,     0x7fa1a4f6U,     0xb352968dU,     0x01f7f329U, \
    0x0fa8c1b0U,     0xbb46c9ddU,     0xb002ac5dU,     0x0d6d4f92U, \
    0xa23e31e7U,     0xbcc4ba87U,     0x4e66d1c1U,     0x70485a84U, \
    0xaceab236U,     0x67a9f2a7U,     0xc751fc2eU,     0x4769a90dU, \
    0x1aef5dc4U,     0xbb09d60cU,     0x4aabddb7U,     0x9b4bd809U, \
    0x43cab111U,     0x1d6b96eeU,     0x8e82f4ceU,     0x08f4d7fdU, \
    0x6326528bU,     0xa6b43ce4U,     0x8b1beebcU,     0xb99efa7cU, \
    0x4f0caf13U,     0x397b4c2dU,     0x56a92bc6U,     0x397df3b4U, \
    0x0f52fbabU,     0xe263dd2cU,     0xabf80798U,     0xf629b71cU, \
    0x18c0f498U,     0x6b4aff3fU,     0xf55c8515U,     0xe04bfa64U, \
    0x784bb44dU,     0x6e32a2baU,     0x68a5a4e9U,     0x597e46f2U, \
    0xb0670b77U,     0xbf1f5fa9U,     0xdea85f97U,     0x02f01e67U, \
    0x9835fae0U,     0xe19d3448U,     0x8fd86773U,     0x864856eeU, \
    0x08703d66U,     0xa54efc46U,     0x67ac359dU,     0x3d86c68aU, \
    0xe33b8a15U,     0x164caf65U,     0xc8231795U,     0x531c580dU, \
    0xccf5a8d7U,     0xd4827361U,     0xa85aee38U,     0x050d3ddcU, \
    0x35a37587U,     0x5214fbdbU,     0xf747cd38U,     0x33bf1a25U, \
    0x9685b090U,     0x620a82b5U,     0x6b95e50aU,     0xeb4f9b54U, \
    0xd4ebc342U,     0xec1fc1b4U,     0xe6e6c918U,     0x9309b6c2U, \
    0xacbe68e8U,     0x86dcb63fU,     0xdb26775aU,     0x1c19ce40U, \
    0xe7ccbe3cU,     0xa22c48afU,     0xc4cd4b7cU,     0xf906771cU, \
    0x2655e5caU,     0x35cb6e33U,     0x075e3646U,     0xd749e7a0U, \
    0x22f2f30bU,     0x3f3e5bb6U,     0x0381c7f4U,     0x857ac8a9U, \
    0x3b8a4bd4U,     0xc800375dU,     0xa2d0aee9U,     0x715524ecU, \
    0x855818c2U,     0x7beedcbeU,     0x84b95d36U,     0x8b89a204U, \
    0x53cc3a37U,     0x214d3c08U,     0xb1e461f8U,     0xe2146966U, \
    0xd935e92eU,     0x2680df27U,     0x02ab6badU,     0xb96bf6eeU, \
    0x05cafd76U,     0x9feffcbeU,     0x440f1b49U,     0xca3c56d2U, \
    0x40d70a3fU,     0xc7f2f595U,     0x46596baeU,     0x48ffe687U, \
    0x5da5ebdeU,     0xfb60c2e5U,     0x23f3182dU,     0x23aa653dU, \
    0x6e0b72fdU,     0x6a0a8ed5U,     0xd12f1e23U,     0x1e61b48cU, \
    0x6cdcc159U,     0x667f3392U,     0x601409c9U,     0x7bb6a007U, \
    0x7fd41e1fU,     0x91fb10c0U,     0xb6b7ef48U,     0x4d798149U, \
    0x956794bcU,     0x049adb5eU,     0x80822717U,     0x083f529dU, \
    0x1a9f404bU,     0x6efb31f0U,     0x364d6bfdU,     0x5ae47a41U, \
    0x924e5672U,     0x911a75f6U,     0x22180052U,     0x214ec67eU, \
    0x91fce2a8U,     0x284c0c7fU,     0x154f3036U,     0xc1217101U, \
    0xdb7ff37aU,     0xd819b48aU,     0x1b59130aU,     0x44c5cc85U, \
    0x8278121cU,     0xcfde7176U,     0x9cca0882U,     0x9a731576U, \
    0xf0c71fabU,     0xe1a8466fU,     0x7bf17359U,     0x091546f5U, \
    0x6c255103U,     0x753d2f3dU,     0x2bf254e0U,     0x8a010d59U, \
    0x4f7c8451U,     0x5a5039c2U,     0x22c43f94U,     0x1b660113U, \
    0x70bddef2U,     0x67ab4221U,     0x57c91a92U,     0x070e8fddU, \
    0x7ef2128eU,     0x093d7323U,     0x132b68bbU,     0xa5d992f8U, \
    0x02091a83U,     0x968cc593U,     0x9cdcb519U,     0xf678f1bbU, \
    0x67d69d29U,     0x79e85dfaU,     0x91c954ceU,     0x2d766526U, \
    0x6f76bef3U,     0x7c864dc2U,     0x3ea728d0U,     0xc7b7609fU, \
    0xd431cccaU,     0x691459a2U,     0xf1b5356dU,     0xc0ed7c51U, \
    0x41527c29U,     0x3439e54fU,     0x547e00e0U,     0xe3e7681dU, \
    0xf677437eU,     0xf956495cU,     0xa02985d4U,     0x4a4a38ceU, \
    0x2f63c8c7U,     0x992f308bU,     0xec5d3c36U,     0x2b696f08U, \
    0x74c8dcffU,     0x7cf67f46U,     0x48768754U,     0x281ddde9U, \
    0x22af8b8cU,     0xf78b7fa3U,     0xad4d2a98U,     0xbf141822U, \
    0xfe02eed4U,     0x7ac8526eU,     0x7b289e79U,     0xdbed211eU, \
    0x9e93e3ffU,     0x3cff5567U,     0xc46710adU,     0xa42a4e69U, \
    0xdc4367eaU,     0xbc035bc6U,     0xf6d8e873U,     0x090234a6U, \
    0x7c4975c6U,     0xa9e4c749U,     0x417dc3eaU,     0x7d48ae18U, \
    0x22b0ff37U,     0x6b29be79U,     0x55d21151U,     0x031fe5fdU, \
    0xc8f042d1U,     0xbcdff3b2U,     0xad0f6298U,     0x05afd70cU, \
    0x5017634aU,     0xcb212d30U,     0x6825c7e3U,     0xc68764a8U, \
    0x0ec02c01U,     0xde2d67ceU,     0x9cb434e2U,     0xb98da179U, \
    0xc179dd42U,     0xd089dcbfU,     0xabe2f63fU,     0x330608d2U, \
    0x103c9982U,     0x63024b0bU,     0x7ec0427fU,     0x7b7b570cU, \
    0xd27f4b8aU,     0x19e698e4U,     0xb75cd38fU,     0x0e31f33cU, \
    0xccac76d8U,     0xe755f6beU,     0xca3e0741U,     0x3bdde08bU, \
    0x1410caa3U,     0x3db66936U,     0xc21be19eU,     0xf6ef6851U, \
    0x8bbcf4f3U,     0x03d5f317U,     0x68ef4775U,     0x79bb6978U, \
    0xadf7e0a5U,     0x2aaef6b6U,     0x19d28cf0U,     0xbe51b11fU, \
    0xb5e41648U,     0xe9f78bd7U,     0x433c0f50U,     0x2aa05ba1U, \
    0x059bdf80U,     0x2aa1ed07U,     0x63522d02U,     0xae93873bU, \
    0x940d19f4U,     0x5b78f2fbU,     0x15b3f9c7U,     0x29794a2dU, \
    0xb3838b19U,     0xddc41ce8U,     0x68d30f8eU,     0xaa6a90ceU, \
    0x0fd6eb2fU,     0xec2b1212U,     0xa20e0ae5U,     0x31a127a0U, \
    0xdbb7e62dU,     0xf9540b1dU,     0x435f2fc6U,     0xc3a2f81dU, \
    0x89d359eaU,     0x750b5c6dU,     0x420cafe7U,     0x6c89974dU, \
    0x817ed9f9U,     0xa5844703U,     0x5f2d6ee9U,     0x5b77d776U, \
    0x41d1a371U,     0xd72c9e7aU,     0x68584513U,     0x33dc660aU, \
    0x82956676U,     0x19767b9dU,     0x1531d35dU,     0x389c7b5fU, \
    0xcf2fa4cfU,     0x3f80e52fU,     0x44077eddU,     0x84124745U, \
    0x1a1f40a4U,     0x1257ace6U,     0x67681b1aU,     0x231fdf02U, \
    0x17506bc7U,     0x184b26f8U,     0xf75f6be9U,     0x76606b94U, \
    0xdf647f92U,     0x654cb539U,     0x2ddf5e26U,     0x4df41d4aU, \
    0x99318808U,     0x6eb82c3bU,     0x72f1058bU,     0x61ed12ecU, \
    0xc8be1ce1U,     0xf036f1edU,     0xc3311a36U,     0xc908afd5U, \
    0x9c62a439U,     0xabb83f60U,     0x9e5a3961U,     0x31b058e4U, \
    0x2aa70c09U,     0xf52d95f8U,     0x69ee8f9cU,     0x09cf63ebU, \
    0x0257d6d3U,     0xe2e28debU,     0x6b489d67U,     0xc436a1fcU, \
    0x035f2f8cU,     0x88293f9fU,     0xec4a6bcdU,     0x31bd1c80U, \
    0xdb03e860U,     0x9d2d5c56U,     0x69c524d3U,     0x3e76dc54U, \
    0xd5fb87e6U,     0xd3eaa85dU,     0x5fdc5c0eU,     0xcc7d4884U, \
    0xc05cf845U,     0x4d99a0c5U,     0x2aa1d7c4U,     0x6f2b5673U, \
    0xb4df5c8fU,     0x41f310b2U,     0xd447a860U,     0x32449c9dU, \
    0x777f625bU,     0x687d49f7U,     0x59121b44U,     0x42a35cb4U, \
    0x6ae6eb8bU,     0x4695828eU,     0xcaf0a913U,     0xa9a68d83U, \
    0x138c2230U,     0xe7831befU,     0x71de964dU,     0xcc2a60ecU, \
    0xa020d299U,     0xb91160a7U,     0xea8bb552U,     0x5eee5003U, \
    0x9dc74b85U,     0x555c3c85U,     0xd0054ff3U,     0x63bb37e7U, \
    0x0af2c86cU,     0xbe3e1a8bU,     0x5eb05fabU,     0x1561ffa3U, \
    0x6898d0c7U,     0x952480ffU,     0x93de9439U,     0xc86e16d7U, \
    0x892d49afU,     0x83c2f552U,     0xa7cd68e3U,     0x729aa177U, \
    0x3dde2cbbU,     0xe54a3717U,     0x03e95500U,     0xdded26e3U, \
    0xa7e58063U,     0x355c8f86U,     0xc2777e9dU,     0x5ceb0211U, \
    0x1a991eb7U,     0xebfd2556U,     0xb705b36dU,     0xbce0d2aaU, \
    0x57c46b38U,     0xc421a80cU,     0x3996da72U,     0x82d3423dU, \
    0x3569ac5cU,     0xe332e77aU,     0xc0bc2e02U,     0xf122cb1cU, \
    0x09e48bbdU,     0xa2680efaU,     0xe2f12a6dU,     0x058b36afU, \
    0xaf87dadbU,     0x4942c505U,     0x4b574a1fU,     0x32dfe2caU, \
    0x8e7380f0U,     0x3173ba54U,     0x62f280e5U,     0x21f99602U, \
    0xfee28968U,     0x78013a94U,     0xf0a2fe85U,     0xd30e19a8U, \
    0xc86b36a9U,     0xddd85915U,     0x801d578eU,     0xe40623d2U, \
    0x62c72392U,     0x82bc3722U,     0x1c5a568eU,     0x991d88ccU, \
    0x4c8d65a8U,     0x610d5b51U,     0xa42288b3U,     0x6212cbafU, \
    0xbf3aa5b5U,     0xf942965cU,     0xb9b8f094U,     0x5ad87a5fU, \
    0x50485a73U,     0x7c0cc166U,     0xa063ecedU,     0x41287914U, \
    0xb99d649eU,     0x7f64be20U,     0x495c07a2U,     0x2b7e17b8U, \
    0xede4252dU,     0x5aa3f741U,     0xb381e04fU,     0xe4fc445aU, \
    0xa6ec29b3U,     0xcdb83cacU,     0x46900845U,     0x769df270U, \
    0x72eea7a5U,     0x88957a67U,     0xa76ebf60U,     0xa3a7c6f9U, \
    0x7c0276d2U,     0x86a4f683U,     0x5097b885U,     0x741d9f64U, \
    0x4338341cU,     0x5ec3248eU,     0xf4591bebU,     0xb94756b0U, \
    0x5c45f05bU,     0x6a389edaU,     0x6be19f06U,     0x600dc651U, \
    0xe773ce4fU,     0xa8944319U,     0x22b8db39U,     0x95d3a31aU, \
    0xe31f83a5U,     0x4e8b45d7U,     0x74cdb1adU,     0xa0c68ab6U, \
    0xc55b8ea3U,     0x3918fbfdU,     0x8c2d8dedU,     0x084f14d7U, \
    0xc904bf7fU,     0x526e44b3U,     0x83c7b7c8U,     0x357dbaf4U, \
    0x3a5f73d5U,     0xe318c077U,     0xbb7a8ba6U,     0x1e787716U, \
    0x235679faU,     0x4c1333b8U,     0xe72f9ca8U,     0x04f83d08U, \
    0xad980943U,     0x136632ebU,     0x3973f278U,     0x1cfa688bU, \
    0x6ecf93b8U,     0xfdbce479U,     0xa764a4c6U,     0xad6a9cf7U, \
    0xc8c5e858U,     0xa98ffabdU,     0xe8b2bdc6U,     0x6105afb1U, \
    0x76006d13U,     0x11b85e7dU,     0x1b0f7285U,     0xd4f182a4U, \
    0x54227bafU,     0x109cfa51U,     0x40582927U,     0x7148f3bfU, \
    0x07acb344U,     0xe840509dU,     0x7fbe2ec4U,     0xfcfe5696U, \
    0x9eead402U,     0xcb217ba7U,     0xcb12cfc0U,     0x6a26e980U, \
    0x80c5a714U,     0xc2af2100U,     0x748dde1fU,     0xa27f0aa4U, \
    0xc39ea507U,     0xf85d9aa9U,     0x0614328dU,     0x42a99aeaU, \
    0x9e468bbdU,     0xb533f6dcU,     0xfc37b264U,     0x4576e423U, \
    0x556bb90bU,     0xfc2581efU,     0x50350095U,     0x09aeccb7U, \
    0xee56c0fbU,     0x04845aeaU,     0xbd0cdfedU,     0x6336ff3bU, \
    0x823b54a3U,     0xc52934bfU,     0xd9d852e6U,     0x8e8e82dbU, \
    0xd725fd34U,     0x0db0320bU,     0xa2c941ceU,     0x85bbefc3U, \
    0xb0dd8909U,     0x6271b3a2U,     0xacfc115cU,     0x2df86b70U, \
    0x91119a07U,     0x74a987e4U,     0x241c1402U,     0xbc19b1c1U, \
    0x60e2f080U,     0xf2147c97U,     0x0dfdb83bU,     0x0512edb6U, \
    0xe99f1024U,     0x32b54ba8U,     0xd3f03294U,     0x101ca9b3U, \
    0x944610e9U,     0xe0f8fac6U,     0xf6a1cf1eU,     0xb4f62b18U, \
    0xe513813fU,     0x692e859bU,     0x6a75fcafU,     0x4005d255U, \
    0x1330a5daU,     0x13e89934U,     0x63c98551U,     0xb5b03f7dU, \
    0x4f0b2ff2U,     0xf86e4f49U,     0x3e92f06eU,     0xc5b3c2ffU, \
    0xe4004d6fU,     0xfb0b5721U,     0x849adb6dU,     0x4a18c2e4U, \
    0x60466f62U,     0x674fd91eU,     0x76955c28U,     0x0ce20b78U, \
    0xf3e89f44U,     0x33eec588U,     0xb907984dU,     0xb4689d3aU, \
    0x2ef79956U,     0xd2f02f0eU,     0x7b933f6dU,     0xa6993968U, \
    0x10e49ce8U,     0xdccb0f0eU,     0x6c9399afU,     0xbf1c128cU, \
    0x7c5e93dbU,     0x0ae3649aU,     0xb27c6bbfU,     0xf03c8870U, \
    0x4398a347U,     0x93f0f2f8U,     0xe1f36c67U,     0x93f47e35U, \
    0x74159a61U,     0x6a99a3e9U,     0xe08e22beU,     0xff8f1cf0U, \
    0xbee1a040U,     0x1a1c2d88U,     0xcb922a1cU,     0xf123b4e4U, \
    0x69708663U,     0x1db53f97U,     0xdaf998ecU,     0x68aad171U, \
    0xa3b01084U,     0x2da6a152U,     0x2aa36342U,     0x94a8f2d0U, \
    0x10404bb6U,     0x1647fae2U,     0xfdb08d46U,     0x8d64d42dU, \
    0x1161126bU,     0xa0651008U,     0xf33bbe91U,     0xc355e2d1U, \
    0x2a7f6d03U,     0x81b821a5U,     0x2b68fba9U,     0xd3a0b30aU, \
    0x51524c4aU,     0x747cd6e5U,     0x38722daeU,     0x58c7b572U, \
    0xc16b7765U,     0xb4820cffU,     0xbdc4c7ceU,     0xccad0c07U, \
    0xe3adf688U,     0x95e3ccbbU,     0xb56b5045U,     0xf9e04710U, \
    0xf201613bU,     0x224d7745U,     0xdc608876U,     0x3118a00dU, \
    0x5793f4e6U,     0x240e6236U,     0x349f0214U,     0x1536b73dU, \
    0x7927aeceU,     0x1e94f303U,     0x7e0ae2c9U,     0x6b3463a8U, \
    0xd23a08baU,     0xfc759aa9U,     0xb37d934eU,     0xaa8de3acU, \
    0xfbca12d0U,     0x2df92d46U,     0x0abc23c9U,     0x2b27cab8U, \
    0xb8ba037fU,     0x24833954U,     0x3f4bf06aU,     0x61e3bb5eU, \
    0xb95778b8U,     0x93c17403U,     0x3943fad5U,     0x9d1c0ef0U, \
    0x3077c5e1U,     0x2e4da401U,     0x6f0c2e95U,     0x565c5e9bU, \
    0xd8ae5737U,     0xdb756f59U,     0x3cbb9512U,     0x25c7b8f8U, \
    0x7cef7daaU,     0x617cc6b7U,     0x7f1b5c20U,     0x7039dda1U, \
    0xb7c90bfaU,     0x27c8e9b3U,     0xac6430f7U,     0x6213cc94U, \
    0x40426e4cU,     0x47f40aa8U,     0xd7093acaU,     0x6afefceeU, \
    0x32441e6eU,     0x9e94aecfU,     0xc1d78c59U,     0x3a136be5U, \
    0x85e0927bU,     0x9dcee7f0U,     0xf9d13064U,     0xfb57c5f6U, \
    0x9d372884U,     0x143665c4U,     0x09f436dcU,     0x1268d259U, \
    0x7542e7a4U,     0x93255d83U,     0xc71e1f9fU,     0x8edd8abaU, \
    0xd889288eU,     0x0c1c7cd4U,     0xce1dcadbU,     0xb045c71cU, \
    0x2f0f351eU,     0x5205b4b5U,     0xdefb5fd3U,     0xd32e4075U, \
    0xc3a9d688U,     0x7eb0fa5aU,     0x0928d142U,     0x053b4f46U, \
    0x434d7e34U,     0x714ca4b7U,     0xf2a43f86U,     0xa95bdb64U, \
    0x836fae53U,     0x7b2cf990U,     0xe1d0f70cU,     0x47fb5b6dU, \
    0xf5a79724U,     0xd85f17a6U,     0x8a45bb7cU,     0x1fbcd0c3U, \
    0x5dddcf51U,     0x61ab9400U,     0x0dc8cbabU,     0x250f696eU, \
    0x1f92db88U,     0x921a5f80U,     0xd9ec823bU,     0xacadd4a2U, \
    0xa919d878U,     0x3b94f833U,     0x1c570246U,     0x5b863ec9U, \
    0x85610986U,     0x41eb0389U,     0x312cf0cfU,     0x0d2491a4U, \
    0x41963d6cU,     0x95dc0730U,     0x4a31a960U,     0x54cfe496U, \
    0xef7bc68aU,     0x9b5b8c0dU,     0x379b904cU,     0x56031bb6U, \
    0xbc6ae7d9U,     0x710bb4b6U,     0x788f062cU,     0x9405c14aU, \
    0x0161998cU,     0x6bfcffb4U,     0x17161b7bU,     0xc03a538bU, \
    0x3ea099c4U,     0xcabf1333U,     0x2573849cU,     0x2d875b52U, \
    0x53a75585U,     0xd0981664U,     0xda895dc4U,     0xa5022784U, \
    0x0c59f094U,     0x298b290aU,     0xb5a9c15bU,     0x3d8115d7U, \
    0xcfea0588U,     0xf4a958ecU,     0x2b01ab71U,     0xf4c356d7U, \
    0x73395349U,     0x8119d9eeU,     0x2c015a77U,     0xe326f847U, \
    0x49d5f72bU,     0x2be98b01U,     0xf72a645cU,     0xcdb41d13U, \
    0x90fc800fU,     0xed273b03U,     0x13d6c8d9U,     0xb4af0752U, \
    0xe01486b9U,     0x644123ddU,     0xe295fa38U,     0x2024a118U, \
    0x5d31a889U,     0x246dc509U,     0x79770293U,     0xd61f1193U, \
    0x0c086d15U,     0x783f5b1aU,     0x33e1ee78U,     0x5d0d52a2U, \
    0xe7b1c00dU,     0x815f4c6aU,     0x41f865f8U,     0xbed2ea3cU, \
    0x1b3320afU,     0x3807496aU,     0x36cfee75U,     0xebc12213U, \
    0x82b7b582U,     0xca74e267U,     0x7ebe4ee8U,     0x5df8f7d4U, \
    0x5fa30cd9U,     0x718c5417U,     0xccfd3adcU,     0x79521598U, \
    0xa5a43e40U,     0x7cfb6192U,     0x02ac28f8U,     0xa0fce678U, \
    0x5084406fU,     0x814e008fU,     0x89c60226U,     0xc7027f35U, \
    0xc8f9d2adU,     0x23d7618eU,     0x9f5267bbU,     0x525a0904U, \
    0x534cd5a2U,     0x0da0bb12U,     0xe642a107U,     0x05cef6deU, \
    0x07a30eafU,     0x87a353bfU,     0x9789881cU,     0xff50169fU, \
    0xff0250d4U,     0x847439ebU,     0xc14aa764U,     0xd28fa7a5U, \
    0xe4a40ffdU,     0xa9e93cd9U,     0x74c6b1beU,     0x49e14043U, \
    0x8898051aU,     0x32620d15U,     0x14a830b3U,     0xf0f8b2bdU, \
    0xe2fbebdcU,     0x7c798f99U,     0x1f19238eU,     0x83aee473U, \
    0x60c599ddU,     0x699360aeU,     0x7650e78eU,     0x83da05f5U, \
    0xc7803a55U,     0x6d5b9e25U,     0x0d65a92eU,     0xd8d03e69U, \
    0x88c875c8U,     0xbb3a8124U,     0x65ce9c8cU,     0x0ab5f70dU, \
    0x91e04fdeU,     0xa1457655U,     0xd1691e67U,     0xb914f854U, \
    0x658ccc15U,     0x9609ac62U,     0xfe000111U,     0x9d108b94U, \
    0xf2c160e4U,     0xe5b07573U,     0xb7273cebU,     0x540c5dfaU, \
    0x003ee5d3U,     0x9d4e317aU,     0x826bd38aU,     0xb2590effU, \
    0xffd1eed1U,     0x5d85a6e9U,     0x6920010fU,     0x3dc7ae25U, \
    0x0e9de5b6U,     0x2b03b3c0U,     0xe0e499ceU,     0x5b512b2dU, \
    0xaeb25ff8U,     0x1180163dU,     0xef900c94U,     0xc759e610U, \
    0x3921affdU,     0xefcffa5bU,     0xfc574cd7U,     0xde95feceU, \
    0x21836048U,     0xfaff807cU,     0x75a7e048U,     0xfad53306U, \
    0xe5ca2ecaU,     0xace47e71U,     0x10a7c587U,     0x18e0a9afU, \
    0x4d74fdedU,     0xc8123348U,     0xbc80bcadU,     0xa5b066b1U, \
    0xcc5589ffU,     0xb34aba78U,     0x33a2b284U,     0xb41bc7beU, \
    0x968dbeebU,     0xef86ab4bU,     0x59377f7aU,     0xfe3adda8U, \
    0xab6d1484U,     0xe3e216a4U,     0x48087899U,     0x4a8a1feeU, \
    0x64982cbeU,     0xc41a865cU,     0xdefae6cfU,     0xb4593078U, \
    0xa85a7445U,     0x733ca086U,     0x842ec2b9U,     0xc92fe26aU, \
    0x6605991bU,     0x6e31cd7dU,     0x92920895U,     0x5efebad1U, \
    0x0e21135dU,     0x30a3a92fU,     0x38074988U,     0x22b1921cU, \
    0xe1efead5U,     0x03eec681U,     0x591c9f6aU,     0xca509bbeU, \
    0xd6807f2bU,     0xb518d926U,     0xcb41b9d4U,     0x9a4b5689U, \
    0x4bb4457eU,     0x076492d7U,     0xc6596865U,     0x4ddde960U, \
    0xb47d3006U,     0x8a64cbcaU,     0x18d49595U,     0xa764c9ddU, \
    0xc2583fe9U,     0x84eac0deU,     0xbb4d3a84U,     0xdc133063U, \
    0xdf619ff6U,     0x2ad4e901U,     0x45b22a7dU,     0x59ffc05fU, \
    0xdae5bb6eU,     0xdd069b51U,     0x92bb6c15U,     0x4e1c9da4U, \
    0xf8d22044U,     0xfa336da8U,     0x5dac2cdfU,     0xfcbc6f94U, \
    0xfbd6a87dU,     0xe04d72b4U,     0x0e2c6b64U,     0x9359f98fU, \
    0x95524bdeU,     0x5ac3507bU,     0xe8602f61U,     0xa7f7b5cfU, \
    0xf7c1af6eU,     0x8a32900aU,     0x4ceff376U,     0x2912e205U, \
    0xa2f09681U,     0x8ac9db8cU,     0xa5d76bcfU,     0x80ab31d6U, \
    0x2db67390U,     0xa3ac7394U,     0x90a70b91U,     0x1db696e5U, \
    0xab6edc97U,     0xaa5ef810U,     0x9058e021U,     0xafc50945U, \
    0xbc877819U,     0x72c85258U,     0x6fb70a0dU,     0x08fab048U, \
    0x68cfb5e9U,     0x7da33f87U,     0xb3f57b8aU,     0x359cc62dU, \
    0x4afd806dU,     0x96f96a3cU,     0x655fbf70U,     0x2a8283c6U, \
    0x423b2a09U,     0x69f07d98U,     0xff2bfedfU,     0x7572a078U, \
    0xf144471eU,     0x8842b98fU,     0x7ad13678U,     0xc2c722aeU, \
    0x8ee71eefU,     0xde07cfeeU,     0x8a2fa726U,     0xc5fd6c16U, \
    0xd88f7e41U,     0xfce9798aU,     0x267ffe26U,     0xe98df7f3U, \
    0x3b48b4e7U,     0x8aae2131U,     0xf1ee3957U,     0x25c7b31fU, \
    0x036185bbU,     0xa468de3bU,     0x8df5d372U,     0xff0b3edfU, \
    0xdd97d353U,     0xa7601722U,     0x9778e0c7U,     0x0826b2eeU, \
    0x8933ea91U,     0x0f9eb245U,     0x43e4be1dU,     0xdbbd69d7U, \
    0xd6253166U,     0x17c07becU,     0xc71f31f6U,     0x91583785U, \
    0xc452d6e6U,     0xac027143U,     0xc06d2533U,     0xf038e88cU, \
    0x1df2516dU,     0xa0559d93U,     0x84ca2289U,     0x289e779dU, \
    0x7b33b8ffU,     0x813c048eU,     0x287cf375U,     0xe6de17e6U, \
    0x80fec52cU,     0x5d65c315U,     0xdd2c8381U,     0x1157d1f0U, \
    0x9ecf8347U,     0x234824f1U,     0xb2a4065dU,     0x2ddcfec3U, \
    0x1dfd1effU,     0x20123b55U,     0xebaab0b5U,     0x8721ac0bU, \
    0x6d4b1afdU,     0x4456f4a6U,     0xa0e1fecbU,     0x2a2ad783U, \
    0xa9d80224U,     0x77cf8bd6U,     0x34ee44eaU,     0xe40ab295U, \
    0x3b3115dcU,     0x13980b13U,     0x6f30cf93U,     0xb98eaa33U, \
    0x1c5f14e1U,     0x1bfbc7b0U,     0x4883708eU,     0x0909e6d3U, \
    0xedc87f77U,     0xad024460U,     0x3fff3bc0U,     0x9c90b272U, \
    0x702a4a35U,     0x14fa218eU,     0x658098fcU,     0xff464bc3U, \
    0x3504b555U,     0x6d745b52U,     0x36ca61deU,     0x5416d841U, \
    0x2875c370U,     0x73b7cc59U,     0x0f392cc4U,     0x31aac2ebU, \
    0xdefc9b5eU,     0x4b605939U,     0x2d27e74fU,     0xe292b5d0U, \
    0xdc8b8a02U,     0xaf865c0dU,     0x9d5c4c4eU,     0xcd397122U, \
    0x9f40c1d4U,     0x421f9460U,     0x08228b9aU,     0x6b7f1c1aU, \
    0x320dc42dU,     0x43704a9cU,     0x1031d11eU,     0x6e7e1ea9U, \
    0x34cfbf44U,     0xd15275ffU,     0xf4c9869fU,     0x6e97773cU, \
    0x65b038c2U,     0xff0bf906U,     0x3d4c308bU,     0x519382afU, \
    0xbf923f03U,     0x7d94e683U,     0x7eb0e7e7U,     0x1ff030baU, \
    0x9c41dfd0U,     0xaa0b3371U,     0xfbe263faU,     0xfe9c6cabU, \
    0xca439ffeU,     0xa137fd2eU,     0x22495b63U,     0x9be6cc01U, \
    0xe07f496fU,     0x4b8379beU,     0x75877889U,     0xd8c4f9caU, \
    0x3d75185cU,     0x5ae3323cU,     0x5195bc64U,     0x8a07136dU, \
    0x456c4818U,     0xcc4a1644U,     0x005be002U,     0x11939272U, \
    0xc7a70518U,     0xf85c6947U,     0xa50409aeU,     0x657950a4U, \
    0x5a7cf355U,     0x48490ce7U,     0x9ded240cU,     0x12696493U, \
    0xb10aab6fU,     0x1336970eU,     0x889e05e1U,     0x0f82d7b3U, \
    0x954df742U,     0x5dad3726U,     0x170d34e1U,     0x89ee409bU, \
    0x7bc03decU,     0x2a87a8e5U,     0xdd77b531U,     0xb71368f2U, \
    0x9e329f12U,     0x22ce87d1U,     0xde9e0a23U,     0x543992d5U, \
    0x77b6a9beU,     0xcd3bc487U,     0xa537e936U,     0xf92efb6eU, \
    0x6c87c425U,     0xc7666b85U,     0x8919dec8U,     0x4d65a002U, \
    0x3ed7166bU,     0x622df9ccU,     0x3a63fa7bU,     0xb39c5258U, \
    0x3acffef9U,     0x834b26bdU,     0x7e3f3580U,     0xc592f87eU, \
    0xe3733d58U,     0xbd77f819U,     0x0a8dff5dU,     0x0db6c476U, \
    0x6d0046e8U,     0xcfb2d88cU,     0x59c08160U,     0xe9888003U, \
    0xf32f843aU,     0x390eae9aU,     0xd6a61925U,     0x1aaabc40U, \
    0x6846ebb1U,     0xbfd20a1fU,     0x97b03f18U,     0x008d797fU, \
    0xeee63551U,     0xef2fd3c6U,     0x88b91d79U,     0xeb8f2f1eU, \
    0xdc7a48d9U,     0x2a018863U,     0x0dadf0aeU,     0x7ac92744U, \
    0xc23a1fe0U,     0x78dfb67dU,     0x729dfa3bU,     0x4e31eaeeU, \
    0xc547db37U,     0x68cfd1d0U,     0x80b862a2U,     0xd678cb33U, \
    0x109ef4fcU,     0x49b4639bU,     0x33ce2382U,     0x488a58d1U, \
    0x00cd316aU,     0x0078df9bU,     0x67ad5f9cU,     0x93b99880U, \
    0x59803558U,     0xb293a2a2U,     0x75342780U,     0x5d65eef8U, \
    0xa3e909a8U,     0x0ffe989eU,     0x79d372adU,     0xc1c52089U, \
    0xba38a79fU,     0xa0a6c9beU,     0x7f9ea147U,     0x99313fbaU, \
    0xddb65251U,     0x9521a891U,     0x8b9e6f82U,     0xbedebdd2U, \
    0x2795aa88U,     0xaa7bbeedU,     0xb51ac975U,     0xbbb6d868U, \
    0xa3a477c9U,     0x1c8af1ccU,     0x995d09a6U,     0xd475d106U, \
    0x2adf8bdfU,     0xe1578a6fU,     0x44555cadU,     0xed1f5bc9U, \
    0x2b3b7c4dU,     0xfabe4a53U,     0xf06c7160U,     0x143f4421U, \
    0x1a3e9fe3U,     0x75d49b3dU,     0x0b840881U,     0xa08c639bU, \
    0x2901e51bU,     0xa59f4413U,     0x20524700U,     0xde603079U, \
    0x1ba4ac2cU,     0xc24d9d62U,     0xac7defd6U,     0x344fc870U, \
    0x8e48b1fbU,     0xaf9945b0U,     0xb3341e75U,     0x860e5718U, \
    0x2cf4c306U,     0x223d47a4U,     0x51781760U,     0xdb0f18a0U, \
    0x07aea9c3U,     0xa2a25b41U,     0xbb444599U,     0xabbc1c9eU, \
    0x3c74ac0bU,     0xc281456cU,     0xd3ee9a66U,     0xa4fababeU, \
    0xcc994263U,     0x58db3c61U,     0x774bcdabU,     0xde1b811dU, \
    0x4afcaf32U,     0x860e9a75U,     0xe3e29f47U,     0x0a11bce6U, \
    0x488639aeU,     0x388d527aU,     0xc5325e49U,     0x50e85756U, \
    0xe096c6d2U,     0xa028e1f5U,     0x7bd97e10U,     0xe1c7b6bbU, \
    0x0014d715U,     0xd16b288aU,     0x99127708U,     0xc772a877U, \
    0x9ab4192dU,     0x37448d58U,     0xfa664370U,     0x4eccbb1eU, \
    0x4adbdce4U,     0x2def8524U,     0x73120190U,     0x83ac0fd9U, \
    0x2cecb9afU,     0x90841b2eU,     0xfc8cd1a2U,     0x3018a145U, \
    0x892fdfccU,     0x97b81f4fU,     0x394e47e2U,     0x4b20e65dU, \
    0x7fbb210cU,     0xb997010aU,     0x0a62faa9U,     0x6d7dc43bU, \
    0xe7a6b617U,     0x6b62354aU,     0x75bea16fU,     0x46c684e4U, \
    0xa321d7f1U,     0xe88581bbU,     0xa6b4b9dbU,     0x243fb97cU, \
    0x76fe9a6aU,     0x07f9b89cU,     0xe9d94a0dU,     0x506a12a1U, \
    0xdef90dc4U,     0xfb8ddf15U,     0x16350014U,     0x6257e4e2U, \
    0x2e0ca727U,     0x12bcea33U,     0xefd3a010U,     0x0dc433a7U, \
    0x1a4424cbU,     0x77762c85U,     0xbcf4c7f1U,     0x5755039aU, \
    0x0b41c27bU,     0x47cbed0aU,     0x566061b8U,     0x7f1f2ab4U, \
    0xcfc60b35U,     0x7d1bb08fU,     0x234c2462U,     0xf8088d96U, \
    0x0aa99d1aU,     0xcb206bdaU,     0xf4d2dac5U,     0x02c0e076U, \
    0x1a41336eU,     0xb1979ce3U,     0x19fe37caU,     0x45e65c03U, \
    0x3c6c85d7U,     0x4942d81fU,     0xe64a782bU,     0x5b2afd55U, \
    0x0cb55aa5U,     0x3a3b6b32U,     0xed1b6366U,     0x9dd59280U, \
    0xbd100c16U,     0xa837620fU,     0xb4ec44b0U,     0xaf48bcadU, \
    0xa0518a6cU,     0x548839c4U,     0xc99e01c3U,     0x9558d587U, \
    0xe9e9b4faU,     0x76218d13U,     0x38d15434U,     0x56ee6c75U, \
    0x2cda5e61U,     0xff6eb4eaU,     0x649a7052U,     0x9697e547U, \
    0xb780d225U,     0x69bffae5U,     0x7f856042U,     0x1d45252aU, \
    0xdb1841ccU,     0xe3a0e5e1U,     0x6b47ab4fU,     0xbf86cb3cU, \
    0x022906f0U,     0xa1b261faU,     0xf337a182U,     0x414022afU, \
    0xa0825c8fU,     0xa7102cf2U,     0x69f290cfU,     0x5a168c9fU, \
    0x7440d658U,     0xa2ab6a31U,     0x519e4523U,     0xcb5e7f32U, \
    0xf24afe29U,     0x35c8befcU,     0x86a05810U,     0x8effb58fU, \
    0x88b1f42aU,     0x8746c192U,     0x80727c6bU,     0x73782b7bU, \
    0x8e86789cU,     0xc96533c5U,     0xa38ac140U,     0xaf9f18d6U, \
    0xfce671edU,     0x8e5eea57U,     0xc7abd777U,     0xa1a1d9c0U, \
    0x9b1a4bd7U,     0x91eb62b7U,     0xb60fea81U,     0x8f9e43c4U, \
    0x39c2fd6fU,     0x6d66aa90U,     0x21a8a72dU,     0x93b13651U, \
    0x07dc0471U,     0x78a0801cU,     0x804616fdU,     0xbae7f63dU, \
    0x31e20b50U,     0x46df6db5U,     0xf7db6ebeU,     0x712047c1U, \
    0x421ced0aU,     0x2c9423b7U,     0xb25f0ca5U,     0x943e3355U, \
    0x736da049U,     0x99eaf480U,     0x8eeab0e4U,     0x75348973U, \
    0x5adb5cfdU,     0x123c2c8eU,     0xc38e6e0bU,     0x6ee5c9c7U, \
    0xabf95262U,     0x6e53dc70U,     0x40035c9dU,     0xd6c235a2U, \
    0x12038f3fU,     0x60c46884U,     0x67383f88U,     0x6c123b7dU, \
    0x1eb322c5U,     0xb6112d8dU,     0x25b6a96dU,     0xe678e90dU, \
    0x2fa9c40dU,     0x65dc80edU,     0x3d4d8ccfU,     0x46f485d6U, \
    0x2cc1304cU,     0xb32ad263U,     0x38739d99U,     0x85fd1820U, \
    0x42fcfd3dU,     0x162a0906U,     0x98a68a54U,     0x71a5171dU, \
    0x01e2ef93U,     0x5bf4c4a1U,     0x1f60ccaeU,     0xcaba66dcU, \
    0x34efe277U,     0x9eaeb740U,     0x99502935U,     0xa5af46c1U, \
    0xccf7ae8eU,     0xdec17434U,     0x8903d0fcU,     0x2adc7ca3U, \
    0xeb343a78U,     0x7056f1c7U,     0xed5aeaa4U,     0xc782c0c0U, \
    0x299bb134U,     0x1b0f7e6dU,     0xf39db8d2U,     0xb11b9b06U, \
    0xfba259faU,     0xf95e24b9U,     0x01167bb8U,     0x4faae226U, \
    0xf81a483eU,     0xebae911aU,     0xf6a88032U,     0xefcdbabeU, \
    0x72abbdc9U,     0xb8569604U,     0x3a8fd1c4U,     0x6ee8958aU, \
    0xc979fa26U,     0x4b4d52b0U,     0xc82f141bU,     0x691825e5U, \
    0x146942afU,     0x4a6aba6fU,     0x31e3e979U,     0x13ddd18cU, \
    0x77a87501U,     0x26f1e171U,     0xd4aad295U,     0x77c81c7dU, \
    0xa1093385U,     0xc5b563e4U,     0xee8cf96bU,     0x7fe69c1aU, \
    0x7e1a8938U,     0x70251b91U,     0xece103a0U,     0x3e1521b7U, \
    0xdb82f341U,     0x01d45b9cU,     0xaf28862bU,     0x4e5a3c14U, \
    0x4d75ec48U,     0x74f46d00U,     0x892c0d11U,     0x9d166d27U, \
    0x05126268U,     0x6c651003U,     0x024968d6U,     0xdc739e68U, \
    0x54735a7cU,     0x8c1784abU,     0xc6a95bc3U,     0x9c0e7850U, \
    0x26399cbaU,     0x2740c7a6U,     0x97026343U,     0x4b33a367U, \
    0x30d650c6U,     0x567feebdU,     0x0145999fU,     0xb06c902bU, \
    0xd451830dU,     0xeb0d23dbU,     0x08f28399U,     0xc45439e7U, \
    0x04b79a04U,     0x5a9353a5U,     0xae3310ecU,     0xb7d6f7efU, \
    0x14eee7c1U,     0xd2e679a0U,     0x96a62d3bU,     0xb987332eU, \
    0x90f79704U,     0x97d0b516U,     0x6e5be911U,     0x8828c0deU, \
    0x4ee9fd23U,     0xf3241f79U,     0x15f83697U,     0x16ab3c92U, \
    0x8e5eb722U,     0xd6e81eb4U,     0x4f6ffdd9U,     0xfe54c0f7U, \
    0x48ee4f03U,     0x727d81eeU,     0x1dd09124U,     0xe7f394cdU, \
    0x6b11e5ffU,     0x2068041dU,     0xf658a19cU,     0x41e7a418U, \
    0x5a3732c7U,     0xbd3677b0U,     0x8c1ee693U,     0x5260b28cU, \
    0x467268a6U,     0xf7188de8U,     0x16d42009U,     0xf097e0a5U, \
    0xecf30118U,     0x894fc6d3U,     0x06a85ac8U,     0x1cc878d6U, \
    0xfa379aa1U,     0xfef4da1eU,     0xb4a68615U,     0x7342c261U, \
    0xa08d9478U,     0xd31ea06aU,     0x58890c30U,     0x76bfbc02U, \
    0x3bd677acU,     0x01293ffbU,     0xd0831cd7U,     0x7a414ae8U, \
    0x5adeb95cU,     0x7ccc111dU,     0x585c69e2U,     0xe1991e9bU, \
    0xd161c16eU,     0xa1981b72U,     0x0e366a91U,     0x8a6a553fU, \
    0x4138e1beU,     0x49a2f8b1U,     0x47b60996U,     0x5e7ef4fdU, \
    0x918f0d26U,     0x7606d3a2U,     0xf9e4e95dU,     0x5472a9c2U, \
    0xd5c83380U,     0x7a10604fU,     0x0ae5162cU,     0x2b6bf45cU, \
    0xeacf3ae4U,     0x601c3daeU,     0x021e3c83U,     0xfcb896b2U, \
    0x90a33460U,     0x55ba2671U,     0xc29631b7U,     0xf1c87a1eU, \
    0xd73b7ff9U,     0x35f6c394U,     0xa56b3f97U,     0x4e7e89d8U, \
    0x42b17d79U,     0x7143ab0eU,     0x7f4a2c2eU,     0xdfbe4031U, \
    0x6ce6dbeeU,     0xfafe64caU,     0x89e10bebU,     0x2094c8e6U, \
    0xf7a8e93aU,     0xc8baafd9U,     0x8271116cU,     0xce50c822U, \
    0xb0d6093eU,     0x8cb94e8dU,     0x9431da97U,     0x30598ae3U, \
    0x6f0c4e83U,     0x4447e9d5U,     0x81772c12U,     0xcc55860bU, \
    0x3f8b1954U,     0x4c445d92U,     0x0f386cbdU,     0x1dad080dU, \
    0x4bc998ecU,     0xb77b19d9U,     0xf729a00eU,     0x257743a0U, \
    0xbb3b8d7bU,     0x1cc29df4U,     0x56599c14U,     0x1501d6bcU, \
    0x07870bdaU,     0xe8edccddU,     0x1235cdd3U,     0x840fb82aU, \
    0x468f41e6U,     0x3a134f2bU,     0xc18d4443U,     0xa1abe81aU, \
    0x9eb19b71U,     0x6b87920fU,     0xace1c2f2U,     0x5c5e4524U, \
    0xe3c1cb53U,     0xaff78c14U,     0xefce501aU,     0x5e068551U, \
    0x7120a2daU,     0x884233edU,     0x16203b26U,     0x2b0e6c3dU, \
    0xa74bdb02U,     0x56aab436U,     0xbaae0307U,     0x9c16270cU, \
    0x2ccb9556U,     0x4524d97bU,     0x35caceb8U,     0x287a8f6dU, \
    0x091191aaU,     0x756a9475U,     0x374b8703U,     0x40d8aa01U, \
    0xa53e94cdU,     0xaa6764d4U,     0x587e06e2U,     0x322a2ecfU, \
    0x4bfe18ecU,     0x2036d4d7U,     0x11e91b10U,     0xb8c496dcU, \
    0x408857b6U,     0x6f70e5d0U,     0xbfd866ebU,     0x931fe1e4U, \
    0xb7074ce5U,     0xc2dd98a4U,     0x5b89227cU,     0xf8922976U, \
    0x0a84913dU,     0x18b13b49U,     0x0a753869U,     0x7a40f4e9U, \
    0x8c6f7bbaU,     0x541bbc98U,     0x2b8aa1a1U,     0x75c0a12eU, \
    0x4f7e6bb5U,     0xa6f0312aU,     0x91d24a3dU,     0x4b5964a6U, \
    0x1aa98871U,     0x71d5062fU,     0xf198e50eU,     0xa531c534U, \
    0x3f367059U,     0x41d3f484U,     0xe81c10f0U,     0x8342aa3cU, \
    0xcae5961cU,     0x6837e34aU,     0xdbaa5b66U,     0xa8bb2599U, \
    0x7852b239U,     0x06566c50U,     0x03b23e7aU,     0xaa22d72cU, \
    0x0799338aU,     0x4d83447eU,     0x69105eecU,     0x28ddd028U, \
    0xd3faa5a5U,     0xbf0545d9U,     0x81d53ba4U,     0x06978fb1U, \
    0xf1fb9631U,     0x0cbe0c54U,     0x19aa127eU,     0xe6f7b759U, \
    0xeb05bfecU,     0x01bbd8baU,     0x1cf9bc13U,     0x1d773183U, \
    0xc3e6b8d0U,     0x1eff0496U,     0x31311e3eU,     0x74b19bb2U, \
    0x6793cb70U,     0x7a33d7dbU,     0x7de69570U,     0x87cdeb60U, \
    0xb82cd309U,     0x0a432180U,     0x7e470682U,     0x973965ecU, \
    0xdf8d2e29U,     0x0fba8d1aU,     0x427b9021U,     0xd967d720U, \
    0xb58f73c9U,     0x445f98b7U,     0xd971070bU,     0x6e45ddd0U, \
    0x029a58d6U,     0x7ec18f2aU,     0x83398a0dU,     0xe7cf0a36U, \
    0x54135beaU,     0x0f945d6dU,     0x4168fa5cU,     0x1d4b52fcU, \
    0x7cde5d24U,     0xe6070e20U,     0xae06fc35U,     0x4dcbb0ebU, \
    0xa4e1d11dU,     0xe0cafff7U,     0x2ae03a0aU,     0x39620830U, \
    0xd39d7f6aU,     0x91c6e562U,     0x46ecf311U,     0x53560383U, \
    0x4d4227a6U,     0x967ee90aU,     0x3f777d0eU,     0x85016ec1U, \
    0x4e5c92a1U,     0xa9901824U,     0x5af70df3U,     0x94c9818fU, \
    0x7934be8bU,     0x6a2e25a4U,     0xc9a32f90U,     0x0a1e3cb5U, \
    0x20eedf77U,     0x2b99f405U,     0x82ada2c3U,     0x554e9a0aU, \
    0xf9e01b56U,     0xf5c4b692U,     0x71d0478dU,     0xe2f18a5eU, \
    0x3d65f3b2U,     0xdc8a4d68U,     0x7cb0440cU,     0x852c14e5U, \
    0xc4454c46U,     0xfc90c0acU,     0x6a120bfdU,     0x576ffa14U, \
    0x0b464370U,     0x8dbc025fU,     0x63289721U,     0xc07c1571U, \
    0x85e56893U,     0x8383a6ecU,     0x6532f7dcU,     0xe1bc9b90U, \
    0x50e5345dU,     0x9ecbb530U,     0xad427bfeU,     0x9d5bc4f0U, \
    0x7e293ec7U,     0xcc7683d2U,     0x92837615U,     0x8e66f53dU, \
    0x1696ebd8U,     0xcb91411fU,     0x43749cbeU,     0x164f41dbU, \
    0xc65db77bU,     0x6c601adbU,     0x3816c764U,     0x17f3a68bU, \
    0x1196bc5dU,     0x25503795U,     0xadfdd055U,     0xb340b0cfU, \
    0x8d1e0548U,     0xb3f23950U,     0x0c70dbe1U,     0x61f1de2eU, \
    0xebef2c52U,     0xc5f7a089U,     0x9f6f41d1U,     0x8b5a1db0U, \
    0x5141e7acU,     0x3f3f839dU,     0xb25e6850U,     0x19a204d6U, \
    0x1ee0646fU,     0x0b9bd96dU,     0x66847584U,     0x8bd7e652U, \
    0x698df5cdU,     0x3cc0e28eU,     0xf10b26b5U,     0x16ae0617U, \
    0x6dcd42e4U,     0xea715459U,     0x9dfc76c9U,     0xded14fa9U, \
    0xf62a8516U,     0x2a139974U,     0xad18a32dU,     0xf622137dU, \
    0x1e2727e5U,     0xbe7bbc01U,     0x6355a9c3U,     0xa041426aU, \
    0x6ceb717aU,     0xf109f3faU,     0x20f96831U,     0x9bfb9bd8U, \
    0xf0be0605U,     0xe65eed5bU,     0x82fd7053U,     0x3425ccceU, \
    0xad72bf06U,     0x7c0e8f76U,     0xb13a06f5U,     0x5c5ba672U, \
    0x0b640468U,     0x847ca463U,     0x995498d0U,     0x2f85d8eaU, \
    0x8605e377U,     0x2c7b39d0U,     0xfcee3aedU,     0x0c8d288eU, \
    0x419a0129U,     0x5e0c17e8U,     0xa5346999U,     0x490e1c3cU, \
    0x94241571U,     0x48612fd5U,     0x42e06007U,     0xf1b41b20U, \
    0xf9768157U,     0x63fddbffU,     0x91976587U,     0x2179e6b8U, \
    0x8944e1fcU,     0x4c4ce219U,     0x0d4337fdU,     0x6adb97c9U, \
    0x48670386U,     0xa0747633U,     0x589717c6U,     0xb4ca7c5fU, \
    0xe1bba758U,     0x06a49d5bU,     0x538dbf23U,     0xa0fe756aU, \
    0x608be8fdU,     0xcb6b79d5U,     0x57bc1a60U,     0x11eb50b5U, \
    0x8a881013U,     0x645e5f37U,     0x55e23601U,     0x28c055e2U, \
    0x2a27a589U,     0x4dd2179cU,     0x7cfae57eU,     0xec02eb8eU, \
    0x3d2d8044U,     0x90f6e86dU,     0xd060dcefU,     0x4cc62c3bU, \
    0xdbaad4f4U,     0x04fb52f7U,     0x8606b4aaU,     0x185d542bU, \
    0xa5880eb5U,     0x7fd7c2a4U,     0x3af0fa38U,     0xe5bb872bU, \
    0xdb9925eaU,     0x1f9f5b29U,     0x288493b4U,     0xe77a5040U, \
    0x9a615423U,     0xdb4973b5U,     0x51960b8eU,     0x06489ac5U, \
    0x138b7b3dU,     0x3e9d64c1U,     0xaeb9d96fU,     0x071e711bU, \
    0x2e243afcU,     0x4f31f4f1U,     0xd318030dU,     0xd3525640U, \
    0x70ce092eU,     0xce154fe2U,     0x6f9f460fU,     0x1682189dU, \
    0x7d17934bU,     0x2ba06a42U,     0x9e7b99d3U,     0x95843a38U, \
    0xdd8c7118U,     0x283ffcb6U,     0xd256cbafU,     0x9624cf06U, \
    0x44b0ef75U,     0x6b1c6b0eU,     0x6c1e9fa4U,     0x1d486de6U, \
    0xeed8c2e2U,     0xa29ab24bU,     0xd508d836U,     0xfcf4d1bcU, \
    0x7bc94f45U,     0xdb5b5b6aU,     0x829c0950U,     0x5b88526eU, \
    0xec8ccc5aU,     0x23c2e68cU,     0xd7eaa073U,     0xb472f29fU, \
    0x50f78940U,     0xd62c3e26U,     0xbab6c2c3U,     0x5e1cd89dU, \
    0x2cea5ee1U,     0x0333068fU,     0x9f5ece7aU,     0x0ee23d14U, \
    0x977978adU,     0xd4de0da5U,     0xcaf611a5U,     0x64fdf6faU, \
    0x89024778U,     0x7454a84aU,     0xabbf3e11U,     0x6ba51cf8U, \
    0xb0c66f0eU,     0xb030bf45U,     0x53dbe40fU,     0x13df3f35U, \
    0x517ace7dU,     0xb0eec75cU,     0xf1dc0aa1U,     0x053f3d8dU, \
    0x86350b39U,     0x432f384fU,     0xbb762fbbU,     0x614b6c1dU, \
    0x21802041U,     0x1e1c208dU,     0x18118e10U,     0x91ea1bc2U, \
    0xa6ce2bf4U,     0xe0f6432fU,     0xbaba9c84U,     0x00be3e46U, \
    0x5997ffc1U,     0x0b11cb4fU,     0x178fb228U,     0xa573b91bU, \
    0x02768962U,     0x269e7315U,     0x6b944032U,     0x896fef60U, \
    0xb063e356U,     0xda7026abU,     0xf7054220U,     0xbc2f60edU, \
    0xe8198b06U,     0x354a6a38U,     0xdefcad55U,     0x8f5e2275U, \
    0x3454ffa7U,     0x03d569ecU,     0x267d8434U,     0xeae7741bU, \
    0x634220a4U,     0xb828025eU,     0xe9f7e263U,     0x868e92faU, \
    0x3a088348U,     0xf83c363aU,     0xc50c0253U,     0xfb337809U, \
    0x864cedeeU,     0x65a3b3ffU,     0x71b069f0U,     0x55addeebU, \
    0x306875cfU,     0xc833aab7U,     0x4af5c8e3U,     0x32709515U, \
    0x5991bb1aU,     0x2ea10914U,     0x9258f276U,     0xd45eb600U, \
    0x0e7c8b58U,     0x45d690dcU,     0xf5d150d3U,     0x6833ffc1U, \
    0x9702f106U,     0x16840967U,     0x5abe0dbfU,     0xdb14bb80U, \
    0xd94007f0U,     0xd9bd769bU,     0x2402e9fdU,     0xb8cfef51U, \
    0xff6f3bd0U,     0xde53cb45U,     0x90da05cdU,     0xd2471c71U, \
    0x0720de3eU,     0x5c995f40U,     0xe67635d5U,     0x3ddd8f9bU, \
    0xbdd23dacU,     0x08980337U,     0xeb8b7da7U,     0xb9fcdc92U, \
    0x37154851U,     0xe8857c74U,     0x9de294ffU,     0x7a4a6909U, \
    0x6064fe24U,     0x82af69cdU,     0xc0581fe3U,     0x109ee7b3U, \
    0x3de06e28U,     0xda55a340U,     0x90cd9d00U,     0x7c560bd5U, \
    0xf06ee7a7U,     0xc9c8e3b8U,     0xf4e61be1U,     0x66b3e9abU, \
    0xdd6e0317U,     0x260d97aeU,     0xc579f02fU,     0xca1af4a7U, \
    0x150752aaU,     0x323a2ba0U,     0x1223b2d7U,     0xca2bc5e5U, \
    0xfdf65a34U,     0x193ad49eU,     0xad41b49aU,     0x73530339U, \
    0x74c44a14U,     0x2581f4b5U,     0xb276038dU,     0x1e090f92U, \
    0x1ff1dc5fU,     0x7b73f86eU,     0x9faf0ae5U,     0xb4769d95U, \
    0x4531f89cU,     0x3e688c80U,     0x4cae9798U,     0xfd3f2c9eU, \
    0x1df7ca5dU,     0x33acbbb2U,     0xdf638f44U,     0x488d1c4dU, \
    0x71cf3f49U,     0xa09db0abU,     0x69d57eb2U,     0x984911aeU, \
    0x544fa7deU,     0x15dc10c2U,     0x5ae96918U,     0x4ab9b5c9U, \
    0x177b5ddfU,     0x92b5cb4fU,     0xf3dd7b03U,     0x5def2927U, \
    0x752bba0cU,     0x9435e50cU,     0xe7b4ae8bU,     0xd5918463U, \
    0x0c3bcdcaU,     0x79e9cc89U,     0x1ae4ecdcU,     0xcad5560aU, \
    0x0f68d306U,     0x4e1d8c08U,     0x8f6fa874U,     0x2fe658f0U, \
    0x00a67fbbU,     0x6d550a53U,     0xe12091bfU,     0xe0a3aa73U, \
    0x6c93bdf4U,     0x6fc89022U,     0x22bf1fd2U,     0x587cfa16U, \
    0x4398346fU,     0x9bffc93bU,     0xa101bc2aU,     0xfa5cfd71U, \
    0x37b29e12U,     0x2898023eU,     0x22744dc0U,     0xb30634b4U, \
    0x17f5fb61U,     0xd2ed8511U,     0xcf1b05e8U,     0xbafb9995U, \
    0x8985c0bfU,     0x2ce2bc2eU,     0xe1c82265U,     0x6e43b3d5U, \
    0x9d043e2cU,     0x7f3b04bcU,     0x84cf5c2aU,     0xe7a35721U, \
    0xd8791b50U,     0xe35f95ddU,     0xb2f094f0U,     0xe8e8620bU, \
    0x1ac0b668U,     0xf068469bU,     0x10103f00U,     0x0f2f0e61U, \
    0x0eef6472U,     0x62778195U,     0xc284d3b8U,     0x0d9c461cU, \
    0xa701105aU,     0x3baa3856U,     0x04f3ab8cU,     0x31967c3dU, \
    0xbde1ed79U,     0x14972d3aU,     0x8ed74913U,     0x6081f05eU, \
    0x6c710b03U,     0x7113f7dcU,     0xd7e89e11U,     0xb0dd976eU, \
    0x848ea483U,     0x680dbd4aU,     0x87d974e1U,     0xe5fdba3cU, \
    0xaba1ebbdU,     0x7091af97U,     0x740d74d8U,     0x8db19b57U, \
    0x2d198e5aU,     0x2a6f8fc6U,     0x7c0c8ac7U,     0x5323c0dcU, \
    0x03003224U,     0x4d82e80eU,     0x6cc8df96U,     0x8c0cca44U, \
    0x35361213U,     0x27a170d9U,     0xd4848f8fU,     0xaf820daeU, \
    0xeb1b0e7eU,     0xad39ef85U,     0x3498e147U,     0x246d13deU, \
    0xeba83b96U,     0x77b24315U,     0x720206abU,     0x3181b7c7U, \
    0x73ad7c96U,     0xb6e4609fU,     0xa3d25439U,     0x0ee9eb42U, \
    0x3e6357beU,     0x8a731ecbU,     0xf4aa47daU,     0x9c7a939cU, \
    0x4b28cbb5U,     0x31f38c04U,     0x19d75428U,     0x46a4bebbU, \
    0xd3c4f70dU,     0xd39ccb86U,     0xb0ecb563U,     0xd63864feU, \
    0xdc559428U,     0xc6762f88U,     0x26923f4bU,     0x9a9898bcU, \
    0xce409ba8U,     0xfa525fe6U,     0x7af1ae58U,     0x14124f4dU, \
    0x367e6d74U,     0xf8c47e0dU,     0x71c8e375U,     0xbe33eb47U, \
    0x7e9894faU,     0x4b7ee255U,     0x23a552ceU,     0xa3f6d6a7U, \
    0x51e971fdU,     0x02b64b54U,     0x9af1b274U,     0x8972dba4U, \
    0xc1756b31U,     0x6dee67b4U,     0x2ee29137U,     0xe9bc840bU, \
    0x479e932aU,     0xadf4e664U,     0x2da9b922U,     0x5c6cea5cU, \
    0x3189953aU,     0x780a9437U,     0xa381c1f3U,     0xe5c47c3bU, \
    0x7a297612U,     0x0ef02ac8U,     0xaafc6349U,     0x816ac4fdU, \
    0x22c34d87U,     0xb33c0678U,     0x622991deU,     0xd888d719U, \
    0x653a043cU,     0x647738f9U,     0x42f67892U,     0x3964fc72U, \
    0x0dcdc4cdU,     0x8c7f559eU,     0xd6c50710U,     0x8020eab0U, \
    0x49549a1fU,     0xcdfd8268U,     0x20e190ddU,     0x97cc24d6U, \
    0xda7c0df1U,     0x2b986511U,     0xff8924fdU,     0x148e5db9U, \
    0xab465309U,     0xe8ef0a36U,     0xc36afdb3U,     0x99cf353cU, \
    0x982eafabU,     0xff9af71cU,     0xdd6f583bU,     0x1c718622U, \
    0xec9f4153U,     0xc7d7e39cU,     0x35293172U,     0x4ba855d7U, \
    0xdf13bcc2U,     0x9f425b1cU,     0x072e12bcU,     0x94dc503dU, \
    0xf08a02f5U,     0xc50a3bd0U,     0x612344f2U,     0xbec3d728U, \
    0xcc3ce7a1U,     0x83de2a58U,     0x168b8da5U,     0xebca8f5fU, \
    0xa70e6e24U,     0x00c10c37U,     0x7809e658U,     0x18aae107U, \
    0xda3f7639U,     0x1544a8e7U,     0xbb50f60eU,     0x307fc8feU, \
    0x072fb277U,     0x653c8455U,     0xdbe22de2U,     0x52ba5f78U, \
    0xe9da05dfU,     0x3752e8f3U,     0x41011ed4U,     0xd9750d82U, \
    0xccbb404aU,     0x3c7d8b09U,     0x3a5cfe36U,     0x535c7869U, \
    0x996b9c26U,     0x6ad0f29eU,     0x997531a9U,     0xe307d17cU, \
    0xe0dda44eU,     0x277c3ec8U,     0xa4680177U,     0x80f9f75dU, \
    0x0fef2806U,     0x70c5dab9U,     0x7082e658U,     0x9a58f540U, \
    0x0839b044U,     0xe8f267c4U,     0x440f73a8U,     0x7615ea34U, \
    0xbd92efe1U,     0x4c1b237cU,     0x0c1da030U,     0xe77ef40fU, \
    0x8473d748U,     0x36668c5cU,     0x8916b9ceU,     0xbc2bbd46U, \
    0x20dc6230U,     0x68a4bd37U,     0xe138e094U,     0x0e6a20fcU, \
    0xf48fa24bU,     0x941adbc6U,     0x43c252b6U,     0x088cf92dU, \
    0xb8dcb0a3U,     0x0b170bffU,     0xdfb19ab4U,     0x1f29b5abU, \
    0x43c895b0U,     0x486f5c43U,     0xa86c0088U,     0x87957beaU, \
    0x277fea6eU,     0xb6d85db0U,     0x2cf02b5cU,     0xa5b7eb83U, \
    0x7d4cdb2aU,     0x5ea4a368U,     0xdb78bf77U,     0x7a05e3fbU, \
    0x49d19e3aU,     0x552e0d51U,     0xa0ffbcc8U,     0x1f584abaU, \
    0xc13b6e5dU,     0xafe15835U,     0x81282d23U,     0xe3fa5dbfU, \
    0x8450e9d4U,     0xc9cdc056U,     0x9f181b47U,     0x5e62ef4eU, \
    0xc1b95768U,     0xa17decbeU,     0x97953c51U,     0xfe23847eU, \
    0x7a9c237bU,     0x02d03f33U,     0x90e22a8bU,     0x919d20dbU, \
    0x71602f78U,     0x23ab9736U,     0xdffa9d6cU,     0x4d26f4a0U, \
    0xec3a24f7U,     0xba35c871U,     0xa9dca7dcU,     0x64885107U, \
    0x8c0ea8eeU,     0xfb3fe7b8U,     0x33ca1822U,     0x8a6b852eU, \
    0xf8ae1c83U,     0xb7b516f1U,     0xce85eb53U,     0x76b8a058U, \
    0x14b0e4b8U,     0xcacb642eU,     0xb8bf41edU,     0x526a73ccU, \
    0xc4b7c318U,     0x096e4294U,     0x939306beU,     0xc33036d3U, \
    0xfe2fd028U,     0x6cf5113eU,     0x8bb55384U,     0xc1e9b30fU, \
    0xf79dacc5U,     0x77cc6bb4U,     0xfb780068U,     0xb4b24cd7U, \
    0xfe5a0da3U,     0x62458e70U,     0xeba21b04U,     0x56d73fe1U, \
    0x0d918df6U,     0xb3f8fe38U,     0x4dd0428dU,     0x463f717bU, \
    0x07faa224U,     0xee6f7028U,     0x1f4d5b35U,     0xa96e566bU, \
    0x74b429a0U,     0x961f34eeU,     0x37acdc4bU,     0x6e083be9U, \
    0xeeb5c1bcU,     0x2761aec0U,     0x93813aa5U,     0x3b16aabfU, \
    0xc5d867f1U,     0x6aa30192U,     0x35ffcafcU,     0xf1e3d9f1U, \
    0x8710ee3cU,     0xa1bf9a06U,     0x70d82fdaU,     0x6e284aefU, \
    0xf758a843U,     0x397b6084U,     0xd9ca93f6U,     0x5fccce11U, \
    0x8feba379U,     0x07affcf3U,     0x9cab6a2cU,     0xac6fac73U, \
    0x09faa4e0U,     0x65847680U,     0x14caaab0U,     0x685a4693U, \
    0x51851b28U,     0x4c31497dU,     0xd24ea4fcU,     0x0fa1265aU, \
    0xfccd5974U,     0xabfd13ebU,     0xa92f6e6eU,     0x56478b6cU, \
    0x943ceb93U,     0x14a2ab70U,     0x86767f9dU,     0x3979a0b5U, \
    0x765a8b95U,     0x5c65a058U,     0xaa758950U,     0x5f71f637U, \
    0x31d95fb7U,     0x0ac80b50U,     0x9d2adb6cU,     0xac095c0dU, \
    0xd859b6b4U,     0xa49cc248U,     0x184beff2U,     0x6a2f1c73U, \
    0x728ce9a3U,     0x26c0f5ffU,     0x7431aa96U,     0xe6b7dc99U, \
    0x5a34a8caU,     0x2e0a8178U,     0x0b1ced13U,     0x4290f3e5U, \
    0x6ca3db25U,     0xb593670bU,     0x9bd76248U,     0x7b822034U, \
    0x5984ad71U,     0x676c75a4U,     0x28e996b8U,     0x5ad94f77U, \
    0x0332d8d0U,     0x14c82579U,     0x54b99550U,     0x783cba71U, \
    0x0dcd3d8fU,     0x1007c151U,     0xb0bbbab0U,     0x0a95c772U, \
    0x43e53ddaU,     0x04607c18U,     0x9ab9c4fdU,     0x2ed7ff9bU, \
    0x985efb3cU,     0xf0cdac21U,     0x6812ec8fU,     0x38be4148U, \
    0x7f4b3a5eU,     0x46884009U,     0xe57b72a2U,     0xf271e53eU, \
    0x307caeedU,     0xeb94be76U,     0xc88a2925U,     0x994b568cU, \
    0xec9f8540U,     0x6dc21ac6U,     0x3c96fb2eU,     0x653e429eU, \
    0xaa585f54U,     0x2e94c8c2U,     0x7f8bb8e2U,     0x1d13639fU, \
    0xa7a970f4U,     0x90f6161eU,     0xfcdd2b34U,     0x4e51a91bU, \
    0x2ca31d90U,     0xb1cd31c4U,     0x36abfce4U,     0x731841baU, \
    0x51c1a322U,     0x8458782cU,     0x12af9475U,     0x2444cdc8U, \
    0xa50c7f9fU,     0xc1b4293aU,     0xb31ba7edU,     0xb9880b2fU, \
    0x8879af58U,     0x907f4491U,     0x1b1f27a9U,     0x1e8eb83eU, \
    0x6ab1d712U,     0xa19f8a11U,     0x2a603498U,     0x75e03843U, \
    0x53e12725U,     0x55f38118U,     0x36fb36a1U,     0x8255808bU, \
    0xe5b64908U,     0x5b86c9b7U,     0xb01d5ea0U,     0xa662a816U, \
    0x8eb02e9cU,     0x12882e47U,     0xa616b8c1U,     0xfafde3adU, \
    0x28d9e607U,     0xec0005b3U,     0x50a33cf4U,     0x63cc4dd8U, \
    0x2c9aa983U,     0xb47ec01aU,     0x37448ed7U,     0x98b4c2caU, \
    0x3f4db825U,     0x3e73c636U,     0x37804255U,     0x0d13c068U, \
    0x1afc4374U,     0x4237e908U,     0xb49ba26cU,     0x742b531bU, \
    0xb66417bcU,     0x8952d922U,     0xd4fc2d4eU,     0x1d78d94eU, \
    0xfcb63a46U,     0x09dc5f4cU,     0xa3e7eef0U,     0x178258dcU, \
    0x873273d0U,     0x9ffec4d6U,     0xbf5bc50bU,     0xd3ef5b4cU, \
    0xc63ed6fdU,     0x9050fb52U,     0x3266efcbU,     0xbb5d821aU, \
    0xb1ecf625U,     0xf61a2f13U,     0xf0224589U,     0xade887bbU, \
    0xa31f1ef6U,     0x11f01c1bU,     0x7acba79bU,     0xdf780064U, \
    0xf01864dfU,     0xa46ed00fU,     0xca9a386eU,     0x3cf7ba39U, \
    0xff45d35fU,     0xe51187a3U,     0x32a1b13fU,     0xa9e37387U, \
    0x0fa7bd53U,     0x6917c542U,     0xf840d9d7U,     0xf047bbc7U, \
    0x167ae0bdU,     0x05b9643aU,     0x7e2737a9U,     0x08b5238bU, \
    0xf6c25f99U,     0xe75380a6U,     0xab0a732bU,     0x0adc5be4U, \
    0x5fcc1752U,     0x51a2dbb0U,     0xfb59f172U,     0x62f101e3U, \
    0xe49a0f80U,     0x0b6f1af8U,     0x47524e55U,     0x9a94a37bU, \
    0xc2238d0cU,     0x1a0c12ffU,     0x60dcef90U,     0xca4f1fe1U, \
    0x91ab7f1fU,     0x34280ec1U,     0x453d2198U,     0x3dff1d0eU, \
    0x030b1e7aU,     0xdf212bd9U,     0x9d555c8dU,     0xbca41edbU, \
    0x69a05da0U,     0xb6fbef2cU,     0xbbc69cbeU,     0x1831e7cdU, \
    0xf9f357b6U,     0x406034d7U,     0xb26ba761U,     0x585c8b85U, \
    0x3ef5ff53U,     0xaf1a1f57U,     0x7e16c70aU,     0x0428b821U, \
    0x63e5d02aU,     0x33eb5336U,     0x2f34f205U,     0x387194f0U, \
    0x5a8b8c9aU,     0x074f03adU,     0x54b35f61U,     0xb1530fd7U, \
    0xfe01cc02U,     0x4db03d89U,     0xad42ac39U,     0xc0e94255U, \
    0x8643fd5eU,     0x7ccb543eU,     0x78a12ae0U,     0x76ba8f93U, \
    0xc67b460dU,     0xf9c5c5c8U,     0x624c47eaU,     0x33153b9cU, \
    0xcdd7f7c2U,     0x521c6c58U,     0x574211ffU,     0xe38fe2ebU, \
    0x3f3ccaeaU,     0x2d28f80bU,     0xea898cbdU,     0xf1859239U, \
    0xf7f64420U,     0x65d534bfU,     0x93e6982cU,     0x66eaef0aU, \
    0x5ce172d2U,     0x110ceeb8U,     0xc93849feU,     0x2ea7b9b5U, \
    0x1ddb2a0dU,     0x7097684cU,     0x81605debU,     0xd42bdfaeU, \
    0x734a35d1U,     0x38ba2d2dU,     0xcc872d8bU,     0x393936b9U, \
    0xa1fd7285U,     0x5b5ae34aU,     0xe04a349aU,     0xc4db36d3U, \
    0x208c281cU,     0xca531d33U,     0x039d99f4U,     0x4b17c7a5U, \
    0x78c4f217U,     0x0f1f5ed3U,     0x346b93efU,     0x85473149U, \
    0x5b7adcf5U,     0xdb8b6683U,     0x77b44514U,     0xd1dd6845U, \
    0xecafbc45U,     0xee21147fU,     0xc9819b58U,     0x36ea4027U, \
    0x4ceed2c9U,     0x0d150f19U,     0x17487b4aU,     0x1268e743U, \
    0xa8f13f8bU,     0xc1757a54U,     0xd33c70afU,     0x3ba48b69U, \
    0x72cc6507U,     0x8f466460U,     0x57e7a284U,     0x1cf61b29U, \
    0xde9c3015U,     0x1a009cb0U,     0x64c52930U,     0x9667856aU, \
    0x1d2f1c42U,     0xc74cb0feU,     0x51ca5965U,     0x8381bed3U, \
    0x1b8115fbU,     0x9f4d7e8aU,     0x042458c2U,     0xec6e94bdU, \
    0x7d83c530U,     0x2445d837U,     0x79da3701U,     0x7c91124dU, \
    0xdb86395aU,     0x7e24d246U,     0xc7145875U,     0x12b90119U, \
    0xcc0906bbU,     0xf1db8397U,     0x1caf6485U,     0x1ef4c039U, \
    0xab23d4f6U,     0x8cf9f987U,     0x79a5cca5U,     0xb226828aU, \
    0xe0494d6aU,     0x934cf200U,     0xb2f944f2U,     0xb40e3693U, \
    0x776cd617U,     0xa0bb7d93U,     0x18b1c106U,     0xc3a6689dU, \
    0x827c47d4U,     0x4c5eeb63U,     0x4c08421bU,     0x1c4574daU, \
    0x64de4140U,     0x046f8076U,     0xdc5975fcU,     0x96ec94acU, \
    0x36582beaU,     0x8d80100eU,     0x7678bacdU,     0xd1313394U, \
    0xba60d659U,     0xd644cb30U,     0x39bdb301U,     0xd3f98331U, \
    0x2110b48aU,     0xe4fc8f2bU,     0xaf4007adU,     0xcac3a3f5U, \
    0x420e9b95U,     0xbf34b86cU,     0xcbe88237U,     0xe1df6723U, \
    0x7828c32dU,     0x0ffae314U,     0xf5023961U,     0xdeb58797U, \
    0x84afe99bU,     0x22036160U,     0x47e850d4U,     0xeae073a9U, \
    0x6e13fd16U,     0x8f27c67cU,     0x873848bcU,     0x4944364bU, \
    0xa5125930U,     0x87bac1ecU,     0x998b6ab0U,     0x45f30c2bU, \
    0x63ac7e17U,     0xbfc9c26dU,     0xaea0b239U,     0x4567c995U, \
    0x43ed45fcU,     0x3a4daa16U,     0x7a99df44U,     0x49d0113fU, \
    0x228961d2U,     0x736cb71eU,     0xb5df9021U,     0xb9d4a31bU, \
    0xa32e3973U,     0x3fdeff21U,     0x2f61223bU,     0x3bbfda48U, \
    0x392fc35cU,     0x60994208U,     0x58f40b8fU,     0xe0c115f2U, \
    0x7e3b66a9U,     0xe06e67cdU,     0x7030c359U,     0x7a917c15U, \
    0x898f8e66U,     0xe49187f1U,     0xcf605a84U,     0x73e09912U, \
    0x066da4c0U,     0x1b2c26cbU,     0x3661b45aU,     0x70df710eU, \
    0xccf6e321U,     0x79033b84U,     0x43a7d9fdU,     0xb83c3322U, \
    0xe6013fdfU,     0xcde724d1U,     0xeb2dd7fcU,     0x25af9d1fU, \
    0xd09a98c0U,     0x7a5a500fU,     0xc94c6db7U,     0x47901d3eU, \
    0x2fa9fc1dU,     0x17526b46U,     0xf10e2939U,     0x2f87465bU, \
    0xa664a3fdU,     0xea7c31b7U,     0x9f5858eeU,     0x70ec66efU, \
    0x1e3d6c40U,     0xdf18da19U,     0x80dfa927U,     0xad9c019bU, \
    0xe04e130aU,     0x9c80ed0dU,     0x8c8650e8U,     0x10a5e897U, \
    0xdc6c4cd2U,     0xa79b06d5U,     0x5e3128c5U,     0xb75736eeU, \
    0xd6349d01U,     0x91142794U,     0xa714e0c4U,     0x041cf1d3U, \
    0x3ce5217eU,     0x5a3223ccU,     0x3feb5253U,     0x61bc1d77U, \
    0x4c33f8e9U,     0xe2d7fa09U,     0x9d840199U,     0x9d9ea276U, \
    0x5993b7a8U,     0x141d82f6U,     0xc8f99bfaU,     0x58977361U, \
    0x66184ba8U,     0x6a340d18U,     0x4eef9336U,     0x06e9ebc7U, \
    0x0c292d92U,     0x2565f235U,     0x29532e07U,     0xf4d8e25cU, \
    0x8df81723U,     0x8b2bb8ecU,     0x6233d6c4U,     0xa7619c22U, \
    0x2200c1eaU,     0xbf3770c6U,     0xdaae4c40U,     0xbdea3d93U, \
    0x911face0U,     0xe47d5fbeU,     0xcaecf871U,     0xfb133f2dU, \
    0xcb356072U,     0xa2496d91U,     0x9f641e3dU,     0xa6f68d67U, \
    0x57c97b39U,     0xbe94c6f9U,     0x72f6bac6U,     0x998d3c6bU, \
    0xd2afd42bU,     0x370cd687U,     0xeec560e3U,     0xafde7a60U, \
    0x33bf716dU,     0xbe7bd279U,     0x206692e2U,     0xd4e97227U, \
    0xde36d2f0U,     0xe3735740U,     0xd9673978U,     0xb3b0ffd4U, \
    0x57f0ac23U,     0xec87b58fU,     0xcd013389U,     0xcb9767adU, \
    0xf3de3785U,     0x0a6c2111U,     0x6c103799U,     0xfe2b716fU, \
    0xe6f5c037U,     0x375bd678U,     0xa2e11e81U,     0xd85e96d7U, \
    0xe388e6b4U,     0x49a97803U,     0xb0432f6dU,     0x6874ef77U, \
    0xa306e754U,     0xceeb89d7U,     0x3d098ea5U,     0x8aa7e14cU, \
    0xce272033U,     0xb97aaa5eU,     0xe08dc44bU,     0x31b6a9a0U, \
    0x415a63fbU,     0x41c2c64eU,     0xe0214e22U,     0xbe12059aU, \
    0xf74a57b6U,     0xf69333a5U,     0x61630a31U,     0x30873d6eU, \
    0x86002123U,     0x070080a3U,     0x6a938722U,     0xb1336081U, \
    0x35f12352U,     0x71cc12aeU,     0x8c48601cU,     0x67ddf509U, \
    0x0fad7674U,     0xfd88dcfaU,     0x2283c048U,     0x95592d9aU, \
    0x00edfa89U,     0x9b314990U,     0xfa5fee28U,     0xf3dfcf06U, \
    0xe9dac79cU,     0x4b9c0c76U,     0xcd7a326aU,     0x0e300422U, \
    0xa9eee60fU,     0x8b705fb5U,     0x31763094U,     0x39fa4e89U, \
    0xa009d27fU,     0x9f6005aaU,     0x859f8931U,     0x49aa974bU, \
    0x00bb8e7dU,     0x0e6fd4c6U,     0x92f722c1U,     0x119952c7U, \
    0x87765eb5U,     0x47c6177aU,     0xcbb6639dU,     0x975b484fU, \
    0x5bbf39b3U,     0xaf882f06U,     0x2419103bU,     0x70d491f0U, \
    0xb90d9455U,     0xc45330efU,     0x41ef7cc8U,     0x6fb72be8U, \
    0x654909b4U,     0x3d24daf5U,     0x1220442dU,     0xa4a79bdcU, \
    0xdae7f265U,     0xe1c9944fU,     0x0521ef27U,     0x4be56c74U, \
    0x25ced3acU,     0xacc203a9U,     0xdc6c595eU,     0x080d39e7U, \
    0xdd8d5688U,     0x14e0f3d0U,     0xf811deb4U,     0xd6de6e6fU, \
    0x78e59006U,     0x7fa4fadfU,     0x3e63e94eU,     0x0bdb2793U, \
    0x29ec090fU,     0x9848f822U,     0xdefb4f27U,     0x184be10dU, \
    0x3363ebbeU,     0x6859daf7U,     0x0eef4524U,     0x8f1b840fU, \
    0x43d78c9cU,     0x0d129490U,     0x255e2e25U,     0x41e2b25cU, \
    0xe59e3723U,     0xcf2a5a33U,     0xb0b6b97bU,     0x50d76e6fU, \
    0xcf461fd0U,     0x928cd3d4U,     0xd5deb026U,     0x4103a3f4U, \
    0x58855ebbU,     0x16aafe15U,     0x4af3feecU,     0x9a21f1e4U, \
    0x6bc739f9U,     0x1e24cdbbU,     0x343e94a1U,     0x94d44ac8U, \
    0x3895205aU,     0xdc4c773cU,     0x417431bbU,     0xf3b7b510U, \
    0x52db5a7bU,     0xb1d5cff2U,     0x8d7f59beU,     0xee91aca9U, \
    0x10b04a3cU,     0x0641e344U,     0xd6804bfaU,     0x57f9b7e4U, \
    0xc9bca274U,     0x506e336dU,     0x3c5450aaU,     0xbdd6d123U, \
    0x622f8b96U,     0x77a80211U,     0x99f453f9U,     0x5ee52d3cU, \
    0xde154a5bU,     0x0723f3c8U,     0xf925afa0U,     0x541a024dU, \
    0xfd0477ecU,     0xa9a00013U,     0x194e1412U,     0xfc5140c3U, \
    0xbd0fc77cU,     0x0dfd4fbaU,     0x4d45c2a9U,     0x3ed3cd65U, \
    0xb2b4af58U,     0x20aceeaeU,     0x03d7bba5U,     0x7aaa0a75U, \
    0x85eedd0dU,     0x7760a460U,     0x5467e9e9U,     0x89cfaf1fU, \
    0x6b91cf6eU,     0xe0f33b3eU,     0xddc40b23U,     0x10db04e3U, \
    0xcdea5c72U,     0x0ce9ad67U,     0xad0bed6eU,     0xf547b92eU, \
    0x11230c80U,     0x3c864ab4U,     0x30111086U,     0xd716ce66U, \
    0x24813eadU,     0x8936a75aU,     0x3dd37fdcU,     0x9430f8ebU, \
    0x54ad5b28U,     0x335718ddU,     0x31067530U,     0xf402f9dfU, \
    0xe3824d21U,     0x0217b2e0U,     0x6c2192fdU,     0xb49bce41U, \
    0x54d477adU,     0x8133e797U,     0x7b86ae33U,     0x29ea1db5U, \
    0xff6d76b2U,     0xb5557f5bU,     0x541f236aU,     0x50f12310U, \
    0x5dc56692U,     0x04cc1e41U,     0xbfef95deU,     0x4c799fc1U, \
    0x89e6ef2bU,     0x01e2ce02U,     0x16d862c2U,     0x28ed3c33U, \
    0xb600085dU,     0xa6728f19U,     0x9188346aU,     0x495e310dU, \
    0x0afdba40U,     0xa1dae8aeU,     0xf50e7982U,     0x319ac035U, \
    0x759d11e6U,     0xd46407a1U,     0x0cdff9aaU,     0xc0a2967cU, \
    0x7f8553a4U,     0xde3a9df0U,     0x472b3733U,     0x63fb906cU, \
    0x6d5a5630U,     0x279157b8U,     0x72d82fd1U,     0xa6252ccbU, \
    0xbcd8b37bU,     0x0c9286a9U,     0x11809ff6U,     0x6204ef06U, \
    0x94525a70U,     0xaedd508aU,     0xeb53b17fU,     0xf86be43cU, \
    0x01bc8425U,     0xdd676694U,     0x9aadb4fbU,     0xc2d60d9dU, \
    0xcc9d3349U,     0xcb5ab0c3U,     0xc89fbcdbU,     0x730739d4U, \
    0xeb4ff5b7U,     0xd6d3c652U,     0x9c733543U,     0xa9dd3816U, \
    0x47160d61U,     0x925e83efU,     0xc425f291U,     0xfdf8d63dU, \
    0xa2bd9aafU,     0x1615e247U,     0x476d296bU,     0x74967379U, \
    0x18f6ef3cU,     0x698270e1U,     0x6f5420a2U,     0xd5782f5bU, \
    0x7eb56c45U,     0x2fbba437U,     0xebed0816U,     0x15cfd300U, \
    0x68f78f6bU,     0x5e8bb830U,     0x6c217bc8U,     0x098969d7U, \
    0x204b6bf6U,     0x7f0eb93bU,     0x3bf02650U,     0x43db9b3fU, \
    0xfe6e60b8U,     0x7733d898U,     0x66de515aU,     0x5734ba9bU, \
    0xf7124965U,     0xd5c4c98dU,     0x85a45dfaU,     0xaa711fb8U, \
    0xd1ed636aU,     0xd6e7fbc6U,     0xfc2214d6U,     0xb5ea58eeU, \
    0x24843280U,     0x8d1c1f57U,     0x58a539f0U,     0x795c38c5U, \
    0xb061c0eaU,     0x9a75dab4U,     0x74182e3fU,     0x847d499eU, \
    0x9b5bed76U,     0x519cdde4U,     0xd3a398efU,     0xa94fc349U, \
    0x3557e32bU,     0xa3555d25U,     0xbac5812aU,     0x91220980U, \
    0xd0fce3a4U,     0x609ecba6U,     0xf19fa5c2U,     0x04dd7694U, \
    0xad7cc547U,     0x8f6e46b5U,     0xb71ceb8cU,     0x8a4aae00U, \
    0x57aeebfbU,     0xdbc9f5c2U,     0xb3ac4c86U,     0xfd1cc003U, \
    0x9dc1ea87U,     0xf9e3516aU,     0x4fcc4506U,     0xcab9bb1eU, \
    0x9d95ed07U,     0x1b08f463U,     0x84098175U,     0x8cc5b9cbU, \
    0x589ed07dU,     0x7b272b60U,     0xfba1c497U,     0x94abe379U, \
    0x6e0fed74U,     0x3370206fU,     0x9e6cbda5U,     0xda95a38aU, \
    0xd4a2af28U,     0x45917ef1U,     0x3afa6f3bU,     0x301d8f77U, \
    0x69a0ea63U,     0xb64992c1U,     0x0f921fd6U,     0x81762a91U, \
    0xf83ec436U,     0x1ff6e787U,     0x8aee7e64U,     0xe5a9ace4U, \
    0x7a849341U,     0xb6912f1bU,     0x2d7344e6U,     0xe141449bU, \
    0x6fbe2e6bU,     0x3c20522cU,     0xd44819f5U,     0xe2c4ab11U, \
    0xffd52509U,     0x7fd4d2b5U,     0x45aa32bcU,     0x4bd1f0c1U, \
    0x8ac8d7f7U,     0xc0c4e0caU,     0xe5122e12U,     0x250f744cU, \
    0x8d8f585cU,     0x6ade6158U,     0xc641205eU,     0x6a684f89U, \
    0x6c0f75cfU,     0x8e4139edU,     0x49dffb7eU,     0x7ecf4c4dU, \
    0x83ddf862U,     0xc89be191U,     0xf007e80eU,     0x375c4bf2U, \
    0x5d752857U,     0xd0024d5bU,     0x9c6069f5U,     0x339023d8U, \
    0x7e6874dbU,     0xa137ad17U,     0x4cd65d9aU,     0x005dff87U, \
    0x480d3559U,     0x29550ac9U,     0xb5a70521U,     0xf222ed10U, \
    0x155c90e6U,     0x6a212157U,     0x88865503U,     0xc0ea9f30U, \
    0xa60ad3d1U,     0xaf057562U,     0xd829feecU,     0x9d420c52U, \
    0x8b501c41U,     0x56201fbeU,     0x0981a411U,     0x20b7bb00U, \
    0x3116ffe8U,     0xb69c044aU,     0x13e0817cU,     0x02e29e80U, \
    0xc4780965U,     0xf52133afU,     0x35f20188U,     0xe4fac98dU, \
    0xe220d1ceU,     0xe3bea27fU,     0xcf755348U,     0x5b3207a6U, \
    0x826716d1U,     0x066296e9U,     0xbeb089b9U,     0x46144c68U, \
    0x360bbbb8U,     0x2fc3e43fU,     0x8b6db6dcU,     0xdff52d12U, \
    0x0f77932eU,     0x232d1582U,     0xf76cad6eU,     0xfa5025b7U, \
    0xb07a33f5U,     0x7fe70d13U,     0xd2475085U,     0xa35f3473U, \
    0x46b52ac0U,     0xa92b0d1bU,     0x2ecce6a3U,     0x8ac9f8b3U, \
    0x59ca5f2cU,     0x4155132cU,     0x98e0d504U,     0x68a0c459U, \
    0xac22e524U,     0x58b6d547U,     0x5d7c6717U,     0x0deabd17U, \
    0x2bf5125aU,     0xf0a1eac4U,     0xf4aae3a1U,     0xa1c97592U, \
    0xe8377b92U,     0x395ac0b2U,     0xc0e5ea11U,     0xdc076e6dU, \
    0x7de39b10U,     0x3a043d05U,     0x3490f812U,     0xd268b46dU, \
    0x793b3f23U,     0x30482f12U,     0x04563d4cU,     0x5bf468f8U, \
    0x62f047a7U,     0x39834583U,     0xfed788b1U,     0x780d930aU, \
    0x38907c37U,     0x733e821cU,     0x710c3eedU,     0x36f18f62U, \
    0x5ed17e33U,     0xa2a0780cU,     0x830fa14bU,     0x5b6e9c4eU, \
    0x497a9d99U,     0xcd3ca8d4U,     0xbf858191U,     0xab1d655aU, \
    0xf870bfe3U,     0x4546f072U,     0x0a928c16U,     0x8d79c3caU, \
    0x96b7c1f7U,     0x080a9b78U,     0x91d44564U,     0x191d3165U, \
    0x3e4a5638U,     0xc5aca386U,     0xf92f2a5eU,     0x72b87e28U, \
    0xdefd4e81U,     0x7c7626a8U,     0xcce9b776U,     0xde62d78dU, \
    0xc3ba8ba1U,     0xccd59c88U,     0x5251f545U,     0xbec013d1U, \
    0xecae6b10U,     0xfc2f13aeU,     0x28b4dd2bU,     0x45b7d61eU, \
    0x0841a422U,     0x9bcf4cc6U,     0xddac19edU,     0x22747ff6U, \
    0x1f0a8f9aU,     0x4fbf0610U,     0x4c7e4b1bU,     0x33acdd7cU, \
    0xffa50c24U,     0x050ef3e6U,     0x87b8946eU,     0x8abc1193U, \
    0x24b7d708U,     0xc243b445U,     0x844f57abU,     0xc1f8e3c0U, \
    0xbc9fd00fU,     0xcd9c0fb0U,     0x1f4a29d9U,     0x564f0ae5U, \
    0x7e3d9a9bU,     0x8b4603c7U,     0x7dcc057fU,     0x0f3bab18U, \
    0x49bba9c7U,     0x4ee6354bU,     0x9e1d4ae0U,     0x99205ecaU, \
    0xbf58b702U,     0x75ef0eb5U,     0x42f80df2U,     0x91fd0d90U, \
    0x960455d7U,     0xa10cf198U,     0x287b2aedU,     0xc189ac2eU, \
    0x0def106fU,     0x14218437U,     0x1bb2a6adU,     0xc101f870U, \
    0x54011a21U,     0x68944546U,     0x482c3f5eU,     0xeb337a27U, \
    0x1e3870b1U,     0xa9978234U,     0xa5793b59U,     0x5ca43757U, \
    0xf4edd55cU,     0x9d679590U,     0xcd373107U,     0x6a6a040cU, \
    0x0b4f7be4U,     0x57e71723U,     0xcbcccb42U,     0xf474ad43U, \
    0xd3920dc9U,     0x90a88114U,     0x51506306U,     0x0949dfb8U, \
    0x8dd85b3eU,     0x36af667eU,     0xaa4591e3U,     0x68219662U, \
    0x8e29e9cbU,     0xa0c11327U,     0xed927ef9U,     0x97213821U, \
    0x2b0c3a04U,     0x7ae67c74U,     0xfd1cdc6fU,     0x2caeaf20U, \
    0x5961263cU,     0xb8a2a63aU,     0x53fb655aU,     0x8cb46096U, \
    0x54ab3878U,     0x1e208844U,     0xc8a47449U,     0x64fd870bU, \
    0xd9685e75U,     0xa479d3ebU,     0xad548c20U,     0xe8b9e15bU, \
    0x4c3e6df0U,     0x0c95d582U,     0x0e2e65e2U,     0xf4db0db0U, \
    0x6109dc12U,     0x2386a410U,     0x2210c693U,     0xa62a1dbcU, \
    0x596bd2f2U,     0x7caa93f9U,     0x238c0673U,     0x96cde3c7U, \
    0xb073229cU,     0xde928506U,     0x57c5632cU,     0x8c19ab64U, \
    0xa26b1f55U,     0x5ce419d1U,     0x29d702f0U,     0x8de85491U, \
    0x6c067a52U,     0xf0fc3e95U,     0x1db338a2U,     0xe7d5a1a1U, \
    0x37a63c2aU,     0xdcf86be7U,     0xef1e6decU,     0x97482a34U, \
    0x53919718U,     0xe647f7a0U,     0xb364ec52U,     0xf107b9afU, \
    0xe9ce3f1bU,     0x3c64fcc4U,     0x3492eda0U,     0x552157d6U, \
    0x77d53ea2U,     0xc0e25d27U,     0x349a6db5U,     0x8d4b7e89U, \
    0xb29afef4U,     0x5b5f10bbU,     0xa2902aaaU,     0x9cce3264U, \
    0xc83f1522U,     0x1e0a41ffU,     0xee8a497cU,     0x03612a26U, \
    0x2670d5e7U,     0xe9bb82e0U,     0x63972606U,     0x098c3cfdU, \
    0x39626eeaU,     0xb9ad016eU,     0xeec74e8bU,     0xb2695b59U, \
    0xbc0784c2U,     0xce2b1ca2U,     0x05732054U,     0x0a09b6a7U, \
    0xd16db257U,     0x48832fdaU,     0x6632c16aU,     0xd8f354a1U, \
    0xf031a051U,     0xd7e22b2eU,     0xaa998163U,     0x5f015d70U, \
    0xbaa49919U,     0x5129e974U,     0x232fe665U,     0x10b58595U, \
    0xa33798f2U,     0xf1bc86efU,     0xa4aef684U,     0x7b43f5ceU, \
    0x44b45d12U,     0x8537c550U,     0x950ec608U,     0x4aa8c514U, \
    0x8d14950dU,     0xa0f577f9U,     0xb7a5a495U,     0x8a4beb07U, \
    0x482eec20U,     0xf5ec55fbU,     0xc7b1c97eU,     0x06911fe7U, \
    0x3e62c25aU,     0x94890fe2U,     0xb318fe2eU,     0x15366730U, \
    0xca44fbc1U,     0x16b02e64U,     0xddaa6ec2U,     0xf26fb3e1U, \
    0x6b7c4da0U,     0x40453d5fU,     0x6dea06b3U,     0x7118c2adU, \
    0xf22a4f1eU,     0x9b71e662U,     0x6dca571eU,     0x1dddebe8U, \
    0xf66c31efU,     0xe7c0ad85U,     0x45c0b0baU,     0xa4ec8e82U, \
    0x6abaa9f2U,     0xc3536947U,     0x40295ecbU,     0x39c35600U, \
    0x6ef22693U,     0x02bc1aa8U,     0x37c38333U,     0xf7c0c307U, \
    0x28315991U,     0xb74f8c63U,     0x689a041eU,     0x70721834U, \
    0xc0a184bbU,     0xf7805286U,     0x4472f101U,     0x1ea8f837U, \
    0xa6d67553U,     0x8f6a7ac8U,     0x4f38526fU,     0xc743c5daU, \
    0xbd03aa51U,     0x1dfc43ecU,     0x2ddda634U,     0x599876c4U, \
    0x33fb742eU,     0xcb860574U,     0xc45a20c2U,     0xe30399abU, \
    0xc5dd41a6U,     0xcd0d1e34U,     0x7711cb3aU,     0xcc804e75U, \
    0x824d6deeU,     0x27abc6feU,     0x6a372d4fU,     0x2e2a641dU, \
    0x920ee608U,     0x71167699U,     0x146d1359U,     0x40a78b1aU, \
    0x30d071f9U,     0xff38d7bcU,     0x7fee5fb5U,     0x4e50e123U, \
    0xbbecfb7cU,     0x1b1b05ecU,     0xe0ebbba4U,     0x3f045e2dU, \
    0x77dfb86aU,     0xaf837d22U,     0x3e1d5c0fU,     0xc87d8d6cU, \
    0x3ca0aad7U,     0xd747a7ceU,     0xf1e15f84U,     0xfff707a0U, \
    0x34ee41a6U,     0x5de80bdeU,     0x73393455U,     0xb67bbea8U, \
    0x2c378709U\
} /* 265572 bytes */
