/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_firmware_V1_sr1.1-hs-enc.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE_SIZE_IN_BYTES (265572U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE { \
    0xcc068230U,     0xb4048230U,     0x010203a0U,     0x5a140202U, \
    0xc8b1afd4U,     0x32099bcdU,     0x0df2f20dU,     0x09b98e1cU, \
    0x30401861U,     0x2a09060dU,     0xf7864886U,     0x0d01010dU, \
    0x81300005U,     0x300b318bU,     0x55030609U,     0x02130604U, \
    0x0b315355U,     0x03060930U,     0x0c080455U,     0x31435302U, \
    0x060d300fU,     0x07045503U,     0x6144060cU,     0x73616c6cU, \
    0x1f302131U,     0x04550306U,     0x54180c0aU,     0x73617865U, \
    0x736e4920U,     0x6d757274U,     0x73746e65U,     0x49202c2eU, \
    0x312e636eU,     0x060a300cU,     0x0b045503U,     0x4250030cU, \
    0x300f3155U,     0x5503060dU,     0x060c0304U,     0x65626c41U, \
    0x1c317472U,     0x09061a30U,     0x8648862aU,     0x09010df7U, \
    0x410d1601U,     0x7265626cU,     0x69744074U,     0x6d6f632eU, \
    0x0d171e30U,     0x39303132U,     0x33313531U,     0x39313131U, \
    0x320d175aU,     0x31303131U,     0x31333135U,     0x5a393131U, \
    0x318b8130U,     0x0609300bU,     0x06045503U,     0x53550213U, \
    0x09300b31U,     0x04550306U,     0x53020c08U,     0x300f3143U, \
    0x5503060dU,     0x060c0704U,     0x6c6c6144U,     0x21317361U, \
    0x03061f30U,     0x0c0a0455U,     0x78655418U,     0x49207361U, \
    0x7274736eU,     0x6e656d75U,     0x2c2e7374U,     0x636e4920U, \
    0x300c312eU,     0x5503060aU,     0x030c0b04U,     0x31554250U, \
    0x060d300fU,     0x03045503U,     0x6c41060cU,     0x74726562U, \
    0x1a301c31U,     0x862a0906U,     0x0df78648U,     0x16010901U, \
    0x626c410dU,     0x40747265U,     0x632e6974U,     0x82306d6fU, \
    0x0d302202U,     0x862a0906U,     0x0df78648U,     0x05010101U, \
    0x02820300U,     0x8230000fU,     0x82020a02U,     0xbf000102U, \
    0xd849ae14U,     0x6bd3727fU,     0x48ebcd23U,     0x22dc650eU, \
    0x4f0ef24dU,     0xb5edf682U,     0x7cdbddf2U,     0x596efa91U, \
    0xb6f7d5ffU,     0x8a1d04deU,     0xd995d2ccU,     0xc1c4e0d1U, \
    0xffbf50f8U,     0x22910c48U,     0x7b4c9a50U,     0x0a96f38bU, \
    0xa4b32628U,     0x55a9e0d9U,     0x3efb1a41U,     0xbf6c275bU, \
    0xaf71c0caU,     0xee22722fU,     0x62250146U,     0x04c73eadU, \
    0xb618b1f6U,     0x6e12c02cU,     0x3e9be20fU,     0xa8a0a6e5U, \
    0x41034506U,     0x1f164e17U,     0x84d674a9U,     0xa779d64eU, \
    0xa911b810U,     0x251f920eU,     0xf2b17fddU,     0x68f2b9d1U, \
    0x4b5933d8U,     0xcc777d82U,     0x23fa9cd1U,     0x8858fbb4U, \
    0xd5eacdf2U,     0x752cf216U,     0xc362fa2dU,     0xe06e09c1U, \
    0xb5e07006U,     0x62990907U,     0xe7e4d6d9U,     0x82c86d6cU, \
    0xf7935007U,     0xd1edd8e2U,     0x9ed0e35fU,     0xd95493cfU, \
    0xce5ddd5fU,     0xabf16037U,     0x7b048a14U,     0x7fbaa765U, \
    0x7c4545dfU,     0xae5ba14bU,     0x3d94c64eU,     0xd2874e8cU, \
    0xf3a43c94U,     0xf2fcda9fU,     0x0de77c36U,     0x37425aadU, \
    0xd0812af1U,     0x67a7a16eU,     0xed871e03U,     0x4a73bb00U, \
    0xa2312868U,     0x04a39a82U,     0xff87e8c1U,     0xc1aa7e45U, \
    0x053bd49fU,     0x21fd83c7U,     0x7fbdfe71U,     0x1916c938U, \
    0x03e60e52U,     0x1e1d8d33U,     0xcd1c36c9U,     0x29829d4eU, \
    0x2a9bcd88U,     0x7b5f6cbeU,     0x793ab2b2U,     0xf57d6a00U, \
    0x1e9d1aadU,     0xcf2a58cdU,     0x804ef45eU,     0xdd4f3babU, \
    0x34ded4f8U,     0xd920c4a2U,     0x852d1959U,     0x681f5e02U, \
    0xb98d4cb1U,     0x2de90611U,     0x8c58b576U,     0x6e37a850U, \
    0x836f7866U,     0x344d4630U,     0x4a18b49fU,     0x7bfabbb9U, \
    0x32d6aec5U,     0x6c848410U,     0x33809a3fU,     0xbc4dfc35U, \
    0x54606ed5U,     0x6d7ecf50U,     0xfa049780U,     0xfd200b8fU, \
    0xa12b98bdU,     0xfd59bd37U,     0xa145ec4aU,     0xc9178b09U, \
    0xb7331472U,     0x5d125e05U,     0xce1d5ae2U,     0xe1f65421U, \
    0xaa55d5eaU,     0x094deb27U,     0x824019dfU,     0x1789662eU, \
    0xb36ed965U,     0x8d4e38d6U,     0x74d61661U,     0x5f16ded4U, \
    0x42d51951U,     0xc8d283b8U,     0x69a94bdeU,     0x028db697U, \
    0x01000103U,     0x240182a3U,     0x20018230U,     0x03060c30U, \
    0x04131d55U,     0x01033005U,     0x1230ff01U,     0x062b0906U, \
    0x82010401U,     0x04030126U,     0x02033005U,     0x60300101U, \
    0x062b0906U,     0x82010401U,     0x04220126U,     0x06513053U, \
    0x48866009U,     0x04036501U,     0x40040302U,     0x2f4914e0U, \
    0xa5b52430U,     0xb10c6057U,     0x2b07253dU,     0xeecfaf38U, \
    0xe7059aedU,     0xf653d512U,     0xaa3a9c7dU,     0x33e3dab0U, \
    0xf4eb2b10U,     0xf8cc3bd4U,     0x53b376f1U,     0x0317dfedU, \
    0xd838dbceU,     0x24110d35U,     0xfa4299e3U,     0x94060202U, \
    0x09061830U,     0x0401062bU,     0x01268201U,     0x300b0423U, \
    0x00040409U,     0x02000004U,     0x22300101U,     0x062b0906U, \
    0x82010401U,     0x04010126U,     0x02133015U,     0x01020301U, \
    0x00010200U,     0x04000404U,     0x02020000U,     0x5c309406U, \
    0x062b0906U,     0x82010401U,     0x04020126U,     0x064d304fU, \
    0x48866009U,     0x04036501U,     0x40040302U,     0x2f4914e0U, \
    0xa5b52430U,     0xb10c6057U,     0x2b07253dU,     0xeecfaf38U, \
    0xe7059aedU,     0xf653d512U,     0xaa3a9c7dU,     0x33e3dab0U, \
    0xf4eb2b10U,     0xf8cc3bd4U,     0x53b376f1U,     0x0317dfedU, \
    0xd838dbceU,     0x24110d35U,     0xfa4299e3U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x4a201b22U,     0xa889c4faU,     0x2545f12fU,     0x2f0c8036U, \
    0x68514e30U,     0xe392473cU,     0x8071969fU,     0x53cc7cc4U, \
    0xcf55a2d9U,     0x828c251eU,     0xe10685b0U,     0xe7cf42d7U, \
    0x509b675bU,     0xf2de52f4U,     0x98f59eb1U,     0x285c0f38U, \
    0x30d46aafU,     0x96950abbU,     0xa8cccc7fU,     0x225005d7U, \
    0x984a3e11U,     0x58012005U,     0x0364fbe4U,     0xbcdfab3aU, \
    0x38e8c2d0U,     0xd3109a8aU,     0x10514cd9U,     0x9fa8ef3dU, \
    0xb751c558U,     0x019b3dd7U,     0x3c30efa6U,     0xf7c4aa34U, \
    0xed441257U,     0xaa8e609bU,     0xf169cc46U,     0x00caa6e3U, \
    0x0dfc8a68U,     0x248a19e8U,     0x074635a8U,     0xb5503f41U, \
    0x5eb8ec9bU,     0xf7bfda0eU,     0x9c3a3e96U,     0x2af77a84U, \
    0xada7adbbU,     0x4bd02996U,     0x3d67bcc8U,     0xc81fab09U, \
    0xd94cc15dU,     0xd1fb9bb9U,     0xeda22530U,     0x64fb7d2bU, \
    0xce2e06a9U,     0xe41fe289U,     0x780dc29cU,     0xa3d191bdU, \
    0xd30a345fU,     0x9a836b4cU,     0xf6273b98U,     0x15fe3442U, \
    0x92406354U,     0x149975ecU,     0x62a244b1U,     0x2639a694U, \
    0x22ceb9e8U,     0x7b2b38c3U,     0xc42e4c88U,     0xc2f4a2f1U, \
    0x868a1e4aU,     0xe7f14263U,     0x51b24deaU,     0xbdcddf63U, \
    0x9af0cabeU,     0xd91731f3U,     0x4bcdcbb5U,     0xf2452ebdU, \
    0x40a4d224U,     0x2e0cc37aU,     0x9a5e592eU,     0xd642209dU, \
    0xafd2bce7U,     0xc1ec3145U,     0x1baf3cecU,     0x4b406f7bU, \
    0x8496f120U,     0x85981a90U,     0x512b447aU,     0xc12abae2U, \
    0x5d9c7ffeU,     0xd3a297aaU,     0x9b6b60dcU,     0xe7f7ac1dU, \
    0x31e7dd04U,     0x2162c610U,     0x462c7633U,     0x32a907d3U, \
    0x6f5d7ff9U,     0x048a06deU,     0xd6079f50U,     0x93d3abfcU, \
    0xcaac2b96U,     0x6888e4d6U,     0x50c33135U,     0x124b0f03U, \
    0x8cb6e87aU,     0x645cff5bU,     0x51e48159U,     0xe20cf76cU, \
    0x5cd9d9b1U,     0x0e02733aU,     0x86b35060U,     0x71ccaed1U, \
    0x0cb1032cU,     0xda9e0940U,     0x6feead7dU,     0xb8f7de84U, \
    0x0fd96ff6U,     0x93f49561U,     0xddda4886U,     0x2fc3397bU, \
    0x9d292906U,     0x7c117431U,     0x7f946da2U,     0x26311de1U, \
    0x5f92a1f0U,     0x4ad11015U,     0xed543804U,     0xdcc505ecU, \
    0x90068230U,     0x78048230U,     0x010203a0U,     0x00090202U, \
    0x19fa9b9bU,     0x250f1c83U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3031320dU,     0x30353139U, \
    0x33303533U,     0x0d175a33U,     0x30313132U,     0x33303531U, \
    0x33333035U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x65332de5U,     0xe6f44255U,     0x0c2416e8U, \
    0x9ccc93b5U,     0x75dd8283U,     0x0d9e5f6cU,     0x82da7fe7U, \
    0x5cfa6840U,     0x1f2697a4U,     0x93dde44cU,     0xfe5547baU, \
    0x5157609cU,     0x048b66eeU,     0x86a5c9abU,     0x1af720c5U, \
    0x5d52eec6U,     0x53acf5abU,     0x8a0874c6U,     0x8ef71a64U, \
    0xfe960c11U,     0xa2f77ef0U,     0x50455379U,     0xcf76ac02U, \
    0xf9a3a9b6U,     0xd234d220U,     0xb22afed8U,     0x8fd040c4U, \
    0x26621675U,     0xa222f5baU,     0x77490b1dU,     0x35d04a94U, \
    0xfee719b5U,     0x72553391U,     0xa6836682U,     0x20694f10U, \
    0x4c650984U,     0x02638c09U,     0xcb884154U,     0x55368c4cU, \
    0xa8a956f1U,     0xf82fae0dU,     0xef181294U,     0x2699b611U, \
    0xd345d7daU,     0x240a7eaaU,     0xd4b8cdc9U,     0xca2e16cbU, \
    0xd06878f1U,     0x1e6b0e28U,     0x8e53b2cbU,     0x452ad66fU, \
    0x34f90fffU,     0x912b1b7cU,     0x7e7e948bU,     0xdf14d583U, \
    0x9964d9cfU,     0x82d015cdU,     0xc6264e4dU,     0x2c9f36b5U, \
    0xaa7ffbe1U,     0x3d78800dU,     0xfbb91a52U,     0xd481f2f9U, \
    0xbed9a889U,     0xbc235c1fU,     0xd388f14cU,     0xbe33a48eU, \
    0x5aec404aU,     0x8ba1de02U,     0x8299f532U,     0x282c5cf7U, \
    0x26aba42bU,     0xd3fe4e30U,     0x63b78c9aU,     0x4edd2092U, \
    0xfa5d86d8U,     0xe7c23363U,     0xc18961ccU,     0x5394165eU, \
    0x20c75a03U,     0x241a6979U,     0xb5f7577cU,     0xb75b6e97U, \
    0xae69a2edU,     0xb06ab606U,     0x2b6883b7U,     0x04088cdeU, \
    0x850113cbU,     0x0fda1494U,     0xff339d9aU,     0xc3211e26U, \
    0x2b35eabbU,     0x3f4037cbU,     0x4366576dU,     0xb042a88aU, \
    0xd6c8dd1eU,     0x9caf048aU,     0xe5f482c9U,     0xb58dd6a4U, \
    0x530e2ea0U,     0xa5d351d0U,     0xfaee0653U,     0xb109f490U, \
    0xec6f2cddU,     0xe9f59fb7U,     0x5a149113U,     0xbc1783f3U, \
    0x6dbe1b3bU,     0xe20782f3U,     0xf81fb48aU,     0x4e560577U, \
    0x0d33f006U,     0x850e3463U,     0x6d16141fU,     0xa32744c3U, \
    0x5d098e60U,     0x363dd9b2U,     0xf9e26964U,     0x2da71944U, \
    0x7bf94ea6U,     0x25528022U,     0xcdc63344U,     0x07e5a66bU, \
    0x7fafbae9U,     0x1a48ea40U,     0x16083c78U,     0x01febb88U, \
    0xd9f19ee1U,     0x00010302U,     0xf481a301U,     0x30f18130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x062330ffU, \
    0x01062b09U,     0x26820104U,     0x16040101U,     0x01021430U, \
    0x00010202U,     0x04000102U,     0x00040004U,     0x04030200U, \
    0x5c300000U,     0x062b0906U,     0x82010401U,     0x04020126U, \
    0x064d304fU,     0x48866009U,     0x04036501U,     0x40040302U, \
    0x8d6ea32bU,     0x77948b53U,     0x481bebc4U,     0x6cca74a7U, \
    0xaf86213aU,     0xa9126348U,     0x0f85228dU,     0xd2e8e409U, \
    0x53af8cb6U,     0xc990cb4cU,     0x619a5bafU,     0x5fdff2e8U, \
    0xcea9f8a5U,     0x6c776884U,     0x9a4d4aeeU,     0x49d24b65U, \
    0x09061230U,     0x0401062bU,     0x01268201U,     0x30050403U, \
    0x01010203U,     0x09064a30U,     0x0401062bU,     0x01268201U, \
    0x303d0404U,     0xeb10043bU,     0x885bd887U,     0x0451d4c9U, \
    0xd378cdf8U,     0x04caa903U,     0x468f9320U,     0x91ea6f5eU, \
    0xaefa5fe5U,     0x36a925acU,     0x27939f10U,     0x2cec6a2aU, \
    0x8385a1feU,     0x6dfb9f74U,     0x0001029cU,     0x00000204U, \
    0x09060d30U,     0x8648862aU,     0x01010df7U,     0x0300050dU, \
    0x00010282U,     0x2cae98a7U,     0xd4b67d60U,     0xebfb94abU, \
    0x5852f645U,     0xa829b4feU,     0x2591facbU,     0x1108fd66U, \
    0x147f36c6U,     0x2fedc119U,     0x1fdf85d3U,     0xb21ca828U, \
    0xf569140dU,     0xbb2c0044U,     0x0610ea62U,     0xc0417f31U, \
    0x21e25e23U,     0x1228500bU,     0x4318e9c4U,     0xec338805U, \
    0xb07c0bb0U,     0x614019f2U,     0xdfb45688U,     0x32c4ef12U, \
    0x7dc8a7e6U,     0xade45590U,     0xb388695fU,     0x4dfbde5bU, \
    0x0efebc5aU,     0xb2effc6cU,     0x9bd0ba05U,     0x0c922afdU, \
    0xbc10db14U,     0x46bb647aU,     0xb4213519U,     0x9bff6082U, \
    0x619a721eU,     0x2215c9d7U,     0x6c74c99bU,     0xb35ce674U, \
    0x9c7cfbb1U,     0xeb17d2ceU,     0x7fc082faU,     0x5ed906eeU, \
    0xadd5a25fU,     0x5fcc9315U,     0xe6315795U,     0x27fd6674U, \
    0x89b6b21eU,     0x9e00e0b4U,     0x2cb95a22U,     0x38601f42U, \
    0xd4110660U,     0x0c85a431U,     0x101d8896U,     0x233154cfU, \
    0xd92be639U,     0xb18305faU,     0xde8a513aU,     0xa0f88031U, \
    0x49fe7b09U,     0x5af58377U,     0xe8526d4aU,     0x8d267047U, \
    0x01526193U,     0x56cc8657U,     0x44781f74U,     0x00bd2e58U, \
    0x834c5fbaU,     0x5b794c79U,     0xbef53782U,     0x4af5e289U, \
    0x8cb3410cU,     0x0eaa2221U,     0xb2d3f692U,     0xdc012ee8U, \
    0xbbdb7ed7U,     0xe35d4840U,     0x2e4d1bc6U,     0x7c9315d3U, \
    0xa5c38564U,     0x16e36db2U,     0xae295781U,     0x2c2dddfbU, \
    0x4a0c6f08U,     0x720e1632U,     0x4aee6f2fU,     0xdd9d8fedU, \
    0xf6aaf943U,     0x3e1d5f78U,     0xcda9ac48U,     0x708293b6U, \
    0x4d7606ccU,     0x1d428a46U,     0xdb6b333bU,     0xb0765c3eU, \
    0x3a237ee5U,     0x3ff0f13eU,     0x1bf15ca5U,     0x8fb30e95U, \
    0x99067df0U,     0x45878ec0U,     0x1773f7baU,     0x8ed3ce3bU, \
    0x29051ab4U,     0x0fdebbe5U,     0x8c8f74cfU,     0x114bad09U, \
    0xa5fa9783U,     0x0e795f84U,     0xe39d8b57U,     0x3ef857d5U, \
    0x10122b55U,     0x9bde023bU,     0xfbef2d40U,     0x71952089U, \
    0x497da8faU,     0xb8e493e4U,     0xc1642fb2U,     0x1018c7ebU, \
    0xa7e6c666U,     0xc3a7829bU,     0xcd9b0301U,     0xe0afdfeaU, \
    0x9ad71a1cU,     0xca16b53dU,     0x27ebf083U,     0x287e86bfU, \
    0xec146485U,     0x37841370U,     0xfc413507U,     0x9949d1b5U, \
    0xb47a5415U,     0xcb31cd58U,     0xff9fd5b3U,     0x940290ccU, \
    0xe4042889U,     0x8b35cf45U,     0xd4987562U,     0xea74df5aU, \
    0x33708100U,     0x4577888cU,     0x83469bc4U,     0x36f2b1c0U, \
    0x0d533a97U,     0x2a93e4f9U,     0x075b4aa3U,     0xeea9c85aU, \
    0xa8656390U,     0xa6fbda99U,     0xe4591833U,     0xee883b99U, \
    0x30cb2475U,     0xe7de8519U,     0x8a839ee3U,     0xae86bd5bU, \
    0xd83a29d9U,     0x9b98616aU,     0xe939de49U,     0xbd2b94e0U, \
    0xc6feed96U,     0x6d74866cU,     0x466ca1d0U,     0xa87c62c3U, \
    0xd161f128U,     0x0837059cU,     0xcfb04bf3U,     0x6086bb16U, \
    0x9295a979U,     0x7bb22140U,     0x37da25b5U,     0xeefa4f3fU, \
    0x6fb64095U,     0xae08bc96U,     0xcb6edc39U,     0xd2ee73d7U, \
    0x30d2031bU,     0xd795e0fdU,     0x558639c8U,     0xff03dbf5U, \
    0x748b91f3U,     0x49547f7cU,     0x74afe79aU,     0x93cf4fcdU, \
    0xe489b1feU,     0x70350920U,     0x14f3ec61U,     0x172ff29dU, \
    0xadfdc5e3U,     0xca297a40U,     0x0849411eU,     0x0ae754ebU, \
    0x2efee211U,     0x2b4624b2U,     0x6f460bd9U,     0x9742fc89U, \
    0x67e8815dU,     0x47899f76U,     0x0fd1ea72U,     0x40154a0eU, \
    0x9d7ff30cU,     0x82333b60U,     0x6dbf395aU,     0xe9384cedU, \
    0x58fc506eU,     0xbb1ced3eU,     0x62d31ee5U,     0x112386afU, \
    0x1c02e1f2U,     0x0dce92a7U,     0x2e0dcf7bU,     0x3806607cU, \
    0xc1072db6U,     0xa33aba27U,     0x678ca9b8U,     0x64f71f5fU, \
    0xf1b3baa9U,     0x7f9492f4U,     0x7edc480eU,     0x2f391615U, \
    0x622b2020U,     0x0374d19fU,     0x2c639a2fU,     0xac70bc78U, \
    0xe22ff9f9U,     0x23a09e79U,     0x13949e6dU,     0xb9571babU, \
    0x50861761U,     0x96ba0b65U,     0xc69c8206U,     0xc480e148U, \
    0xa5cca6e1U,     0x08a6bc23U,     0x27698a63U,     0x1ce771ffU, \
    0xd573005fU,     0xd09f1026U,     0x9d71dd0cU,     0x0c585c1fU, \
    0x6723d829U,     0x1e6a2f04U,     0xddbf6c8fU,     0x4dc7ee4aU, \
    0x48cf720bU,     0x97e1619eU,     0xe8fad911U,     0xd9df8b52U, \
    0x808c35a7U,     0x8d3372dbU,     0xa75e1f62U,     0x91d41885U, \
    0xc4a729c8U,     0x1ea1af5bU,     0xcbe37ffbU,     0x31d04330U, \
    0x14c4c161U,     0x77c86894U,     0xf7205c4fU,     0xed7dd41dU, \
    0x6afcaff3U,     0x7a0fd81eU,     0x4486c276U,     0xe0eca849U, \
    0x4fceaa23U,     0x10539afcU,     0x7d099dc9U,     0xeb4b08fcU, \
    0x294c2878U,     0xfad1e9d0U,     0x5f11043aU,     0x5e1d93ebU, \
    0x162f9814U,     0x8e9931abU,     0xfe093e7cU,     0x2a3d4537U, \
    0x586d985eU,     0xe59f7153U,     0xa4d2c17cU,     0x0ecab761U, \
    0x47cbecd3U,     0xd6266230U,     0x098d0495U,     0xad22a624U, \
    0x6c975240U,     0x53253df6U,     0x258686d2U,     0x7310e493U, \
    0x26423461U,     0x424c5eeeU,     0x8b811d99U,     0x866173a5U, \
    0xf89349eeU,     0x9b6df133U,     0x116918f1U,     0x4b64a562U, \
    0x2c528b82U,     0x74af9db2U,     0xd03302cbU,     0xda81f79cU, \
    0x6678e2b1U,     0x9511e898U,     0x2674309aU,     0x58b8e9baU, \
    0x910f387eU,     0xd5bff8bcU,     0xd65fbd76U,     0x4f6285ffU, \
    0x969f13e9U,     0x0f1de167U,     0x79969ba5U,     0x44594f56U, \
    0x09ee3cacU,     0x2480fe8bU,     0x1c47a1deU,     0xfb0d9e49U, \
    0x7092413bU,     0xb46f91d3U,     0x2307201dU,     0xcef605fbU, \
    0x66117bc1U,     0x0900ac34U,     0xb03570c2U,     0x25eacfe9U, \
    0x3d6c7a9bU,     0x0829f0bdU,     0x62736879U,     0xf36742f0U, \
    0xdaef038cU,     0xac346db4U,     0x0d62bd4eU,     0x26bc6be4U, \
    0xd75a7ca8U,     0x5b367b2bU,     0x6c68e508U,     0x97688359U, \
    0xe1a1c4bcU,     0x4f948975U,     0xffe6d1b6U,     0x643d59d6U, \
    0x5d13799aU,     0xb1713d0aU,     0xbcd7de9fU,     0xe593f103U, \
    0x592332d3U,     0xfee23118U,     0xe89abc06U,     0x52eb4a16U, \
    0xe38fd04fU,     0xbc5a8ecbU,     0x936ad6b6U,     0x30a576f3U, \
    0xbeb26488U,     0x56a836a8U,     0xd5a63395U,     0xb54563b1U, \
    0xa53d040aU,     0x12aa084dU,     0x726f736bU,     0x447c0d4bU, \
    0xf392d72dU,     0x1a4550edU,     0x85d13b0cU,     0x8fc6e0caU, \
    0xbca20699U,     0xf88ac935U,     0xb8e204ddU,     0x3f3637b2U, \
    0x81abb556U,     0xd0f2c059U,     0xd8dfca98U,     0x3d8103feU, \
    0xf7c9fbd2U,     0x44b8f3f0U,     0xfb56175cU,     0xc0a69c0dU, \
    0x39ac7c84U,     0x9cf7bbb8U,     0x7aba9b15U,     0x815557c4U, \
    0xec0adbaeU,     0xc315d512U,     0xcee78bb2U,     0xc2590711U, \
    0x658a4e73U,     0xeeb82cafU,     0x96fd4151U,     0x8c6227f0U, \
    0x45ebeab7U,     0x11256faeU,     0x1fedd363U,     0xcd15c4a8U, \
    0x19a94029U,     0x1ea32ab0U,     0x95a51b8cU,     0x4aed86a0U, \
    0xe590f895U,     0xeef30d47U,     0x7fc90268U,     0xff924882U, \
    0xd1b249c7U,     0x8d13b83cU,     0x9f58f6bfU,     0x2e1146fdU, \
    0x54cb6474U,     0xe8562174U,     0x45573506U,     0x649adb8bU, \
    0x6500a041U,     0x1d2fadd3U,     0x4ed87bbdU,     0xc4f7a7d0U, \
    0x03970dccU,     0x22743286U,     0xb4b97affU,     0xc852700dU, \
    0xead2481fU,     0x2f51563eU,     0x0fbaec5dU,     0x70f1034eU, \
    0x43f9ba29U,     0x362dd0abU,     0xfa98861dU,     0x9a66c3eeU, \
    0x70c3eb4bU,     0xf18d1bdfU,     0x6cf83308U,     0x401310f2U, \
    0x4da4fb6fU,     0xdbe584c0U,     0xdb00043dU,     0x05b54d3cU, \
    0x825848beU,     0xa00d6216U,     0x25aaa023U,     0x3b3608adU, \
    0x384752edU,     0xc98d3b4aU,     0x270fbde3U,     0x690bd788U, \
    0x15a70249U,     0xdcae2667U,     0xfe0b3334U,     0xefc66318U, \
    0x971e49d8U,     0x72ed9eb2U,     0xdab1cf73U,     0x8e93ce15U, \
    0x8c576dabU,     0x2b4748a6U,     0xcb1189d1U,     0x673d6e4fU, \
    0xab61e89fU,     0x0f676661U,     0x7501eee3U,     0x31c57112U, \
    0x3dc3dc60U,     0x6babd968U,     0x1762b559U,     0x6e34f6a4U, \
    0x1f312107U,     0x0644b3c5U,     0x4e74b0d8U,     0x15b83f86U, \
    0xc87fd372U,     0x087c95c4U,     0xeee9e99cU,     0x815cc5d2U, \
    0xbd93cdecU,     0x1577180dU,     0x3a2985d0U,     0x95a09770U, \
    0xce504aaeU,     0xfc4be0e5U,     0x1834e60cU,     0xc20daff5U, \
    0xa2f7f11aU,     0x7260b465U,     0xc7ac660eU,     0x556a6743U, \
    0x733b410dU,     0x9f75ebe1U,     0xde7927e2U,     0x42c4f38fU, \
    0xf7cc8746U,     0x0fc26e29U,     0xc745399cU,     0x96abb638U, \
    0x89c42f58U,     0xe4c36a36U,     0x92f1af78U,     0xad5a510eU, \
    0x60696d47U,     0xb69b74ccU,     0x7c794f91U,     0x60a18928U, \
    0x8be0b140U,     0x17986f53U,     0xa80cb7e8U,     0x7e551cecU, \
    0xeeeb0f14U,     0x48b4ea31U,     0x7c43ccd3U,     0x2d836022U, \
    0x9bffc5aeU,     0xa48a8a20U,     0x750c88feU,     0xd8f5d6e1U, \
    0x4eec7a5eU,     0x2db0cb44U,     0x78cdb4ddU,     0xe3f76195U, \
    0xe0fb6230U,     0xce8bb34aU,     0x202043e4U,     0xc9af1b43U, \
    0x0fa99cd3U,     0xda664c24U,     0xd5e8ceb9U,     0xf3c82f81U, \
    0xd8d8688cU,     0x548bcbbfU,     0xdb4aeb6fU,     0x98d23b8cU, \
    0x79a2f81cU,     0xf4649539U,     0x2340283bU,     0x4e5fd913U, \
    0x0b0c007bU,     0x0cc225acU,     0xdc2eb658U,     0x5fc82ea7U, \
    0xc5de78d8U,     0xe2c58f2fU,     0xc64ca33cU,     0x5d3e0999U, \
    0xf4460993U,     0xda75d5b6U,     0x730fd721U,     0x76748c84U, \
    0x755687ddU,     0xd1158c12U,     0xbf14f616U,     0xf8f785dbU, \
    0x27e59056U,     0x9680b506U,     0x70b4c5beU,     0x555ea734U, \
    0x5442a66eU,     0x2bf53f72U,     0xe0855c87U,     0x0bb35fb2U, \
    0xc594581bU,     0x2294be33U,     0xc63e5f69U,     0xc8a50f13U, \
    0x2a171a96U,     0x0435759aU,     0xd8421d87U,     0x961a6fdfU, \
    0xd1874bcdU,     0x0af459a6U,     0x385721c3U,     0x7e155873U, \
    0x3298dcb8U,     0xdd0bac8bU,     0xec740720U,     0x987f1d58U, \
    0x13972141U,     0xc2bcd1eeU,     0xd40140a4U,     0x9a4b5b35U, \
    0x1939b046U,     0x5c027008U,     0x900084c6U,     0x9922b643U, \
    0x394cf777U,     0xf02cc09eU,     0x0f7207a8U,     0xba243900U, \
    0x4009e67aU,     0x972891abU,     0xdf651012U,     0xd0fd0545U, \
    0x899eba51U,     0x9e6d449eU,     0x7177da0eU,     0xda8b0ffdU, \
    0x15a1e8a2U,     0xb0de0a14U,     0x940400d7U,     0x6def2384U, \
    0x14626baeU,     0xb1f8f05eU,     0xfbc7defeU,     0x11e5269bU, \
    0x31fee048U,     0x2569c000U,     0x0d74b52eU,     0xeed7fcc7U, \
    0xad861eeeU,     0xf6942d5aU,     0x2e878150U,     0x73d733b7U, \
    0xf451d976U,     0x848212e7U,     0x42acad29U,     0xba7c5d67U, \
    0x8c39ca07U,     0xda077477U,     0x1d9be21cU,     0x82b887a8U, \
    0x49ef9103U,     0x15601e2bU,     0x80747d05U,     0x7d838dfdU, \
    0x75f98d8eU,     0x94b82baeU,     0x0b67ce5eU,     0x0f34cf49U, \
    0x9e57280bU,     0x40a729bdU,     0x2f2597d3U,     0x83d89a71U, \
    0x6c8b29dcU,     0xf9ce492bU,     0x74801afaU,     0x34a9f6e3U, \
    0xb4be81e2U,     0xfff2ce5aU,     0xa06dfb45U,     0x6895e0b4U, \
    0x7f01945cU,     0x363cef7bU,     0xa7bd0882U,     0xcd19a1ebU, \
    0x9c51a8c7U,     0x48205114U,     0xd9ae1e98U,     0xff8e27d3U, \
    0x54573c61U,     0x2736c67aU,     0xfb911a0aU,     0x72d8e333U, \
    0x310acdf3U,     0xddc3753cU,     0x6cd431c7U,     0x2c448cfaU, \
    0x2e83eea4U,     0xb202ae9cU,     0xcd94dae3U,     0x7ef632efU, \
    0xdca0ac00U,     0x754dfa85U,     0xb756ab5cU,     0x070e1a09U, \
    0x494e75d3U,     0xe3078f7dU,     0x797a9868U,     0x54b81adaU, \
    0xdbe26196U,     0x92d9abe4U,     0x709a43d4U,     0x0fb3ec6cU, \
    0x9ebd8c6fU,     0x9e8b261aU,     0x988b60a0U,     0xebd58d13U, \
    0x5cb0d06dU,     0x814eba0cU,     0x1bdc9642U,     0xd94945c2U, \
    0x0a839219U,     0x48358641U,     0x291cb127U,     0x78cadc11U, \
    0x7e612b8fU,     0x14d5d802U,     0x81d799b5U,     0x3553662fU, \
    0x932e81e2U,     0x4b34c345U,     0x51e55d59U,     0x2d94c587U, \
    0x713c2ee8U,     0x3a34042eU,     0xd1156622U,     0x300574f7U, \
    0xd2d4f690U,     0x87247387U,     0x1c0201a3U,     0xa1ea5519U, \
    0x3a2e1e5dU,     0xdd963e3aU,     0xfbae815dU,     0x150e448cU, \
    0x9adb9a6eU,     0x62fe71e3U,     0xa0048e10U,     0xf36eb129U, \
    0xc6bbeb14U,     0x1fb542d3U,     0xe82b0001U,     0xc8e22c56U, \
    0xbad762efU,     0x6ae4e685U,     0x37557ebbU,     0xfb322b8fU, \
    0x0e1a5eabU,     0xcaf4ae3cU,     0x388c2910U,     0xcd012a29U, \
    0x06557e8dU,     0xfc7e051cU,     0xc02d3748U,     0x837506d8U, \
    0x656a4130U,     0x81945eeaU,     0xa110bf8cU,     0x68df1014U, \
    0xa8879cf6U,     0x51d87417U,     0x119ce6f1U,     0x7d07bd89U, \
    0x79556ff1U,     0x0214d868U,     0x6b6f88fdU,     0x3b8c6681U, \
    0x3c5b0a41U,     0x7ac4d4faU,     0xa6b96defU,     0xe3c73458U, \
    0x328c5759U,     0x54ee7872U,     0xd85fb572U,     0xf3c8b5a9U, \
    0x7828344fU,     0x3df3d23dU,     0x575ef49cU,     0x0f9cd34aU, \
    0x70ad075eU,     0xf90f0e20U,     0x4229dab0U,     0xa5b2fcefU, \
    0x020dce22U,     0x37288500U,     0xd560c4c2U,     0xd11317a0U, \
    0x12047d44U,     0x772613d5U,     0x66e56834U,     0xa6d8c253U, \
    0x9897aaefU,     0x5304630cU,     0xac599a46U,     0x40924328U, \
    0x81b87725U,     0xc144b511U,     0x819c5645U,     0xdbea9080U, \
    0xee5134b1U,     0x8737d5f2U,     0xd35a91a0U,     0x1b5abcd2U, \
    0xfa697185U,     0x96c7d392U,     0xf5cad0b0U,     0xf9c7ae1bU, \
    0x9df98001U,     0x4db71617U,     0xc58a3712U,     0xa0503184U, \
    0x3efc0d1fU,     0xb6bbb0e8U,     0x79725520U,     0xba79220dU, \
    0xd08cd19fU,     0x1ab97fc6U,     0x982d46a7U,     0x0e3a4724U, \
    0x6539c139U,     0x5245c1b6U,     0xe37a1187U,     0xe5a91439U, \
    0x298111d6U,     0x2d06954eU,     0xad887c12U,     0x1f65c70eU, \
    0x22658133U,     0xa0f63d0bU,     0xf20d07cdU,     0x0578f3b2U, \
    0x71fada8eU,     0x2ed4c997U,     0x8a7d648dU,     0x24babeddU, \
    0x0dcd6132U,     0x10ea21f1U,     0x5d3a4b90U,     0x680c4c06U, \
    0x01bd57e0U,     0x8c1063fdU,     0xbec570a3U,     0x22c1e94cU, \
    0xba4583b3U,     0xb9cdab1dU,     0xb64b1cbcU,     0x956299c3U, \
    0x7e9fedfeU,     0x9533b34bU,     0x7abc4ad8U,     0x05a0ff92U, \
    0x7545c97cU,     0x776ec5f1U,     0x44474d74U,     0xf2d63524U, \
    0x3812ed5fU,     0x9ec6a7b3U,     0x4fa010b6U,     0x95cce445U, \
    0x2efdab8dU,     0x6e3d0b6dU,     0x8ced682bU,     0x6e2b820eU, \
    0x70592164U,     0xf88c70c7U,     0xb6526c3eU,     0xefbbedecU, \
    0x2bc94244U,     0x2c6a33c2U,     0x63991c46U,     0x07914caaU, \
    0x35848c88U,     0xc0f9077dU,     0x30e0c116U,     0x5ec10e68U, \
    0xf79ad6adU,     0x07165d6cU,     0x0f8cfc8cU,     0xd5b76cd7U, \
    0x9213fa5cU,     0x64e769b9U,     0x88d9b044U,     0xac221591U, \
    0x29c1841aU,     0xec0363baU,     0xc0a21c9aU,     0x018c92e7U, \
    0xb08e2992U,     0x250dcb49U,     0x924cb67fU,     0xad459cfdU, \
    0xe66a9eebU,     0xe330c3e0U,     0x29911ebdU,     0xd771b511U, \
    0x7d22ac89U,     0xff641cbcU,     0x9221c145U,     0x1d48f5c7U, \
    0xdfa5e878U,     0xcab3b0b1U,     0x693a5c17U,     0x5be5a471U, \
    0xb6859a74U,     0x9f42b565U,     0xbfd0db3fU,     0x47dc7b89U, \
    0xd9ad38deU,     0x74a1a47cU,     0xe45493aaU,     0xddda05e3U, \
    0x0a5eb6f2U,     0xe24e8620U,     0x8f62f7f9U,     0xac380847U, \
    0x5814624eU,     0x664b1cceU,     0xfef687bcU,     0xdcb3efa4U, \
    0x787cc97cU,     0xe3bb9be9U,     0x308b08acU,     0x05257730U, \
    0x189d6b63U,     0x59867e8fU,     0x43a99239U,     0x02cce4beU, \
    0x7f6ccdcdU,     0x5dc8d033U,     0x83b0adbfU,     0x78cfb598U, \
    0x6fb78a7eU,     0x6b71beacU,     0xd0a86e1dU,     0x6b472a19U, \
    0x67831e12U,     0x09a88baaU,     0x4b9aef7bU,     0x19e1013bU, \
    0xee3e2db5U,     0x3e5eead2U,     0xc778ec65U,     0xbb475050U, \
    0xa8086cacU,     0x73ce8434U,     0xa041d0e9U,     0x7ee26726U, \
    0x18d0131eU,     0xdef19f56U,     0x21227d71U,     0x14af6039U, \
    0x234299eaU,     0x6f936ebbU,     0x4e5c9a40U,     0x33322408U, \
    0x582c92caU,     0xdd622ca0U,     0x8375e1fbU,     0x712c5975U, \
    0xf18f3282U,     0x5e30d6b5U,     0x33b270d2U,     0x47972693U, \
    0x6f016075U,     0x153b6210U,     0xf29e4ddbU,     0x0610b095U, \
    0xcf8da0c0U,     0xf101705bU,     0xc4b78e50U,     0xf75a26b1U, \
    0xb0ff2411U,     0xa0605203U,     0x18014e66U,     0x42e4a56eU, \
    0x9c7dea68U,     0x57cc628fU,     0x776393d5U,     0xb816001bU, \
    0xbc496bb9U,     0x65cddec2U,     0x10a7d781U,     0xa6b67195U, \
    0x21b56793U,     0x4627d4f2U,     0x96aea375U,     0x8261bec1U, \
    0xe4b495e1U,     0x8eb48029U,     0x947f2915U,     0x99ad46a8U, \
    0x990d5415U,     0xd0239f5bU,     0xb4e2e1caU,     0x953ed9d9U, \
    0x343a973aU,     0xfdabf622U,     0xfdf188faU,     0x6b73689fU, \
    0x884c21e0U,     0xbf7f98d8U,     0x7da82f3dU,     0x1f5c5d51U, \
    0x4fdc837bU,     0xca6453efU,     0x516d2547U,     0x3e92b0afU, \
    0x5dd2b7c1U,     0xf2539552U,     0xdb12059cU,     0x6b4b5683U, \
    0x00335ae6U,     0xd5ca8adcU,     0xcb306fa1U,     0xb0f74768U, \
    0x1a3a434eU,     0xd36db79eU,     0x6c2c3853U,     0xa5ecb5f1U, \
    0x22af91a2U,     0xa8a01a9dU,     0x8cb9ceacU,     0xd94ea320U, \
    0x86217cd3U,     0x64436f29U,     0x184358f4U,     0x673d8a00U, \
    0xd727d658U,     0x34037e34U,     0xd245e54aU,     0x099d47c6U, \
    0x3fb353fdU,     0x9dbb8316U,     0x990351a6U,     0x93912e7eU, \
    0xf0212380U,     0x53a2d155U,     0xb71418bfU,     0xc2089a27U, \
    0xe08a8e91U,     0xf1b0f775U,     0xf53e72abU,     0x82186e6bU, \
    0x65bd2662U,     0x68bc08e0U,     0x67631cc2U,     0x90993139U, \
    0x45754e79U,     0x4c7c5ffaU,     0xb48ebc18U,     0xc15fbb1eU, \
    0xdd8eb2fcU,     0xc34095f6U,     0x5c70bbd4U,     0x135cc675U, \
    0x3e0bca91U,     0xf31de016U,     0x8909f15bU,     0xf62f4b86U, \
    0xeaecc162U,     0xb4466a09U,     0xe583f13aU,     0xc3b9f69eU, \
    0x96a242b7U,     0x9b01c0e1U,     0x547573b8U,     0xa263a0b5U, \
    0xa99cea31U,     0xc7fecaf5U,     0xa6845dc4U,     0xe2959856U, \
    0x9252df5fU,     0xb943efa6U,     0x1561b69fU,     0x04b66f57U, \
    0x43305e41U,     0x5e2c5dc3U,     0xb767e4ddU,     0x054aba04U, \
    0x63299557U,     0x2c746bd6U,     0xaa5f44ccU,     0xfd11fdadU, \
    0x1c9bd0cbU,     0x26b540f6U,     0x56209da9U,     0xad9832c7U, \
    0xed953308U,     0x9eb06195U,     0x3ccb64abU,     0xc4a736d0U, \
    0x02ef4a4bU,     0x04dbeb0eU,     0x2e328edeU,     0xe3c62d0bU, \
    0xcc87bb12U,     0x94f57357U,     0x28a658b3U,     0x36189b2eU, \
    0xece4fda4U,     0xcb7b2807U,     0x85a36478U,     0xa9773462U, \
    0x43a4ff16U,     0x251ff712U,     0xb5c5ff6fU,     0x44d83e75U, \
    0x45ad6c51U,     0x58bee21eU,     0x9cc35fdaU,     0x18dabf35U, \
    0x95b402e9U,     0x4feac7f1U,     0x4e228f99U,     0x8087f6d1U, \
    0x01824c21U,     0x238cb6feU,     0xcc00f4c6U,     0x25ecc722U, \
    0x211ce62fU,     0x8d0e35f4U,     0xa3ffe795U,     0x219418e3U, \
    0x00778114U,     0x068ed4e7U,     0x8d9a7707U,     0x6348d23bU, \
    0x19d403f4U,     0x8858669dU,     0x2ce4c792U,     0x34beadb8U, \
    0xab0e3bf6U,     0x69d2ca8eU,     0x1d515408U,     0x900bd338U, \
    0xd3a8f149U,     0x9eb3e5ccU,     0xd63b212aU,     0x45cd197dU, \
    0x44bc8179U,     0x0472bf5eU,     0xdbcafd24U,     0x2516b2e9U, \
    0x9472167fU,     0x60ca4fd5U,     0xc8fc1696U,     0x4ec13169U, \
    0xc037d03cU,     0x6ebe0c99U,     0x2eab0242U,     0xa68cd01fU, \
    0xca09fdeaU,     0x444d4e7cU,     0x91810b1bU,     0xb20a4f37U, \
    0x15242dcdU,     0xc58f8ba3U,     0xcd2b3bd3U,     0x8b64ad60U, \
    0x949aad69U,     0xa2ecd2e9U,     0xf0b4b21bU,     0xdde0a309U, \
    0x3ac8e229U,     0x72648b78U,     0xf23c294eU,     0x055e8fe3U, \
    0x1c3b324cU,     0x54ef01adU,     0xb014c49aU,     0xb5251087U, \
    0xd53f6822U,     0x23fbd627U,     0xc642bd2bU,     0x0465f65dU, \
    0xe17b231eU,     0x9cd5cd7dU,     0x5fa753bdU,     0xb2a4644fU, \
    0x0ec7b41bU,     0xa29926ceU,     0x0d88e178U,     0xd33fd513U, \
    0xe658c23cU,     0x5fc3b766U,     0xdb22efeaU,     0xcb3dd86dU, \
    0xfc07248eU,     0xd39dab53U,     0x851ab571U,     0x180ef014U, \
    0x66b39740U,     0x1d258d8dU,     0xa5e9c6d2U,     0x15daca50U, \
    0xec6d6bf0U,     0x3f860595U,     0x50781abcU,     0x05d31bdfU, \
    0x449ee1f6U,     0xca6092edU,     0x20474b86U,     0xaaca00cbU, \
    0xc3a619e2U,     0xdbbc5279U,     0x99734f54U,     0xa9a31f3aU, \
    0x8bb65efeU,     0x9f36417eU,     0xc1cb51ceU,     0xa3fee253U, \
    0x1688d27aU,     0xc6b3f78eU,     0x7c740bfcU,     0x43cf211cU, \
    0x6f4630efU,     0x14f27005U,     0xbd737179U,     0x81b5cffeU, \
    0x990830cfU,     0x367c5e1cU,     0x82f142d8U,     0xeea49026U, \
    0x77c40bfdU,     0x4bfaa6dcU,     0xd1d96d67U,     0x0201d08aU, \
    0xf91b0974U,     0x4b5f97a6U,     0x96c753c0U,     0x793ab091U, \
    0xe222cf35U,     0xc9eaac7cU,     0x25c2eb4dU,     0xad141c56U, \
    0x0705444bU,     0x808e5e19U,     0x6bd82f2fU,     0xc85dda11U, \
    0xaf338054U,     0x697e3918U,     0xcf7ad00aU,     0xc50d2beaU, \
    0x42adfeecU,     0x4863cf2cU,     0x34f8f36eU,     0xad1df38bU, \
    0xca4119acU,     0x3ff126ceU,     0xc5e49e62U,     0x19bfbe8fU, \
    0xf9ba2f2fU,     0xb8efae14U,     0x4b8bbd48U,     0xc96da00bU, \
    0x48859775U,     0x1bea6e86U,     0xbd94b3f5U,     0x75450d21U, \
    0x2c6c3162U,     0x40e21a04U,     0x692f8ca7U,     0x2d4e3648U, \
    0x1b9bb8bfU,     0x332d3d0eU,     0x8d07a4c5U,     0xc9e96716U, \
    0x0d4e2227U,     0xd4055ce0U,     0x06fb0832U,     0x16e0a99bU, \
    0xb444afe4U,     0x18901c75U,     0x940bacafU,     0x821c2038U, \
    0x8eeb9f73U,     0x3db8720fU,     0xd3128333U,     0x4ab67bc0U, \
    0x4b4d1c8cU,     0xa464e8a9U,     0xfbf7699cU,     0xec2d715fU, \
    0xa492ac4cU,     0xf6b13822U,     0x15b50d22U,     0xac080fe0U, \
    0x64c110c2U,     0x0e0b584bU,     0x3005167eU,     0xbd7a8c22U, \
    0xb2973ef8U,     0x16d8c755U,     0x8ac907e3U,     0xc3958a1cU, \
    0xaacc3921U,     0x831eb6f9U,     0xaa5e5228U,     0xed195618U, \
    0x2a22e888U,     0x7d820633U,     0x7e9754dfU,     0x219f58bfU, \
    0x605e5d29U,     0xe9220c99U,     0x00ecdc27U,     0x08a90f93U, \
    0xbe23424dU,     0xc7a34813U,     0xbb6412b2U,     0xa6760bfcU, \
    0xf3447994U,     0x63ff60b4U,     0x869d191fU,     0x2d6aceb3U, \
    0x7eb57492U,     0xeaa3d466U,     0x33ce26e9U,     0x096bf119U, \
    0xbb34d58bU,     0xb522db81U,     0x80ef0cccU,     0x1319bc07U, \
    0x578694ceU,     0x8790d7d4U,     0x17bc56d6U,     0xb5699824U, \
    0x4f62ccbfU,     0x787443cdU,     0xe9941df9U,     0x5d91c5f1U, \
    0x2fc325b0U,     0xfc5f432dU,     0x9b113880U,     0x298a731eU, \
    0xed6b4ccaU,     0xe4888ee0U,     0x526307bdU,     0x852553feU, \
    0x4ffb9851U,     0x1f9b29d5U,     0x89457864U,     0x59934319U, \
    0xac71971dU,     0x40506778U,     0x4e0f4161U,     0xf750ae7bU, \
    0xccf61064U,     0x2ef7b0b9U,     0x61d72b1aU,     0x06772893U, \
    0x8ac3cc0eU,     0x99ffa3f4U,     0xc85a3498U,     0x7a2bc548U, \
    0xd860ed6dU,     0xcaa3c9a6U,     0x7a966dd7U,     0x73208c36U, \
    0xc73f04b1U,     0x8ae388ccU,     0xb8746239U,     0xdb848471U, \
    0x3a144bafU,     0xadd9cb61U,     0xae4573f4U,     0xe3276d53U, \
    0x0c3dc138U,     0x352c1714U,     0x0e23f483U,     0x764daeaaU, \
    0xb5609e94U,     0x332682b3U,     0x1be7839cU,     0x8e2434caU, \
    0x245d0618U,     0xf3899b21U,     0xd8df6823U,     0x47857edaU, \
    0xfb1bae20U,     0x4995e685U,     0x6c06aa4aU,     0xb5c711aeU, \
    0xc436b72cU,     0x4cd2152fU,     0xdeeafa3dU,     0x08184be7U, \
    0xc0f93b5eU,     0x0dc0ed9fU,     0x8877ae33U,     0x8fe3c457U, \
    0x41509ff4U,     0xfb6c7b60U,     0xfd545db2U,     0x903c37a1U, \
    0x06d77121U,     0x282e8babU,     0x731c0f2bU,     0x4b3f7ab8U, \
    0xcb854d87U,     0xdf83d8beU,     0xf1a2923dU,     0x3c68d100U, \
    0x8ec92247U,     0x790428efU,     0xd169ef07U,     0x37ccb72eU, \
    0x94765820U,     0x3696be9dU,     0xfe32eb7cU,     0xfae988d1U, \
    0x5c18bcf0U,     0x24288c9dU,     0x20bc6289U,     0xc95b115cU, \
    0x19373956U,     0xc36d3f8dU,     0x84d411a8U,     0xfd5aa6eeU, \
    0xf482495fU,     0xc924d48fU,     0x33ad5dbeU,     0x4408875fU, \
    0x264fcda1U,     0x24d4bb4aU,     0xbdc5930cU,     0x1c6333a2U, \
    0xb8a07d1dU,     0x49f02201U,     0x3faef527U,     0xfb53779cU, \
    0x3bba72a3U,     0xf2ecfbd4U,     0x7acc7365U,     0x548bf7b0U, \
    0x0eccfe58U,     0xbff4d67eU,     0x9bd6e98aU,     0x87585a96U, \
    0x3ae073c3U,     0x2c10376fU,     0x0a077ea9U,     0xd8e59170U, \
    0x8123bc7bU,     0x50b0e847U,     0x02bc280bU,     0xc2de1ec8U, \
    0xb540ceaeU,     0x2b5f240eU,     0xc95fa6ceU,     0x44b31bb3U, \
    0x386a9c01U,     0x879a9e8fU,     0x180c38f3U,     0xa6672d19U, \
    0x8300179fU,     0xfd396f5bU,     0xb2246035U,     0x5ba8f9c5U, \
    0x480b52d5U,     0x39e207f1U,     0x0cd9f6a6U,     0xbad63409U, \
    0xff94fe6dU,     0xaf5978b0U,     0xb2b3f818U,     0xea78c8d1U, \
    0xe73f7da6U,     0x023492b0U,     0x53d4d566U,     0x9233efe5U, \
    0x82d97997U,     0xcf15fb32U,     0xcc0bc483U,     0xa192d3b3U, \
    0xdb547077U,     0x1782eb3fU,     0x0ab4f8d2U,     0x6513398bU, \
    0x60bbba09U,     0x66f2ae2eU,     0x9424cd08U,     0xeb3bb60dU, \
    0xc232b09eU,     0x7e7d2877U,     0xa5c55d27U,     0x68aff66dU, \
    0x8af0961aU,     0x2950eabeU,     0xeaf71c3bU,     0xcb7bb66eU, \
    0xe08355c6U,     0x9d6a4623U,     0xfd3df433U,     0xd262999dU, \
    0x8560219aU,     0xa147f991U,     0x9965f03aU,     0x3c5b2408U, \
    0x40383274U,     0x9638a6b1U,     0x047a7443U,     0xeb75e961U, \
    0x4e17b304U,     0xc32602ecU,     0xf3e587c2U,     0xe274db47U, \
    0xde3f4463U,     0xeb309516U,     0x2d366e55U,     0x0ef82d80U, \
    0x680d9dfaU,     0x2a8b8ec1U,     0x28e40c63U,     0x9fc04bc8U, \
    0xad8e4120U,     0x2b405c1dU,     0x73e821f0U,     0xd8733e7dU, \
    0x474eb69aU,     0x324e2700U,     0x699c63d9U,     0xd2c7cea1U, \
    0x357b3609U,     0xc4b132ddU,     0x2bd55878U,     0x1aec376eU, \
    0xb6774995U,     0x44eb495aU,     0x0594b948U,     0x7b2ab9acU, \
    0x6c14d6a8U,     0xcb644e4bU,     0x2f905431U,     0x029b2bddU, \
    0x07a78339U,     0x2d579a44U,     0x5adddf06U,     0xc5aeaedeU, \
    0x52c43a95U,     0x60aa7e4cU,     0xfe7e90ceU,     0x291317b8U, \
    0x4a1769bcU,     0x8ed7959bU,     0xb5af5cfdU,     0xedae0ddaU, \
    0x10ae8b4fU,     0x74e9a891U,     0x0e84745fU,     0x5f896d9bU, \
    0x2ad10f58U,     0xb94a54a2U,     0x0def54ebU,     0x7caf77d0U, \
    0x8a17afd0U,     0xc8f77504U,     0x9e80dbaeU,     0x4816e86eU, \
    0xe5a423fbU,     0x79a3c2e4U,     0x37075ba1U,     0x5b17eafeU, \
    0x83575a26U,     0xbcbf83f2U,     0x2cf1724aU,     0x2090a59aU, \
    0xc0f57c50U,     0xe232b169U,     0xf26533b9U,     0x2c62dc07U, \
    0x909047e2U,     0x354f2197U,     0x0994fb6dU,     0x599be33eU, \
    0x2799faa2U,     0x6b300211U,     0x5eda4708U,     0x2f61906dU, \
    0xed0e8d0eU,     0x2eca1307U,     0x55d68622U,     0xb0b55495U, \
    0xf920c8fdU,     0xe28b4bb3U,     0x7b61f34fU,     0xa94d7e02U, \
    0x7271f618U,     0x5b5672c5U,     0x9860b9abU,     0x393df440U, \
    0x50882ed0U,     0x046952f6U,     0x5ae913deU,     0x11d96872U, \
    0xb1d1f529U,     0x63b11a5cU,     0x31af6dfcU,     0xc7c20129U, \
    0xe29cd550U,     0x7730b2a4U,     0x8f7b3117U,     0x7ffe7f33U, \
    0xe372b9fbU,     0x2298b082U,     0xa009be80U,     0xaa843f03U, \
    0xa97d6433U,     0x4672a383U,     0xc754a102U,     0xd492a2eaU, \
    0xbbca0d4bU,     0xe0214c26U,     0xd1478e2aU,     0xfc6cefa2U, \
    0x6bcdd5feU,     0xf6cabc7bU,     0x3d155451U,     0xcf9ed24dU, \
    0xca2b1d68U,     0x949a8aceU,     0x3aef1e93U,     0xbd068f0eU, \
    0xf0128b3fU,     0x1135b995U,     0xab7d2e0dU,     0x9436d15bU, \
    0xe8c0064aU,     0x8d708c75U,     0x8ae34dfaU,     0xfbd76053U, \
    0x57ad01a8U,     0x27c907caU,     0xc8c345fdU,     0xf771d91cU, \
    0xed9e6ea7U,     0xb03f9a6bU,     0xa36bf04dU,     0x90df9a3bU, \
    0x5274c808U,     0x81dee042U,     0xfc8f1ce0U,     0xc2265ca4U, \
    0x8fa789d3U,     0x689e3827U,     0xb33d6399U,     0x3565fe47U, \
    0x1e952733U,     0x32f05974U,     0x7587e794U,     0x4fe9965cU, \
    0x997d00c1U,     0x3c5aaf56U,     0x0f40064bU,     0x4233a3f3U, \
    0x9fd9ffabU,     0xe1c379b7U,     0xfbcb3390U,     0xc8607f84U, \
    0x2813f206U,     0xdd0f5b30U,     0xab3a8ed4U,     0x4ff484cdU, \
    0x97d007d9U,     0xcb4dacabU,     0x90f68a55U,     0xef0fb00bU, \
    0x0228d36dU,     0xb1724775U,     0xaeec4178U,     0xa213de73U, \
    0xf4b86d37U,     0x126ac98cU,     0x5c501dedU,     0x6e10d939U, \
    0x7bac16dcU,     0x793c7e52U,     0xc5212d0bU,     0x81e805f0U, \
    0x621cb770U,     0x35f932bdU,     0x970a7038U,     0xdd0e16a9U, \
    0xd0a41136U,     0xda44ee8bU,     0x53fbae68U,     0xa41e8771U, \
    0xc43e254fU,     0x7e6d10cdU,     0x34ab1ff4U,     0xa16557cfU, \
    0x852f3610U,     0x8d0bdd53U,     0x49d95cbcU,     0x9d96d603U, \
    0xe7617d6dU,     0x2d3663e8U,     0xef10676bU,     0xd2d4f4e6U, \
    0x25fa6952U,     0x82be334cU,     0x464416c8U,     0x3c40da0eU, \
    0x4268fb48U,     0xe704fa26U,     0xa28d608eU,     0x02fff12bU, \
    0x7e09905aU,     0xf9d5d85eU,     0xe42bb20fU,     0xcae8db5dU, \
    0x8460daf2U,     0x025c9006U,     0x45537103U,     0xc77e0de4U, \
    0x31afaa57U,     0x48787459U,     0x3cbceff6U,     0x52ce2d70U, \
    0x2baf9a1bU,     0x44e65de3U,     0xfca1439dU,     0xcb16e099U, \
    0x07748894U,     0x801cd8a9U,     0x39274ffcU,     0xd4fd30c9U, \
    0xd66baa53U,     0xc2a0826eU,     0xa3649778U,     0xffc95590U, \
    0x72d530dbU,     0xea683cb3U,     0x1fff8293U,     0x44498170U, \
    0xb90d1972U,     0x9c2fb2c6U,     0x6d3353f9U,     0x23a2e96aU, \
    0xb685a4b8U,     0x10b0de38U,     0xe979f7e7U,     0xbf4cd290U, \
    0xc93c77baU,     0xff05becdU,     0x94b4cdbcU,     0xa9b4a72bU, \
    0x9e11ccefU,     0x079cfe22U,     0x1c8b3211U,     0xd903d2c4U, \
    0x45972948U,     0x53ad0097U,     0x2ce0c607U,     0x593da2d4U, \
    0x1196eff2U,     0x892a81d6U,     0x4d11c86aU,     0x54873f66U, \
    0x4adca951U,     0x43372104U,     0x749e53b6U,     0x1fcc78e4U, \
    0xca8bcdf2U,     0xa5638cc4U,     0x0eeb0feeU,     0xb1a80cf0U, \
    0xc3dc8411U,     0x4d14305cU,     0x74640a23U,     0x3c9d9af4U, \
    0x7e2b38b5U,     0x0b20b418U,     0xca477e7fU,     0x7a4b33c2U, \
    0x8acdeba3U,     0x092990e4U,     0x0f799025U,     0x5a3d5de9U, \
    0x5e645590U,     0xa9e91ab3U,     0xc2e5d7a0U,     0x00b8de83U, \
    0x818f1ee5U,     0x42047f45U,     0xaaa9c86dU,     0xc1732465U, \
    0xf64c65b5U,     0x9fcf2b4cU,     0xa9163d73U,     0x263e1e42U, \
    0x603fe5b7U,     0x5b912e07U,     0x12193bafU,     0x6293f652U, \
    0x06cbcb0bU,     0x52dd1ce2U,     0x4658f77eU,     0xe9ca821cU, \
    0xc86e1c08U,     0xf8dad2d5U,     0x66042f17U,     0xdb0500a5U, \
    0x4eff3c79U,     0xe64eab59U,     0x7b6fa344U,     0x3aee815eU, \
    0x706d38adU,     0x0df99c9cU,     0x1856d5f1U,     0x87ec87d9U, \
    0x99af8562U,     0xa547c9a0U,     0x9dd0cad3U,     0xa0466ad7U, \
    0x6d87ba06U,     0xf179b45fU,     0x3c6c0d97U,     0xf31178feU, \
    0x5db2fe87U,     0xb8aefc53U,     0x5530eaabU,     0x3a618105U, \
    0xfe04b049U,     0xe1d3915cU,     0xb345a421U,     0x28250a49U, \
    0xb3066671U,     0x0041e72aU,     0x707328aaU,     0x7f686418U, \
    0xfcf3ff7aU,     0x62bf4d3dU,     0x7b7a3123U,     0x7065b5f2U, \
    0x65e4bbc5U,     0x1b925e5dU,     0x34da2d40U,     0x965ce884U, \
    0xe67723c4U,     0x2a021682U,     0xb523e9d4U,     0x773e5538U, \
    0xf5beb6a7U,     0x175ff8ffU,     0x89d91f9cU,     0x71691c2bU, \
    0x3ab68bd1U,     0x0994f3bdU,     0x1fc9c023U,     0x61dea44dU, \
    0xa3d931f5U,     0x7a459199U,     0xf77ca297U,     0xd94d4fcaU, \
    0x1753c897U,     0xae7c1953U,     0x7b8d8912U,     0xb1354768U, \
    0xe554d053U,     0xc48f3721U,     0xd0e929daU,     0x9102f95dU, \
    0x1a640106U,     0xb0d91d5fU,     0x35e7109aU,     0x1b0e697eU, \
    0xecc25dabU,     0xa14c5cbcU,     0x16ae19d5U,     0xa0b07a79U, \
    0x1279ff71U,     0x2e043b7dU,     0x528f5f2bU,     0x6152d157U, \
    0x4556f308U,     0x4367df90U,     0x60f17934U,     0x9bf3450bU, \
    0x42904453U,     0xc93d69f6U,     0xce4bc688U,     0x91b7f2c7U, \
    0x8bdb7169U,     0x88cd49d9U,     0x9ca85110U,     0xe9a8c4b4U, \
    0xe641dfebU,     0x54014e9cU,     0x6f01d391U,     0x54e02377U, \
    0xf366d96eU,     0xe95231eaU,     0x8ff425deU,     0x9ccdd74dU, \
    0x18bb474cU,     0xa5f7fffdU,     0x896f9ffcU,     0xae9a01bdU, \
    0x232329a9U,     0xd81b3be6U,     0x6b163081U,     0x0ad520c4U, \
    0x76f44d01U,     0xfe9622bdU,     0x779b5a1aU,     0x95baaeabU, \
    0xe7c25e8cU,     0x0da3f699U,     0x865f5b28U,     0x81747241U, \
    0xea7a45e1U,     0x993a5715U,     0x3fa843b3U,     0xd4b42231U, \
    0x4390109fU,     0xe3bd5367U,     0x0f9f8bbdU,     0x8ac3a1b3U, \
    0x46c7798fU,     0xcd973b5aU,     0x18ccfae3U,     0x5455d274U, \
    0xc7153d9cU,     0x82a7ba29U,     0x2d25416cU,     0x02a35d4dU, \
    0x8f8b19f3U,     0x3dcb0577U,     0x157d5375U,     0x2a7305bbU, \
    0xa498ec7aU,     0x8c5b7405U,     0x500e7e27U,     0x89911fa0U, \
    0x1ea1e027U,     0x33a965ebU,     0xc1de239dU,     0xd34cbe51U, \
    0xb82a5988U,     0x27211ad1U,     0xa79c863eU,     0xae8e974cU, \
    0x016774c2U,     0xe422234bU,     0x79d4be33U,     0xee47c4b9U, \
    0x0ca67fb6U,     0xfa2fe23dU,     0x82e7dff1U,     0x0c24d10eU, \
    0x383e5f77U,     0x1fdce97dU,     0x526468bfU,     0xf3011525U, \
    0xd9636164U,     0xc175715eU,     0xbc458609U,     0xae4b0238U, \
    0x53052440U,     0x1815f2ccU,     0x60eaec92U,     0x29555be6U, \
    0x3ce7d355U,     0x3f503416U,     0x7a68143aU,     0xf2451386U, \
    0x61bf01f6U,     0xcfe7964dU,     0x685a4384U,     0x1c055068U, \
    0x1307d1acU,     0x4fab9907U,     0x2a9f7b31U,     0x9cf8e071U, \
    0xea5acbfcU,     0xd8b97211U,     0x83db1bbaU,     0x950bf5c5U, \
    0x084c0fb4U,     0xf208deb7U,     0x2d8cbea9U,     0x7374eff9U, \
    0x17c67b95U,     0xa5c4ba85U,     0xc31d3dc3U,     0x8ebfda26U, \
    0x579598c9U,     0x0f44997eU,     0xeeec8faaU,     0xf447f2a9U, \
    0x8d669f17U,     0x389c049cU,     0xbcba25d8U,     0x3a31c6deU, \
    0x8a1a2919U,     0x4f49d7d7U,     0x5cf06f17U,     0x9c4f4875U, \
    0x4d2d510eU,     0xea2340d4U,     0x62260af0U,     0xf2d8738cU, \
    0x7e59aaa7U,     0xbef3b3feU,     0xb414a3e2U,     0x3d32bac1U, \
    0x789d534bU,     0xc8383165U,     0x1117cff2U,     0xc9b9b8c8U, \
    0x467e53deU,     0xa4b3d6baU,     0xa8a11ee6U,     0x89fbded6U, \
    0x8409c584U,     0xf7ed5952U,     0x988a12bfU,     0xd4121df2U, \
    0x47295ddfU,     0x0a906582U,     0x0f8cf213U,     0x14a1825cU, \
    0x6f28fe22U,     0xe2bbee87U,     0x5a08ae48U,     0xa21dcb72U, \
    0x69185f5eU,     0xeaa4fdf7U,     0xcd82710eU,     0x98e6ce2cU, \
    0x8e47bc04U,     0xcd2747a6U,     0xa5347e99U,     0x1dd46c66U, \
    0x5c2917e8U,     0x846c9bdfU,     0x7775ba17U,     0x212a6246U, \
    0xb7286f87U,     0x7ff05a82U,     0x9b3f977bU,     0x4ac40941U, \
    0xeef86cedU,     0xb9acfab4U,     0x3255fd75U,     0x77da33d1U, \
    0x40eb5f5cU,     0xfb0a4621U,     0x72dc5bb0U,     0x531ad3a7U, \
    0xb8090d61U,     0x8c29b5edU,     0xfb401782U,     0x9ba821d5U, \
    0xe23b2135U,     0x42a3af1cU,     0x4d667587U,     0x3dbfda72U, \
    0x21da8b16U,     0x1be0d4ecU,     0x6b69a1aeU,     0xdb1c0761U, \
    0x112cde27U,     0x7e664709U,     0xbd3c8e5fU,     0x33e715daU, \
    0xf741e103U,     0xeee1042fU,     0x92bc8b43U,     0xc0f56af0U, \
    0x7c02eb8fU,     0x46533591U,     0xe5088113U,     0x7046b2f8U, \
    0x9de53811U,     0xe65a2905U,     0x5ef48510U,     0xb88fd34dU, \
    0xb95b759dU,     0x32419e96U,     0x39a57bb4U,     0xbe601eb5U, \
    0x6eb20702U,     0x0366ccd0U,     0xab916921U,     0xc90f03feU, \
    0x80e06312U,     0x45e8d7b6U,     0x7aed29e2U,     0xd7c01fdbU, \
    0x03382578U,     0xb368eb1cU,     0x3a9c87dbU,     0x6979d98fU, \
    0xc0d274caU,     0xaab04290U,     0xce417e16U,     0xe7ac0659U, \
    0x2b783271U,     0xc670b2a7U,     0xa7416c3eU,     0x24e27dfaU, \
    0xf2929bacU,     0x2da5be89U,     0x3a676942U,     0xe4c1cc14U, \
    0x86af6c06U,     0x9065bc71U,     0xd642b6c5U,     0x966e3af1U, \
    0xce3f6188U,     0x681845faU,     0x87f0ec9fU,     0xbb12a89bU, \
    0x4992977cU,     0x1b1936c3U,     0xabb970a3U,     0x04133137U, \
    0x27beec92U,     0xa2c1357eU,     0x5e011468U,     0xde135911U, \
    0x2c0d092cU,     0x6c81053fU,     0xdc77bb07U,     0x11de0134U, \
    0xa9e20e01U,     0xabe1f20cU,     0x4cb38318U,     0xd0407b44U, \
    0x7c850bbaU,     0xa434d43fU,     0x0db8417cU,     0x04190142U, \
    0x2414950eU,     0x3b632008U,     0x9b965269U,     0x95ceb100U, \
    0xa5055807U,     0x41e250efU,     0xa2b57cc1U,     0x72ae9db4U, \
    0x7fd7dc6cU,     0xfef924beU,     0xba5c2d45U,     0xd0de23a4U, \
    0x00b497eeU,     0x2a2a27ccU,     0x35c0de95U,     0x19adbb72U, \
    0x40e85d44U,     0x066e9df4U,     0x5b8797a8U,     0x407a72caU, \
    0xac677518U,     0xd59a5a2eU,     0x06ef3e9cU,     0xd71a88edU, \
    0xb1872ff9U,     0x27ffe1eaU,     0x8946f2e4U,     0x1bbac6e3U, \
    0xdfa847e6U,     0x1976b71fU,     0xbc450b10U,     0xd06bca62U, \
    0x15884d26U,     0x787d44b4U,     0x8688b850U,     0x620ff916U, \
    0xea62e8beU,     0xe3f71f82U,     0xef4d211fU,     0x07dfb8fbU, \
    0xe1ae9801U,     0x370384a3U,     0xa0df423bU,     0xf6143146U, \
    0x26ed5a6aU,     0xbd4c63bfU,     0xce22253fU,     0x9790fafdU, \
    0xbf38c568U,     0x5ebdaeb2U,     0x54e21dbcU,     0xcd16a5b3U, \
    0xdda5d62cU,     0x15477f28U,     0x5693a5c1U,     0x48aa4681U, \
    0x6f27ef87U,     0xaff9a4b6U,     0xf3c4dde9U,     0x300de5d5U, \
    0xdb9fc874U,     0xeb63f218U,     0x118fbcd8U,     0x83e6a05dU, \
    0xdd22fea9U,     0x041eb854U,     0xe316b1b2U,     0xcad30a80U, \
    0x5d3a3a4eU,     0x57abf72aU,     0xb7f57505U,     0xdd7f3b61U, \
    0x4a8d851cU,     0x93d24498U,     0x226bdea9U,     0xfd94904fU, \
    0xfc0edc2aU,     0x6d2f6197U,     0xa4223c07U,     0xdc135647U, \
    0x0e07c329U,     0x3226c708U,     0x90513705U,     0xfe5a041bU, \
    0xfe586316U,     0xcc1030c5U,     0xf788c620U,     0x53ea321eU, \
    0x1960893cU,     0x6dff1324U,     0x56beb821U,     0x006c6bf6U, \
    0x53dedaffU,     0xdae79b2aU,     0x350aa506U,     0x05d27df1U, \
    0x821d6641U,     0xb9c000eeU,     0x24d5c165U,     0xd944f40eU, \
    0xa17168acU,     0x49b69442U,     0xd562ab0bU,     0x74510521U, \
    0xd5caa309U,     0x4a759061U,     0x458f551dU,     0x0c5b7a96U, \
    0x4a195afdU,     0xfd50eb1cU,     0xca2e1be7U,     0xdafcf8f8U, \
    0x4d825398U,     0xc228ab57U,     0xe7feef7bU,     0xd92ef2e8U, \
    0xe6b17f95U,     0x813300f7U,     0x141c408cU,     0xa5ff4d04U, \
    0xb7b15f70U,     0xed28a450U,     0x01bc08cdU,     0x2c1d22c5U, \
    0xf384f25dU,     0x17c62860U,     0x25af7332U,     0x94a47a4dU, \
    0x9af43a9fU,     0x8e18ea16U,     0xf1d82dacU,     0x8ca6700cU, \
    0x27ca13d5U,     0xe3bb584eU,     0x9e53caa0U,     0xd0022cbaU, \
    0x7aad6f54U,     0xbb01dc33U,     0x4f12ab6dU,     0xe3f0cde7U, \
    0x737847e0U,     0x7ff14000U,     0xe24ddce0U,     0x707a85ccU, \
    0x7e5848b1U,     0x554bc5f6U,     0xbfa721a3U,     0x0cf626b5U, \
    0xe6e73a33U,     0x01fa77b1U,     0x4c8d991cU,     0xd42b05ceU, \
    0xdef8cdf5U,     0xe2f6caf9U,     0x265d1a63U,     0x11edacc5U, \
    0x1f017419U,     0xc058c494U,     0x25473d79U,     0x5f6eabdeU, \
    0xe216b484U,     0x90353631U,     0xf49d1e89U,     0xc3711c7fU, \
    0x2d3f7254U,     0x41125af4U,     0x6e212211U,     0xd52603baU, \
    0xf0b12398U,     0xe8f79713U,     0x1b291a7fU,     0x6545d94bU, \
    0x68ee14aaU,     0x95a710dbU,     0xde62459dU,     0x6c0a2b96U, \
    0xcda1053bU,     0xd2dbf4b9U,     0x2fe0cf26U,     0xb5806692U, \
    0x9bf1ae45U,     0xffb8c900U,     0xb4bc27e7U,     0xbcc6975cU, \
    0x339ba50eU,     0xcdec2ff9U,     0x27c30a17U,     0x26e6a469U, \
    0x39f36bd8U,     0x2422cd50U,     0x61ae661fU,     0x564cf068U, \
    0xcc57f682U,     0xa61a1111U,     0x4bf8ead9U,     0x2462d746U, \
    0xb702a891U,     0xcb7f1c26U,     0x1b0e7aabU,     0x07c22934U, \
    0x43dbdc19U,     0x7e2fad1fU,     0x3a4fabbfU,     0xcdd2aa2aU, \
    0x57b797b8U,     0x946c93a5U,     0xcdefda0fU,     0x68252647U, \
    0xf4e730dbU,     0x7cd8bb7fU,     0xf3beba4eU,     0xc74ad05bU, \
    0x688cd912U,     0x33bd067eU,     0xe107e7c6U,     0xfd72f9ceU, \
    0xe5f371c6U,     0x8b1a9af2U,     0x23e0a4f1U,     0x67a50e6fU, \
    0xc7b0c6f8U,     0xdb69f285U,     0x2e841b01U,     0xf5eb4389U, \
    0x4e5bda95U,     0x3c2572e6U,     0x96f0fe88U,     0xc32b2c33U, \
    0xdc61f021U,     0x4be5724bU,     0x5e340865U,     0xee053812U, \
    0x742c52a0U,     0xd55a04bdU,     0xb61849d7U,     0xd2a4755bU, \
    0x5b081211U,     0x97dbf5cfU,     0x5a73b696U,     0xfdd0e888U, \
    0xf05d410cU,     0xa3d8864bU,     0x2ce1471dU,     0x5dff6a70U, \
    0xbeb375beU,     0x2ce886cfU,     0x032745e4U,     0x0280235dU, \
    0x4ac37dfaU,     0x93e244c7U,     0x00ba03d2U,     0x6b4ca4b0U, \
    0xbaefcab4U,     0x88b42137U,     0x54bf95fcU,     0x66bbb57dU, \
    0xab0e7226U,     0x0afa5029U,     0x2cf2243cU,     0x3444da16U, \
    0x697af13cU,     0x2f3af57dU,     0xabe8b8dcU,     0xb0ac4fc0U, \
    0xbd6f9f7bU,     0xcc27977bU,     0x7bbf8051U,     0xfa92f5ddU, \
    0x95f67ae9U,     0x9ace512fU,     0x1281cd84U,     0xb0b903ceU, \
    0x5c5b395cU,     0xae4c0edaU,     0x89e4e762U,     0x064ad3afU, \
    0x5ce073b8U,     0xcace8455U,     0x61dca2b5U,     0x2d1759c6U, \
    0x20b3b745U,     0x33b9a617U,     0x2c228797U,     0xed91edc0U, \
    0x7263b01cU,     0xb91a421bU,     0xb9ea3f80U,     0xf6798f7aU, \
    0x65494207U,     0xeabfb80eU,     0x2a0b4849U,     0xc7892015U, \
    0x28d78cd7U,     0xed6ddbb5U,     0x1f91ccb5U,     0xe3663937U, \
    0x67247549U,     0x3924439cU,     0xbac914f9U,     0xbb0bc774U, \
    0xa114a556U,     0xe3aebe92U,     0x39c041f3U,     0x1d0d49a5U, \
    0x2ac3d5f7U,     0x8ab7d64aU,     0x44540788U,     0x88530f28U, \
    0x5edf8386U,     0xeffb8903U,     0xf587cd69U,     0xfcf030b2U, \
    0x780fc21bU,     0xd5dc1052U,     0x896181a7U,     0x69009c3dU, \
    0x52cc769eU,     0xaa413ff5U,     0x21b3367dU,     0x763d580cU, \
    0x84a11da2U,     0xf7ad4425U,     0xc78dff5fU,     0xde9ceb9aU, \
    0xfdb5216aU,     0x0f335b20U,     0xf0bdee52U,     0x503433baU, \
    0x97b20f99U,     0x679177b4U,     0x963da1c8U,     0x5647e232U, \
    0xee62fbcfU,     0x53cffdc6U,     0xc612aba0U,     0x8221fb4bU, \
    0xf5f4226aU,     0x55a4b2f4U,     0x6c38422aU,     0xa00d46c8U, \
    0x29135d14U,     0xfa24c15aU,     0x04bdf3cfU,     0x2f16e88eU, \
    0x3cc89bd8U,     0xc440bfc7U,     0x23da19ecU,     0x3eec6bd9U, \
    0x0d5d8ca6U,     0xf73ee741U,     0x88b97fcaU,     0xc0a8ff20U, \
    0x79aeb2b6U,     0x9d98f887U,     0x84a15cf8U,     0x1ccdbe18U, \
    0xb77054c8U,     0x5946d796U,     0xebaa8d25U,     0x00dc6677U, \
    0x6e90e225U,     0x501d4b57U,     0x64083e7aU,     0xf31db29cU, \
    0x5ace157cU,     0x596c602aU,     0xee8a35fdU,     0x17174793U, \
    0xd1ffdd21U,     0xcae51ef9U,     0x8107b322U,     0x5fb6d590U, \
    0xdc18e296U,     0x1a930243U,     0x513d9b44U,     0xcf37e6dbU, \
    0xbb0ca8f3U,     0x8060a73aU,     0xb25c277bU,     0xaeb1519cU, \
    0xe597622aU,     0x31431c24U,     0x2584c845U,     0x264e35b3U, \
    0x1fc94204U,     0x66c52aaeU,     0x83823abbU,     0x755e122bU, \
    0x53e9dc34U,     0x6173f016U,     0x54d669ebU,     0x6fbc8f27U, \
    0x1b891c3dU,     0x3e1fc3b2U,     0x6a1cc927U,     0xa5824c83U, \
    0x20e5edacU,     0xc196c309U,     0x2fa70ce5U,     0x01a0b749U, \
    0x780d1d66U,     0x03013b27U,     0xc6f10b10U,     0xbba3c33dU, \
    0x66845237U,     0x02362c6bU,     0xe496460fU,     0xbe53be5aU, \
    0xdaed1365U,     0xdddc2ad9U,     0x17bf7dddU,     0xd1857badU, \
    0x7e1fcac6U,     0xa212b652U,     0x4bc01aa7U,     0x64125270U, \
    0xc56bdb56U,     0xfa2aeb38U,     0xd7d1b0d4U,     0xc5d9f8b9U, \
    0x18c2073dU,     0x84777d84U,     0x1414b9b0U,     0x28acbbccU, \
    0xbad5ca9aU,     0x0b77fd37U,     0xe82fc73cU,     0x4a7129c2U, \
    0xc188331bU,     0x6e8d40a0U,     0x97b414e8U,     0x20cb1544U, \
    0x0aea0c24U,     0xcdff281fU,     0xba4b41f9U,     0xf063d525U, \
    0xbe4c3623U,     0x439f1a34U,     0x3a02d6f3U,     0x26e9a812U, \
    0x212b8848U,     0xc377c2d3U,     0x0084b54aU,     0xdd39d443U, \
    0x9b7a7c3eU,     0x7cc3e1b9U,     0x5a35cf23U,     0x7e343a8bU, \
    0x25b8acb4U,     0xd31e896cU,     0x159fc70aU,     0xbb2d69b1U, \
    0x7d22f13bU,     0x2d84fb7aU,     0x53b91ccdU,     0x7ea8063aU, \
    0x4b18ae1dU,     0x6ebf8a85U,     0xdff974c9U,     0x0d8a8654U, \
    0xbda5e00cU,     0xecf0dbd1U,     0xb9b0576aU,     0x4a579f20U, \
    0xcca8dcc9U,     0x9832183eU,     0xa388d0abU,     0x79cb7bccU, \
    0xf621b070U,     0x52bf1257U,     0xe2aa0206U,     0xd08f1534U, \
    0x70a04d54U,     0x047369ceU,     0x254deb41U,     0x7052dedaU, \
    0xbc7358f0U,     0x267736beU,     0xc5df4ee8U,     0xd55bbb87U, \
    0x6f130a1eU,     0xee556758U,     0x2c4a41e5U,     0xe55a54b0U, \
    0x968d84f8U,     0x085b1e71U,     0xaef2c399U,     0xb80e7229U, \
    0xe4edee6fU,     0x218519d6U,     0x2f126ebaU,     0xa40d19bcU, \
    0xb65f8452U,     0x4cfd5acbU,     0x38c1c565U,     0xb15ea763U, \
    0xac053398U,     0x3aa6cc73U,     0xb80e4cc8U,     0xc33ceeb5U, \
    0x6c54fa71U,     0xbe26f6c5U,     0x871addeaU,     0x20562c00U, \
    0x7634c2e8U,     0xb0ea6b46U,     0x9fff32d6U,     0x1088b89aU, \
    0x9cfc57d6U,     0x460cc349U,     0x99246747U,     0x6ab97b7bU, \
    0xdfd22193U,     0x3af8b2d7U,     0xa5f61045U,     0xa4a7d423U, \
    0xb9ca274fU,     0xf408c7bcU,     0xe0789688U,     0x8d1aaea4U, \
    0x16c732c7U,     0x715dbb94U,     0x62e4bd77U,     0x35480456U, \
    0xfd6c7da7U,     0x5b45c8e5U,     0x4282659bU,     0x9065310dU, \
    0x4b58612cU,     0x7e244abaU,     0x31733fc4U,     0x3056abdbU, \
    0xc79e3e5dU,     0x34fb7c4fU,     0xb51ef1eaU,     0x3fd5078cU, \
    0x33b41c04U,     0x8a0ae0daU,     0x05cb0982U,     0x8200c27cU, \
    0x6c47715aU,     0xff73e4ffU,     0xa19382cfU,     0xd3da8ff6U, \
    0x441f11d0U,     0x764e54dcU,     0x620c5959U,     0x3f776352U, \
    0x2661ac01U,     0x28da858dU,     0x2262a117U,     0x5fb8ccafU, \
    0x58b32bedU,     0xa064daafU,     0xc8e47bdeU,     0xb41a3730U, \
    0xba0f887dU,     0xb77d8039U,     0xc564f8eeU,     0xe3fa6a26U, \
    0xd4cb69b1U,     0xd84bee71U,     0xa1d614faU,     0xd2ad0749U, \
    0x90467c39U,     0xfbc62d22U,     0xe2863943U,     0x2f880ea4U, \
    0x3c411d48U,     0xd981a1ecU,     0xc50a887fU,     0xf101f70eU, \
    0x9d479269U,     0x6f21cb3bU,     0xa79ed529U,     0x2dc1fee8U, \
    0xedfcc4afU,     0xfb630f66U,     0x14358626U,     0xf4a28a32U, \
    0x772c750aU,     0x83a6c4e1U,     0x26df809bU,     0xb358ec20U, \
    0xad29db02U,     0xe5c3867eU,     0xf0d418d4U,     0x0bb69b72U, \
    0x6ccacfc0U,     0x556038e0U,     0xe2713fb9U,     0x0a28e383U, \
    0x6828da5eU,     0xd1cb98aaU,     0xc4d2fda5U,     0x412272c1U, \
    0xb2161d9aU,     0xd95ab3beU,     0xeb3e2d9cU,     0x103624ebU, \
    0x77254a65U,     0x950934c6U,     0xae7498bcU,     0x358211d8U, \
    0xa46cfb3aU,     0x159c6930U,     0x42a52eeaU,     0x937a2e64U, \
    0xd6b6f683U,     0x9c073a98U,     0x3c5d253bU,     0x86633eb8U, \
    0xb1d1cdcdU,     0x5decb9aaU,     0x0925375aU,     0x732352b3U, \
    0x94e50974U,     0x13fc4d70U,     0xc0031bdcU,     0xbad32192U, \
    0xd98a2a24U,     0xb0a134a0U,     0x7ecb4fceU,     0x92038553U, \
    0x1d196728U,     0x315f5904U,     0xf6f39f0fU,     0xc88f39b4U, \
    0xeef340bdU,     0xb2880364U,     0x1f46c65dU,     0x683f5863U, \
    0xdd34e65aU,     0xec7ccf7cU,     0x46d38677U,     0x89f1cacaU, \
    0x010f5552U,     0x7bf87026U,     0x3d6f054dU,     0x29f6762aU, \
    0x44b5b3f4U,     0x1ff312f9U,     0x4cf097e5U,     0x4a4e8b2dU, \
    0x52e86c98U,     0x7d424886U,     0x434e8075U,     0x0663b9a3U, \
    0x44887fe3U,     0xbcf1938eU,     0x036c2cd1U,     0x8d065adfU, \
    0x36428b11U,     0x26a31be0U,     0xfb446863U,     0x96ae855bU, \
    0x66e91481U,     0x786e71d7U,     0x225da1aeU,     0x86186a96U, \
    0xb74b454cU,     0xa54c1054U,     0x883f2142U,     0xeff2a9beU, \
    0xaab1b717U,     0xd8f5d6d1U,     0x298b7fdfU,     0x3f5832e9U, \
    0xe370828cU,     0x4748dd73U,     0x63dd2b9bU,     0x5f88d111U, \
    0xd5d47957U,     0x2daabbbeU,     0x22d6ab43U,     0xe7d584e8U, \
    0x2253414cU,     0xaa64806dU,     0x01e8a7fbU,     0x77515905U, \
    0x70a2a212U,     0x18573fedU,     0xcf133c87U,     0x14450bf7U, \
    0xf7df27e7U,     0x8ee02dd9U,     0x381848ecU,     0x5b8166c7U, \
    0xec23f415U,     0x323355ffU,     0x1107dd04U,     0x556509c0U, \
    0x5d615c91U,     0x440ecda3U,     0x278015fbU,     0x65f5d374U, \
    0x5a180ed6U,     0x33c6a4bfU,     0x5f07200bU,     0x1f6fb64dU, \
    0x178ff646U,     0xf5dcf7c4U,     0x82182d4fU,     0xc3444c65U, \
    0xf8c4c06fU,     0x457ad57dU,     0x7fd99edcU,     0xa25da944U, \
    0x401aa67dU,     0x931c7a76U,     0xcff5c728U,     0xf7d1c413U, \
    0x2de8b4bbU,     0x8375e9bdU,     0x9a54046fU,     0xa2c70025U, \
    0x4f021ba1U,     0x65e5e259U,     0x42d7db71U,     0x8759a3ebU, \
    0x7bb2a1dbU,     0x3c696c5fU,     0xd9d3b80eU,     0x19d2c8deU, \
    0xf8840b8cU,     0xbf2835feU,     0xe4d93d27U,     0x38fcbf0bU, \
    0x23162d71U,     0xa74fc609U,     0x39326fe4U,     0xc5c4997bU, \
    0x7a5b1868U,     0x7c8e5d0eU,     0x39318d20U,     0xf2b06c02U, \
    0x789ff2cbU,     0xe15b40e7U,     0x4418386aU,     0x4b58c9bbU, \
    0x953179b3U,     0x956dca4fU,     0x98edad85U,     0x1f799518U, \
    0xe7989eb0U,     0xd6e7293bU,     0x2ad9f44cU,     0xb771fef6U, \
    0x50af59e8U,     0x717d706eU,     0x16cc9eafU,     0x6050a14cU, \
    0x7d4d480fU,     0x9e4c2ebcU,     0xbfecaa7eU,     0xc7214249U, \
    0xb7f01fb8U,     0x4f0edaebU,     0xefeb6ba4U,     0x5f8eed0fU, \
    0xdfd7ef65U,     0xbde49ff2U,     0x4d683e2bU,     0x56bd3bdeU, \
    0xaaaa073bU,     0xed2b9aefU,     0xae051848U,     0x6fe101d7U, \
    0xf75617f7U,     0x50a1f6f7U,     0xe9f12154U,     0xdf379c47U, \
    0x740e6a7bU,     0x7c3141b7U,     0xfbb99a82U,     0x8b238061U, \
    0x8135e135U,     0x05a56830U,     0x28ea043cU,     0xff5efad2U, \
    0x6ded31c4U,     0x90ea61f9U,     0xfda2bbdfU,     0xc5ed0087U, \
    0x0f5c7034U,     0x9ca88c67U,     0x706c71abU,     0xaf637c2fU, \
    0x04e5206eU,     0x8ec71420U,     0x47e9ad36U,     0x57ac05caU, \
    0x8e97143fU,     0xac30a8a7U,     0x66e95942U,     0xea483c1aU, \
    0x7c087383U,     0x57479e23U,     0xa6e758cfU,     0x322218a6U, \
    0xc5917f6eU,     0x3da7d774U,     0x3da132b9U,     0x8a61596bU, \
    0xf84bd17dU,     0xc0ea60f6U,     0x791da34aU,     0x6c7ecb8cU, \
    0x9c1078faU,     0xf7647206U,     0xf35da19dU,     0x5557ac52U, \
    0xf60fc30dU,     0x0cd95345U,     0x64e4d335U,     0xc6bf9251U, \
    0x6706e459U,     0xfd3efcfdU,     0x0acbf691U,     0xc7b6ead8U, \
    0xfc3fc7bcU,     0xc54cfb09U,     0x6f72b283U,     0xdabf6194U, \
    0x06dddf5dU,     0x33a90543U,     0xa6b23c03U,     0x9186a9cbU, \
    0x2e163bafU,     0x57ba4cd5U,     0xa84181a0U,     0xc1fffafdU, \
    0x0a2f4a56U,     0xa66eca93U,     0xb4eae05eU,     0x002d4308U, \
    0x749d2f53U,     0x0f73477eU,     0x347d0536U,     0xfacbbe38U, \
    0x33ee2d34U,     0x52a73904U,     0x206a8492U,     0x403d2dacU, \
    0x8c7d2a6aU,     0xf78d1183U,     0xac7cc487U,     0xe5618fb6U, \
    0x1322217eU,     0xf24a4376U,     0x2409c25eU,     0xf0227cdbU, \
    0x170a87a7U,     0x07ea1685U,     0x2c87c4b4U,     0x582738aaU, \
    0x115a28ffU,     0x6503b5dbU,     0xa5e04726U,     0x074a9a94U, \
    0xd59fdb08U,     0x686c3999U,     0x25bf6cfbU,     0x85220bedU, \
    0xe4035bcbU,     0xe2356119U,     0x4db25e4aU,     0x3134ecc7U, \
    0xf5d805a8U,     0x96da59faU,     0x2c6ca4acU,     0xaa713cdbU, \
    0xf6fed67aU,     0x24fd85e6U,     0x7e70ed28U,     0xcd79c161U, \
    0xea8a5ac3U,     0xf8687ed5U,     0x1baffdf0U,     0x6202db06U, \
    0xb765775eU,     0x189437a9U,     0x3526a77bU,     0x5bb207d2U, \
    0x95f0dff8U,     0x03eab214U,     0x7f5566b4U,     0x1fcbe8cbU, \
    0x7857c8a0U,     0x0e30899dU,     0xc10bc268U,     0x496de352U, \
    0x925df0b5U,     0x2b03c9c8U,     0x05ebb8e1U,     0xe7328a7cU, \
    0x7ce0dcffU,     0x2ee5e9e8U,     0xc828985bU,     0x8a69d443U, \
    0x75e6b78eU,     0x2b5af086U,     0x6f834936U,     0x8efcbca4U, \
    0xdce4b65aU,     0x91372186U,     0xee179fd8U,     0x6416c2feU, \
    0xd2df07d2U,     0xbcdcefa8U,     0x612f1a8aU,     0xf8bbe7e7U, \
    0x204f6e39U,     0xfeb258e8U,     0x18e788dcU,     0xd954effaU, \
    0xba75d496U,     0x22ff3e35U,     0x3e5e443dU,     0xcc8b8004U, \
    0x8ef97be8U,     0x4bae1f5dU,     0x9eb29856U,     0xa0dba7f1U, \
    0x0e23b72cU,     0x7aad7019U,     0x70c4b631U,     0x6da751bcU, \
    0xff20526fU,     0xbfbe5700U,     0xdc0726caU,     0xf3cd4732U, \
    0x7a83daccU,     0x5c3ecbdcU,     0xedfccb0fU,     0x97be12bfU, \
    0x8472795cU,     0x30a1fe79U,     0x74a735d6U,     0xc0f144cbU, \
    0xc8f12d34U,     0x286a1c39U,     0xc0cd404bU,     0x42ca1648U, \
    0xb9a3adf0U,     0x422a9f84U,     0xd8f75777U,     0x7571b91cU, \
    0x18f48097U,     0x788d9cbaU,     0x9576a205U,     0x614ea449U, \
    0x07df53d8U,     0x9dc369a5U,     0xdc38dee4U,     0xa153144eU, \
    0x2b9df941U,     0xad68732fU,     0x2e152949U,     0x2511888bU, \
    0x3b54c799U,     0x68484fc7U,     0xdf9cbec4U,     0x9d1a5bc8U, \
    0x8ce5ca60U,     0x754711d0U,     0x20fb389bU,     0x26ab6adfU, \
    0x12a27c85U,     0xd45c0631U,     0x156dd4e2U,     0x6dc55e66U, \
    0xc8a3b592U,     0xcad59743U,     0x3ae601c3U,     0x79df177bU, \
    0x04e94fc5U,     0x742024d9U,     0xc7c2350eU,     0x29a01793U, \
    0x8d4a86e4U,     0x73704a57U,     0xd6035f9cU,     0xe6b5a05bU, \
    0xd31425aeU,     0x6949ffdfU,     0xcc5acd59U,     0xd74b5576U, \
    0xdf157c2fU,     0x6cee1b62U,     0xc21864e9U,     0x6988cf80U, \
    0xa4a60bb8U,     0x305662a3U,     0x7b940052U,     0xf593556eU, \
    0x3c9b8343U,     0xe0437ba1U,     0x62a5dfbfU,     0x4cce1b02U, \
    0x828f7cb1U,     0x973212bcU,     0x74494fa5U,     0x1b39de76U, \
    0xe7906e7bU,     0xd31aef1eU,     0xae679da0U,     0xdf4bbdffU, \
    0xce8745aeU,     0x1252695bU,     0x536fb5ecU,     0x7529e777U, \
    0xb4ed8d2eU,     0x9ea03843U,     0xfb5775b8U,     0x7403e562U, \
    0x73cf9ddbU,     0x400cde4eU,     0x715e115fU,     0xad567cc4U, \
    0xcc4d7cb4U,     0xe5865371U,     0x68248628U,     0xfb46e157U, \
    0xb15f4b45U,     0xdfde5af3U,     0x4ab24819U,     0x3c66f1beU, \
    0x402c4817U,     0x58647cd0U,     0x1df80384U,     0x832daa10U, \
    0x260ac159U,     0x34806e5aU,     0xeed69111U,     0xf03b533dU, \
    0x18d0cbf0U,     0x614400efU,     0xa605692fU,     0x46d03500U, \
    0xa5f983a4U,     0xb7b6e301U,     0xab018aa8U,     0x415a8eecU, \
    0xeaed52e3U,     0x919627abU,     0xa54a533bU,     0xaf479b31U, \
    0x083c92b7U,     0x623d7b42U,     0x989fd2a4U,     0xc85231e1U, \
    0x62d46549U,     0x7dabd856U,     0xff4c50aaU,     0x9beb4454U, \
    0xe24de2a9U,     0x86bb936aU,     0x5a21d928U,     0x58d7d4f8U, \
    0xdf238362U,     0xc2d3472eU,     0xdeb094b4U,     0x2af5db51U, \
    0xdb1a13b6U,     0xd912d0efU,     0xd43057e3U,     0x1033a034U, \
    0x8a7d9658U,     0x303b3589U,     0x7139d2bdU,     0xbdb1ebe8U, \
    0xd8df886dU,     0x8a6b6815U,     0x0688ca91U,     0xa0690505U, \
    0x53c144bbU,     0x559b7082U,     0x13cd4168U,     0xb1d1c076U, \
    0x128c71beU,     0xcb413e01U,     0x5445612bU,     0x8ec70c6eU, \
    0x2acfd7dbU,     0x76e0aa84U,     0x2b1267ddU,     0x206a7c19U, \
    0x91426304U,     0xacde3b1dU,     0x6e4dcfbfU,     0xe16a661bU, \
    0xa9fb0363U,     0x090f12fbU,     0x92cfbf59U,     0xe86f3776U, \
    0xdd4c32b1U,     0x7527cb7fU,     0xbf83f183U,     0x2c8fcb4bU, \
    0x5c64dd36U,     0xd3ea7db6U,     0xf71fd1a6U,     0x533cfe6fU, \
    0x340b2addU,     0xeaf8bd6bU,     0xcfe295a9U,     0xaa4b6590U, \
    0x665de7efU,     0x53cd051fU,     0xbf201223U,     0x66057125U, \
    0xc28063a6U,     0xfbfe4d11U,     0x55abb88aU,     0x11e6a502U, \
    0x311ad067U,     0xa43af9caU,     0x771361e9U,     0x487f159aU, \
    0x4979488eU,     0x10150589U,     0xc824e35bU,     0x391d5bfdU, \
    0xcafb398fU,     0x735afae9U,     0x134e7628U,     0xd1201d08U, \
    0xd83a02c4U,     0xc8a88c86U,     0x6abd42c6U,     0xd43a5041U, \
    0x17a2d727U,     0xdccde630U,     0x7f463401U,     0x1c198042U, \
    0xc8cc41deU,     0xdfa90be2U,     0xebad1cefU,     0x3cd22c94U, \
    0x1dca6fe8U,     0x4f346e5bU,     0x6e241cefU,     0x2f3781b6U, \
    0x684dbd9dU,     0xf0d7cf99U,     0x0ca9b720U,     0xce20c2ecU, \
    0xf5ffc3f4U,     0xc94e745bU,     0xe66f7a72U,     0xee056170U, \
    0x4fedc69fU,     0xe536325eU,     0x25a8c1afU,     0x650f3ad9U, \
    0x4da625ceU,     0x61e620c6U,     0xc42bf231U,     0x2864c100U, \
    0x2086e9b6U,     0xac871f61U,     0x728335efU,     0x9f8d8423U, \
    0xc223fa73U,     0xb12f1270U,     0x7f7d12b4U,     0x9008b923U, \
    0xb58cb0fcU,     0xe3f37e50U,     0xd9ccf271U,     0x376f2a60U, \
    0x99c2171dU,     0x68adbd83U,     0x1721eca9U,     0x0b962bd1U, \
    0x905dc1d4U,     0x62d232e0U,     0x91ad8c0dU,     0x1680c51bU, \
    0xc854c913U,     0x6fb4df58U,     0x2e01cabdU,     0x9c71ee75U, \
    0x33a261afU,     0x62204738U,     0xa3eb7a77U,     0x838fc179U, \
    0xbb905a7bU,     0x86d3eaf1U,     0xb989dc57U,     0x7f9d852aU, \
    0xa7f325a0U,     0xdf71bf9cU,     0xc9cda425U,     0xebbaa684U, \
    0xf3f32e17U,     0xe29450d3U,     0xf525054cU,     0xa2102251U, \
    0x4e75e144U,     0xaee019ffU,     0x572e948cU,     0x11c25432U, \
    0xa09e4327U,     0x93229705U,     0x65fcf907U,     0xd6c79e4aU, \
    0x32c34fcdU,     0x2fe2191bU,     0x1d79956cU,     0x34dbd12dU, \
    0x6403486fU,     0xc425ad38U,     0xd290c91aU,     0x3f3a7ee5U, \
    0x96d3887dU,     0xbedbaec7U,     0x74f1585bU,     0xb256cb29U, \
    0xf72897ebU,     0xadd44206U,     0x8fc99e44U,     0x40b9007cU, \
    0x2cb443c6U,     0x4661480cU,     0xb49664b7U,     0xeb006b52U, \
    0x61bda037U,     0x8478df8bU,     0x0c00881dU,     0x4969ccf2U, \
    0x69343cadU,     0x785fb7c1U,     0x268ec226U,     0x66317fedU, \
    0xe2f727a2U,     0x7037fa36U,     0x890439aeU,     0x385f0435U, \
    0x71851bebU,     0xb91f5edbU,     0x40cf5b05U,     0xf4eded06U, \
    0xd5f841d2U,     0xde3486c8U,     0x4d98c046U,     0x09654ba9U, \
    0x119086bfU,     0x06968b1cU,     0x3cc541c4U,     0xa4c0fd15U, \
    0xf4d65de4U,     0x6d842cb9U,     0xab42dc81U,     0x9bd7bbacU, \
    0xb5602798U,     0xbe76b2bfU,     0xab1295c0U,     0x99e9cebfU, \
    0x1c7b0f31U,     0x306d51f8U,     0x80aae74aU,     0xbf39065cU, \
    0x55943ce6U,     0xba0228abU,     0xc1419136U,     0x89dfff97U, \
    0x82c49937U,     0x97c671b0U,     0x83410efdU,     0x697d394cU, \
    0xdea923e1U,     0x3734ff2cU,     0xce90bdb3U,     0x2cd12f1aU, \
    0xfef38d1bU,     0x16ed4bc2U,     0xacbfd158U,     0x7b6565cdU, \
    0x54e427f4U,     0xbf1d9aecU,     0x0ce12648U,     0x6cd7c8cbU, \
    0x5a77ff0fU,     0x35a5e97bU,     0x8f16588cU,     0x47e7fd72U, \
    0x1301e136U,     0x0586d9ecU,     0xd71d17f7U,     0xc151479fU, \
    0x718c1d86U,     0xcbb4bfb9U,     0x9500b04cU,     0x2807f84dU, \
    0x5e830ba4U,     0xd9aaed50U,     0x8361b9fcU,     0x2c442beaU, \
    0x122af070U,     0x9c65728fU,     0xa7427fbfU,     0x64ed80cbU, \
    0xf594131cU,     0xc590aa24U,     0x011ada07U,     0x47bf60c5U, \
    0x4013f970U,     0x1329675aU,     0x4ece9c2aU,     0x67c871dbU, \
    0x19da04d2U,     0x037bb50cU,     0xfaea3dedU,     0x37dacc04U, \
    0x21f7b829U,     0xff3b51f2U,     0x4776aef1U,     0x30a507b3U, \
    0x6a9f501bU,     0x15bab95dU,     0xec84293bU,     0xc041387aU, \
    0x5eaccbaaU,     0x4e270f59U,     0x1af77aacU,     0x1e16ded0U, \
    0xd6a5362bU,     0x9ca5839bU,     0x914ccd22U,     0x4fa084cbU, \
    0x0491df4bU,     0x1ac682b8U,     0x95240085U,     0x9811cb5fU, \
    0xe2da309eU,     0x356da163U,     0x4551e067U,     0xa3c64367U, \
    0x65492e9bU,     0xa3dad700U,     0x889d82adU,     0x5f2c68cdU, \
    0x89d4b6f2U,     0xadb5b426U,     0x69b5e3e7U,     0xe012d742U, \
    0x234fbd07U,     0x518e2325U,     0x8efcec22U,     0xce363aa8U, \
    0x6b04a552U,     0x42cb2909U,     0x475ec602U,     0xbb26e27dU, \
    0xe818e6acU,     0x6501d0bfU,     0x323ff31bU,     0x7a07c040U, \
    0xd50807e3U,     0x6361386dU,     0x3a1813edU,     0xde75552bU, \
    0x3e11634bU,     0xe372263bU,     0xfefc2799U,     0x8ffc331bU, \
    0xb63c5c85U,     0xff3021abU,     0xa441af29U,     0x353d3e2dU, \
    0x37abbaf2U,     0xf6511180U,     0x0e4a9977U,     0x6f36a955U, \
    0x9154aef7U,     0x196ab1acU,     0x201b9a02U,     0x3b3cab2bU, \
    0x2cbf32afU,     0x0115be53U,     0x562a86d7U,     0x6af95dddU, \
    0x03c31119U,     0x1945e41cU,     0xcfb5ab4dU,     0x156be186U, \
    0x499b2668U,     0xffeb9789U,     0x1233ea99U,     0xc8b5814cU, \
    0x07f43f14U,     0x813b8aa7U,     0x70b12522U,     0xd894a8cbU, \
    0x870a2bcaU,     0x2ccf06e5U,     0x1e62886dU,     0x6d34a334U, \
    0xa98a20d4U,     0xdaf0df75U,     0x6cea2ea0U,     0x6245fc19U, \
    0x8f5e80acU,     0x246d047fU,     0xd1b8ea6fU,     0xd4b908b2U, \
    0x01fad1acU,     0xb10a0360U,     0xfc41e7bcU,     0xc37a84ccU, \
    0x4a1ae55cU,     0x1e1fd2b4U,     0xa521c68eU,     0x0ec40c45U, \
    0xaffa4449U,     0xa3c24ba4U,     0x93fe9ddfU,     0x06700821U, \
    0x3d236075U,     0x95f8b472U,     0x405b84d2U,     0x46bf93e7U, \
    0x4a0d4daaU,     0x1a2199d6U,     0x83d32239U,     0xc4bd8be9U, \
    0x8662b748U,     0x73f228bfU,     0x15c38914U,     0x7fde00ecU, \
    0x0a64b4a2U,     0x02d3bc96U,     0x4d548f5dU,     0xf20fcbfcU, \
    0xdecf79ddU,     0x4b23bbc4U,     0x8ee9882eU,     0xa3317dedU, \
    0x03856259U,     0xea1adadaU,     0x68d3580dU,     0x177b6892U, \
    0x0edd0f1eU,     0xcd3fc9b8U,     0x7a823561U,     0xda2be567U, \
    0x9ad7e14cU,     0x2b36f6f5U,     0xd2f0ad1bU,     0x5c40496aU, \
    0x80dea8aeU,     0x5046fbd5U,     0xbd8f7793U,     0x2ab312eeU, \
    0xc6a66ebfU,     0xeb9ee14aU,     0x78656238U,     0xd71f14cbU, \
    0x6dd98a93U,     0xa78eac71U,     0xbe0c90a5U,     0xe62bc083U, \
    0xc2b4e21dU,     0xe867b259U,     0xbabed052U,     0x3c60e54cU, \
    0x6b773495U,     0xd00ea324U,     0x1112f91cU,     0x4d4cd3f7U, \
    0xbecbbc99U,     0xf2da53cfU,     0x9ce118feU,     0xf0717a8eU, \
    0xad4e0570U,     0xdedc2518U,     0x0e4ead55U,     0xfb1a93edU, \
    0xe710efe8U,     0xac33340aU,     0xac558ca5U,     0x42238e68U, \
    0xffc135c4U,     0x2c5207a3U,     0x39ac2125U,     0x310e9b93U, \
    0xc3ba6a8fU,     0xd6143679U,     0x7d74ea08U,     0x8594ea68U, \
    0xe0f7179fU,     0x3dec4416U,     0xad7662f8U,     0x16c34ce6U, \
    0xc1d0f8f6U,     0x505e67ebU,     0xb2b068a2U,     0x13bb24b3U, \
    0xfcb1fa5fU,     0x97f9de37U,     0x26a71801U,     0xaca6f0e7U, \
    0x8f2896c3U,     0x821b3694U,     0x92e17006U,     0x9d9455faU, \
    0xc421fb8aU,     0x6401a223U,     0xf68428ebU,     0x165179abU, \
    0xfd5650d0U,     0x1f4f238dU,     0x1485a2a8U,     0x198280abU, \
    0xeb824ba2U,     0xee7fbb95U,     0x0c138de4U,     0xa0e79ef3U, \
    0x3dbc69c9U,     0x2856216cU,     0x50d62417U,     0xd7b5ddf5U, \
    0x6a9c4006U,     0x4c4307b3U,     0x5532b81bU,     0x49245dc5U, \
    0xda6dd990U,     0x8ce5be71U,     0xb9686f40U,     0x48b26a5dU, \
    0x20627a00U,     0x4b93c5ddU,     0xd6a0be97U,     0xe971512bU, \
    0xdd8dcff0U,     0xe4f861f3U,     0x26ea8973U,     0x3b6b50faU, \
    0xb0949126U,     0x6a95e12fU,     0x2c6d819aU,     0x8e3ae2eeU, \
    0x8c1dfe21U,     0x8b5c4d4cU,     0xa4d49288U,     0x9c8fcebcU, \
    0x3c290377U,     0xd3a54f91U,     0xb20525d6U,     0xe3ea5fb6U, \
    0x2a438ccbU,     0x23a742a0U,     0x6151b315U,     0x198c59e6U, \
    0xd2d29ed1U,     0xa84f8bb0U,     0x2cec2ab3U,     0x7c6324ebU, \
    0xaf240d91U,     0x8678f6fbU,     0x2ca2cc5dU,     0x1a981a44U, \
    0x6eb1bba3U,     0x352c69f9U,     0x3a7eea33U,     0x4e59f4f0U, \
    0x872d6d20U,     0x2ccd0df1U,     0xf2161c51U,     0x5c17261eU, \
    0x55da3243U,     0xf369d0faU,     0x1cecd9d9U,     0x6f59288cU, \
    0xf92601fdU,     0xde2c4714U,     0x1b1b6f8eU,     0xc94b2074U, \
    0x4b88da89U,     0xb105ff7aU,     0xe8126b9cU,     0x288af9deU, \
    0xf20f02cdU,     0xc88fad04U,     0x0300a075U,     0xdc8f5089U, \
    0x38a14096U,     0xa791fcb5U,     0x96389cbbU,     0x975748f0U, \
    0x7503547aU,     0xb6d4bc7dU,     0x8231a116U,     0x6b86c5e9U, \
    0x38c4e8f6U,     0x76601a0cU,     0x16409e3cU,     0xb297b019U, \
    0x305f3e56U,     0xbdac617aU,     0x705fb6d4U,     0x18807c39U, \
    0xcf974ddfU,     0xaec70a39U,     0x56733547U,     0xabcc5907U, \
    0x9d0e7d49U,     0x12273fd4U,     0x3e9cece1U,     0xbd612a1cU, \
    0xf3333132U,     0xf1f7264eU,     0xb5627d0fU,     0xcff6d169U, \
    0xfb0cc359U,     0x95582a2eU,     0xc7a15d8fU,     0x558efe1bU, \
    0xe9f23de8U,     0xdc285d47U,     0x264e3a53U,     0xf2984a43U, \
    0x06df7ffdU,     0xcc7c9ce5U,     0x5c59a551U,     0xe3fc5a4fU, \
    0xd1b08d5fU,     0x09ba73e1U,     0x4d4b00dbU,     0x16ac06d6U, \
    0x10956fddU,     0xab217f30U,     0x92aa882bU,     0xe437a860U, \
    0x2ffe47aaU,     0x9762ad17U,     0x7d497ea8U,     0x4b4f4cd5U, \
    0x2e51c8baU,     0xc9f850c1U,     0x4cbb2cc7U,     0xe591ea27U, \
    0x4b42b171U,     0x534d47f2U,     0x62997b7eU,     0x2e25d9dbU, \
    0xedb2b8e1U,     0xb5d0abe7U,     0x6d57d595U,     0x800bcd82U, \
    0xd78738c3U,     0xd5936c3fU,     0x38528c59U,     0xc0b10953U, \
    0x477cfeb7U,     0x963f0d2fU,     0x292f002dU,     0x289a8272U, \
    0x56c3a5ecU,     0xfa5c1d7bU,     0x1d9d56ffU,     0x700e32fdU, \
    0xaa38e642U,     0xc479848fU,     0xb291eca2U,     0xee78011aU, \
    0x37572239U,     0xd5ea5150U,     0xde884d9fU,     0xa3e60445U, \
    0xdd41aaf9U,     0x1986e393U,     0x09db9e84U,     0x9c974b01U, \
    0xc89be402U,     0xab20b1aaU,     0x8de54e37U,     0x48284d87U, \
    0xd56f7cdaU,     0x69468390U,     0x3774b141U,     0x580c0aa1U, \
    0x230777b7U,     0x5c5b9d69U,     0xd8651bbbU,     0x2a2b4dfeU, \
    0xc074ffacU,     0xb65c24aaU,     0x97b9706dU,     0xe84efbfdU, \
    0x7d0b08cdU,     0x5361ab25U,     0x66efa079U,     0x9467e563U, \
    0x19f40147U,     0xb635c22dU,     0xe9477c75U,     0xddbf2b35U, \
    0xb1a5e979U,     0x1c6dae77U,     0xe632273bU,     0xa17fc04dU, \
    0x8db93c01U,     0x870649b4U,     0xa3a92ae3U,     0x41333492U, \
    0xa26822e1U,     0x58596cccU,     0x9bbf5097U,     0x6c004256U, \
    0x935af7abU,     0x6759e6dcU,     0x1ceb81deU,     0x2f7d1f92U, \
    0x4dc4467dU,     0xb2ee92e4U,     0xe25fdb10U,     0x269972f8U, \
    0x855e0e90U,     0x2d136242U,     0x6785cbb0U,     0x38d419eeU, \
    0x71c4651eU,     0xa635b7c9U,     0x0ee648a8U,     0x00909d17U, \
    0xc11dca75U,     0x005a535bU,     0xa180e78eU,     0x50e29266U, \
    0x2d7511f0U,     0x59befc14U,     0xbceddb2fU,     0x050b0f5fU, \
    0xf107dc87U,     0x8a43628aU,     0x8c7072baU,     0x1f4ef6fdU, \
    0xa0f75769U,     0xd9cb9748U,     0x4423b549U,     0xbf0484d0U, \
    0x705bbe29U,     0xb090883eU,     0xfa65fb61U,     0x774baba3U, \
    0x3e9c3fb7U,     0xec021438U,     0x350e8588U,     0xb862bb79U, \
    0xe537e257U,     0xbdb705d0U,     0x799e8131U,     0x7f8e762aU, \
    0x2aa7a59cU,     0x85611546U,     0xc6427facU,     0x4cf75940U, \
    0x6bd1ff69U,     0x048a7167U,     0x73c3d91fU,     0x1a41ec92U, \
    0xf593dbcfU,     0x3e9c1df2U,     0x24a1af33U,     0x8badf8b6U, \
    0x0e06df98U,     0xc94966f2U,     0xf1bd2d11U,     0x2ba61602U, \
    0xf0968e5cU,     0xda87e379U,     0x4f7e822eU,     0x75a5831bU, \
    0x1c35eec6U,     0x49c3a1f1U,     0xe8705d4bU,     0x651d718eU, \
    0xd9506b5eU,     0x50e36056U,     0xbc2c0f0dU,     0x995b41c4U, \
    0x15ace426U,     0x008e89b4U,     0xec3b4fb0U,     0x1df35b96U, \
    0xfcd10a45U,     0xdd024158U,     0x4c793840U,     0xb513f79cU, \
    0x099417e4U,     0x871d10f6U,     0xe1aacb91U,     0xf0e6bfacU, \
    0xf7ced535U,     0x98ebcb84U,     0x9c63157cU,     0x91287fdfU, \
    0xd04998c7U,     0xb78ffdf6U,     0xf166cdedU,     0x7513b443U, \
    0x83a029bdU,     0xa3456b46U,     0xe043a312U,     0xcfb372d3U, \
    0x239a1598U,     0xc1917edeU,     0x950366c2U,     0xf9280f53U, \
    0x1f6c06c0U,     0xcc77aba6U,     0x5f2349f8U,     0x7e1d8e7dU, \
    0x0766d37bU,     0x3c29543fU,     0xa528c38eU,     0x838d5faaU, \
    0xa601c004U,     0x0725d4e2U,     0xfbb58696U,     0xc06033b7U, \
    0x54b62ab0U,     0x9f0701cbU,     0x1d90099aU,     0xf69e2259U, \
    0xe71dfcb8U,     0xbd24c920U,     0xd411fba0U,     0x431e95d9U, \
    0xb4e18668U,     0x6aca88b4U,     0x20b57f15U,     0x53499f2eU, \
    0xa21c31e6U,     0x95a464cdU,     0x6cebb409U,     0xa5df6e15U, \
    0xe63e54a3U,     0x0ffa5532U,     0x078aa79cU,     0x0a994fa0U, \
    0xb55e6109U,     0xd91c9240U,     0xf4870469U,     0x3538f257U, \
    0x798b4950U,     0x6ba1a4c6U,     0x5da43467U,     0x5a1b9973U, \
    0x89e796aaU,     0x2648da57U,     0x4cd12a3dU,     0xbcbe5f96U, \
    0x87ec9d19U,     0x8cdc1e8eU,     0x232647dfU,     0x8551c155U, \
    0x9249639cU,     0xf519666fU,     0x64b6c413U,     0x3cd5d16dU, \
    0xd8560d54U,     0x8b30fcb2U,     0x0d9168e4U,     0xa6c10bf3U, \
    0x0b05b6b0U,     0xdf64f4e3U,     0xd1d68e46U,     0xac9ee4a4U, \
    0xfe3b0239U,     0x5f08ab56U,     0xa89c1888U,     0x4d65ad6bU, \
    0xb00a4c44U,     0xf24e5ab6U,     0xc10a714fU,     0xcba6215fU, \
    0x1bfff2f5U,     0xcb871617U,     0xa3e3d6a2U,     0x3b4dd629U, \
    0xd076dd84U,     0xe711b303U,     0xa8504427U,     0x520ca359U, \
    0x24cc1b9bU,     0xe9d53842U,     0x4e6f5f22U,     0xa91c44d3U, \
    0xf3d31ccdU,     0x4a388fe8U,     0x584ddd90U,     0xe40f47a9U, \
    0xfe30da7fU,     0x3a1188c1U,     0xa234c288U,     0x22ad12b0U, \
    0x6a17a993U,     0x449635e1U,     0x5422944cU,     0x3cf730b4U, \
    0xa8352fa5U,     0x20702621U,     0x8a652e3dU,     0xe6e5bfd6U, \
    0xf1f419cfU,     0x2e01fff2U,     0x74154e23U,     0x6f0b6a38U, \
    0x54cda611U,     0x57aefbe8U,     0xc8edeedfU,     0xb0bf8ff5U, \
    0x75a800f4U,     0xa74019a0U,     0x3ba93204U,     0xb08428a7U, \
    0x39748b97U,     0xb8767fa6U,     0x64ce2cadU,     0xf5aafea8U, \
    0x065b27b6U,     0xb637745eU,     0x3e4faa09U,     0x44288af7U, \
    0x16ba08b3U,     0x45cc98aeU,     0x5cd82348U,     0x8d5e5432U, \
    0xa8796ed0U,     0x5fbf6996U,     0xc5ac8aa9U,     0xb0287831U, \
    0x60a9b802U,     0x749cdb91U,     0x78e0857aU,     0x279fb304U, \
    0x258b0cf8U,     0x1b100d14U,     0xa469ce40U,     0xd17aa2e6U, \
    0x071cf9a0U,     0x01433ebfU,     0x4ba9b6ceU,     0xaaa44c1dU, \
    0xb4dfe2bdU,     0xbe489bffU,     0x529fbac5U,     0x060a77b2U, \
    0xe4225b2aU,     0xa2511612U,     0x32e65716U,     0x1efeb1b7U, \
    0x2c349c42U,     0x44c65bd6U,     0x03306507U,     0x627c76d2U, \
    0x11c84d1cU,     0x127894e0U,     0xff96e0caU,     0xd6420458U, \
    0xb4222f0aU,     0xd8ea32f0U,     0x70856084U,     0xab237ca3U, \
    0x49f802bfU,     0x217682f6U,     0x1c8a6c4cU,     0xc2a4406eU, \
    0xdf6d4097U,     0x5f5b8368U,     0x7ded8d80U,     0x225a9625U, \
    0x035ba825U,     0xcea9ff9bU,     0x6a546261U,     0xebcb5b32U, \
    0xcc7485ecU,     0xe6050012U,     0x6e512c0eU,     0x4ff132c7U, \
    0xba35f7eaU,     0x68d525c5U,     0x5e14d2deU,     0x13de5cfaU, \
    0x6e93753fU,     0xc5630860U,     0xadd1c0beU,     0xfd0e59c7U, \
    0xc94cc853U,     0xc375c839U,     0x8292c98fU,     0x70f2b6d0U, \
    0xcb571fc4U,     0x1ca3747cU,     0xda55b56bU,     0x76e12b64U, \
    0x36dedda5U,     0x86e7788aU,     0x90dd310aU,     0xbde627d5U, \
    0xa10cef09U,     0xb3f62c92U,     0xb6f8a4e0U,     0x6fbffabbU, \
    0x5c88b98aU,     0x65585173U,     0xce40f82fU,     0x1a47fd3aU, \
    0x0c1345ceU,     0x2a32836bU,     0x79bbe7c0U,     0xae93aa1cU, \
    0x825558cfU,     0x7f42f15dU,     0x725c7142U,     0x72cd978aU, \
    0xa276c858U,     0x2969130fU,     0xabf9cf2bU,     0x90dc4699U, \
    0x7064e48fU,     0x38dd07beU,     0xc98a10bdU,     0x7a5366f4U, \
    0x7b150881U,     0xb70f1a14U,     0x0f92a2d8U,     0xe7d5b7e6U, \
    0xbecddb63U,     0x23aae494U,     0x8d741ea3U,     0xe24c5cacU, \
    0x4c3f1aa5U,     0xcb45867bU,     0x1390f6e1U,     0xa0388e94U, \
    0x26606c34U,     0x898c3da4U,     0xfb67aa58U,     0x69eaefe1U, \
    0xf44b1f30U,     0x7e0f4151U,     0x6dbd6043U,     0x19371bbcU, \
    0x86d85abbU,     0x6a056fd9U,     0x532a1b4cU,     0x0a5021c6U, \
    0xaa6fe0e5U,     0x74279550U,     0x95adb8a2U,     0x78693352U, \
    0x5d9bcca8U,     0x3aa96dd8U,     0xe5d13a9dU,     0x4df4e3e3U, \
    0x8f131c27U,     0x1cda9648U,     0xecd492e9U,     0x9fb82cd8U, \
    0xf2109f8bU,     0xf243e101U,     0x9ad0679cU,     0x86328ff6U, \
    0x79e8be2aU,     0x39ea7c9aU,     0x8175437bU,     0x5815e217U, \
    0xad8bce89U,     0xa51447e3U,     0x5e21e150U,     0x65790ae4U, \
    0x15edd2f4U,     0xdc8c8c10U,     0xf34c2d02U,     0xd1e1a738U, \
    0xead32799U,     0x2daceefcU,     0xe649e163U,     0xac2a86fcU, \
    0xed605ae7U,     0x3219d489U,     0x6a483d36U,     0xd99d49d0U, \
    0xad803cfcU,     0xf41feb39U,     0xe0aafa46U,     0xaec4b79cU, \
    0x7592fdb4U,     0x00ecbf27U,     0xe316e898U,     0x862453c7U, \
    0xe99c12aeU,     0xf1aee94dU,     0x369e1968U,     0xbf27d7f1U, \
    0xd0d3d30cU,     0x6f2043b8U,     0x63927740U,     0xc0b2e7a6U, \
    0x218e892aU,     0x6ed51e95U,     0x7f6e3c13U,     0xfe0a49bfU, \
    0x752f6b2fU,     0x8306e25eU,     0x8910e85cU,     0x7bace484U, \
    0x09b6d452U,     0x34330072U,     0x23008694U,     0x84aae4a0U, \
    0x5f348f1bU,     0xe11ed4ceU,     0xe21adc3eU,     0xb368dfd8U, \
    0x9be8a6e6U,     0xb67b4190U,     0x7a11a092U,     0xe1aa0a80U, \
    0xe6af309dU,     0xa3b1c67aU,     0xf2dba2b9U,     0x3542e72aU, \
    0xc1b2f8d6U,     0x3c3078eaU,     0x571835cbU,     0x09775827U, \
    0x9a99278fU,     0x5a2b3108U,     0x2c3c0a44U,     0x6b4b1947U, \
    0xe527dd4fU,     0x9df5cae4U,     0xf7a0484dU,     0x9418c9e9U, \
    0x3784d9efU,     0x4e0ca1f6U,     0x06376b53U,     0x242655feU, \
    0x45ee9688U,     0xf65c0bd4U,     0x087e0854U,     0x097504dfU, \
    0x47bd3595U,     0xaa88b05dU,     0x2c36c5a6U,     0x5a5489c5U, \
    0xf2f06f04U,     0x98cc835bU,     0xe3aa814dU,     0x41f6316aU, \
    0x0ce91affU,     0xd2fc3c0bU,     0xf35c8ae1U,     0xafdf0925U, \
    0xa49534e9U,     0x177567ffU,     0x0fd609b1U,     0x375574c4U, \
    0x14dfc6acU,     0x5202707dU,     0x018ba897U,     0x999472b8U, \
    0x67636762U,     0x6f3cc2a3U,     0x145da7afU,     0x53322be9U, \
    0x857d9c38U,     0x9c54560dU,     0xfd13062cU,     0x6edfba25U, \
    0x121ab754U,     0x7cb2d15bU,     0x9f032ccbU,     0xc6b05da5U, \
    0x61a37fddU,     0x419f22e8U,     0x87889a2aU,     0x59a86c68U, \
    0xc11653ccU,     0x1600917aU,     0x2fef35c7U,     0x83034e7cU, \
    0x987ec117U,     0xe1a04433U,     0x9582ee6fU,     0xeedf93cbU, \
    0x61451907U,     0xc80ed98dU,     0x1342f48cU,     0x6f251c1eU, \
    0x0b1eb890U,     0x31109d19U,     0x050c6443U,     0x022da9bbU, \
    0x82e4ef93U,     0x29a81eb0U,     0x238e1c95U,     0x8085c0b9U, \
    0xf9334964U,     0xd6769b25U,     0x78f81194U,     0xbfc2d19aU, \
    0x2833ef17U,     0xa43a6c82U,     0xfccbde01U,     0xa976d6a0U, \
    0xd47fc8feU,     0xc831d2cfU,     0x3c76e83bU,     0x3c3cd279U, \
    0x8c3e6742U,     0x1ee26130U,     0xfa32ac1cU,     0xdc1c0ad3U, \
    0xe69a67fbU,     0xd5b43e07U,     0xa9bfb35bU,     0xe8bb0b71U, \
    0x526a0a42U,     0xb5832f5dU,     0x6a3509bdU,     0x1fb9a657U, \
    0x2dc0af4aU,     0x8ed8a346U,     0xda4718fcU,     0xc5dfeab7U, \
    0xea2e4187U,     0x606b6b64U,     0x8b503bc4U,     0xc94e29abU, \
    0x028459cdU,     0x0da79aa3U,     0x4810ca17U,     0xd589deadU, \
    0x4227620fU,     0xd36f34c8U,     0x8fa9a229U,     0xbc08d00dU, \
    0x2d682be3U,     0xf98df08bU,     0x952117f0U,     0xe722cff6U, \
    0x9e9365a2U,     0x770d5774U,     0x59b53403U,     0x79b8048eU, \
    0xd8c4e828U,     0xf565c807U,     0xbcec1327U,     0x9cf716e3U, \
    0x9c32141fU,     0x5754264dU,     0x6420e7ecU,     0xc15f5a51U, \
    0xa13e895bU,     0x5e90127fU,     0x19734790U,     0xae808a47U, \
    0x9fa07b1cU,     0x6ee3c640U,     0x0d32edf3U,     0x54d1c62bU, \
    0x35733f21U,     0xba40bb38U,     0x14d145d7U,     0xf5b07428U, \
    0x67830fd0U,     0x8c657013U,     0xaa7d28d8U,     0x1a8a7628U, \
    0x7abfccddU,     0x58c08fd1U,     0xa4e4a9d3U,     0x92300581U, \
    0x0d59ec02U,     0xaf9c3eeaU,     0xcfd72cd4U,     0x2e227adaU, \
    0x2edf8d89U,     0xd418ffdfU,     0x79e4810cU,     0xfff56147U, \
    0xd232c7a0U,     0xc0bb6acfU,     0x9e38a842U,     0xc8d81de5U, \
    0xae3f8eb2U,     0x85842c5aU,     0x004f26efU,     0x17c47462U, \
    0x0ff05fa8U,     0x8a63c324U,     0x7a5619f9U,     0x8a34a1c8U, \
    0xb7561dffU,     0xb0b6a694U,     0x19bbe310U,     0xc35c69d8U, \
    0xb1843f37U,     0xcd4ec318U,     0x8d405d9dU,     0x2affe448U, \
    0x730a279dU,     0xd3b336e2U,     0x0c8045e3U,     0x4544fb44U, \
    0x9e14ae0dU,     0x128e4d9eU,     0x6bc4814aU,     0x9cd4b0c6U, \
    0x28be7a4aU,     0x981ca933U,     0x4d97f6e8U,     0x4b906440U, \
    0x225afe9fU,     0xa220de64U,     0x8d922fb2U,     0x7f75a5f3U, \
    0x6b3be483U,     0x9e293094U,     0x4c30aba6U,     0x849ad95dU, \
    0x473e71afU,     0x5b49813aU,     0x42c61473U,     0xa159dfbfU, \
    0xdac85a6fU,     0x0e8a0ba0U,     0x5b1d88ceU,     0xbdfbc21bU, \
    0xf00b45c5U,     0x7cb8d588U,     0x9aa24f75U,     0x51f6ec28U, \
    0xc6b99f72U,     0x6efea3f7U,     0xe8d7a97dU,     0x2d9c5962U, \
    0x8e754fbaU,     0x53c9b9e2U,     0xdb794956U,     0xa04a3ee7U, \
    0xc6ecd481U,     0xc5f02242U,     0x92eadf76U,     0x45c53aa2U, \
    0x34f28e9cU,     0x47f40fa9U,     0x1c839ea3U,     0x0c99ea39U, \
    0xfbe3ee5eU,     0x727c7744U,     0x7cd9b150U,     0x755c74a2U, \
    0xf4b5bea5U,     0x5bc3d887U,     0x20978378U,     0x5c03f59dU, \
    0xf1e29822U,     0xc4c538dbU,     0x0714150dU,     0x1d5e8164U, \
    0xffda593fU,     0x1b24c55eU,     0x0b5fc3aeU,     0xfb9db813U, \
    0xa6db8037U,     0x78c8c0feU,     0x53881882U,     0xc47b78f4U, \
    0x95b0dfcdU,     0xd6336242U,     0xd44de9bdU,     0xad9a90eaU, \
    0x6d12094cU,     0xedd0f8fcU,     0xbc09ce69U,     0x9b53069fU, \
    0x5d0a44deU,     0xb3a0dd62U,     0x0d708e24U,     0xb19ec6fdU, \
    0xec2f1bbdU,     0xbe66fb73U,     0x89cbf96aU,     0x69560fd3U, \
    0x00b7e947U,     0x27737e68U,     0x2c3c5c51U,     0xdbdee7bbU, \
    0x449f2b65U,     0x1abcdac2U,     0x6803733eU,     0x7c3599bfU, \
    0x5bbb5e4fU,     0xc3ae9233U,     0x88264dc2U,     0x6fb36a9eU, \
    0x73e62f31U,     0x9ade2e78U,     0x10ff7527U,     0xb67f7e6bU, \
    0x90c53475U,     0x4c2de1d5U,     0xdd3df686U,     0x2af605b9U, \
    0xf60f59b6U,     0x6203a7caU,     0x66102e8aU,     0xb6621347U, \
    0x58e50961U,     0x58ee1791U,     0x1166ca34U,     0xfd2807a2U, \
    0xc0fc968cU,     0x3ad014ebU,     0xad674965U,     0x76483757U, \
    0xaeb72934U,     0x9ae4f509U,     0x29019515U,     0x8b34ed4bU, \
    0x4533d636U,     0x0a27077eU,     0x03f84450U,     0x0e5b65bdU, \
    0x2f8a4a10U,     0x9d35fb3eU,     0xf316bb58U,     0xdbad8e42U, \
    0x1e12a867U,     0xba046c20U,     0x2a51e422U,     0xb3e22dcfU, \
    0xf410e0c1U,     0x7394a826U,     0xe817f6a1U,     0x0c3e53d0U, \
    0x0fbc401cU,     0xb1b7293fU,     0xcc3025fcU,     0x6e984772U, \
    0xfebf9ce3U,     0xa3e0ff1bU,     0x1c9488caU,     0x96e8527fU, \
    0xb8e540baU,     0xef700aeaU,     0x1e6c6daaU,     0x9c58418dU, \
    0x713df232U,     0x5446eaacU,     0xb91981b2U,     0xb4ba15b5U, \
    0xb7e3875fU,     0xc10178f2U,     0x14aaceffU,     0xea4036e7U, \
    0x28198ccaU,     0xa1bac905U,     0x7b260aceU,     0x87a69d1fU, \
    0x139905b0U,     0xa4e50f47U,     0x01c395f6U,     0x08b53aa4U, \
    0x532f0b28U,     0x30eb8e99U,     0xa367d21fU,     0x4a1f0f36U, \
    0xc15dff1cU,     0xbf77d871U,     0x55dfe64dU,     0xf78f08dcU, \
    0xe898a216U,     0xcfbf8ae6U,     0x1012327fU,     0xa5a40671U, \
    0x8897aa2eU,     0xda0ef43bU,     0x7c9927e3U,     0xdce067c7U, \
    0xfc6a1d7cU,     0x302977b7U,     0xf0bf4c96U,     0x2bbaade3U, \
    0x638d7582U,     0xe5bd025fU,     0xb729bd20U,     0x497740abU, \
    0x41ecde1bU,     0x2523f571U,     0xfc234590U,     0x690976dcU, \
    0x0b7eb470U,     0x481ff513U,     0xaee95f25U,     0x77117523U, \
    0x25c2f019U,     0xe901674fU,     0xd9569bbbU,     0xf109b139U, \
    0x54cf72f7U,     0x4e4bc327U,     0xe5a650b5U,     0x0e99ef59U, \
    0xb6e4dcafU,     0x355b12d3U,     0x10bd5842U,     0x539431d0U, \
    0x818cb259U,     0x313e4bf8U,     0x773b7fb9U,     0xd250c472U, \
    0x98481f45U,     0xf0937181U,     0x44c65d8cU,     0xcacc6a94U, \
    0x6327c1f6U,     0x0dfad5dbU,     0x4f1677d0U,     0xe9a7a983U, \
    0x8cfa35e6U,     0x5c50e00aU,     0x5ba820c0U,     0x0932d88eU, \
    0x3fe4bef2U,     0x45e4f561U,     0xea151bf0U,     0x1ef5c898U, \
    0xbc08efb8U,     0xea4e09d0U,     0x72fad272U,     0x766a6d3fU, \
    0x3caaac74U,     0x488bf177U,     0xfd787a22U,     0xd1b3b969U, \
    0x1179377fU,     0x2d671109U,     0x20218a6dU,     0x63b6dc52U, \
    0x451b7f1aU,     0xb2641c40U,     0x5c54243fU,     0xfcac7677U, \
    0x3fe1c568U,     0x678f35f3U,     0x8acaf0dcU,     0xb2c0ee99U, \
    0xaa31e8d9U,     0x9f5598b2U,     0x7b7c6540U,     0x1a50bf9bU, \
    0xab8ff156U,     0x6e38dac3U,     0x650e5674U,     0x6d57b092U, \
    0x4170a5e3U,     0xd8340efaU,     0x81a89c71U,     0x628475f5U, \
    0x46c26392U,     0xdf444584U,     0xda3187b7U,     0x62e68c7bU, \
    0x35c5a597U,     0x72c97b84U,     0x325b6930U,     0x16ee29dbU, \
    0x5c8df6e8U,     0x0d6e9b3dU,     0xb254137aU,     0xbe524556U, \
    0xacb3a47cU,     0x6dd8c8ddU,     0xd97cd516U,     0x07f4fe8eU, \
    0x9c3241adU,     0xb28e9f9cU,     0xe6bf4e5bU,     0x525b62a2U, \
    0x749dab4aU,     0xc17b685aU,     0x5a5ef5c3U,     0x963b259fU, \
    0xfcf5de1dU,     0xb26f6c11U,     0x16d9bc21U,     0x2b46d952U, \
    0x6ab138f5U,     0x7caab2daU,     0x5a4e9a5eU,     0x6c7672c1U, \
    0xdf2db166U,     0x54a3fe66U,     0x3eb49953U,     0xc158ca63U, \
    0x9dc58fc4U,     0x722ea65cU,     0x99f783a7U,     0x54d5e712U, \
    0xaa2c78dbU,     0x85be8ee4U,     0x1a759319U,     0x4cfc3506U, \
    0x7cbb2357U,     0x40a5b25fU,     0x10a3e4a9U,     0xb9976f99U, \
    0xc5785b77U,     0x8d9a45bbU,     0xa5bdc07aU,     0xa5b00728U, \
    0xb8644376U,     0x4131d138U,     0x40c0d2adU,     0xc1e525ccU, \
    0xfead2620U,     0x257fc1bcU,     0x5ba8de6aU,     0xc3d4c039U, \
    0xb204047cU,     0x8fcfa59cU,     0x9ffbd627U,     0x462d73dcU, \
    0x8d0e6c93U,     0x02a7a313U,     0x14f4492eU,     0x12d4cd51U, \
    0xa93d5a61U,     0xee549558U,     0x7dbf74dcU,     0x03e1b6c0U, \
    0x32a32f99U,     0x8687adc9U,     0x9b325194U,     0x3731234dU, \
    0x5ef928dcU,     0xcba9de76U,     0xed540c40U,     0xc66b654cU, \
    0xcdbc02f6U,     0xa3b59e28U,     0x285677adU,     0xa2dd6474U, \
    0xe836a699U,     0x460233ccU,     0x6b90259bU,     0x9270707fU, \
    0x40977515U,     0x5ec83f91U,     0xece22e15U,     0x5ca26603U, \
    0x7b607c3bU,     0xed491a62U,     0x5ebfd3b2U,     0x6efaf9f0U, \
    0x39b0be96U,     0x09ae12bbU,     0xb11958d4U,     0x67322c8eU, \
    0xbafa2a93U,     0x3d018a27U,     0x6bbbaa73U,     0xf0e2ce49U, \
    0x6b752c08U,     0x2b453b85U,     0xd915fa57U,     0x3d80bdb7U, \
    0x7b509d5dU,     0x8fac628cU,     0x7dfe1276U,     0x04debfe6U, \
    0x523d9ea8U,     0xcf680722U,     0x6a04c448U,     0xe46c7e84U, \
    0xb1d0214bU,     0x942ec8d2U,     0xfc796d30U,     0x1ccfc597U, \
    0x583701c0U,     0xe17dafc3U,     0xa67d8148U,     0xd68533c0U, \
    0x55fcca2bU,     0xf2dc629cU,     0xef5079dbU,     0x14442d76U, \
    0xaac98756U,     0xcc817e45U,     0x45989506U,     0x5eb8e8deU, \
    0x1cec1c24U,     0x69ed94b2U,     0x2e446283U,     0x1103ab62U, \
    0x04e6fdc4U,     0x5541c36eU,     0x322ba307U,     0xf3e1e6a3U, \
    0x8321bdf7U,     0xabd65574U,     0xd26735ffU,     0xebc4c0cbU, \
    0x56caa03cU,     0xf1228290U,     0xa09bf6a4U,     0x300bac7cU, \
    0x030e0803U,     0x8840efb8U,     0x5dfc82acU,     0x7704e737U, \
    0x9e964cefU,     0xa0354d79U,     0xe2711c05U,     0xfa5e417aU, \
    0x3163d8baU,     0xe4301085U,     0xf30c7bdfU,     0x9730b257U, \
    0xa542dd8dU,     0xfa0c4f9eU,     0x918ca9b7U,     0x94538a9bU, \
    0xee9b2f16U,     0xc5d34441U,     0x00d82f8fU,     0x285f0629U, \
    0x4f628463U,     0xe7a6b54bU,     0x103a23e0U,     0xc234091dU, \
    0xb90425abU,     0xd3038b34U,     0x6dc8ab58U,     0x6c9a8704U, \
    0x28f2a9a3U,     0x458672efU,     0x7f4594b5U,     0x07d43d23U, \
    0xf929f76bU,     0x8479a469U,     0x369b286eU,     0x35c375f8U, \
    0x274271f2U,     0xb64a933dU,     0x6020f6cbU,     0x754bda80U, \
    0x2669ae20U,     0x5bd8cd7eU,     0x1053d768U,     0xecae3851U, \
    0x6ffed192U,     0x107d37fbU,     0xc3249b2cU,     0x7ffb8af6U, \
    0x1326479dU,     0x76cc2021U,     0xad4cb6d5U,     0x4e85fec6U, \
    0xe5340a8dU,     0xaa983a3cU,     0x871b1646U,     0x47564b0cU, \
    0x44d66f4aU,     0xf814183bU,     0x842c9fa2U,     0xd960c4c0U, \
    0x3a7f1eedU,     0x0ebb0649U,     0xce2f3186U,     0x28030282U, \
    0xd30612cfU,     0xb4b5786aU,     0x62cdbea8U,     0x38c0de8fU, \
    0x05cac7f9U,     0xb6938bd6U,     0x9dbd1f59U,     0x9365d27bU, \
    0x12e3589aU,     0x218f8ac9U,     0xe6548f39U,     0x4e0e7984U, \
    0x32bea47cU,     0xa563462eU,     0x15ae71f8U,     0x139f0145U, \
    0x8dc923e7U,     0x87cd35cfU,     0xf24ee016U,     0xd70640b3U, \
    0x357feb51U,     0x042bd085U,     0x812fa4a7U,     0x4405f35fU, \
    0x0b17bcbaU,     0x091d9537U,     0xd028f111U,     0x2a546841U, \
    0xdaa1699aU,     0xff7e9ab7U,     0x0e513603U,     0x0e01fc62U, \
    0xd9d6c958U,     0xe2609205U,     0x090ed1b6U,     0x7847e842U, \
    0x95710c67U,     0xf0356e9dU,     0xc63f6466U,     0xb0ab0e48U, \
    0x3eadbce6U,     0x4cad28a0U,     0x9b093c7aU,     0x6725603dU, \
    0x4fac4da3U,     0x6d39049fU,     0xf810749cU,     0x839f3165U, \
    0x7dcd6818U,     0x671f85efU,     0x695e50e0U,     0xd380a2e3U, \
    0x8c2e4b1aU,     0xc514b436U,     0xc90679f9U,     0xc674f9b1U, \
    0xcd37a395U,     0x0fa2fb47U,     0x61ecaab0U,     0x2db18cf3U, \
    0xd6904affU,     0x363b69baU,     0x3eef26c0U,     0x464e0d4cU, \
    0xe874c987U,     0x0eb438f0U,     0xe2be2369U,     0xc1129d1bU, \
    0x468b7193U,     0x25bad53cU,     0xfce64012U,     0x36ec570cU, \
    0x80229016U,     0xa1f2e5d5U,     0x7b053ec9U,     0x8cdb2994U, \
    0x6c3ca172U,     0xab6eb57aU,     0x0c3f5a95U,     0xbfed0bb0U, \
    0xb476dca3U,     0x4b9f5039U,     0x710e0342U,     0xe7af4597U, \
    0x52e8955dU,     0x7444ea18U,     0x47abac6aU,     0x46c8b74aU, \
    0xeb87b718U,     0x8ef454a2U,     0x8abe2887U,     0xe268a3aaU, \
    0x072137e8U,     0x88750071U,     0x14790c89U,     0x13e8365aU, \
    0xb4720d11U,     0x0efc31bdU,     0xfba8229bU,     0xbd0a5fa0U, \
    0x9cdf2de9U,     0x34ff062dU,     0x493e894dU,     0x68dfbee3U, \
    0x494f7b12U,     0x3e4c7a24U,     0x3a80c268U,     0x7fbe3b29U, \
    0xb1c05ed0U,     0x833de5eeU,     0x320c23cbU,     0x753e3591U, \
    0x7106eeb9U,     0x66d4450bU,     0xe4c21767U,     0xc60ca971U, \
    0xd0b06465U,     0x9c183e9aU,     0x7ca430edU,     0x1b29ae00U, \
    0xfaa7363dU,     0xe6ba531eU,     0x07fb9aa5U,     0x9320cbaeU, \
    0x9c04c2ecU,     0x2a04eefbU,     0xf5c46b74U,     0x873abf4eU, \
    0x828e4b77U,     0x9f3f193eU,     0xe04121afU,     0xcffa1bc3U, \
    0xc84eea38U,     0x874e65e4U,     0xfbdb6e2bU,     0x448059acU, \
    0xa16e7f35U,     0x9f5f5001U,     0x0576c58dU,     0x89f222f1U, \
    0x8ebe0e3dU,     0xc9d73188U,     0xe28a98f5U,     0x547d7f5bU, \
    0xa04e05eeU,     0x71fee08cU,     0x0e7e9aedU,     0xcd9f466dU, \
    0x960b5e27U,     0x41a49adfU,     0x00f1ff2dU,     0x70246006U, \
    0xbc716129U,     0x950a3766U,     0xc0ffbadeU,     0xbee65e1eU, \
    0x0d8d330dU,     0x9d46ee40U,     0x8362a679U,     0xb8ae7172U, \
    0x36c4c6c4U,     0x20169f6eU,     0x9f62b2deU,     0x9d8dbe0fU, \
    0x606a8890U,     0x600dadd5U,     0x5fd4a2d8U,     0xaac2a683U, \
    0x93eeb963U,     0x4822377fU,     0x19c57e38U,     0x8443d0eaU, \
    0x9ac7b9e1U,     0x603736b0U,     0xc2d31374U,     0xc0a2f68eU, \
    0x155e95f6U,     0x2bd2c75cU,     0x4b30e762U,     0xc83dfb29U, \
    0x8eb2a79bU,     0xd557892bU,     0xd6ba8badU,     0x3e224febU, \
    0xaf6a36e7U,     0xc6c47f8bU,     0x5adc5cb0U,     0x34b89cd0U, \
    0x722db006U,     0xc6985738U,     0x31d3cd81U,     0x00ef9925U, \
    0x8ff2f500U,     0x27ce2c79U,     0x390ffe2fU,     0x724dbe68U, \
    0xbab59374U,     0xbef695f7U,     0x82376907U,     0x2f0bdb25U, \
    0x557c6e48U,     0x695ae5abU,     0x5065c70fU,     0x99736340U, \
    0x4d23d7fdU,     0xea24424cU,     0x178c1084U,     0x7ec48766U, \
    0x40ac5350U,     0x047686bfU,     0x94703224U,     0x4102d19fU, \
    0xe35046c6U,     0x652bff20U,     0x9d9303f8U,     0x3f6d414eU, \
    0x533b5ea6U,     0x2129d6a3U,     0x9fb94e5fU,     0xe8a9d50aU, \
    0xbbad8885U,     0x10e07ff2U,     0x97717788U,     0x4a61da3fU, \
    0x6de3a207U,     0x57064593U,     0xd3c5a68eU,     0x02169649U, \
    0x520dd779U,     0x608e9f33U,     0x119e60b0U,     0xffdbe66eU, \
    0x1885ffc3U,     0xc6c0eab5U,     0xe3053debU,     0x7ff3b357U, \
    0xeb27cd66U,     0xd6231ebbU,     0x40492577U,     0x35a52f41U, \
    0x1056a72cU,     0x8e1e04fcU,     0x1c10ce3eU,     0x29fa01bdU, \
    0xa7483891U,     0xafac83b6U,     0xd75ada80U,     0x6d628a32U, \
    0x052e35b3U,     0x574293eaU,     0x7897515fU,     0x24ad9f50U, \
    0xa30d4661U,     0x180928a6U,     0xf2de0e73U,     0x4b856ac9U, \
    0x57bfb2a6U,     0x6e61a205U,     0x86a4b2e9U,     0x787090a7U, \
    0x0bcc364fU,     0x9e836962U,     0xa0e844a0U,     0x1c3fb915U, \
    0xdd2afa80U,     0x9a7305a4U,     0x191271c9U,     0xbaecba79U, \
    0x77141ed8U,     0x7aa566feU,     0x5d1228e9U,     0x38426599U, \
    0xfb9cbf1dU,     0xdd31bbd7U,     0x7ec71e01U,     0x9f3c5b49U, \
    0x8d8e28d2U,     0xd33098bcU,     0x8034a236U,     0xcb4ec389U, \
    0x478378c6U,     0xaa7da4efU,     0xaf4f51acU,     0x3b971f22U, \
    0x1550ad65U,     0xffa60c18U,     0x32d8cc95U,     0x4847da15U, \
    0xcce80423U,     0x726bbd9bU,     0x3b26421aU,     0x17930af6U, \
    0x915ba4d1U,     0x23df5da8U,     0xeac1c092U,     0x44d8c4aaU, \
    0x77ff9049U,     0xcd2d9de4U,     0xb8815eecU,     0xe258bf7cU, \
    0x467d59c5U,     0xb4f526b4U,     0x02007c72U,     0x6c45eb7eU, \
    0xd649f390U,     0x4aacb5fcU,     0xd4b83071U,     0xfcaf159cU, \
    0x2c9d30c4U,     0x449abd15U,     0xedcf4aacU,     0x65f5f6cbU, \
    0x5760832fU,     0x73f5a960U,     0xfaa73a65U,     0x502eb631U, \
    0x85e58dd9U,     0xd668d2f2U,     0xc41db292U,     0x9e0ae2deU, \
    0xb27f6cf4U,     0xa1f826c5U,     0x75f806faU,     0xe2263706U, \
    0x25aecec4U,     0x987db71aU,     0x7265f33eU,     0xcfd5ff80U, \
    0x3fe00dadU,     0x5a15ca98U,     0xc1217736U,     0xd1edda22U, \
    0xd420bd82U,     0x5593b0b3U,     0xc5b8c1aaU,     0xa00ed2b8U, \
    0xbf65a91cU,     0x2f64b01fU,     0xe86b772dU,     0x52481c9bU, \
    0x476f7014U,     0xc31c637fU,     0x69aecc68U,     0x9934f841U, \
    0x6eaf32d1U,     0x2256b8eeU,     0x7b1d4773U,     0xfe223486U, \
    0x929c8688U,     0xd3bb5855U,     0x309e10e3U,     0xa83525d7U, \
    0x849597a4U,     0x3a76a7abU,     0x6ca1c9a3U,     0xd29542b1U, \
    0x4660eac8U,     0x316f0c91U,     0xb1810473U,     0xe1dba54fU, \
    0x93a9128dU,     0xad50f467U,     0x499da242U,     0xae1a3844U, \
    0x5f6df54bU,     0xfa6a865bU,     0xd3a82882U,     0x03a3057dU, \
    0x1ef29fcbU,     0x64ebc83cU,     0x55d2fe6eU,     0x4de7a15aU, \
    0x2c7514dbU,     0x9658934eU,     0x0ccdafc8U,     0x505373d2U, \
    0xfc69bbbcU,     0xec4b39b8U,     0x5a4b3160U,     0x978e66f7U, \
    0xbee27633U,     0x1f0f4041U,     0x8efaab46U,     0x00283091U, \
    0xf16e21feU,     0xdcd21f79U,     0xe988b521U,     0xe6d1a411U, \
    0x493a5816U,     0x467c2f1eU,     0x8481a4fbU,     0x06ad6a8dU, \
    0x2582be70U,     0x3119843eU,     0xbf21c346U,     0x475589bfU, \
    0x15ed61d1U,     0x97d31366U,     0xcfaeaaf2U,     0x724ed3ceU, \
    0x2551b7efU,     0xd02872eeU,     0x07674ba1U,     0x99798f03U, \
    0xcb8f8d70U,     0xa72e97cdU,     0xdaf36dc9U,     0xd63977b5U, \
    0x564894f0U,     0x5dc3c941U,     0x160d6738U,     0x754f12ebU, \
    0x97c58abfU,     0x74f40609U,     0x27b7cac3U,     0x939b86d0U, \
    0x75d687efU,     0x79c09860U,     0xfbd0ef96U,     0x5d6b63ddU, \
    0x72d917c2U,     0x699ae87aU,     0x4ce5e2a2U,     0xbd76bbdaU, \
    0x3ffff22eU,     0xa92e1003U,     0x1a2a0673U,     0xf39344bdU, \
    0x8c12348aU,     0x7e85440fU,     0x68b08f92U,     0x812276d7U, \
    0xf3c04118U,     0xd4eb3f16U,     0x24b8e330U,     0x16733727U, \
    0xa107779bU,     0x4a0ab7eaU,     0x8274f582U,     0x9e516de8U, \
    0x7b2c30ceU,     0xcae6f239U,     0x7d9c90f1U,     0x3315f1caU, \
    0xd488c60eU,     0x6eb01246U,     0x8564362aU,     0x68d7a205U, \
    0xc873870aU,     0xcafca6f5U,     0xc6dcda0dU,     0xec47b953U, \
    0x847fdfc0U,     0x87e88715U,     0xbed4b2bfU,     0xb2c32db3U, \
    0x00181516U,     0xe687fd57U,     0xa2fff70dU,     0xab227a6cU, \
    0x1311f389U,     0x5dfaa668U,     0x0efd2980U,     0x55186b0bU, \
    0x569cd6f4U,     0x636b2855U,     0xc815f5a5U,     0x388b7eafU, \
    0x0c5055d1U,     0x2c6b92c0U,     0x715a33d2U,     0xc7cf54beU, \
    0xcff823e8U,     0xae61ad75U,     0x260088f7U,     0x4920d829U, \
    0x806b04e3U,     0x76a1ace5U,     0x083938f9U,     0x0bde1c54U, \
    0xd8ce5852U,     0x87b0ae55U,     0xd25addabU,     0xa6e4dfbcU, \
    0x345c83c4U,     0x52b8dd57U,     0x6c811c6bU,     0xd5fc2cd7U, \
    0x24d5f96aU,     0xefd2a9b3U,     0x1b078e61U,     0xe91a5f3bU, \
    0xfbc12769U,     0xfc64dc7aU,     0x1d6ecf35U,     0x172248ecU, \
    0x0a19b598U,     0xe3ea1a47U,     0xf3a7993fU,     0xb8a3870fU, \
    0xa7e22e22U,     0x7d452b20U,     0x462a87d1U,     0xdc724813U, \
    0x16cc99ceU,     0x81902e1bU,     0x3a32b8dbU,     0x64e6ca4aU, \
    0xd21b0923U,     0x1d3be061U,     0x157c9cb5U,     0x1de23128U, \
    0x2e026b84U,     0x95001396U,     0xfd1e7e97U,     0x74a6bd5fU, \
    0x8a9ea266U,     0x2ff74d6fU,     0x70a4e437U,     0x2524289aU, \
    0x56f48d3aU,     0xfb75d004U,     0x2eea5e81U,     0x32da88efU, \
    0x51d14ca7U,     0x0de9897aU,     0xf5de3acfU,     0x8e1f9752U, \
    0xf08aaf86U,     0x8d5c65e3U,     0x30a159ecU,     0x852ea563U, \
    0xf6a8f090U,     0x05719ff3U,     0x60815bbcU,     0x79cad98aU, \
    0xf7ecef91U,     0xcf555a8bU,     0xa1c81c1cU,     0x68b62974U, \
    0x584366a6U,     0xc0047af9U,     0x6215a641U,     0x2dc13398U, \
    0x45c2a9f5U,     0x9a120e97U,     0x6d23bffdU,     0xe89c1af6U, \
    0xc2fcab39U,     0x221b9740U,     0x7287a90aU,     0x09973798U, \
    0xa9856a0aU,     0x7ad89b02U,     0xb4a84b7cU,     0x6f1ecab7U, \
    0x5969e356U,     0xba9c9cffU,     0x02c9105eU,     0xdbb7af27U, \
    0xea55504dU,     0xfda54f25U,     0x522c50f5U,     0x07e70f63U, \
    0x30f63c1cU,     0x3a61e659U,     0xd0e54a43U,     0x2f04dd5eU, \
    0xdda7c80eU,     0x1451275eU,     0xbdcd5e15U,     0x42a212b1U, \
    0xa74c5cefU,     0x356eb237U,     0x0ff04759U,     0xf46b9815U, \
    0xf893d2afU,     0x07ded42fU,     0xff1265c2U,     0x5af840e9U, \
    0x24236dabU,     0x9212f1abU,     0x633dcf9bU,     0x594304ddU, \
    0xe80e1df9U,     0x4d4a389cU,     0x65355c88U,     0xd05bf35bU, \
    0x1ea9124cU,     0x782fe496U,     0xbc098ff8U,     0x2742527fU, \
    0x5c1fe21bU,     0x32cab9c4U,     0x4da4c8f2U,     0x9078f2a6U, \
    0xf5b51009U,     0x03dd9f05U,     0x8b817943U,     0x16055e9dU, \
    0x033ac238U,     0x46e24c25U,     0x2d729d22U,     0x22628702U, \
    0x2e8624baU,     0xb606352bU,     0xe1dc6d48U,     0xe8ee1374U, \
    0xdd139aa2U,     0xe6d541c7U,     0x8d3a369bU,     0x9f0aab23U, \
    0x87ed5abeU,     0xfca666bcU,     0x64c500dbU,     0xe6b528bbU, \
    0x71221d61U,     0x4ff224a5U,     0x09878c90U,     0x85beb4adU, \
    0x3a5f6291U,     0x012f0b62U,     0x0ba3fbdfU,     0xb918259cU, \
    0xbaf58404U,     0xa32a70d8U,     0x679ff9a1U,     0x169b36bcU, \
    0x2c6ebdc8U,     0x93f553acU,     0x639036e4U,     0x59465b21U, \
    0x10643b6fU,     0x92441eb2U,     0xbf35d1f2U,     0xa6ecf071U, \
    0x7cf008aaU,     0x5cb35a28U,     0xec7bbbdeU,     0xf0690feaU, \
    0x2e431080U,     0x96ac125bU,     0x599b52caU,     0x4565db91U, \
    0x2e42cbbaU,     0x4fab14daU,     0xec3fb755U,     0x84725153U, \
    0xf7cd48e2U,     0x30744ac1U,     0xa94d7e33U,     0xc7d8209aU, \
    0xeba1875eU,     0x62b39f12U,     0xa3cb1fcdU,     0xb85f4c48U, \
    0xfb3465b0U,     0xda555735U,     0xfd228ccfU,     0xc0b578c7U, \
    0xa186488eU,     0x05ebcf54U,     0x2c0ceef7U,     0x9a1112efU, \
    0x90bef945U,     0xf0a67da1U,     0xdcd51190U,     0x16e15eb4U, \
    0x19dd63adU,     0x803d8ebdU,     0x7e94f07eU,     0x9404ccb9U, \
    0x99482d18U,     0x2ceceb7cU,     0xbd235f15U,     0x4b15eed1U, \
    0x95aafb05U,     0xdac3a6f1U,     0x99263270U,     0xb0bdeae8U, \
    0xe1c753caU,     0x55784fbdU,     0xda1ae3c0U,     0xce6ac379U, \
    0x1c788bb1U,     0x3b9ad9a8U,     0x9aa7f4eaU,     0xa0dffab2U, \
    0x047d50f1U,     0xb8050acdU,     0x87d8f1ccU,     0xba09e3e3U, \
    0x7ab29b4bU,     0x6fdae671U,     0x5f61698aU,     0x5bab02bcU, \
    0xe24c7206U,     0x3e478d82U,     0x44522597U,     0x4e152c29U, \
    0xb8cdc30bU,     0x2b57fa86U,     0x6e79e4c9U,     0x366aedbfU, \
    0x6a7f6a8dU,     0xd33409d4U,     0xdcb15fe7U,     0x686e3cbeU, \
    0x9f30ce5bU,     0xa47670e5U,     0x663bef7bU,     0x09aef62dU, \
    0x4b409c1dU,     0xdbf1118bU,     0x2099a24aU,     0xa3c60bdeU, \
    0x95f5f3f0U,     0xfc41c720U,     0x07ae9bb8U,     0x3e206f47U, \
    0x5a3c652dU,     0xad03ab5bU,     0x25af547dU,     0x8151fc1dU, \
    0x44f60356U,     0x4592c57bU,     0x67325bb8U,     0xb84fe147U, \
    0x066fb328U,     0xea775a64U,     0xdc48aad6U,     0xc4eb3954U, \
    0x404c9f68U,     0x07c0ccdbU,     0x90d142a7U,     0x696962e8U, \
    0xddc65fa6U,     0x8f229f73U,     0x35cda574U,     0x9edef3bcU, \
    0xaf0cb6eaU,     0x5e7cf76dU,     0x6473ff8dU,     0x1c52a1f6U, \
    0x53468a23U,     0x5421dfdfU,     0x765a3a6aU,     0xec4f0b36U, \
    0x760ff5cfU,     0xd26f3210U,     0x11553b36U,     0x4848fcfaU, \
    0x2c5205a3U,     0x05606c62U,     0xa4e251faU,     0xa3963281U, \
    0xefd1650aU,     0x23cfe1d2U,     0xb2461369U,     0x5e58411aU, \
    0x722f115fU,     0xd7892f55U,     0x04aa6659U,     0xdcf26c2fU, \
    0xa7b91debU,     0x40adfb48U,     0xd31607e8U,     0x500109adU, \
    0xdbcd53a8U,     0x650d6dc8U,     0x9c1e1f58U,     0x1644c798U, \
    0x42980afeU,     0x1e5e6876U,     0xdd23327cU,     0x879e711cU, \
    0x64fe570fU,     0x4e55fb1eU,     0x6062746bU,     0x223d6c61U, \
    0xe0a6edabU,     0x51c7eb5eU,     0xc8cf57c1U,     0x1ea6ebadU, \
    0x13ddadd5U,     0x434a1751U,     0x63823489U,     0xd31a5916U, \
    0x24bba532U,     0x42907551U,     0xed2c43b0U,     0xaf48f2c5U, \
    0xe04d471eU,     0x44f9fe3dU,     0xce896d21U,     0xebd3d091U, \
    0x7024a533U,     0xbb4677b5U,     0x172f844bU,     0xc9636f32U, \
    0xcd8c3383U,     0x40dd7bd9U,     0x54565cf2U,     0x88f16ae5U, \
    0xd4b486efU,     0x991ec441U,     0x1747dc40U,     0x897e8ce4U, \
    0xc410e543U,     0xa7051d5cU,     0xf8d276b4U,     0x25871721U, \
    0x5077f73fU,     0x148bd635U,     0xcf469ab3U,     0xb70d7495U, \
    0x0962f771U,     0xe4993f10U,     0xb0173785U,     0xac7066aeU, \
    0x9f5bb80cU,     0x245dcb16U,     0x48f1b851U,     0x0460c024U, \
    0x77944e76U,     0x2596a00bU,     0xa9d46f8aU,     0xd59ee3c8U, \
    0x16ed50b5U,     0xdc28df48U,     0xb1805249U,     0x74b3c668U, \
    0xb3aec5fcU,     0x6175f260U,     0x608279f2U,     0x43d588d8U, \
    0x4f726864U,     0xc87c6f85U,     0xd773c4c7U,     0xe159cabeU, \
    0x4681572fU,     0x814b453eU,     0x2065b611U,     0x5caf87b5U, \
    0x34cd53c8U,     0xfbcb1495U,     0x9cd9f9d2U,     0xd29696edU, \
    0x64aa357aU,     0xef258a83U,     0xabd5d9c6U,     0x0abaab91U, \
    0xbb25202cU,     0x50ed1089U,     0xdf7afb66U,     0x82c461f4U, \
    0x5ec32c58U,     0x2933a72eU,     0x11c22587U,     0x91f225beU, \
    0x6a968245U,     0x049c791bU,     0x0494c31eU,     0x74a90776U, \
    0xff2fc3fcU,     0x0f773b11U,     0x66862bf9U,     0x31657fbbU, \
    0x4eddce37U,     0xc0ca09ffU,     0xc71b0bc1U,     0x1e7c6193U, \
    0x0b48146dU,     0xb5ffcf17U,     0x95b6ca5eU,     0x4d8353acU, \
    0x23d8e8edU,     0x14f126c0U,     0x72e906bfU,     0xc2618714U, \
    0x0b250fe9U,     0x4f01b01dU,     0x9b2da5ceU,     0x7df68567U, \
    0x7d85380eU,     0x77523d93U,     0x6c4f3336U,     0xa053cba0U, \
    0x34e6886fU,     0x9c7b64ebU,     0xc0b7d189U,     0x23e4b4dcU, \
    0x64437416U,     0xafa538edU,     0xd659077bU,     0x06543ee1U, \
    0x6e396929U,     0xded5f3e3U,     0x3661c1f5U,     0x37e76479U, \
    0x7a6759bdU,     0xa96b5e3bU,     0xb5ef283bU,     0xb1f06757U, \
    0x2b11b643U,     0x904ba21eU,     0xccc27ca2U,     0x310158f0U, \
    0x6451b194U,     0xc3ce8bbaU,     0x297babd9U,     0x4cb3630dU, \
    0xe783b3a5U,     0x3dcaf3d2U,     0x9c3312d3U,     0x43e17de7U, \
    0x167b403eU,     0xe496b9f0U,     0x0d7e61b6U,     0x708fb42aU, \
    0x18923af0U,     0xf15f1e16U,     0xf44b6b78U,     0x488552aaU, \
    0x1e18267dU,     0x0ca7df91U,     0x49e69f47U,     0xac122306U, \
    0xd378178aU,     0x2c57ff3eU,     0x51448ca9U,     0x5a1bb88eU, \
    0x8de9f058U,     0xac25a6ebU,     0x1cb97c7dU,     0xb2faa0d2U, \
    0x3af8192cU,     0xdb47574eU,     0x4277ccefU,     0x9487c35dU, \
    0xca7b7b44U,     0x3d6f8b17U,     0xf786183aU,     0xa9fd1399U, \
    0xd61d3137U,     0x9ce90ab6U,     0x3ef77409U,     0x0f4cdc7bU, \
    0xf8563024U,     0xcc7b2b96U,     0x990d5757U,     0x42f5659dU, \
    0x04da65afU,     0xaf509e21U,     0xdf097b2eU,     0x4f23b5faU, \
    0x805a575fU,     0x7ae9afe9U,     0xe28d0cb3U,     0xf0d1d93dU, \
    0x954738c2U,     0x8649b14eU,     0x957b8024U,     0x677752f0U, \
    0x82059f22U,     0x1de75db1U,     0xe9e9c4dcU,     0x849806dcU, \
    0xebbacb40U,     0xc5de5987U,     0xe6ae8987U,     0x1f3fde0eU, \
    0x2f90c2adU,     0x406849c3U,     0x1a5bc7e9U,     0xb37b1e83U, \
    0x11fa1b3cU,     0x07ca83bfU,     0xb91a8c53U,     0x1741ac4eU, \
    0x3ef2874aU,     0xd6904d10U,     0x32b9a1deU,     0xb39fb817U, \
    0x48e8b695U,     0x703d12a4U,     0x7a5e6c17U,     0x6d7e016aU, \
    0x0469ac95U,     0xbb96f3a7U,     0x995dd07aU,     0xb4171561U, \
    0x1e0208f4U,     0x48871d3aU,     0x24741d45U,     0x24f32a77U, \
    0xb7ee0299U,     0xd8e5d254U,     0x45e50575U,     0x2ba7e1aaU, \
    0xfb3b40cdU,     0xdecac912U,     0xbedc679cU,     0x2d129d11U, \
    0x22bc8fa1U,     0x0cfda773U,     0xd5ef5222U,     0x59b03f7fU, \
    0x8bfb7741U,     0x3c4535f3U,     0x75aed440U,     0x652f037aU, \
    0xab196fa6U,     0xe24b6baaU,     0x25cd01adU,     0x7ea20b78U, \
    0x605f6e19U,     0xfd0dcb44U,     0x7bda0df4U,     0x9ae67110U, \
    0x3ab4a3b7U,     0x117f5adbU,     0xe2b1821bU,     0x8c03dba8U, \
    0xfca3c0dcU,     0xa6d7d806U,     0x4254ebb7U,     0x58e01ba9U, \
    0x85a548e0U,     0xb8b649a6U,     0xe541bfffU,     0xe34dfce1U, \
    0x7ffbd431U,     0x2f29faa0U,     0x69de0d61U,     0x86d244c3U, \
    0xfb68a47aU,     0x82b4b734U,     0xaa6277aeU,     0x480cdebaU, \
    0x7b74f125U,     0x7c026887U,     0x9766fb66U,     0x1ab887eaU, \
    0x57d6cae2U,     0x5f1abb0bU,     0x1e9e04f6U,     0xf6e7f4e9U, \
    0x11038cf0U,     0x5897dee6U,     0xfa84d940U,     0xa067c61aU, \
    0x368168faU,     0x96d28292U,     0x12d3d792U,     0xd10e858cU, \
    0x7cee0333U,     0x785ca411U,     0xd7d72c84U,     0xaafb792bU, \
    0x3ee18d35U,     0x009412eaU,     0xe9ce1c3bU,     0x341cf487U, \
    0x5f66cdceU,     0x559c166cU,     0x69815ecaU,     0x2560a814U, \
    0xa4dfa307U,     0x0f767914U,     0x91a6f65cU,     0x2cbb33c6U, \
    0x153ac7fdU,     0xa38ef438U,     0xf88d629eU,     0x6fbdd09bU, \
    0x5a07d749U,     0x38db0643U,     0xb8c38390U,     0x068d2820U, \
    0x4844734bU,     0xb215de3fU,     0x480fa813U,     0xbfb47c76U, \
    0xd66bdd74U,     0x33f77302U,     0xc282134eU,     0x33f7247cU, \
    0x1a853465U,     0xa81249f3U,     0x0efda0cbU,     0x93e478f5U, \
    0xce75bf31U,     0x55b110deU,     0xc8f6e868U,     0x1fda6eefU, \
    0x6a140ebaU,     0xc6069c44U,     0xdc63a5adU,     0x72b0b5c3U, \
    0xc2271edfU,     0x1f140462U,     0xadefbbfcU,     0xc8539cecU, \
    0x041f0687U,     0xdfaba2cdU,     0x7db63219U,     0xe195b0c3U, \
    0xec04ae0bU,     0xa52aa84eU,     0x02717cf5U,     0x42dbf25aU, \
    0x60fc41f8U,     0x1b7dd720U,     0xe9612966U,     0x4ba8c5eeU, \
    0xb43d707bU,     0x4f1431b9U,     0x89ae092dU,     0x0f11a810U, \
    0xf3f9422aU,     0xb1b4802aU,     0x82f1aa1eU,     0xb4581d32U, \
    0xad33e35cU,     0xb54e5a8eU,     0xb3e7293cU,     0x7688a72bU, \
    0xe47126a2U,     0xe4562cd0U,     0xd252800fU,     0xec2b260bU, \
    0xcd3dbb4dU,     0x227a030bU,     0x8cd63fccU,     0xb589548cU, \
    0x8971e5c7U,     0xefb79f8eU,     0xaedd38f4U,     0x9c6f800eU, \
    0x5e22b5dfU,     0xcceae3a0U,     0x565f899cU,     0xcc37317aU, \
    0x6534199bU,     0xc29444e7U,     0x285376afU,     0x77efce64U, \
    0x7b760e6aU,     0x56bc7cc4U,     0x05c14215U,     0x7ad04f32U, \
    0x2a14a0cdU,     0x849ff8a5U,     0xc2cfdae8U,     0x4f574b6fU, \
    0xc0ebd0afU,     0xbba33418U,     0x6f823d68U,     0xa4644f03U, \
    0xf24df8d1U,     0x2f1f1dbdU,     0x7cc53797U,     0x83bf5662U, \
    0xbe677444U,     0x96a59c80U,     0x2a11fbefU,     0x03d49c98U, \
    0x7b5b8e5cU,     0xd4750437U,     0x022c6db7U,     0xe08744bbU, \
    0xe8315748U,     0x040d2f29U,     0xe88bc854U,     0x248fef65U, \
    0xb89df662U,     0xb271523bU,     0xe6851fcbU,     0x4ec4e14dU, \
    0x33fb2f43U,     0x5b4198d9U,     0x6edc0797U,     0x37f56635U, \
    0x0fcb6c58U,     0x967e88b5U,     0xb461088cU,     0x9be5021dU, \
    0x4d564184U,     0xbf09f1a7U,     0x3056e5f1U,     0x1adcab2bU, \
    0x491e2309U,     0x7d4530c8U,     0x383e00b4U,     0x9d7b46e9U, \
    0x51098e4fU,     0x5618573dU,     0x2d3580e0U,     0x1184c1d9U, \
    0xb395f8feU,     0x8a97f812U,     0x07b3a900U,     0x731dd6fcU, \
    0x755ee2f8U,     0xe810e8ecU,     0x28d4ff83U,     0x95dd5c67U, \
    0x4c841ffcU,     0xd7102890U,     0x162a7698U,     0xe180a931U, \
    0x58712ea9U,     0x19a6b983U,     0x7bf6c17dU,     0xc31f3dc7U, \
    0xcdb7a161U,     0x7a27ddadU,     0xd88027b7U,     0x1a647112U, \
    0xcd7d18c9U,     0xeb6aeb62U,     0xbcf61adfU,     0xd26151fcU, \
    0x5b224066U,     0xf84868d9U,     0xbe321024U,     0x0e27764cU, \
    0x253f7f72U,     0x41a0a240U,     0x72a55a05U,     0x5d3797e2U, \
    0x2bb6393aU,     0xed3d2532U,     0xe5573707U,     0xdcfb0515U, \
    0x464f9bb6U,     0x815e73a4U,     0xb2c46b89U,     0x4bed14d9U, \
    0x5843d162U,     0xe338967dU,     0xd1de3cf0U,     0x34bb0f12U, \
    0xb5fda8cdU,     0x5b6d5a0eU,     0xed44ce85U,     0x83b72175U, \
    0x0abfdbd2U,     0x874fce22U,     0xa387782eU,     0xd2bfefdaU, \
    0x32b95a30U,     0xf763ee80U,     0xcf8fe11eU,     0xc29ca585U, \
    0x1ee90627U,     0x38439cc1U,     0x90b78308U,     0xbf207476U, \
    0xceb1a27eU,     0x18a27a8cU,     0xd97ae0b9U,     0xa8ae67b6U, \
    0x52dcf2caU,     0xd13fd3f5U,     0xcd7432b9U,     0x5f013097U, \
    0xd259f25eU,     0x10d395b3U,     0x47475013U,     0x0360bee3U, \
    0x523d18a1U,     0x57d84cecU,     0x210b61d7U,     0x6ed51807U, \
    0xb14254e5U,     0xa2b416f1U,     0x1e6d84c5U,     0x64e3a9b2U, \
    0x9a981ef0U,     0x9d37b4a6U,     0xa7f4ad20U,     0x3680cd1dU, \
    0x11e00bd4U,     0xb40bbba8U,     0xad10eb29U,     0x5b2c2eb8U, \
    0xd692e90eU,     0x2ee0fc8bU,     0x686706d5U,     0x68e71ed8U, \
    0xe8713ed4U,     0xffe60e99U,     0x347ad541U,     0xc141de29U, \
    0xb5454292U,     0x274141d7U,     0x71f77d27U,     0xbfb29b02U, \
    0x92e79044U,     0x3e742e4eU,     0xae09b129U,     0xd08979eeU, \
    0xa56b33c4U,     0x539a9916U,     0x6ca0e2d0U,     0x944256cbU, \
    0x5a80fd82U,     0x75d3f686U,     0x52d69e5bU,     0xe8f61e18U, \
    0xf9311fc7U,     0x13f260aaU,     0xb5cd2307U,     0xd8660ce4U, \
    0x45bc7456U,     0x67202c5dU,     0x5be974d9U,     0xeca6b14fU, \
    0x9861154dU,     0xa2c317b5U,     0x709756a3U,     0xc6a05edfU, \
    0x26f14e03U,     0xffb00b5cU,     0x4832bb6fU,     0xa59cd5c3U, \
    0xe08ac2d1U,     0x4dc330e5U,     0xae783c5bU,     0x50a9275dU, \
    0x86b9ba43U,     0x463455ebU,     0xe2087b09U,     0x6fe10e64U, \
    0x9e5fa757U,     0x45540eccU,     0x92be811cU,     0x64b0aee7U, \
    0x08f01797U,     0x7fdff7e5U,     0xa371cff8U,     0x7ec425f2U, \
    0x479dc64aU,     0xe12ec10bU,     0xdaefaf4dU,     0xb9d7f9ebU, \
    0xea1ccfffU,     0x888eba13U,     0x735eda44U,     0xe7e2ffccU, \
    0xf322cd74U,     0x105f36faU,     0x8d8512feU,     0xe56c34f6U, \
    0x8f19a632U,     0xe28b118fU,     0x7479765dU,     0x61d7c61dU, \
    0xda677600U,     0x9084aa05U,     0x1399d0ffU,     0xf9968c7fU, \
    0xb2316acdU,     0x9244ef16U,     0x95c10b79U,     0x83b581ffU, \
    0xe48ca740U,     0xbef3e320U,     0xbcb7e593U,     0xe2180158U, \
    0x9f88e174U,     0x6bc03a08U,     0x84e2bdf9U,     0xd0005864U, \
    0x030e43f3U,     0x32acca7cU,     0x91f5f931U,     0x5a7ddfebU, \
    0xf63d2d4cU,     0x11f2b3d3U,     0x280a7b97U,     0xf8b80749U, \
    0x2ae406faU,     0x43e09466U,     0xfcc7b92bU,     0xcb6948a1U, \
    0x05565139U,     0xbe375fb2U,     0xb7307a86U,     0x9a050894U, \
    0xd4933e42U,     0xb4ec91aeU,     0x4b7eeb97U,     0x48470659U, \
    0xe2608619U,     0xb7d4e039U,     0x8c412799U,     0x0c48206dU, \
    0xd3e29543U,     0x943c6c9eU,     0x669ace0eU,     0x635a7469U, \
    0x39437d00U,     0xd1e01b3aU,     0x1360539bU,     0xef42f3b2U, \
    0xeffeaa36U,     0xfda32d68U,     0xae925ccaU,     0xc9e0c259U, \
    0xdf636967U,     0xba00ea7aU,     0x1e73376fU,     0xc28e3510U, \
    0xe0142701U,     0xd5d3e7a4U,     0x350b9f42U,     0xfa2f0118U, \
    0xc26f45fdU,     0x87709488U,     0x96ddd808U,     0x23ad0ba9U, \
    0x3e986ad0U,     0xe513454aU,     0xd5949341U,     0x4a5f2b8eU, \
    0x10313321U,     0xc8dcaef8U,     0x4bc2b4e2U,     0x71ebe496U, \
    0x0f6e0c32U,     0x367b5b6cU,     0x70b21639U,     0x0aa19e28U, \
    0x559b7814U,     0xdcc4e326U,     0x0f86468eU,     0x2c9f48edU, \
    0x2fa70ec4U,     0xf3b1a3c9U,     0x198e6099U,     0x1ef97de2U, \
    0x98134192U,     0xa85d6293U,     0x9187ef9bU,     0xe69eb9aaU, \
    0x5b27ae92U,     0x14edff89U,     0xaa4a7f12U,     0xac060a83U, \
    0x213f6c06U,     0x6b75c53dU,     0x9fda0f9bU,     0x1c085c44U, \
    0x1233f723U,     0x0f17aa1dU,     0x1b721000U,     0x667dcb87U, \
    0x4795cc85U,     0x32beef8eU,     0xed083c12U,     0x16e2e5c8U, \
    0x0ba7d862U,     0xf352b1faU,     0x42d5dc10U,     0xeca61101U, \
    0xbaf7a874U,     0x994f8b59U,     0xe7cfff22U,     0x714d0eeeU, \
    0xd4ebd39fU,     0x7262fbbdU,     0xf681db17U,     0x153c456cU, \
    0xda2c32d5U,     0xf57b2b7cU,     0xba8ee4a1U,     0xa0a7ea8aU, \
    0x4a1ce1acU,     0x96e72993U,     0x88eae675U,     0x912c9025U, \
    0x5a36b1d8U,     0x5dc02cbcU,     0xbe94561dU,     0x7cb8abecU, \
    0x08b7da72U,     0x0ea7aa50U,     0xd68698b8U,     0xc06b0041U, \
    0x4156c1eaU,     0xb6060436U,     0x62dac788U,     0x0eed4bb4U, \
    0x21f1e3f2U,     0x97db935fU,     0x58f49f68U,     0x551397ebU, \
    0xcda74886U,     0x7e415584U,     0xb4cd040dU,     0x1486d866U, \
    0x7a7115b7U,     0x89d2cc51U,     0x3280b394U,     0x576b3c94U, \
    0x4a81dd8cU,     0x243f4596U,     0xc3531e7bU,     0x588f455bU, \
    0xde28943aU,     0xe1b25636U,     0xb881c951U,     0x55c0a962U, \
    0xa297d9c5U,     0xdb499aa5U,     0x18500faaU,     0x66b93b4cU, \
    0x14b8ffe3U,     0xe7527df9U,     0x41938805U,     0x00bddf98U, \
    0x4e78eb8cU,     0xb8e13b33U,     0xb116550cU,     0xec81df8eU, \
    0x3da28e12U,     0xbd608a80U,     0xdcca3e14U,     0xcaddbc9dU, \
    0x78412b50U,     0xf9d28377U,     0xfc47602eU,     0x71b16256U, \
    0xb4d12b60U,     0x63bb4355U,     0x8123df44U,     0xc32af1c3U, \
    0x6940eaa7U,     0xe5b10192U,     0xc779fe3cU,     0xcdd3ce40U, \
    0xb696b71fU,     0x080ea774U,     0x68fa8063U,     0x2abf741cU, \
    0x491ae1e9U,     0xcb1a2e56U,     0x41610863U,     0x999dc35bU, \
    0xfcbe4c96U,     0x0ec7e7ebU,     0xe93c0aaaU,     0xb32f888eU, \
    0xae17ed5fU,     0x82897328U,     0x6a7498f4U,     0x98afd999U, \
    0xa49c68c7U,     0x0bc6d8e2U,     0xb395e81eU,     0x3fafaff8U, \
    0x070a2518U,     0xa769073aU,     0x354a1fc6U,     0xdf72bcacU, \
    0xc8209c7fU,     0x5d06b815U,     0x1f7cc01bU,     0x65c6507dU, \
    0xae00bff0U,     0x4e647656U,     0x13e67e02U,     0x36c6ee86U, \
    0xb9e89da3U,     0x9171a449U,     0x9f930b7eU,     0xfa32237fU, \
    0xd40fa972U,     0x8b1d5410U,     0xc0632e02U,     0xffa9a6b1U, \
    0x5c786b2eU,     0xa0ad7b98U,     0xa89c47fbU,     0x27baccdbU, \
    0x8575ab1bU,     0xa4446e9aU,     0xbf74a52aU,     0x722d8e1aU, \
    0xebda0accU,     0x7faf653bU,     0xe05653ffU,     0x48236335U, \
    0x4db3139bU,     0x59f3e385U,     0x64f2b354U,     0x4feab1edU, \
    0xf7fd2c0dU,     0x462176a5U,     0xccf37243U,     0xb89fd1b6U, \
    0x91d7a2e9U,     0x088b328dU,     0xb1dab1caU,     0x5693b654U, \
    0x8955eb8bU,     0x7a62ef8aU,     0xb7312584U,     0xb8946391U, \
    0xc46db2b8U,     0x1936128dU,     0x59ab2ef6U,     0x35b54a57U, \
    0xaaf86f7dU,     0x21ca95caU,     0x91a3f615U,     0x94d25589U, \
    0xe85a42e9U,     0xf20ebaa8U,     0xa9d3c907U,     0xeb839bd7U, \
    0xf4cce8b3U,     0x395b57a2U,     0x74cde6e6U,     0xd162aecbU, \
    0xda68e026U,     0xba1e0315U,     0xc3c9de48U,     0xdf103e50U, \
    0xf5cadbfbU,     0xd05958beU,     0x5e43a30dU,     0xa0a227a7U, \
    0x8bfd54e7U,     0x306271d7U,     0x19201a03U,     0x2139c602U, \
    0x2a1d949dU,     0xb39586cdU,     0x65722827U,     0x213ad0e3U, \
    0xdeb374f9U,     0xd7c699f0U,     0x4e5b6fb9U,     0x1ac74319U, \
    0x5658bd85U,     0x2e5e337dU,     0x16d7eda9U,     0xd40e7984U, \
    0xbd4ea762U,     0xbc5a698dU,     0xff878f00U,     0xc8a5de40U, \
    0x375096a3U,     0x12d3089fU,     0x47784d00U,     0xa0e1b5ddU, \
    0x6411eb44U,     0xce9cf799U,     0xad579f89U,     0x76c80bb2U, \
    0xcb556eebU,     0xd589e4b6U,     0x85347955U,     0x109dd068U, \
    0xfe37ca88U,     0xe8cae579U,     0xdb102a69U,     0xdfacc114U, \
    0x5fb188c5U,     0x203d58ecU,     0x12b14326U,     0x23887687U, \
    0x7be56b8aU,     0x083a9071U,     0x52ac78c4U,     0x8e995070U, \
    0xeeb3517bU,     0x55bb35c6U,     0xc7a97750U,     0x53b0df7fU, \
    0x4f61899dU,     0x34242a07U,     0x274139f5U,     0xe34346d6U, \
    0x0f6a8b24U,     0x96d94375U,     0x59e7672cU,     0x9758e6bfU, \
    0x2be3bcf2U,     0xc13561edU,     0x99fd2bdfU,     0xe7a97699U, \
    0x39250a95U,     0x3d9236b3U,     0x63b6c891U,     0xfddfd8caU, \
    0x172fa4a5U,     0x2dd509aeU,     0x9a003055U,     0x1d06e9ddU, \
    0x38872158U,     0xee90bc7bU,     0xe99da451U,     0x8e605351U, \
    0xd92c22faU,     0xee6560b0U,     0xfc6dc71cU,     0x5761792dU, \
    0x5f50a468U,     0xdf9cc91fU,     0x16b5508bU,     0x659d9a6fU, \
    0xe04afadeU,     0xe3826260U,     0x8f1bb6f3U,     0xeed90a6cU, \
    0xec66ed69U,     0x9e809d6fU,     0x72634fe2U,     0xcbc485ceU, \
    0x93d23bffU,     0x75887de3U,     0xba099555U,     0x8769fad4U, \
    0x1987a415U,     0x0998a222U,     0x6af6ba9eU,     0x2ae0ccadU, \
    0xd4f5aebfU,     0xb660e2b0U,     0x4ced193cU,     0x4e230959U, \
    0x99cb49a2U,     0x4f5661d0U,     0x4b79ebb8U,     0x7dd702b9U, \
    0x7e4a5ccdU,     0xc4d0333cU,     0x23cb7133U,     0x8f2d4575U, \
    0xa95f58b3U,     0x7bc65535U,     0x9943b3ddU,     0x834e06feU, \
    0x9ea32623U,     0x6ad94d3aU,     0x93449b07U,     0xe5174814U, \
    0x0aa02b3eU,     0xb81e67fdU,     0xc1a692bcU,     0x47f71970U, \
    0x5b0f34feU,     0x08d26057U,     0x18ae384cU,     0x53026c9aU, \
    0xf464d50aU,     0x3143f05eU,     0x1e92fa80U,     0xb3510cfeU, \
    0x5dc8c319U,     0x4f60aff6U,     0x28bfa768U,     0x565da412U, \
    0x6ddaf8c9U,     0xd2391d51U,     0x7fd8fa73U,     0xe6a2f0e2U, \
    0x8ccfbe52U,     0xb37a101eU,     0x1a56d2a3U,     0x2047154bU, \
    0x8fa96b2bU,     0xf511a72fU,     0x9634fc46U,     0xd1774746U, \
    0x4ef9b281U,     0x36372446U,     0x066bf8daU,     0x76d87e1fU, \
    0xa5a69bc5U,     0xfbc8edceU,     0x54080716U,     0x745abb72U, \
    0x30751c6dU,     0x1a0ca8a3U,     0x7fd18addU,     0xc02d81adU, \
    0x95cb995aU,     0x5c5143d9U,     0xe01a7d07U,     0x789af188U, \
    0x81a37690U,     0x929e1d29U,     0xf7f40a42U,     0x246ab29bU, \
    0x7dc05e7bU,     0xdd682e22U,     0x7c3e1cb7U,     0xea972705U, \
    0xa6e6a37cU,     0xec92b8e7U,     0x78aaa1b0U,     0x46250027U, \
    0xeedff9c3U,     0x832f04e1U,     0xbb144c09U,     0x82b4531fU, \
    0x8e808c61U,     0x32667159U,     0x1e30787cU,     0xc156f53eU, \
    0x56306507U,     0xbe4cf0c8U,     0x16c262f1U,     0xa73b3d05U, \
    0x031932c7U,     0xcbd73d02U,     0xfafeba9eU,     0xdd059581U, \
    0x3fe16f2dU,     0x5d5fc711U,     0xadf43dbeU,     0x68311397U, \
    0xc41d5873U,     0x50dd22b2U,     0x00c8c363U,     0xb2e94c61U, \
    0x895775f1U,     0x8aea5b03U,     0x7b1eadb0U,     0xb445d68fU, \
    0xad18a464U,     0x74e9751fU,     0xe037b4c0U,     0x995c8d8aU, \
    0xacaafff2U,     0xcbf75d34U,     0x6a557780U,     0x612509caU, \
    0x5b5bf01fU,     0x04dc893aU,     0x5f91247aU,     0x35ea79a6U, \
    0xc459afc1U,     0x5c8958c2U,     0x27094db7U,     0x3b41d70cU, \
    0x4ceb446fU,     0xac274163U,     0xe53d2ebbU,     0x9336c5f0U, \
    0xec61f4cbU,     0xbf5d3498U,     0x79be238dU,     0x7f99fa7fU, \
    0xaecf00e8U,     0xe527ffedU,     0x3a43125dU,     0xa717cadeU, \
    0x410f5865U,     0xaad61474U,     0xb4238828U,     0x90878823U, \
    0x6fd71ee3U,     0xb5e53eeaU,     0x83004981U,     0x31650047U, \
    0xd2d47ccaU,     0xf3d96607U,     0xae2e990dU,     0x9dfbba10U, \
    0x053fd506U,     0x095c501cU,     0xcce21e73U,     0x0deb3e15U, \
    0xdbb42984U,     0xabcf67fdU,     0x52299af5U,     0xf49ef3e7U, \
    0x3c089351U,     0x0928bbddU,     0x9d44409cU,     0xeeea8394U, \
    0x24cf20e5U,     0x5cee8c24U,     0xd564923bU,     0x27ca52c2U, \
    0xc905e688U,     0x95a3a102U,     0x882725e7U,     0xd0f276cbU, \
    0x6d110b76U,     0x182359e4U,     0x2f93eaffU,     0x80055e8aU, \
    0x63b5c400U,     0x61202a47U,     0x8a5d1068U,     0x60d1501cU, \
    0xec017b38U,     0x62c663e8U,     0x81623a87U,     0xab425e16U, \
    0xa4b433d3U,     0x6f798f01U,     0x7da337a4U,     0x9ccf459fU, \
    0xa326dcc0U,     0x18bf6587U,     0x6184251aU,     0x2f1c21aaU, \
    0x9ced36c5U,     0x82a3e095U,     0x1de7ebbeU,     0x5e784b9eU, \
    0x22f6e6b9U,     0x0a41690aU,     0x283e67d0U,     0x68d0acdfU, \
    0xcbe3685aU,     0x5c383e99U,     0x5e5fcaf3U,     0x1d7a39e7U, \
    0xb5e191d7U,     0x6bd57a07U,     0x8088d42bU,     0x4c87a76aU, \
    0x98161b8cU,     0xeb5576c0U,     0x4c82792cU,     0x21402951U, \
    0x357a9eb0U,     0xec55c093U,     0x7eacb17dU,     0x414a9c71U, \
    0x205d8bbeU,     0xc72c1676U,     0x0dd07913U,     0x0a605e88U, \
    0xa6c47320U,     0x2c1e0375U,     0xec1b647cU,     0x6d429f09U, \
    0x2f5226f0U,     0x3869d929U,     0x7430f173U,     0xb538b975U, \
    0xf901e7ceU,     0xfade4341U,     0x57d02451U,     0x23dc5b5fU, \
    0xf8616d0aU,     0x98a07076U,     0x5a45295bU,     0x60720931U, \
    0xa9e568ccU,     0x3a215c20U,     0x2c9298ecU,     0x73ebe88cU, \
    0xd4cfb937U,     0x9c65222dU,     0x2fbab547U,     0xaa41b608U, \
    0x794a30b6U,     0xcef68ae5U,     0x5e634c95U,     0x80f344e8U, \
    0xe711b119U,     0x5969d099U,     0x3cfbe227U,     0x5b7414a5U, \
    0x4dd3f4b4U,     0x776bae2dU,     0xe19c3da5U,     0x5ef81c1bU, \
    0x83d68d12U,     0x52c28ccbU,     0xc45bf2dbU,     0xe76f17a6U, \
    0x69da80c4U,     0xf42327f1U,     0x90cbae21U,     0x2bc3773dU, \
    0xdbb3d336U,     0x5063e19bU,     0x68f03f51U,     0x14303b08U, \
    0x2e762846U,     0xb1b995c6U,     0xe7844221U,     0xcabe9aa8U, \
    0x4ce3c1eeU,     0xd798fe54U,     0x8aa1e454U,     0x12683137U, \
    0x4acd71a1U,     0xb7c4d495U,     0x32bab215U,     0x52369a07U, \
    0x4aac14a0U,     0x50d8b262U,     0xbf9c2bbeU,     0x6c92b7a3U, \
    0xea9a0d79U,     0xd866759cU,     0x947baf50U,     0x66d00319U, \
    0xb5bdd61fU,     0xef19cda3U,     0x2b581925U,     0x8059e824U, \
    0xbf6e809eU,     0x71626348U,     0x9f78b35aU,     0x3c5d8cd5U, \
    0x2987f401U,     0xaf40f932U,     0x1ec5850cU,     0xed3cc2c9U, \
    0xf50dd0dbU,     0x8fdb6c97U,     0x17130d50U,     0xfd8102ceU, \
    0x7fd2f5cdU,     0x85fa4902U,     0x475819ecU,     0x09a8c84aU, \
    0x3206c8ebU,     0xe883edd9U,     0x5a4e221bU,     0x08eac6d0U, \
    0x3c14c8a5U,     0xf4d15795U,     0x9f9e85beU,     0x0e75d227U, \
    0x292871efU,     0x1176fcdeU,     0x094c6e62U,     0xec755c48U, \
    0x53b71181U,     0x2f7f0a69U,     0x4a35386cU,     0xfeaaf2e2U, \
    0xe115abb5U,     0x40074345U,     0x84fc6bceU,     0xf1c5c8f3U, \
    0x610ff65eU,     0xd4ea4c8bU,     0x3eb80f64U,     0xee1b27efU, \
    0x4fc692feU,     0x9910b0b3U,     0x94dfb30fU,     0x561aae2fU, \
    0x9aa85e61U,     0xd4eee2e4U,     0xcaa2ae71U,     0x758b5ddeU, \
    0x4020903dU,     0x11b254deU,     0x79112d74U,     0x996514f0U, \
    0x1c950a3bU,     0xdc9bdb4cU,     0x71292566U,     0x59249e02U, \
    0x554d3b0dU,     0x11318dcfU,     0x43b2733bU,     0xc39520d3U, \
    0xde3e1ff6U,     0x4f4d3228U,     0x06b312c9U,     0x0f3395b6U, \
    0xafd3b52fU,     0x058ad7c2U,     0x4d4273f8U,     0x7554e468U, \
    0x522aab3eU,     0x65eeeaf0U,     0x34528b22U,     0x43db13bbU, \
    0xbe7a079fU,     0xd114d98cU,     0x28f4bfb5U,     0x09d3d921U, \
    0x97f37e35U,     0xc616319cU,     0xc741e355U,     0xec6c4563U, \
    0x18ae5920U,     0x4418ef21U,     0xae4a7d66U,     0xd70aaac5U, \
    0xd9275d0dU,     0xc86e032dU,     0x85a954d1U,     0xcd9760a1U, \
    0x39b80ae9U,     0x0373d4b4U,     0x47d2e110U,     0xf90a3cc1U, \
    0x52149c59U,     0x8d1dcbcbU,     0xc0fb9512U,     0x4b3a5edbU, \
    0xa1ac8ac2U,     0xd48f1686U,     0x5af2e24fU,     0x235f1f2eU, \
    0xda5ecb76U,     0x61566e8cU,     0xe832f41eU,     0x8c842d4aU, \
    0xdae7b89fU,     0xb6d81900U,     0x7658e4d7U,     0xba47ec78U, \
    0x6dae2d97U,     0xb8dcf98cU,     0xf6971680U,     0x32fc12aaU, \
    0x45ca160aU,     0x0790b509U,     0x700b8603U,     0x348bc148U, \
    0xa369ea29U,     0xc86e19f7U,     0x3f62d5b3U,     0xa2a3319dU, \
    0x9c6bf2f0U,     0xfe3df021U,     0x74576815U,     0xf6a9314eU, \
    0xd239f0d6U,     0x08d2da9fU,     0xe438bc09U,     0x7d3826a2U, \
    0xd1fa53e6U,     0x819ba141U,     0x754028ecU,     0xf4f164dfU, \
    0xd9cd4b6bU,     0xfa1e1bc0U,     0x23ed3fceU,     0x549af171U, \
    0x1f6ad43fU,     0xbfe071b8U,     0x39ccb0e3U,     0x442e90e5U, \
    0xd952442dU,     0x4a1c2f05U,     0x35c34347U,     0xe7088964U, \
    0x1b1ee66aU,     0xaf416789U,     0xffe52c5eU,     0x6c2587f7U, \
    0x59f251cdU,     0x15f0239cU,     0xb65b5a27U,     0xe99f4f67U, \
    0x3352dcc2U,     0x49b985b3U,     0xb2ae181fU,     0x0a83b008U, \
    0xa9fea534U,     0x11965b28U,     0x758d21e8U,     0xef29fbf4U, \
    0x37bf3556U,     0xa8fa2780U,     0xa8b7acf2U,     0x920923d8U, \
    0x893ce398U,     0x3814de5cU,     0xe381f6d4U,     0x1188fd41U, \
    0x3a4f033eU,     0x31bd4f99U,     0x35cc2138U,     0x3e0bc40eU, \
    0xcfee3234U,     0x179fa64eU,     0x8fa71c1eU,     0x4c6b2bc0U, \
    0xab1b39ddU,     0xb6fb91e2U,     0xdb5f2c6dU,     0xb8a6d499U, \
    0x3fb9151eU,     0x95c2572fU,     0x247cdaf0U,     0x9b874b63U, \
    0xf9ba393dU,     0x6f63b78aU,     0xf152be83U,     0x28367437U, \
    0xeab02afbU,     0xed9bdaf8U,     0x258a759eU,     0xd9860182U, \
    0x1bda130aU,     0x003609a6U,     0x74013ddfU,     0x7df58966U, \
    0x2de88a2eU,     0x94f2540dU,     0xb9cd17ffU,     0x58802326U, \
    0x44732d33U,     0xe7263ea0U,     0xd2bdacdeU,     0x9549bb90U, \
    0x45f7ad97U,     0x77c30620U,     0xa8b61f60U,     0xdeb131b1U, \
    0x479a6941U,     0xb4346d4bU,     0xe827f69cU,     0x324801b7U, \
    0x9fa50331U,     0x3e771c47U,     0xf51aff49U,     0x2e66bd41U, \
    0x43792132U,     0x40e93c2bU,     0x617afc91U,     0x43083cfaU, \
    0x12e4dfa7U,     0x0194db93U,     0x0ebfdecbU,     0x1c7e73cfU, \
    0x9ed91b2bU,     0xcc0f8a47U,     0xab4d7f7cU,     0x8e0a07e0U, \
    0x21b2a568U,     0x2f53ac22U,     0xa5658beeU,     0x06f18bcfU, \
    0x78dc79eaU,     0x7c8edef2U,     0xf96ef043U,     0x8f849fd5U, \
    0x04cc6374U,     0x1e899eacU,     0xe17019b3U,     0x4254fc7cU, \
    0x6ff1881cU,     0x7896e996U,     0x8f2e2c5aU,     0xed1ffe44U, \
    0xea2abb4fU,     0x209d43b9U,     0x13ff5dfaU,     0x024e2fe8U, \
    0x09218212U,     0x61eb8f9bU,     0x3dadd7c7U,     0x21c1db68U, \
    0x85b270feU,     0x37fe209eU,     0x2448862fU,     0xfef0a90dU, \
    0x61c5d94eU,     0x6628f009U,     0x61ca64c2U,     0xdb5404adU, \
    0xa5a15f39U,     0xefad3615U,     0x67e9f3c5U,     0x8f13ade9U, \
    0x9b77cf04U,     0x72bbc0ffU,     0x40abe788U,     0x800b157cU, \
    0xf659ed73U,     0x2fad2170U,     0xb95224f1U,     0x424385acU, \
    0x21ccbe43U,     0xed23e36aU,     0x25433410U,     0x630a6d98U, \
    0xaa0c6c16U,     0x55cff516U,     0xe00f8cfcU,     0x89b14e4eU, \
    0xef44aa15U,     0xbe83924fU,     0x2c5a79dbU,     0xa4c61282U, \
    0xa27acb1fU,     0x2f481537U,     0xe1daf43eU,     0x87b8e7cfU, \
    0x988de591U,     0xa59f31a6U,     0x28804a43U,     0x54eac646U, \
    0xa6b6afc5U,     0xcfa941c7U,     0xe7c7bedaU,     0x8d9453d3U, \
    0x453f67e0U,     0x0ad81870U,     0x15c96b4bU,     0x8108b06dU, \
    0xb0072237U,     0xc711649fU,     0xc1b47e8aU,     0x375cf2faU, \
    0x8f8d782eU,     0xfc4c4ae7U,     0xaf14d564U,     0xebc46489U, \
    0x58602296U,     0x849b4d8eU,     0xc0db4c37U,     0xf3d66cf6U, \
    0x2408dbfbU,     0xaaead599U,     0x5117ac38U,     0xef044342U, \
    0xaf6d710fU,     0xe64baf8dU,     0xe0e3ee15U,     0x97568990U, \
    0x44e6eda2U,     0x3d9a3b12U,     0x8bb23509U,     0x60933961U, \
    0x42b5f27eU,     0x15b1c0fcU,     0x74546996U,     0x2dea57a1U, \
    0x8385490bU,     0xed40d9cdU,     0x7e09fa0bU,     0x4adb864bU, \
    0xaffcbe40U,     0x343b5372U,     0x475b6aceU,     0x5755692dU, \
    0x0e5e5225U,     0xe298b99aU,     0x88e83f02U,     0x4d412c2cU, \
    0x1031c669U,     0x91cb0802U,     0x1f019db8U,     0xe567d6f8U, \
    0xb026c808U,     0x4d320ceaU,     0x1cb0061cU,     0xb87a8d1dU, \
    0xbfae2bc3U,     0x9318f1e9U,     0x93151591U,     0xbaa280c4U, \
    0xa9d25094U,     0x12d76b86U,     0x11c22976U,     0x9490800cU, \
    0xbdd88dc1U,     0x0efa4faaU,     0xb45e6453U,     0xd919ffc0U, \
    0x3f5d5739U,     0xf430c9b9U,     0x009b6c37U,     0xa0c3ef13U, \
    0x90d160b1U,     0x0e846277U,     0xf15614ffU,     0xf347de0aU, \
    0x04d4ff87U,     0x3a4d0dd2U,     0x05f56385U,     0xdc2c1381U, \
    0x4ab4877aU,     0x144c3861U,     0xd2a733f0U,     0x765cf882U, \
    0xd8ad8284U,     0xf0952c64U,     0x45d90932U,     0x3cf996acU, \
    0xdfd6456cU,     0xe86e806bU,     0x3a016524U,     0xd463a5f5U, \
    0x5f024dcbU,     0x34b034bfU,     0x55bec9ccU,     0x9846ad73U, \
    0x8497a257U,     0xedac323aU,     0x2b91cdaeU,     0x2e5866c6U, \
    0x0cdecf4cU,     0xd2a09391U,     0xc03f34e0U,     0x998a6e14U, \
    0xe9015c29U,     0x2dbebb04U,     0x5d6d7d02U,     0xfacbb411U, \
    0x8cec8e85U,     0x945ee7d2U,     0xbda4d96eU,     0xb34fc54bU, \
    0xd841b7b6U,     0x771555e4U,     0x60f8b198U,     0x3b6ad9c6U, \
    0x609f77e0U,     0x70780e96U,     0xee35edfaU,     0xf7171d66U, \
    0xb800feb6U,     0xb08d4323U,     0x33d9ff01U,     0x376f8639U, \
    0x1f47802bU,     0xa204d642U,     0x64145687U,     0xf7b7404cU, \
    0x453ba15cU,     0x5e63b606U,     0xcc652304U,     0x3957ecc1U, \
    0xb39d0cf5U,     0x1b2ce0b2U,     0xc67c8d9dU,     0x824eb833U, \
    0xa34e51c2U,     0xfbb51542U,     0x92b30cd7U,     0xd0b19759U, \
    0xcd71639bU,     0x1c5fa4f6U,     0xc55a0694U,     0x463360beU, \
    0x5154c79cU,     0x853c3d9cU,     0xf0416e60U,     0x2628b9f4U, \
    0xb44a22acU,     0x62771422U,     0x61fd9345U,     0x04998fe5U, \
    0xca8d9c76U,     0xeca556e8U,     0x3c99b95aU,     0xaf4a991cU, \
    0xd3434719U,     0x957b762bU,     0x44c4f41bU,     0x861c096bU, \
    0x35abcdffU,     0xce465325U,     0xa3ebbc14U,     0x44074838U, \
    0xe19dfc7aU,     0xe0cd7befU,     0x23bd1e09U,     0xea6be56eU, \
    0xa643f788U,     0x545e6228U,     0xf779d7f3U,     0x428d34a3U, \
    0x9b15d2ebU,     0xc6718d97U,     0x5faa4324U,     0x3cc64bf6U, \
    0x5234171eU,     0xc2c3dee8U,     0xdf1cfbfeU,     0xb1453b3aU, \
    0xb5015052U,     0xba79d98cU,     0x3229cea1U,     0x70444adaU, \
    0xb093106dU,     0xf30b49cbU,     0x6139c55aU,     0x7e5b93c7U, \
    0x7023ea90U,     0x18d69ea3U,     0xc316f7a7U,     0x65b799f9U, \
    0x01e25398U,     0x1d0d4d47U,     0x89e8741cU,     0x92be6e3aU, \
    0x623ac71dU,     0x1579153eU,     0x2cd9c555U,     0x00fc1852U, \
    0x8aefbc64U,     0xad398f49U,     0xdcb23d14U,     0xbae42656U, \
    0x85849d81U,     0x6c51e1aaU,     0x8ac6b9dcU,     0xd2019119U, \
    0x9c968cd4U,     0xe91b812fU,     0x04b396c4U,     0xe7c8f06cU, \
    0x7d5c07e0U,     0x3f110935U,     0xc6838283U,     0xe1ad1686U, \
    0xcafefebaU,     0xc7663309U,     0x05698cafU,     0xad757374U, \
    0x7e585d5aU,     0xf7da376fU,     0xf6501d1fU,     0xa175298fU, \
    0x6beaa7a6U,     0xfe24f342U,     0x069b8a1cU,     0xf2c263a1U, \
    0x322470a9U,     0x2264b775U,     0x5c5ce0ecU,     0x3885a8e6U, \
    0x2ec34a7eU,     0x1d8307a7U,     0xcd5db4a5U,     0xee63fbb0U, \
    0x8eac1756U,     0xe40f75aaU,     0x46fc9ab3U,     0xfb1a5fabU, \
    0x3bcc399dU,     0xa172735fU,     0x55ae4192U,     0x01e68856U, \
    0x556ab9c1U,     0x2ec8a8b3U,     0x2084df94U,     0x82c9f8adU, \
    0xe8100fd9U,     0x7a21270fU,     0x66a07cb5U,     0x4543c040U, \
    0x712667d8U,     0x7b43af57U,     0x0162c597U,     0x06f83dc4U, \
    0x05f078deU,     0x9a8fdcccU,     0xf1f3aed4U,     0x127537f1U, \
    0x7cc479f9U,     0x14da9360U,     0x6a571cf6U,     0x3ccde77dU, \
    0xb3a5cb70U,     0x3ada0818U,     0x4ef78d90U,     0x8b090eb4U, \
    0xb88be3e1U,     0x44cba335U,     0x0421198cU,     0x8489f6b7U, \
    0xccefe9d1U,     0x9ee04cecU,     0x945ac6a0U,     0xc399dfd0U, \
    0x7b412bcdU,     0xe608b55dU,     0x5736d62dU,     0x3738fe77U, \
    0x02f67e1cU,     0xb9343c7aU,     0x4ccdd9dfU,     0x077a4101U, \
    0x372c9755U,     0xe56f54e2U,     0x9cdcb597U,     0x6283c68cU, \
    0x33eaffc1U,     0x96500af2U,     0x20d7a902U,     0x29e20cbcU, \
    0x3b010201U,     0x613d0aa7U,     0xd85408f4U,     0x19e8ed56U, \
    0x743bb139U,     0x5e5d1cd0U,     0x8b593205U,     0x145347c8U, \
    0x8f69632aU,     0xa862a09bU,     0x82c94636U,     0x549b072eU, \
    0x544cfb76U,     0x3eb58deeU,     0x668932dfU,     0xfdb3749dU, \
    0x397e0674U,     0x0fccf984U,     0xb46acc99U,     0xae51df17U, \
    0x4f48947aU,     0x4079b6ebU,     0xb2d0f0beU,     0x11be48b0U, \
    0xc934d648U,     0x738bfb28U,     0x8570bb8cU,     0x8ddfa3d8U, \
    0x9454ccbfU,     0x04fe3435U,     0xb6b3877dU,     0x167830b3U, \
    0xe0701388U,     0x6717bd47U,     0x5ab64a6bU,     0x824f94b1U, \
    0x7b929c5dU,     0x98e97e0bU,     0xeba9d475U,     0x6f13e2b7U, \
    0x2a25fc23U,     0x95a810daU,     0xd6cfb1fbU,     0x1d66896dU, \
    0x85aa2394U,     0x22dd11bfU,     0xf1a36c98U,     0x115bd3caU, \
    0x081d30abU,     0xb797c4c3U,     0x433c2202U,     0xa8c70833U, \
    0x552e0e2aU,     0x8b14bafaU,     0xc5ab2b6eU,     0x7211e61bU, \
    0x40b30986U,     0x90deb4bbU,     0xcd7271ceU,     0x12d91bd8U, \
    0xe4918cc8U,     0x67b16ffeU,     0x7deff146U,     0xfc4be16dU, \
    0x140b8c73U,     0x63dce0ebU,     0x2f7bd123U,     0x80429b99U, \
    0xb95e147aU,     0xd004ed07U,     0x823473abU,     0x6a617100U, \
    0xba2b46d3U,     0x474ba3c9U,     0x4fb88ba2U,     0x5351cc70U, \
    0x49f0f98fU,     0x2240d892U,     0xb2c4f976U,     0x9874f0beU, \
    0xdcdbc9b2U,     0x83dbe9afU,     0x67d0d761U,     0x79236ac8U, \
    0x31f6c4abU,     0x40408e1cU,     0x5b2bb4daU,     0xf00eba47U, \
    0xb49bc603U,     0x4ae0f7eaU,     0x02268ff7U,     0xb56862d9U, \
    0x6ff86ef7U,     0x5da0b9d8U,     0x4eb63d9aU,     0x28a6a628U, \
    0xeac9e087U,     0xd331cfc7U,     0x0fd7e82cU,     0x75657678U, \
    0x9ca7583bU,     0xf7184e19U,     0x441f9073U,     0x63cf65dcU, \
    0x0faad575U,     0xe1204a58U,     0xa80353d7U,     0xd42906aeU, \
    0x316c90c8U,     0x57529b25U,     0xeaaa8370U,     0xc625ac19U, \
    0x5128cb46U,     0x6b876527U,     0x2fa23d36U,     0xbf78f737U, \
    0x612822f8U,     0xfb7031bfU,     0x33337f04U,     0x05a69858U, \
    0x8ff79345U,     0x58624c9fU,     0x53d6c4cbU,     0x7a4b426bU, \
    0x8a8f1e95U,     0xf1085e19U,     0x169943a7U,     0x7ebe24a4U, \
    0x2448c57aU,     0x919d0450U,     0xca480ffeU,     0xd2c76ffcU, \
    0x95ff1382U,     0x1b09110fU,     0xb499ea54U,     0x1bbc331eU, \
    0x35a7a699U,     0xfcba9786U,     0x51ecd85bU,     0xe017b550U, \
    0xbd07b749U,     0xf2caa022U,     0x0771726bU,     0xc5028d96U, \
    0x6a0ee5f9U,     0xcbe19dfbU,     0x62cf9896U,     0x2e614aabU, \
    0x550f16c6U,     0xdd5b85d5U,     0x4f933622U,     0xa7a20978U, \
    0xfe5b28abU,     0x50064584U,     0xb3f2ababU,     0x16c2f208U, \
    0x3013f152U,     0x6da8f0a1U,     0x21589f0eU,     0xa9166110U, \
    0xc75df29fU,     0x72533e22U,     0x8f37bed5U,     0x44517b6fU, \
    0x31fc765aU,     0x759aff09U,     0xd82ed55bU,     0xbd2035e0U, \
    0xcbd0d452U,     0x08e401bdU,     0x0c473890U,     0x107b5a75U, \
    0xd95bf2dbU,     0x0af15b52U,     0x3fdec46eU,     0xa975a6b3U, \
    0xe388e5eeU,     0xf7f79fd7U,     0xd5125a35U,     0xd63eb6d6U, \
    0xe540f505U,     0xb74a8eb2U,     0x18aabc7aU,     0x646f51feU, \
    0x7c7a33a1U,     0xc91d34c1U,     0xe5021c94U,     0x17903713U, \
    0xd619f158U,     0xaf312b3bU,     0xf0699d78U,     0xa7372e06U, \
    0xf741520fU,     0x0877b73fU,     0xf4ede190U,     0x8043548fU, \
    0x70ee2d35U,     0x9594929fU,     0x197fea67U,     0x8d56b380U, \
    0xed719d76U,     0xadd547c8U,     0x98b46559U,     0xe53b9550U, \
    0x0a996169U,     0x5bf7b5d2U,     0x9d0a6501U,     0x5141d8fbU, \
    0x112d693eU,     0x88018fefU,     0x57f76840U,     0x94833637U, \
    0x50bee65cU,     0xa3e12585U,     0x30c0ef42U,     0x04fed36aU, \
    0x4f045f51U,     0xcb13a32fU,     0x11fb4781U,     0x22cac7d3U, \
    0xc55deea3U,     0x466def02U,     0x4f988abfU,     0xcce2c620U, \
    0x5f611bd5U,     0xcfaeb71bU,     0xf04c7755U,     0x50ac35f7U, \
    0x7238af8aU,     0x7111435dU,     0x0ae3ffb7U,     0x11e18288U, \
    0x2b2f3e04U,     0xedc50ebaU,     0x29d2dddfU,     0xd789acf9U, \
    0x1e407a7cU,     0x1d20abc1U,     0x7c67f0ebU,     0x9e543463U, \
    0x72950fd9U,     0xde747ba4U,     0x3d6f934fU,     0x8b5d6d4bU, \
    0x0c14f343U,     0xfd632819U,     0x85d0979aU,     0x8a2435e9U, \
    0xbcf2da0aU,     0x4663a20fU,     0x9d561dc9U,     0xc807da9fU, \
    0x23d3bd95U,     0x67d3146dU,     0xd0a1db17U,     0x5c0f0fcbU, \
    0xb004a7f4U,     0x022de834U,     0xc4a3263eU,     0xf7a6bc8dU, \
    0x9b3e79b1U,     0x8886cc4fU,     0xc95b3d8aU,     0xe78fecb0U, \
    0x7fd9219cU,     0x4303f105U,     0x3efeeae0U,     0x9fee6750U, \
    0xb85686d9U,     0x48dadb6fU,     0xd934a035U,     0xbd97899bU, \
    0x7fe94832U,     0xd2acb2b8U,     0xaad25596U,     0x0b4efdb7U, \
    0xed3454c1U,     0xc7eb3499U,     0x98b568cbU,     0xefcc81c5U, \
    0x3c4d74a2U,     0x22b50c9eU,     0xfc2f9a64U,     0x25aff212U, \
    0x185ea81aU,     0xaacba8e1U,     0x4f067aa8U,     0x84fa6637U, \
    0x8a1242f4U,     0x12e81adaU,     0xc8cafceeU,     0x8f4f3c9eU, \
    0x3c458a25U,     0xf2a2a2b7U,     0x845a67d5U,     0x45f8e3a4U, \
    0xbb15d74cU,     0x85f3c6beU,     0x9522ce24U,     0x93623037U, \
    0x4df4625fU,     0x0b86c0b8U,     0x40f51dd1U,     0x273494f6U, \
    0xbd2c364aU,     0xde155913U,     0xd6069aeeU,     0x8b2aff84U, \
    0xbfee5498U,     0xe93ca72eU,     0xff62488bU,     0xb32a715dU, \
    0x45ac63c0U,     0x121419c0U,     0x074db185U,     0xa2ffda6eU, \
    0x624d8d9bU,     0xea1af61dU,     0xea80e8b8U,     0xbaa69debU, \
    0x7a9d4681U,     0xa78d8724U,     0xb876b3c0U,     0xedff8fcfU, \
    0x3a2b9dc8U,     0x76362ca2U,     0x14230dd6U,     0xae3fa375U, \
    0xa32fd84aU,     0x3cddbfd3U,     0xfd053c78U,     0xabcb6878U, \
    0x983adb67U,     0xc00c8159U,     0x94525bfaU,     0x312e0489U, \
    0x665b6a21U,     0xc6c8167fU,     0x69fc25fdU,     0xce3e8b49U, \
    0xe8f1c43bU,     0x78e846c3U,     0xc53bc9b9U,     0xad5c13e4U, \
    0x350f07afU,     0x45c0369eU,     0xdbcb829eU,     0x2cc20b1bU, \
    0x4b79a6eaU,     0x9ca534ecU,     0x98302014U,     0x7f7415afU, \
    0xbe5156e0U,     0x0666220dU,     0xe171c327U,     0x5bf90f1bU, \
    0xda9f9517U,     0x34fc6fcdU,     0xb5a1d243U,     0x435ef569U, \
    0x55bf7146U,     0x9de17bcfU,     0xa880cc92U,     0xcb2dd3d8U, \
    0x5f5a9509U,     0xb02747e2U,     0xd5fc9e07U,     0x098756b5U, \
    0xc63008b5U,     0x8e3a9aa7U,     0xd7016221U,     0x068ae83fU, \
    0xda3420a0U,     0xd4ea5494U,     0xdd0770c9U,     0x8224ad21U, \
    0xbf4e9babU,     0x7e160838U,     0xe4e387d1U,     0x5d16cd7cU, \
    0xcad0765dU,     0x00dc68eaU,     0xec6fa7d9U,     0x87198e75U, \
    0x71b83a8dU,     0xe018746aU,     0xa8a86e17U,     0x0b0dd184U, \
    0x57396f79U,     0x2f73058bU,     0x21ff2edfU,     0x77794202U, \
    0xacffb715U,     0x3657dea9U,     0x147b662dU,     0x636a8738U, \
    0x1ca229dcU,     0xb18b9e33U,     0xc7eb4441U,     0x2f01ed01U, \
    0x3118b81cU,     0xae75daf0U,     0xc62fcad8U,     0xf4f23e32U, \
    0xb172ba18U,     0x17b3978bU,     0xd1a98ebbU,     0x7cbe465bU, \
    0xd36efc18U,     0x9ad598a6U,     0x5859dae9U,     0xb7f70573U, \
    0x99c93a4aU,     0x9330dacfU,     0x8108d884U,     0x768f4a0cU, \
    0x584b6263U,     0x70a4de66U,     0xa496ed8dU,     0x4b871f52U, \
    0x786dd4fbU,     0xe08c9519U,     0x63e7bba1U,     0xa1565706U, \
    0x064b9df5U,     0x258fcbe2U,     0x192e5845U,     0xc9c552e5U, \
    0x6dcec36cU,     0xb3532bedU,     0x7ae6039aU,     0xf5c466b5U, \
    0xf2d43c23U,     0x05e5e7deU,     0x488a9296U,     0xe1c32f56U, \
    0xf6b55e47U,     0x7b8d4a8aU,     0x59aa93f7U,     0x7b5bd7cfU, \
    0x855e9ec2U,     0xd12a0b37U,     0xe160f6eeU,     0x07afb66aU, \
    0x0bc240c0U,     0xf75c4991U,     0x0b7c1604U,     0x8590dc00U, \
    0xafa1de17U,     0xcce0a999U,     0x46d2df77U,     0x5c8b5438U, \
    0x658a4e0aU,     0x567ce572U,     0x997d75c8U,     0xbf971162U, \
    0x8ba79feeU,     0x4c688f08U,     0x6af59bd8U,     0xb8781dc4U, \
    0x41427f80U,     0xa1b7e4aaU,     0x85d11760U,     0xac335a7eU, \
    0x4f7d3853U,     0x97d44f0eU,     0x7f66fc8fU,     0x09adc42aU, \
    0x76d04fc7U,     0xae026bdaU,     0x01407b81U,     0xa61249a7U, \
    0xb01a0960U,     0x6c9e1835U,     0x0a5a10b7U,     0xd284ebd7U, \
    0x7c777e80U,     0xcf07763dU,     0x0b7ac5ddU,     0x7c0d7fe3U, \
    0x1abda44aU,     0xe462f021U,     0x6dfc069cU,     0xaca3432eU, \
    0x6252a0cfU,     0x197110fcU,     0xde3d4059U,     0xd2d00b15U, \
    0x44adcb5fU,     0xb6385f38U,     0xd5d6301eU,     0xaf05b011U, \
    0x72065b31U,     0xc9935e26U,     0x9cb755c3U,     0xf178fdafU, \
    0xc4a96d1cU,     0xe4e3ed39U,     0x74194822U,     0x4f77d998U, \
    0x7bdab96cU,     0x231b867bU,     0xb4808d3bU,     0x38b2a0aaU, \
    0x22e95acbU,     0x093f523aU,     0x50a0a4ecU,     0x63e80826U, \
    0xf19fe6bbU,     0x7485d184U,     0x3d6ed304U,     0x8a5cf218U, \
    0x59665425U,     0x08fb3d79U,     0x3d24ff26U,     0x6248c7d7U, \
    0x5e1e3801U,     0x7bf99964U,     0xf3bececeU,     0x302f24c7U, \
    0x555534c1U,     0x6bbed117U,     0xd652982eU,     0xf3e4d087U, \
    0x5924ab5dU,     0xf4c9b993U,     0xd89b640eU,     0x0cf164edU, \
    0xf55c2462U,     0x0f13119fU,     0xc6980cadU,     0xaafe8655U, \
    0x7bc6bcf2U,     0x852c03c7U,     0x9b7196baU,     0xb75f7de6U, \
    0x014687f1U,     0xe9a359a7U,     0x310cbf3bU,     0x56711ce7U, \
    0x3a9f10fdU,     0xd131cb39U,     0xb05d30f8U,     0x340117aaU, \
    0xb8a4ecfbU,     0xfe734a09U,     0x3d736e8dU,     0x8b53b92eU, \
    0x96f30e4bU,     0xc7b17b96U,     0x91178490U,     0x92367fbcU, \
    0x8b0749adU,     0xd22ffa77U,     0xeed57aa6U,     0xaccbd5eeU, \
    0x4d4c28fbU,     0x64a75013U,     0xbc86b8e9U,     0xb60b9050U, \
    0x549a2f60U,     0xf5e5afd7U,     0x7e180121U,     0xcff15114U, \
    0x7adc31a4U,     0xcb58f9c7U,     0x203a4756U,     0xcc705688U, \
    0x7404a617U,     0x49763985U,     0x594e26aeU,     0x73dbcfdcU, \
    0xda4f78eaU,     0x4dac2f4eU,     0x009fa941U,     0x4984014aU, \
    0x506c26a7U,     0x0e86d8faU,     0xb43d6f1eU,     0xdef7e53bU, \
    0xdf5a6614U,     0x72ca77c2U,     0xf91940ecU,     0x51da4a12U, \
    0xb19414f1U,     0x091f4b89U,     0x447c679dU,     0x05f8d6d5U, \
    0x32edf810U,     0x421d6cf1U,     0x71bc70d0U,     0xfa60afb0U, \
    0x32ca05baU,     0x9206db66U,     0xc2fa2c52U,     0xd1f5fc65U, \
    0x259e0937U,     0x08b4827aU,     0x9a428b6cU,     0x46f9f74cU, \
    0xe1b5fe21U,     0xeb97ae97U,     0xe9369d3aU,     0xcd73d23eU, \
    0xc0263677U,     0x4abd9fb6U,     0xc733e584U,     0x27da67cbU, \
    0xa21ab54bU,     0x01eee77cU,     0x86a292bdU,     0xa710d38dU, \
    0xbd061be3U,     0xea088e7aU,     0x193f8f54U,     0x29113791U, \
    0x361fc867U,     0xdb562f95U,     0x81286cadU,     0x4baa2f53U, \
    0xe014b533U,     0x25a3cd16U,     0x637454ecU,     0x0ef6cdfcU, \
    0x24607714U,     0x12d60befU,     0xcceaaaf8U,     0x4d637b25U, \
    0x36a2191aU,     0xf3c6bfb5U,     0x96f3bc22U,     0x09fe53acU, \
    0x0f66a125U,     0x3a454feaU,     0x50959d58U,     0x26e9dff0U, \
    0x533fda3eU,     0xaeba42a4U,     0xdb69b495U,     0x0f517071U, \
    0xd2d78077U,     0x39c1d6d6U,     0x476e982bU,     0xc95789d5U, \
    0x059d3620U,     0x7e4a8d2bU,     0xbd3ad498U,     0x73ef2f9dU, \
    0x1a97901cU,     0x26c6fcefU,     0x3d9b3751U,     0x0b72aaa5U, \
    0x489be046U,     0x66b1c8c6U,     0x8e29f3c6U,     0xffc9a5f7U, \
    0x75628d3eU,     0x044f0290U,     0x8da44ec1U,     0x1874f8e6U, \
    0x1dcba424U,     0x2f6b8cf0U,     0x1f76ccbaU,     0x54470e98U, \
    0xd4834db1U,     0x92e4ee7cU,     0xcfdfa5dfU,     0x20d8f019U, \
    0x055d0864U,     0x7689aeceU,     0x71ee9ae4U,     0xc702c650U, \
    0x858d6a8dU,     0xe0cdd3afU,     0xd7584039U,     0x25c04221U, \
    0x8583c615U,     0x76d1d488U,     0x849ebb6bU,     0xe63f0e50U, \
    0x39574117U,     0x59b73c69U,     0x1950ee64U,     0x127acae8U, \
    0x05f7814cU,     0xb3e671d0U,     0x020b34edU,     0x0d06868bU, \
    0xb52496d5U,     0xbdb259cbU,     0x795a70c9U,     0xc6f022a8U, \
    0x321c18c7U,     0xc0d7c60aU,     0x24e618c6U,     0x8877e015U, \
    0x6b37ce80U,     0xe53a2d89U,     0xd42bae59U,     0x741e542dU, \
    0x5811fdf6U,     0xd1542b03U,     0x4d38c725U,     0x7632c576U, \
    0xa5cbb06aU,     0x25d0b5ceU,     0xe6465002U,     0x90a1c5e5U, \
    0xd412d7d7U,     0x03f6afefU,     0xbd723051U,     0xa35e278bU, \
    0x7c957737U,     0xc6160a80U,     0x1f487c87U,     0xca3b7557U, \
    0x693728cdU,     0xe2954c27U,     0x0876a0f9U,     0x1acbb2d9U, \
    0xad01ab01U,     0x2dd5baa6U,     0x5d7f36a1U,     0x06914f88U, \
    0x0d411025U,     0xf63abfd1U,     0x2bf596b9U,     0x03a8bac9U, \
    0x810fe219U,     0xa2e5fd40U,     0xe9ed859dU,     0xd2c65c8aU, \
    0xe908b83fU,     0x953d7438U,     0xc70bca09U,     0x6d173867U, \
    0x07e2f103U,     0x6ccc9b0bU,     0xabc22c4eU,     0x2a416d40U, \
    0xd060e225U,     0x553b5e0fU,     0xf3ec72ffU,     0xd6cf64a1U, \
    0xdef89a83U,     0x3f1104d0U,     0xaa305209U,     0x8dd96598U, \
    0xf6736388U,     0x4ee34d51U,     0xe76b2b0fU,     0x0693d163U, \
    0xd66a4cb7U,     0x9718816eU,     0x1184208aU,     0xe345c09fU, \
    0x150b7f8eU,     0x518cb96aU,     0xe4b1107eU,     0x3cf5e88dU, \
    0xaea09e3fU,     0xe0866a88U,     0x7f10dd3aU,     0xbc337f39U, \
    0x95d0527cU,     0xbeb7e3e3U,     0x15b58911U,     0x1ba26edcU, \
    0x2faa090bU,     0x9c41232aU,     0x4029deaaU,     0x2a32dd8dU, \
    0x622b78c2U,     0xb21bbf58U,     0x6c726cceU,     0xd4103b21U, \
    0x2682669fU,     0x05e6dc9aU,     0xa8515dedU,     0x6f7892a1U, \
    0x909a7c43U,     0x0d861deaU,     0x528914c7U,     0x5e9da56eU, \
    0x0ad121d7U,     0xfb9a438eU,     0x16998f97U,     0x1e46982bU, \
    0x24d4d376U,     0xcd5d4102U,     0x88b74c50U,     0x60c66c9fU, \
    0xf26d2a89U,     0x54f0c436U,     0xf7b69e3dU,     0x336872b6U, \
    0x08729234U,     0xd1f7aed2U,     0x74c426c4U,     0x4c3edcdaU, \
    0xfd61f6a7U,     0x7949ce65U,     0x2b708b1dU,     0xc7f03a60U, \
    0x692d77a1U,     0x5aa691ccU,     0xb2384f8cU,     0x17f83db1U, \
    0x0d6e82c7U,     0x6523f53dU,     0x66a7fc5cU,     0x81f521ecU, \
    0x089e48deU,     0x6d0da0caU,     0xf2b1e5afU,     0x99414418U, \
    0xb484c7e8U,     0xafd3ef64U,     0xbc74cfa7U,     0x7512b98bU, \
    0x6a64bb91U,     0x3d1664c2U,     0x12cc82f7U,     0x36f42486U, \
    0xe2364c1cU,     0x652cf670U,     0x9b4e257eU,     0x19d91151U, \
    0xdb6fedbbU,     0x6b7bfeb2U,     0x68b8996fU,     0xbc04ba98U, \
    0x4fe6bc1eU,     0x35d69d7dU,     0xed4c5677U,     0x83e64527U, \
    0x5f435816U,     0x1aca27f1U,     0x697f3a4dU,     0xb9193a55U, \
    0x18986438U,     0x28f450c0U,     0x1d4b5294U,     0x629d3115U, \
    0xa84a47dfU,     0x8e9fd32cU,     0x92c3aa39U,     0x975f1644U, \
    0x4110f253U,     0xb81548aaU,     0xa3478355U,     0x5741ccc6U, \
    0xe9fc7530U,     0x30201188U,     0x64cfa450U,     0x86e32d9cU, \
    0x3c56283eU,     0x9f12be7eU,     0x84a47fc1U,     0xf99e46ddU, \
    0x511886eeU,     0xac43038bU,     0xb2f38454U,     0x0f444fb2U, \
    0x31d894d0U,     0x2861224cU,     0x2c7a1d09U,     0x59188cc2U, \
    0x92caca34U,     0x0480b3c5U,     0x9474e943U,     0x78b1ad10U, \
    0x21e75b40U,     0x796d48edU,     0x87446421U,     0xefeb233bU, \
    0xf5399ee7U,     0x2f5f6a76U,     0xb4c32a7eU,     0x81239015U, \
    0xd92e7a33U,     0xfb934eb0U,     0x69507f3dU,     0x79130927U, \
    0xdc4be986U,     0xacb3e509U,     0x3bfde5fdU,     0xa2f80898U, \
    0x2d00e93aU,     0x52bc7626U,     0xe9fb55f8U,     0x939c7da2U, \
    0xf55fba86U,     0xbd5c1bbbU,     0xb9eafdddU,     0x72d3084bU, \
    0x89280955U,     0x4196f334U,     0xa9cf0e5dU,     0x9cf8ea82U, \
    0x06429d7cU,     0xeb73dae8U,     0xd43ce4e4U,     0xfe33bec3U, \
    0x6211d84aU,     0x5b350471U,     0x5139d43cU,     0xfce0766fU, \
    0x92df9baeU,     0x18f0700aU,     0x275fc04fU,     0x3118f50cU, \
    0xf66114d8U,     0xacb54d25U,     0xf1c6436eU,     0x7ff7bb80U, \
    0x872bad3cU,     0x9ae7c025U,     0x9886f688U,     0xeefbc325U, \
    0xf7ba3d21U,     0x11f064a2U,     0xa39cf4daU,     0x8aba2763U, \
    0xc55e085fU,     0x697dbc66U,     0x231e5316U,     0xb4c18e16U, \
    0x858122d4U,     0x8ff31549U,     0xe4bd3eb1U,     0xe1b94badU, \
    0xc9c939ccU,     0xd9f1cef8U,     0x4b31ea69U,     0x21e3bebdU, \
    0x8ffd6754U,     0x1aa5ffe5U,     0xc29e693dU,     0xd8ed4c7eU, \
    0x78b278ecU,     0x119852eaU,     0x6de17932U,     0xb246679eU, \
    0x8191c187U,     0x5fec7ea3U,     0x5012426bU,     0x6bae9645U, \
    0x036d8bffU,     0xea1d9fd2U,     0xa3ab5fccU,     0x76e24212U, \
    0xda344342U,     0x4d984f16U,     0xd134cbd2U,     0x5567fe03U, \
    0x8aa967faU,     0x7d66a4d8U,     0x42c4529fU,     0xcc4b6388U, \
    0xd87bf4d6U,     0xfcc28132U,     0x1279b589U,     0xba5d8caaU, \
    0x3634a352U,     0x24e8b39fU,     0xfdddafbfU,     0x6a85b6bcU, \
    0x60f76c40U,     0xa7f9c366U,     0x7f155548U,     0xbc576f15U, \
    0x2c6f2123U,     0xf887a1c2U,     0x0822e598U,     0x4c02768eU, \
    0x757f2fbaU,     0xf2567e4eU,     0xd9cc5127U,     0x14793d5aU, \
    0xb35aa54bU,     0x5565f5c1U,     0x1ad9cbb1U,     0x6513fc60U, \
    0xc29fc77cU,     0xd41669fcU,     0x976d7359U,     0x54da13aaU, \
    0xdc68ebb6U,     0x237d2ac2U,     0xb8351a85U,     0x4223b278U, \
    0x80d76262U,     0x9f359d4fU,     0xa72f1dceU,     0x4c5d1dbfU, \
    0x7c92c418U,     0xfe331bdaU,     0xdf6b55baU,     0x75e7691dU, \
    0x38e56013U,     0x776e595eU,     0x207f77d4U,     0x685a80eaU, \
    0xe4ba79b8U,     0x7027df38U,     0x44e5c975U,     0x390f5807U, \
    0xa07b0ab8U,     0xdd09de65U,     0x269cfecdU,     0x60e008bbU, \
    0x2027d59eU,     0x55e1f3a9U,     0x20123effU,     0xf872f66eU, \
    0x1068c474U,     0xf9f4f371U,     0xf5286462U,     0x37bf96b4U, \
    0xa04805cbU,     0xa6d67033U,     0x91ee967bU,     0xf9774738U, \
    0xae8af39dU,     0x85b621ccU,     0xb6ac9239U,     0xb12f4fbdU, \
    0x0845d9aeU,     0xb4f42fbfU,     0x20d3fb6cU,     0x9daae544U, \
    0xadb8a5ffU,     0x23fa5682U,     0xe6e7c699U,     0xb4a84f2bU, \
    0x028db495U,     0x28486e0fU,     0xc1ed4f44U,     0x7ee316b9U, \
    0x61885358U,     0x986fbd19U,     0xbedcf98cU,     0xda3241c9U, \
    0xbc02349dU,     0x1b365d28U,     0x77b12f8fU,     0xfac64d73U, \
    0xd573946dU,     0x9de39703U,     0x14e8e433U,     0x2452f8b4U, \
    0x1ccced69U,     0x7462e08aU,     0x9a030ca3U,     0xcdc9a451U, \
    0xfe538aecU,     0xc1af088cU,     0xfda55ba2U,     0x760e48d5U, \
    0x0a9531d4U,     0x6a328d46U,     0xddde1f7aU,     0x1dec6536U, \
    0xf433c6e2U,     0x829bc284U,     0x0b5b7fccU,     0x0aa105eeU, \
    0x437017abU,     0xa28f39c8U,     0x13aee017U,     0xf6fde9cfU, \
    0x25a55f64U,     0xeeee090aU,     0x7358b135U,     0x66f57944U, \
    0x517faa11U,     0xbea8e151U,     0x261ceba0U,     0x23489126U, \
    0xc4d4316bU,     0x048dbc65U,     0x38eab200U,     0xdac1c7e6U, \
    0x1ce48186U,     0x6be2e4acU,     0xcb35ccc9U,     0x338f4fbeU, \
    0x3e4a6b53U,     0xe1420272U,     0xefecd16aU,     0x03d708c3U, \
    0xfde06846U,     0xc399b017U,     0xf64e0dd9U,     0xc76a86aaU, \
    0x477dfb50U,     0x707015edU,     0xf80be647U,     0xd82e871eU, \
    0xac3117bbU,     0x58d526c1U,     0x59523893U,     0x0ffcb7ddU, \
    0x1c8ff9edU,     0x5f3ea474U,     0xe3fca769U,     0x94263ae2U, \
    0x64610313U,     0x10a42ef3U,     0xf610c9a5U,     0x23264b4aU, \
    0x4f6ab4bcU,     0x4c7e2d3aU,     0x198a7098U,     0x06470db1U, \
    0xe5e825f5U,     0xe55cbda9U,     0x765f0ef0U,     0xb88b9da4U, \
    0x39072a6dU,     0xd6b9c703U,     0xa62ddbebU,     0x3803c835U, \
    0x269c7896U,     0x27cf96feU,     0xf93602deU,     0xbbad60e6U, \
    0xdb04b597U,     0xbbe2785fU,     0xb96e3f0cU,     0xf1858b93U, \
    0xaca50088U,     0x4f9671e7U,     0xafa7af1dU,     0x87250822U, \
    0xb68a1b54U,     0xa3d30499U,     0x2ad2e499U,     0x41c60e8eU, \
    0x90a11451U,     0xbcf35d6bU,     0x8c0631b3U,     0xabd5eda1U, \
    0xe0f65ff4U,     0x97ca74f9U,     0x832a63f6U,     0x793df96dU, \
    0x35a9c216U,     0x22f2351dU,     0xb93993a2U,     0x28d31e49U, \
    0xd665faa1U,     0x5836dcb8U,     0xe9fa700cU,     0x701f6e99U, \
    0xb8f44297U,     0x89daa9e0U,     0xba935d4aU,     0x04b29d7cU, \
    0xfb0ac615U,     0xc6daf462U,     0x9bfe603fU,     0xb4611b34U, \
    0x8f6f0940U,     0x8d0ab3acU,     0x4d8b8bcfU,     0x07637baeU, \
    0x0e271650U,     0x3701ef94U,     0x6394c733U,     0x074a1d75U, \
    0xa3c50a22U,     0x8eab47ecU,     0x6a588b4bU,     0xce93849fU, \
    0xb55e08cfU,     0xea6778e6U,     0x10aa60c2U,     0x04d337dcU, \
    0x9c5d9439U,     0x32f07de8U,     0x002606d1U,     0x6c327f44U, \
    0x11df95fbU,     0x3368b824U,     0x72a3c8feU,     0xcc04f393U, \
    0xfa7d2dcfU,     0x44bb6d10U,     0x7a9fa913U,     0x4086bdd8U, \
    0x2136fbc7U,     0xe294942bU,     0x205a2d2eU,     0xc2281025U, \
    0xe70361adU,     0x33dce470U,     0x45836097U,     0x05ab26edU, \
    0x208a2ba7U,     0x19561551U,     0x495e4f95U,     0x2a24c296U, \
    0x9fbb976bU,     0x6a4dea57U,     0x9e50a6c6U,     0x2edef683U, \
    0xa957213eU,     0x1fd8c984U,     0x10b0f765U,     0xfbc8f184U, \
    0x5f77085fU,     0x0c43e39aU,     0xfcbf1d8aU,     0x86246ff1U, \
    0x43148e3dU,     0xd280b1aeU,     0x0bda84a2U,     0x0405a28eU, \
    0x0d01465fU,     0x786f2563U,     0x66083f3dU,     0x8c9f4cdcU, \
    0x8dd5b721U,     0x863603bfU,     0x757b5544U,     0x131547acU, \
    0xe2a04723U,     0x2c180940U,     0xa315b862U,     0x616f6d7dU, \
    0x515673deU,     0x27d49011U,     0x19451a3dU,     0x4f5216d3U, \
    0x15fdeb84U,     0xfce6a0d9U,     0x558292d2U,     0x012b9e70U, \
    0x4e9ec10aU,     0x0fd2c0c3U,     0xb28d50acU,     0x22969c9dU, \
    0xe772f951U,     0xffb7f517U,     0xadfb2286U,     0x81e127c1U, \
    0x02e7d008U,     0x1d461105U,     0x55122711U,     0x4f2998b7U, \
    0x1447c7c6U,     0x9b05ee43U,     0x800d65f9U,     0x1425f550U, \
    0x9d438a73U,     0x020c1f22U,     0xad19862bU,     0x80ff5e29U, \
    0x85dfd2e7U,     0xbef1d3dfU,     0x1e6330e0U,     0x6c76aafcU, \
    0x05f18aa0U,     0xe083bdc9U,     0xbddfcd30U,     0x88039f84U, \
    0x41527ebaU,     0xfed6d3c1U,     0x8d2d34a7U,     0xe23d32f7U, \
    0x2dd3598aU,     0x0816fa16U,     0x21a4bae8U,     0x37a4fb10U, \
    0x673491b4U,     0xbf1e08d8U,     0xa1e76ff5U,     0xa8bfb7e8U, \
    0x46fde09bU,     0x02ba4df5U,     0x4e9e8354U,     0x1ebcb35eU, \
    0xeb32db0eU,     0x0a08261bU,     0x851540b9U,     0xd28d852fU, \
    0xb56c3f62U,     0x413d6f53U,     0xfb5e7d00U,     0xcbcc17c6U, \
    0x1aa16aeeU,     0x974b4981U,     0xa7f6d59bU,     0x51fac027U, \
    0xf80531ccU,     0xced8dc99U,     0xa3d10005U,     0xd8d13642U, \
    0x5fed8434U,     0x2ae95a01U,     0x4ae8e0c2U,     0x1b1e8465U, \
    0x2d2ffc6dU,     0x70d8a951U,     0xb7c5efc8U,     0x71f17344U, \
    0x1f9fc6c2U,     0xef8f61c1U,     0xf00185d9U,     0xaebd618bU, \
    0xbcec1e8cU,     0xd9fb2da4U,     0x449826f4U,     0x9186e584U, \
    0xddfb9ef2U,     0xea22e371U,     0x666a7949U,     0x503fa86aU, \
    0x67224652U,     0x44fb841cU,     0x95c99f20U,     0x175ce397U, \
    0x7604702eU,     0xa04c0b3fU,     0x24f38a3cU,     0xb7720ca8U, \
    0x690eed87U,     0x5ebaa248U,     0x036ccb08U,     0x358b24d7U, \
    0x06d5ddedU,     0x65103469U,     0x6fb5c1a8U,     0xeed1d98cU, \
    0xb2e371f0U,     0x1c626bb6U,     0xae8acb10U,     0x4148c898U, \
    0xdac85099U,     0x8d386adfU,     0x09ef0208U,     0x79c1c2d8U, \
    0xdbb8a0e9U,     0x6fb89cffU,     0xbca397a4U,     0x74dddcf9U, \
    0x40987b7fU,     0x854ce4f6U,     0x67306945U,     0xa06e4697U, \
    0x25173c3dU,     0x33c44df9U,     0xab9154bcU,     0x9b4085e9U, \
    0xb6bf9354U,     0xca5f645bU,     0xa72ef0a0U,     0xbc30cb88U, \
    0x31b8a1b8U,     0x6f9a77a6U,     0xd2e880c3U,     0x7148fa2aU, \
    0x2375ca5aU,     0xbdee03a1U,     0x4ef25898U,     0x6ea9a14eU, \
    0xf1dab342U,     0x7b60df6aU,     0x9431fb2eU,     0x9b000ce6U, \
    0x1c86983cU,     0xaeafc6b4U,     0x85f0ec83U,     0xebf419c2U, \
    0xe6a6a889U,     0x8bc99960U,     0x97111748U,     0xc08fc72dU, \
    0x9a298f8dU,     0xc17e6ab1U,     0xb6f46f68U,     0x5f9482b4U, \
    0xa4ea63c9U,     0x5052a8e0U,     0xdb5fcc5eU,     0x0ee4db97U, \
    0x0cb3019bU,     0x545ba7c3U,     0xafd1a719U,     0x2b1a334fU, \
    0x72a8abbcU,     0x9ab05283U,     0x26e7c583U,     0x8c2098eaU, \
    0x9fbefc38U,     0x92076c1fU,     0xfd6b7aa9U,     0xe484c125U, \
    0x971716e6U,     0x1c1bbc14U,     0x85ed0354U,     0xed8e056bU, \
    0xa0ae4befU,     0x0b24cf0fU,     0xe8232df2U,     0x48372976U, \
    0xc3c89134U,     0xba207c9aU,     0x44baf9d9U,     0xa8761fd7U, \
    0xcec131ebU,     0xa427e73eU,     0x3dc8553fU,     0xf3771290U, \
    0xe10fcfe7U,     0x12c3308aU,     0x5687bc23U,     0x30328464U, \
    0x898412a7U,     0xba737b8aU,     0x864b2be7U,     0x24e60b46U, \
    0x82613b74U,     0x52f259c6U,     0xd2082e45U,     0x88cb9b8dU, \
    0xa51fa797U,     0xec51f663U,     0x1d5b2a76U,     0xdf7579e0U, \
    0xdb457630U,     0x6b9cd3b9U,     0x9ce13f41U,     0x1a25f450U, \
    0x8c33c476U,     0xe00e5a78U,     0x520d38beU,     0xf006a075U, \
    0x70e3f798U,     0x3cd5e107U,     0xda78f942U,     0x6d67d955U, \
    0x9cd6b3b2U,     0xdc222c7dU,     0xce708259U,     0xc940cb32U, \
    0xdeb6833fU,     0x8afb8008U,     0xf60bdbaaU,     0xf5985465U, \
    0xe10e97f0U,     0x01903f75U,     0x4ca888dcU,     0x91b5361dU, \
    0xee803723U,     0xfda26cecU,     0x08f6d61dU,     0x535f0508U, \
    0xe57fbfd2U,     0x9ebc91fdU,     0x348466a6U,     0xa24fa627U, \
    0x742b01c6U,     0xb6454ad6U,     0x4952ecd1U,     0xb0fb4a2fU, \
    0xbce23152U,     0xf5013d3fU,     0xeef04b93U,     0x3457f06cU, \
    0x9258dab2U,     0x4e060286U,     0x529e4294U,     0x96e7f4c9U, \
    0x06b735b0U,     0xb2085312U,     0xce96fe65U,     0x85790679U, \
    0x8ed88fbbU,     0x5a720516U,     0x14010529U,     0x07ae2304U, \
    0x97b8e626U,     0x4e97de9fU,     0xf6bc4a23U,     0x740ef667U, \
    0x2232e720U,     0x1b935895U,     0xd9e81e08U,     0x203523a6U, \
    0x62ad296dU,     0x20c1a5aeU,     0xa1a33690U,     0x35e210c5U, \
    0xecbc0563U,     0x991945d8U,     0x5def8ff6U,     0x0f4cc441U, \
    0x0cb0f834U,     0x154bbb78U,     0x66ab0fe9U,     0xe262ec81U, \
    0xf26bc486U,     0x28777cfeU,     0x89b8ac45U,     0x5b134b00U, \
    0xb60a59bcU,     0x4b85978cU,     0x6390d756U,     0xe2791780U, \
    0xc502fa8aU,     0xaa83f4f6U,     0x7d754537U,     0x0848c305U, \
    0x4680b607U,     0x99ae3784U,     0x689fe9b8U,     0xff565f3cU, \
    0xb1329f02U,     0x2764d085U,     0xfd4ead6eU,     0x63d75471U, \
    0x6406df59U,     0xd5784104U,     0x471f1b9fU,     0x695e2336U, \
    0x2215a405U,     0x9d737261U,     0x42d8c2deU,     0x16dcb5f2U, \
    0x79382cc9U,     0xa63f0704U,     0xd9231a76U,     0x59cda178U, \
    0xf332f591U,     0xa8ae9985U,     0xb747ff36U,     0xc9ac2fbcU, \
    0x7022b33cU,     0x42b9673fU,     0xd720b44fU,     0xf81989f2U, \
    0x8bdf434bU,     0x91bf07fdU,     0x4ab739c6U,     0xf4404d01U, \
    0x8cbffdf2U,     0x6ab46311U,     0x62027cebU,     0x901f395aU, \
    0x0344f0eaU,     0x77450831U,     0x3cb608baU,     0x60463c37U, \
    0xd4cc7aa7U,     0x997e70d7U,     0x6afa424eU,     0x43e265d9U, \
    0x973aec5cU,     0x52a88ffeU,     0x24e888faU,     0x578e657dU, \
    0x4d70a748U,     0x02748d47U,     0x4caa6cb7U,     0xa4a8ff21U, \
    0x948e99bcU,     0x971b2056U,     0xec24574fU,     0x7b0ecd1dU, \
    0xa84c86ffU,     0x5c4f7425U,     0xb64b9fd9U,     0xb6c1692fU, \
    0x81dd9252U,     0xa29f062fU,     0x8cd0e84aU,     0xc554811dU, \
    0x4374832aU,     0x2fdee477U,     0xe5650a8dU,     0x45f117d7U, \
    0xbcc94009U,     0xc5d2a6abU,     0x4946b236U,     0x7b6ab804U, \
    0xece10f54U,     0x8f258675U,     0x2fae9ef3U,     0x0f32a249U, \
    0x5fec8b1fU,     0xebcc33ddU,     0x5c75c042U,     0xd7da646cU, \
    0x8835dc5fU,     0x6f90d2adU,     0x4e50d94cU,     0x9e4bc197U, \
    0x2bf77409U,     0x910a8f22U,     0x4f694dd2U,     0x0e6771c3U, \
    0x3134616aU,     0x90c6397cU,     0xde6eb484U,     0xd9540c5bU, \
    0x5af91c82U,     0x971c86fbU,     0x33a2685eU,     0x259e74c6U, \
    0x21016ba9U,     0x6bfb2ec2U,     0x5bc730b4U,     0x9bd11af3U, \
    0x03432d0dU,     0x55b81e6fU,     0x5e1e0aa8U,     0x775006d4U, \
    0x3a8786cdU,     0x05f34275U,     0xd0b8ec61U,     0xcb679363U, \
    0x5fee4f3aU,     0xd42e3191U,     0x859f4fcdU,     0x2eb1cc28U, \
    0xf8c21e36U,     0x9b2ee162U,     0x30c1a223U,     0x98c803e6U, \
    0x024b9b78U,     0x0c9317b5U,     0x8d4f22a5U,     0xbae491deU, \
    0xed8992e1U,     0x37c7e817U,     0x66bf91acU,     0xe799c174U, \
    0xf9086501U,     0xc796c38eU,     0xaca98b64U,     0x93c72710U, \
    0xb7738c61U,     0x66e2c505U,     0x6bc30302U,     0x048f9b30U, \
    0x12f23ac4U,     0x0339a9e5U,     0xa4f5ec11U,     0xec999a85U, \
    0xb198735fU,     0xbfba1425U,     0xf9e48f2bU,     0x1a6bd9c2U, \
    0x8b0b1420U,     0x68d70a28U,     0xf610db11U,     0xc38c3485U, \
    0xf1160264U,     0xca9e72fdU,     0x375d100fU,     0x6cf41679U, \
    0x7065cc25U,     0x20f11d13U,     0x9916faf3U,     0x9b1061c6U, \
    0x271fc0bdU,     0x4d34f908U,     0xfc05ee18U,     0xee6c4b6eU, \
    0xe2b59517U,     0x30cfa62fU,     0x8813193eU,     0x81e7d94dU, \
    0x705ded9bU,     0xebc46fcdU,     0xd5d5b849U,     0xdffd0a13U, \
    0x4f34d075U,     0x91be2db5U,     0x4edc732cU,     0x103806fbU, \
    0x7acd1c46U,     0xf4478d59U,     0x7274c9eaU,     0x937d680fU, \
    0xdb2b36f0U,     0xa770757bU,     0x1565130eU,     0xc712fdf5U, \
    0xc2b87aa2U,     0xf1302956U,     0xef2374b8U,     0xaac1d33bU, \
    0x6dacc37eU,     0x12410604U,     0xffc5bd8dU,     0xc551e643U, \
    0xab7bdbe1U,     0xbc6c157aU,     0xe66dca15U,     0xe20253f1U, \
    0xaf7eca68U,     0x052d5894U,     0x88818726U,     0x0cf80c65U, \
    0xb7ea046fU,     0x0c4257d9U,     0xc1f8288eU,     0x8370eadaU, \
    0xb2112930U,     0x66cb7c97U,     0xdee0fe02U,     0x5743f085U, \
    0xcf7c14beU,     0xf181bb87U,     0x2bdca079U,     0x90221a69U, \
    0x51a2b612U,     0x26beab52U,     0xe36b36d0U,     0xe0a0ab63U, \
    0x95919b94U,     0x30cfe7bcU,     0x797b935cU,     0xed3ff3e5U, \
    0xf63a7e16U,     0x325a3519U,     0xa4235c1aU,     0x6fd57536U, \
    0x73ff67bcU,     0x85dbf4a8U,     0xf314f57bU,     0xbd04f1daU, \
    0x3c5d284cU,     0x2f0829d2U,     0xa759b01cU,     0x7ecf7cc9U, \
    0x52ca04bfU,     0xa311c177U,     0x75d2e6b3U,     0x429951e3U, \
    0x61250991U,     0x0ea09c7cU,     0xa74a5fb3U,     0x9c6a3ce1U, \
    0xa2e63d60U,     0x1ee2c5d7U,     0x9349260fU,     0x6eceb1f1U, \
    0xc80dde63U,     0xd155f681U,     0x8e0c15d6U,     0x5c82f805U, \
    0x84559c9fU,     0x0ea20374U,     0x6f3991e1U,     0x80d197a4U, \
    0x9223baebU,     0x1f7552fbU,     0x300e7c52U,     0x8ec9a5a2U, \
    0x3751faa7U,     0xf980e42bU,     0x7fd36587U,     0x60541d17U, \
    0x62188f30U,     0x465a5479U,     0xa3ef955bU,     0xa0da4c56U, \
    0x05def1f7U,     0x94405bbcU,     0xbe15fae7U,     0xe1e3a7e1U, \
    0xbed0e08eU,     0x525a223cU,     0xf0717c79U,     0x5956363fU, \
    0xd5babcb1U,     0xaadbdb12U,     0x453fdc95U,     0x83ee61c8U, \
    0xf406232aU,     0x0b6667b8U,     0x5be72909U,     0x93989582U, \
    0x00f342a4U,     0xf37dc813U,     0x263192adU,     0xdd9a7848U, \
    0x2d07f5a5U,     0xcb6a553fU,     0x445ad660U,     0x9d3d8c30U, \
    0xba361fe7U,     0x079eb8a3U,     0x7ffb55dfU,     0xd97a4650U, \
    0x2078cf88U,     0x636ed734U,     0x07da552aU,     0x92e56f48U, \
    0x3dc2fb7eU,     0xcf39d8b5U,     0x7349cea2U,     0xfced2ce6U, \
    0x1dca3bffU,     0xe634b967U,     0x0f16a4fcU,     0x1bde5499U, \
    0xa51edd41U,     0xe31e5aecU,     0xa1246a0dU,     0x4bd16330U, \
    0xbfa96e57U,     0xb485d4e3U,     0x7afd4aadU,     0xb57b6e9eU, \
    0x8f082fe5U,     0x9cb84a43U,     0xfdc962bcU,     0xa6a3e0ffU, \
    0x2156deb4U,     0xedabeb08U,     0x08d16151U,     0xce2e8cf7U, \
    0x40988a6fU,     0x7e83f28dU,     0x7ec683b1U,     0x38db58aaU, \
    0x7c87e065U,     0xe03ed3eaU,     0x9d25e660U,     0x55fba0dfU, \
    0xa9da14d6U,     0xde83dd5bU,     0xd79523d6U,     0x2f10dc5cU, \
    0xd6046189U,     0xef5836a1U,     0x0303e304U,     0x33531cf6U, \
    0x8c23f57fU,     0xa66b9e1eU,     0x13006fb4U,     0xf56d3505U, \
    0x7ac52999U,     0x5b3fc22fU,     0x3eaecf4eU,     0x3ecedec1U, \
    0x9b2fada6U,     0x5bb51bb8U,     0x547769baU,     0x7742c3d1U, \
    0x169a93aaU,     0x3fb4077eU,     0x325aed35U,     0x30413e45U, \
    0xd26dd462U,     0x881ea4daU,     0xf67f76c0U,     0x6ab006a9U, \
    0x834b62c5U,     0xece60fe8U,     0x46c31bb4U,     0x970241bcU, \
    0xabb15b77U,     0x5975762cU,     0x6763a074U,     0x222f0eacU, \
    0x31be80d5U,     0x945f9711U,     0xb2703f3eU,     0xfce56bd6U, \
    0xe4693aacU,     0x6febda9aU,     0xf9ebaac3U,     0xa35b3fc6U, \
    0x0224cb30U,     0x9525a15bU,     0x20cf9045U,     0x32e9f940U, \
    0x92d09120U,     0x2a688565U,     0x2ce2af2aU,     0x85bf2270U, \
    0x4370296cU,     0xb9e8504dU,     0x89f6230bU,     0x85fcd9f8U, \
    0xbf49088dU,     0x71fa689fU,     0x3728cd4eU,     0x3826cdb5U, \
    0x04dc4276U,     0x023f51fcU,     0x00cd6721U,     0x4eb014e2U, \
    0xff1cad1eU,     0x7253be54U,     0xa55b857eU,     0x9d096117U, \
    0x94f5eac4U,     0xa4f4ad5bU,     0xf3e0667eU,     0xd3225569U, \
    0xd1353ff1U,     0x1ef18517U,     0xfadfcba9U,     0x61d9b06dU, \
    0x259168a5U,     0x9e35bf6dU,     0xd5b8669bU,     0xd7ad174fU, \
    0x80eb5169U,     0xb68ad817U,     0x22fa6d48U,     0xf25da0f7U, \
    0x9110fa33U,     0xc622f491U,     0x047b4043U,     0x3e45982bU, \
    0xd18cc4e6U,     0x652143a6U,     0xf0bfb03dU,     0xb54fec49U, \
    0x7b3d7be0U,     0x641a1af5U,     0x814ef13aU,     0x0eb74d0eU, \
    0xcbf4fb3aU,     0x1b2244ccU,     0x9dd8dcebU,     0xc2376a64U, \
    0xeab115daU,     0x62e20ef5U,     0x53a1b812U,     0xde790ecdU, \
    0xefe82eb2U,     0x36883209U,     0x2424a482U,     0x23cddbdbU, \
    0xce22f420U,     0x8d2a82dbU,     0x75e406b0U,     0xa7931a6eU, \
    0xbf83c7bcU,     0x28a0bacfU,     0xe3c1a873U,     0x4b2b2304U, \
    0xf3360ae5U,     0xd767b51cU,     0x549c3a2cU,     0x05ba564dU, \
    0x6eb6eaa5U,     0xf8673051U,     0x5ddc74c8U,     0xdf86891aU, \
    0xd6b4372cU,     0x5b60ed12U,     0x7445bba0U,     0xab617189U, \
    0x5eef77fbU,     0x4c6a036aU,     0xd5469069U,     0x04c5c70cU, \
    0x597fb935U,     0x6a4d7514U,     0xc5c69738U,     0xe7407966U, \
    0xd5e05a52U,     0x84cbef31U,     0x62fcd7efU,     0x3a80bcb9U, \
    0x2e2a1ad3U,     0x33378ad0U,     0x6cea8660U,     0x0d147122U, \
    0x7e1eb7ecU,     0x7db83c07U,     0x81f3adc7U,     0xcc30011dU, \
    0xf44be1b2U,     0x40026108U,     0x7e38c94dU,     0xc5d1e12eU, \
    0x255b350bU,     0xc19fddd5U,     0x4ed9d5c2U,     0x8c5c92f6U, \
    0x87910a05U,     0x696559a7U,     0xbe362d7dU,     0x3e227ac8U, \
    0x692fba5dU,     0xc7a7a076U,     0x88fd9383U,     0xfb9a6030U, \
    0x3e246600U,     0xc52328b9U,     0x818f0956U,     0x1da989b4U, \
    0xceaf6fedU,     0xf5925efeU,     0x7a099393U,     0x7edb4e17U, \
    0xb634ac29U,     0xa58b8bffU,     0x21240154U,     0x5cc510cfU, \
    0xff181655U,     0x2e78c107U,     0x15244603U,     0xb46d94deU, \
    0xadc12c41U,     0xddb0ccf6U,     0xfbe4f066U,     0xdcf2c701U, \
    0x0c5412d7U,     0x36160b93U,     0x0e2f8493U,     0x89c820bfU, \
    0x46b24f7bU,     0x8e4afd47U,     0x14bace02U,     0xab1431e0U, \
    0xbcd5aa97U,     0x80f77663U,     0xea97e3f1U,     0xe492304cU, \
    0xf704512dU,     0x637f3657U,     0x917f1c8cU,     0x8e3fe2e7U, \
    0x0a9546ddU,     0xe5396475U,     0x7c17c0deU,     0x8f003419U, \
    0x73b42e91U,     0x4bc37d9cU,     0x57125ef6U,     0xe9a2b3f1U, \
    0xe49a74deU,     0xc48886c7U,     0xe11005eaU,     0x49905d42U, \
    0xfd2ed1abU,     0x9d076693U,     0x190390ddU,     0x723a0ab5U, \
    0x3aeae5c3U,     0x866009a4U,     0x98e223e0U,     0xd1dc9603U, \
    0x85542ff1U,     0x2a6cabd5U,     0x63e19896U,     0xb8751d95U, \
    0x76cbd3c5U,     0xacbf75afU,     0x9e8cb419U,     0xa0a94a1eU, \
    0x313ea287U,     0x862b11b4U,     0x4d625712U,     0x75404f0bU, \
    0xcae45902U,     0x560e0b0dU,     0xbf689db2U,     0x497a381cU, \
    0xf6eec5d5U,     0x0e9db418U,     0x27f5e434U,     0x62506f99U, \
    0xd57d9f0dU,     0xcaab7719U,     0xa4373d1dU,     0x8557b9edU, \
    0xe3259f8cU,     0xa207a4d5U,     0xafc474d5U,     0xd22f95fdU, \
    0xbfb58a03U,     0x36c83d22U,     0xafe73bbeU,     0xfa84148cU, \
    0x267b4f52U,     0x06cd0004U,     0xac775fc5U,     0xde9e285fU, \
    0x2f37f0d1U,     0x065911daU,     0x34785807U,     0xa9fd14e5U, \
    0x07324f5cU,     0x25bd28a1U,     0x46f22402U,     0xbd011725U, \
    0xbecbd1eeU,     0x66a2fe47U,     0x980ef295U,     0x732dee90U, \
    0x7698e499U,     0x10a5cb42U,     0x023de4fdU,     0xe96ccd3eU, \
    0x30a371d8U,     0x187dad5cU,     0x92a0888aU,     0x2d0cff91U, \
    0xb636c4b8U,     0x123f958aU,     0x71d56c35U,     0xc6f1aa99U, \
    0xc49c010aU,     0xea0e62f3U,     0x2120a269U,     0x2293951dU, \
    0x5331b406U,     0x8a4c30e2U,     0xcb054d72U,     0x72dbad3cU, \
    0x2d26e35dU,     0x89d9d885U,     0x4b8686e0U,     0x67db91cbU, \
    0x4b2c8649U,     0xfbafc704U,     0x39a2c9eeU,     0x9738fcdbU, \
    0xb9d4b043U,     0xe1ee1c6eU,     0x10890b30U,     0x1f0a5cd8U, \
    0x9b1411c5U,     0x97831f75U,     0x470c6d62U,     0x946a7690U, \
    0x4fd58ad7U,     0x9cea3560U,     0x2f35a63eU,     0x05fb6c97U, \
    0x30583f2eU,     0xd3f16894U,     0xbdf0c9e3U,     0x951b155eU, \
    0x6dff9e6dU,     0xbc77cffdU,     0xe248f765U,     0xa8579296U, \
    0xcb321d46U,     0xed309a9dU,     0xa3cf4288U,     0xc2bc6321U, \
    0x4b4d600bU,     0x2b232b9bU,     0x7c09b1d6U,     0x72dbb826U, \
    0xde38b42eU,     0x81ffdea4U,     0x1f4b38c5U,     0x7ba96620U, \
    0x909a0f14U,     0x5290caeaU,     0x36c44622U,     0x3017c812U, \
    0x2fd63321U,     0xbe72d842U,     0x18cd6048U,     0x731595c7U, \
    0xb6e0c4ebU,     0xce9a8240U,     0x0aa92229U,     0x28c812b9U, \
    0x174c7a99U,     0xb038a6eeU,     0xf18fbdeaU,     0xc6d1275cU, \
    0xd5832eaaU,     0x5bb66f42U,     0xaca8079aU,     0xa3cf3c10U, \
    0x28cd3ed1U,     0x42b81d1fU,     0x2dad8981U,     0xf33421a4U, \
    0x9c54cb30U,     0x40a53a74U,     0xa390a2afU,     0x3abb4d47U, \
    0xbc0764afU,     0x1bb767d1U,     0x730bdcfdU,     0x65ebbc39U, \
    0x1c91fff6U,     0x51971ba5U,     0xedb6aa42U,     0x9474994dU, \
    0xeb628767U,     0xbce72645U,     0x2ee35dfeU,     0xec5581aaU, \
    0x318050b8U,     0x9803afaaU,     0xe6b689f3U,     0x9c9db191U, \
    0x1cd4e616U,     0x751a6629U,     0xb3a32529U,     0x9c8f8747U, \
    0xf2a193f8U,     0xa38d52a0U,     0xdef9e76dU,     0x7eae4c9aU, \
    0x3065a113U,     0x2beb08f0U,     0x401e5c45U,     0x47ed6da9U, \
    0xe4a0ab1fU,     0x00010d2bU,     0x0eb91e61U,     0x75373037U, \
    0x9271ff7bU,     0x8639764fU,     0xaa0e7d6cU,     0xff00240aU, \
    0x944ad5b4U,     0x15841c6cU,     0xa180d587U,     0x959c34e3U, \
    0x54e8fb13U,     0xa9d93d17U,     0x9a1e81b6U,     0xe762ee5eU, \
    0xf444c580U,     0xae2bf699U,     0x0404d2aaU,     0xde207ca9U, \
    0xec53f918U,     0x28ed2321U,     0xb8d2915aU,     0x26b0066dU, \
    0xebb5442bU,     0xd026c780U,     0x367adee5U,     0x691ffd1bU, \
    0x86817205U,     0x4deb8ab7U,     0xa8577c3aU,     0x682a4496U, \
    0x64fc5e3aU,     0x74731e22U,     0xf11e349aU,     0x3c5290ceU, \
    0xc2535c79U,     0xbff396beU,     0xcd18170cU,     0xb17a82beU, \
    0x2ca9d8adU,     0xd510e00aU,     0x5f4b75bdU,     0xb2168111U, \
    0x5276a43dU,     0xd39dde91U,     0x41e48f88U,     0xafd4ba6cU, \
    0x230dd8c8U,     0x0a950e9cU,     0x0faf695bU,     0xbc399b91U, \
    0xf170a8b1U,     0x5ba3546aU,     0xed9001ccU,     0x52ac346dU, \
    0x4c8450abU,     0xf84a8088U,     0x54fe37bdU,     0x06fe4938U, \
    0x4f09fb22U,     0x23547e87U,     0x3b84155bU,     0x5705dbb7U, \
    0xf5741f75U,     0xe1ae4eb2U,     0x1aba6551U,     0x3483abaeU, \
    0xa80994a8U,     0x0bbb7d57U,     0xc3da973fU,     0xb576ec9bU, \
    0xd4bcc312U,     0x6388ad69U,     0xade2f61cU,     0x582d3d7fU, \
    0xa7a50cf3U,     0xf7463ac3U,     0x64530a0dU,     0x74e4af72U, \
    0xc2a7d66aU,     0xb8cd3272U,     0xc4b56626U,     0x6f2741f6U, \
    0x38dc459cU,     0xa2d043a7U,     0xd2ebeda4U,     0x2bae56f5U, \
    0x6bee3902U,     0xb290ca3cU,     0x439c7660U,     0xb9a8a868U, \
    0xc103cb84U,     0x371c30e8U,     0x3cd8ea9eU,     0xe801073eU, \
    0xfbdddb31U,     0xf56f8150U,     0x6aa37544U,     0x1cdde397U, \
    0x58234eedU,     0x30a63cdaU,     0xb86b4412U,     0x9c4631ecU, \
    0xfcf8b8cfU,     0xad88b2fdU,     0xf69c83ebU,     0x3d31c15bU, \
    0x3ea7aafeU,     0x1ad1c490U,     0x768cd99fU,     0xc626344dU, \
    0xc4274692U,     0x5ef167ecU,     0x422a3ae1U,     0xc01f13eaU, \
    0x363bc6a4U,     0x0ed03347U,     0xb5a8a448U,     0x7c3af996U, \
    0x931a1d36U,     0x9b2e30a4U,     0x3b0c8a7aU,     0xbc96cdadU, \
    0xa502441aU,     0x3b88f9b9U,     0x775dd327U,     0x250e463dU, \
    0x3b78cf88U,     0x55d080f5U,     0x6bf0f8f3U,     0xecf5f25eU, \
    0x08af10ecU,     0x1e821f3fU,     0xe195aabcU,     0x782f9c8dU, \
    0x5a5fe18aU,     0x981b88bdU,     0x22693d69U,     0x659ee90dU, \
    0x91815471U,     0x1b6cf3f1U,     0x71046ca4U,     0xc13210a1U, \
    0x35105cd6U,     0x55fdf181U,     0x20ad0b6fU,     0x4469463fU, \
    0xcf815db1U,     0x6fe3ee2aU,     0x325fd65fU,     0xf3b7fc3bU, \
    0xcbbb062cU,     0xb5e105ddU,     0x3327fed2U,     0xaf997122U, \
    0x2cc5ac94U,     0x73f938d8U,     0x493bc021U,     0x72882395U, \
    0x579420a5U,     0xb08316b2U,     0x0542a938U,     0x9f4c3d85U, \
    0x9c7b1ef2U,     0x848934f0U,     0xc0656c6aU,     0x933abcb9U, \
    0x34e4e3f4U,     0xceedeac2U,     0x1439092cU,     0x7b3f8b7eU, \
    0x41408e8bU,     0x5da0cd75U,     0x68e5fcf8U,     0x91a0274dU, \
    0x844c90c2U,     0x27054682U,     0xb3123b53U,     0xc48da2b2U, \
    0xad4527a3U,     0x06a144eeU,     0xc24a23c7U,     0xb7c2d1bdU, \
    0x741cec22U,     0x8b80acc9U,     0xb292fa8cU,     0x3b3b1816U, \
    0x768c418eU,     0x70181fb0U,     0xeeea1474U,     0x263709dfU, \
    0xebc66f17U,     0x83c73d88U,     0xc910bc3dU,     0x68623042U, \
    0xffd1ca95U,     0x878cbfb0U,     0x423c97f8U,     0x3e704522U, \
    0xd0a5f30cU,     0xfd7612d1U,     0x746464dfU,     0x6666b7c7U, \
    0x3ba9cc15U,     0x56097a3cU,     0x5d251f3bU,     0xb25beb75U, \
    0x9373bb69U,     0x32efa740U,     0xc5169a46U,     0xb33558aeU, \
    0x457d3883U,     0x26dd4c21U,     0x03d67b75U,     0x628e18e1U, \
    0x1e899379U,     0x8828d470U,     0xbbe86b8fU,     0x5136c7ccU, \
    0xe81e0dcdU,     0x8b1956e6U,     0xfb033422U,     0xdc8dc83fU, \
    0x33722055U,     0x559abba4U,     0xbbdf41f8U,     0xc423eb25U, \
    0xc32a39f5U,     0xd0d01b3bU,     0x983f158aU,     0x5f52afdaU, \
    0x58500c36U,     0x62eec059U,     0xc75d298eU,     0xad272d57U, \
    0x1529c104U,     0xba77091fU,     0x0a6723e2U,     0xa28b5097U, \
    0x569f6150U,     0x7b239e7dU,     0xf5f800fdU,     0xbfb2ace2U, \
    0x81c6b678U,     0xff988bf5U,     0x86397a51U,     0x3d7eb3e4U, \
    0x62666b5fU,     0x13b74a21U,     0x2df6f93eU,     0x82f2cd87U, \
    0x6a0ada91U,     0x0ee113b8U,     0x5bf3e0a5U,     0x75d497d4U, \
    0x3eff4e88U,     0xed7c25efU,     0xae9507c1U,     0xd04307a4U, \
    0x0c4e832dU,     0x9f9d339cU,     0x632b6bfbU,     0x97a66959U, \
    0x1dd68828U,     0x6a01f57dU,     0xca0c9065U,     0x9f9bc9ffU, \
    0xc5e7d33fU,     0x5b79231bU,     0xe7a894c8U,     0x5f729199U, \
    0xf72d1a06U,     0x21f5f6cfU,     0x78ba0a2dU,     0xd2b13bf8U, \
    0x4c180190U,     0xb59f6e19U,     0x62c4b4dcU,     0x8c5e2950U, \
    0x414053cdU,     0x5f83fb6eU,     0x34b3b94eU,     0x723a74cbU, \
    0xcf0e41d6U,     0xb5e73078U,     0xb5cad12bU,     0x48a4cfc5U, \
    0xdf26b5e1U,     0xc5d64ceeU,     0x4d8a905bU,     0xc5d62171U, \
    0x09e082ecU,     0xb420f4f5U,     0xb4dc471fU,     0xc0680434U, \
    0x55d5bcd6U,     0x4bcf8beeU,     0xe34af5a6U,     0xd2c0db01U, \
    0xd6a1ef3bU,     0x27ef5420U,     0xee0dcec6U,     0x0f38980bU, \
    0xeb1d47b7U,     0x49d11cafU,     0x283c80b4U,     0xcc1ab354U, \
    0x48937f3bU,     0x69f800ddU,     0xec1194d4U,     0x74ab562dU, \
    0xd419ff15U,     0x72acbfdfU,     0x678d220cU,     0x44463ab1U, \
    0x0840b3d3U,     0x11b32089U,     0xc9935d78U,     0x9e558a54U, \
    0x53b23d1cU,     0xe0f9eb6dU,     0xea618a75U,     0x06d83b10U, \
    0xf4e871b8U,     0x7aa5b02aU,     0xf266f86cU,     0xa0387257U, \
    0xe3648a7dU,     0x7c754208U,     0xf66ec8efU,     0x5208a249U, \
    0xfde97a16U,     0xfe30c052U,     0x7e7b58edU,     0x8e2a6bfcU, \
    0x09d7d295U,     0x9ecf21d3U,     0x5db2dcc0U,     0xa508f641U, \
    0xedb88ba0U,     0xa3ac4d96U,     0xfb64ebeaU,     0xa55330e9U, \
    0xd9d54c08U,     0x9f0814a1U,     0x0a6291dbU,     0xdf5dde76U, \
    0x4a670eefU,     0xbd0033c5U,     0xd251d954U,     0xb61faf53U, \
    0x4a1a61dbU,     0x6adecb2dU,     0xe7d61060U,     0xd276b1c9U, \
    0x6e7eee29U,     0x665cb486U,     0xb91609a5U,     0x6d027423U, \
    0x30ca5454U,     0x53cc6004U,     0xd0872613U,     0xcc0e536dU, \
    0x6f490a42U,     0xad6c26cfU,     0xcbf61f00U,     0xc50e4c24U, \
    0xd75a1f00U,     0x455f0d0eU,     0x9865ca53U,     0x7790da42U, \
    0xb759cecdU,     0xacab03f0U,     0x59447664U,     0x825637cdU, \
    0x0fbecfc1U,     0x82fdb886U,     0x52ba663dU,     0xe30f660aU, \
    0xbaa9a5eaU,     0xb29ebbe4U,     0xece93a5eU,     0x274eb184U, \
    0x62a6fb08U,     0x38252580U,     0xea81f454U,     0x43238da5U, \
    0xbe7032f8U,     0xb9db342bU,     0xab2e101aU,     0x6dd1fce7U, \
    0x41a31ac6U,     0x84fd005aU,     0x6e67af5aU,     0xe78e33deU, \
    0x279ce992U,     0x1a45f750U,     0x1c9cc352U,     0x3d73bc03U, \
    0x90cbd2f3U,     0x34193c5bU,     0xc09be59aU,     0x52e151cfU, \
    0x75b4e123U,     0x380b599dU,     0xd26ac92aU,     0x08877b51U, \
    0xb2038539U,     0x646a119bU,     0x4f60ffb2U,     0xa2865183U, \
    0xd17e4317U,     0xf3025c15U,     0x53e99599U,     0x1a0fd206U, \
    0x877624e8U,     0x22950f8dU,     0xd7cae773U,     0xe5b6d05fU, \
    0xc329438dU,     0xcf5a257eU,     0x8b0acb59U,     0x70cd0a29U, \
    0xed18cb78U,     0x6ae7beb3U,     0x79efbf69U,     0x146e6466U, \
    0x4937df71U,     0xece842a2U,     0x0446c52bU,     0xa3168597U, \
    0x9689b36fU,     0x6a476873U,     0xfbd5673cU,     0x374b0ca4U, \
    0xda9b85e8U,     0x20d1eeb1U,     0x33bd9459U,     0x1cad4e6eU, \
    0xe62d39b3U,     0xbe32ea51U,     0xee013581U,     0x894da600U, \
    0x33a1f039U,     0xf9614fd0U,     0x82bf203eU,     0x259f3422U, \
    0xa8ed2da2U,     0x43d789fdU,     0x541fbf42U,     0x5e9b7a79U, \
    0x05373656U,     0x15ae2db0U,     0xe2162467U,     0xf967edd2U, \
    0x79a27eabU,     0xef16d5a5U,     0x9f3ee11fU,     0x592a5b69U, \
    0xe992e724U,     0x592e68c4U,     0xd59d8affU,     0xed6ea9f0U, \
    0x28fe6deeU,     0x7628ab0fU,     0xc97d664cU,     0x63c62f3fU, \
    0xa430f56fU,     0x641f87f6U,     0x0b7d488fU,     0xd3eab5b6U, \
    0xaba4c45bU,     0xf9360905U,     0x26cc386eU,     0x7322998fU, \
    0x179db4beU,     0x94d66458U,     0xb8631a98U,     0x1bc2d298U, \
    0xa5d6cadeU,     0x1c6f2b43U,     0x429152adU,     0x54c65983U, \
    0xb729c659U,     0x9efd1242U,     0x3d5f6eeeU,     0x1e927865U, \
    0x54bf1905U,     0x165432ccU,     0x17821359U,     0xcf2d83beU, \
    0x8bb6558bU,     0xe80ab565U,     0x23016d0eU,     0x8cdcb321U, \
    0xa6e6da09U,     0x0d8dbae6U,     0x85b5663cU,     0x46ea94c3U, \
    0x404f1391U,     0xfd730b95U,     0xfbffbea2U,     0x1139b97fU, \
    0x0e7998d8U,     0x038660bcU,     0x197406daU,     0x6c21d1fcU, \
    0x4fff757eU,     0xea23719bU,     0x2a746a74U,     0x74534048U, \
    0x6e2929ebU,     0x4de189efU,     0x06b42253U,     0x8afe8e91U, \
    0x614f7c89U,     0xdec1adb8U,     0x24db9b93U,     0x24fcfc51U, \
    0x3dabfcc3U,     0x9f3d33a1U,     0x9fb7e188U,     0xf5c2179fU, \
    0x0137185dU,     0x3abbdd2eU,     0x8e4d6562U,     0x628b0075U, \
    0xf0c18f2dU,     0xbf82ad71U,     0x8e45eda1U,     0xb3cd34f7U, \
    0x33b77164U,     0x7a9b71bcU,     0xf85e9713U,     0xdbd8cbcdU, \
    0xe11d6f08U,     0x5caeedd4U,     0x07c7f877U,     0x806b082bU, \
    0x94ebed6bU,     0x9f63fc4dU,     0xed0b0cfbU,     0x3c49b345U, \
    0x563e0177U,     0xebe9299eU,     0x6ac0d412U,     0x5a1ba1b9U, \
    0xcaeab043U,     0x1eed1bd1U,     0xe5efaf30U,     0x16abee92U, \
    0x5ec993d8U,     0x46ab3cabU,     0x12e88fc7U,     0x394ff38bU, \
    0x79d290b2U,     0x625b8bd6U,     0x7cf91e24U,     0x3602d178U, \
    0x7f7b269cU,     0xe330d40eU,     0xdea0251aU,     0x307096c1U, \
    0x58b342d0U,     0xfe55f89dU,     0x55e05cb5U,     0x7ccde508U, \
    0xcf9ded84U,     0x21ebd725U,     0x1e9500d1U,     0xb341d113U, \
    0x7383fe43U,     0x6c735178U,     0xbacf25e3U,     0xf4a33f24U, \
    0x4169e5c0U,     0x263e7f7aU,     0x2bb50769U,     0xaa371629U, \
    0xfe6096d1U,     0x52c72ac4U,     0x2d98dfa5U,     0x10094458U, \
    0x9b4593ffU,     0xdafd96b6U,     0x9c9d2ddaU,     0xb720cb0aU, \
    0x7c3ffe17U,     0x67147bb9U,     0x3bf6ad01U,     0x6af7083cU, \
    0x1951de81U,     0xf448e0bcU,     0x72cab366U,     0x86b244cdU, \
    0xef0741a1U,     0x8cfde266U,     0xad7d35c1U,     0x4bf7f7ddU, \
    0x8a726fd1U,     0x6ce53bc3U,     0x62b95f2dU,     0x136df61fU, \
    0x3ad8bd39U,     0x375a6043U,     0x6c4f21e1U,     0x3dd69bbeU, \
    0xeb246ae9U,     0x3875da87U,     0xfd5ff4a9U,     0x24600f58U, \
    0xc6b299c9U,     0x112c995fU,     0x1dc9f6dcU,     0xef7c158eU, \
    0x77dbe9a8U,     0x0e62346dU,     0xe606a19bU,     0x6b554d45U, \
    0xf4a5515eU,     0x32dd75aaU,     0xc6822aefU,     0x1a4d9f98U, \
    0x5db323acU,     0xfcd597bfU,     0x8a8abc71U,     0xadd82251U, \
    0x8d08ccf8U,     0x3a964fc0U,     0xb28f3e44U,     0x5f08fe50U, \
    0xa92a575cU,     0xf10952e3U,     0x72950584U,     0x1bc8fa1dU, \
    0xc16808e4U,     0x2b33cb40U,     0xf14e3b86U,     0x4fc20a27U, \
    0xde60763dU,     0xa638db36U,     0xfcf5c40eU,     0xdc101503U, \
    0x2af05fd7U,     0xb3f0e497U,     0xf30f167cU,     0x1d4e3e1bU, \
    0xf98da6a7U,     0x2ab5cefaU,     0x0ecb666aU,     0x32ba5b64U, \
    0xf03ad805U,     0xbd1280b0U,     0x90e81ef9U,     0x075eb91fU, \
    0x8dc82fbcU,     0x10db8114U,     0x72e930ddU,     0x96797a41U, \
    0x856dfc26U,     0x23e630abU,     0x1e7f3992U,     0xf7b044aaU, \
    0xec9bd631U,     0x026f4078U,     0x70ae4dfaU,     0xa2b323e2U, \
    0x3384502fU,     0x15748dbcU,     0xaf1979e8U,     0x720f324dU, \
    0x3272a568U,     0xaea7595cU,     0x8c18bc1dU,     0xc6d2546eU, \
    0x8f0ae4feU,     0xf22519b4U,     0xd8aecabdU,     0xec35db42U, \
    0xb6d73f7fU,     0xe1e8002cU,     0x6cdec60cU,     0x24e62efbU, \
    0x42eb45e0U,     0x21a38b87U,     0x285d0febU,     0x21ff44b4U, \
    0x8c99a8faU,     0x401df2fbU,     0x27ca3feaU,     0x76c0782fU, \
    0x87137519U,     0xa93dc69eU,     0x82062690U,     0x3bcde5b0U, \
    0x0ac13cfbU,     0x63b04a65U,     0x205fc6b1U,     0x4d26d92aU, \
    0x5823dbf4U,     0x9f79c624U,     0xf2940e9cU,     0x27eb5b1bU, \
    0x892318ddU,     0xf81cad7eU,     0x830e5ee8U,     0x4b41fbeaU, \
    0x864e0b80U,     0x9d8b2fa9U,     0x8feba558U,     0xe039f5f4U, \
    0xa7fc9163U,     0x66025f92U,     0xcb7ba166U,     0x06bf0908U, \
    0xe4547d8fU,     0x723171b6U,     0x3ad8954bU,     0x86a7940eU, \
    0xe694a3c3U,     0xdb4a94b4U,     0x179c6a83U,     0xc712d0b2U, \
    0x5d0c6986U,     0x13228a5aU,     0x267e070aU,     0x729699b2U, \
    0x84c6d5f7U,     0xd3337804U,     0xe9b259fcU,     0xebb83f5fU, \
    0xbd1fd5ecU,     0x3058a6f9U,     0xaa1e8285U,     0xdf1e3183U, \
    0x0d1615f3U,     0x30bc5232U,     0x967bbcc1U,     0x290b4aeeU, \
    0x76e808ccU,     0x94ccbd74U,     0xe4e7ae84U,     0x9643ae3eU, \
    0x5b6d1dc5U,     0xb1b822d4U,     0x334521e5U,     0xf9ad0fbaU, \
    0x961368bbU,     0x8160808bU,     0x0853a746U,     0x5f8fccf6U, \
    0xef8bb479U,     0xb346b8d1U,     0xf8b14c86U,     0x5a6b7bd1U, \
    0x4942cd21U,     0x4bca5d26U,     0x189c6398U,     0x379b2e16U, \
    0x1eef4a87U,     0xd972a778U,     0xec895439U,     0x7252d844U, \
    0xa967595cU,     0x99110170U,     0x65ca8cedU,     0x5fdb089cU, \
    0x4b804367U,     0x9e35aeccU,     0xda41b0d4U,     0x77490895U, \
    0x605c8b65U,     0x66bb823dU,     0x6c15035eU,     0xba6e6ca5U, \
    0xe8aa87aeU,     0x4a6c0e53U,     0x7b2b0f56U,     0x52718e8dU, \
    0x73c16a04U,     0x1dcd556aU,     0xdc41d6b1U,     0x58e02051U, \
    0x296a00c5U,     0xf8b9b104U,     0xddf47d12U,     0x1a1da62eU, \
    0x1ad6de8bU,     0x110c424dU,     0xf93978d8U,     0x36d1274bU, \
    0x47b59e07U,     0xca925ca7U,     0x3597c8efU,     0x67338632U, \
    0xcb3192aaU,     0x42954377U,     0x21dc6ec4U,     0x08654d79U, \
    0x13f00e07U,     0x9c9f0aafU,     0xd2fab1a9U,     0xcbfb6167U, \
    0x5c9b3b1dU,     0xe84d2958U,     0xc91b72eaU,     0xd7ba73b7U, \
    0xf38656aeU,     0x8dbf6d76U,     0x94329c24U,     0x680c1d2cU, \
    0x76b64b1fU,     0xc9075a57U,     0x05855046U,     0xf02821feU, \
    0xae3e7b84U,     0xa81e3569U,     0xdf439be5U,     0xa37dab84U, \
    0xdd01b3a3U,     0x7372cf4fU,     0x4ced0da0U,     0x17a3d2e8U, \
    0x72a8ac01U,     0xd3beb029U,     0xb9c1cefaU,     0x9a1b46a5U, \
    0x1350c7adU,     0x92a0c6e6U,     0xb763b564U,     0x0d626e19U, \
    0x66767238U,     0x2f8a22eeU,     0x8255ffaaU,     0x12ef3771U, \
    0xb57cca44U,     0x17b445a5U,     0x4060a2d2U,     0xffa8570eU, \
    0xb62e0f1aU,     0x5b3fe608U,     0xdcddb41eU,     0x2167ae8dU, \
    0xd444b1afU,     0x4725de11U,     0x2d6fb413U,     0xa1d7ad99U, \
    0x63159c07U,     0xe7b1a501U,     0x1ef9085cU,     0xc45a541cU, \
    0x6b51c99dU,     0x3b2c15a2U,     0xcbe51b84U,     0x9eac0a9dU, \
    0x699e5f6dU,     0x999dc85eU,     0x963d8fbaU,     0x7f88c381U, \
    0xc9d3e758U,     0x4e03a34dU,     0x33c4e759U,     0xe9888312U, \
    0xc1870fd2U,     0x3d3e9d7cU,     0x06b3a79fU,     0xeb7ceab4U, \
    0x654431a1U,     0xfe69580aU,     0x39702d6eU,     0xe1887b8bU, \
    0xb877cc0eU,     0x42340a52U,     0xf7de2359U,     0x6f14bd8bU, \
    0xb658f5c6U,     0x38735435U,     0xbb0fb701U,     0x5c93b28cU, \
    0xf675cc59U,     0xc40b4f62U,     0xd2a03374U,     0xf7a2d7daU, \
    0xccafe888U,     0x4b00224bU,     0x1854325dU,     0x01aad6eeU, \
    0xf6dfdc21U,     0xbf1dc512U,     0x2a6ae42cU,     0xd782ae23U, \
    0xbcd64cd2U,     0x432d2560U,     0xfd772ae8U,     0x104ad666U, \
    0xfd808d35U,     0xeeac4261U,     0xdea41c33U,     0xd19ccfcfU, \
    0xa4be426aU,     0x219aa6a7U,     0xd269b454U,     0x0ecf9e10U, \
    0x06793884U,     0xd10ca9f9U,     0xcc5e92a9U,     0xbb471139U, \
    0x59f77c6fU,     0xdb3ee6c4U,     0x50986831U,     0x31c3f22eU, \
    0x621ae011U,     0x1807a881U,     0xfd3606a6U,     0xe4292f96U, \
    0x84e11536U,     0x50437399U,     0x9fc224f7U,     0x8bbb81d3U, \
    0xb8ba61e7U,     0xba16c056U,     0x33671c9aU,     0xea442553U, \
    0x4177a703U,     0x7c881209U,     0x388cdf94U,     0xccd14461U, \
    0x18cb4ef5U,     0xbc49a23eU,     0xb0da6677U,     0x0ec4e5b0U, \
    0x1c0c3ef8U,     0xf41b959dU,     0xc2eb6944U,     0xcb59ee7bU, \
    0x37288f49U,     0xde299407U,     0x6b11d8eeU,     0x9a7cdd32U, \
    0xc849634dU,     0x182f359cU,     0x213cdc70U,     0x9dd61cb7U, \
    0x72697754U,     0x20ac7c30U,     0xacbcee3bU,     0x56b50b19U, \
    0xf856f68cU,     0xcde5736bU,     0xc5a18745U,     0x2531821aU, \
    0x7f05c7f2U,     0x270950deU,     0x8136b11cU,     0x71ba777cU, \
    0xd1317cdfU,     0xe7d03d8eU,     0xbeb4da1bU,     0x76e6f681U, \
    0x1cba478aU,     0x2f5651e5U,     0xdb169700U,     0xabf7d854U, \
    0x0ad043c7U,     0x35fc85e0U,     0xe1826172U,     0x0afc4afcU, \
    0xd96309c3U,     0x84b31b58U,     0x870c9f97U,     0x3e677c4aU, \
    0xc6b2afffU,     0x4d0ab460U,     0x0413518dU,     0xcd6749b3U, \
    0x7ac77cb1U,     0x50993d1dU,     0x7493efc1U,     0xeff1f2eaU, \
    0xd33da679U,     0x9e66c558U,     0x82586a42U,     0x4078c919U, \
    0xf2660cc9U,     0xdce58f7cU,     0x730806c0U,     0x6871feceU, \
    0x9d69813eU,     0x08efa475U,     0x3731627fU,     0x4d2871e2U, \
    0x85a1e9c0U,     0x557cf572U,     0xff018e7cU,     0x2eef6a58U, \
    0xcbecc1a0U,     0xf5e2856dU,     0x27bc2751U,     0xeeff657bU, \
    0x0286f46cU,     0x08619501U,     0x5e61770bU,     0xe594c5b2U, \
    0xa26c7010U,     0x310b24fcU,     0x630e2ba3U,     0xa16a29d4U, \
    0x1a9c24b5U,     0xed0e0b1cU,     0xf4431e35U,     0xe0f8cc11U, \
    0x2432e0edU,     0x21b356f6U,     0x823afe9bU,     0x0ddfc40cU, \
    0xc21e26dbU,     0xa3ae3f8aU,     0xbc96637dU,     0xac31e075U, \
    0xf5c2c475U,     0x46e78cfcU,     0x6c0f4a07U,     0xa753eddcU, \
    0x48fe6ce3U,     0xab7ff315U,     0xc8c190f1U,     0xe3fa8828U, \
    0x20d17e69U,     0x908c3f34U,     0xe877f3e1U,     0xb4b8c0e9U, \
    0x036c2c94U,     0x1acee0dfU,     0x9e6dbe75U,     0x6f2a45a0U, \
    0x2fb03ff5U,     0xe70f4250U,     0xd072af42U,     0x6a4f75bfU, \
    0x25ed8342U,     0x7fb4c7d5U,     0xe1c350adU,     0x40c4b0d2U, \
    0x6f461dc2U,     0x80c210bbU,     0x2d7b8ea6U,     0x17295c4aU, \
    0xd3e847a7U,     0x7cf7c811U,     0x43846295U,     0xbbaac662U, \
    0xd3f90778U,     0x242ac28aU,     0x0cd15ab5U,     0x3b32398fU, \
    0xdb219a5cU,     0x3a5dce15U,     0xd44f8997U,     0xb7b079b8U, \
    0xd96694a7U,     0x029f5299U,     0x90ce5f17U,     0x566ac230U, \
    0x0f01c641U,     0xdba6816dU,     0x94a034a0U,     0xad99bd3cU, \
    0x95fb412bU,     0x10445e30U,     0xbedeb1d3U,     0x5ac1a143U, \
    0x18ca5aaeU,     0x78cefaeaU,     0xc7a95bcfU,     0x944f0bddU, \
    0xd2a10026U,     0xd171179aU,     0x65edbe0eU,     0x6d7b6157U, \
    0x8cd861c9U,     0x9a45276cU,     0xfb5100baU,     0x16c73017U, \
    0x26d56be0U,     0x576cf0e4U,     0x9421db26U,     0x48b35ed2U, \
    0x75e8385dU,     0x870e53cbU,     0xf7d7bc9fU,     0x99be35c7U, \
    0x0ed9bda8U,     0x681a0c4aU,     0xfa897607U,     0xaa769d34U, \
    0x51e6b2ccU,     0xfbdbcbc9U,     0x75cb89bfU,     0x3b1d136eU, \
    0xae41e1dfU,     0x5f1c4b1eU,     0x08814647U,     0x2c83fd6fU, \
    0xdd1a57a5U,     0x89c08e2dU,     0x269a996aU,     0x18369377U, \
    0x481a4237U,     0x5c76c41eU,     0xa2046dfbU,     0x8c965487U, \
    0xb69468e0U,     0xbda860b4U,     0x17d42256U,     0x7a117b75U, \
    0x29f84694U,     0x7cac0794U,     0x10dddfcaU,     0x9932a3fcU, \
    0x46b34290U,     0xfd12ae17U,     0x0315ff61U,     0xaecec2a9U, \
    0xad86ddcaU,     0xe80f6178U,     0x2a215091U,     0xb2b54b05U, \
    0x4ab55068U,     0x6e4ef46fU,     0x236faca5U,     0xf356fdf8U, \
    0xd0a6143eU,     0x3128c862U,     0xdd0b0208U,     0x366dc6b1U, \
    0x04b2c1abU,     0x40c37643U,     0x30d43648U,     0x5549fef6U, \
    0xa87614f4U,     0xda5b8afcU,     0xa50dd910U,     0x4fb2d066U, \
    0xe817e5e3U,     0x5e940881U,     0x5b6d218eU,     0x22625bfeU, \
    0xf3145846U,     0x05287704U,     0x693e5ce3U,     0xdaec6878U, \
    0x8de91877U,     0x960ca887U,     0xf18b5852U,     0xb6019383U, \
    0xcff2cf79U,     0x826efa63U,     0x890ea2afU,     0x75a2fe2bU, \
    0xfc028217U,     0x0a76e494U,     0x409c1f30U,     0xe409eb34U, \
    0x940ba2bdU,     0xfa2050b0U,     0x1e6933e1U,     0x7679ab24U, \
    0x3a643a30U,     0xf583bc86U,     0xf29043b0U,     0x0b4bba73U, \
    0xbbd7c8d1U,     0xd17c7e03U,     0xa861c7ecU,     0xc4aa77a3U, \
    0xa6b1a848U,     0x2bcd0ebcU,     0x9513cb0aU,     0x4c15c0cbU, \
    0xa14bb8e6U,     0x36491a13U,     0x242e6697U,     0xacbf677bU, \
    0x1efde63dU,     0x81629f71U,     0x3f42669eU,     0x54b878a7U, \
    0xb76d3f2dU,     0xbd40af0bU,     0x10cb6f4dU,     0xa111d8c9U, \
    0xf5d8bd08U,     0xc365e040U,     0x77880f05U,     0x5e323d42U, \
    0x75d5e7d8U,     0x8853739aU,     0x32b52ecdU,     0xba2f23f6U, \
    0xd4927680U,     0xe9fe4413U,     0x03a8e8d7U,     0x9599244eU, \
    0xb30bf3b7U,     0x79fa89e9U,     0x392bc363U,     0x15830894U, \
    0x5e53dc35U,     0xe20fce13U,     0x6cd86415U,     0x4e8b32aaU, \
    0xe1a9fc2bU,     0xc1129345U,     0x750efe38U,     0x5d5816b1U, \
    0x4dd0877bU,     0x28c6492bU,     0xc292ca22U,     0x137e5004U, \
    0x860c43daU,     0x664cfceaU,     0xd8577be5U,     0xf2cfc904U, \
    0xdf6591c5U,     0x73be88e2U,     0x2ca6647cU,     0x43339cb8U, \
    0x6b5bde65U,     0x6ccf60a3U,     0xc51848a2U,     0xc9b1303dU, \
    0xc0a79096U,     0x38c0bdeaU,     0x93d3a4a4U,     0x9cc39d1eU, \
    0x6779331cU,     0x236d4941U,     0x5d62c176U,     0xe74dbff0U, \
    0x3a21cd75U,     0xec66c0ccU,     0xcb227d9dU,     0x57460aafU, \
    0x2e547aecU,     0x91c9b7d6U,     0x6b7dea13U,     0xf4a1a1cbU, \
    0x65fd3548U,     0xc3795606U,     0x78295d01U,     0x967b2ac3U, \
    0x598d7446U,     0x902b40b8U,     0xc6229c5bU,     0x0b62bc1aU, \
    0xd4017b4eU,     0x102dd229U,     0xfb0657f1U,     0xf905b3eaU, \
    0x28ed8ad2U,     0xbfc4b04aU,     0x5a3c25a8U,     0x4b12cf5dU, \
    0x93bebd17U,     0x803afd26U,     0x2abff7d5U,     0xd36c2452U, \
    0x95bc4db1U,     0xb390161bU,     0x8c10ffddU,     0x95db7794U, \
    0x8d8a61c4U,     0xafce4d58U,     0xd33f6a06U,     0xc8286ae7U, \
    0xb21421aeU,     0xb76a68adU,     0xbaf27441U,     0x244aec8bU, \
    0xa38cf61dU,     0xd62150c8U,     0x75cda0eeU,     0xb1a2c522U, \
    0x9fa272afU,     0x4179e554U,     0x79284339U,     0xefe490d7U, \
    0x0a59fc96U,     0x5f371afdU,     0xe4d91d60U,     0x7f7f21deU, \
    0x8eb4331aU,     0x5966bae0U,     0x12ecbe7aU,     0xf674ca3bU, \
    0xf87a576fU,     0x7fd9021eU,     0x2308c6e0U,     0x2675500dU, \
    0xe82b5312U,     0x3669d373U,     0xeac1e88bU,     0xd8a77d8bU, \
    0x8ddd943cU,     0x05af1554U,     0x2dc23dc0U,     0x0dd98615U, \
    0x23517962U,     0xce885dbbU,     0x8c72b35bU,     0x9f514875U, \
    0x1da04cdaU,     0x2139747fU,     0xe8873aa3U,     0xadb9a3d6U, \
    0xfdb4109aU,     0x9d04f0acU,     0x598532b8U,     0x05b2574dU, \
    0x3fb8c7f5U,     0x8ed4f75eU,     0xdc46e5e7U,     0xab978878U, \
    0x67983b87U,     0x80945c69U,     0x830ed644U,     0xe54f2f18U, \
    0x800bfa7cU,     0x149d2946U,     0xb3dd3bacU,     0x86e5b7f4U, \
    0xd5d6fcdfU,     0x87f63060U,     0x3d29c07aU,     0x1f78a9d4U, \
    0x07b2ebaeU,     0x642a6ec5U,     0xe97265d5U,     0xe6a4b59cU, \
    0x3fadafd3U,     0xa60b9275U,     0x8cd3d67aU,     0x7b53fe6fU, \
    0x204fbf90U,     0x030cd2e1U,     0xf99590d7U,     0xfbee2e3bU, \
    0x0831da88U,     0x24886e0cU,     0x38fec19eU,     0xf0ccfa81U, \
    0xcf63e183U,     0x3ff30fa5U,     0x279182f6U,     0x5c399245U, \
    0xe4173b73U,     0x45e61ad8U,     0x17c6362cU,     0x98633284U, \
    0x4118cdafU,     0xb7b76ac1U,     0x06007a6dU,     0xe4aaf9c3U, \
    0x991dc67dU,     0x410546b3U,     0xacbac0ccU,     0x4c638cd7U, \
    0xd8642080U,     0x9fc01557U,     0x9d8e6b57U,     0xc3f5db69U, \
    0xa2e8fe5fU,     0x7979e326U,     0x8489121fU,     0x1e974fd6U, \
    0xb7520962U,     0x91e46affU,     0x0285cf86U,     0x4c9d4731U, \
    0x7fee8368U,     0xa38c8921U,     0xf9c7be45U,     0x4fb9355fU, \
    0x540c4584U,     0x15d04de2U,     0x1f8a52b9U,     0x8ce7c954U, \
    0xd28b5bc8U,     0x9a80cc05U,     0xd31fcb4aU,     0x0c89c560U, \
    0xd092fc2cU,     0x35017f99U,     0xba2b53fbU,     0xabcd1896U, \
    0x72757b24U,     0xaf17de9dU,     0x8ff2b020U,     0xbaae3802U, \
    0x89f60583U,     0xcc0e2d3aU,     0xeb427162U,     0xaae86a1aU, \
    0x1c409309U,     0x6a48fdaeU,     0x90c8f45aU,     0x06fd71d2U, \
    0x5bb96651U,     0xf6638340U,     0x64b8e380U,     0x40b2102fU, \
    0xc45c728cU,     0x10f9dbbcU,     0x3b15437dU,     0x0f5d2aa2U, \
    0x2b85f870U,     0xf10d1609U,     0xaa70395cU,     0xa51abacaU, \
    0xf791d264U,     0x6617784bU,     0x497e1c77U,     0x4eeeeafbU, \
    0xc6be21e5U,     0xfd54960cU,     0xb898aa4dU,     0xe590dee0U, \
    0x1f0931e6U,     0x64f92255U,     0x81792a93U,     0x2fdcdc55U, \
    0x74006996U,     0x48bf7475U,     0x8f709359U,     0xf9c39463U, \
    0xcf3c98a2U,     0xdd5d1c7bU,     0x850a35a4U,     0xe843b4c6U, \
    0x8608466dU,     0x2c080e27U,     0xf34f405eU,     0x9543b6a3U, \
    0x639275fbU,     0x7580c83fU,     0x7b5a8061U,     0x673c2b5eU, \
    0x5eecab8cU,     0x1f88a59dU,     0x7704989dU,     0x836af54eU, \
    0x6c5e9c13U,     0x47e2b3e9U,     0xbc7813bbU,     0x47ee4ea2U, \
    0xe52fea73U,     0xded6f5a3U,     0x0171a993U,     0xeda793e0U, \
    0x1f287b87U,     0xffb7eb33U,     0x976cfebcU,     0xdbe42884U, \
    0x4130fd30U,     0x26cb958aU,     0x1e81f5b8U,     0x519fbea6U, \
    0x21a08e9fU,     0xbeffee6dU,     0x6c99cd77U,     0xa72a918bU, \
    0x9e378879U,     0x322cf69dU,     0x77fd44e1U,     0x6a500addU, \
    0x478b24e9U,     0xbded813eU,     0xb2368d50U,     0x970815efU, \
    0x70627dd7U,     0xda89f44bU,     0x3832d59eU,     0xbc9f67dfU, \
    0x92ebb853U,     0xa5c6838eU,     0xa4ce5f39U,     0xa0fa7917U, \
    0x1bb01338U,     0x7ff94e64U,     0x217739daU,     0xe8b001a1U, \
    0xa94756a5U,     0x30f2bc40U,     0x4f6fa7f1U,     0x4f25d238U, \
    0x7c030081U,     0xa149bb56U,     0xc2ad1a50U,     0xed197e3bU, \
    0x3275f197U,     0xd051f307U,     0xea0b13a8U,     0xd8408271U, \
    0x49f26c0dU,     0x657ba337U,     0xfceaeae5U,     0x090c7c39U, \
    0x9394845cU,     0x519df3d6U,     0x700608bbU,     0x41749cddU, \
    0x6fecf1ceU,     0xf7789a17U,     0x0e7e22d7U,     0xd9670b1fU, \
    0x476ae2feU,     0xf561d4faU,     0x5c95669eU,     0x79bc78c2U, \
    0x563fc538U,     0xbe24995fU,     0xd13d6f69U,     0xc3ef2a78U, \
    0x845da3aaU,     0x58ba7dadU,     0x491f03a0U,     0xfc54c7b9U, \
    0xd767ffd7U,     0xc94e5459U,     0xcb3525a7U,     0x18af3462U, \
    0xaefd80d6U,     0xd09b9866U,     0xf6044794U,     0x80078416U, \
    0x85c659faU,     0xce794f07U,     0x6b726988U,     0xd19925a8U, \
    0xc92f366eU,     0xe0f00ee5U,     0xcc8b7631U,     0xa6b0034dU, \
    0xf17c092dU,     0x27c4d447U,     0x226a32c5U,     0xf0c33cddU, \
    0x2fcd6fbcU,     0x8f0f2598U,     0xf81f501eU,     0x71828721U, \
    0x2ca6134aU,     0xe7f807e2U,     0xedd74d14U,     0x7815529dU, \
    0x923247d7U,     0x2fdd4614U,     0xe22f0a45U,     0x714c63fdU, \
    0x7dd91c42U,     0x1a2ade0aU,     0x3d11ddf1U,     0x28dcb8b6U, \
    0x05ba91cbU,     0x335d88b2U,     0xfda8d029U,     0xb71c5000U, \
    0x5fb7b6cbU,     0x52e0a168U,     0xdd484ba3U,     0x5c3e2a66U, \
    0xc0d9a4a5U,     0x4db3a3ecU,     0xc3ba0046U,     0xc85b5fdbU, \
    0xbe7c313aU,     0x089da8a9U,     0x71383bdbU,     0x03f19486U, \
    0xfada30f7U,     0xfea974e1U,     0x9e7c4224U,     0x3b5d67e9U, \
    0xe560df9bU,     0xe2855a21U,     0x31a7e766U,     0x2ef01a52U, \
    0x8e234cf9U,     0xf275b0e5U,     0x1450f462U,     0x57ca71f1U, \
    0x2e4da7aaU,     0xb45b28e1U,     0x54996fdfU,     0xe74400e3U, \
    0x548a8c9cU,     0xf0b2213eU,     0x13217775U,     0x793c0180U, \
    0x0cf59f3aU,     0x0e9c3327U,     0x8d3c0a21U,     0x78487928U, \
    0xce2ba9e4U,     0x4527f194U,     0x5cad6901U,     0x4b2c42e6U, \
    0x614bc67dU,     0x830fb0eaU,     0x641a7928U,     0xaecb32a0U, \
    0xdb7adf2cU,     0xa547ce79U,     0xf815486bU,     0xf6cd81c2U, \
    0x95166d51U,     0xd90d3e58U,     0x0780613dU,     0xa99a5befU, \
    0xa6db2fa7U,     0x1e962c4eU,     0x028aae07U,     0x0b5e34ebU, \
    0x17ecb33eU,     0xc3d577daU,     0x84f99ab5U,     0xf9c356b6U, \
    0x02efc05dU,     0x75569596U,     0x602f2d69U,     0x3f9a9ab1U, \
    0xdd420a0eU,     0x9a115bfeU,     0x77a68dbdU,     0xce42dd47U, \
    0x778f26a7U,     0xa02c9e0dU,     0x28832198U,     0x14e92cf2U, \
    0x5a8c7b9aU,     0x870cf0faU,     0x44350f00U,     0x1d39ecbfU, \
    0x0d5e274eU,     0xa5989f3fU,     0x0301097dU,     0x78af7a58U, \
    0xcd31a9c4U,     0x872bab66U,     0xb40f0a10U,     0xd8f511b4U, \
    0x2dcb066aU,     0x03ec17b3U,     0x93dd6b9dU,     0x4f598e11U, \
    0xd799166dU,     0x4af72f04U,     0x3a1e7f65U,     0xfa3a9bdaU, \
    0x6bb29ec0U,     0x4796209fU,     0xedb236bfU,     0xda243614U, \
    0xba246282U,     0x411d2981U,     0x0b2419c1U,     0xff32a1f1U, \
    0x0d7ca694U,     0xf5fc7cbbU,     0x1c4d6390U,     0xd7584ec2U, \
    0x652e45a0U,     0x145aa1c8U,     0xc1968d26U,     0x49919776U, \
    0x948b57a2U,     0xee9e1adeU,     0x1aceef85U,     0xe1dfcb21U, \
    0x0184f91aU,     0x59032f79U,     0x08e69a27U,     0x01da5f8dU, \
    0xcda0fa41U,     0x42700152U,     0x7c7df3bbU,     0xc8a11a48U, \
    0x5f3bfd1dU,     0x1faad582U,     0x26efe3eeU,     0x6e7d0cdaU, \
    0x3e488f5dU,     0x8b98ce6bU,     0x09d54a9aU,     0x06237596U, \
    0x310d01f3U,     0xa2bed588U,     0x9f9ae64fU,     0x1c0d8ff9U, \
    0xdbf56592U,     0xbd341905U,     0x6af053beU,     0x3749b66fU, \
    0xf6dae220U,     0xce4e74cdU,     0xc902551bU,     0xe73bdc41U, \
    0x9d233ee4U,     0xe7914806U,     0xf5674202U,     0xae29631bU, \
    0x466c99b5U,     0xcc01d5a7U,     0xd6969f21U,     0xfabc4119U, \
    0x005a78f4U,     0x8af93b64U,     0xeac416dfU,     0xfa28b541U, \
    0x0f0d0c5bU,     0x08efa603U,     0x9e26bda1U,     0x14fce8bcU, \
    0x2e624743U,     0xae2ed1edU,     0x3bef5f95U,     0x8274c0c0U, \
    0xc5f40d56U,     0x165a2131U,     0x74192d65U,     0x741991d7U, \
    0x7cade3beU,     0x678c316dU,     0x881ae7e7U,     0xde62f38aU, \
    0x6a4f01c9U,     0x50b6ae67U,     0x237467bdU,     0xe43b27deU, \
    0x2664b154U,     0xfb775619U,     0x012f0648U,     0x776b2921U, \
    0x0c780392U,     0x5354da5fU,     0x9cdc8bbbU,     0x52af8206U, \
    0x4970f50eU,     0xa90f9173U,     0xa2248c92U,     0x8617b1faU, \
    0x54e96a6eU,     0xad6aa3e4U,     0xfc0b8f09U,     0x0817e317U, \
    0xe46f9845U,     0x61e5eb95U,     0x382bf837U,     0xc6cc953dU, \
    0xf349107aU,     0xe96d453cU,     0xcdf765baU,     0xeb301349U, \
    0x3ec3b9c6U,     0x61918318U,     0x153e94a8U,     0xd4c77e63U, \
    0x90a3662aU,     0xbde91e82U,     0xe1365a51U,     0x651d980eU, \
    0xc6f7139eU,     0xcb728090U,     0xefe2949fU,     0xb4e521bfU, \
    0x29db4dd4U,     0x01845e20U,     0x1a9b9f46U,     0x2f875ba6U, \
    0xba6d0f8dU,     0x8f7f742cU,     0xe50261d2U,     0xfe181eafU, \
    0xdd56aa88U,     0xe0687082U,     0xeec10fc0U,     0x1eff92e2U, \
    0xd42be82cU,     0x3efbc688U,     0xc70f22e4U,     0x8e93f49cU, \
    0x396aec6eU,     0xde948080U,     0x415ed299U,     0x416b557cU, \
    0x2e7040b1U,     0xbe4e3a94U,     0x36a23e6aU,     0x56a4d518U, \
    0x8fed9b07U,     0x783192b2U,     0x7ffe51b2U,     0x255aabb1U, \
    0x365ed73cU,     0x6f925d48U,     0xee22047dU,     0xed92f5b7U, \
    0x5b8ee10bU,     0x7d6e9523U,     0x265c03a5U,     0xf2fc82d1U, \
    0xe4c7667cU,     0xdc22fce7U,     0x59bd31e9U,     0x21362c86U, \
    0xcef83d40U,     0x09cd4037U,     0x0688547cU,     0x800c40b5U, \
    0x7e0d85d1U,     0x3286f9e8U,     0x0ce95e84U,     0x4e1b13deU, \
    0x421770cfU,     0x84550ce0U,     0x13c5c934U,     0xe8f81af8U, \
    0x04e1637eU,     0xf5f0e41fU,     0x2d33443fU,     0xd7fc63ceU, \
    0xa0937b4aU,     0xef12926dU,     0xa5107c8cU,     0x4719f387U, \
    0xa50ccd59U,     0x1c975e67U,     0xb955a052U,     0x93140a20U, \
    0x33a6c91fU,     0xa1149b43U,     0x84366692U,     0x12991700U, \
    0xcfe03f7eU,     0xb223c3b3U,     0x7d2469f6U,     0xbd8e90ceU, \
    0xf065977aU,     0x2ceb395eU,     0x05a2dcc2U,     0xacc8a3fcU, \
    0x852ceb70U,     0x975a1be0U,     0xa78cdbdfU,     0x1b4b9d5bU, \
    0xa8582309U,     0x969d7556U,     0x781fdcb9U,     0x7dc00910U, \
    0x616b8c29U,     0x511e464eU,     0x21d99f6dU,     0x2bcb7002U, \
    0x2cae4d68U,     0xfaac1c53U,     0xbe27c11aU,     0x7a52b994U, \
    0x67c3b561U,     0x3993558eU,     0x6ac18312U,     0xecb1a46bU, \
    0xcf2b4d21U,     0xbf168261U,     0x2cb06ad0U,     0xdd1267cdU, \
    0x2ffd7455U,     0x41157cafU,     0x9b6849f0U,     0x063f035cU, \
    0x385f7197U,     0xa22640c0U,     0x354d1314U,     0xfbe225b8U, \
    0xe5c0a531U,     0xe95527deU,     0x7a8d12b3U,     0xd13565baU, \
    0x148da4e3U,     0x4a181631U,     0xf76be4c6U,     0xc1d3e6ceU, \
    0x123b3893U,     0x916f9acbU,     0x7a8b3699U,     0x93340175U, \
    0x31958d30U,     0xb5864e66U,     0x6559b18cU,     0xac7711e7U, \
    0xe913b1ceU,     0x40f5f5f5U,     0xdcaefc22U,     0xa36e5bdcU, \
    0xddcf86d8U,     0x47513aefU,     0x5359c56cU,     0x17dccb95U, \
    0x10e3e169U,     0x10cb0dfcU,     0x1c57a09bU,     0x8a8a0902U, \
    0x9de6b0b5U,     0x558cefe7U,     0x9c462026U,     0xfe4ef345U, \
    0x662500acU,     0xcc767f01U,     0x8bca60f2U,     0x58470c50U, \
    0x1aaca155U,     0x2285d872U,     0xf544d991U,     0x53a9d66dU, \
    0xaaefdbd2U,     0xc4eabc1fU,     0x6bb488c2U,     0x659b9683U, \
    0x042a4e4aU,     0xb297d59aU,     0x56db1ae6U,     0x226bc4b6U, \
    0x981eb607U,     0xa6cf3d6aU,     0xdd015c7cU,     0xfde2a666U, \
    0x310be77eU,     0x9e19b963U,     0x2d443782U,     0x51467f6eU, \
    0x2e096331U,     0xad280c1dU,     0x3603a1acU,     0x09795321U, \
    0xa6065290U,     0xc279c425U,     0x88a8c07bU,     0x9f9c6a7cU, \
    0x22168c58U,     0x90e5de9aU,     0x9b64cad5U,     0xa05e112dU, \
    0x232fe1b0U,     0x4c6b8378U,     0x8e9cc7a1U,     0xae37fdb9U, \
    0xc88e5d0bU,     0x31c6169eU,     0x59763d67U,     0x4f7a688dU, \
    0x9a437703U,     0xb3373082U,     0xe972a73cU,     0x77283290U, \
    0x115591f8U,     0x768d45d0U,     0x21e6250fU,     0x47e23b73U, \
    0xf4f6d2bdU,     0x9ae4d3deU,     0xb9b7682aU,     0x08a608a0U, \
    0x2ffe743fU,     0x02d74e4aU,     0x96befa5dU,     0x17e7d82cU, \
    0x4d3987e7U,     0xbe5b85d2U,     0x75431bafU,     0x5605561aU, \
    0x89e18975U,     0x51232d77U,     0x9610dcf3U,     0x008cd60fU, \
    0x400c2c18U,     0x8bf5409cU,     0x37d3476aU,     0x96799549U, \
    0xec6c9053U,     0xf97af939U,     0x0c6d109aU,     0x500d1988U, \
    0x9f1b74ddU,     0xa653fc9cU,     0x32de6a25U,     0x0738a310U, \
    0x06413c74U,     0x5fa3c84dU,     0x05dfcaceU,     0x11bd08e1U, \
    0xd228d3cbU,     0x9f6623dbU,     0x1de96f2fU,     0x4fa1b7fcU, \
    0xe6a6fef1U,     0x7ff0525aU,     0x8b7b5ff5U,     0x8993e295U, \
    0x3555009aU,     0xa14193b9U,     0xefa141a0U,     0x3fe9aec1U, \
    0x6c89b352U,     0xe971e177U,     0x904de51aU,     0x287a5b57U, \
    0x2ea69d09U,     0x720ab85bU,     0x8c3a1b03U,     0x6e34e61bU, \
    0xc9b67884U,     0x0258d773U,     0x222332d4U,     0x79dc41b4U, \
    0xa042209aU,     0xb545fd36U,     0x2939dc4eU,     0xbcd28999U, \
    0xcac4b517U,     0xb4085524U,     0x585f3045U,     0x16f688f7U, \
    0xee2157bcU,     0xa4f34a69U,     0x7e2dcee8U,     0x75bd8b20U, \
    0x82f90e9cU,     0x95371255U,     0x74134b47U,     0x7141f8b7U, \
    0xe5b002d8U,     0x8a23ae65U,     0xaa221483U,     0x48cd951fU, \
    0xf25ab066U,     0xf1dbaaa9U,     0x6ee15fb4U,     0x4fc46a7dU, \
    0x7f32c724U,     0x80e7f0cfU,     0xbfb4a632U,     0xd87ff3cdU, \
    0x190fc96dU,     0x5222c648U,     0x276b477dU,     0x1b698f61U, \
    0x97d7b775U,     0x17823e9cU,     0x3d6645beU,     0x9e7af7b1U, \
    0x5e5532ceU,     0xca086aa0U,     0x6533bcabU,     0x253d0b59U, \
    0x55ad6acdU,     0x2b1119f5U,     0xa1696232U,     0x52f00483U, \
    0xf089e037U,     0x65d54f43U,     0xd9fee7a2U,     0xadff93b9U, \
    0x58f45eafU,     0x74bfe023U,     0x0997d6bcU,     0xb92ef882U, \
    0x52dad417U,     0xb6d36309U,     0x4454d40bU,     0x2c0e628aU, \
    0xcdd9f850U,     0x183681a1U,     0x788b1e93U,     0xf2ef3fbdU, \
    0x09dd5edaU,     0x763222a3U,     0xf7162cccU,     0xb403ca3aU, \
    0xf9d9b0cfU,     0xf4728843U,     0x29153971U,     0xe83ebceaU, \
    0xa97577baU,     0x931be5eeU,     0xd4b68d54U,     0xf422f0f0U, \
    0x4e2c2744U,     0x53694d6bU,     0x4eaf9403U,     0x730cb94fU, \
    0x9638282dU,     0xb84480ebU,     0x386814edU,     0x5ca6861dU, \
    0x03f1ed92U,     0x214d4a80U,     0x469efc51U,     0x2edbfec2U, \
    0x32ccc598U,     0x4e9d4318U,     0x04599e95U,     0x9c91c116U, \
    0x742f3ef0U,     0xec234039U,     0x950da937U,     0x7bc5c12eU, \
    0x00bea196U,     0xf6cda5b1U,     0xa0cad2a3U,     0x1961f968U, \
    0xf6f992b2U,     0x15f271d2U,     0x383385daU,     0x107f1bf7U, \
    0xccafd1a6U,     0xb2a0cba9U,     0x024bb156U,     0x9ef4ba76U, \
    0x89a28e56U,     0x4fe0eaaeU,     0xbda14c0cU,     0x024a1852U, \
    0x6d2ec660U,     0xce289694U,     0xa1a729ebU,     0x4a0b9652U, \
    0xdfe6b33fU,     0x63adbeddU,     0x6afdf2a5U,     0x0f5cccc2U, \
    0x704ea010U,     0x11599faaU,     0x32df191cU,     0xfe450fabU, \
    0xa2861ccbU,     0x3543dc7fU,     0xd4761417U,     0x687cdb98U, \
    0xee8f508bU,     0xa60e9a55U,     0x8f3c1522U,     0x1f2b514cU, \
    0x917e1868U,     0x1e2b3bfdU,     0xcb0c3c02U,     0x29416919U, \
    0x5cdf02dbU,     0x496c04dfU,     0x7a2aec61U,     0x04ca2923U, \
    0xebafa1bcU,     0x0918c9b4U,     0xf3b1b40dU,     0x429c51b9U, \
    0x8508960dU,     0x0159a220U,     0x55aadcaeU,     0xb2ca07a8U, \
    0x90c09bdcU,     0x0f18aa4cU,     0x995f303bU,     0x8d366a30U, \
    0xe690b71fU,     0x610a8225U,     0xfc25f534U,     0x180fd42fU, \
    0x6705b7b7U,     0x910c33e9U,     0xd3ebeda6U,     0x60c4ebabU, \
    0x916a4b61U,     0x92958390U,     0x58e851efU,     0x100cfaf1U, \
    0x37d5d7ddU,     0x8dfe99f2U,     0x4765d4d9U,     0x48dbbe6cU, \
    0xb6aa1db7U,     0xba402342U,     0xea35b54aU,     0xef8f3a12U, \
    0xb0a8413fU,     0x08c9be49U,     0x73e20548U,     0x767dbc9dU, \
    0x6fce9ccdU,     0xac301a52U,     0x745704c6U,     0xa419d043U, \
    0x2e84261eU,     0xf9886bdeU,     0x936cc8c7U,     0x7565dc82U, \
    0xf9b1e09cU,     0xe8acaa19U,     0x49e2d90aU,     0x22ce011aU, \
    0x9c1dd1d1U,     0x907e0f0cU,     0x4c033c0eU,     0xde37ddb5U, \
    0x5715f457U,     0x2f9d5b0bU,     0x2599adc2U,     0x1a3e882dU, \
    0x29862b42U,     0x97e78336U,     0x208eb363U,     0xc8fd3b66U, \
    0x81a3e36dU,     0xc15b70c1U,     0xefa4599dU,     0x1571f4c0U, \
    0x7819d23fU,     0x47c7a63aU,     0xc8c0cc9bU,     0x521ff3fdU, \
    0x3a63d92aU,     0xd899901cU,     0x33c62eafU,     0x48271c59U, \
    0x0f608791U,     0xab2b9e66U,     0x78269390U,     0x864d517fU, \
    0x1cc0f0b1U,     0xd2dc897fU,     0x1f4b5bdeU,     0x1de31ae2U, \
    0x2e66e3e7U,     0x84a89162U,     0xb9ce14ebU,     0x602d46f9U, \
    0xe3853867U,     0x08ec8312U,     0x1c1004d0U,     0xc9bb6d25U, \
    0x5e6f7e81U,     0xf86c70c4U,     0xb0078674U,     0x2b8a293cU, \
    0xff9b0402U,     0xab2e7a53U,     0xb4e76b7bU,     0xd71e7112U, \
    0x86d678feU,     0x6c0180eaU,     0xc9865ce7U,     0x4c73aca5U, \
    0xbf36ef25U,     0xc19c3b4bU,     0x1463dcfdU,     0xbaa9d238U, \
    0xc1d23c6fU,     0x38b9cebdU,     0x66fce313U,     0xa5cab7d6U, \
    0x397653b5U,     0xfbc4c6e6U,     0x7f18102dU,     0xe5c94f53U, \
    0xe839a02bU,     0x49a0a788U,     0x0d8206ecU,     0x87deabefU, \
    0xec0490bdU,     0x9ac41a87U,     0x196e2603U,     0xd3441ec2U, \
    0x03fd2bacU,     0xaf001124U,     0xec0ece5dU,     0x30624b21U, \
    0x6887e7c6U,     0x11bcfcdaU,     0x8b95197eU,     0xc741b7dbU, \
    0x955c840cU,     0x73754eccU,     0xcf681424U,     0x992f9f30U, \
    0x13ca27afU,     0x23d9e97eU,     0xfe27ba29U,     0x514e28c4U, \
    0xbd9a3e09U,     0x77523399U,     0x759d8be5U,     0x333694f8U, \
    0xd6a1a1e3U,     0x20dbee4aU,     0x0ac929b7U,     0xe0d00de0U, \
    0x75a25d44U,     0x27ca2849U,     0xe2f4c79dU,     0xe8eb9d27U, \
    0xc2a897c3U,     0x004249f6U,     0xc8117632U,     0x44678c8cU, \
    0x1a53f269U,     0xe0dc05f4U,     0x95892c8cU,     0x5f5d9a53U, \
    0x6a298442U,     0xcc2dfb0bU,     0x56b896a9U,     0x90b92a13U, \
    0x183e40adU,     0x92372b46U,     0x75cf1e6eU,     0x0dd61df8U, \
    0xc014fcf7U,     0xcd4d93a2U,     0x671f6045U,     0x9f41ec57U, \
    0xdd9e6095U,     0x3ffd303dU,     0x91ca8de2U,     0x43ce1b7cU, \
    0x2f0ec38dU,     0xc03c9297U,     0x1bd85e39U,     0xa4716755U, \
    0x73c1436aU,     0x39d44d2dU,     0x325b7cc8U,     0x4cf73439U, \
    0x8cf37950U,     0x6e1d1ae4U,     0x23341296U,     0x747b1af2U, \
    0x4016fe50U,     0xc726d991U,     0xec4e5cfaU,     0x3a92c72cU, \
    0x90d6670eU,     0x0ed88624U,     0xe48841a8U,     0xf6ac2155U, \
    0x61754093U,     0x4e7d0730U,     0x0a9360abU,     0xccc3aa63U, \
    0x02cdbd5aU,     0xb8971dc1U,     0xa6d9fdb2U,     0x51ec5e90U, \
    0x7ae78782U,     0x6b91c06fU,     0xf6acaeb7U,     0x6d849563U, \
    0xb3871005U,     0x170b109aU,     0x1f5a4162U,     0xbc4c4673U, \
    0xc07cbb54U,     0x41b2f2d0U,     0xe4c74a5bU,     0x5a2a43d6U, \
    0xf1f3f90fU,     0x3b1fc15aU,     0x2c407765U,     0xa3096052U, \
    0x7b2b8a03U,     0x2a75a975U,     0xa2da3cc0U,     0xacab6cddU, \
    0x55b7d375U,     0x8514f555U,     0x6ec238d3U,     0xb4da143dU, \
    0xe53a3e63U,     0x59d6e280U,     0x809c8a27U,     0xcd419511U, \
    0x2e290d4dU,     0x48c47dafU,     0x13fbcbf6U,     0x5e640a8eU, \
    0xf8db7072U,     0xf55a074dU,     0x1eeb7b5dU,     0xf76e5f85U, \
    0xcdf3eb27U,     0x74a03da5U,     0xa7230ad3U,     0x30ffdb2eU, \
    0x0b3eaa71U,     0x58f568baU,     0xa124bf29U,     0xd3ea0326U, \
    0x3f9bebf0U,     0x8bb04956U,     0xfc03b73aU,     0x18dbd494U, \
    0xecf6ad91U,     0xeeffbd97U,     0x90094b9bU,     0x8284a246U, \
    0xc60b72d1U,     0x41e7ac7dU,     0x31554f0bU,     0xbdaea45eU, \
    0x0105b0fdU,     0xcf40fe7fU,     0x8e5b3542U,     0xd7f1b9b8U, \
    0xd09ef0f7U,     0x12a76004U,     0x7596b018U,     0x24652da4U, \
    0x2960a328U,     0x3bb0f191U,     0x7fff66c4U,     0x5db8b14fU, \
    0xf6ee09e3U,     0x53e0cf86U,     0xccb4bf1dU,     0x161b2672U, \
    0x731cb7ddU,     0x89a0abacU,     0x83d09920U,     0xd52eb3caU, \
    0x4ea96665U,     0x81452d28U,     0x02ff9345U,     0x8f7e715aU, \
    0x35d6cc32U,     0xdecd09d3U,     0x3c32e531U,     0xca274b7aU, \
    0x971cf4ecU,     0x22b7cfd4U,     0x10618fd1U,     0xe7cc3ebfU, \
    0x98101184U,     0xcd764c09U,     0x6994b5f6U,     0x240736cdU, \
    0xd86907bfU,     0xc745b647U,     0xddb0f6afU,     0xeea920a7U, \
    0x70ba8893U,     0xaa907658U,     0xf1caa4dbU,     0xa3e7c02cU, \
    0x1f00115aU,     0xda528d3cU,     0xfaf971b6U,     0xdc6f6d77U, \
    0x2ec3de99U,     0x86607b1dU,     0x33e4908dU,     0x141bfbe5U, \
    0xde064a35U,     0xc67b29c6U,     0xb6bb60a7U,     0x9701ec76U, \
    0xf6460c36U,     0xefa59a82U,     0xd14d4124U,     0x409e3be6U, \
    0x55d7b291U,     0xa80fbd00U,     0x5e38875aU,     0xb18d408fU, \
    0x113b655eU,     0x12369698U,     0x14dd8c75U,     0x6ad0bf10U, \
    0x71fed6a3U,     0x03ba6c1fU,     0x333629ccU,     0x4e900619U, \
    0x6629ced1U,     0x8f251d97U,     0x154a3363U,     0x56c9b6e8U, \
    0x4a203324U,     0xe5b10e2fU,     0x3ac39cfbU,     0xdc23f7e8U, \
    0x9f5b0f40U,     0x82e161d7U,     0xe964d541U,     0x886ad303U, \
    0x99e3025dU,     0x4cd308afU,     0xd63733a7U,     0xabf8a328U, \
    0xdcd3ac8cU,     0x771f6e67U,     0x9798c29bU,     0xcad198aeU, \
    0x5f7be515U,     0x3a8babecU,     0x111210eaU,     0xf346fc8eU, \
    0xa6a3a066U,     0x188d8f63U,     0x8c5cf6caU,     0x92114cc6U, \
    0x20453317U,     0xe960d8efU,     0x54659257U,     0xf37e2b24U, \
    0xb5c1686fU,     0xdce1c0c0U,     0x8a04b171U,     0xe1b1c1a5U, \
    0xac497076U,     0x14e05450U,     0x10f338faU,     0x69c581a0U, \
    0x46ef2a75U,     0x97464645U,     0x82280d5dU,     0x2146cfafU, \
    0xcfb356c0U,     0x6ae7ce77U,     0x640e7448U,     0x8fd13717U, \
    0x2932417aU,     0x8d17958fU,     0x712a6869U,     0x802d3d4dU, \
    0x18f3d8a4U,     0x3ca688c8U,     0x905e5d17U,     0xd2b1e591U, \
    0x734aa29dU,     0xe446596eU,     0x47992063U,     0xe70f21e0U, \
    0x26281f46U,     0x44a72ca6U,     0xacc036ecU,     0x32c0a006U, \
    0x4759b83aU,     0xbf708815U,     0x404bb822U,     0x0c841268U, \
    0x9ab5c041U,     0xe05163cfU,     0x6c969507U,     0x5ca04ac0U, \
    0x6781ce2dU,     0xfa7cd60cU,     0x87c9096fU,     0xdc2718e9U, \
    0x7fa73b5fU,     0x0c88dd04U,     0x73803724U,     0x7314df31U, \
    0xe75dd4edU,     0x20ff39eeU,     0x1f2a1e5cU,     0x0f63b501U, \
    0x14ac895bU,     0x279ed05bU,     0xd561cc99U,     0x4463c39aU, \
    0x05327bf4U,     0x607457e5U,     0xd3a28934U,     0x1eaf9e41U, \
    0x402c1b73U,     0x5f689ba1U,     0xd467c823U,     0xbd360e0aU, \
    0x1064dce7U,     0x74086cefU,     0x994977faU,     0xd0281d13U, \
    0x862a8f0bU,     0x6b777665U,     0x720c0725U,     0xc9327f64U, \
    0xf41adbd4U,     0xaa8c2eaaU,     0x6279cc68U,     0xb074731bU, \
    0x082913b7U,     0x1fb7306aU,     0xc7f58c7dU,     0x86b729d1U, \
    0x443cb52cU,     0xc18a80f1U,     0x389812b1U,     0x51d26aa2U, \
    0xe2faf9f1U,     0xa910059eU,     0x61f46835U,     0x74a15b2eU, \
    0xf6cec073U,     0xf600bb30U,     0xb522e28eU,     0x1664d83bU, \
    0xc3a7191cU,     0x7f932dc8U,     0x25762b37U,     0x1fff4567U, \
    0x46d2c402U,     0x8e25007cU,     0x24720aabU,     0x75abe663U, \
    0xfc77055eU,     0xe1abfa94U,     0xbcf27430U,     0xc8d8c104U, \
    0xac5ec95cU,     0x11ae2357U,     0x9bcafd16U,     0x83a8fb64U, \
    0x80fa18a7U,     0x1527007aU,     0x811b567cU,     0x6cdf0a07U, \
    0xad1299afU,     0xbd496781U,     0xc2e4258bU,     0x668b4292U, \
    0x7b4ae29dU,     0x784ec66aU,     0xee3c75a8U,     0x43bf9bc3U, \
    0x1c76efbcU,     0x67ce524fU,     0x1e45b858U,     0xb4d18335U, \
    0x9051789eU,     0x2767aec8U,     0x24b6057cU,     0x74f6ba6dU, \
    0xf55c7d91U,     0xb5cd8840U,     0x528dd785U,     0x2bd7533eU, \
    0x51ec0682U,     0xd93b1736U,     0x28e60ad9U,     0x7afce5c8U, \
    0xb7b44a06U,     0x58f5311dU,     0x8dd51c0bU,     0xc8c624fcU, \
    0x840e5c14U,     0x1cc6e1e4U,     0xa624dee6U,     0x087f576eU, \
    0xf9cad277U,     0xb2ac93e4U,     0xb1404e73U,     0xe94e4540U, \
    0xf95356c5U,     0x597a7de7U,     0xc893af35U,     0x4deffc30U, \
    0xcdf24447U,     0x1272fcf1U,     0xbd139f74U,     0x9c5a606eU, \
    0xf1336be2U,     0x87d2f920U,     0x47eaf59aU,     0x894cb1daU, \
    0xcbf7e6c2U,     0xda97afd3U,     0xb4e25054U,     0x5cd05160U, \
    0xfd2db1e9U,     0x1ea7e45dU,     0x225e652cU,     0x0384eb42U, \
    0x736971dcU,     0x5b104c17U,     0x1765c65dU,     0xf5d32c01U, \
    0x7c668ba4U,     0xe84526cbU,     0xed775e16U,     0x7b090365U, \
    0x6a181e13U,     0x7d4013f6U,     0x6c262e5fU,     0x66281231U, \
    0xa789dc72U,     0xf99c3f25U,     0x94b3c910U,     0x4ab1c36eU, \
    0xbb09d890U,     0x350d0dc8U,     0xf5f7fb8bU,     0x87ddad1eU, \
    0x6941185fU,     0xccacda6bU,     0xe18b01d0U,     0xae291538U, \
    0xbc9a3cdaU,     0xc5cd2bdaU,     0x9e1a06ebU,     0x9840e2c6U, \
    0xaf624bb5U,     0xc1aa12adU,     0x99e73ad4U,     0xb40856c9U, \
    0x2b92c6feU,     0x1698a4a9U,     0x74e6e749U,     0x573a0c3aU, \
    0xe007a516U,     0xdff61fc0U,     0x93f1e497U,     0xcb475a12U, \
    0x3d1fb7fbU,     0x8640a83cU,     0x664b7155U,     0x3149516aU, \
    0xf7d3f608U,     0xf76b7c11U,     0x10df8666U,     0xd01e288dU, \
    0x2e352899U,     0xb2472ffbU,     0x71f0a2f2U,     0x22adf508U, \
    0x83d456bdU,     0x5be0c5ffU,     0xc1b018d9U,     0x9818c420U, \
    0x795610f7U,     0xcf1031eeU,     0xdcfb5233U,     0x527ae4b7U, \
    0xaa87a24dU,     0x4d7d939bU,     0xecbd8060U,     0xfac47f26U, \
    0x6408ab73U,     0x25c92d05U,     0x3ad633fdU,     0x26a463b9U, \
    0xb592731fU,     0xa1636342U,     0xd6970766U,     0x4ac97a67U, \
    0x34b3715fU,     0xe0cd74f1U,     0x8c62cd70U,     0xfd3f89c6U, \
    0x47b6b28eU,     0xee2c43b3U,     0x747a4ce5U,     0x6aa843cfU, \
    0x4e0db39aU,     0x734a1431U,     0xde8a7e5bU,     0x46c267f9U, \
    0x727e49eeU,     0x1cc29210U,     0xfb8d6077U,     0x8bd4d6c7U, \
    0xc93c4606U,     0x9340ba3aU,     0xfe5f47ecU,     0x9cf63f6eU, \
    0x280b0497U,     0x66e010c7U,     0x1f1ac5d2U,     0x72a35292U, \
    0xd6e649b5U,     0xb3f4f40eU,     0xb1c07d41U,     0x99924252U, \
    0x84399142U,     0xe7945b28U,     0x7425e6c8U,     0x9d9bff99U, \
    0xa4878a55U,     0xadd4b930U,     0x799dcb5cU,     0x35e81470U, \
    0x44948e9bU,     0x8c514a50U,     0x690683cdU,     0x92ddf819U, \
    0x67aa4e85U,     0x0f98c651U,     0xa918e096U,     0xd65410d9U, \
    0xc2217a8eU,     0x382bb8a1U,     0xbac26ebeU,     0xb0555f7fU, \
    0x21f0e39eU,     0xd64c0b1cU,     0x84a82c27U,     0x4edb164fU, \
    0x89fab051U,     0x8a1aec56U,     0x5425cd1cU,     0x81c4dc6cU, \
    0xb26e8388U,     0x29b7fba7U,     0x4daebb48U,     0x8bd0960bU, \
    0xd4e275b7U,     0xe469c23aU,     0xcc157b2fU,     0xeb61d8abU, \
    0xb5067481U,     0xf2081d23U,     0x38726100U,     0x57ecb46dU, \
    0x61987140U,     0xa7143d20U,     0xd2533faaU,     0xde1003f9U, \
    0x1055f9cdU,     0xa33486daU,     0x7983cf84U,     0xa2f380efU, \
    0xb1b39cf2U,     0x5af1c208U,     0x7f66e71dU,     0x36bf878dU, \
    0x553782d4U,     0x495a1dccU,     0x4a6a4523U,     0x7dd73da6U, \
    0xf99a6b56U,     0x58f7c8f2U,     0xad951a84U,     0x339d6892U, \
    0x8593c099U,     0x1a5637b4U,     0xa1dee182U,     0xb4049660U, \
    0x421a8798U,     0xc9dc48ddU,     0xc67d5814U,     0xbb9e6cdfU, \
    0x7d454287U,     0x2c675744U,     0xe4ddea96U,     0xa44f9ef2U, \
    0xc8dd017bU,     0xcbcfdcaeU,     0x81739e4fU,     0x79160c8bU, \
    0x1302a50eU,     0x9c6d42deU,     0xb5af60b7U,     0x24cd6432U, \
    0x4ba983feU,     0x89e4fcdcU,     0x0ef8a0fbU,     0x70687ec8U, \
    0x67a619b5U,     0xa72efe7bU,     0x8ca6607dU,     0xa77ddcd1U, \
    0x5a334564U,     0xb3569a84U,     0xc09cef96U,     0x0d473bf2U, \
    0x2526f5d2U,     0xc2fb63a9U,     0xca39d762U,     0xaf776405U, \
    0x4c030056U,     0x5d9e1623U,     0xcac082b9U,     0x7d3a1320U, \
    0xe351ce77U,     0xa253308eU,     0xbf93c7fdU,     0xe7c83c92U, \
    0x43941ad5U,     0x807381daU,     0x21c9fa2cU,     0x0787c16bU, \
    0x2291ac23U,     0x5b5414d4U,     0x153b2b21U,     0x9d42b606U, \
    0x8fbcb346U,     0x670cc399U,     0xa34582b4U,     0x9e6afa52U, \
    0x0d6a2fd8U,     0xbe2fe577U,     0x312f4946U,     0xc3466a39U, \
    0x09a4172bU,     0x1fad6e7bU,     0x1555e25dU,     0x6b31a0caU, \
    0x0e0a1447U,     0xec67cc70U,     0x7e300c72U,     0xdcae4669U, \
    0x5e9344cdU,     0x91d9fb61U,     0x004f86b4U,     0x931c8c83U, \
    0xcb1c571eU,     0xb3dbb28bU,     0xde26bdc9U,     0x5990a4ebU, \
    0x428c266bU,     0x010b7282U,     0xc8096639U,     0x9c36f8c2U, \
    0x7326479bU,     0xa6a4d1efU,     0xfc2731d8U,     0xcdb8fae0U, \
    0x881dfd67U,     0xf52c19a5U,     0x69d133a1U,     0x6dd6744bU, \
    0x31846aa1U,     0xd51bfdd7U,     0x0eb57663U,     0xece78feeU, \
    0x69960675U,     0x86ad89feU,     0xf4858864U,     0x7d31bf0fU, \
    0xaba543b6U,     0x90855a08U,     0x97a5dc99U,     0x1d5dce15U, \
    0x7cd13464U,     0x2904216eU,     0x5d30cb95U,     0x1c689a8aU, \
    0xce6f8a89U,     0x3725791aU,     0x2c373da3U,     0x1848cb7fU, \
    0x696bbe2aU,     0xbedcf7d4U,     0xf44bb0a1U,     0xd034d1c2U, \
    0x50243c7cU,     0x9cecc4afU,     0x4ed5dd75U,     0x6fc07107U, \
    0x51898f4dU,     0x0937412aU,     0x1f022c56U,     0xc926beddU, \
    0xd7fac4e3U,     0xa685b39fU,     0x50513f03U,     0x654ac447U, \
    0x697288a5U,     0xd0d32c76U,     0x96ac6909U,     0x6765a051U, \
    0x9c45d0abU,     0x32e1e22aU,     0xfdf17654U,     0xa5618abdU, \
    0x8c3bcb86U,     0x1ecd5933U,     0x2fcfa299U,     0x05b9d1d8U, \
    0xdcd8fa76U,     0x6649979dU,     0xefba309dU,     0xc19f820eU, \
    0x70208f04U,     0x27af7f85U,     0x91a79295U,     0x76103159U, \
    0x95c4b318U,     0x03a0d825U,     0x4430925cU,     0xb5569ec7U, \
    0x38f9b2e3U,     0x90126632U,     0x3de68cf7U,     0xc7d2307bU, \
    0xde55eaa3U,     0x0e17be54U,     0x97d0a904U,     0x5bf526f8U, \
    0xef74f07eU,     0x7b7de6feU,     0xb70078eaU,     0x9f92cbf4U, \
    0xcd9873f9U,     0x168a6763U,     0x8c05fadfU,     0xc4bbd62bU, \
    0xdb22d5a7U,     0x578aec61U,     0xc3ad5ac8U,     0x0ab00dabU, \
    0x7d268f23U,     0x4e19a036U,     0x4a434f4bU,     0xb81f1c04U, \
    0xc57f23cfU,     0x291e517eU,     0xcc995daaU,     0x8c39dee8U, \
    0x5fa0f79bU,     0x2537d3ebU,     0xb523df51U,     0x27b37626U, \
    0xa284dbffU,     0x441d2cc9U,     0x7cda7c60U,     0x644a383eU, \
    0xd87448b2U,     0x5230d800U,     0x9d813713U,     0x112fd70cU, \
    0x054c52a1U,     0x1adac388U,     0xb216ac14U,     0xc02f52f9U, \
    0x5de34466U,     0x90a89b98U,     0x5ad4401fU,     0x91c315a9U, \
    0xce3a3661U,     0xaf059bdaU,     0x51438c8dU,     0x408f8676U, \
    0x4b7d4961U,     0x3c91cb10U,     0xd4f6d80eU,     0x3e2cc9deU, \
    0xc7a6bceeU,     0x10a65037U,     0x850234e0U,     0x6f132296U, \
    0x63091c97U,     0x8f064bd1U,     0xb1d176b8U,     0xcef3d006U, \
    0xf1335eaaU,     0x6430a814U,     0x6d1b01ecU,     0xea1870aeU, \
    0xd5e95030U,     0xa0a675c8U,     0x2ea2cfcbU,     0xf16da1a9U, \
    0xa8147ce6U,     0xa4e64220U,     0x0cbad1aaU,     0xd368672eU, \
    0x6fe160c8U,     0xd7553c91U,     0x0f8aa339U,     0x0f7735bdU, \
    0xbce49d27U,     0xde7ff34cU,     0x8ea94fb0U,     0x4288eaedU, \
    0x710978e1U,     0x1f1ecd9bU,     0xd7c11a39U,     0x74c22c74U, \
    0xe0f0ac9dU,     0xe41b74b3U,     0x7b2fe517U,     0x1b030fefU, \
    0x8bdb0c9dU,     0xd1ac58ccU,     0x5f4632ddU,     0x081e1c39U, \
    0x31db746aU,     0x664ca406U,     0x7be01eaaU,     0xc16ee1b7U, \
    0x9821947dU,     0xe568cb2eU,     0xf4e578b1U,     0xa2cd8f21U, \
    0x7509c0e7U,     0x380d5978U,     0xfef8fb53U,     0x82995bfdU, \
    0x14c5aa01U,     0x5c1a55b8U,     0x3b266b33U,     0x0da39609U, \
    0x1c0c5c7eU,     0x1e3b403eU,     0x146984f3U,     0x61d94247U, \
    0x322dfb3bU,     0x888092f1U,     0x605d9212U,     0x8c308edeU, \
    0x99ed339eU,     0x2641a672U,     0xfddd6276U,     0xd205b544U, \
    0x726a5d2bU,     0x3adfe11cU,     0x22de053fU,     0x601f5ac3U, \
    0x560add2dU,     0xe78f4f95U,     0x7887fd48U,     0x7068366bU, \
    0x4e98469bU,     0x47c60330U,     0x39e7dc3fU,     0x9793d8f1U, \
    0x643b1775U,     0xdf78ef22U,     0xdfc49f4aU,     0x8862142dU, \
    0xa4d77d2bU,     0xd6de0ef4U,     0xe2a3bf56U,     0x358f9b4dU, \
    0x57f14b20U,     0x981027c1U,     0xd9e688c3U,     0x25a5f18fU, \
    0x56f9a349U,     0xfd040f28U,     0xf10aa5b7U,     0xabd85b94U, \
    0x1cf3094fU,     0x4a125865U,     0x2e32f01bU,     0x0ce85017U, \
    0x3facbbf5U,     0xad940680U,     0x7ae26629U,     0xcf0b8bf0U, \
    0x69150631U,     0xec99fb38U,     0x8b1bba78U,     0xfeabc73aU, \
    0x64f1f1faU,     0xc9018797U,     0x35c7ac14U,     0xfeef8b18U, \
    0x2f772c7cU,     0x6fcb5f4aU,     0x35ac9eeaU,     0x8465666dU, \
    0x013ff51bU,     0xcc58db4eU,     0xe485d18cU,     0xcba08139U, \
    0x56b76505U,     0xda47147dU,     0x5964b9ebU,     0x92b99ae1U, \
    0x22c2217cU,     0x5fa47a62U,     0x2b36bc1fU,     0xfa729d7cU, \
    0x26392427U,     0x6721a204U,     0x44391855U,     0x44e9bd65U, \
    0xe17b5e81U,     0x6f110be6U,     0xfc781eb0U,     0x2b0bc3fcU, \
    0x373a4e56U,     0x6bd3a474U,     0x1e625892U,     0x5eb137fdU, \
    0x38707987U,     0x0ba7158bU,     0xe0fa6b91U,     0xd9f5f1b3U, \
    0xe1fa8ee2U,     0x745a45b7U,     0xa4519d9cU,     0x30e94a61U, \
    0xfecd1566U,     0xaacfe6dfU,     0xcdc8e63aU,     0x089a87b1U, \
    0x1af6686aU,     0x4a7935a4U,     0x4578d314U,     0xa2214d35U, \
    0xb6a7b37bU,     0xe2d52737U,     0x28686399U,     0x39ab3884U, \
    0xc770e8e7U,     0x718025dcU,     0xbd3023dfU,     0xb827cc31U, \
    0xb4755f36U,     0x399acc1eU,     0xc032a193U,     0x51b66fdbU, \
    0x319ba5b1U,     0x1831e47aU,     0x08656689U,     0xb1a85589U, \
    0xaf3763baU,     0xc08f4fa4U,     0xcab96ad8U,     0x1eb922b7U, \
    0xb73c9503U,     0x6d247fd8U,     0xdbee9d44U,     0x2aec8fcfU, \
    0x7d7dbd82U,     0x20c6380dU,     0x2e721d93U,     0x6c7201c9U, \
    0x77f61b63U,     0x371def53U,     0x4b312234U,     0xeae028bdU, \
    0xdb25225dU,     0xc5b06405U,     0xc4b7adfcU,     0xd704c45dU, \
    0xce40f542U,     0x390e705dU,     0x3a890e3bU,     0xd1e8b4cbU, \
    0x37f72619U,     0xc6d88ad3U,     0x315be2feU,     0xdab72439U, \
    0xca40e056U,     0xd819e549U,     0xd25370e7U,     0x395dca73U, \
    0x21479ff7U,     0x8f921ecdU,     0x3219f5cbU,     0x1dc19b49U, \
    0x57f2ae71U,     0x84f4aaeeU,     0xa9169fdfU,     0xc1b9bc11U, \
    0xef4ee98aU,     0x00b3d04bU,     0xeb80f4dfU,     0xf6c49f37U, \
    0xd50298b6U,     0x32ca1438U,     0x70e66dd2U,     0x9c5b697fU, \
    0xf117ee90U,     0xcceb4a5fU,     0xc4e5dac6U,     0xd3c9ff89U, \
    0xe2ce53f2U,     0x9e7bb99cU,     0x6f4e6780U,     0x60ccec4dU, \
    0x676c17aaU,     0x75e192cbU,     0x232ab572U,     0x043cd00fU, \
    0xc658c349U,     0x109d196cU,     0x075a316cU,     0xab1cd6faU, \
    0x470527ebU,     0x74047b7cU,     0xe7dd3ed9U,     0xffb08b53U, \
    0xdbce6655U,     0xd6fd13c9U,     0x40ba3a6fU,     0xbf82f159U, \
    0xbcf9addfU,     0x80d89a62U,     0x1ee7dca7U,     0x08e05917U, \
    0xb07fe34eU,     0xa5f970d1U,     0xa3c0a925U,     0xbbdd6d7fU, \
    0x6d7415abU,     0xaf5a0e39U,     0x40ebda0bU,     0x07a55edfU, \
    0x0a69c7a5U,     0x6438b25dU,     0xa548569dU,     0x5d63d1d5U, \
    0x6d3dbadaU,     0xdf7cbf25U,     0x22bdc27aU,     0x32653833U, \
    0x237621a7U,     0xdd86379aU,     0xf6721d18U,     0x6920615dU, \
    0xa430525fU,     0x56d22ef9U,     0x1e2c51e3U,     0x2e94d3d6U, \
    0xa2227ab3U,     0xc0581db9U,     0xbe3b2fc8U,     0x35b3f6bdU, \
    0xc72bd298U,     0x2f3a3848U,     0xc212bf05U,     0xe2fd6689U, \
    0xba5005fdU,     0x0f091740U,     0x23bf4f70U,     0xcc2d87caU, \
    0x8957a2edU,     0x5c831023U,     0x8d9c8847U,     0x59e8ae17U, \
    0x16bfc4d3U,     0x927e4cd4U,     0x8c07affdU,     0x826c93ddU, \
    0xeef16742U,     0xff579285U,     0xe8b0277cU,     0x154a9d7aU, \
    0xbbc9fbe7U,     0x43f6517bU,     0x29c4e92bU,     0xd9626d47U, \
    0xbf639e38U,     0x5b313fe1U,     0x2d02cdd2U,     0x1c1ea0b1U, \
    0xd1f798aaU,     0xeb07fa3fU,     0x7088cab2U,     0x183d187cU, \
    0xf97d958aU,     0x6eee2c61U,     0xf6da2542U,     0xe8976a7cU, \
    0xc6c26307U,     0x465d0f77U,     0xba048872U,     0xd240b2d2U, \
    0x42066621U,     0x65425d31U,     0x8dac80c0U,     0xa3d91eaaU, \
    0x770aabafU,     0x74e743c1U,     0xd13f54d6U,     0x1f01b728U, \
    0x63789316U,     0xf099776dU,     0x06d645fcU,     0xa4518979U, \
    0x8db3e198U,     0x4d665ec2U,     0x86686783U,     0xf47e58bfU, \
    0x910a44e6U,     0xa04d4da5U,     0x25c3c019U,     0x3a55da05U, \
    0x21d5a5ddU,     0x4f7acb61U,     0x35c9b8dbU,     0xeeed92b2U, \
    0x9e134cb4U,     0xa3ff817dU,     0x27fea0ccU,     0x7af6237dU, \
    0xc069dad0U,     0x21b3c6b1U,     0x14aac067U,     0x03476e4fU, \
    0x28102622U,     0x1a1f207eU,     0x93b81b0fU,     0x103600afU, \
    0x5309c97aU,     0xe86bfcedU,     0xefc01f2dU,     0x6c6e8e8bU, \
    0x9d5c586aU,     0xe80ebfc9U,     0x01537355U,     0x5783b865U, \
    0xccba8b1dU,     0x85b66e4dU,     0x3a5d95acU,     0xe42ebee3U, \
    0x3b632d10U,     0x634d66daU,     0xa87facb4U,     0xd3ef0b03U, \
    0x4dbdb46aU,     0xda9b762cU,     0x0077c02bU,     0xfa9e57f7U, \
    0x2a5c46bdU,     0xdcd787a4U,     0x16af4e49U,     0x49090889U, \
    0xc484d546U,     0x7d3b8b1aU,     0xa349e865U,     0xea621656U, \
    0x1642cc7fU,     0xec549aa3U,     0x85cfca31U,     0xc2f0d67fU, \
    0xb54cbb2eU,     0xc954400eU,     0x93293d21U,     0xfe7b933fU, \
    0xc84472b3U,     0xe6a7c740U,     0x1035c06dU,     0x2884f07aU, \
    0x0636c3d7U,     0xf76174a3U,     0x382f4750U,     0x3e2d29ecU, \
    0x6e7118b3U,     0xbed10528U,     0xeaefeba9U,     0x8a63a8efU, \
    0x31579f59U,     0x9a4ea418U,     0xe83db51dU,     0x36dbcec5U, \
    0xa43cba0bU,     0x1e405c75U,     0xaeee0209U,     0x354faed5U, \
    0x1efbc15eU,     0x6429e797U,     0xd05f9ac2U,     0x8a56b161U, \
    0xf49fa6c2U,     0x7785e320U,     0x1079ebedU,     0xe204d7f5U, \
    0xe8643c2aU,     0x4def1095U,     0x54400d05U,     0x886e01b0U, \
    0x1f4772a0U,     0x98e23de8U,     0xeef5ba75U,     0x81a70505U, \
    0x4615cf13U,     0x422278f8U,     0xdf4bf08fU,     0x86297338U, \
    0x1cdee961U,     0x329b16e6U,     0xd670fdd4U,     0x128be625U, \
    0xdefa2e20U,     0x16563b96U,     0x1761ea67U,     0x6b26258eU, \
    0x173859eaU,     0xf8cacf21U,     0xd871e4efU,     0x6441192bU, \
    0xb90287dcU,     0x85f5cc22U,     0x8d70e734U,     0x41d6da64U, \
    0x8d2880e3U,     0xc40e59d4U,     0x01e50ad6U,     0x0809e95cU, \
    0xe35291cdU,     0x5dd503daU,     0xc6bb8e61U,     0x9c6c013aU, \
    0xeeda7bf8U,     0xec379457U,     0xf7c4da32U,     0xdedb2092U, \
    0xb4da650fU,     0x0d322440U,     0x6ccf0f72U,     0x3e045381U, \
    0x7484d6aeU,     0x53ac6825U,     0xc96332fdU,     0x51c0a40aU, \
    0xb69dd268U,     0x83aa2a95U,     0x8fed833aU,     0x25bb03feU, \
    0x4f74d375U,     0x265974dbU,     0x16688291U,     0xb9ec0b32U, \
    0xe0e09d69U,     0xd355c9f7U,     0xaea38372U,     0x3d6e9e92U, \
    0x9a29885dU,     0xaaf899ecU,     0xfd4811c1U,     0x6ff0d52fU, \
    0xa0870cfeU,     0xa0a9e841U,     0x06a5c63cU,     0x9d32fbd1U, \
    0x19a6640fU,     0x5977d14dU,     0x9c4a3c60U,     0x760f7cd9U, \
    0x76f78d03U,     0xbe4ccf77U,     0xc3512657U,     0x268bb38cU, \
    0x84396e88U,     0x88a92992U,     0x4c605ff3U,     0x7f43006fU, \
    0xade00694U,     0x5180ee24U,     0x45d2150cU,     0xe7caf96bU, \
    0xf1225fb3U,     0x0982415cU,     0xac242b39U,     0x6096aefaU, \
    0xc40aaeedU,     0x8ec1c47dU,     0x75c26096U,     0xd614f23aU, \
    0x0f203110U,     0xcb8d92ccU,     0x674983f2U,     0x43a50c3bU, \
    0x75091746U,     0xf245b027U,     0xb5c113acU,     0xf5713eecU, \
    0x21344c50U,     0x50957b70U,     0x50ff44d9U,     0x83b80b51U, \
    0xa905ba3dU,     0xf1acc166U,     0x1eb56cc4U,     0xfcad3a0bU, \
    0x3d9276e6U,     0xc2c49163U,     0x43af83c2U,     0x0b93fb7cU, \
    0x1310d0ecU,     0xbdd80570U,     0xfa2e53b4U,     0x4850c1f1U, \
    0x401e28e6U,     0x46f32103U,     0x20e067a9U,     0x9edb491aU, \
    0x8ed86998U,     0x80b167a6U,     0x30b5c8b4U,     0x569ed91bU, \
    0x23140b42U,     0x2dd0c0b9U,     0xc2c92ba4U,     0x578fd691U, \
    0x34c00f2fU,     0xe92e9a22U,     0x898d594dU,     0xa54bb295U, \
    0xa361294dU,     0x667b6a3fU,     0x6262b09bU,     0x3ec61439U, \
    0x20b756a5U,     0x650a4774U,     0xa2039419U,     0xabe85438U, \
    0x3386d893U,     0xf431795eU,     0x5647d548U,     0x32a979c5U, \
    0x8534d055U,     0xc172f299U,     0x8afeb398U,     0xb761a263U, \
    0x670252b3U,     0x73bfd057U,     0x533ebcc8U,     0xe1444a8eU, \
    0xe6543a48U,     0x5f386523U,     0xf439454eU,     0x0abe7304U, \
    0x02b4d72bU,     0x7c506f1bU,     0x9c383ab6U,     0x3966f21fU, \
    0x5d5e0d8aU,     0xcb2539a2U,     0x78604dcbU,     0x4a023acaU, \
    0x4689e45fU,     0x91edb3feU,     0xac2549e1U,     0x32e52e1eU, \
    0xc33b649aU,     0x72223f31U,     0x148fd39eU,     0xe482119fU, \
    0x08f72e31U,     0x48f9d652U,     0x5a1b4ab4U,     0xa4134ffcU, \
    0xf3eaa506U,     0xabf37ee9U,     0xc5208a98U,     0xcc1faed9U, \
    0xd1a780e8U,     0xe1466461U,     0xa915c57eU,     0x6f9975ccU, \
    0x7cbae2b2U,     0xc27d677cU,     0xa1c5168aU,     0xada2cf04U, \
    0x7126b0b5U,     0x624380c9U,     0x223ab553U,     0x530afa0fU, \
    0xaffdaafbU,     0x1bdaa106U,     0x99387c57U,     0x111cb35aU, \
    0x8ac0068fU,     0x04bd6ad0U,     0x2ac0f5f3U,     0x76a3fdf0U, \
    0xa51d2d0cU,     0x5281100fU,     0xe3ccae77U,     0x641f9e28U, \
    0x98374fdcU,     0x3eb16ef0U,     0x2e0a7af1U,     0x024ba3d7U, \
    0x326f36dcU,     0xbd1e4f89U,     0xa700eeadU,     0x69d6c34fU, \
    0x7f7513baU,     0x2019c258U,     0x9d021734U,     0xa35844b3U, \
    0x2d757650U,     0x5b688a9dU,     0x99422e2bU,     0x2060903dU, \
    0xebcc3e00U,     0x721e5334U,     0x28bbb126U,     0xfc62e51aU, \
    0x4834b2a3U,     0x9e38be24U,     0x5b31a533U,     0x08d0e7a6U, \
    0x6ae57960U,     0x48640960U,     0xcfde25d0U,     0xc49befd9U, \
    0x47f3b3c3U,     0xcd4651d0U,     0x24003687U,     0x5f9c016dU, \
    0xe912c528U,     0xdd300da5U,     0xca6617d7U,     0x680d4789U, \
    0x570b7c19U,     0x5629e160U,     0xcf3a2cdeU,     0x52541591U, \
    0xac580c4eU,     0xfff3cea8U,     0x9480630fU,     0x3e3f4c7cU, \
    0x5527c74aU,     0x3c8fc2dfU,     0x9aee4842U,     0x67d1fa41U, \
    0x64a15515U,     0xb8cf2621U,     0x63f82d95U,     0x3788c34fU, \
    0xe4dafc35U,     0x6ec77eecU,     0xf890f5b3U,     0x7a7d98e9U, \
    0x8cd36b8eU,     0x37584181U,     0x2a555384U,     0x09cd1bc5U, \
    0x3cfc3629U,     0xf4d4a8a7U,     0xdbefde9bU,     0x41117357U, \
    0xa805a64bU,     0xf137c0b2U,     0x012121dfU,     0x2d889ce4U, \
    0x4a2b2ba1U,     0x40358b38U,     0x6c3e886aU,     0xe74a243eU, \
    0x093c28e9U,     0x34b2b179U,     0x6abd0a82U,     0x112d3a94U, \
    0xe51e9d13U,     0xbb099649U,     0x9e0cb009U,     0x81e5ad3fU, \
    0xed074df8U,     0x32f2de8cU,     0x88e701b2U,     0x884d4ca6U, \
    0xcff36e3eU,     0x1eb1721bU,     0x38c9aa3bU,     0x92da179eU, \
    0x6fe924d1U,     0x415bb972U,     0x18b1c9cdU,     0xf6e4b3a3U, \
    0x496063fdU,     0xcc762f34U,     0xc8f07aa3U,     0x82242dc7U, \
    0x8ba79575U,     0x97eb1630U,     0x476c047fU,     0x020719b1U, \
    0x50d9d846U,     0x772e0b9aU,     0x152a9471U,     0x6b21f9d4U, \
    0xc4427493U,     0x8ae6c3afU,     0x1ee3535bU,     0x6483c402U, \
    0x13aab152U,     0xd3025954U,     0x753b75feU,     0x085382f7U, \
    0x13854466U,     0xe8bb659bU,     0x4ac97907U,     0x50ef2790U, \
    0xd3ffee04U,     0x72d9fc08U,     0x39ba9784U,     0x386cbf75U, \
    0x61cc8f37U,     0xad82dff1U,     0xf0d4a1eeU,     0x41974b8dU, \
    0xe4be5ba4U,     0x3d91a2fdU,     0x5532bae3U,     0xc9102746U, \
    0xb04867b8U,     0x60873a20U,     0x5edf41a9U,     0x1437fb91U, \
    0x013157b2U,     0x65806466U,     0x8f3ef5f1U,     0xfacf388aU, \
    0x5018725bU,     0xd9cbf700U,     0x920d0d17U,     0x964d0b55U, \
    0xca01f8e1U,     0xa3f9409aU,     0x45bba766U,     0x082eeaf6U, \
    0xe5c8e032U,     0x8e5432f3U,     0xf8616824U,     0x6654d596U, \
    0x3f9be790U,     0x3a419a25U,     0x44da29ccU,     0x64d10dc9U, \
    0x66885d1dU,     0x37c7da19U,     0xc513af89U,     0x422b36f2U, \
    0xdad8f275U,     0x253194ecU,     0x7c9e0a4aU,     0x9c81f7bfU, \
    0x082468eeU,     0x55370ed6U,     0x651060d9U,     0x3c18a309U, \
    0x45548f8bU,     0xd5ceffc8U,     0x84025766U,     0xe60e4fc8U, \
    0x7aa888f9U,     0xf74848d2U,     0xe93e6107U,     0xf6fd40d8U, \
    0xd6d0e2c7U,     0xa70f3049U,     0x81b65d74U,     0xecf24899U, \
    0xa2b71807U,     0xfd7b4f92U,     0x42588a90U,     0xa8208dafU, \
    0x4bbe23e4U,     0x64940b8bU,     0x62908e38U,     0x732b893dU, \
    0x0d97194fU,     0x6e493133U,     0xd31cca83U,     0x269d2941U, \
    0xb6cbbb59U,     0x1c9fdae6U,     0x2afc2f89U,     0x55f03df5U, \
    0xe056e1c0U,     0x2ffabc3cU,     0x6f4b7cd6U,     0x181159f8U, \
    0xca511e76U,     0xcd7f23b0U,     0xd646fe73U,     0x5979100cU, \
    0x8e97ce89U,     0x15b7f411U,     0x29c07469U,     0x5dea7dd1U, \
    0xa3365190U,     0xd1a5c335U,     0xd89e5975U,     0xc075f834U, \
    0xcbaadb23U,     0xcb66aba3U,     0x0a5d9316U,     0x1c710923U, \
    0x16ba587aU,     0xe070b85aU,     0xfad9d747U,     0x65799488U, \
    0x0b1c4512U,     0x81545b39U,     0x5a7535f7U,     0xa57b9e8dU, \
    0xc44abc4bU,     0xf747f81cU,     0xa773b5b2U,     0x878b31f7U, \
    0x635ad737U,     0x8f8046edU,     0xac03e715U,     0xbebefa77U, \
    0x2ec47cebU,     0xc05abe17U,     0x0b507786U,     0x712d3df4U, \
    0x61dea21bU,     0xb64efb58U,     0x720c1980U,     0xc8f764ddU, \
    0x6a2fc343U,     0xd3bd6c5eU,     0xc4136c19U,     0xa64466dcU, \
    0xc9bdb1b4U,     0x19e44472U,     0x70271d9dU,     0xb03aec9dU, \
    0x748afa39U,     0xca1337e4U,     0xeb460c03U,     0x88cf5598U, \
    0x2aa30414U,     0xf43d3e65U,     0xf8cebde8U,     0xff4443c6U, \
    0x33cc5ac5U,     0x741ccd1dU,     0xad760cc8U,     0x8edd80d8U, \
    0x492c7394U,     0xcf74f500U,     0x3ce61706U,     0x3a84c95aU, \
    0x1c4d9e8aU,     0x190a41d7U,     0x54d39897U,     0xdcb6f06aU, \
    0x85d0f8bdU,     0xe27976e4U,     0x1e4b22ffU,     0x83ca505dU, \
    0xf2704049U,     0x626f4b6fU,     0xcbe46eb2U,     0xd0b37401U, \
    0xa37046c8U,     0x62bd79e3U,     0x804a9900U,     0x3125895cU, \
    0x4bd121f9U,     0x8a384af3U,     0xc49422bdU,     0x39b23915U, \
    0x4a384feaU,     0xc58f9962U,     0xf78a5055U,     0xfd4fc310U, \
    0xa4da4b95U,     0xe2c21b8dU,     0x43143c4bU,     0xdfe2e250U, \
    0x176e5aafU,     0x860d49b3U,     0x2251ceabU,     0xb2d596efU, \
    0x9de4dad7U,     0x46c0f0e7U,     0x916a9f54U,     0x39656037U, \
    0x6c24e25dU,     0xa25f091dU,     0x613905afU,     0x2e599aa3U, \
    0x40bfd5fdU,     0x407101e1U,     0xe2da4d5cU,     0x12446046U, \
    0x5812c419U,     0x51fe49beU,     0x80a86f9aU,     0x7d7b86f6U, \
    0xc0b9320aU,     0xe89dcb0eU,     0x7c5e33ddU,     0x7ba82af9U, \
    0x91af6a4dU,     0x69f2a50fU,     0x83a92042U,     0x5558c9e4U, \
    0x00084308U,     0xd4e4e682U,     0xbda55fb1U,     0xf868f832U, \
    0x8ef2f97eU,     0xf7cd6cd2U,     0xa7a33898U,     0x5cee7589U, \
    0x02750b58U,     0x702baad4U,     0x1633acf0U,     0x0aa0aabcU, \
    0x160cf59dU,     0xa76c8a79U,     0xed503195U,     0xff7902afU, \
    0x6c0b9efeU,     0xa4093fd3U,     0xd0f2735aU,     0x9431ca85U, \
    0x3000102bU,     0x5d6b8040U,     0x6fca5a85U,     0xa09979acU, \
    0x796308c1U,     0xb16bc079U,     0xcd7361c7U,     0x7823ecf6U, \
    0xbd7be491U,     0x2245faafU,     0x8a197d5dU,     0xb9c83952U, \
    0x4be39a16U,     0x2ca40aa4U,     0x5c237070U,     0x5c48f7f7U, \
    0x2a54e934U,     0x27532118U,     0xa6f5a878U,     0xc0d1df81U, \
    0x56e8fc19U,     0x9d1c39c4U,     0x68d3b52bU,     0xa7a4b5d9U, \
    0x3d56df00U,     0x27edb207U,     0x5eba3dcaU,     0x3ed157f9U, \
    0xcae88eb6U,     0x1d2d414eU,     0xb9fb7114U,     0xaa6a3583U, \
    0xbbce4cf3U,     0x1d8295afU,     0xdcb56203U,     0xb49fb642U, \
    0x3c8e9939U,     0x13524aa7U,     0x3c8c8285U,     0xb92d8a08U, \
    0x1ed66c87U,     0xe6113287U,     0xfe80755eU,     0x39cb6eb9U, \
    0x48551dd4U,     0x99d6a7b0U,     0x0644cfb2U,     0xffdf3c59U, \
    0x0d9be610U,     0x951d29e3U,     0xdd2045f0U,     0xbd26a225U, \
    0x4db8a0e5U,     0x320c7a63U,     0xe081c9a9U,     0xd0f8723fU, \
    0x94d1764eU,     0x7f461ccdU,     0xc369127eU,     0x155e90aeU, \
    0xfb6e24fcU,     0x87873e07U,     0xbdf85c8cU,     0x857e5fd4U, \
    0x46586b59U,     0xc7f05e53U,     0xfdc6bfddU,     0xcb1f98d3U, \
    0x70b502b3U,     0x1e7d8770U,     0x08316899U,     0x5e199869U, \
    0x4848cad3U,     0x27ed9fa7U,     0x2f58a6f3U,     0x35ed9fd5U, \
    0x59eb2ee7U,     0xf89668cdU,     0xcdbf6e2fU,     0x2d0b5935U, \
    0x1da11bb4U,     0xaa9a6392U,     0x2ff24898U,     0x6ab1252dU, \
    0x6a228003U,     0x8b076db3U,     0x3e6e9767U,     0xe3efa2a6U, \
    0x67dc5f60U,     0xcea9272dU,     0xf583d8afU,     0x2f2fbf01U, \
    0x2f509344U,     0xb8acc21fU,     0x8f03392bU,     0xe22dcf85U, \
    0x6cc79eb5U,     0xd47ccad3U,     0xd9277cc8U,     0x1c993ddcU, \
    0x20d715b0U,     0x9186fe5eU,     0xf69eb5bdU,     0x0e0cc5faU, \
    0x6bf04b0bU,     0xc9909a35U,     0x25f0ed5eU,     0xead71a6eU, \
    0x51513d9eU,     0x893ac97fU,     0xdb137568U,     0x1d50f6c9U, \
    0x8361531dU,     0x1e855198U,     0x12119858U,     0x8f8abe23U, \
    0x12d393bfU,     0x1b995aa0U,     0x63fd0793U,     0x19e32ac8U, \
    0x9eeb8699U,     0x15b819caU,     0x4b706020U,     0x1df9b168U, \
    0x80f9c351U,     0xee75f4a7U,     0x9610d9f8U,     0x775237cdU, \
    0x5c4d7b02U,     0xf1f94e4cU,     0xf5af0c61U,     0x30513ea1U, \
    0x69bd0d96U,     0x5e690cbeU,     0x2f5bb6e5U,     0xeabfb9daU, \
    0xfc8e51c5U,     0x45a7d82eU,     0x77e09636U,     0xd4eebd1bU, \
    0x00ba30c1U,     0xa6e05edeU,     0xd421404dU,     0xaa1f2c82U, \
    0xcb8e70c5U,     0xfd452d75U,     0x1f490791U,     0xe8728355U, \
    0xfd6747f4U,     0x28265aecU,     0x048fe350U,     0x8614e9b6U, \
    0xee9360c2U,     0xfca0b4f2U,     0xd69e123cU,     0xfb9110a6U, \
    0x103da2c1U,     0x7768e0b2U,     0xbc0806f0U,     0x35038924U, \
    0x3719d3a9U,     0x9f82fae5U,     0x451b0de0U,     0xbd99aad6U, \
    0xb5858d15U,     0x68533f44U,     0x82f925b6U,     0x462e0462U, \
    0x796e6db5U,     0xd701cf64U,     0x08b71c8dU,     0x367c4910U, \
    0x0b335219U,     0xd0983b42U,     0x02a51daeU,     0xb99d9657U, \
    0xa8159b55U,     0x0f5cd637U,     0x18effb37U,     0xb6ed08fcU, \
    0xc237bcafU,     0xe520e346U,     0x8ebbcfa9U,     0x403031fbU, \
    0x39c01eebU,     0x0c6da495U,     0x808e9d1fU,     0x6cb28968U, \
    0xd91b32baU,     0xa0ea3fbbU,     0x27a5c80eU,     0xa63801d7U, \
    0xde8fe38cU,     0xbd6743dcU,     0x557dd19bU,     0xd17b37acU, \
    0xb638e3a4U,     0x92b24ce3U,     0xf10fbfa6U,     0xe464a882U, \
    0x7e587f30U,     0x6bc2a44aU,     0x585fdb66U,     0x4e809635U, \
    0x3a9e0277U,     0x6beedc58U,     0x7ba6076cU,     0x416a17c7U, \
    0xd6c1877fU,     0x6554f704U,     0x6072f979U,     0xd9b05275U, \
    0x7807c69bU,     0x7e9d58e0U,     0x29d11b2dU,     0xd37e24e9U, \
    0x9d64a4f9U,     0xa17d9ce3U,     0xeb86c52bU,     0xc38f0c90U, \
    0x63b6b36aU,     0xae3a5b08U,     0xea6c2a59U,     0x9474d18dU, \
    0xf907561cU,     0xc413c3faU,     0x3dadec34U,     0x17f71170U, \
    0x14668ebdU,     0x2dd36abcU,     0x2abe4fadU,     0x7a6db887U, \
    0xa5de4b36U,     0x0beac9a6U,     0x427bc3d8U,     0x6779c7e1U, \
    0x768c0cd4U,     0xc00f610eU,     0xb9338930U,     0xdd2b7584U, \
    0xd7781d7bU,     0xd3b7f321U,     0xce3b938eU,     0x75b40068U, \
    0x909861b5U,     0x4c4af7fbU,     0x4f6e08e1U,     0x48952f4aU, \
    0x2c910192U,     0xdfa26398U,     0x5e008e72U,     0xf2a7fb7dU, \
    0x23067c52U,     0x0b3a4f5bU,     0xdc0d9597U,     0x039168d1U, \
    0x429c3a59U,     0xf594e8dbU,     0xaf55ab67U,     0xff6b166fU, \
    0x73343445U,     0xb90210adU,     0xa773d392U,     0x3f636ae0U, \
    0x64769226U,     0xa8af6289U,     0xc13f636dU,     0x160ba83eU, \
    0xa4c5b3eeU,     0xe1f61ec5U,     0x8f93ea94U,     0x7e80da49U, \
    0xd3e0a872U,     0xe9c125c4U,     0xd8e84a14U,     0xd8b766bbU, \
    0xe6dcdc65U,     0xf19de81eU,     0x5c62d061U,     0x2e4a958dU, \
    0xea72ec6cU,     0x582f68fbU,     0x50d71af0U,     0x187f7748U, \
    0x34ef893dU,     0xf4f550b7U,     0xb2b07438U,     0x897e5c05U, \
    0x8270aac4U,     0x31d800c3U,     0x0d23228eU,     0x77219e16U, \
    0x039b53c6U,     0x695ec607U,     0xea89b1b8U,     0x190bb2a9U, \
    0xbfc8d07fU,     0xb69c2f37U,     0x11a976daU,     0x818e8160U, \
    0xb751d577U,     0x2dbffee3U,     0x9faa715bU,     0xd104ce5fU, \
    0x81e24c91U,     0x14129892U,     0x38a6921cU,     0x22ad083aU, \
    0x657743c1U,     0xfd8aa28aU,     0x1f14ebf8U,     0x33af2fc3U, \
    0x52511e60U,     0xe1420ff8U,     0x43f2a1fdU,     0x387351e7U, \
    0xc2a25191U,     0x9efa1300U,     0x55ab568bU,     0x062c8c06U, \
    0x04267287U,     0xba4eea20U,     0x44516cabU,     0xaddd3113U, \
    0x2119e7a3U,     0xb39c43e9U,     0xa148d322U,     0xa714fc23U, \
    0xb827f606U,     0x0758acccU,     0xc2a32517U,     0xb4ee6aefU, \
    0x0d932876U,     0xa9f134cdU,     0x184cd70cU,     0x72824912U, \
    0x97dde749U,     0x71052f1fU,     0x4e4774e0U,     0x18e1dad8U, \
    0xa0b3d131U,     0x0c147291U,     0x17116162U,     0x2dddc8f9U, \
    0x69ea573fU,     0xd95879e7U,     0xc0703f0eU,     0xda203e9aU, \
    0x5f62db6eU,     0x75cfbb94U,     0x97735e47U,     0x16931e9fU, \
    0x0e7b92f5U,     0x4e01fbf5U,     0x23c7472bU,     0xe11527e6U, \
    0x06a7da9fU,     0x85e7e70fU,     0x5b47cd7fU,     0x32829667U, \
    0xd0c1c6ebU,     0xe632e46dU,     0x9766b374U,     0x5a4f856dU, \
    0x30c29f91U,     0xe4ad477cU,     0x45356ad8U,     0x7f9b8d9dU, \
    0x075fbc26U,     0x6ecb36b5U,     0xf4d3a25bU,     0x7eb65b18U, \
    0x30a6e960U,     0xfe185f83U,     0xd8793dc7U,     0xbb79d951U, \
    0x5351fb12U,     0x8bc2beaeU,     0x2b54e990U,     0x5bc1b3d0U, \
    0x17e1d3cfU,     0x65180848U,     0x3623338eU,     0x49b35ea5U, \
    0x7586a9fcU,     0x2c118a4aU,     0x57a633f9U,     0x853b66a9U, \
    0xa194e111U,     0xa801545fU,     0xbf007b99U,     0xf6231c0eU, \
    0x9f055d04U,     0xcb5b0ed6U,     0x9afc8bb6U,     0xa547e19cU, \
    0xf34a73f3U,     0xb4d5f243U,     0xb9883d0cU,     0x331eb7f1U, \
    0x74584310U,     0x4b785effU,     0x7c0ace94U,     0x08f391c2U, \
    0x3c733040U,     0x21a04f38U,     0xd7a3d443U,     0xba0ea65fU, \
    0x378b8c04U,     0x3421ce23U,     0xe0b3fa78U,     0x5eacfc7bU, \
    0xb5120661U,     0xdfb5a419U,     0x2bae0250U,     0x1781dc5bU, \
    0x4a214174U,     0xa02f1799U,     0x3c973029U,     0x1352485dU, \
    0xb8e4e333U,     0xcf3f9636U,     0xc14f3fd2U,     0xe5d7bf8fU, \
    0xd27e60fbU,     0xd023d2c2U,     0x92b8bb68U,     0x62104d03U, \
    0x51136e7eU,     0x3528ceb9U,     0x36cd7da9U,     0x6acc7528U, \
    0x726c0099U,     0x49f1e83eU,     0x220a6ea7U,     0x9a36ea0dU, \
    0x3c3ca83fU,     0x325e51e2U,     0x6f03ed19U,     0x7c4f5c3aU, \
    0x73147395U,     0x5c58b3e3U,     0xf1f01d37U,     0xc775ecbdU, \
    0x22caca08U,     0x83dc9c38U,     0x02873882U,     0x23937dacU, \
    0x9c92d17dU,     0x12dd96b7U,     0xf3994a5bU,     0x8f8ef83aU, \
    0xd2c88a8aU,     0x968e1530U,     0x1ba5a29bU,     0x5c328f82U, \
    0x33e2db12U,     0x7e8a7706U,     0x908c37b7U,     0xdaf6a89fU, \
    0x642ebe3bU,     0x08ea7f66U,     0xed8c74f1U,     0x31050bd6U, \
    0xb3ed3375U,     0x1a7694c7U,     0x7792b8adU,     0x055619b6U, \
    0x1892536bU,     0xcb7c7afeU,     0x225a6424U,     0x0861e31eU, \
    0x72616d54U,     0x827c423eU,     0x993e0bc9U,     0xaea8a1a0U, \
    0x16f6f170U,     0x74feb4f3U,     0x22a03961U,     0xb7e82c61U, \
    0xf8a88ce6U,     0x954208eeU,     0x90dba818U,     0xa60f0429U, \
    0xd6e66fd9U,     0x73b7fd1bU,     0xbaaf1c26U,     0xcb1ca2b0U, \
    0x0a933b67U,     0xca0178eaU,     0x758ac911U,     0x83ea76aeU, \
    0xc3bcf208U,     0xeb92da28U,     0x0241de83U,     0x498db01dU, \
    0xd3c3dac2U,     0x588d6203U,     0xd89a777fU,     0x249365deU, \
    0xf792bd0cU,     0xa86d2bbcU,     0x7b69ebe0U,     0xc5a76b34U, \
    0xff924c50U,     0x1933f9daU,     0x6e1d0388U,     0x2aefd519U, \
    0xc7c66519U,     0xdd2ff154U,     0xf9ed4184U,     0xaa69b07fU, \
    0xc7a678d3U,     0x4fd48ad8U,     0x1bbefbe8U,     0x89e97a14U, \
    0x9030ca96U,     0xcd2f76b8U,     0xd7687289U,     0xe3bccec5U, \
    0x5a122ba4U,     0xebdd9030U,     0x021f395aU,     0x3c64be30U, \
    0x3e936952U,     0x65ed3dc2U,     0x00a2b07bU,     0xd6419e1dU, \
    0xac185c02U,     0x0df12cecU,     0xa2cc0e47U,     0xb0b4c8c8U, \
    0x3d931cbeU,     0x69fb701bU,     0x7c427ce4U,     0x9fe1cf00U, \
    0xc9e01138U,     0x4bcb43f2U,     0xd529916aU,     0x74044822U, \
    0xeb269ef5U,     0xeb853375U,     0x485b332fU,     0xaea36802U, \
    0xc13bb937U,     0x0c8ae93cU,     0x734ffff9U,     0xd6ae7789U, \
    0x3cf040a9U,     0x38d45136U,     0x22ca1012U,     0xca0c986dU, \
    0x17a9e1fcU,     0x610e5b3fU,     0xc906ca00U,     0xad57af79U, \
    0xd46c5b00U,     0xb5950d08U,     0x1416fe3fU,     0x73b466ddU, \
    0x9a6e4859U,     0x6342e86bU,     0x70bb757bU,     0xfe303c83U, \
    0x7b3b2743U,     0x0e213e01U,     0x6d99c290U,     0x1e99c156U, \
    0xe967eddbU,     0x930c7e67U,     0xfa110d46U,     0xf1d874a0U, \
    0xf86eec78U,     0x9920283bU,     0x457822e5U,     0xc51173daU, \
    0xd0731925U,     0xfb6f4328U,     0x8d5facdcU,     0x9b4dc1b1U, \
    0x34956012U,     0xc1da52dbU,     0x20c35190U,     0xb7bd6f10U, \
    0xe7f9ae28U,     0xbceb80e3U,     0x972a508bU,     0x38a8c7dbU, \
    0x71d9a969U,     0x1fb7cd1aU,     0x22aee38fU,     0x527cf1b2U, \
    0x5e5e7f43U,     0x1d8b1519U,     0xc6ff564dU,     0x19dc5c2aU, \
    0x0ad3b8aaU,     0x29766fe5U,     0x25750b33U,     0x00adc245U, \
    0x605cda93U,     0xcfac9f44U,     0x7dd4731cU,     0xb7e5af21U, \
    0xf09142b5U,     0x09e1a7c0U,     0x9c2a5abeU,     0x47dd7405U, \
    0x7dcd8da4U,     0x6dc9bf67U,     0xc1d2030fU,     0x062117d1U, \
    0x8ca81520U,     0x0f862122U,     0xc6efb382U,     0x629d6a38U, \
    0xefdf8cbbU,     0x263b6a99U,     0x289705acU,     0x9c077cbdU, \
    0xe314385fU,     0x67d8db77U,     0xd3c943acU,     0x9cb59d55U, \
    0x291e4631U,     0x9beafb1aU,     0x643391c8U,     0x74f3d593U, \
    0xab161ba0U,     0x7898ad58U,     0x77286f4eU,     0x016afdc8U, \
    0xb558d2afU,     0x721b77ceU,     0xf4dbb7b6U,     0xf52960a3U, \
    0xc2dd1ea8U,     0xa596fdd6U,     0xe43665e7U,     0x46eb8da5U, \
    0x1eb8160cU,     0xd18fef2bU,     0x44a8e89cU,     0x77cc6333U, \
    0xba712b3dU,     0xaaf556f6U,     0x903930ccU,     0xe10aedb1U, \
    0x7ac164a5U,     0x3c9ba718U,     0xc372fd7dU,     0xf8a7aaabU, \
    0x2cf3a1abU,     0xc35811c5U,     0xa1868a21U,     0x3b61f1ceU, \
    0x764d42b9U,     0xb2778effU,     0x57ec9339U,     0xc8b44b33U, \
    0x9c628b7aU,     0x88ebcd41U,     0xbde8bec5U,     0x0ba3f484U, \
    0xdb4022bcU,     0xf210d7d8U,     0x4a3a633aU,     0x74bd2f40U, \
    0x94a93081U,     0xe8859f2bU,     0xc1b426d7U,     0x8946ce0eU, \
    0x8658a790U,     0xa741c432U,     0x2073be18U,     0xa7d2b864U, \
    0xa161eaccU,     0xbc90faa6U,     0x1162f21fU,     0xdcea923dU, \
    0xa4566024U,     0x98bf4dfbU,     0xb4eee5f1U,     0x9ccbd8bfU, \
    0xabd6f620U,     0x26c3a9b9U,     0x6567098bU,     0xd5bd9e54U, \
    0x64f5d0ecU,     0xef0b2595U,     0xc343b179U,     0x7bf47272U, \
    0x5f73c160U,     0x7fa2730eU,     0xcb31e863U,     0x88448ae9U, \
    0x88769c67U,     0x9400cc8fU,     0x9cd6cb46U,     0xdcd9a313U, \
    0xc392d171U,     0x7d539052U,     0x462ed822U,     0xf13177acU, \
    0x27aa8da6U,     0xd96a0552U,     0xb4ae5e4aU,     0x62de8399U, \
    0xfe255ad6U,     0x0e38a747U,     0x1d8a8a0aU,     0xe3801022U, \
    0xde799abfU,     0x64e52970U,     0x8abbce2eU,     0x8c195889U, \
    0x88993c97U,     0xfdc8fe51U,     0x2794eb77U,     0xc3c6ac82U, \
    0x0883e1edU,     0x78d7529bU,     0xff0853efU,     0xa2bae840U, \
    0x3cbdfae6U,     0xcd0ff286U,     0x39740e03U,     0x8612ec80U, \
    0x07aefd48U,     0xb1fea452U,     0x184f0a83U,     0x6953f6f1U, \
    0xb0954802U,     0x98c1f85aU,     0x861d2673U,     0xe5beade7U, \
    0xfd36f714U,     0x53efe772U,     0x5db0c000U,     0xc14698adU, \
    0xc8d59ab1U,     0xe5188d8fU,     0x0de34454U,     0x971f9f23U, \
    0x7a4a31d8U,     0xc49664ebU,     0xdaee1937U,     0x881240deU, \
    0xf1400d60U,     0xc230948aU,     0x2aef1c16U,     0x5a1e0144U, \
    0x09114158U,     0xc032e29fU,     0x6272225bU,     0x8e1485dbU, \
    0x33fdcaf0U,     0x68eb037eU,     0x5349ef4fU,     0x70a739fbU, \
    0x6beace35U,     0x7eb3a476U,     0x37b82753U,     0xd837874cU, \
    0x91f96e6bU,     0xd4e4ccf3U,     0x89fae574U,     0xc63510f0U, \
    0x36cab6e3U,     0x3bb19ce6U,     0xca11a690U,     0x31ff8f67U, \
    0x22246ae2U,     0xe3dc0220U,     0x4595e79cU,     0xb99c5f70U, \
    0x129c85daU,     0xf719568dU,     0x3c1efad0U,     0x1315a93fU, \
    0x065464ffU,     0x82c7f4c5U,     0xfa4210c7U,     0x5bd55f88U, \
    0x499fe939U,     0x2bbcd3a0U,     0x802350b7U,     0x8964653bU, \
    0x2c4973b3U,     0x17409f4aU,     0xe5d6ccc8U,     0x5a338983U, \
    0xb94424deU,     0x17ac4f49U,     0x68c364f1U,     0xa0048b18U, \
    0xf0711b91U,     0x97365b54U,     0xd4c3acbaU,     0x3f17c43fU, \
    0xc3f7210cU,     0x5c78f3f2U,     0xc3dbb128U,     0x0ac18558U, \
    0x9a7678ebU,     0x533e7454U,     0xd7775501U,     0x33b18f6dU, \
    0xa24cd31aU,     0x09ef8b0bU,     0x25c20e2bU,     0x66d75070U, \
    0xff5d7d57U,     0xb77b808dU,     0x0f2992abU,     0x67a4de31U, \
    0xe21fcd48U,     0x44c63aafU,     0x5353c00cU,     0x0946d177U, \
    0x4e790600U,     0x448b3dffU,     0x7967d744U,     0x715a84d3U, \
    0xbb343e17U,     0x8450d45cU,     0xd4f06c26U,     0xc810c805U, \
    0x48f841e5U,     0x0b90b3c4U,     0x458962c4U,     0xbdc9a503U, \
    0xeee86f0fU,     0x1ba806c9U,     0x42b6f41dU,     0x10e8148cU, \
    0x162cd722U,     0xbacb3ab9U,     0x11a86df3U,     0x4ec7afffU, \
    0xf67fcf60U,     0x44907271U,     0x2c9d931bU,     0x6b4d17a2U, \
    0x06d72f31U,     0x69c19273U,     0xf1a3b5b9U,     0x5bd77332U, \
    0x25704f0dU,     0x34b497e5U,     0x42eabea8U,     0xaa210829U, \
    0x7c064024U,     0xbb34f284U,     0xea033dd0U,     0x45b581eeU, \
    0x4abc07ddU,     0x6669ac18U,     0x78e9c9baU,     0x1012b9f1U, \
    0x9cfdfd70U,     0x6598f2ffU,     0x1ae090d2U,     0xa2b714b4U, \
    0x87472403U,     0xa487382fU,     0x848250b9U,     0xcf31073bU, \
    0x780b5f59U,     0x6c97d0a8U,     0xd554e47fU,     0x0a5ba2e6U, \
    0x2ad652c1U,     0x71b34201U,     0xdc23505cU,     0x61ad8df9U, \
    0x28bf3bc3U,     0xc3edcd9fU,     0x9a4068d8U,     0x263d5517U, \
    0xb6bc264bU,     0x40c7c1c3U,     0x4b7944c6U,     0xcbcffb25U, \
    0xf8c81053U,     0xa5c044b2U,     0x76138e95U,     0x8b6cab53U, \
    0x3a11a04aU,     0x12be7551U,     0xc150b561U,     0xd5ee8a3cU, \
    0xd28a7e79U,     0x3f0827baU,     0x432f2c0bU,     0xe37dba94U, \
    0xb64a0f0aU,     0xc3aff796U,     0x19f1cbacU,     0xc74cce0eU, \
    0x4f4c16aaU,     0x7b7eaaecU,     0x8e549834U,     0x8f968c4dU, \
    0x095a44ddU,     0x7e6b2f29U,     0x31ba6f43U,     0xe9c5b020U, \
    0xff7b8857U,     0xee26e7a3U,     0x54099db0U,     0x846b67bfU, \
    0x648b1af7U,     0xd244e249U,     0xb7efbc98U,     0x90d9375aU, \
    0xc97db730U,     0x922a6b7aU,     0x4aee8a71U,     0x780f2453U, \
    0x95401e9dU,     0xeed42a69U,     0xc1901b97U,     0xceefdd8aU, \
    0x2b1c4daeU,     0x22b0ff35U,     0x86e5b8b1U,     0x15cdace6U, \
    0xd6f3262cU,     0xb070401aU,     0xd0af13a8U,     0x0ee9f64fU, \
    0x25541e38U,     0x822396bfU,     0x341aed15U,     0xd7ad8a29U, \
    0xd04ab428U,     0xe855bfd0U,     0x1ee21d9bU,     0x0ce5bcb7U, \
    0xcb67f875U,     0x145a55e8U,     0xae26117aU,     0x1b7f3558U, \
    0x85970173U,     0x7c72735fU,     0x530c1d33U,     0x5c7102f7U, \
    0xaeedf1b4U,     0x3a0c80caU,     0xdbd90352U,     0xd63f726bU, \
    0xb4dd1b45U,     0x51b9caebU,     0x9466bdfbU,     0x7c910ad9U, \
    0xa836c6f0U,     0x754b357dU,     0x71f16258U,     0x791547deU, \
    0xad3e93e8U,     0x6830842fU,     0x5de39943U,     0x7246ad07U, \
    0xbca297baU,     0x5692220bU,     0x2a8c7a03U,     0xd194dae3U, \
    0x55565bbdU,     0xf8696857U,     0xdaf63e69U,     0x46791743U, \
    0x80a4260eU,     0xc351d6caU,     0xe5208bbcU,     0xf528bccfU, \
    0xcb50da97U,     0xc963ef65U,     0x2fef651cU,     0x06c868dbU, \
    0xf6351c8cU,     0x108ce45cU,     0x7e33be3eU,     0xa440ecd2U, \
    0x713ad732U,     0x50aeaa89U,     0x1a258362U,     0x946670baU, \
    0x5e6f7fc8U,     0x8ac102b2U,     0xecd26ec4U,     0x388ee158U, \
    0x5b2ad2aeU,     0x4b171255U,     0xa2584ac4U,     0x7e316d1dU, \
    0x7d1b87a6U,     0x989d3e84U,     0x0bceb76fU,     0xd56ea2d3U, \
    0xf20a6c64U,     0xfeb74f77U,     0x64ec3853U,     0x9faefef9U, \
    0xc47926dbU,     0x7cbb954fU,     0x6b727500U,     0x0b4e1d5cU, \
    0x3dd0b433U,     0xe61e8cebU,     0xe638ec61U,     0xe0e675c5U, \
    0x073e7f0cU,     0xff9b2b00U,     0xeb8c366cU,     0xd38a3e55U, \
    0x8a210559U,     0xb6443d84U,     0x65e2ce7cU,     0x9da07bd2U, \
    0xa3fad986U,     0x41c6eec5U,     0x41605febU,     0x839535b4U, \
    0xe31ffe0fU,     0xe1239308U,     0x4905d79eU,     0x960dc178U, \
    0x75d72260U,     0xedaaca1dU,     0x6d9810d8U,     0x9a802bfbU, \
    0xdea4f39aU,     0x99486c00U,     0x5ea0b978U,     0x31fec473U, \
    0x9d83d350U,     0x0a9a2629U,     0x4bedb06cU,     0x13048521U, \
    0xe3f8f2eeU,     0x236e707bU,     0x1249cb63U,     0xf6ad65bfU, \
    0x8c5b8312U,     0x6dd9e7e2U,     0xb6ce6cceU,     0x42fcb78dU, \
    0xdc82f292U,     0xbe5ad776U,     0x3b06b978U,     0xff1eb103U, \
    0xb4aeed1aU,     0x38df27f5U,     0x26fbee9bU,     0x5b1a96f9U, \
    0x9f61e059U,     0x953bad16U,     0x97d02019U,     0xbffcbfeeU, \
    0x4257cc1eU,     0xeae31cfeU,     0x73d85819U,     0xf03b0667U, \
    0x4f049ce2U,     0xfec8ea57U,     0x6ab6af77U,     0xd150e32eU, \
    0x5555c8b3U,     0xffdd66c3U,     0x3c9dd5e7U,     0x2057384eU, \
    0x8581576eU,     0x27dfdfa4U,     0xc9445444U,     0x529fd812U, \
    0x44a5959cU,     0xe0da5095U,     0x770211efU,     0xd0bdab04U, \
    0x8ed2ce3dU,     0x9a418a8eU,     0x111453f4U,     0xaa898e59U, \
    0xdc2a3f32U,     0xeaca7b17U,     0x02f14b9cU,     0x1de2a628U, \
    0x0d3f0a4fU,     0xaccda63dU,     0x388f8c89U,     0x359130b8U, \
    0x820ad3ecU,     0x018d1699U,     0x52100cafU,     0xbe8c4d51U, \
    0x6075e8daU,     0x369747c6U,     0xf2f54bbdU,     0xbf55a215U, \
    0xc1932e32U,     0x7cf1e366U,     0xe1bd9f24U,     0x2f5eab9aU, \
    0x0b7aea45U,     0x2d36e670U,     0x3b00074aU,     0x83f40ec1U, \
    0x8fcc694dU,     0xb6dded24U,     0x9662d2eaU,     0x023d3f77U, \
    0x6422b72fU,     0x2b3a5898U,     0x03a63f97U,     0x8e49eddbU, \
    0x0db868a7U,     0x10828e13U,     0xf68aa332U,     0xe5d9caf2U, \
    0xc7f5d987U,     0x40a26992U,     0xe296eb68U,     0x24bd3e47U, \
    0x220c3e8eU,     0xbee4552cU,     0x642eb71cU,     0x4bdfb25fU, \
    0xe708a618U,     0x4acde0c7U,     0xbc31e748U,     0x309aac9dU, \
    0xa55d9af4U,     0x35812c49U,     0xa815eee5U,     0x271ec737U, \
    0x2ccf69c1U,     0x1de931b3U,     0x2f289af5U,     0xf6d5c3e4U, \
    0x1e49bd29U,     0x85e7bbf2U,     0xab94da2bU,     0xdb13d2a9U, \
    0x5e7f51cfU,     0x79d57676U,     0x0dee4d9eU,     0xce9f51f4U, \
    0x4d0c1c00U,     0x7f66a677U,     0x712d42eeU,     0x1c2f5552U, \
    0x381c4cd2U,     0xe07842f3U,     0x9750ec3cU,     0x5032e07eU, \
    0x312c0a66U,     0x330f7ddaU,     0x1bcac0d4U,     0x8a59512fU, \
    0xdc8e9808U,     0x10f79539U,     0xe0d18548U,     0xe806bbc5U, \
    0xb26aa99aU,     0x44b924bbU,     0x9a76a98dU,     0x13cbfa31U, \
    0xe8f72077U,     0xdec05813U,     0x029f49acU,     0xcd6ab510U, \
    0x44a53fe8U,     0x9f74e89aU,     0x0e6b015fU,     0xf8f9885bU, \
    0xf3a52519U,     0x74d5f54dU,     0xc2adcf3eU,     0xfe6d3512U, \
    0xe6b96d4aU,     0xf903fd57U,     0x45b89700U,     0xb018fcd5U, \
    0x89176586U,     0xabe090a8U,     0x1c0c086dU,     0xa7f5fffdU, \
    0xd3fbb6daU,     0xb1a7a7f7U,     0xc6988779U,     0xae78dd54U, \
    0xa3908bdcU,     0xd75fbab7U,     0xc6f27931U,     0x8730a9ecU, \
    0x5cde4342U,     0xc79bcd5dU,     0x96330c4fU,     0x4b254e4aU, \
    0x241434eaU,     0x804742a6U,     0xe7973862U,     0x7490aa39U, \
    0xa4f3fea8U,     0x607e6843U,     0x6ab7084bU,     0x67877427U, \
    0xaaf81613U,     0x29de701fU,     0xc66d72a7U,     0x33970379U, \
    0x35da698eU,     0xa9b6be1bU,     0x83d9cd62U,     0x6d7f004eU, \
    0xe4412b6aU,     0x7a5d8210U,     0xf4663c50U,     0x0a2c7e48U, \
    0xbe29e592U,     0xdfda7e8fU,     0x7106e132U,     0x2521bd88U, \
    0x3e5d598fU,     0xa67df689U,     0x52546da2U,     0x7919b4d7U, \
    0x14a2158bU,     0x3d2f735aU,     0x22725872U,     0x109f025dU, \
    0xca989107U,     0xbaf548c1U,     0xa3dc6abdU,     0x3b8ca6d2U, \
    0xcaa5e151U,     0xe6c87f99U,     0x15cc0d63U,     0xfd6a6e42U, \
    0x7bf3ac8bU,     0x8fdc296fU,     0x56fbd703U,     0xe1ebcf44U, \
    0xdcf44234U,     0xa647333bU,     0x9d2ec373U,     0x2d364b53U, \
    0x764a8a27U,     0xa38f5d55U,     0xcb24dbd5U,     0xdfb62b52U, \
    0x9d3360f7U,     0x28e9f5bbU,     0x205533c8U,     0x0c19864eU, \
    0xba6de53dU,     0x40949b8aU,     0x010d794eU,     0x9df1b603U, \
    0x6f665bceU,     0xa4e9f3b7U,     0x0907457eU,     0x976a1e02U, \
    0xe3152694U,     0xdd4c6c0bU,     0x52b0e418U,     0x8ad2f600U, \
    0x4b3a66fbU,     0x62a16ea5U,     0xec422b58U,     0x6eb9c298U, \
    0x53668ea3U,     0x695a90b7U,     0xc13cac1cU,     0x44f88232U, \
    0xb0d395dfU,     0xcc001237U,     0xc66262aaU,     0xd22a61a7U, \
    0x03aaabcdU,     0x1e8d2530U,     0xf64273c3U,     0x2ebcedb1U, \
    0xbea60025U,     0x58f26da8U,     0x12d4cb0cU,     0x9386fbb5U, \
    0x1f528d17U,     0xdca74742U,     0xd79ed757U,     0x366a20e7U, \
    0x9bf54a27U,     0x8e891aa6U,     0xf8acfddeU,     0xe0fb8d52U, \
    0xd68af3a1U,     0xe6afdee3U,     0xe4ec9ab2U,     0xbc5b68b2U, \
    0x1cbe11bbU,     0x738b4d90U,     0xdc4377aaU,     0x81cb60b0U, \
    0x19d44817U,     0x16d1b2e9U,     0x4e46b74cU,     0x1f51d50fU, \
    0x7b4bf6f8U,     0x26d8bfbdU,     0x5ba7f63bU,     0xadc22178U, \
    0xa653b5f9U,     0x6cea6116U,     0x9c82a468U,     0x566d14e7U, \
    0xd40748deU,     0xd3e317e9U,     0xc87a0083U,     0x864d69d8U, \
    0xe0a0eb44U,     0x162e569cU,     0x3ab94dd7U,     0x70716fb1U, \
    0x27d4e626U,     0x88718eeeU,     0xa626a474U,     0xf269749bU, \
    0xbaf38369U,     0xb1aa28fcU,     0x7658e8ebU,     0x6ce3a1a3U, \
    0x060dfeaaU,     0x6ee48e90U,     0xadbea15dU,     0x7d04124bU, \
    0x291a4dc6U,     0x274dbd39U,     0x1b4a7d75U,     0x654a3b74U, \
    0xc7eed02bU,     0x60bde00fU,     0x9724b57bU,     0x5de02254U, \
    0x104e599aU,     0x000983a0U,     0x5f7af495U,     0x9e3d017bU, \
    0x34617416U,     0xcdf64699U,     0x2399d880U,     0x36c5dc78U, \
    0xc9493cabU,     0x60acf2e1U,     0xb8729747U,     0x529a4a26U, \
    0x47e90f58U,     0xec931219U,     0x513ef362U,     0x05c87aa0U, \
    0x446c9094U,     0xa60bc56bU,     0x09267eb2U,     0xb19bf0beU, \
    0xfbb2f476U,     0xc1e1ed2bU,     0xd0dbe039U,     0x8c551fccU, \
    0xfc472633U,     0xce56337eU,     0xe9e4789bU,     0xcc5ce8b9U, \
    0x94168564U,     0xb0d6a5deU,     0xac182d8fU,     0x6285ba5aU, \
    0x029f6ca8U,     0x2cc8af87U,     0xa5c9e67cU,     0x1e8234b9U, \
    0xf2f790bdU,     0x5b140740U,     0xff755355U,     0x9f07160aU, \
    0x81c96565U,     0xd911942aU,     0x02e13dadU,     0x82d3ad4dU, \
    0x8413d37aU,     0xe6db1c3eU,     0x69634648U,     0xf93ee1daU, \
    0x5573eae4U,     0x9562e6c7U,     0xd6d85c98U,     0xa0c2ece0U, \
    0x37f18586U,     0x08a1ee0dU,     0xb2bec597U,     0xffb7a512U, \
    0xbb1d084dU,     0x5b22b09eU,     0xe4cf0724U,     0xab2def4bU, \
    0x01f782c2U,     0x069113a4U,     0x887ecc7fU,     0x1f514bb5U, \
    0xbb758afcU,     0x3dcc8856U,     0x719c2c1cU,     0xf88cb8d7U, \
    0x7e917aacU,     0x74eaaa1bU,     0xbf32288fU,     0x60f2870bU, \
    0x5e31ec73U,     0xff70fdfeU,     0x4e17138cU,     0xb4ebf56fU, \
    0x14f6c9f2U,     0xb82c0904U,     0xa7737dd6U,     0x51e0baf6U, \
    0x06cf18a3U,     0x0dcb18e5U,     0x55099c26U,     0x04d4c66fU, \
    0x6beb7fc5U,     0x19287854U,     0xd90a513bU,     0x99477a30U, \
    0x873060e0U,     0xa8d4cde5U,     0xb443b9bcU,     0x7a46b20bU, \
    0x391ea396U,     0xb284be88U,     0x678a1419U,     0x8476c22cU, \
    0x12050f46U,     0x2f71ff6bU,     0x6331907eU,     0x5b7cf3ceU, \
    0xcb1b3f9aU,     0xc6ec6d54U,     0xd19036c1U,     0xfbfbfbe7U, \
    0x390efd67U,     0x6c49ef86U,     0x10eef5e1U,     0x01778c9cU, \
    0xd85a925aU,     0x942f2c90U,     0x32c4ad40U,     0x3b0d5d7aU, \
    0xa50b736dU,     0x77f4dbb9U,     0xcb44a791U,     0x3ca25b7eU, \
    0x4518dcf3U,     0xf12b531dU,     0x1bffea86U,     0x1ec9185bU, \
    0x713923abU,     0x11fc5340U,     0x1e5cbe9bU,     0xbd2fc87fU, \
    0x93780303U,     0x4a369529U,     0xab9471d3U,     0x90f277a4U, \
    0x9b6805ccU,     0xbaeb5649U,     0xb271eae8U,     0xcab649adU, \
    0x5498808fU,     0x0c6d14deU,     0xf3f2ce8cU,     0x8bfce2c2U, \
    0x87a47aedU,     0x597ddccaU,     0x9d5d51dcU,     0x307a3b10U, \
    0x1105d9c8U,     0x4e6b730dU,     0xa1c85dd6U,     0xae290cc4U, \
    0x98a19a48U,     0x8fb316a5U,     0xf84dad74U,     0xc687cd3bU, \
    0x1d6ffb3dU,     0xb2924b79U,     0x9dd5df08U,     0xff68d92fU, \
    0x9ad5cec0U,     0xe810d5bfU,     0x8a274b79U,     0xcf05a9bbU, \
    0xae7f07cdU,     0xb89afb14U,     0xa1a32791U,     0x12ad0e80U, \
    0xacbdfe8aU,     0xfc0ec142U,     0x24ab4f34U,     0x3e7a63beU, \
    0xb2fba708U,     0x274cfc7bU,     0x8a069abfU,     0x154c5303U, \
    0xd0f771eaU,     0xb3de54bbU,     0xe9e183f8U,     0xc0fc6d1eU, \
    0x74439593U,     0xbe7bb59aU,     0x5d6dfde2U,     0x91e4744fU, \
    0x5536dbc8U,     0x6a115a1eU,     0x2d30ecb6U,     0x716aaaecU, \
    0xadf7b2dfU,     0x6c664ed5U,     0xcc0441f1U,     0x7abdd9eeU, \
    0xef073608U,     0x814e17f4U,     0x0aec2b09U,     0xf1baeee0U, \
    0x00036d43U,     0x0110a871U,     0x52b4eaa9U,     0x12eeabf9U, \
    0x354f00ceU,     0xba672af7U,     0x385779ceU,     0x44321a1dU, \
    0xd058a245U,     0xb524b8faU,     0xbca58cdbU,     0x47517577U, \
    0x5afcf480U,     0xe4f7980bU,     0x9d3e237cU,     0xe0131e3dU, \
    0x01a4acbcU,     0xdef1c21cU,     0x1d6ac190U,     0x3a479ef5U, \
    0xdf907249U,     0x3d37c39dU,     0x4ea5c86aU,     0xb95d7e84U, \
    0xcc69c831U,     0xf55534f6U,     0xdd594a82U,     0xcd605835U, \
    0x2bbe0076U,     0x544045cfU,     0x36243559U,     0xd81944e0U, \
    0x1299da27U,     0xb3540a3fU,     0x1d9f892bU,     0xf64b9453U, \
    0xbc0d3924U,     0xed6fb8c1U,     0xa3cf082cU,     0xd614f079U, \
    0xfd42bd78U,     0xbdcb5b28U,     0x346debb9U,     0x49fd5afbU, \
    0x06dbccd4U,     0x86355cd7U,     0x5ef2325cU,     0x47b7ebf9U, \
    0xa2b25ed4U,     0x4b6246b9U,     0xe58d8243U,     0x183a6e64U, \
    0x80121026U,     0x8fd98a0eU,     0xadf41188U,     0x8f1722d5U, \
    0x054d4097U,     0x18bde6b2U,     0xcd014aefU,     0xe1c3632dU, \
    0xbf3f5bcfU,     0xe5587ec8U,     0x8ab8810dU,     0xa8e4d4a7U, \
    0xdcb9a9d5U,     0xe07357fbU,     0x435ecf4bU,     0xca8ef080U, \
    0x811c6c14U,     0x5e8c728fU,     0x9bbd2301U,     0x904048d4U, \
    0x3667099cU,     0xefc25d5bU,     0x75ea2b14U,     0x39244b02U, \
    0x5cda7386U,     0x19c29867U,     0xdae2daa4U,     0x4ef392b3U, \
    0xf8a6ba05U,     0x2142caf7U,     0x2cc038c8U,     0x258b2671U, \
    0x6f7eec3dU,     0xe2e629f0U,     0xffecb0e0U,     0xefc29b7eU, \
    0x017ca6e8U,     0x2dee9db1U,     0x8574018bU,     0x34bf0d16U, \
    0x6fb3be8cU,     0x666d37c5U,     0xe61deee9U,     0x560e2b92U, \
    0xe3565f6aU,     0x99acb513U,     0xcf5e5472U,     0x1473a407U, \
    0x67749d33U,     0x4195c56fU,     0xdbbcf27dU,     0x7f8a6271U, \
    0xd142b42aU,     0xb2847925U,     0x7ef5ccacU,     0xbbaab3b9U, \
    0xc409e757U,     0x849cdd3aU,     0x9f5dee6cU,     0x1f89fe0aU, \
    0x1ecdaf53U,     0x36d73661U,     0x7a885f2aU,     0x97d22608U, \
    0x0250049fU,     0x4fd3c0bfU,     0xc7a765d4U,     0x0ff99b0dU, \
    0x5dbce1a5U,     0x9a4e98b7U,     0x7284a47bU,     0x5be4395aU, \
    0xcea80784U,     0xcd441681U,     0x3aed4139U,     0xb5c07de0U, \
    0xd6313d58U,     0x35b2339aU,     0xd8f53a25U,     0x31713352U, \
    0x1f29c72cU,     0x5b0b244fU,     0x17b35456U,     0x5d7b6b2cU, \
    0xc064240dU,     0x3aede1c0U,     0x689c5dc8U,     0xef85a996U, \
    0x3b5921e9U,     0x96b6bef5U,     0x516d3c97U,     0x0b0cc31fU, \
    0x745a3216U,     0xcb90f7e3U,     0x9a92caabU,     0xa18cc407U, \
    0xa98bdaf9U,     0xe6bf3e12U,     0x847b5c48U,     0x9e904ab1U, \
    0x840cc545U,     0x0fec714fU,     0xa50e02e8U,     0x1bf70386U, \
    0xf3669058U,     0xbf51a0fdU,     0xda5cb46eU,     0x013306f9U, \
    0x650b4ec5U,     0x916889c6U,     0xf6f8190dU,     0x5e3a6eb3U, \
    0xd7b588e5U,     0x95528d0cU,     0x74f9fa19U,     0x55d5d06eU, \
    0xdc7a0912U,     0xb2beb458U,     0x8ca7dccfU,     0xb2a434aeU, \
    0xaaa3ffb8U,     0x652e5289U,     0x131f70adU,     0xbf88bc3dU, \
    0xe7dc7c3eU,     0xe6a2b877U,     0x94736d80U,     0x06677eb7U, \
    0xf5c1cfb9U,     0x0ff039b5U,     0x608a2a17U,     0x1f34f196U, \
    0xd34e1758U,     0x507998abU,     0x91ac5852U,     0xbe4d43b5U, \
    0x6e840129U,     0x07959ffaU,     0x51b8ab8aU,     0x2e1d97f0U, \
    0x8c392435U,     0x5749b6cfU,     0xfc47fbfbU,     0xf4f67460U, \
    0x6f8f1e15U,     0xcf2a9fc9U,     0x3ac41f2cU,     0x6e8cc23bU, \
    0xed641953U,     0xdb1862daU,     0x8386107bU,     0x1fcbfbceU, \
    0xc0728e24U,     0x6f005db0U,     0x257d1024U,     0xf1fa22e8U, \
    0x795fbaf0U,     0xb65e68faU,     0x1b7c87e4U,     0x7d039683U, \
    0xb126f7e0U,     0x2e7d2b04U,     0xe33348f9U,     0x1fe457a8U, \
    0x8e1ca091U,     0xeb2ab621U,     0xa991a3ffU,     0x3414263bU, \
    0xbb59461bU,     0xe38173f2U,     0x5cfe1b63U,     0x4fdfd351U, \
    0x1cee971cU,     0xfee5dac5U,     0xaa66d431U,     0xc931a67eU, \
    0x1d28c8b4U,     0x38f8baaeU,     0xa0a67970U,     0x6f5dfd16U, \
    0x44584190U,     0x4d76f515U,     0x0c0f5b62U,     0x8e01cd79U, \
    0xd777531cU,     0xf43a7ef3U,     0xee10812bU,     0xef017d97U, \
    0x99621a1aU,     0xc7b18d90U,     0x58ec6c11U,     0x8c5a871eU, \
    0x11c40f30U,     0x46016f56U,     0x7bb5396dU,     0x034a00fcU, \
    0x865964b0U,     0x9fccc6b8U,     0x0d450660U,     0x1003232aU, \
    0xcb7e12f9U,     0xb7d1c3d5U,     0x49231f04U,     0x9922c558U, \
    0x3b97610aU,     0xd63034a5U,     0xe8846dc7U,     0x7dbe401bU, \
    0x13c81f22U,     0x13a7593dU,     0x205b8d67U,     0xd6b23484U, \
    0xcb85ab0fU,     0x4ef2555fU,     0x4675ce9bU,     0x72806aa4U, \
    0x69f6d240U,     0x9e7835abU,     0xcf7590d4U,     0x8f1b086cU, \
    0x444e4063U,     0x588abe58U,     0xe86168d1U,     0x7edb3156U, \
    0xe67817adU,     0xcbb4a4bbU,     0x1d754db1U,     0x9b0d00c9U, \
    0x421d33eeU,     0xb86bb029U,     0x20c95c83U,     0xbc39fa3bU, \
    0x584eabd3U,     0x15d253beU,     0x76c261deU,     0x927c4c87U, \
    0xfe7054a2U,     0xa3ba58d1U,     0x6f6ce21cU,     0xcb2edaf9U, \
    0x4f875a89U,     0x9fc3e4fbU,     0xc7e7d89fU,     0xea14bde5U, \
    0x7ef11f53U,     0xaf95d8e1U,     0xc012ffe2U,     0x8a34834cU, \
    0x872db81bU,     0xf5b82bbbU,     0x3481f598U,     0xbe747463U, \
    0xd0a34b7cU,     0xad3a16c4U,     0xc799567dU,     0x43be364fU, \
    0x5e5d6dd9U,     0xd9ae82c2U,     0x3a99a364U,     0x07cb6d9aU, \
    0xefa4491cU,     0xfe93a2b9U,     0x43d2d1c9U,     0x7e0e8ce2U, \
    0x196ecae4U,     0xa57380bfU,     0xe05e94f2U,     0x3daca80cU, \
    0xa806f95bU,     0xdf3ffd49U,     0x8b042277U,     0x8379b367U, \
    0x01411f60U,     0x3b999a6eU,     0x10b5d3d7U,     0xc7e006c9U, \
    0x71af5134U,     0x5419554aU,     0x970756d9U,     0x21652213U, \
    0x1bdcd0b5U,     0xc7e4f12fU,     0x3d2bdf6fU,     0x9e61272bU, \
    0x640a7108U,     0x7dca84d6U,     0x35189f62U,     0xe17b04bdU, \
    0x13790e00U,     0x881045caU,     0xa8e64302U,     0x93305fdeU, \
    0xa4f5618cU,     0x2ca8b83dU,     0x477d98ebU,     0xdf62a5daU, \
    0x02dc851dU,     0x32315ea8U,     0x7409124aU,     0x60e78618U, \
    0x4396c6d6U,     0x9a5c5973U,     0x74b3e8b9U,     0x9ef38d79U, \
    0xe611ff2bU,     0xb60eabecU,     0xc61b29b6U,     0xc0a28515U, \
    0x2fcca09fU,     0xf7d99309U,     0x60154b7cU,     0x9d541cc6U, \
    0xebcbc959U,     0x601eddfaU,     0x08638774U,     0xa6ebfaf3U, \
    0x60590c7aU,     0x0b6f78bfU,     0x84921008U,     0x91eb78dfU, \
    0x0b0861a2U,     0x15af01a2U,     0x8203965cU,     0xb9a68938U, \
    0x68c7aa93U,     0x10ea8533U,     0x7a2c947fU,     0x667947ceU, \
    0xcb5f76dbU,     0x8472eb63U,     0xe8ac6addU,     0x941468c7U, \
    0xde88b1b3U,     0xfeed7c50U,     0x863c5dddU,     0xfff74d6fU, \
    0xd282cb74U,     0xd451a550U,     0x3218f4bbU,     0xa84fc2efU, \
    0xa68a831cU,     0x22a8bbf9U,     0x7c256217U,     0x8969c14eU, \
    0x3ba16e5cU,     0x831c0566U,     0x564a6404U,     0xc8526414U, \
    0x830f03edU,     0x148ebed6U,     0x0e5f4283U,     0x3d5d2c95U, \
    0x0fcdbc33U,     0x169e9297U,     0xa1c65547U,     0xd5fce6c3U, \
    0x96d26388U,     0x9d936f89U,     0xa368e44dU,     0xdbf8d413U, \
    0x925242efU,     0x29e7d073U,     0xecbc17d8U,     0x72e92f23U, \
    0x07a91c22U,     0xa5ed20f9U,     0xf7f0c4e3U,     0xeeb5de37U, \
    0xddb34991U,     0xb8b2d25eU,     0xcd30d2adU,     0x769cb270U, \
    0x9f0561b8U,     0xa9dbd1adU,     0x525a5803U,     0x2bc87876U, \
    0x5c266e17U,     0x29fa749aU,     0xa1b1d8deU,     0x7d11aeb1U, \
    0x45e99780U,     0xed693654U,     0x76295648U,     0xa477ef18U, \
    0x6ecd6737U,     0x39ee22d1U,     0xb8f60d20U,     0x99fe8a58U, \
    0x1deb0ec1U,     0xfe9c549bU,     0x38f405d7U,     0x0ddbf3c9U, \
    0x4a103633U,     0xb27320edU,     0x0e8cdb90U,     0xc9876ae9U, \
    0x1e13a99bU,     0x259d119fU,     0x6f38d5d5U,     0x5afda8d6U, \
    0xeaa5baa3U,     0x57bf6a64U,     0x3c9a99d5U,     0xeab763c5U, \
    0xfe538462U,     0x6d4a3838U,     0xb4fe74d4U,     0xd1ed1b8dU, \
    0x4e24d134U,     0x59e530efU,     0xa7b722ebU,     0x1a20cd51U, \
    0xdd273914U,     0xb5d66a72U,     0xf301d27bU,     0x1b994ca3U, \
    0x14dd1133U,     0x529fcc05U,     0xc7675d7cU,     0x122b605eU, \
    0xf3a28a2bU,     0xb3205324U,     0xf39a019fU,     0x0eb69582U, \
    0x0dc9cf1eU,     0x5e93a187U,     0xe5fd1560U,     0x0a461489U, \
    0x7659a7ceU,     0x9ec39467U,     0x57c637efU,     0x19e07c7fU, \
    0xc4e1219cU,     0x2c1895aaU,     0xa841fae4U,     0x35379958U, \
    0x79408553U,     0x88784e0fU,     0x7a2e73d9U,     0xb868424dU, \
    0x54e7cc8cU,     0xb90903faU,     0x937b7313U,     0x47f34021U, \
    0xdb2d39f3U,     0xe8f1f92bU,     0xa2929a16U,     0x0a6bf40bU, \
    0x2c6060c8U,     0xd37fac78U,     0x08be1986U,     0x3f00fd39U, \
    0xb1390438U,     0x2ccbedfaU,     0x0fdf7a6dU,     0x68d116b7U, \
    0xb2dd1633U,     0x4be72b32U,     0xae8d219aU,     0x457f7ed5U, \
    0x9bcfe499U,     0xa5af6258U,     0xc57db675U,     0x1e76715dU, \
    0x20a3d2a8U,     0xe9596ab4U,     0x551675f1U,     0x6ce1176fU, \
    0xa5fa8859U,     0x75418857U,     0x82c2280aU,     0x6d5eae4aU, \
    0xba19f996U,     0x91124304U,     0x599d3aceU,     0xc5360fd7U, \
    0x43185852U,     0x0e2264b7U,     0x06ac27a7U,     0xadab0fd2U, \
    0x5417bf89U,     0x94294c43U,     0x2fbb6b2cU,     0x3b80b45cU, \
    0xd8285f25U,     0x90fb4023U,     0x7e7323e4U,     0xe2f74790U, \
    0x88549c63U,     0x806ec2f7U,     0xb25a9127U,     0xf33ba533U, \
    0xeeb241c9U,     0xeb610059U,     0x92ff90baU,     0x58619283U, \
    0xd112429eU,     0xf869a421U,     0xd2a28397U,     0x5ad360c0U, \
    0xdf9dc005U,     0x48465d8fU,     0xbcf3dd7dU,     0x287dd983U, \
    0xd0215cb6U,     0x4fcb2c71U,     0x223f5650U,     0xf00218f4U, \
    0x1dcb2e37U,     0x0afbacf2U,     0xc3d45042U,     0xee1dc7b7U, \
    0x5f14b101U,     0xef138711U,     0xd5ee1fffU,     0x23e15b6eU, \
    0x208e21e5U,     0xa7ad02e8U,     0x7a72d388U,     0xb92f230aU, \
    0x6e1b59edU,     0x3a44f11aU,     0x859aa8a4U,     0x1f8dffb0U, \
    0x3005855bU,     0x40bb0b08U,     0x8d3ecebdU,     0x5f0b57acU, \
    0x188e613dU,     0xb4b37d5aU,     0xebf23e70U,     0x098cc3f2U, \
    0x71b0b6fcU,     0x0ec965deU,     0xdae28bceU,     0x3c12db91U, \
    0xf18f5a23U,     0xf1efb8a8U,     0xac84bac0U,     0x2458e305U, \
    0x6cec2182U,     0x9d81c497U,     0x28a243bbU,     0x64f3037cU, \
    0x60a90193U,     0x0b8cfc81U,     0x48e6d97bU,     0xc8972232U, \
    0x71a10322U,     0x56c802e9U,     0x854ace1aU,     0xbd3325fcU, \
    0x855b847aU,     0x9237a727U,     0x3c977825U,     0xfdc04100U, \
    0x4753fa19U,     0x90518d08U,     0xd59d1942U,     0x53937700U, \
    0x0f893b09U,     0x30ac5facU,     0x7d1df210U,     0x01a7be48U, \
    0xa2a84659U,     0xb6017a08U,     0x6787faf0U,     0xaeb28430U, \
    0xd6355ebaU,     0xb145f40fU,     0x2824e9c9U,     0xcc10339cU, \
    0xe2191ad2U,     0x61a9b40aU,     0x80cec645U,     0xdcf7daf0U, \
    0x289a4e6bU,     0xc8318bd9U,     0x54ef22d0U,     0x8b7f18ecU, \
    0xc6561374U,     0x0fbaf764U,     0x31b8e280U,     0xc384a578U, \
    0xf1a89b4eU,     0xc84cb646U,     0x1e2fb575U,     0x499108c5U, \
    0x7ce5c7fcU,     0xba3a5a42U,     0x634f9eeaU,     0x9e7c9d72U, \
    0x7b3fedb5U,     0xc91f50e1U,     0xc121b632U,     0xc160899aU, \
    0xa9b0827fU,     0x5cc54292U,     0x042fbdd4U,     0xdd9d905aU, \
    0xcd507b11U,     0xdb636db4U,     0x37a80b7aU,     0x89c484a3U, \
    0x64e9e224U,     0xa48ad0f5U,     0x815c57b7U,     0x67bfbf9bU, \
    0x84b4bcb3U,     0xaf7baa96U,     0xd7bf8a2eU,     0x2e4b96dfU, \
    0x16aa0b2fU,     0x6fdc3a54U,     0xc7a4e2eaU,     0x8a386ff2U, \
    0x306ed61cU,     0xed0b381aU,     0x092cb62aU,     0x12c66b44U, \
    0x9f8ffabbU,     0x317207e3U,     0x8ee39edfU,     0x0f2b84feU, \
    0x8ddc82beU,     0xdafb497bU,     0x39cd1457U,     0x1e07afbdU, \
    0x84165f5dU,     0x0f48167bU,     0x3deffd52U,     0x36cf313bU, \
    0x1bb0d97fU,     0x80203779U,     0x2eaae81cU,     0xa9b4d0c2U, \
    0x8b84ab33U,     0x6a7aeedbU,     0x35f4d7edU,     0xf21744a0U, \
    0x7d69133cU,     0x9dbe17caU,     0xd9f9f7f3U,     0xdc7c52a9U, \
    0x69a41fdfU,     0x5d16fe66U,     0x78ecebb6U,     0x0ff2112fU, \
    0x4cc70658U,     0x61f73373U,     0x7350743dU,     0x3501e331U, \
    0x35662791U,     0xbfa1d816U,     0x7d3363c6U,     0x789ea8a1U, \
    0x7232efe3U,     0x12e5ef77U,     0x57f04c5fU,     0xf4b0ffbeU, \
    0x40f0ce7fU,     0x7fd33f19U,     0x6e55e596U,     0xa2fc62a3U, \
    0xddd04992U,     0x7c53e4a8U,     0x68e0dba0U,     0x5b11f1b9U, \
    0x72f960dbU,     0xc87382afU,     0x75b26607U,     0x76896f78U, \
    0x7bbf669cU,     0xf3b10493U,     0x9d6bc7f9U,     0x34398cc3U, \
    0x09252422U,     0xca8242e7U,     0x1f13983bU,     0x9fc3dbb5U, \
    0x621fd998U,     0x4fb100f6U,     0xc817dbc2U,     0x782efd9cU, \
    0x98918bd2U,     0x2c137a2aU,     0x588ba0d7U,     0xf176c679U, \
    0xed8b7327U,     0x04c4724bU,     0xd8f99316U,     0x5b4653daU, \
    0xdb31f478U,     0xab3d16c4U,     0xc7a6e797U,     0xc5c13d21U, \
    0xaaf7f33fU,     0x3e552224U,     0xf6b86edeU,     0xd77b5d83U, \
    0x2df4754fU,     0xfa136417U,     0x28cdadd0U,     0x9ad72dbcU, \
    0x343d1059U,     0xc863abf7U,     0xc3dd0e4aU,     0xb8829d71U, \
    0xe088d546U,     0xc728004eU,     0xee217ca6U,     0xccfb3592U, \
    0xa3b54d01U,     0xf7951248U,     0x739d71dcU,     0x0e5c1802U, \
    0x4eeb04e7U,     0xcbdb5e13U,     0x73956c27U,     0x663791b3U, \
    0x8468e554U,     0x20526eb9U,     0x09e8fbe4U,     0x103da87aU, \
    0x47e0f160U,     0x76bd30f6U,     0x17cb3181U,     0x67a3b28eU, \
    0x7b7a878eU,     0x9828687bU,     0x6de0079cU,     0x54cb320bU, \
    0x7e0a5568U,     0x45a5bd7aU,     0xf4f0776cU,     0x2eb8b642U, \
    0xf45e4c3cU,     0xd8438abdU,     0xcf488d9eU,     0x2bfc35dcU, \
    0x800c71eeU,     0x2f4cab49U,     0x551c1b11U,     0xaf5f82cbU, \
    0xc60be585U,     0x5800db07U,     0x8b34414cU,     0xbf5251b8U, \
    0xe943bac5U,     0x712a7e8fU,     0x37da48eeU,     0x2e45932eU, \
    0x7bcc47b4U,     0x160dac00U,     0x424d9a5aU,     0x84256135U, \
    0x209062a2U,     0xd8f2def9U,     0x97a4c5e0U,     0x5d2ced1cU, \
    0xe967edddU,     0xcfe1391aU,     0xaaf8a263U,     0x1a1f143aU, \
    0xb243110cU,     0xa150230eU,     0x3fb1d706U,     0x98221f2cU, \
    0x4d6468dfU,     0xf0686c46U,     0xe253797bU,     0x786feae6U, \
    0x830fa4f9U,     0xea04a36cU,     0x09bd0050U,     0xffcd2865U, \
    0x093b2d2fU,     0x91c8a6b1U,     0xcfbbddabU,     0xa29c4be3U, \
    0x47d248e0U,     0x5d8c4f4bU,     0xd11d82e7U,     0x2a8ec3dfU, \
    0x3819be15U,     0xd0b4606bU,     0xf3cea628U,     0xc619a78fU, \
    0xf8776914U,     0xd10c89d9U,     0x13881d07U,     0xa519d64fU, \
    0x924cada9U,     0x21727887U,     0xf81c7692U,     0xf78ef415U, \
    0x1b967e70U,     0x46ef2c3dU,     0x73367bfaU,     0x5db04364U, \
    0xc1f47c89U,     0xa7821d07U,     0x556387adU,     0xef317192U, \
    0xf928280aU,     0x3271000bU,     0xa126ce22U,     0x39971097U, \
    0xba351b47U,     0xd8161087U,     0x9133b8cdU,     0xa74c4cbdU, \
    0xf34967caU,     0x7e9e0b42U,     0x7b7160cdU,     0x8d9388bcU, \
    0xcb9e19d1U,     0x54907d93U,     0x843480f3U,     0xe44bf091U, \
    0xe3b0130bU,     0x2afb2c9eU,     0xe27be5a5U,     0x48160942U, \
    0x0ffe11c3U,     0xa693865eU,     0x6595f4caU,     0x85a3d816U, \
    0x15f44a0bU,     0x6578f426U,     0x4946644fU,     0x1409a4e1U, \
    0xb2dc0761U,     0x8f278bb2U,     0x156b69a1U,     0x71971d37U, \
    0xc1b39f76U,     0xd8110457U,     0x65f66378U,     0x073bef47U, \
    0xc288bc70U,     0x4fba770eU,     0xd4ef650fU,     0x9d0f239eU, \
    0x918d827eU,     0x0ffcaaeeU,     0x3d58752dU,     0xdf3648b1U, \
    0xa90b6d9dU,     0x0d20d534U,     0x28c7af04U,     0x697c7dd0U, \
    0xdc982d1cU,     0x8edabcc4U,     0x713a6c69U,     0x3c896cafU, \
    0x0a9338cdU,     0x37d6eb48U,     0x58801a95U,     0xd647833eU, \
    0x8a4dac70U,     0xc2b52c43U,     0x14de2a47U,     0x47f3a01cU, \
    0x02130b87U,     0xd8dca7d3U,     0x9844a680U,     0xac4fff8cU, \
    0x38e38cd3U,     0xe5120474U,     0x2694f365U,     0x099a4decU, \
    0x4cd0aa97U,     0xe84c660fU,     0x6e52b220U,     0xd83145c8U, \
    0x76673175U,     0x66ef8d1eU,     0x0eb75c43U,     0x28826227U, \
    0x7d16d61fU,     0x8e29b858U,     0x969909b2U,     0x050e6e12U, \
    0x910716a0U,     0x4c0c93d8U,     0x0ff37032U,     0x4791ca77U, \
    0x9061751eU,     0xa14e0ac2U,     0xded7f9d8U,     0x26512e7aU, \
    0xccfa4eabU,     0x0a6fff12U,     0x0ac663ffU,     0x110d3e0dU, \
    0x7f7ef6aeU,     0xb0a1af24U,     0xfe27d1b7U,     0x90dcbcf3U, \
    0xe02dbe65U,     0x082bd232U,     0x82b24ca3U,     0x0a1eb624U, \
    0xae317877U,     0xbb4af5dbU,     0xd4987fe6U,     0x0491494aU, \
    0xaa334eb6U,     0x4e1bfbe7U,     0xba2e7ab0U,     0x473c342cU, \
    0x184d082eU,     0x2ed3c7caU,     0xcee8fe6bU,     0xeb7b53f9U, \
    0x52b8a541U,     0x00f29b7bU,     0xbcc16bb1U,     0x3a9642c4U, \
    0xe6bb279cU,     0xd663a130U,     0x878e4386U,     0x3997969fU, \
    0x4231ceb1U,     0x5b7f8e19U,     0xf0e9c154U,     0x83802b91U, \
    0x98b2c112U,     0x3addde0bU,     0x5932ae0aU,     0xc23dcc07U, \
    0xa94ef22fU,     0x3d44e6c6U,     0xb3d1084dU,     0x1da3a31eU, \
    0x3d6199b3U,     0x30c338bfU,     0xb651bf31U,     0xe6d74ef9U, \
    0xf5a04abeU,     0x28893f14U,     0x254c0b0bU,     0x4beaa072U, \
    0x004c5babU,     0x2186b877U,     0x061f9d5dU,     0x5b6a764bU, \
    0xacffdb42U,     0xa3387036U,     0x31198038U,     0x081377c9U, \
    0x44100703U,     0xcb71a092U,     0x65e79866U,     0x9a7ca1a0U, \
    0x8c415d66U,     0x0b5ad774U,     0x950f642cU,     0x11e04ff2U, \
    0x9dbcf2b2U,     0x440118cbU,     0xf5650160U,     0x36677b0cU, \
    0xc3c3774cU,     0x0864c9d7U,     0xbcd69ddfU,     0xe9aff17eU, \
    0x0d42948cU,     0xd4949513U,     0x0c3c5aafU,     0x2fad537dU, \
    0x9db6c77dU,     0xeec84611U,     0xb031f1d1U,     0xf482690eU, \
    0xcc7c099dU,     0x4e2af898U,     0x9687b82cU,     0xd794ffadU, \
    0x7cea0bb6U,     0x24d05710U,     0xb8a0e3a6U,     0xe7ca2ddcU, \
    0xe0cab0e6U,     0xee6b9aaaU,     0x68af2a65U,     0x988ac577U, \
    0xd8b1a5a8U,     0x80bb0dc0U,     0xe4885b95U,     0x7fa41153U, \
    0x69cd2bf0U,     0x8b77d07bU,     0x157a85c5U,     0x1742ddadU, \
    0x492f32abU,     0x7b60291aU,     0x226aefa7U,     0x4edbdbfeU, \
    0x8a7ce06fU,     0x73eaaa1dU,     0x726da3bdU,     0xe83e10deU, \
    0x601297b1U,     0xa665dbb9U,     0xf5ac2acbU,     0x5177367fU, \
    0x80c43138U,     0x19fa7ae7U,     0x0a740a7bU,     0xc51db247U, \
    0x2516abd4U,     0xe383f970U,     0xb966e910U,     0xf9a2691eU, \
    0xdebbb69bU,     0xc4965698U,     0xb0e699a6U,     0x530c4b84U, \
    0xd2975a06U,     0x0a49021aU,     0x0d7f6c0aU,     0x50beee34U, \
    0x8f501bd8U,     0xd799b744U,     0x25800559U,     0xb2271334U, \
    0xda4fc111U,     0xcdc884aaU,     0x44725f9cU,     0xb231f84fU, \
    0x15a2ec10U,     0xd72337d2U,     0xc501c082U,     0x9d2fc987U, \
    0x7637b301U,     0x2085ea1aU,     0x0dd4bc1cU,     0x17827439U, \
    0xc5927dcfU,     0x426c878fU,     0x9a76c612U,     0x6c753f87U, \
    0xba466928U,     0x78663461U,     0x68165349U,     0x962fd10dU, \
    0xb5db97cbU,     0x9bd217b5U,     0x6f413b91U,     0xf6088fddU, \
    0x8df1bed7U,     0x4f2fd53cU,     0xd066bc78U,     0x494bedafU, \
    0xf067df0eU,     0x1eae639cU,     0xd536771bU,     0x8a35f491U, \
    0xa8ccc7d8U,     0xc4a9641cU,     0xfcf48ef9U,     0x911c2949U, \
    0x60906ad3U,     0x535ebbf1U,     0x2c2b5034U,     0xbee8abeaU, \
    0xd80ebb0eU,     0x902415fcU,     0x8aa04f9eU,     0x5aa78375U, \
    0xf49a628bU,     0xd901272dU,     0x6cb06f14U,     0x7ff2d7d7U, \
    0x7f8134d6U,     0xb7c7d051U,     0xa37e85a3U,     0xf0ab2a79U, \
    0x966b8eadU,     0x84e63c5bU,     0xb9cf2e06U,     0x93204b16U, \
    0xf4a150dcU,     0xedd0cc8fU,     0x62d5a167U,     0xe4e14fb6U, \
    0x71259b68U,     0x25a5858dU,     0x20e95481U,     0x52321007U, \
    0x9cfe22c5U,     0xd3728ebeU,     0x94d5eac9U,     0x0eee1dfeU, \
    0x1a39ca32U,     0x0db8aa54U,     0xf72a5921U,     0x7de0c480U, \
    0x2cd8d6a4U,     0x30e13157U,     0x90944e16U,     0x2e2d1df1U, \
    0xc4518f8cU,     0xb74f4948U,     0x78a5c183U,     0xa381c1e5U, \
    0xe3a311d8U,     0x5b4c0dc0U,     0x683d1c97U,     0x2c9898b0U, \
    0xfdb091b7U,     0x043074acU,     0xed37ad98U,     0xa5b7796bU, \
    0xd48276f6U,     0x536834a8U,     0x36b08fe2U,     0x699ab5cfU, \
    0x37a0a68aU,     0xe9293d31U,     0x15095030U,     0x388d4b77U, \
    0xb66d5f44U,     0x3031520aU,     0xcb4d6bf3U,     0x83fe3239U, \
    0x9428de5fU,     0x17f8318eU,     0x73d61efaU,     0x75e8dc5bU, \
    0x8b43432fU,     0x1ece8d85U,     0xbe9054d2U,     0xf6574897U, \
    0xe5872654U,     0x9d4f8989U,     0x5a8326d9U,     0x0899cc93U, \
    0xd0ddc474U,     0x05274c71U,     0x06c12418U,     0x62132090U, \
    0x12287765U,     0x78569011U,     0x2223a29bU,     0xa979b9e8U, \
    0xe95661d4U,     0x61096388U,     0x4a87ec2bU,     0x726d09e7U, \
    0x95306fe6U,     0x41f58e71U,     0xe0c6dc82U,     0xb5bd08e0U, \
    0x94f107adU,     0x32d34a56U,     0xad8c47d6U,     0x6cce3841U, \
    0x6c8d2a9eU,     0xaa6edf01U,     0xe6c49bc1U,     0xa9e2cb6bU, \
    0xd3749909U,     0x7797c742U,     0xc125c703U,     0x27b1fcf3U, \
    0x71c08dd9U,     0xaf73e03aU,     0xf2fe076dU,     0xc7e1ee80U, \
    0x05c9b8e9U,     0xa04f18a9U,     0x1608d977U,     0x00cab317U, \
    0x5c0be7f3U,     0x737015ebU,     0xf682d5d2U,     0x751dc948U, \
    0xface2b47U,     0x34060853U,     0x55e293b9U,     0x3add1873U, \
    0x9d939bdaU,     0xe870e770U,     0xc5aafa1fU,     0xbe0a3efcU, \
    0x3607e927U,     0x9ca0e573U,     0x52a9e552U,     0x175c3dcdU, \
    0x3230a277U,     0xcb8ecb56U,     0xb0e0f131U,     0x549f1db4U, \
    0x40755034U,     0x5d4b4b72U,     0xa4e3e109U,     0xd3ef0632U, \
    0xbce7b95bU,     0xbb37f930U,     0x1344932bU,     0x946611afU, \
    0x4e70f46dU,     0xf975c59fU,     0xa35821f7U,     0x28a91ea5U, \
    0x67e2aacdU,     0x86ded02eU,     0x72261ecfU,     0x46d3c026U, \
    0x2ca8ef19U,     0x2ed562a6U,     0x05c6b9edU,     0x283179baU, \
    0x52f88c7cU,     0x92cde265U,     0xada41665U,     0x88e2c6b2U, \
    0x30268ad9U,     0x6f6afc27U,     0xa2b08510U,     0x6c6e0763U, \
    0xac59bb25U,     0xc24c406aU,     0x8a69e4a5U,     0x2184d2bbU, \
    0xb3af4be0U,     0xcc14f11cU,     0x491e3d03U,     0x70ea5aa4U, \
    0xcd9decb3U,     0x58465c8dU,     0x92a2a509U,     0xf5355d7bU, \
    0xbbe643c2U,     0xbaa06f71U,     0xb5433ad0U,     0x45f5ff43U, \
    0x1fe69f95U,     0x2c705525U,     0xcda667deU,     0x92300aa0U, \
    0x7c41cd65U,     0x48ac6d42U,     0xc255bfa1U,     0xd6f26815U, \
    0x490dd1edU,     0x43658f5aU,     0x99e2efcbU,     0x973daab5U, \
    0x88f74832U,     0x3bc80089U,     0x23b44de3U,     0xc81c0aedU, \
    0xe58c7ec4U,     0xb36faf4bU,     0xc36b2d20U,     0xf1fbbec1U, \
    0x7d452811U,     0xc883e74eU,     0xca545f8fU,     0xe4bdeaaeU, \
    0x6b40c0eeU,     0xa27b0c5dU,     0x030736f1U,     0x5b1fb784U, \
    0x16976b63U,     0x45948790U,     0x7c4fe8daU,     0x830dd8f9U, \
    0x1f57cd95U,     0x9a9eef92U,     0xa9e1ab10U,     0x5ae23c00U, \
    0x7206fed5U,     0x72c3cfaeU,     0x7b2d3e31U,     0x2a78f68bU, \
    0x521703c3U,     0x0f93614cU,     0xf608fa1dU,     0x1ee51104U, \
    0x09ae22a5U,     0xb384308aU,     0x8a2c2663U,     0xcf2ead7eU, \
    0x4989ded2U,     0xa892b778U,     0xf9e5307dU,     0x37b69705U, \
    0xbb3b550dU,     0x2cf6f840U,     0x984fa429U,     0xab354a17U, \
    0x608cbe65U,     0xc1710613U,     0x08084540U,     0xafc123b3U, \
    0xa4f76f15U,     0xcbb35790U,     0x8c38a0bfU,     0x9a3abe56U, \
    0x6eb8490eU,     0xcdad47eeU,     0x1d3dd614U,     0xfc6c7c78U, \
    0xb2134bd9U,     0x624fafedU,     0x22405effU,     0x994176f3U, \
    0xfedc900bU,     0xa5b71968U,     0x0b5bd4f4U,     0x2c3c0327U, \
    0x04d5030bU,     0xead02b38U,     0x602bfcb8U,     0x9202f639U, \
    0x6d438480U,     0xe6ec3f4bU,     0xf105e0a4U,     0xa2daeb50U, \
    0x74d84a37U,     0x58e6778cU,     0x72b4e6c2U,     0x6367e1bbU, \
    0x664ad06bU,     0x777b38a9U,     0xf064087aU,     0x0bae55e1U, \
    0x4543d9b7U,     0x5d5a337bU,     0xebbe382bU,     0x4cbaceb5U, \
    0x56ce0e14U,     0x6158db51U,     0xd1b93964U,     0x6469fc24U, \
    0xf0a8c718U,     0xe94c2a96U,     0x5369447cU,     0x5cb25030U, \
    0xa8a93e15U,     0x4ed500e5U,     0x7c556d57U,     0xa7f33116U, \
    0x671385fdU,     0x9bd4bf7dU,     0xe82582f4U,     0x56cc1ffeU, \
    0x21473605U,     0xfcd2bb23U,     0x4d806d23U,     0x8ea4b9deU, \
    0x4eff09d2U,     0x1b2daf4aU,     0xfa9c149cU,     0x58bad738U, \
    0x72256f35U,     0xb815f49dU,     0x6d4d7342U,     0xf51f76dcU, \
    0xd7ab8642U,     0xab46de03U,     0x5818215dU,     0x584959fdU, \
    0x81510406U,     0xdadf65d7U,     0x48d9ed83U,     0xb6cdd99bU, \
    0x5ef57b1aU,     0x4b8d99ffU,     0xe1a34aefU,     0x593e7688U, \
    0xd3d23635U,     0xef6dadcbU,     0x377652efU,     0x445f6ebeU, \
    0xf81d8834U,     0xc9655d24U,     0xe6c7c1bdU,     0x0e1f3a96U, \
    0x5ec586a4U,     0x50cfec41U,     0xfd6ebc5aU,     0xe6210e38U, \
    0x17f9f85eU,     0x77f0078bU,     0xc7b0afceU,     0x5f843bd9U, \
    0x844617d5U,     0xa39f2790U,     0x499c119eU,     0xa1b3990aU, \
    0xcf64cf98U,     0x9125b694U,     0x1c183dd3U,     0x4fdaa91fU, \
    0x7d4daffeU,     0x13a585a3U,     0x8b1a383bU,     0x655aff7cU, \
    0xb88f8601U,     0x97c0a3b1U,     0x993b1d99U,     0x252648d8U, \
    0x5bdb977dU,     0x93e954c3U,     0xafe1ba49U,     0xd35cfc40U, \
    0xfbc334b5U,     0xebee6d02U,     0x07543d17U,     0x5f010b3dU, \
    0x75644d6bU,     0x8f6c700cU,     0xb99b69b0U,     0xe885ae1cU, \
    0x057caa94U,     0x918fa884U,     0x2ab3a41bU,     0x0915f156U, \
    0x54cdb5cbU,     0x5bd92b85U,     0xaea7ecaaU,     0xc9036befU, \
    0x7e71bd9aU,     0xf33f8d99U,     0x7566067aU,     0x0ee0e581U, \
    0x1f7b2a07U,     0xdd26e7a6U,     0x20352bbbU,     0x11ef99eaU, \
    0xea411c32U,     0xe183fe47U,     0x936e7a74U,     0x58196c2cU, \
    0x51006388U,     0xdc753d37U,     0x16cc2f27U,     0x47559175U, \
    0xcfdf01c6U,     0x44517912U,     0xd94f50c9U,     0x00f5a025U, \
    0xf0e0d577U,     0x6d88dfd4U,     0xfd2a8669U,     0x89ae99eaU, \
    0x7242fd0fU,     0x34668394U,     0xd395aedaU,     0x85258e36U, \
    0xc992c294U,     0x21d80f7cU,     0x3391cca4U,     0x1d1f451eU, \
    0x3eb61a5aU,     0xe80ea129U,     0x8b71deabU,     0xe213a208U, \
    0xdc320ea4U,     0x593bc972U,     0x7de1ac71U,     0xe559b089U, \
    0x317c4aecU,     0xa838784bU,     0xb7bd7946U,     0x3d7c710aU, \
    0xfa0cfd81U,     0x1e034b17U,     0x320c8873U,     0xdcc4b6c6U, \
    0x6a77763aU,     0xe85fb4c3U,     0x10da6a93U,     0xf8dfdaeaU, \
    0x45c5c864U,     0x93d46f7aU,     0xab07167aU,     0xf7c25553U, \
    0x4e5e6773U,     0x8f346baeU,     0xa7177a00U,     0xbd023550U, \
    0x4d395850U,     0xcb3fa43dU,     0xe2f3bd92U,     0x2548c253U, \
    0x225cdf23U,     0x20b0a127U,     0xaba5a581U,     0x2c66c16bU, \
    0x73138cc4U,     0x34343972U,     0x592f5aaaU,     0x131f4c2bU, \
    0xf7f7b57aU,     0x5c319db4U,     0xf24cc49cU,     0x1eb1da0bU, \
    0x60604720U,     0x29718eb3U,     0xdacbce22U,     0xd94d3c0cU, \
    0xbe86c595U,     0x51fad8b2U,     0xe949d5d4U,     0x9f68f7c4U, \
    0x7c975a37U,     0x5aebe8c9U,     0x4b9f5b3dU,     0x3c524ef2U, \
    0x0025e8dcU,     0x1f33d1c6U,     0x5e3110b7U,     0xae9eb258U, \
    0xd46263daU,     0x75cbebd8U,     0xb5608bacU,     0xea43fc5eU, \
    0x43f8eda0U,     0x6110da89U,     0xd2810b84U,     0x7ca95cd4U, \
    0x18372cc9U,     0x8098d743U,     0x4b51f4d0U,     0x92f74a73U, \
    0x5b8572e1U,     0xb662cd1dU,     0x98260a3cU,     0x28cd1d46U, \
    0x2e7ab3d7U,     0x0cd2285dU,     0xbe914f0fU,     0xdd2ed543U, \
    0x2ace7ccdU,     0x1d8abb83U,     0xb1f9daa1U,     0x01da249fU, \
    0x7d57ac27U,     0x71aff1b8U,     0x71187a8bU,     0xbf814477U, \
    0xc4c38e3bU,     0x3a856558U,     0x9074482bU,     0x0c157dcdU, \
    0x1f477792U,     0xe48039ffU,     0x6aa951fcU,     0xd2019f75U, \
    0x82907046U,     0x41d51591U,     0xa3a9bf1dU,     0x5566fb5eU, \
    0x4e6af881U,     0x972fb485U,     0xfe281a4bU,     0x55ea9b80U, \
    0x1bd45b89U,     0x590f8ca2U,     0xf7d0cb4eU,     0xb5682c40U, \
    0xa3f8447cU,     0xf6635f75U,     0xb093baa1U,     0x3f8f2b7aU, \
    0x6dd8f475U,     0xe14b8b67U,     0x6c77f602U,     0x975996fdU, \
    0xeb9106ecU,     0x17799e9eU,     0x29df96a1U,     0xc0dd9fbdU, \
    0x464394c5U,     0xfbef4caeU,     0x9cce827fU,     0xa5813b8dU, \
    0xdfdd2bacU,     0x34b2feeaU,     0x09fab5ecU,     0x4bc5b817U, \
    0xd8ef66edU,     0x0ef47249U,     0x6c132820U,     0xbb659285U, \
    0x22dff9a4U,     0x64e74b1dU,     0x3d1e9a4aU,     0xe28d7286U, \
    0x30e6fac4U,     0x1d28a3f0U,     0x172a383eU,     0x4a99e857U, \
    0x71b327c5U,     0xe53b074eU,     0x444d1cb8U,     0xb6274f78U, \
    0xe4f60b3bU,     0x0b56c8f4U,     0x3282c8d7U,     0x7e7c00f8U, \
    0x303d868bU,     0x228dd07dU,     0x34288173U,     0x11546218U, \
    0x32c96cd2U,     0x1edec963U,     0x5a063cc1U,     0x626b8530U, \
    0xa04ce374U,     0x819cf3c9U,     0x41d365bcU,     0xb05df373U, \
    0x95f16932U,     0x709d71ffU,     0x75c63b67U,     0x8248a7a2U, \
    0x108dbd1eU,     0xbadfa384U,     0xd6c53e52U,     0xfd020fdcU, \
    0xa141db34U,     0xe84c358cU,     0x080a7d26U,     0x7a2bd300U, \
    0xccd6badbU,     0xbcad12bdU,     0x05281f5bU,     0x44f7ec82U, \
    0xa24fe38bU,     0xa8b908bdU,     0x021fb681U,     0x45a473c6U, \
    0x7c883161U,     0x3e181425U,     0xf7b8f25cU,     0x1dee605fU, \
    0x04ebce1cU,     0x593a7972U,     0x141f925bU,     0x7a2b3b00U, \
    0x7a8372f3U,     0x3c430997U,     0x42ccecb9U,     0x9bd15cc2U, \
    0xed8711adU,     0xb72f59a3U,     0x6f8729ecU,     0x54a90311U, \
    0x69c4497cU,     0xb8024090U,     0x9108db20U,     0xd08631adU, \
    0x0675f92eU,     0xa94da2c4U,     0x236a600eU,     0xe85fafbbU, \
    0xf673119aU,     0x4bb7d7ebU,     0xeecc3ef1U,     0xf62a5527U, \
    0x624cccbfU,     0xb75256acU,     0x7908c5d4U,     0x931c1e77U, \
    0xae7c6ce5U,     0x6890f50cU,     0xec3f3458U,     0x28a0d3e3U, \
    0x6c1431b3U,     0xc23d5dd9U,     0x72747549U,     0x5351354aU, \
    0xbfe6130aU,     0x652c8a89U,     0x01c7ce0cU,     0xe51c0e52U, \
    0x70d5d888U,     0x14946127U,     0x8b0cd3a3U,     0xfe8230a6U, \
    0xae826d8fU,     0xed54f41dU,     0x739ae9edU,     0x3ffe278eU, \
    0x0962c938U,     0xb9225831U,     0xf4eef254U,     0xdc637d28U, \
    0xa58cac7fU,     0xc3e5e2b1U,     0x1dfee43fU,     0xc37039f0U, \
    0xc2348aebU,     0xcf84fd65U,     0xa4bfc5feU,     0x9e6515c1U, \
    0x3cee3e53U,     0xd9494a2fU,     0x80abf461U,     0x1d6ddbdeU, \
    0x6ec6bfd4U,     0x52b21ffaU,     0x0b07c24fU,     0x05df6a9aU, \
    0x23a4d559U,     0xae214487U,     0x1aae476bU,     0xccf6efe0U, \
    0x3f92c17dU,     0x00e4447bU,     0x44167852U,     0x0bdb8573U, \
    0x7f14da3dU,     0x2b7ac0e4U,     0xb956d245U,     0x86c30860U, \
    0xba574b88U,     0x89f2b740U,     0x12bdc7aeU,     0x1e6ad0feU, \
    0xc4533051U,     0xaf583269U,     0x872de58dU,     0xa30f8d8aU, \
    0x63bbc62bU,     0x7180b397U,     0x3d4e6d6bU,     0x086d09ccU, \
    0x609fcc80U,     0x9516f128U,     0x4efe25f5U,     0x33801d9eU, \
    0x153c3cd9U,     0x03d4276eU,     0x86c474b3U,     0x5707207eU, \
    0xae2674a2U,     0x7f4dc2fcU,     0xdcbaf72eU,     0x97a1d435U, \
    0xc8f3afd9U,     0x412e6f4bU,     0x5fc9ce79U,     0xc2f0f419U, \
    0xd0df7e35U,     0x116c378bU,     0xc9f6e426U,     0x00dd766cU, \
    0xb7f233aaU,     0x0aaaf438U,     0xb8e6c482U,     0xd11e50fdU, \
    0x403ab96bU,     0xfa99527fU,     0xc33fcdaeU,     0xf73e8350U, \
    0x7efdd818U,     0x2a851956U,     0x0af89ed6U,     0xea5e52e8U, \
    0x54dbdbf4U,     0x7b348f34U,     0x355a0013U,     0x9fd54c71U, \
    0x5c6f3496U,     0x2353a0afU,     0xf2a32c83U,     0x61abb1f1U, \
    0x50f6abfdU,     0xeffdb25dU,     0xe3123238U,     0xf30a1fe4U, \
    0xb0db1eb4U,     0xd2781d7aU,     0xd461357bU,     0xeaf062cfU, \
    0x6658a62cU,     0x1dfdc2a7U,     0xb74f8510U,     0xd21e9055U, \
    0x8383ecccU,     0x93547727U,     0x50500d82U,     0x5b66529cU, \
    0xd9af5728U,     0x8f267cfbU,     0xfbd6bbd9U,     0x56434f9cU, \
    0xfc572e8bU,     0x5ca4bd94U,     0xd7fdde08U,     0x376ce68aU, \
    0x1891a289U,     0xb961e57fU,     0x935e20dcU,     0x0e61464cU, \
    0xfaf14527U,     0x262d8b91U,     0x1c42c68dU,     0xee0fc97aU, \
    0x3538d187U,     0x78a57c23U,     0xc61c93c7U,     0x4894c7deU, \
    0x871db3c4U,     0x34847a4bU,     0x5d3e07f6U,     0x11fe7f64U, \
    0x6bcccde7U,     0x5aaa972aU,     0x27b91682U,     0x375e3626U, \
    0x2d241f80U,     0xd2038724U,     0x8a748120U,     0x35f4bf59U, \
    0x70a2b270U,     0x88d89a77U,     0x47f272efU,     0x0a3374b4U, \
    0x6306033cU,     0x2435b125U,     0xf4c10225U,     0x8d7dad62U, \
    0x630cb2f5U,     0x68241f0cU,     0x73139025U,     0xb5e1a88bU, \
    0xd208b016U,     0xb9f316c8U,     0xd02301c9U,     0xbeddf08bU, \
    0x93a491ccU,     0x90ef8f7eU,     0x19bc51bfU,     0x910c4256U, \
    0x3835a25fU,     0x3002199eU,     0x3c430ad1U,     0xb809cce3U, \
    0x353eaa8aU,     0x83cd78ddU,     0x6025d172U,     0x4edc262dU, \
    0x14a6530eU,     0x06b75883U,     0x175feb18U,     0xa0d85671U, \
    0x91fbad93U,     0xc880e298U,     0x71e9ade6U,     0x37294faeU, \
    0xba1938a7U,     0x42bd687aU,     0xcfc11c39U,     0x1b7c98c9U, \
    0xdd860babU,     0x70c01bdfU,     0x11d41962U,     0xf8cfb11cU, \
    0xf564080eU,     0x49458c6fU,     0x7617aceeU,     0x8bf407ffU, \
    0xf04af6fbU,     0xcd27ecb7U,     0x327b1df9U,     0x36cb24baU, \
    0xa1a901feU,     0xe00514dfU,     0x49cb2754U,     0xf7dc77a9U, \
    0x1985d0a1U,     0xceff0b1cU,     0xebff2873U,     0xe8eefeebU, \
    0xdf01e4b6U,     0x35cfb26bU,     0x9d5a4350U,     0x42c96bafU, \
    0x784b2c31U,     0x7d71172fU,     0x3fb139acU,     0xc63895ccU, \
    0x22ac23c5U,     0x1473adb8U,     0xe03b6ce4U,     0xe06da4d9U, \
    0x5a29c811U,     0x7e79e535U,     0x3bd709b7U,     0xd5b58cddU, \
    0x024405deU,     0x29ec446eU,     0x0633e01eU,     0x43158980U, \
    0x401dff77U,     0xfb07e180U,     0xbbb329a4U,     0x8ece693fU, \
    0x838d1927U,     0xbcd0feb0U,     0xd463ff9fU,     0x822285f7U, \
    0x0c13e75aU,     0xfc26858eU,     0xc091c0ffU,     0xe6a1c44fU, \
    0x0681fc79U,     0xb65f1177U,     0x55e262fbU,     0x381a020fU, \
    0x1952cbfbU,     0x0d55c514U,     0x0bf3bebcU,     0x451a835eU, \
    0x8a642ae1U,     0xbd3d12eaU,     0xf3185f2fU,     0xbf6578bdU, \
    0x01768d7aU,     0x19e48fb0U,     0x9d65d180U,     0x539d297bU, \
    0x5259f13eU,     0xfa76cf61U,     0x064bbb99U,     0xb01f8fadU, \
    0x1bf46555U,     0x7ab8045fU,     0x613065f3U,     0x2ac40454U, \
    0xf2550a42U,     0xc27cf321U,     0x44bedce4U,     0x046b0685U, \
    0xd39fc2a0U,     0x7a6fc38eU,     0xc6d93d78U,     0x86646f7cU, \
    0xe6cd3a75U,     0x08ddb974U,     0x2338f5b9U,     0x13438ea6U, \
    0x5f1c016eU,     0x21f84624U,     0x4b941fbcU,     0xe089347aU, \
    0x668fc859U,     0x3f15b179U,     0x8af877a3U,     0xd2260c1bU, \
    0xe8f69446U,     0xd18b6b17U,     0xd351f6f0U,     0x7d66aeabU, \
    0xb9f78737U,     0x91d71037U,     0xb490e8b3U,     0x6e178d3cU, \
    0xde901724U,     0x0f59c3a0U,     0x7cfbcab7U,     0x05cc24fbU, \
    0x7fd97af9U,     0x8f351880U,     0x2d097a4fU,     0x6318c5c1U, \
    0x1ac58369U,     0xb9057cbeU,     0x7d641d20U,     0x631dfbf3U, \
    0x5ee5e29aU,     0xf8bfb6e5U,     0x7fe8e863U,     0x2fe0a70eU, \
    0xbe7449d4U,     0x3f5b2185U,     0xe7ca8aa7U,     0x5b219599U, \
    0xcaedebf0U,     0xd2037b1fU,     0xd04512acU,     0x9dd4253aU, \
    0x32a49e96U,     0x60d06630U,     0x9143a079U,     0x278b9a50U, \
    0x612dde89U,     0x0f406d90U,     0x75a5ce0eU,     0x71a30619U, \
    0x5b4f51d0U,     0xedbb4115U,     0x7dd8b449U,     0x92bb40cdU, \
    0xd1ad552eU,     0x4f5e2179U,     0xa6fe80e2U,     0xb46e02b0U, \
    0x2ba3e144U,     0x224eebdcU,     0xdc0631a8U,     0xbf6d7a0dU, \
    0xc034e66aU,     0xa4de54c7U,     0x9e4a9452U,     0xce523b73U, \
    0x67bcf323U,     0x69eae634U,     0x04d34ba3U,     0xbef7b51fU, \
    0xc7863b1bU,     0xf436fc42U,     0x3eda4df1U,     0xfb4f6863U, \
    0x311d2588U,     0xbd6091a2U,     0xf0e42133U,     0xe8b4e4fdU, \
    0x9170895aU,     0x520f263aU,     0xcc1e4ce6U,     0x53552288U, \
    0x2afefb02U,     0x3a105f1fU,     0x9d6c96b7U,     0xe74850afU, \
    0x4dadc3a9U,     0x1015e827U,     0x67fae9f7U,     0x969814cfU, \
    0x6190bb18U,     0x89531cb7U,     0x032ab56fU,     0x132a6d2fU, \
    0x13d9e23dU,     0x9220a664U,     0xe3a61dd6U,     0x03bd04f5U, \
    0x54b83a72U,     0xc25fdf03U,     0x2470b813U,     0x6d9f238aU, \
    0x4d1f9fd7U,     0x44145e09U,     0xdefe3c47U,     0x8c921ee8U, \
    0x485beebaU,     0xc4e25579U,     0xcf2787eaU,     0x876a7b15U, \
    0x361cc4ffU,     0x55474fadU,     0xc83d4f69U,     0xffbe0e86U, \
    0xf5cf730eU,     0xb9cbbc47U,     0x7c60695fU,     0x9fb924fbU, \
    0x3a2aa798U,     0x5f45ce1cU,     0xf61ef5daU,     0xe8ce7298U, \
    0xc1025d90U,     0x7220b2cbU,     0x845e911bU,     0x6214de8eU, \
    0x4ba33ba1U,     0x1ed20034U,     0x9e3c5962U,     0xd8996475U, \
    0x90659679U,     0x1c496681U,     0xe4cbdd90U,     0xde90f200U, \
    0x55a4ea72U,     0xedb0b90aU,     0xd54661d1U,     0xcf3aba39U, \
    0x85bcc433U,     0x29c7123eU,     0xd7bf63dbU,     0xc12c7f4eU, \
    0xe7606f8dU,     0x656e1795U,     0x6685e6f6U,     0x663487a6U, \
    0x80a94eb6U,     0x3d90cb0aU,     0xa0dcbdfeU,     0x68d4bedaU, \
    0xd6a22b8fU,     0x7c050ea1U,     0xf7f1142cU,     0x9efbcddfU, \
    0x7e13cf01U,     0x0981d6afU,     0x56fa7bdaU,     0x5b363cd4U, \
    0x84d6e205U,     0x951e7e83U,     0x31bb8474U,     0x844cecdcU, \
    0xf3d5a6d1U,     0xf85b288eU,     0x927bb56eU,     0x0708fca6U, \
    0x5efc6e1fU,     0x4620cfd5U,     0xef8c9aecU,     0x2546e2f7U, \
    0x3c8fa348U,     0xdf87eac3U,     0x133bafa0U,     0xa904b245U, \
    0x54a2f9abU,     0x2f1685afU,     0x6e8a4f54U,     0x074c8792U, \
    0x36299ab8U,     0xc0df6ed2U,     0xa1db33c4U,     0x43707e54U, \
    0x18922fa3U,     0xc9c0077fU,     0x8f28cee1U,     0x448f5b78U, \
    0xb1e5ec43U,     0x55e1151cU,     0xe65285a8U,     0x5a5a56b6U, \
    0xaa50a9e2U,     0x0839bbb8U,     0xb9422a66U,     0xae1b0f92U, \
    0xf7f77014U,     0xd92a20d6U,     0x1ff883cfU,     0xb8bdbbe1U, \
    0xc3faaa70U,     0x2e7d8a32U,     0x542f16afU,     0x4a4804d2U, \
    0x69e38ea5U,     0x8aa6de81U,     0xeadd7af0U,     0xff0198aaU, \
    0x85fa1519U,     0xbe2fe0fcU,     0xa645364dU,     0xd075fcbaU, \
    0x7e284365U,     0xaf0049e5U,     0x2caba8e2U,     0x4334ba67U, \
    0x21345859U,     0x5096a309U,     0x8742ae39U,     0x7e50b1cbU, \
    0x2a9dc0e8U,     0xe7ca24d0U,     0xe2d21196U,     0xc5a32658U, \
    0x75934a9cU,     0x7cdbefc2U,     0xd79ac690U,     0xa81856ddU, \
    0xe88a5fe4U,     0x793d7964U,     0x33170d62U,     0x0f11b898U, \
    0xf5b8f44eU,     0x85d0b773U,     0x071d80a2U,     0x77a69e05U, \
    0xd78da908U,     0x557e08d5U,     0x17584890U,     0x93a57649U, \
    0xd21dcc75U,     0x93a31c89U,     0x98fdeb2fU,     0x52b40176U, \
    0x2f02f0e0U,     0xee612df7U,     0xd77624b2U,     0x917cc255U, \
    0x4e1e2c38U,     0x2403ed9bU,     0x7cf5a12eU,     0x76e7c213U, \
    0xffa874b4U,     0x3ae0cd48U,     0x4ccb5b98U,     0x06935735U, \
    0xf6af7ed5U,     0xd2578f82U,     0x168201b0U,     0x14b12538U, \
    0xe46efb45U,     0x9a968c0cU,     0x08ce5840U,     0x6e2dec8cU, \
    0x560d7d09U,     0x03260e7bU,     0x439bff93U,     0x275f6930U, \
    0x4297e654U,     0x9886b7d1U,     0xe1557b64U,     0x9876657fU, \
    0x47a67066U,     0x988d7748U,     0x6560fec8U,     0xce4bdf47U, \
    0xca33c310U,     0x727c8679U,     0x566683d2U,     0x67bf5925U, \
    0x11431466U,     0x553f3f08U,     0x25e17720U,     0x5b4f5977U, \
    0x254c711fU,     0x984fc57bU,     0xcfdb290aU,     0x47730cccU, \
    0x80892334U,     0x533e71faU,     0xcd41ee4eU,     0x18d9f638U, \
    0xaa2ca16aU,     0x6cf1499dU,     0x70bcb878U,     0x22111822U, \
    0xec81ea4aU,     0x7ff39ae4U,     0x1db268f2U,     0x27bce1d8U, \
    0xe80c2c5bU,     0x8bbb12cdU,     0xa8ec4f0bU,     0xa7562923U, \
    0xb78f4d43U,     0xae0c89b5U,     0x92f470a3U,     0x9d34a331U, \
    0x2b273b12U,     0xbe71c250U,     0x15b58537U,     0xce2bfd23U, \
    0x47b0bf75U,     0x6b96e48dU,     0xae2d6bc2U,     0x84663b02U, \
    0x7ebee283U,     0x01f5f714U,     0x8ee158ceU,     0xcb4cc4f0U, \
    0x05280a74U,     0xeaf74f69U,     0xc7d50a12U,     0x00ccc501U, \
    0x3a45ed1bU,     0x5a2844dfU,     0x0655fdcfU,     0xb94eabaaU, \
    0x1974152bU,     0xdcc032f3U,     0xb44806ebU,     0x6f1bc39fU, \
    0xfca696c5U,     0xc28aa5d9U,     0xdd72207eU,     0x9bd37d90U, \
    0xa186eeb1U,     0x6f454815U,     0x3c5584cdU,     0x69feb703U, \
    0xfdf88cf5U,     0xd346885eU,     0xa2a5b118U,     0x0e91eeedU, \
    0x012b904bU,     0xf956bb4fU,     0x7281ba50U,     0x8ee109d1U, \
    0xc1d5000aU,     0x7000bb3cU,     0x2e030e6aU,     0x768c2259U, \
    0x31f72788U,     0x545de907U,     0x7c098c3bU,     0x65aa145cU, \
    0xa7815490U,     0xf72538c2U,     0x0cd1680eU,     0x047b3012U, \
    0x64736e4aU,     0x86a356cbU,     0x70594d97U,     0x4feacd21U, \
    0x90992355U,     0xfd58e7caU,     0xc516ef88U,     0x8771b7acU, \
    0x4e38b617U,     0xe520a873U,     0x42bb4d1eU,     0x9c07056aU, \
    0x86310cfaU,     0x0454c8a9U,     0x937bb7f5U,     0x88795507U, \
    0x3511d8eeU,     0xcf91332aU,     0xfd52d196U,     0xc5b9f9caU, \
    0xdb785dd0U,     0xe6b2d236U,     0x04b7cf9bU,     0x5a56f157U, \
    0xbbaf344eU,     0x3a1a60d0U,     0x7fcf02edU,     0x13ddc178U, \
    0x5aef48f6U,     0x8c774cc3U,     0xf66cfd1dU,     0x2658db05U, \
    0x226133dbU,     0xa31d83adU,     0x3348565cU,     0x80afb352U, \
    0x5a5af4f4U,     0x20619020U,     0x07db9564U,     0x0180c994U, \
    0x9584ab52U,     0xf35b18f8U,     0xd596242fU,     0x1f9e333aU, \
    0x9cc2e19eU,     0x257e7020U,     0xc33fce47U,     0x9c47d293U, \
    0x8275c294U,     0xe42afc82U,     0xdbcb522eU,     0xf4c85b40U, \
    0x882ffc02U,     0xe2b4f494U,     0xb469801fU,     0x2d639f77U, \
    0x4449b452U,     0x26afd9a8U,     0xff5e6251U,     0x1fa7c149U, \
    0x0f3f38f8U,     0x790d8031U,     0xc6b73231U,     0x9efb3f3dU, \
    0xbf7f71bfU,     0xd67e1c43U,     0xe9c4929bU,     0x21341622U, \
    0xc892786fU,     0x8ea4a2ceU,     0x171c7a97U,     0x7a1dba11U, \
    0x9455824eU,     0xdcd20a22U,     0xde00b771U,     0x2fa3c9ebU, \
    0x549f1f83U,     0x9cccbaa2U,     0xd4e27355U,     0xd31eb102U, \
    0x320ae1f3U,     0x4e721451U,     0x47d10ea0U,     0xbc231167U, \
    0x9407eef6U,     0x0edceb00U,     0x245f2ad1U,     0x1bd052b8U, \
    0xa26899caU,     0xa42a09a0U,     0x3deee762U,     0x2d54ab9eU, \
    0xbd18517bU,     0x9392684dU,     0xef5f9ba0U,     0x2abcde9aU, \
    0xa1523089U,     0x46c72e34U,     0x183b5123U,     0x0c93f4fdU, \
    0xd2d4b154U,     0x0022a6c2U,     0x55c8b88dU,     0x6f28cbbfU, \
    0x3d1a50b9U,     0x80ec1eb4U,     0x14fef5d1U,     0xa42f3c93U, \
    0x6af434b4U,     0x0aebd7c3U,     0x3140ad73U,     0x49e2576cU, \
    0x500acef2U,     0x6faf211cU,     0x6a4b5f5cU,     0x13ea472bU, \
    0x752c2fa4U,     0x035d9c7eU,     0xa2ba5facU,     0xc46ed7a0U, \
    0xc81adae1U,     0xd9efe04eU,     0x802bd6efU,     0xdd635468U, \
    0x8d543175U,     0x79e65bbbU,     0x05560056U,     0x443c7411U, \
    0x86414d5dU,     0x3d3a8606U,     0x3dd9183eU,     0xe761d4feU, \
    0xd76f5219U,     0xff48ddb2U,     0x5d2bab62U,     0x612dd501U, \
    0x69f2e131U,     0xfb166e73U,     0x4fc33e85U,     0xc1780089U, \
    0x65543c3fU,     0xef845a8fU,     0xe98f9788U,     0x1d0aa11aU, \
    0xe1208838U,     0x98825bdfU,     0x57779be7U,     0xdbb20e48U, \
    0x2ec4e807U,     0xcf948560U,     0x7ec0313bU,     0x902ff000U, \
    0x8a9a2904U,     0xdb939615U,     0x2c22be6dU,     0xd93f6f02U, \
    0x389e79dbU,     0xe1692c8eU,     0xb6e004ccU,     0xd0b1d2d8U, \
    0xc112efe8U,     0xb4f1e7a7U,     0xb3b650e6U,     0xc175674aU, \
    0x83717c17U,     0x943add69U,     0x2f1a75d7U,     0x65efb405U, \
    0x3affbbbcU,     0x46c52269U,     0xc3b9ac15U,     0x3960a254U, \
    0x9c733f6bU,     0x687c1084U,     0xfa9d74f4U,     0x098dd0f1U, \
    0x2d9ba4afU,     0x4c3025a7U,     0xb81af472U,     0x2a83b608U, \
    0x279d5af1U,     0x5ba395d5U,     0x52b3cb63U,     0xd39a97ebU, \
    0x5dc0398cU,     0xd7c4173dU,     0xce5e199aU,     0x75b6d091U, \
    0x5d09c6b5U,     0xe9058f27U,     0x2c5554afU,     0xf21938b8U, \
    0x741e8614U,     0xb4fd6763U,     0xa3f0354cU,     0x6bb89911U, \
    0xc46096b2U,     0x5604970aU,     0x860b373cU,     0x9517a7f5U, \
    0xde5e3742U,     0xe7cb8b4eU,     0x68654f57U,     0xc5ccae71U, \
    0xac0c5859U,     0x5db29a91U,     0x4cb88f4bU,     0xf2aa00afU, \
    0x2204b5d4U,     0xe79d2b61U,     0xfde6d839U,     0x1ae4682aU, \
    0xce647b29U,     0xa559344dU,     0xca09c5d8U,     0x62b4dc53U, \
    0x83939a4aU,     0xe95ba9f1U,     0x52c1a228U,     0x9c262e68U, \
    0x1526ede4U,     0xb99797c1U,     0xdb374dc8U,     0x7016ff3eU, \
    0x3b228e94U,     0x56c92ff4U,     0xe45adc2fU,     0x7c015abfU, \
    0x0c6b3050U,     0x3bd76a8fU,     0x389dba9fU,     0x83012b4fU, \
    0x9dd4b846U,     0x7e09db01U,     0x24ad2690U,     0x5b4a3274U, \
    0xdbb76917U,     0x2eb8a54fU,     0x31fe65aeU,     0xac0cfb9fU, \
    0x3d02375bU,     0xd58c62b9U,     0x39719320U,     0x12b4d152U, \
    0x424c17ffU,     0x06c889eaU,     0xb0f39a01U,     0xe73bea74U, \
    0x2a4ab0a2U,     0x03e1aa70U,     0xd1c69139U,     0x0cf7c332U, \
    0x3920a151U,     0x4d7ffb1dU,     0xb85d155dU,     0x45d82a4cU, \
    0xc9e99f90U,     0x91341a67U,     0x738fe388U,     0x9032bff8U, \
    0xe51f7200U,     0x4006a458U,     0x28f6c4a2U,     0x1f971d82U, \
    0x9ed4bf83U,     0x3485af48U,     0xa391bbb7U,     0x994bb301U, \
    0x7eb76ac1U,     0xd449347fU,     0x685ca8d7U,     0x8b442c0aU, \
    0xe08a8aa0U,     0x14c67f74U,     0x03dcddecU,     0xfe534734U, \
    0xaa3ca09aU,     0x3782d725U,     0x620934baU,     0x232a121dU, \
    0x91174967U,     0x9f1b2978U,     0x8ef8ecfaU,     0x0a68a468U, \
    0xfc39aeecU,     0x8c7a72a2U,     0x21ed76e5U,     0xa44a7695U, \
    0x388becfaU,     0x282467c8U,     0x559b6ee0U,     0x87b42a15U, \
    0x0da3305aU,     0x43dfbe50U,     0x0fef4119U,     0xd29351aaU, \
    0xfd97f90dU,     0xfe72f778U,     0xbfe93feeU,     0x64342ed7U, \
    0xe307e176U,     0x96a0cb1dU,     0x5b2e5c06U,     0x10000e83U, \
    0xcfe34ad1U,     0xf33442f7U,     0x70f3f8adU,     0x5ebaa5c2U, \
    0x6c7b31f1U,     0x48176027U,     0x1551281bU,     0x3aacd901U, \
    0x2ea169e0U,     0x7fa77621U,     0xbc5d45beU,     0x783bbbc2U, \
    0x64236930U,     0x517848f7U,     0x55c1d534U,     0x55ba42a8U, \
    0xe5a332dbU,     0xa611dadbU,     0x4038e14aU,     0x9f417b98U, \
    0xa277078dU,     0x640cb536U,     0x9c950f2aU,     0x489fa0beU, \
    0xd910a9cfU,     0x131eaa95U,     0x326ec7b9U,     0x6e739617U, \
    0x9a4641aaU,     0x84a4aa3bU,     0xe58b3387U,     0x9319fb1cU, \
    0x4084625eU,     0xeb586f96U,     0xa7052074U,     0x1a2515baU, \
    0x21ab6671U,     0x46e6030cU,     0x7e1f92c5U,     0x7f8540b4U, \
    0xbb77f290U,     0xf39cce29U,     0x072df34fU,     0x73bbea0cU, \
    0x41dbfd13U,     0x89cd9a1aU,     0x5cb14859U,     0xee5f6319U, \
    0x218afebcU,     0x07c2f296U,     0xb62eae59U,     0x835aa134U, \
    0x806b90abU,     0x1a8c2576U,     0xe8c525cfU,     0xbd17432eU, \
    0x08a5466fU,     0xea5f6124U,     0xfe174cafU,     0x314eeb23U, \
    0xc2fda97eU,     0xcd0a2973U,     0x0b72fef5U,     0x336a33d2U, \
    0xe8c0372cU,     0xb9f7f189U,     0xa4d27120U,     0x004b0aceU, \
    0xeef0b397U,     0x35853b43U,     0x57dfd4d4U,     0xa61ae3e6U, \
    0xb6d3b37cU,     0xc10bc13eU,     0x8da190d3U,     0x65214219U, \
    0x6dba4b0eU,     0xfdcd6023U,     0xec36384cU,     0x65bb517eU, \
    0x2f0de0f7U,     0xcd737184U,     0xaacfd6dfU,     0x059debe1U, \
    0x63684602U,     0xc6a9acccU,     0x5ffde018U,     0x8f08621cU, \
    0x3798f2c0U,     0x601e3ddeU,     0x73762934U,     0x453316d3U, \
    0xd3cb67f8U,     0xd1fecafeU,     0x7bd532daU,     0x1f3e4630U, \
    0xb5f02264U,     0xe85b0f68U,     0xcc1bf365U,     0x2d4a4fafU, \
    0xad46d97aU,     0x4142e2feU,     0x0600d523U,     0xcd2a2640U, \
    0x91371bfaU,     0xe890f0eaU,     0x5b80ccacU,     0xb0ec0af1U, \
    0xfccc1764U,     0xde3b4318U,     0xc5c0c630U,     0x4bf34d63U, \
    0xf21219baU,     0xb3faa690U,     0xabf74dc6U,     0xbe8e9a96U, \
    0x26232e72U,     0xf5dd655fU,     0x8de3d7e2U,     0x3ff7980eU, \
    0x63693cd6U,     0x367bca0eU,     0xcf0252b9U,     0xd2df97d8U, \
    0x5a4012faU,     0xb0e7f552U,     0x3a1a4284U,     0xe3241dbcU, \
    0xbffc70c9U,     0x88c9ebc9U,     0xf0c544f6U,     0x542a7e52U, \
    0xe42274b1U,     0x5c9f966fU,     0x88e90e02U,     0x4ca3335bU, \
    0xb441e411U,     0x19b3a744U,     0x0e99001bU,     0xaae41e54U, \
    0xca30ad23U,     0xd56f28caU,     0xef80a344U,     0x2e9ae2b2U, \
    0x702cd681U,     0xde27a64fU,     0xeef037ccU,     0x20fbb5acU, \
    0x15f56f9aU,     0xef59d74bU,     0x428631f4U,     0xa5f73259U, \
    0x202ba674U,     0xedb8e9ccU,     0x36ab8b7dU,     0x3a4f2b69U, \
    0x963652b2U,     0x394e5bb5U,     0xbe130940U,     0x173d411eU, \
    0x4f1d6473U,     0x43f36d08U,     0xcdb18f45U,     0x5b44fb16U, \
    0xb0162dd5U,     0xef292c44U,     0x4f812724U,     0x75a6fd08U, \
    0xb5de6ecbU,     0x80033395U,     0x3513a217U,     0x92ccb8cdU, \
    0xc6371f70U,     0x7a0f72f0U,     0xb99a0b56U,     0x3ac6f7f4U, \
    0xf4a5f77cU,     0x481f10dcU,     0xe43c06daU,     0xf7887b18U, \
    0xd365e6fdU,     0x283d3784U,     0x28b85f7eU,     0x220d0b3dU, \
    0xb2d65a0fU,     0xdcb08481U,     0xe5a9eebbU,     0xe75609e1U, \
    0x10fa0380U,     0x85a261adU,     0x1ab29737U,     0x0746fb8dU, \
    0x12dfe8d8U,     0x51fceaf8U,     0x40d35372U,     0xe4c0e1deU, \
    0x79c26d01U,     0x1486baccU,     0xa055990aU,     0xea1e7508U, \
    0x675b5cc2U,     0x9edc0bceU,     0x9f1e4003U,     0x0483425fU, \
    0xa1443093U,     0x2382d02dU,     0x9ea559ebU,     0xefcf54a9U, \
    0x6d860965U,     0x33b09bfeU,     0xd647843dU,     0x2c5c01c5U, \
    0x20c56794U,     0xaa05b8ecU,     0x9b32f0b6U,     0x25c05e06U, \
    0x293bf327U,     0x4aca5cafU,     0x7211ec01U,     0x4d738d87U, \
    0x0ac8e07bU,     0x7a7afeccU,     0x1394284dU,     0x5b119856U, \
    0x2d002e4dU,     0x16a17cf3U,     0xc6ee9f3bU,     0xc0d51631U, \
    0x463e41eeU,     0x886b8050U,     0xeaed3a02U,     0x166d1f92U, \
    0x40437995U,     0x902ab6fcU,     0x3f543394U,     0x82bb2ad9U, \
    0x3ce6422cU,     0x1470877bU,     0x27a8295bU,     0xbd68208eU, \
    0x63278ab9U,     0x4e08e317U,     0x96ff011fU,     0x62ec9b4fU, \
    0xf2ea8e72U,     0x7942799dU,     0xbb7add79U,     0x65253d2cU, \
    0xf7f45cc6U,     0x082caa31U,     0xa87effbeU,     0xb7c35211U, \
    0x02db9ad2U,     0x3d769bcaU,     0xf8b9ef75U,     0xdd9b3aacU, \
    0xe22e3043U,     0x768c36caU,     0x3a7220d7U,     0x7577ee12U, \
    0x1bc2d33aU,     0x56d32855U,     0x06293858U,     0x021ed5b8U, \
    0x264332b2U,     0x5a91fd55U,     0xe55f6329U,     0xf515beadU, \
    0x48ea9ac7U,     0x301843f0U,     0x368ee129U,     0x38ec0c03U, \
    0xa66d9e3cU,     0xe752965eU,     0x7ec02849U,     0xa7ecb579U, \
    0x2266875eU,     0xfa1aa743U,     0x225e2d25U,     0x703f3305U, \
    0xc3cfafafU,     0xedc43232U,     0x628891ccU,     0xdd701136U, \
    0x96d9239eU,     0x4b55531cU,     0xac0aaa48U,     0xe5d10da8U, \
    0x1716e77fU,     0x03b19f16U,     0xc275ebb5U,     0xef27f38fU, \
    0xf4922517U,     0xa834cdb9U,     0xb4b992e5U,     0x60d0bef5U, \
    0xcbb21f7bU,     0xe2727446U,     0xcc1cd10cU,     0xe1896d97U, \
    0x8505e136U,     0xf9983439U,     0x56bf3d2eU,     0x9acf23a7U, \
    0x4b0f2fe6U,     0x56243701U,     0x618b9409U,     0x2c4f3665U, \
    0x74ebadd8U,     0xc8df31c8U,     0x343764c5U,     0x114b661dU, \
    0x0c88e716U,     0x72bd4264U,     0xb18add9bU,     0x96ac2c04U, \
    0x18b7194cU,     0x218ba70fU,     0x374ef0b3U,     0x71dd2fa0U, \
    0xc71ba115U,     0xa8396906U,     0xe8221c3fU,     0xda178cadU, \
    0x84b0b0d2U,     0xecc4201fU,     0x98715545U,     0xca7a9b32U, \
    0x07cb36ccU,     0x10271cb3U,     0xc935df44U,     0x0b803585U, \
    0x58571d01U,     0xc0a61aceU,     0xca801757U,     0xa14e69deU, \
    0x36dc38b7U,     0x4740bfb8U,     0xaf82fc3aU,     0x92395c40U, \
    0x8cee3cb1U,     0x193e889cU,     0x78746e25U,     0xdc6330a1U, \
    0x96390d81U,     0x0142eb37U,     0x2372344fU,     0xe378f5f1U, \
    0x0e1d5d02U,     0x19cbbcc8U,     0x232a5d99U,     0x41b0e7f2U, \
    0xbf9c66c9U,     0x4fe84125U,     0x43d79c03U,     0x042e56e8U, \
    0xe5309947U,     0xc5e5e29eU,     0x975587d0U,     0xfae472c6U, \
    0xee7f0076U,     0x4a3315deU,     0x26febf67U,     0x785c44d0U, \
    0xbe13e272U,     0xa4ada577U,     0xc87c30a4U,     0x5a9470bdU, \
    0xf50fe9f3U,     0x5dd0c6f7U,     0x13246403U,     0x4b926bd5U, \
    0xdd795396U,     0xd0166a41U,     0xba59d044U,     0x736de232U, \
    0xcf4afa00U,     0x25124941U,     0xddd64950U,     0xd83fd7f5U, \
    0x58bd2c18U,     0x10c3536fU,     0xe6463c04U,     0x2b4bfddfU, \
    0x3b402311U,     0x92c9d331U,     0xaf6a906eU,     0x21d11c23U, \
    0x914f9f69U,     0xe4e52fb1U,     0x0cd84386U,     0x84375873U, \
    0xbb61bce7U,     0xc59392a0U,     0x1821b58bU,     0x28dd51a8U, \
    0x3561c8d4U,     0x25ef31aaU,     0x106e66c8U,     0xf1584675U, \
    0x0da2bb4bU,     0x49093430U,     0xbb5e13e5U,     0x1d41760cU, \
    0xf42518dfU,     0xda44a713U,     0x0da062c6U,     0x3064a924U, \
    0x9054c701U,     0x8eec564aU,     0x22c36a99U,     0xee20b318U, \
    0x1fe32571U,     0x0f85580fU,     0xc902e81cU,     0xca135fb7U, \
    0xa68d4313U,     0x8651d5faU,     0xbe12f509U,     0xb324eb10U, \
    0xb68ceb4dU,     0x88194817U,     0x8932eb93U,     0x69b13cfdU, \
    0x5dbbb7c8U,     0x45b1f5cfU,     0x0ac11cabU,     0xea65368eU, \
    0xcbcdd742U,     0x867b286fU,     0x21c51cddU,     0xeba39f74U, \
    0x0231ab06U,     0xab148ec6U,     0xe2da99e8U,     0x16975259U, \
    0xcc1616d1U,     0xa1a46b2eU,     0x60e33bc1U,     0xf6edff61U, \
    0x4a217f69U,     0x33a7dbbfU,     0xd8dc6182U,     0xb0670a6cU, \
    0x506f0fefU,     0xdbc8f293U,     0x42628694U,     0xa7a7dab0U, \
    0xe82aae13U,     0xe798c794U,     0x61a55d5cU,     0x2e4be4bfU, \
    0x4ec3dd51U,     0xcbb651a2U,     0x89d7cb59U,     0x2bb3e785U, \
    0xa0b9c882U,     0x51f67550U,     0xca411871U,     0x6cfe11a3U, \
    0x97ec4ce7U,     0x87404301U,     0xcd9d9924U,     0x1a661120U, \
    0xd569b918U,     0x714687d5U,     0xccfeb631U,     0x5aa1fb61U, \
    0xa7650421U,     0xb122e6abU,     0x3705ed75U,     0x276d4588U, \
    0x2e6370b6U,     0xd854dcf3U,     0xafce56d0U,     0x78bbdd71U, \
    0x2e304485U,     0x021869f7U,     0xd0fd46dcU,     0x922f62fbU, \
    0x18efcc90U,     0x7fff5011U,     0xaa020484U,     0x11766b18U, \
    0x9ecff0a9U,     0xc190c0dfU,     0x74900cf2U,     0x7b6fe754U, \
    0x2c6ef70aU,     0x044dfdd9U,     0xe89f84d1U,     0xfd660afcU, \
    0x3c8cb7aeU,     0x2d1c67f3U,     0x9935510dU,     0x22df5442U, \
    0x0b83b41aU,     0x0bb82baeU,     0xcb3b5896U,     0x4cc791f1U, \
    0x49cda867U,     0x20b0c868U,     0x62308e73U,     0x89fb03e9U, \
    0x59868c81U,     0x9de19a35U,     0xffa32899U,     0x3fc98f94U, \
    0xdb051f4dU,     0xc037ecb8U,     0x7388ba74U,     0xb5f80e58U, \
    0x64bf0549U,     0x16f55f17U,     0xa87de846U,     0x55afa69cU, \
    0x8759c625U,     0x72eccfcaU,     0xa208b822U,     0x748f7170U, \
    0x32580f69U,     0x94dcdef8U,     0xc8ae6ccfU,     0x8996203eU, \
    0x4da534ebU,     0xbd4a840bU,     0x8d7a6221U,     0x19e7f805U, \
    0xd0f28870U,     0xfc872b52U,     0x1d8854dfU,     0xcc98789aU, \
    0x1a5aa0e3U,     0x2918d72eU,     0x869bf0faU,     0xa3662bb2U, \
    0xc8e4654dU,     0x08cc69a7U,     0x4a247fbcU,     0xfdd99505U, \
    0x5a2e1763U,     0x94459b62U,     0x4ac4b9daU,     0xbc43f3f6U, \
    0x0ad531faU,     0x40f5d053U,     0xdf8ac004U,     0x121465bcU, \
    0x5d9c0eedU,     0x90718804U,     0xb16fba45U,     0x611bc3e2U, \
    0xc47ab372U,     0x1092c8ffU,     0x5e54dca3U,     0x63264658U, \
    0x3e4a3097U,     0x83fd3799U,     0x6d45b494U,     0xad8f70fbU, \
    0x5dfcf6f8U,     0x602f84faU,     0xfe756c1bU,     0x06b907e0U, \
    0x3ab6f032U,     0x08e719a4U,     0x4fb5a316U,     0x5f483027U, \
    0xa65179e6U,     0xd34a2820U,     0x416b9d25U,     0xcfcbfe59U, \
    0x338c41d5U,     0x075839efU,     0xc943ae98U,     0x6835d77fU, \
    0x64c90734U,     0xdcbd355bU,     0x7cdc890dU,     0x0e9bb611U, \
    0x6a062119U,     0x816562dfU,     0xcd81ad17U,     0x272588abU, \
    0xab331e8bU,     0xdf78b987U,     0x0ce1f9c9U,     0xa712f771U, \
    0x5e4ca882U,     0x5b557f0dU,     0x5046db2aU,     0x8dbb1384U, \
    0x00132b4dU,     0xaeee13f5U,     0x31fb5a05U,     0x2520d0bdU, \
    0x14e2f9d3U,     0xf3ddbafbU,     0x55405614U,     0x8de6413eU, \
    0x65074c5bU,     0x104f4848U,     0x11b7280aU,     0x625e359bU, \
    0x35164d92U,     0x3ba717a4U,     0xba2b682bU,     0x903a7ca0U, \
    0x363ec39dU,     0xb781364bU,     0xa42a7a6eU,     0x01e5c647U, \
    0xd65bc485U,     0xf11c0201U,     0x702347e1U,     0xc1a20e53U, \
    0xf4760b4aU,     0xbcf1ee8eU,     0xdb4a2c15U,     0xa661b6e1U, \
    0x580c3281U,     0xc63b7c51U,     0x00dd2a63U,     0x6cf00958U, \
    0x7739a057U,     0x72645ecaU,     0x7da9ebe4U,     0x1f4ac3e1U, \
    0x946ce02bU,     0x9bd5af4bU,     0x702f0d6aU,     0x7cbc5876U, \
    0x29b36c01U,     0x49f63f40U,     0x3aa161d2U,     0x6ca07b86U, \
    0x2fe5be79U,     0x9e49590cU,     0xe18d7124U,     0xf7ee247aU, \
    0xda556060U,     0x2c95e562U,     0x39695b64U,     0xa2957648U, \
    0x0ed2e719U,     0x2a190e36U,     0x7ccee259U,     0x01024d24U, \
    0x374e538eU,     0x51002846U,     0xd9f0d6cdU,     0x883400c9U, \
    0x40e3e2fbU,     0x60e97466U,     0xfa4b2b89U,     0x203164cbU, \
    0xd69dcb30U,     0x1123901eU,     0x862992d9U,     0x79e3a310U, \
    0xb1b36db4U,     0x2fb8409dU,     0x8b83e0e1U,     0x4e365af2U, \
    0x2e747c02U,     0x708e3be3U,     0x9cd18ec5U,     0xa05f31c9U, \
    0xec553757U,     0x55fa0cafU,     0x4614a8c3U,     0xe235c867U, \
    0x0346103fU,     0x6f1a22f1U,     0xc86deb00U,     0x57d02d00U, \
    0x0a15d8abU,     0xd24bc7f9U,     0x3c23dad7U,     0x030d2394U, \
    0x52fb1f97U,     0x6f9a94b3U,     0x17b2128fU,     0x4abba7b0U, \
    0x04cdef80U,     0xcd7ee8e1U,     0x8eda8a10U,     0x37ebf8c1U, \
    0xc9644ad6U,     0x076f2561U,     0x35c6c038U,     0x340371c7U, \
    0x696cc610U,     0xfc31d033U,     0x6a8b1045U,     0xd2cc55a3U, \
    0xbb0462caU,     0x5fb64338U,     0x138dcfa6U,     0x6ae42575U, \
    0x00f89fa7U,     0x1b5b80fdU,     0xd0b8c23aU,     0x1e7dee4fU, \
    0x90965d5eU,     0x977cde5fU,     0xd3e4b15dU,     0xbd706213U, \
    0xf288541cU,     0x0d7e03c4U,     0xdcb65ea8U,     0xde845fb8U, \
    0x568f0393U,     0x1076b9b1U,     0xf297f240U,     0x23f5e50bU, \
    0x3d312cf7U,     0xa2ea5a48U,     0x4e8f4f28U,     0x2662d3d9U, \
    0x2391a9e4U,     0x5984e3c3U,     0xeaa43392U,     0xc0af31c2U, \
    0x3994c108U,     0xa0d8d6b8U,     0x9eab0aefU,     0xb643a09bU, \
    0x1baee021U,     0xc11ae56aU,     0x8c87d1acU,     0x88213b29U, \
    0x8f26fcb5U,     0x256f8a1cU,     0xdc745c93U,     0x5028d709U, \
    0xa8f79994U,     0xcffaea9fU,     0xe085c17eU,     0xa3ff904eU, \
    0x1194650aU,     0xa4810f98U,     0x02c2995cU,     0x4d51518eU, \
    0x0e853cc0U,     0x84a50e4cU,     0x437b97fbU,     0x025ea1d2U, \
    0x3b6643a3U,     0xd1f833cbU,     0xc6663ec0U,     0x475a67f8U, \
    0xed2b11eaU,     0x493a74c8U,     0x23814ce3U,     0x9468d341U, \
    0x7dce6837U,     0x65a999a7U,     0x5fa3af6aU,     0xdbd2d934U, \
    0xef9286f6U,     0x6b696a07U,     0x84e8a5b3U,     0x51edb585U, \
    0x9c63476fU,     0xf8f0a900U,     0x4bd4c1c2U,     0x5d5c2f05U, \
    0x671f3937U,     0xe6962e5fU,     0x2ec1b99bU,     0x6c6f5cb0U, \
    0xa279f6c0U,     0x7c97e498U,     0xead48934U,     0x91700232U, \
    0x196c3297U,     0xe4a5f099U,     0xfe7bdd12U,     0x66c2debeU, \
    0x2a6a506bU,     0x8e26ab5fU,     0x0fc4f432U,     0xc7fd84abU, \
    0xbed6723cU,     0xc2b44f8aU,     0x76a3350eU,     0xa82646eaU, \
    0xd7f29c59U,     0x1cf11b80U,     0x065daecaU,     0x73399006U, \
    0x530594acU,     0xe3788120U,     0x21ceaa5aU,     0xbced8472U, \
    0xf20d718aU,     0x62a75d22U,     0xa3d22c2eU,     0xf692f563U, \
    0xcc1c12dfU,     0x6420c977U,     0x68236ca2U,     0x6671fcc1U, \
    0x3fda8d89U,     0x1874ad2fU,     0x0dc23d5aU,     0x1aab7ea8U, \
    0xee12be02U,     0x50db57deU,     0x31c0a81eU,     0xef597e42U, \
    0x62645d7aU,     0xc9e21ce3U,     0x98dc4711U,     0xc9473c40U, \
    0x033d7624U,     0x1d52abb3U,     0x4b719fbdU,     0xf7de824bU, \
    0x77aeb6faU,     0x661141c0U,     0xb4371e38U,     0x6b92ba8dU, \
    0xf2c614d3U,     0xd732cecfU,     0x9d48ef91U,     0x4a5dff30U, \
    0xc415074bU,     0xedd0680fU,     0x670e2d32U,     0x7766a35bU, \
    0xc7c61f44U,     0xfc78cb3dU,     0xbfb9d2e9U,     0xa9f2090aU, \
    0xfdb863d7U,     0xdf6990c4U,     0xbdeafb0bU,     0x9862a119U, \
    0x7184fe61U,     0xf41c495dU,     0x4bdcfe6aU,     0xc98f7cf1U, \
    0xd8a3ffceU,     0x683e357fU,     0x8f9684d7U,     0x971139fbU, \
    0x5394adbeU,     0x907eb6afU,     0x3f37cbc3U,     0x4cef76eeU, \
    0x786b5932U,     0xcba16207U,     0xf7c2066dU,     0x7eb2859eU, \
    0x95246f70U,     0x7f9fc1f9U,     0xf25013aeU,     0x5b35481bU, \
    0xbfb90732U,     0x4498cefcU,     0x4f6fa96fU,     0xa6ff7072U, \
    0xdeb0d96aU,     0x5eee0816U,     0x1b22f6eaU,     0xfe24c5cdU, \
    0x159d654bU,     0xbdd022daU,     0xb21fc47aU,     0xdf12bc30U, \
    0xab50738aU,     0x904d1dd7U,     0xc72fc76eU,     0x747c9e27U, \
    0x2076e30cU,     0xff3862efU,     0x50dce8b1U,     0xa66efad7U, \
    0x3f7e06c4U,     0x7a8331a0U,     0xaf4830d5U,     0x887843b4U, \
    0xdb73a1a3U,     0x78437436U,     0x7bf0f433U,     0x2fa05d46U, \
    0x8a13c1d2U,     0xb82f769cU,     0x4fb04860U,     0xc0d511daU, \
    0x54e153d8U,     0x24869efcU,     0xfbf3acc8U,     0x5b1cc550U, \
    0x4a9296cdU,     0xb4093498U,     0x33b99b64U,     0x622657e4U, \
    0x6add13adU,     0x57523771U,     0x6f2be971U,     0x55b96b1eU, \
    0xcfb46afdU,     0x335d8b0bU,     0x6a669e40U,     0x880fe2cdU, \
    0x16e17339U,     0x13fef9eeU,     0xec77e616U,     0xaf3abba4U, \
    0x2731f029U,     0x1f4cba40U,     0xea4ee048U,     0xf08c299eU, \
    0x7a40811eU,     0x4d436498U,     0x35c998fcU,     0xe556a63eU, \
    0x8fd5b382U,     0x47bebf4eU,     0x6f03d68fU,     0x01db0a98U, \
    0xafa103adU,     0x57c40a20U,     0xb61b5553U,     0x133cc0bdU, \
    0xdb0e8765U,     0x861c43a2U,     0x651d50acU,     0xd2484296U, \
    0x25786042U,     0x476fc7d4U,     0x4c0012b2U,     0x43f5aad4U, \
    0x6c13a1b0U,     0xc3927957U,     0x67e26c27U,     0xf5690e32U, \
    0xdc8bf342U,     0xa057d508U,     0xa073e716U,     0xf3da0b83U, \
    0x5c26345aU,     0x9e8c8bc7U,     0xcf3b9f16U,     0xe21fa659U, \
    0xbbfa2206U,     0x2d11637cU,     0xfaa91acfU,     0xf7c932d2U, \
    0xc3781dffU,     0x7bdc076fU,     0xf7321c84U,     0x3d2252c7U, \
    0x79099822U,     0x5cfee658U,     0xf12b93a3U,     0x2883a476U, \
    0xde6aaa09U,     0xea1a2943U,     0x16556c53U,     0x23a81243U, \
    0xea3b2c6aU,     0xba489b2cU,     0x5e46f148U,     0xb13b86c9U, \
    0x050b5564U,     0xc41cfd58U,     0x7225bbc8U,     0x034aafa5U, \
    0x9393057fU,     0xf1cbda0bU,     0x639c8aa7U,     0xe2b5d5a5U, \
    0x3da50a7cU,     0x813a8daaU,     0x790b37afU,     0x7b9423c4U, \
    0x59188842U,     0xc706e9c2U,     0xe8383e23U,     0xc15a6a44U, \
    0x07bacb32U,     0x03bd69ffU,     0xcb7ccfd0U,     0x5d6c1b37U, \
    0xe2e7ddccU,     0x6b431abcU,     0x2094f0a5U,     0x5634efb3U, \
    0xcc1e2e55U,     0x54918edfU,     0x7dc684daU,     0x01044b5cU, \
    0xb84dc8a1U,     0x84d223e0U,     0x752fa1b9U,     0xba6b623dU, \
    0x52f493ddU,     0x68d954dfU,     0xe4709e61U,     0x1a350ebdU, \
    0xfa1bf28aU,     0xfb3ea263U,     0x89a93aedU,     0xf16ed347U, \
    0xf4b20322U,     0x758cdec2U,     0xee624dd0U,     0xff52085fU, \
    0x39a755abU,     0x961005b2U,     0x94989165U,     0x94bfc92aU, \
    0x9122642fU,     0xce64654dU,     0x4e594089U,     0x70a0def6U, \
    0x42fb2406U,     0x93243be5U,     0xd51df130U,     0x8195528eU, \
    0x365073b2U,     0x326fbf49U,     0x09a28cebU,     0xe8a83150U, \
    0xe5074d1bU,     0xd1bf3126U,     0x1668e004U,     0xf31e0b95U, \
    0x959cdc9bU,     0x85e27efdU,     0xc74a32edU,     0xe9be1c70U, \
    0x976ccf33U,     0x76bf6fb1U,     0x7b175332U,     0xe22995aaU, \
    0xfecf39a6U,     0xd874ed8fU,     0x6bcf2531U,     0x57dd10a8U, \
    0x88adda3dU,     0x467bb0d7U,     0x2ed6d6a6U,     0x3e6307d8U, \
    0x150f674cU,     0xc37eaf17U,     0x35508631U,     0x85f368c5U, \
    0xc0065edeU,     0x8efc0aecU,     0x4970243eU,     0xb2abdb32U, \
    0xa7f6dc6dU,     0x178f30edU,     0x661eb7c5U,     0xca5fdd5fU, \
    0x34cb3edaU,     0xd69caaf3U,     0xb0e9ca2cU,     0x7c26d821U, \
    0xd0794bb2U,     0xdb38b5d7U,     0xeb268232U,     0xa98d6a1cU, \
    0x2cd7b3ceU,     0x4c4a4451U,     0x69c6e7edU,     0x456d6943U, \
    0xf834d00dU,     0x7eba0a90U,     0xf9d907faU,     0x8ea46fe7U, \
    0x94c9ff9fU,     0xee95332eU,     0xf19b4d43U,     0x63769c24U, \
    0xb542b3b1U,     0x3a4fd095U,     0xc7c0b8e8U,     0xf9fad96dU, \
    0x968c1647U,     0x2a59959bU,     0x2b1c7b9bU,     0xcb902cefU, \
    0x540c3afcU,     0xee384eb4U,     0xa8c41969U,     0xd3c4bc18U, \
    0xc012ec6fU,     0x1c1ea9efU,     0x2ba66b5cU,     0xac04f0ceU, \
    0xc2630c55U,     0x24cd3580U,     0x55c13bb4U,     0x3214804cU, \
    0x4fba917bU,     0x187dd4caU,     0xcc29a546U,     0x6844d8a7U, \
    0x6ddb5cd8U,     0x2d066f03U,     0x472a03c5U,     0x080d135aU, \
    0x7160418eU,     0x4d771df0U,     0x258e2b8aU,     0xc03d6cd2U, \
    0x709194dfU,     0xbe465c29U,     0x121911c7U,     0x252a0207U, \
    0x481879adU,     0x49c4dc1aU,     0x06d76d9bU,     0x637b0b59U, \
    0xf0cef642U,     0x7892c7e1U,     0x1e5faa8aU,     0x1a9f139fU, \
    0x37636977U,     0xba887d2dU,     0x6ad41726U,     0x3bcc3ff8U, \
    0x73dea3f1U,     0x4d5f1526U,     0x9947d7cbU,     0x4200e7d9U, \
    0x93bd67b2U,     0x80591985U,     0xd7f77c05U,     0x9e621bafU, \
    0xf1e4056eU,     0x41035aa6U,     0xa114ef2dU,     0x25f16488U, \
    0x623fee56U,     0x48df19a2U,     0xd1415d0bU,     0xfff55562U, \
    0xb53bd82aU,     0x739adb40U,     0x3eb76e51U,     0xa82a024cU, \
    0xc40d33ccU,     0x4cf30498U,     0x859bf1a3U,     0x01290d6cU, \
    0x0b6b779bU,     0x473cef9bU,     0x974340bcU,     0xd1ac1cb7U, \
    0xf3cd193cU,     0xa15230c5U,     0x713a55e4U,     0xbed2ceb0U, \
    0x5468a13cU,     0x5922a900U,     0xc99581c1U,     0xfb500cbeU, \
    0x0d4d9addU,     0xfbf8e5f7U,     0xfeb68a97U,     0x8edfe4d4U, \
    0x54435517U,     0xc82c839bU,     0xdc39762bU,     0x94f8df97U, \
    0x21e4c48bU,     0xc4ca2bcfU,     0xbf9eec90U,     0xe2b6695bU, \
    0xcbcff8faU,     0xf9f1ad07U,     0xb20ea056U,     0x0c0a8564U, \
    0xb99b9bd6U,     0xae126271U,     0xf8ac3f81U,     0x3b3e6f2cU, \
    0x384697b1U,     0x1db38690U,     0x6adde6bdU,     0x442fecaeU, \
    0x96ad3976U,     0x7dd65958U,     0x15a5f09dU,     0x3f3b4c51U, \
    0xf5f80ff8U,     0xcf3268d3U,     0x0bf2c5c3U,     0xb027bb23U, \
    0x5788b66fU,     0x4d4f1dd2U,     0xffe09b77U,     0x8b459109U, \
    0xddcb0d8aU,     0x25f20bb0U,     0x7dbeb05aU,     0x90b604d9U, \
    0x1c2b1275U,     0x697a4e26U,     0xa097348eU,     0x3c45feacU, \
    0x33e81314U,     0x584a2c5dU,     0x382f215dU,     0x0cdb4d61U, \
    0x8cc17d15U,     0xd76de16aU,     0xa454c383U,     0x3ae3ab7cU, \
    0x6a230bdfU,     0xdc8a6daeU,     0xcedbc6b1U,     0xb503c555U, \
    0xfea1fad6U,     0xebfb9134U,     0x4d45c117U,     0xf76c0b93U, \
    0xf2951e92U,     0x624c6e25U,     0x40851d00U,     0x687a5ec7U, \
    0xd726a2dcU,     0xe5208d62U,     0x452d4499U,     0x425395dcU, \
    0x056ebb61U,     0x814fbdd7U,     0x85d47159U,     0x69d1ff16U, \
    0xcdb31c65U,     0xdf3ab580U,     0xf484fdb9U,     0x1635c42fU, \
    0xfe49870dU,     0x6da96d3fU,     0xfa251adbU,     0x33d09f68U, \
    0xc3d5ac92U,     0xe322547dU,     0xda1f2d92U,     0x0892da6bU, \
    0x455084a9U,     0x0741382dU,     0x2907b32dU,     0x85d3d433U, \
    0x47dbbc1fU,     0x70c3dad3U,     0xca9ab685U,     0x1d3fd34fU, \
    0x1a1ba4b9U,     0x7e222901U,     0x59443cbcU,     0x8dd6935aU, \
    0xc75c6b94U,     0xe4c26870U,     0x8e41bf35U,     0x081f3c60U, \
    0x94ff52f0U,     0x36a6d0e9U,     0xb39ad865U,     0x217addefU, \
    0x72136c28U,     0xb09f07f4U,     0x541f18d9U,     0xffa89363U, \
    0x9c7df26dU,     0xcaf0c066U,     0x31b6a397U,     0x27a18e74U, \
    0xb5f00417U,     0x1d340862U,     0xfaefae33U,     0x39d68e62U, \
    0xd836afb4U,     0x5b760c45U,     0xdd5d2e73U,     0xc89b2376U, \
    0x35e4664aU,     0xc05d041bU,     0x07603ad2U,     0x75ae6182U, \
    0x0d13dd1bU,     0xefa2c27aU,     0xd6448b93U,     0x2ba61503U, \
    0x6faa4826U,     0x6510ebb6U,     0x3e6ecae9U,     0x5c9ed026U, \
    0xafa7b696U,     0x5d7a007eU,     0xc79bbd57U,     0xa7fcc766U, \
    0x90ba0299U,     0xba971d79U,     0x08ef50e0U,     0x7e4542e6U, \
    0xe6c3e267U,     0xe04cafe5U,     0x8a393310U,     0x4c482a5dU, \
    0xb8ce68c2U,     0xe9d4dd57U,     0x6bad9d81U,     0x1399bb27U, \
    0xd017cf2fU,     0xb63cf7c1U,     0x3797934eU,     0x78a8a482U, \
    0x7cb93580U,     0x22584ff1U,     0xb2967c58U,     0x74a78a44U, \
    0x5cc6f847U,     0x84746347U,     0xf10df8c3U,     0xdc2fe9e0U, \
    0xc74df345U,     0xb633d360U,     0xd01f5579U,     0x797b006fU, \
    0xb660ca6fU,     0xc67b7e00U,     0x37c3af55U,     0x7ed8f867U, \
    0x1d782450U,     0x903eaecaU,     0xd3f1e1aaU,     0xd83338bfU, \
    0x3f313ce7U,     0x0047456bU,     0x857b7b55U,     0x14b79929U, \
    0x89066718U,     0xd616f425U,     0xcba5d873U,     0xee47c30fU, \
    0x7fee1939U,     0x7380032fU,     0x186fd49dU,     0x0e62b154U, \
    0x8bf0df19U,     0xc9471f02U,     0x0afe6cc6U,     0x0efb2707U, \
    0x8263d46dU,     0xf65d80beU,     0x200a4e7cU,     0xcad6c36eU, \
    0xfa29c4fbU,     0x4898fbdfU,     0x257788b0U,     0x063c6d8fU, \
    0x30900322U,     0xf95a1818U,     0xcbe3430cU,     0xcef8c15cU, \
    0xc78f60fbU,     0xd16dbcabU,     0x0e977146U,     0x971caf7cU, \
    0xbd9bc5c1U,     0x54d17494U,     0x18a4037fU,     0x553aaefbU, \
    0x77535e41U,     0x60526bdeU,     0x407d874cU,     0x520239baU, \
    0x377ceeb9U,     0xb666de41U,     0x35191c01U,     0x007f5646U, \
    0x0663de89U,     0xf71e8b8bU,     0x3eded9c6U,     0xb705f79dU, \
    0x2fb9a2adU,     0xbac4bb9eU,     0xf782435bU,     0x3217c045U, \
    0x25887439U,     0x43a4f1aaU,     0x44a899cfU,     0x1c911a54U, \
    0x5b3a27a8U,     0xd399c5d2U,     0xfe1988beU,     0xf9d3c8a5U, \
    0x80b24af3U,     0x0325d048U,     0x589cc91dU,     0xb6ae5a72U, \
    0x65163a95U,     0xc7501758U,     0xa258e29dU,     0xd2cc8a2aU, \
    0x9079e2aaU,     0x8ea4b563U,     0xea47f582U,     0xc628039aU, \
    0x802f7b2aU,     0x9cc08842U,     0x7bf40357U,     0x779d4d79U, \
    0xfe71c43aU,     0xef542c00U,     0x7bf6466fU,     0x309fd77fU, \
    0x144f150eU,     0xd54c87a3U,     0xfe326a9aU,     0x2f153b54U, \
    0x49614dd3U,     0x66f5090dU,     0x7b1d12dbU,     0xaeb46ff0U, \
    0xa6cb2618U,     0xba55d01aU,     0x9299bba5U,     0x69de667cU, \
    0x8b3410eaU,     0x0e76527bU,     0xd417f1b2U,     0x499a10e1U, \
    0xb9ba46bbU,     0xdd5a21c6U,     0x11876406U,     0xd9ea449fU, \
    0x02bca2beU,     0xb4c944e7U,     0x65f76d71U,     0x9560fb25U, \
    0x78b0b87dU,     0x2f5ccb29U,     0xd67de30eU,     0x1e996b0eU, \
    0x8af75db7U,     0xa98871f5U,     0x8072dde8U,     0x620b4950U, \
    0x6605babaU,     0x6fba794bU,     0x2c59f626U,     0xdfc00963U, \
    0x3cf274e5U,     0x29d61a55U,     0xbee85538U,     0x267eb54bU, \
    0x9963fe4aU,     0x28372a8aU,     0xa30f533cU,     0x8d53cc53U, \
    0x23cde999U,     0x71c1b347U,     0x4e428c08U,     0x4d165032U, \
    0xfc22b32dU,     0x3646514dU,     0x9cc0e397U,     0xf145a237U, \
    0x0a503846U,     0x9756d1b2U,     0x2d6b320cU,     0xdd24fde7U, \
    0x6ea7b438U,     0x80e4a150U,     0xa887febbU,     0x94e1a30eU, \
    0x79312696U,     0x3beaa0e3U,     0xbb7ead79U,     0xd70c4e16U, \
    0xb4141c46U,     0x2d63b447U,     0x4922add5U,     0x151e6308U, \
    0xfb81f8bcU,     0x2895ef8fU,     0xb7310f5fU,     0x0297b414U, \
    0x76e5b6e3U,     0x58779792U,     0x1933258fU,     0x2b90b227U, \
    0xa4fe744bU,     0x0980dd66U,     0x39b7a86eU,     0x97ac6e1bU, \
    0x60bce4e9U,     0x95cc24aaU,     0x4eec1763U,     0xb800c547U, \
    0xd258eb9aU,     0xc3c58f76U,     0x381fc015U,     0xed396e97U, \
    0xe77c9c23U,     0xef31c275U,     0x53b3cdccU,     0xecb7512cU, \
    0x1665bc73U,     0x5a925d49U,     0x22815767U,     0x1dfea38fU, \
    0x8145cd81U,     0x6adc3bbbU,     0x6cc49ae4U,     0xade2fcd7U, \
    0xdb761cf1U,     0x5aa93c9eU,     0x9d6b694bU,     0x511c04b6U, \
    0x65dc8fddU,     0x164c1bb5U,     0x702229aaU,     0x52b2fc78U, \
    0x5f00dbb0U,     0xf1c748a5U,     0x55f1d320U,     0x74b960bcU, \
    0xe2462f47U,     0xdd953817U,     0x1bfe60c9U,     0x6ba8b6c7U, \
    0xf619cc3cU,     0x670c7604U,     0xd68fa8d2U,     0xe82b81adU, \
    0x9716ff8aU,     0x67a7bfbaU,     0x72083b40U,     0x4f30ec6cU, \
    0x8b8620a8U,     0xdf519516U,     0x2afa277eU,     0xefde7559U, \
    0x0918ffbaU,     0x591b352dU,     0x55daa88aU,     0x1379d3c4U, \
    0x9522b730U,     0xbca39b3cU,     0xd82fdb45U,     0xea26b3c2U, \
    0xf97fb5f6U,     0x77ee26ffU,     0x611fb156U,     0xc66626f7U, \
    0xf42c572dU,     0x661908c9U,     0x8ed2c58dU,     0x522606acU, \
    0xaeeaed1aU,     0x77297768U,     0x9734a8a0U,     0xc908c98fU, \
    0xcd3a15a0U,     0xd5f78238U,     0xc32007f0U,     0x4683c394U, \
    0x1123f249U,     0x933c3faaU,     0xd8997e0dU,     0x5c5bd4e3U, \
    0xfbe79caaU,     0x2bce48d8U,     0x4683d222U,     0x8430d780U, \
    0x11df07b7U,     0x15f8081bU,     0x501582b1U,     0xd09dc9dcU, \
    0x27031371U,     0xe0017c54U,     0x3db094d2U,     0xaf04b65aU, \
    0x67cd7bdaU,     0x57e0787fU,     0x84ae4910U,     0x7ca3ecd1U, \
    0x8bad018aU,     0x7144a551U,     0xf1157393U,     0x966b0044U, \
    0xe07b0fd6U,     0xcef2de2bU,     0x85f3f938U,     0x6add486cU, \
    0xf284c53cU,     0xc428ca3aU,     0x21fea43fU,     0x01201790U, \
    0xb935c7f3U,     0xd0159e06U,     0xb4d61582U,     0x834c4917U, \
    0x163b1e9cU,     0xf486db33U,     0x531bac81U,     0x1fbd49a2U, \
    0x35b91eb7U,     0x5260aa58U,     0xcbb83aecU,     0xc1078672U, \
    0x68d4da2fU,     0xc42f50e8U,     0xe7ea3ebeU,     0x7a1d3450U, \
    0x0c14bc63U,     0x46ce952bU,     0x2fb0a9b0U,     0xdcd213feU, \
    0xed7ba6abU,     0x9c985438U,     0x653800fdU,     0xa5c58a5bU, \
    0x12f7b22dU,     0xe76e718cU,     0x8c833803U,     0x18900795U, \
    0xd4e8d26bU,     0x203d7ca5U,     0xade56273U,     0x4955da25U, \
    0xda24d363U,     0x770b8d8bU,     0x1631cf39U,     0xe0a39fc8U, \
    0x655aaa37U,     0xfaaf4eb9U,     0x13a0ab90U,     0x54ece602U, \
    0xb7390a0dU,     0xf6d491a1U,     0x77d69425U,     0x1b1ab513U, \
    0xf82e55eeU,     0x2cd74041U,     0xceaa9cf7U,     0xf5e32361U, \
    0x3fa23a3dU,     0x0b3e94dbU,     0x4624a162U,     0x7e97c391U, \
    0xab2349b1U,     0x7b9fa333U,     0x1036e268U,     0x449ee5b6U, \
    0x77ab76f2U,     0xd20108e2U,     0x601f1f47U,     0x0ae98d43U, \
    0x901085b2U,     0x5034ba1fU,     0x0027f418U,     0x17cae30dU, \
    0x51e8de6cU,     0xb8cd5a8fU,     0x1fbd3707U,     0x4062b32aU, \
    0xf5f67c33U,     0xc5f8280cU,     0xb4b9f046U,     0x9a1cb025U, \
    0x7f6d37beU,     0x46bfb99dU,     0x49342fc5U,     0x1cafb203U, \
    0xd0dfd2aaU,     0x6ec9122cU,     0x974e85a0U,     0x5e18d972U, \
    0x108cad6dU,     0xca2eed79U,     0x4187da84U,     0x0ec8d0dfU, \
    0xa46e2762U,     0xc98fd9daU,     0xcfeeb56dU,     0x12512033U, \
    0xe7c61571U,     0xf391df07U,     0x83a8cd6eU,     0x6cc18d78U, \
    0x11cd6025U,     0x99fd2f29U,     0x29d9016fU,     0x2953c7cfU, \
    0x612155e7U,     0xe9e93ef5U,     0xe85afddeU,     0x277c8b8eU, \
    0x02c19b21U,     0x46c8ea4bU,     0x5f0f2c6eU,     0xfb5fcca2U, \
    0xac63ddf9U,     0xf5ac5810U,     0xfa73408bU,     0x635322e4U, \
    0xb54e4da9U,     0x5c43d319U,     0x476231c7U,     0xcf7ead33U, \
    0xd37b498cU,     0xddf2a646U,     0xea665e0cU,     0x735ef41dU, \
    0x217b16d0U,     0x12da36fcU,     0x76603bf0U,     0xdcbbf6c7U, \
    0x869aad44U,     0x3e7ef809U,     0x74b595c1U,     0xf1ec7c0dU, \
    0x38e8455eU,     0xe3df1bb0U,     0x14b0902fU,     0x1bc1230aU, \
    0xf0cf8f8eU,     0xd17f7412U,     0x4b6f811fU,     0x42a74376U, \
    0x76229fcdU,     0x2178b583U,     0x59fbaabcU,     0xd33dd608U, \
    0x410a2b8cU,     0x710d8e6dU,     0x14202bc8U,     0x69619234U, \
    0xc342e4a8U,     0xcfe8a8f2U,     0x90d738beU,     0xae1db719U, \
    0xa19223c6U,     0x8e01e9d3U,     0xc12e63b2U,     0xd6b72f8aU, \
    0xf0f23aecU,     0x53ba8af6U,     0xc859188bU,     0xf00d73d2U, \
    0xa00c8920U,     0xc855df74U,     0x274be222U,     0x558276b6U, \
    0xb5dfba59U,     0x8b7b3d9aU,     0x783d088fU,     0x10462be0U, \
    0x137f499cU,     0xd3c43357U,     0x4c3350f1U,     0xe896444aU, \
    0x1d3e6238U,     0xfef894d2U,     0xb9ddf3f5U,     0x0ee99dbbU, \
    0x36956620U,     0x342e1ac1U,     0xd7a6059dU,     0xb4bef5a3U, \
    0x958f1465U,     0x089dd945U,     0xabf4af9aU,     0xf7d376e5U, \
    0xb056a394U,     0xcae100d9U,     0x60c0a6faU,     0xad6256f8U, \
    0x4d9f2f12U,     0x00528705U,     0x4bff68e3U,     0x060981dfU, \
    0xa0a7d160U,     0x0ae87e1dU,     0x20f7e5c7U,     0xb3919a92U, \
    0xcb07bbabU,     0x4136be19U,     0x661bf9c3U,     0x4de5d4ecU, \
    0x1984efb5U,     0x818d9efdU,     0x007262edU,     0xc87d7fcfU, \
    0x010c4daaU,     0x4c14e305U,     0xe28a7101U,     0x50f1aad2U, \
    0x2478fa68U,     0x809f75f1U,     0x10760849U,     0xd7602195U, \
    0x0b104b00U,     0x125d41f9U,     0x3228248eU,     0xb8f28f25U, \
    0x166fa3bfU,     0x6b097537U,     0x40b73538U,     0x719718adU, \
    0x646c4b4eU,     0x5238613cU,     0x1cdf4705U,     0x6c47e6f2U, \
    0xbda1f26cU,     0x7727d88eU,     0xc3782fbaU,     0x49c3be81U, \
    0xe1af4b55U,     0x23beb221U,     0xbacc8275U,     0x74d038b9U, \
    0x99e95dc6U,     0x2a84a863U,     0xf348734dU,     0x5d50d599U, \
    0x99f57af2U,     0xfec9eb21U,     0x5608ade2U,     0x67c311f4U, \
    0x112a08c1U,     0xcef0efcaU,     0xe70f4bbfU,     0x76d62f4eU, \
    0xc7b3e3acU,     0x7e147a5cU,     0xeeb42070U,     0xd0585d26U, \
    0x17526375U,     0xf555dc24U,     0x25d4c3b6U,     0x4f1d2524U, \
    0xd7b99f6eU,     0xc70f881dU,     0xc8b34879U,     0x87e0a453U, \
    0x2ef28e1cU,     0xb25ce86aU,     0x6ea661e8U,     0x8f94983aU, \
    0x8a768065U,     0x900119a2U,     0x25e165a9U,     0xf97a40deU, \
    0x81a81902U,     0x9fac8273U,     0x4be2cc43U,     0x293f4110U, \
    0x1ee15a0dU,     0x4f061bcaU,     0x09bada6aU,     0x67ab312cU, \
    0x31e6e4e5U,     0xf956f762U,     0x33d88f8bU,     0xbd409915U, \
    0x0f3dbc36U,     0x5420fb95U,     0x590252b5U,     0xfad5bd4dU, \
    0x129b057fU,     0x791cedb2U,     0x28cd1dc4U,     0x74bc02b0U, \
    0xc077f622U,     0x85a08f28U,     0x6b8ef457U,     0x7c1d7f36U, \
    0x7526b1dfU,     0xf70ed12aU,     0x48f3cf70U,     0x74f7b038U, \
    0x49e05ff5U,     0xaf80fe3bU,     0x49bb76f9U,     0x0f25e634U, \
    0xee18931eU,     0x3b64afe9U,     0x671cb9ffU,     0x382cb648U, \
    0xb66f0b77U,     0xfa0b76e0U,     0x22d44f5eU,     0xd7688cd3U, \
    0x35d0f35fU,     0xd067b90aU,     0xb3a43155U,     0x113934c8U, \
    0x71b131a0U,     0x90736678U,     0xad51db7cU,     0x6f0359e0U, \
    0xe34f039cU,     0x535e571bU,     0x74098161U,     0x47a6a072U, \
    0x2cb8e898U,     0x58766c6cU,     0x00c9c84fU,     0xb23a7a05U, \
    0x870a6e1cU,     0x8fee6c32U,     0x7a8698efU,     0x850d3d2eU, \
    0x97af34bbU,     0x9c9aba5eU,     0xebe9d73bU,     0xcf7f77caU, \
    0x37828533U,     0x47b5e065U,     0x91b9a674U,     0xa9cd6636U, \
    0x1dcf4e43U,     0x0c619f7eU,     0x32432727U,     0x29a373ddU, \
    0x0342badbU,     0x20d9f340U,     0x0c2682e5U,     0x9262070cU, \
    0xcd143094U,     0x8960a6c8U,     0xcfb13df1U,     0xa84d4646U, \
    0x72558c7fU,     0x1a9155efU,     0x7caf7753U,     0xcffe9887U, \
    0xb556d1c2U,     0xff4e3806U,     0xae6ebcf1U,     0x3850e7f5U, \
    0xca46d92aU,     0xcdb14275U,     0x3e546593U,     0xc659b082U, \
    0xe5d939fdU,     0xefb98040U,     0xbcc144d2U,     0x207ffc11U, \
    0x951474b3U,     0x732a67e9U,     0x22331d12U,     0x1ebdc2a1U, \
    0x4c73c216U,     0x1cbab2f1U,     0xadfaf407U,     0x54bf0e55U, \
    0xb1dc72f8U,     0x00209eb9U,     0xd33aab81U,     0x9bfdbea2U, \
    0xd18c3bfdU,     0x27a69f71U,     0x8f8f07e2U,     0x788bc179U, \
    0xe8929787U,     0xd998222aU,     0x021bb2d1U,     0x6d701b93U, \
    0x0b3168dfU,     0x2b3afe94U,     0x4587bf17U,     0x9e7e0a5cU, \
    0x7e2933edU,     0x172ebbfbU,     0x70f0bd6cU,     0x4121a5c2U, \
    0xd6409950U,     0xb61b6a6dU,     0x5ef3c16bU,     0x388e9ae8U, \
    0x53254e95U,     0xdf7ee36dU,     0x28e6cb3aU,     0xa2b2a379U, \
    0xf5c33e24U,     0xb918132dU,     0x8f6e4bf1U,     0xad14b00cU, \
    0x7200b822U,     0xcb5f47c6U,     0x28ade5a9U,     0xad9a2046U, \
    0x460522a2U,     0x92167b76U,     0x4318ddfeU,     0x354a5b7eU, \
    0xca0928b4U,     0x364773beU,     0x1049ed8bU,     0xe6611a0bU, \
    0xeb9e93f8U,     0x4f4545f4U,     0xa64e54a8U,     0x15bd729eU, \
    0x9af5abcfU,     0x1210d1faU,     0x40f6b7c6U,     0xaa771da3U, \
    0x1eeefc8eU,     0xf63ab53cU,     0x6e25645dU,     0x2831956dU, \
    0x9e67dbbaU,     0xd6d84e12U,     0xa5d8d072U,     0x30acbc7aU, \
    0x88756d38U,     0xa8e1cb86U,     0x29bc66c2U,     0x4f369c90U, \
    0xd46314a6U,     0xb0735bccU,     0x98783e06U,     0xbcaf920cU, \
    0xc504464bU,     0xd1f1e5adU,     0xf1770718U,     0xb105329eU, \
    0x74a96bd1U,     0x6cef433cU,     0x294880c1U,     0x61c3115aU, \
    0x1df669e4U,     0xd3fd78fbU,     0xb0105082U,     0xc796f15aU, \
    0x49405c81U,     0xda656016U,     0x656ae359U,     0xa4a1ee68U, \
    0x3d8bfc6cU,     0x3451784cU,     0x447cc3abU,     0x023c6980U, \
    0x035da784U,     0x9b393c46U,     0xd5d426b2U,     0x6beaaf4bU, \
    0x2d83b060U,     0x4ca84442U,     0xd723f618U,     0xfaca716fU, \
    0xcc3a6606U,     0xe73c87a1U,     0x9e72c60fU,     0xf47260ccU, \
    0x65f99881U,     0x7f78878eU,     0x858e2f69U,     0x65b57b70U, \
    0x49d31407U,     0xe0b09e57U,     0xc2e3bbdbU,     0xca4b9eaaU, \
    0xcff84f52U,     0x1fbfbc78U,     0xe810d2efU,     0x072d531aU, \
    0x0617c2d0U,     0x5a6704e2U,     0xd515810eU,     0x3cf36da3U, \
    0x06214095U,     0x6de6c36eU,     0x22b55439U,     0xd9632950U, \
    0xbae0e264U,     0x0fbe8944U,     0xdc1c1dc0U,     0x1aedc5cfU, \
    0xf128eab9U,     0x32e80d45U,     0x6bca058bU,     0x57271d7aU, \
    0x549b2f5eU,     0x08dded87U,     0x7840bb16U,     0xb2cd0041U, \
    0xfab96eaeU,     0xb75dea44U,     0x63ee9a04U,     0xb47214ccU, \
    0xa17c26d3U,     0x49c10374U,     0x064d7466U,     0xf00d631cU, \
    0x1613edf1U,     0x1942d698U,     0x3f8721daU,     0xdc2a1411U, \
    0x86624f64U,     0xc9cd196dU,     0x18ae38c4U,     0xa1267096U, \
    0xe1d6611dU,     0x68ff08c2U,     0xab78cea9U,     0x7f4fb6f9U, \
    0x986bafddU,     0xa10a4575U,     0xd19679eaU,     0xa471333dU, \
    0x7b0edecfU,     0xa2dff55dU,     0x9c1d4d8aU,     0x3c7d1cbeU, \
    0x661d2ab6U,     0x7803df14U,     0xcbd44e76U,     0xede8740fU, \
    0x788158d1U,     0x40d1b049U,     0x99b097c2U,     0x56663e8aU, \
    0x9434e99bU,     0x6462f136U,     0x66487160U,     0x21d0e983U, \
    0xa8ac9d59U,     0xec946817U,     0x14b737b7U,     0xcd9f9ae8U, \
    0xc796bd6dU,     0x104a1489U,     0xc0056fccU,     0x0b0472c1U, \
    0xa4957efdU,     0x05be5abdU,     0xd0f4a83bU,     0x3b7099cbU, \
    0x2dac60e0U,     0x3bdacc57U,     0x6e6a1ad0U,     0x509081bdU, \
    0x3e20929bU,     0xd4996f95U,     0x4a7021c0U,     0x6ffabd22U, \
    0x804e0169U,     0x601397b3U,     0xed9ea995U,     0xf665f932U, \
    0x42c5fadaU,     0x054d6095U,     0x97214177U,     0x8b5f716eU, \
    0x9a8a12e1U,     0x81160a25U,     0xcf251d1dU,     0xa671990fU, \
    0xceaf6ae4U,     0x147bba9aU,     0x9cf17977U,     0xfbfcb3dcU, \
    0x294aa95dU,     0xb92c66d0U,     0xb1a14e1dU,     0xb21db71aU, \
    0xae67bf60U,     0xf4812df4U,     0x58c5a85eU,     0xdb0c8198U, \
    0x36c1ee1aU,     0x706b6cc5U,     0x20a4eab4U,     0xe9cd394dU, \
    0x45474a51U,     0x6a36481fU,     0x341b90e3U,     0x70ac7c06U, \
    0xdaa5cca6U,     0x91fb6273U,     0x1eb5e2d7U,     0x42aa3ae4U, \
    0x01e42ee6U,     0xf872ebf9U,     0xcbc4930aU,     0xc95fa47aU, \
    0x87ab415cU,     0x9281a9faU,     0xd94cfb5fU,     0xd73ca93cU, \
    0xc74f5fecU,     0x2dd3f3f9U,     0x4afca88aU,     0x9e76528bU, \
    0x37871a52U,     0x32f2c79aU,     0xab7d674cU,     0x5f0c5710U, \
    0xe194bc1fU,     0x9ffaf902U,     0x9934b6d1U,     0x477a4b23U, \
    0x379e0074U,     0xecb43c38U,     0x3e78d9a0U,     0x48a362b4U, \
    0xb74072f0U,     0xb9f19491U,     0xec2938c7U,     0x098c47b1U, \
    0xb4adb2b1U,     0x4719bdf6U,     0xf04fe893U,     0x4743861eU, \
    0x08788ac6U,     0xfaf44bb3U,     0xabef1597U,     0x4b819a47U, \
    0xa660e760U,     0xb7ccb1eaU,     0x32f2d907U,     0xa036bed1U, \
    0x9569b79fU,     0x7069c50bU,     0x476f1c9dU,     0xa03e15b8U, \
    0x9328e496U,     0xde71a866U,     0xb606cff9U,     0x485a1e86U, \
    0x37944177U,     0xa88cb89cU,     0xdc01a050U,     0x9cdb507dU, \
    0x7d7382c8U,     0xdbc01dddU,     0x2bae277cU,     0x2e00f31dU, \
    0xeec8c051U,     0x8b77e77eU,     0x4e25be72U,     0x62aab29dU, \
    0x591ae1b7U,     0x6a13de17U,     0x88ea95daU,     0x9b0e6a1dU, \
    0xdcddb82cU,     0x7458d7dfU,     0x01ece4d6U,     0xc61352e9U, \
    0x2bc14a33U,     0x5f6b0d3eU,     0x70f821fbU,     0x2584332bU, \
    0x0e951bdeU,     0xf9111377U,     0x84944ff9U,     0xad8e0fb2U, \
    0xe8a34643U,     0x2b75ee7cU,     0xa5722bd7U,     0xeaeae426U, \
    0xe77dec36U,     0x05bfe743U,     0xd22b3e97U,     0x0cb85e7eU, \
    0xd085b441U,     0x9c2f6087U,     0xefa52a46U,     0xc08fd4b8U, \
    0xdd4a8811U,     0xfd73a859U,     0x474eabcbU,     0x11723101U, \
    0xef363f7eU,     0x2dd6133aU,     0x35e49125U,     0x4f59537cU, \
    0x37c31f2dU,     0x0c8e8325U,     0x549c1ae4U,     0xc239587aU, \
    0xed3bb49aU,     0x9b747a74U,     0x181420cdU,     0x3aa65436U, \
    0xc1082837U,     0x53cbdc2aU,     0x7b9b34a6U,     0xd3fbf8f6U, \
    0x7048601dU,     0x29ed87beU,     0xe237222aU,     0xc40b22aeU, \
    0x0f6db7afU,     0x4153dcfeU,     0x4589d271U,     0x859144ccU, \
    0x341929c6U,     0xd5566515U,     0xab0c2144U,     0x1c5e9153U, \
    0x657d9cf5U,     0x9ed76377U,     0x764efa07U,     0x51b133bfU, \
    0x833b5b4bU,     0x3396344aU,     0x3eeaf478U,     0xd9e79d0cU, \
    0xc47f4312U,     0xd7ab40c7U,     0x8c5fde7bU,     0xc33e27d1U, \
    0x79f6df84U,     0x695c19e6U,     0xa0ab1da9U,     0x5237091fU, \
    0x7d77cf9eU,     0x84444bb1U,     0x5b418df4U,     0xf0b424f2U, \
    0xe0c061c3U,     0xcea4be1fU,     0x517b7126U,     0xc20ad820U, \
    0x96f911fdU,     0xa7ca3305U,     0x4de2f75dU,     0xee4d99afU, \
    0xfc77fa29U,     0xc343ef81U,     0x36c70cbbU,     0x26166af0U, \
    0xe7d164a6U,     0x15ad392bU,     0x9aa522b3U,     0xd089671aU, \
    0xc3ccb187U,     0x62dffe6eU,     0xe667e381U,     0x079c3469U, \
    0x3c0d6458U,     0x1a12266fU,     0xc3c1b683U,     0x4faa2fe5U, \
    0x2fba57beU,     0xe5a690beU,     0x4a986d4eU,     0x031a5aaaU, \
    0xd6e1f925U,     0x7d25da8cU,     0xf3c6e8dbU,     0xf33c51ecU, \
    0x065af7ccU,     0xdbc12a32U,     0x3fa486dbU,     0x76d50369U, \
    0xa3512cecU,     0xdab990a2U,     0x36a38f7dU,     0x29985ec9U, \
    0xd84579f7U,     0xc314ad5eU,     0x5fdae07dU,     0x55f88ca2U, \
    0x3df0168bU,     0xa1ab478cU,     0x11e9f5f7U,     0xea4cab56U, \
    0x78423570U,     0xe4788865U,     0x67c13ebcU,     0x9bfa4265U, \
    0x4270c46dU,     0xbcb39e37U,     0x24f662ceU,     0xa20b3b64U, \
    0x1208c3e4U,     0x5eb02515U,     0x2cd074aaU,     0xb270cf0eU, \
    0x7c004269U,     0xc56ff79eU,     0x70a2091cU,     0x6fdfcbadU, \
    0x9d29a0caU,     0x4c4f15c1U,     0xa0c81fceU,     0xab5ef198U, \
    0xb9337126U,     0xf24a76fbU,     0x7a5c3c8bU,     0x6bcfbddeU, \
    0xe7fc716fU,     0xebf3f3faU,     0x7b9128fdU,     0x5a59f2ffU, \
    0x03cf1f7aU,     0xc9081496U,     0x3ad3eecfU,     0xf79e774cU, \
    0xab500534U,     0xf2d22f59U,     0x37b61a30U,     0xcf100cc1U, \
    0xc21e9003U,     0x3d9152baU,     0x3659b50fU,     0x6548de6aU, \
    0x598f24b9U,     0x6e97cae6U,     0x28563a08U,     0xb5d623f8U, \
    0xe017bbafU,     0xb09abd68U,     0x5b26c1e3U,     0xe16f14daU, \
    0x2574207dU,     0xf71f0f0bU,     0xa23dcb84U,     0x611233abU, \
    0x6cca74e9U,     0x824e32c3U,     0xd74f4a23U,     0x88c106edU, \
    0x211cf417U,     0xcde41f95U,     0xacf35247U,     0x60d7824eU, \
    0xe2d25b2dU,     0xf045b973U,     0x06d6c7a8U,     0x9ad7d3afU, \
    0xb5a7ec40U,     0x8185bea2U,     0x4a0c4234U,     0x91400420U, \
    0xd5409aa7U,     0x7b77e15eU,     0xbbacab80U,     0x22675c89U, \
    0x740df69fU,     0xa44ab48bU,     0x80e53fc6U,     0x2dddf40eU, \
    0x2ecb9e1bU,     0xe4372070U,     0x08ebc201U,     0x8a22bf3fU, \
    0x7380d769U,     0x0d49fd2fU,     0x545b1bbeU,     0x073d48b8U, \
    0x16672f3fU,     0xc919aab1U,     0x072b2bd6U,     0xd86dd70fU, \
    0x9c268659U,     0x430d8d1aU,     0x657c19ebU,     0x5e29988dU, \
    0x6155c7c1U,     0x8ea8a241U,     0x1adaf52cU,     0xb1be6f9aU, \
    0xb68eb5abU,     0xf5c06935U,     0x21e6724cU,     0x68ddf9d9U, \
    0x0b0c0104U,     0xf842f2a8U,     0x4664e0cfU,     0x3f39dd41U, \
    0x4b8ccd5fU,     0xf23b9521U,     0xf0d49355U,     0x5c7190ffU, \
    0x98427344U,     0x8aeff6f3U,     0xf322ae62U,     0xd31d5457U, \
    0x0fea386aU,     0xd0fc3989U,     0x2b21cca4U,     0xfe2886dfU, \
    0xbc6f60a4U,     0x33284d2fU,     0xb3737b80U,     0x98b7b86fU, \
    0xfe0e7ee9U,     0xe0c0501cU,     0xdc3b5b54U,     0x768a5bd1U, \
    0x20d4725bU,     0xa56227bfU,     0x8c924163U,     0x94323128U, \
    0x5e106b5bU,     0xed2c634bU,     0x68c16dffU,     0x93eb82ecU, \
    0x3df682a1U,     0xdddc1525U,     0xe7ac6ab0U,     0x27172e3bU, \
    0x350e2f0eU,     0x0d1e58a9U,     0x8f891abaU,     0xc7dd59dbU, \
    0x8a88bdaaU,     0x3ddbddb1U,     0xdb9a67bbU,     0x74d93fd1U, \
    0x27d0816aU,     0xbc4178a3U,     0x2bfb887eU,     0xf5a23fc4U, \
    0x81d1070fU,     0xb8bf0e4bU,     0x19fd0df8U,     0x3fcf356bU, \
    0xf8444709U,     0x99290a67U,     0xb62ac326U,     0x8c664f7dU, \
    0x574ea6e0U,     0xb5d51812U,     0x48e8808eU,     0x6a8909c5U, \
    0x83cc8c8fU,     0x99d40331U,     0x71067597U,     0x568cdeadU, \
    0xf8031ad2U,     0x3651df88U,     0xf95ccbe3U,     0xa1342a65U, \
    0x8e450c22U,     0xb8fc0be1U,     0xbb7e6e2cU,     0x1700cb0dU, \
    0xdeee84bcU,     0xd3a14500U,     0xb0701582U,     0x09f94101U, \
    0x1f31506bU,     0xd14b72b9U,     0x413183f6U,     0x721d5b68U, \
    0x51f94e88U,     0x1767588bU,     0x4306e8e5U,     0x36adf0cfU, \
    0x1022cb34U,     0x75115f0aU,     0x75dbd0c4U,     0x00161c24U, \
    0x557d4ffdU,     0xbae96ecdU,     0xeed7aec6U,     0x8d6975c1U, \
    0xc9ac49a5U,     0xf91381c0U,     0x026ee28dU,     0xff1e15e1U, \
    0x16d693f9U,     0x9a4816dcU,     0x2b51f404U,     0xbb9abddcU, \
    0x7a4d7768U,     0xadddbf5bU,     0x6a0af555U,     0x079db85eU, \
    0xe7b7bb2aU,     0x3689d595U,     0x50f376caU,     0xf08660d2U, \
    0x2cc2c0eaU,     0x0c04ea2eU,     0xe3286d26U,     0x9ef9ccc4U, \
    0xa6410ef1U,     0x35e5a92aU,     0xf92113eeU,     0x5ef1eee0U, \
    0x5044ac27U,     0x43aad020U,     0x6d64df59U,     0x41c8ab4fU, \
    0x34ed2d1fU,     0xadcadfd3U,     0x677ad650U,     0xa4294e51U, \
    0xfd3ee640U,     0x326b3a32U,     0x9c7edb17U,     0x5e2269d0U, \
    0x33016f02U,     0x52f48509U,     0x55fd14e3U,     0x3a3f0d44U, \
    0x250caf79U,     0x926c1c49U,     0x3e2f23c4U,     0x8a8c6882U, \
    0x70322dc1U,     0xeeb60640U,     0x1ba4ce1cU,     0x1ab209aaU, \
    0x4d56f330U,     0x6e3a343fU,     0x3988fd84U,     0x480e2043U, \
    0xce79d94fU,     0xccc945fdU,     0xef9634c4U,     0x59726d4cU, \
    0xfe633c2cU,     0x49aa291bU,     0x1aa74b7fU,     0x6d829865U, \
    0x9a72a437U,     0x3bce6f99U,     0x885a6a4cU,     0x778d6d56U, \
    0x4fae20b8U,     0xc20c6b8cU,     0x73fa9e63U,     0x4fd586e9U, \
    0x44164261U,     0xdd316f7aU,     0x7f52dac2U,     0x6562fd58U, \
    0xe44fcfe0U,     0xb1ce2530U,     0xc835a5fdU,     0xdef1a489U, \
    0x2b8e1185U,     0xb19d6f92U,     0xea74f59fU,     0xdb60ccdfU, \
    0x35b5f70cU,     0xef6ca732U,     0xa0c92c14U,     0x48e6d92dU, \
    0x9b057d26U,     0x15d9b167U,     0xd030c461U,     0xc4d02b89U, \
    0x22a54b53U,     0x5f5b7a24U,     0x17538f95U,     0xb3b2a1e2U, \
    0x0c9d53b5U,     0xeff04402U,     0x75c777d1U,     0xc6e83d8fU, \
    0xefd497e6U,     0x99230e49U,     0x89e8115cU,     0x201ea49aU, \
    0x2b5870aeU,     0x094935b3U,     0xd85960b3U,     0x839e729cU, \
    0x5879c9d6U,     0x7c0965bbU,     0xf0c05533U,     0x21395e97U, \
    0x149d5c3cU,     0x03969cf6U,     0x4cff5de1U,     0xf899b10cU, \
    0x3a5bfc1aU,     0x778dcc43U,     0x11231900U,     0xa8ce387aU, \
    0x1a831a07U,     0xbc9cd87dU,     0x9203b7dcU,     0x87c0bc20U, \
    0xe753414eU,     0x07d1924cU,     0x9cfa3607U,     0xa07e4f2aU, \
    0x6103f5b7U,     0xbf02e4caU,     0x3e56942cU,     0x64bdcebaU, \
    0x5ea73f5eU,     0x9124019aU,     0xd37b5565U,     0x72afcf57U, \
    0x3c26bed2U,     0x6ec0250eU,     0x038ea720U,     0xa920c9d3U, \
    0xc56c1cb0U,     0xbc23169fU,     0x40069a9cU,     0xf7e974dfU, \
    0x506103ecU,     0x074000dcU,     0xba5d9fbbU,     0xb061f7c4U, \
    0x64d22a06U,     0xd518e4b9U,     0x52d1c5efU,     0xcc8552b1U, \
    0x9cd81152U,     0x912741d3U,     0x4e37f60fU,     0xb3361f67U, \
    0xa387da18U,     0xef46557eU,     0x4bc8bcc1U,     0xcd5a2a48U, \
    0x88fc305fU,     0xa015cedeU,     0x230d0958U,     0xc240380fU, \
    0x49978255U,     0x1159dde4U,     0xec67ec51U,     0xaeb6f7afU, \
    0x9f290d5bU,     0xc820bf45U,     0xebbe818dU,     0x30602dadU, \
    0xdb3b532cU,     0x5887f691U,     0xbe894e15U,     0xeee367a1U, \
    0x2cb191c1U,     0xe218de55U,     0x93dcdd0cU,     0x8ae75253U, \
    0xfd0944a5U,     0x1dd59b3fU,     0x687d2070U,     0xdec33041U, \
    0x8474d435U,     0x3d1bf2f1U,     0x0428585fU,     0x15b2becfU, \
    0x9f9cf5b2U,     0xb7450b6dU,     0x83ff20eeU,     0x171693e4U, \
    0x981df2bfU,     0x6260f873U,     0x7a7ee93cU,     0xd2e3cbf4U, \
    0xdd69a066U,     0xd92a942aU,     0x9ef8bb9fU,     0xf39c4575U, \
    0x7322a0f5U,     0xed0f2fa7U,     0xa302e9ccU,     0xfc8f5967U, \
    0xc4868e13U,     0x11557a4aU,     0xdc10b821U,     0x60d3b153U, \
    0xb9e19cb3U,     0x98e620b3U,     0x6dc0a906U,     0x55808226U, \
    0x46f6c0dfU,     0xb7829e3dU,     0x14ddc984U,     0xf1876227U, \
    0x5c029a2bU,     0xc462ba20U,     0x6e31ead1U,     0xf13fba66U, \
    0x8e764041U,     0xc720f12bU,     0xae4ebca3U,     0xad3ffa29U, \
    0x656f55f6U,     0xee5e3a08U,     0xe1c40330U,     0xd0fe989aU, \
    0xb4a3273cU,     0xc585e3c7U,     0xd48ae900U,     0x6cde2d53U, \
    0xf0817065U,     0x6f3ce66dU,     0x08fc2ffbU,     0x82c7718aU, \
    0x8eb44e02U,     0x7d6cb952U,     0xf609a7cbU,     0xd0e95691U, \
    0xa1b41561U,     0x14f44f7cU,     0x0db56d98U,     0xfab4493dU, \
    0xdc82947dU,     0xe87b4d65U,     0xe0f34e80U,     0xfcc6afb4U, \
    0x6f361c19U,     0xfd847085U,     0x07289df1U,     0xa7229b1bU, \
    0x1d16f44fU,     0x043fe928U,     0x59a00bfcU,     0x86df1da8U, \
    0x79277759U,     0x5e4a8454U,     0x0f5407a6U,     0x9096136bU, \
    0xae1ac9afU,     0x88acab5bU,     0x5389c0ffU,     0x3399fae1U, \
    0xeb565b31U,     0x996e37a5U,     0xd011fe4dU,     0x8a87629aU, \
    0xfe4a7311U,     0xf0b95e61U,     0x7551a74dU,     0x9650986eU, \
    0x4875945bU,     0x95c5b7b7U,     0x257b7ca4U,     0xeb044856U, \
    0xd9a068f2U,     0x5e8fa874U,     0xb1d1fa3dU,     0xaebcda2bU, \
    0x35fee7aeU,     0x1373e4d5U,     0x1be7382cU,     0x3535eb19U, \
    0x60d9d6f5U,     0xbc895da0U,     0xc3721679U,     0x68518a3eU, \
    0x03af5fdcU,     0x5f3cf833U,     0xfb3f10ecU,     0x74682d9dU, \
    0xc7119549U,     0xca9a775bU,     0x5466fa1fU,     0xcbb123edU, \
    0x57675313U,     0x38e87ed4U,     0x6bf6056eU,     0xfbcd904eU, \
    0xa050b33cU,     0x94941004U,     0xd54b9099U,     0x692342e3U, \
    0x6ad70f28U,     0x16ed49e3U,     0x4cbe101dU,     0x6169b565U, \
    0xdfdc2aadU,     0x62d4e9bcU,     0x5debc452U,     0xb14a014cU, \
    0x23dbfbe1U,     0x29502ddcU,     0x5bb33c20U,     0xb963c4e9U, \
    0x1bef8a55U,     0xb03f7fa2U,     0xaea00b40U,     0x8c03cc0cU, \
    0x6debf11bU,     0x48c38282U,     0x623a1d0eU,     0x12473c3fU, \
    0xdac384f8U,     0xc23e9d3fU,     0x8d20a1faU,     0x9dda6914U, \
    0x4e41981aU,     0x249bbc4dU,     0x3f7ff307U,     0x5df352a7U, \
    0xea96c5fbU,     0x2249bc2cU,     0xdef5232fU,     0xcdd8c790U, \
    0xff7ce961U,     0x18011c2dU,     0xcb4e85feU,     0xe36d5a10U, \
    0x7fe2989cU,     0x85d25fb0U,     0x9df809b0U,     0xba6299a1U, \
    0xc84f5170U,     0x06e18993U,     0xab45b1baU,     0x87fc676eU, \
    0xbda2e2b5U,     0x3e851149U,     0xd140c970U,     0xa834a240U, \
    0x81c1f287U,     0xf5b0c48fU,     0x6ab0a4f9U,     0x9aa780beU, \
    0x5ec2ea7dU,     0xa7bcdadfU,     0x0d9ea8e2U,     0xc595e3c5U, \
    0x79d28c40U,     0x76bd0e97U,     0x7021bcd9U,     0x607210eaU, \
    0x8eefbd2eU,     0xdefc55fdU,     0x5fb31e9aU,     0x8601b7c3U, \
    0x8cd2ad05U,     0x21417680U,     0xb68e01f0U,     0xc29431c1U, \
    0xcb03b6c7U,     0xe0a733e5U,     0x5e89c75cU,     0x01269399U, \
    0xed54f9c5U,     0x142d8327U,     0x5b87cb1cU,     0x40e17653U, \
    0xd6f34d01U,     0x2b352dbaU,     0x924d5156U,     0x5161d927U, \
    0x53e50227U,     0x5e36f562U,     0x06fa255dU,     0x14244bbeU, \
    0x2df14a4bU,     0xbcacbac9U,     0x321402e6U,     0xac6309d8U, \
    0x8ecb90e7U,     0xbc9ce896U,     0x22dee714U,     0x8cb2dacaU, \
    0xf1087f02U,     0xa8f2d4cdU,     0xbc0c4621U,     0xe9853577U, \
    0x001d0fe0U,     0x3bf5d49aU,     0x920edac3U,     0xb7963844U, \
    0x44e64d94U,     0x192391dfU,     0xef260fe4U,     0xf8ce5c69U, \
    0xa4b4e60cU,     0x0dcca0a3U,     0x40e93a2dU,     0x85e988feU, \
    0x74b9e050U,     0x03316450U,     0xf1c7a1eeU,     0x2ac61a71U, \
    0x7d1271f5U,     0x4daa9659U,     0xf6c3907eU,     0xe5ffe584U, \
    0x63a25890U,     0xa76f0acfU,     0xb1cb038bU,     0x4dfab7c0U, \
    0x3a6e6c50U,     0x254b6cb7U,     0x8d0c9bc0U,     0xb5efee91U, \
    0xd21bff36U,     0x66ba6e98U,     0x9bccdbbeU,     0x670cee07U, \
    0x04cc3525U,     0x285996f6U,     0x6474e3b3U,     0x0dcacd7bU, \
    0x06236bd8U,     0xb4ef8cd5U,     0xcaa22ff6U,     0x07cd1887U, \
    0x794f0251U,     0xa02b101cU,     0x4eb0c7f2U,     0x336aa72cU, \
    0x6c258ff4U,     0x67a5f819U,     0x49138c33U,     0xac815576U, \
    0xcb35bdb5U,     0x2814c27bU,     0x7b99543cU,     0x3d9e258eU, \
    0xb790237bU,     0xcbe41c3bU,     0x87f2ea0dU,     0xc997d658U, \
    0x83b47a66U,     0x519d909cU,     0x23ee0ba2U,     0xa48c8a8dU, \
    0xad7276ffU,     0x48f9a4c6U,     0xb4d660b8U,     0x0facc4beU, \
    0x85e63e04U,     0x1292553dU,     0x222100e2U,     0xbbb5c561U, \
    0x9e654131U,     0x8f57f0aaU,     0xa44d01e0U,     0x1f2cb5c9U, \
    0x7f0e5b4fU,     0x4cf1bfa5U,     0x7ab68d9dU,     0x1cbf578bU, \
    0xe0facefcU,     0x267ecec6U,     0x5d094e80U,     0xa2a20d8aU, \
    0xe0529ddfU,     0x736871fcU,     0xed909ee6U,     0x4a7212a0U, \
    0x0ce05c7cU,     0xed980787U,     0x269cb9c0U,     0x1ff65e86U, \
    0x1d402c14U,     0x22b37eafU,     0xea6c7080U,     0xbf534eecU, \
    0x4de34f57U,     0xeacb55a1U,     0xdb146081U,     0x26901c70U, \
    0xb6eed4eaU,     0x2faf5e79U,     0x00d0c3d0U,     0x085c1c18U, \
    0x4fedd290U,     0x43c070b6U,     0x9055d337U,     0x9be9a5bfU, \
    0x7b259af0U,     0x20695a77U,     0x217d0cabU,     0xc3d05195U, \
    0xcb0aeb65U,     0x2352f3b2U,     0xc9f6c494U,     0xcea924acU, \
    0x68c607d1U,     0xb667c3a9U,     0x4d2f8c53U,     0x310f3053U, \
    0xc769b582U,     0x669754c8U,     0xd7e26c1dU,     0x104a52f1U, \
    0x4d5aed36U,     0xb9603a35U,     0xe13c3b82U,     0xd9479637U, \
    0x313af9dbU,     0xd43b4208U,     0xd014d7b5U,     0x704c9531U, \
    0x136b4252U,     0x3f31d079U,     0x3e50400fU,     0xcbe4827eU, \
    0xa20895cfU,     0x8e5e2fe9U,     0xd38a5904U,     0x8eb604f4U, \
    0x5edb6b6eU,     0xe09522f6U,     0x019fcf87U,     0xa06b35e3U, \
    0x46b5fa84U,     0x656ab531U,     0x73577438U,     0x800de937U, \
    0x016b1999U,     0xb7f934a6U,     0x870dc768U,     0xfb78a2bdU, \
    0xe466292bU,     0x520d8a79U,     0xb4cfdb6eU,     0x70f682c5U, \
    0x4a50a3d7U,     0xc346bcdcU,     0x540de40fU,     0xbfdb5be5U, \
    0x8c4b58dfU,     0x7333686aU,     0xf84a0a82U,     0xd84a9831U, \
    0x01a6e3a6U,     0xd5441255U,     0xe452e65fU,     0xb271aad3U, \
    0xa599a547U,     0x148978a2U,     0xc0257d4cU,     0x49c81ebdU, \
    0x4234b074U,     0x2091e700U,     0x49969b1cU,     0x5e6ac872U, \
    0xf0d9276eU,     0x298b64bdU,     0x3bc51049U,     0x53479533U, \
    0xca278b72U,     0x1ce10e93U,     0x8bf006a6U,     0x018b68ecU, \
    0x712e4447U,     0x7a450446U,     0x3a269fecU,     0xbe12ea57U, \
    0x471c14f0U,     0xc9918f30U,     0x46d90670U,     0x6e57bcb1U, \
    0x4647b3dbU,     0xef1dfe6dU,     0x986d2fd3U,     0xb9d710feU, \
    0xb44c9b59U,     0x1252b024U,     0xa1a55f17U,     0x2780a5aaU, \
    0xdd34871eU,     0xdaa0bf7dU,     0x419f935fU,     0x9c685778U, \
    0xa45ef6c0U,     0x79b5dc24U,     0x5acc65f1U,     0xbdac606cU, \
    0x7106896dU,     0xe1f3012eU,     0xb1fe1ac8U,     0x82a2d5f5U, \
    0xa0a8f82bU,     0xd65efc17U,     0x2011be75U,     0x76e048c3U, \
    0x14288fe4U,     0xa0fee68bU,     0x2d5f0c16U,     0x55f1a673U, \
    0x94c6f228U,     0x7ba14e61U,     0xfb7093beU,     0x5ec8e903U, \
    0x81e6e9b5U,     0x11567999U,     0x7a391b5cU,     0x9669f9c7U, \
    0x786f63f3U,     0xc53f37e3U,     0x291a4998U,     0x68aae07fU, \
    0xf00b979fU,     0x4e63a1e2U,     0xac733f78U,     0x17e39067U, \
    0x51271e4dU,     0x80e1832cU,     0x46a6ed57U,     0x36004911U, \
    0x475dea40U,     0x5f367b39U,     0x94adf6adU,     0x1d451492U, \
    0x1270049dU,     0x76a0a6a9U,     0x37977e1cU,     0xbd49f165U, \
    0xf4c0d093U,     0x509b32d5U,     0x69006718U,     0x23ba0599U, \
    0x9839ad3bU,     0xa9a37a1cU,     0x164b054bU,     0xfb827d80U, \
    0x164f3e0bU,     0xdbafde37U,     0x9b12478eU,     0x1d04e1f7U, \
    0xd9c6c9d1U,     0x509a23dcU,     0x21a19011U,     0xe1c5ba44U, \
    0x842c838dU,     0x6f1b2e4eU,     0xe95f42ccU,     0xdbb4e4cdU, \
    0x3ec73d0aU,     0xd6a9339aU,     0xca9baa63U,     0xdd00fe09U, \
    0x4ffb6b55U,     0x34ff6c0aU,     0xa470466bU,     0xb1036ba0U, \
    0xd5320351U,     0x6659c5b5U,     0x2c784ab4U,     0x0151b6fbU, \
    0x1b4f7a95U,     0xb1cd7693U,     0x12346a2bU,     0x3d34424fU, \
    0x11d4a7f3U,     0xdba5a830U,     0x2067b91cU,     0xe59c0145U, \
    0xd0d4fc8aU,     0x01fe4d99U,     0xda9dfbf3U,     0x6cc039feU, \
    0x342e9451U,     0x396c0384U,     0x0e865c30U,     0xcdabdaf1U, \
    0x44c22090U,     0x2e38a71dU,     0x28188d63U,     0xc08c2c3bU, \
    0xc4e24bf5U,     0xabebf274U,     0x146613b2U,     0x66459a9fU, \
    0xf4afe359U,     0x9571af4eU,     0x403d9ee6U,     0xf0185f69U, \
    0x3fc57814U,     0xc84f44b2U,     0x2b7bfb9cU,     0xefac6224U, \
    0x21a3a634U,     0x465b86baU,     0x9d80313dU,     0xc6489a47U, \
    0x95844cb5U,     0x03ccbea8U,     0xaa4c1cf4U,     0x57ffb27eU, \
    0xcb56d74eU,     0x4325a45cU,     0xea8551f5U,     0xf1a44d2dU, \
    0xa2229d73U,     0x4ad16280U,     0x35710f80U,     0xbd30d29dU, \
    0x8cf4d798U,     0x89a0ded9U,     0x76e36a00U,     0x4709e008U, \
    0x7f1df363U,     0x3011db53U,     0x19d3bb4dU,     0x40e4ba6dU, \
    0x1aa42a2cU,     0xeed93897U,     0xc6f3c305U,     0xf9ec2373U, \
    0xbd4db650U,     0x988c2a07U,     0x148a112fU,     0x248675feU, \
    0x041ed522U,     0x6648a06cU,     0x1e15109cU,     0x6c8f0f1cU, \
    0xea1ab224U,     0xca730bc9U,     0xe390f613U,     0x27b7e119U, \
    0xa522c550U,     0x93fde76eU,     0x7bdd83ffU,     0x92311f59U, \
    0x93b0b393U,     0x13685b0cU,     0xf0c23fbcU,     0x11692be0U, \
    0xde577e98U,     0xde213a48U,     0x7e2e89a4U,     0x926ec938U, \
    0x643fcad9U,     0xbb8e30faU,     0xb75b4000U,     0x4c116f6dU, \
    0x42c2b665U,     0x711086b2U,     0x316d0669U,     0x187db9e8U, \
    0x4071c32cU,     0x585f4523U,     0xbf9f9c1eU,     0x46fb36d8U, \
    0x443f00adU,     0xe05c3356U,     0x42b5e12dU,     0x68ebeda5U, \
    0xaa7ebc12U,     0xdf68c1a0U,     0x18024cb8U,     0xe1b827eeU, \
    0x65d5a6f2U,     0xec0a0c18U,     0x63116ba5U,     0xd8f8397cU, \
    0xb6540059U,     0xbdaa4a38U,     0x3272e0c7U,     0x20e3b6dfU, \
    0xb7f5d86eU,     0x21b21089U,     0xb9d5d8aaU,     0x4b169452U, \
    0xa5f8653fU,     0x347a0514U,     0x48c7ab43U,     0x75e7dec8U, \
    0xe4e9e3c6U,     0x1f34b0efU,     0x4cf1087eU,     0x10e2915fU, \
    0x883151daU,     0xaf418b8fU,     0xcf36b6a3U,     0x3b985629U, \
    0xe06285bbU,     0x4b8c036dU,     0x9b4b7241U,     0xd289fb1cU, \
    0x48cc6400U,     0x94d361deU,     0x7494c988U,     0x7fb42122U, \
    0x799dc2eaU,     0xa11528a3U,     0xf84d3140U,     0xba243e0dU, \
    0x2e32a3f6U,     0xee424520U,     0x68b5f764U,     0xf30259edU, \
    0xc0d7724fU,     0xa80da232U,     0xb8c2fa9dU,     0x6f3a0d5fU, \
    0x091340aaU,     0xe0328411U,     0x356ea527U,     0xd11338b4U, \
    0x040c39c5U,     0x2db92475U,     0xd9b557ffU,     0x79293091U, \
    0xdbb45b2dU,     0xcd8b1106U,     0x81f7fbc9U,     0xcddff7d8U, \
    0x39e872a2U,     0xad15e6aeU,     0x0b66bf8dU,     0x0bdf351eU, \
    0x810abc0cU,     0x9e69a6beU,     0xc191bdf7U,     0x89f685abU, \
    0xf60dcb0fU,     0x88ea887aU,     0x86220800U,     0xe5689042U, \
    0xea561db1U,     0x07cd0bacU,     0xe069e4a7U,     0x0e92a786U, \
    0xbe997accU,     0xbe134829U,     0xc6ffb275U,     0xd66afb86U, \
    0x2c932a7bU,     0xbdbf754eU,     0xab720489U,     0x6fec8787U, \
    0x80600098U,     0x2ff89598U,     0x0f4a12f1U,     0x17e19d73U, \
    0xd7e1649dU,     0x6fd50379U,     0x44c8b6efU,     0xa94f2093U, \
    0xfcc6f47bU,     0x76431230U,     0x8aaf2dfbU,     0x22df25d1U, \
    0x5c7a0906U,     0x9528fa3aU,     0x8fc98822U,     0x57394637U, \
    0x1aac7d30U,     0x9d6df6b9U,     0x1ad84f10U,     0xac8860f2U, \
    0xdc5578f4U,     0xa2741b7aU,     0xf46ac5b8U,     0x0d05c56eU, \
    0x7253dde8U,     0xc6950509U,     0xd75edcb2U,     0x2b4aa430U, \
    0xf3d10269U,     0x318ee03cU,     0x2b4d6576U,     0x0b72bdb2U, \
    0x849132f3U,     0x60ed5c03U,     0xdc69ea6aU,     0x29825561U, \
    0xf75f00b6U,     0x28c01c92U,     0x717c85f0U,     0x710d536fU, \
    0x9b72fefcU,     0x33a309b9U,     0xccba2b81U,     0x65195c02U, \
    0x85f9e72fU,     0xec811354U,     0x3a243554U,     0xaf90073eU, \
    0xe9245dd3U,     0x4008f406U,     0xe13969ebU,     0x4a2b8761U, \
    0x571b0878U,     0x04f75cc8U,     0x8688ad40U,     0x45e1ed4eU, \
    0xea43dd4cU,     0xf300eae5U,     0x6f15ad62U,     0x4d6f2d1aU, \
    0xf3e750baU,     0x3d7c9615U,     0x2004911eU,     0x8b1dd8e6U, \
    0x062b08e2U,     0x5b63c8eaU,     0x515ea425U,     0x61c0ff9bU, \
    0xfb4b8a2aU,     0x6493084fU,     0x199d3870U,     0x21a002c6U, \
    0x77a38f12U,     0x151f8d14U,     0x007ea5fbU,     0xe70d0911U, \
    0x903f3ad0U,     0x541b45eeU,     0x85ca577eU,     0xf6cc5ccfU, \
    0x2fa2254fU,     0x5f08e10fU,     0x42a80f06U,     0xb9df0afcU, \
    0xc474160cU,     0xad390cbdU,     0x63939a9eU,     0x4a279f18U, \
    0x04a5ad65U,     0xe6665c73U,     0x9e7122b1U,     0xe17247e6U, \
    0xecacd60eU,     0xcbd7e452U,     0x5d949597U,     0x1ccd8424U, \
    0xf28c0c99U,     0xcb5ed767U,     0x1156c5c8U,     0x557e463aU, \
    0xb19a9db1U,     0x76814d3aU,     0xba0776c5U,     0x7dbaca8bU, \
    0x2b46de44U,     0x7254e90bU,     0x647ff2f4U,     0x80cfe435U, \
    0x9d0ea8c0U,     0x9decea34U,     0x970ca928U,     0xa0358a1fU, \
    0x0aecefc1U,     0x2e7c6eccU,     0x7f667643U,     0x191b81a1U, \
    0x5131921dU,     0xe88d9856U,     0x657be0c7U,     0x221db8c0U, \
    0x627c9e15U,     0x7a2300a6U,     0xf5bc7da1U,     0x1a7d18faU, \
    0x3fcce1dfU,     0x647f2b73U,     0xfb820befU,     0x93346efaU, \
    0xcbd87e62U,     0xb5fa45a4U,     0x999cdd5fU,     0x08521938U, \
    0x6575bc59U,     0x92fbf0e6U,     0x19faa8e4U,     0x33896b04U, \
    0x2cce67d5U,     0x6fda507bU,     0xaf9a972aU,     0x0e09f0bfU, \
    0x8c315fe1U,     0x5a709b42U,     0x9d771afcU,     0x2a27db60U, \
    0xc877c4dfU,     0xff8f8138U,     0xcc69b904U,     0x9df86b8dU, \
    0x8c81c0caU,     0xb1934047U,     0x3ed5be92U,     0xdc41c0e8U, \
    0x9513257cU,     0x7ceec005U,     0x7b4551a5U,     0xfb72e23bU, \
    0x65da5fbdU,     0xf69643d5U,     0x86a401baU,     0x8636d44dU, \
    0xa7fb413bU,     0x96413607U,     0x6ad5cb67U,     0x6188c2daU, \
    0x58c73a42U,     0xa6b2c8e6U,     0xaf83bab4U,     0x2823278cU, \
    0x4eeeec19U,     0xae060073U,     0x0bc1f687U,     0x3f7469beU, \
    0xf39ed94cU,     0x601450deU,     0x36bac7ffU,     0x57e5ba1bU, \
    0xae70cb73U,     0x38c28abbU,     0xb596bc49U,     0xd3039578U, \
    0xf235a7a8U,     0x6db4b084U,     0xb6153a01U,     0xcc33b917U, \
    0x2bd2413bU,     0xc49187f5U,     0xa18f5319U,     0x1899d508U, \
    0x9fcff17dU,     0x2e6d755fU,     0x6b9fe489U,     0x42d114a7U, \
    0x2d07af1cU,     0xdc7a5229U,     0xdad37f0cU,     0x840a3d05U, \
    0x1e08a9e5U,     0xef30e2ebU,     0x3d30a0adU,     0xe90c5e69U, \
    0xa418a22aU,     0xecb41e98U,     0xf31457d4U,     0x41a0dc70U, \
    0x342910a8U,     0x7931f9a1U,     0x95292954U,     0xc3cec505U, \
    0xe733f415U,     0xcebf99f0U,     0x66333290U,     0xdffbc90aU, \
    0x9e54ccb1U,     0xcdc101b1U,     0x50c345e1U,     0xeea1e4f5U, \
    0x477e9ef1U,     0x4bc49277U,     0x007d7bfcU,     0xd4d0450eU, \
    0x34888829U,     0xfeaa4014U,     0x73e01897U,     0x816e9123U, \
    0xd3a65ff8U,     0x2bfac1c2U,     0xdcea6e6eU,     0xdbc866bfU, \
    0x4f60adecU,     0xfe2518cbU,     0xd92fa958U,     0x6e3dda60U, \
    0x00661d97U,     0x7a3f7a81U,     0xa8fd4d60U,     0xa2e5a939U, \
    0x988ca0cdU,     0x7487550aU,     0x71dc5517U,     0xcce0edadU, \
    0x7724c61fU,     0x37b507f5U,     0x7ee3d512U,     0x24430b4fU, \
    0x48540ea1U,     0x14d89bb9U,     0x5f2b7bcdU,     0x37b9cb35U, \
    0xe84b7e68U,     0x7b88ef4bU,     0xc991d852U,     0x1908e808U, \
    0x76870df2U,     0x9882bb67U,     0x7cdeb707U,     0x8be25bebU, \
    0xfc7f9c54U,     0x4ad486b1U,     0x7ad9fb90U,     0x1410448fU, \
    0xfa70dc80U,     0xc668804fU,     0x7a1bf8fcU,     0x16df549fU, \
    0x852ceb7aU,     0x4417be9cU,     0xea83bc6bU,     0xb195a33dU, \
    0x3434e863U,     0x1290722cU,     0xeb6fe09fU,     0xf4db0881U, \
    0x3cb41979U,     0x4f017432U,     0x85c92ccfU,     0x08f67e67U, \
    0x3e7969ecU,     0x2b1fd8e5U,     0xf87cc1acU,     0x61ba4a82U, \
    0x8c976df7U,     0x76dc7440U,     0xbe52070aU,     0xb5ca42c6U, \
    0x78194131U,     0xd46380aaU,     0x31baf16aU,     0xc1dcd1d8U, \
    0xf86c47e0U,     0xd1143a25U,     0x37bf37efU,     0x76ecc519U, \
    0xc53c3a65U,     0x03804323U,     0x55b7b63fU,     0x8a6237a0U, \
    0x5465c91eU,     0xa528d49dU,     0x56fd2901U,     0x136e0552U, \
    0x71e1dda1U,     0x8df070e9U,     0xcf9d9c2aU,     0xd4b10b9fU, \
    0xb414fffbU,     0xe8ebc08eU,     0xfe09e43eU,     0x7094adb6U, \
    0x4620232dU,     0x6cf7740bU,     0xd763762eU,     0xa8d5d0b0U, \
    0xd6d8ef40U,     0x87c5c62dU,     0xe2dc0fb9U,     0x7499e19dU, \
    0x78f45467U,     0xbd305ddaU,     0xb78f32b7U,     0x89822ea2U, \
    0xf39dc864U,     0x34f6fa67U,     0xed87a7deU,     0xd471e68fU, \
    0x562b8250U,     0x5958e8f0U,     0xdaeb10cdU,     0x2987aab7U, \
    0xee1140bdU,     0x88440776U,     0xe4fe1f93U,     0x2aee136fU, \
    0x4956d0f3U,     0x42742ec6U,     0xc4f6b431U,     0xd36e0fc1U, \
    0x59574a71U,     0x0425d967U,     0xa968eb60U,     0x6d23cd36U, \
    0xdba4fbb9U,     0x34f156f7U,     0xb5c61b7bU,     0x67ac61beU, \
    0x6e35b16cU,     0x17be2dd6U,     0x2c85839fU,     0xda94c710U, \
    0x6fe47f9bU,     0xdd3c6d3cU,     0x847a06b7U,     0xdf109700U, \
    0xbb881f07U,     0x58764848U,     0x4bf5e805U,     0x28956023U, \
    0xa941f16eU,     0x4963ec2bU,     0x6d7217e0U,     0xa5040f46U, \
    0xb04136dbU,     0x09f0ec17U,     0x2c8ced2cU,     0xda997471U, \
    0x360d54b0U,     0x0fac17c0U,     0x0c135c39U,     0x86d8bc2eU, \
    0x0b87c0c8U,     0x61758cdfU,     0xb6ff9411U,     0xcac0f1f1U, \
    0xba67eaf3U,     0x5d8b21fbU,     0xc02c489fU,     0x6a76c458U, \
    0x73e2f32eU,     0xc5ebb84eU,     0x4db8b61bU,     0x7beb83f4U, \
    0x8ce7b7b0U,     0x19951dfeU,     0xe34745b2U,     0xaa21d119U, \
    0xd13583dfU,     0x5f19920aU,     0x2dbbe37fU,     0x85a4c2b7U, \
    0x63fbbaf5U,     0x8a8ffe95U,     0x70ea4e33U,     0x6e86e231U, \
    0xc05c456cU,     0x9981d0feU,     0x21f4f105U,     0x438b0024U, \
    0x8c8e06c2U,     0xbef37b2cU,     0xfe89a719U,     0xd4cb0b44U, \
    0xd3c6589fU,     0x554381c1U,     0x99631dfdU,     0x25a6ff99U, \
    0xfbd8b593U,     0x6e0942f8U,     0x643bdddcU,     0x59e99660U, \
    0x834ad3eaU,     0x5dd90c0fU,     0x24ec6dacU,     0x51f10781U, \
    0x4151b5bbU,     0x1f5666b9U,     0x837d22b9U,     0x04d26369U, \
    0xfd7e96b9U,     0x069cbf31U,     0x5083d775U,     0x98315b05U, \
    0x4a519decU,     0xc6bc9fa6U,     0xb9af04baU,     0xcc4719efU, \
    0xe1cac517U,     0x667089f9U,     0xcbd737b1U,     0x9515b5d0U, \
    0x5149881dU,     0x79e75904U,     0xaf0e937eU,     0xd88c5c10U, \
    0xb462e0f7U,     0x785d1f05U,     0x4460e998U,     0x57dac82bU, \
    0x8cd40126U,     0xe97c1dabU,     0x19aaf665U,     0xb52ba027U, \
    0x9c397b9dU,     0xcfc4072fU,     0xc838b0ddU,     0x85dbbc36U, \
    0x5d4c7ebeU,     0x869e56cdU,     0x2f863b8eU,     0x9d3ecafbU, \
    0x9189d963U,     0xa95e049bU,     0xfc4a4e7aU,     0x6652d244U, \
    0x4fcd3b6fU,     0x8ff4cdd2U,     0x23db94afU,     0x2de5b230U, \
    0x77822de1U,     0x1ba6c87bU,     0x1c58c374U,     0x20f5afc8U, \
    0xb2d32b75U,     0xc87f5c68U,     0x5d99d717U,     0xd8320ecaU, \
    0x069852ecU,     0x002e6049U,     0xaf4b981aU,     0x728fe138U, \
    0xa5a3ae8bU,     0xf6988fc6U,     0x14abde1cU,     0xdd2cb300U, \
    0x125aed6aU,     0xaac26691U,     0x05c71d4fU,     0xaafdbec0U, \
    0xd3ef88a9U,     0x1cad91f2U,     0x3d79e32fU,     0x2d5466f2U, \
    0x0228ae6eU,     0xe82255a7U,     0xc81cc202U,     0x64424319U, \
    0xb8a4517fU,     0x7d640543U,     0x8f257ebbU,     0x972f9beeU, \
    0x62f623faU,     0x4894b30cU,     0xde1e8b30U,     0xad293746U, \
    0xc17c8083U,     0x87182c31U,     0x364fdc07U,     0xaccf6f5dU, \
    0xb4a1bacfU,     0xed02c42bU,     0xead1d826U,     0x8c357ac4U, \
    0x09316013U,     0xe28d1b70U,     0xf24c9598U,     0xcf2717a1U, \
    0xd3cf4de5U,     0xae35e6c0U,     0xf184889eU,     0xd149c4d0U, \
    0x15903aa2U,     0x2500e50bU,     0xeba6b1c5U,     0x45a5fb73U, \
    0xce123d3fU,     0x98bb7eefU,     0xe698273eU,     0x83960f26U, \
    0x4ef41184U,     0x3e241a61U,     0x79fbeebeU,     0x409733baU, \
    0xe772b4a1U,     0x296022ebU,     0xadb3cdf8U,     0x91a58bc0U, \
    0x5e1d4ee0U,     0x0ed15e93U,     0x9927593cU,     0xeced1ae3U, \
    0xd2aa3c70U,     0xabc278ecU,     0xb9edb129U,     0xf293bcd8U, \
    0x6dbee7e5U,     0xb8dbb3cbU,     0xa07bf185U,     0x3e694df4U, \
    0xd93741dfU,     0x6442317fU,     0xd9e6df0bU,     0x49895f07U, \
    0x86ecda2fU,     0x1823b916U,     0x76bdb733U,     0xce8493bdU, \
    0x3d302a21U,     0x48e01025U,     0x6ba2720cU,     0x1a5feb60U, \
    0xaafc996fU,     0x3ab363a3U,     0xe7b8c254U,     0x3d06f77fU, \
    0xb321cd35U,     0xa195dff6U,     0xc18f93c3U,     0x7f0f6608U, \
    0x8bc72069U,     0xd5d85394U,     0x345b011bU,     0x9206d98fU, \
    0x21664e2aU,     0x9f02a1b1U,     0xe3c7816eU,     0xfd4f098bU, \
    0x7d1a894eU,     0xced2862cU,     0x1792ef17U,     0x99b40908U, \
    0x52251f89U,     0x7fab008fU,     0xfd32666cU,     0x5887ce11U, \
    0xdb50c14eU,     0xaae1003dU,     0xc4ee56d4U,     0x48e8ab3bU, \
    0xe21f3d73U,     0x92c1920aU,     0x6235a3d4U,     0x9fa6d7dcU, \
    0x1af60f6cU,     0x7826b423U,     0x355f2e5cU,     0xb2941309U, \
    0x7816343aU,     0xcd45986aU,     0xe388289eU,     0x4a2d58a9U, \
    0x4fddc9feU,     0x5ad7da53U,     0xad42742bU,     0xd8439ae4U, \
    0x3fda6085U,     0x9923ef60U,     0xeb4483acU,     0xe65d1698U, \
    0x9712745eU,     0xb2980ab4U,     0xffbbcaafU,     0x16bf889cU, \
    0xa9b70bb5U,     0xa4e3e657U,     0x68af2019U,     0x4c3a02fcU, \
    0x6b694c83U,     0x644cffe7U,     0x7362a067U,     0xcef5631cU, \
    0x807779c6U,     0x57b055daU,     0x1712693fU,     0x43235d92U, \
    0xd8d3076aU,     0x690da14eU,     0x690a0f1fU,     0xfb64fe2fU, \
    0x03319937U,     0xed29c1ceU,     0x3ae69a3eU,     0x97f8abedU, \
    0x5950ecfbU,     0x5a9c0da1U,     0x8230b420U,     0x85d766a1U, \
    0xb20e6d6eU,     0x1d979b06U,     0x001b0e97U,     0x99d87404U, \
    0xb2e2669cU,     0x57dc475cU,     0x4e291990U,     0xeb900854U, \
    0x7154019eU,     0xcf8d6005U,     0xabc0466bU,     0x653677d5U, \
    0xf11e1418U,     0xd6bb1aa7U,     0x606711fbU,     0xd661b291U, \
    0x319d2e79U,     0x8bad7d64U,     0xc97b339eU,     0x907f9dcaU, \
    0x5ad78998U,     0xe5861e31U,     0x02d38c72U,     0xe7204900U, \
    0xb8d3463aU,     0xa55b354eU,     0xe13f64e5U,     0xfb32ded5U, \
    0xac3e55c8U,     0xab8889e9U,     0x00918b29U,     0x8170a436U, \
    0x5ce5ad60U,     0xe6ea4192U,     0x0cf09fb4U,     0xc29feac6U, \
    0x05137348U,     0xe36ee079U,     0xb0e3863cU,     0xa4703cedU, \
    0xbb965216U,     0xcd35102bU,     0x65171423U,     0x8cf4603aU, \
    0xc5dc50a1U,     0x851a00e1U,     0x809d3a0fU,     0x28d0fea4U, \
    0x35eab0d9U,     0x90ca2dd4U,     0x597f2220U,     0x17133e1dU, \
    0x42e348ceU,     0x09cbb7afU,     0x16a2330aU,     0xe22ffaeaU, \
    0x892e489bU,     0xc2d434ddU,     0x092e8309U,     0x10ff65ccU, \
    0xed9f0e03U,     0xe303ab0cU,     0xc6be1902U,     0xbc4f0462U, \
    0x84ce203fU,     0xff269658U,     0x8f4f7cd1U,     0x3fe87927U, \
    0x4073039cU,     0xcab9719aU,     0xb48ff29aU,     0x398469c6U, \
    0x57d8c89aU,     0xf8837733U,     0x11915474U,     0xb531e5e7U, \
    0x99f1a07bU,     0x4236dd45U,     0xb1fbc558U,     0xe951333fU, \
    0x9f0be1deU,     0xf2e06f87U,     0xbe4dbb4cU,     0xe7dabc03U, \
    0x609503aaU,     0x2e5dad07U,     0xaf49527dU,     0xafd92095U, \
    0xd31ae54bU,     0x76a2a923U,     0x6c338f76U,     0xb57b6b8cU, \
    0xc31cce76U,     0x7bbaca1dU,     0xc91b6d59U,     0x89b12d41U, \
    0x3814fa1aU,     0x180dd962U,     0x1316dbc7U,     0x0fc9df00U, \
    0x79e47885U,     0x40a5bc58U,     0x2864d014U,     0x09d9bca4U, \
    0xaba23ce9U,     0x80d1c8b9U,     0xf5f82739U,     0x8112484dU, \
    0x2f7fa3eeU,     0x3d9d6c3aU,     0x14f74ae8U,     0x508716abU, \
    0xc49a829fU,     0x2bdcec17U,     0x8fe2a70cU,     0xc862b7bdU, \
    0xfe243b69U,     0x7a2168eeU,     0xb24b217cU,     0x7469479dU, \
    0xb3cabc57U,     0x6a3caea3U,     0xcbaf6fa4U,     0x53db5c47U, \
    0x0125cc92U,     0xf677ab4cU,     0x495c0e83U,     0xdb45ea8dU, \
    0x3cb5bc54U,     0xaffe7fadU,     0x1d3420baU,     0x41aa2d5cU, \
    0x356d811cU,     0x5bea7894U,     0x89b1288fU,     0x7461f57bU, \
    0xfe38c918U,     0x5baf7d06U,     0x2ba3d09dU,     0x6ee456c8U, \
    0x608eb421U,     0xebf97965U,     0x32a2d601U,     0x97288fd8U, \
    0x58554c92U,     0x46f5ae36U,     0xadca5d85U,     0xf27f4c8fU, \
    0x0c2b3d9cU,     0xe4cbfa9aU,     0x42258eb4U,     0xe4dfa780U, \
    0x8172dddfU,     0x688cfbe1U,     0xc15e27e2U,     0x6901594eU, \
    0x8423d1fdU,     0xf5028263U,     0xa1c5b87fU,     0x02e57fe7U, \
    0x5d7d1706U,     0x136db4c0U,     0xfd96f589U,     0x79a2b97dU, \
    0xabd986d2U,     0x6da1ca15U,     0x1d141897U,     0x0063a410U, \
    0xd5f869fcU,     0xbafdde9bU,     0xa1dc0ba2U,     0x804763b0U, \
    0xf8ddc1ccU,     0x83ea9c36U,     0x6bf19fd8U,     0x304fc308U, \
    0xec3618e2U,     0x8acef759U,     0xd6121513U,     0xc9d9cfd9U, \
    0xff953b5fU,     0x41ed13d8U,     0x0672289aU,     0x8ae52cc9U, \
    0x1060d61aU,     0x212add88U,     0x29811090U,     0xd1e1dc39U, \
    0xb306b906U,     0x2452fa4cU,     0x9ea6c3c7U,     0x8baceb91U, \
    0x272713bcU,     0x33a20a0eU,     0x4e6fdc4bU,     0xb8b822c9U, \
    0xe02468dbU,     0x15e1560fU,     0xdce9db2aU,     0x778d479dU, \
    0x8ed251c5U,     0xda670d19U,     0x0df6e27eU,     0x7e8d52a4U, \
    0x7c333488U,     0x1be1e86eU,     0xf7337090U,     0x2f893817U, \
    0x043f4aa2U,     0x4efaa356U,     0x6e454a83U,     0xb1753142U, \
    0x343d849dU,     0x0df9b069U,     0xff57da97U,     0x82e3d3e9U, \
    0x98c3cd83U,     0x886ddb28U,     0x2a4cda1bU,     0x9394f716U, \
    0x5cbdab2dU,     0xf784fb40U,     0x9bf92349U,     0xcfa688ebU, \
    0x6d51ca9aU,     0x56bd79edU,     0xa732c6d9U,     0x8f5cfd1aU, \
    0xe1aafe0eU,     0xe60789f8U,     0xa939b018U,     0xce8d8056U, \
    0xe2440768U,     0x3a7d1e27U,     0x5f5ac505U,     0x9efcf3adU, \
    0xc8030cacU,     0xc7cedefcU,     0x9ef3008dU,     0x2eb94cd8U, \
    0xeab4df34U,     0x820c937dU,     0xd6b04cefU,     0x77f42f34U, \
    0x9ecd19b6U,     0xc0761fd0U,     0x83bbba69U,     0x68573570U, \
    0x2c47da72U,     0xa46c9d6bU,     0x5ed8499aU,     0x28c27d21U, \
    0x2e3c025cU,     0xe0af4ff2U,     0x4ccc8d73U,     0x7f56513cU, \
    0xd422badaU,     0xc2d3295aU,     0x2f2c2af8U,     0x15a0f829U, \
    0x79781de6U,     0x3de5e5e2U,     0x875a22eaU,     0x4f224b9dU, \
    0x4cf2f56cU,     0x24d1f951U,     0xabc14e9aU,     0xc15e89bbU, \
    0x230b946eU,     0x1bbeda9eU,     0xb03ee931U,     0xd074cae6U, \
    0x45a46cc0U,     0xb03de1e6U,     0x877731f8U,     0x6cc9ff35U, \
    0x2ada595eU,     0x09670516U,     0x1b7aa89fU,     0x143a4c02U, \
    0x981ef34eU,     0x62d2884fU,     0xb805e442U,     0xd37436f7U, \
    0x20e4c35dU,     0x8387851aU,     0xcccd0aa1U,     0x4b38acc4U, \
    0xb8ea7cf5U,     0xebfa3eb4U,     0x017a28f2U,     0x3d79af18U, \
    0xa5521170U,     0xbdde7e1aU,     0x83a85f97U,     0x92a598a1U, \
    0xc0404614U,     0x62d855a2U,     0x86337b89U,     0xb06508f9U, \
    0x12d8ab3eU,     0x42b70a4fU,     0x2d5ed188U,     0x875016bdU, \
    0xc4377ff7U,     0xdfc7a301U,     0xc002981fU,     0xb09c936eU, \
    0x088225bbU,     0xf8fd20efU,     0x9bb511c7U,     0xf75be4f1U, \
    0x2419baabU,     0x57335742U,     0xf1bfee22U,     0x1461794fU, \
    0x9a3b0821U,     0x00b0a00fU,     0x7493f849U,     0xd4c7cf0cU, \
    0x48bc1899U,     0x991d35f0U,     0x331253c5U,     0x5c78f164U, \
    0x39fa4b99U,     0x5db9a0c2U,     0xfdeda830U,     0xfe51aadfU, \
    0xe38e226dU,     0x46975fb8U,     0x40c22615U,     0x955bf3d7U, \
    0xa423fc84U,     0x040fde9cU,     0xcae8f30aU,     0x69dd1aaeU, \
    0x57acace2U,     0x1f632bfaU,     0xdd4553afU,     0x82dffd24U, \
    0x3b8d0c3dU,     0x6baedfc4U,     0xd24c9864U,     0xb8566d98U, \
    0x5c1d2cb4U,     0x00897520U,     0xa66c6b3bU,     0x84df591dU, \
    0xcf60b2ffU,     0xbb5d5f76U,     0x21db4a85U,     0x73913892U, \
    0x19073e6cU,     0xc5f7e6daU,     0xc3f7e687U,     0xd4fa5a6eU, \
    0x85233c89U,     0xc6c5df4cU,     0x2d348c5aU,     0xc4e4674bU, \
    0xecd2e59bU,     0xc7aeec5dU,     0x3bd8464bU,     0x4a2a067aU, \
    0xd01ce18eU,     0x98330e96U,     0x7b4f2fc3U,     0x1a5357aaU, \
    0xadeac2ffU,     0x681907c0U,     0x54ee5995U,     0x835f7bdbU, \
    0x403a202aU,     0xb9ce89bfU,     0x9c7a22cbU,     0xafef0204U, \
    0x7f473309U,     0x1f07792bU,     0xebb1152fU,     0xf7e6ab14U, \
    0xa4f8b40eU,     0xa5277366U,     0x0502ec17U,     0x85fafcddU, \
    0x57fc1bd4U,     0x652dd374U,     0x134120adU,     0x0163384dU, \
    0x59a3014bU,     0xa3b2a7f0U,     0xdb6739c4U,     0x51fede7bU, \
    0x60056524U,     0x58825103U,     0x1395d899U,     0x520617b3U, \
    0x1e1446e1U,     0x8509fc0bU,     0x172d7230U,     0x79e66b36U, \
    0x5259b0e9U,     0xf1bbccc1U,     0x0aceda69U,     0x5b64331fU, \
    0x3b8ce12dU,     0xfc70b742U,     0x0deecfdaU,     0x0082eb53U, \
    0x1156b820U,     0x45928b52U,     0xbc86b6b1U,     0x1210054eU, \
    0x03ad0af2U,     0x14d09274U,     0x2b2bf40eU,     0xf55f7e66U, \
    0xe39f0f5bU,     0xd54e443aU,     0x985e9577U,     0x70ebece1U, \
    0x042c9fe3U,     0x5058dde0U,     0xf4c91dc5U,     0x8e942947U, \
    0x4b2d208eU,     0x814d9a86U,     0x4bb31a13U,     0x68837908U, \
    0xb0f73a55U,     0xd1b67f30U,     0xd9a2d487U,     0x58645f8dU, \
    0x048e0a32U,     0x7cc23f86U,     0x25b925bbU,     0x6ffca870U, \
    0x191f63baU,     0x3a18f72aU,     0x814cf131U,     0x4543b437U, \
    0x80509687U,     0x86ead27bU,     0x9c8d193eU,     0xe1f5576dU, \
    0x25096724U,     0x5b97473bU,     0xe5a79044U,     0x9909196cU, \
    0x2fff67dbU,     0x33a7030fU,     0xea29ae55U,     0xc1b5649aU, \
    0x9dd10918U,     0xa8c13968U,     0xf8ada156U,     0xf50f68e7U, \
    0x6ae0de84U,     0xb5eff9c8U,     0x80bd7feaU,     0x0ef97eb0U, \
    0x48839800U,     0xa39b4268U,     0x63f650a2U,     0x0cb41793U, \
    0x83b0ee2aU,     0xded1bebcU,     0x8b1bda59U,     0x33c65a7cU, \
    0x027e72acU,     0x281d826dU,     0xfc2be764U,     0xa37f49e7U, \
    0x1ecff7e7U,     0x5f0c4c0eU,     0xbc181bdaU,     0x354cb145U, \
    0xe0aa4cf7U,     0xb1e57f94U,     0xad7a978cU,     0x71285461U, \
    0xce38d29dU,     0x78de3946U,     0x0db0a979U,     0x2cfac9a9U, \
    0x07d7c2f0U,     0xc0523d7dU,     0x10b166d1U,     0xed4949d5U, \
    0xc063bde2U,     0x5cef2853U,     0xe2e6d7dcU,     0x9eac31f1U, \
    0xf75e58ccU,     0xc41cd77fU,     0x5d2b811eU,     0xa569deb4U, \
    0xf809cbc4U,     0x3d7dc867U,     0xf9447c98U,     0xdbd2b023U, \
    0xfb5943f9U,     0x1e800adeU,     0x7642b8e1U,     0x18efbaddU, \
    0xa82a581eU,     0x8babe048U,     0x157183ddU,     0xad3128c1U, \
    0xad1fed4bU,     0x986bc0e7U,     0x29636a5bU,     0xa65b45ffU, \
    0x675740e8U,     0xe41af0caU,     0xdb8ac6c0U,     0xabc7fa38U, \
    0x2c8b3a95U,     0x36f2f7f0U,     0x465912c4U,     0x4a778880U, \
    0xbeba58a1U,     0xb6e4012bU,     0x0b28d211U,     0x99e67cbbU, \
    0x52b61898U,     0x23ef4071U,     0x25d83b12U,     0x14361788U, \
    0x00aa410dU,     0x99352efeU,     0xf1e89936U,     0x515b5564U, \
    0x770f2d2fU,     0x629f1398U,     0x1defde32U,     0x5453392cU, \
    0x34e40b51U,     0x913813c5U,     0x99cb8e02U,     0x1602eed6U, \
    0xffe92c8cU,     0xc05048f7U,     0x45ecfa16U,     0x2221ef23U, \
    0x19868a7fU,     0xa3756485U,     0x288ac9e9U,     0xfd4d6853U, \
    0xfc257407U,     0xcadc2cb5U,     0x4068155eU,     0x91106598U, \
    0x97e95acfU,     0xb0b40ae5U,     0x25a4fe72U,     0x41d223a5U, \
    0xeb20598bU,     0x64eb48f1U,     0x145b0db6U,     0x84870998U, \
    0x9dc2a0c5U,     0x511d2a9dU,     0xdc44a514U,     0x6905485aU, \
    0x9712abb5U,     0x7f8009c9U,     0x5658f64bU,     0x54dd1806U, \
    0x4d6c7fd6U,     0xa320d147U,     0x46a8f492U,     0x88775ce0U, \
    0x6e5b9b5bU,     0xae949353U,     0x815129bbU,     0xa761b3edU, \
    0x9f3ecc39U,     0x67188a09U,     0x752097b0U,     0xa96391c9U, \
    0xd856399eU,     0xfd46d7baU,     0xbdbbb502U,     0xfda7daddU, \
    0x9b3925e8U,     0x3ef55b98U,     0x9f97c0fcU,     0x351dd495U, \
    0x2b7fbb88U,     0x9c1ab1d0U,     0x49f40be8U,     0x3d1a6881U, \
    0x6cccb18dU,     0x8b56cad3U,     0x5743e77fU,     0x0f8a3c70U, \
    0x28752d9aU,     0x6ba551cdU,     0xd82f56ccU,     0x97c58dfbU, \
    0x294d027bU,     0x6731d638U,     0x51189d70U,     0xba4c1064U, \
    0x11244872U,     0xbc3eb644U,     0x904ca465U,     0xaebbe8c5U, \
    0xdfe69adfU,     0xd485c8dfU,     0xb2b7416fU,     0x2d2cfbf2U, \
    0x07823111U,     0x14d9386fU,     0x98343e9aU,     0x4af3b6bdU, \
    0xd89d3e5dU,     0xa0bc5dc8U,     0x07880e84U,     0xbd8d75b0U, \
    0x91a52364U,     0xe59b94e9U,     0x3ffca57dU,     0x7bd7c2c7U, \
    0xfcc7dce9U,     0x08ce06efU,     0x8343dc5fU,     0x867c07c7U, \
    0x63187436U,     0x173f4604U,     0x285be2d7U,     0x701a3423U, \
    0xae1f0dafU,     0x8cc290aaU,     0x37543cc7U,     0x1865fa85U, \
    0x024d3e09U,     0x84be019dU,     0x400dda5cU,     0x413efb0bU, \
    0xfe4fd4b4U,     0x9fcabbffU,     0x19b3ded5U,     0x633b1915U, \
    0x73a22dfeU,     0xa3c29717U,     0x0bc152bbU,     0xf8200b05U, \
    0x10af861dU,     0x67a0a915U,     0xebe0469aU,     0x0320d2a9U, \
    0xce3dd787U,     0x59d80fabU,     0x2f20bf74U,     0x304b6925U, \
    0xea707035U,     0xe247d722U,     0xbfa8094cU,     0x8e3df6d0U, \
    0x46e3f746U,     0x4fde7c3cU,     0xc61de18aU,     0xcd2ce5b9U, \
    0x358aea11U,     0x27175f03U,     0xc6dfc12bU,     0x9371b47eU, \
    0x7d41588fU,     0x5328290aU,     0x884e1590U,     0x86512550U, \
    0xd9e0f1b3U,     0x5e26e6cfU,     0x550f6089U,     0x560f3512U, \
    0xa62e569bU,     0x7b6b1daeU,     0x6ec55ba4U,     0xf2c8b893U, \
    0x6861181eU,     0xef2907b7U,     0x831d6128U,     0xa7165de5U, \
    0xeb8c4cd0U,     0xbe69d477U,     0xdcc59900U,     0xf1af824fU, \
    0x729f9bebU,     0x318ef236U,     0x9b31f9ecU,     0x4ff9a5fdU, \
    0x49169075U,     0xfe9584c7U,     0xc9ce5cc1U,     0xf77edfcbU, \
    0x04ace029U,     0xe02e38e5U,     0x4befffc1U,     0x0d0249aaU, \
    0xe3045981U,     0x569cef5eU,     0x15e9139dU,     0x703eec32U, \
    0x3d0ca5c1U,     0xff302d9fU,     0x5f5fb440U,     0x06d3c406U, \
    0x22f504deU,     0xd5906f57U,     0x17e6a31aU,     0x0f5e44deU, \
    0x68bee458U,     0x3e2d0445U,     0xf78dbd22U,     0x828de80fU, \
    0x99feced4U,     0x17326d88U,     0x9c970d1dU,     0xe28530c3U, \
    0xe0a92d32U,     0xf490f1f1U,     0xfc52ebb0U,     0xb8743aceU, \
    0xd63812f2U,     0x93f0bc35U,     0x06ba68ddU,     0x8524cd07U, \
    0x8167666fU,     0xf5bb7462U,     0xff881cf1U,     0x096bbc8bU, \
    0x47d8518eU,     0x1dbd7ca9U,     0xb1a0d6eaU,     0x1170f64cU, \
    0xcaaeaa0cU,     0x36aa2263U,     0xcf757a45U,     0xcec30c86U, \
    0xd3ebbc63U,     0x929d9eddU,     0xc4ebf731U,     0x60e7ff79U, \
    0x21bbc0d3U,     0xe772951eU,     0xcedde648U,     0x40ed8c32U, \
    0x0f6d1127U,     0x1f8f1a4aU,     0xab23fb0aU,     0xa080fb93U, \
    0x1c05020cU,     0x7e2dc5f0U,     0x62dd3db0U,     0xa3621ef7U, \
    0x56a0dc88U,     0xdf7b39b7U,     0x5e1114a4U,     0x6d1c5a03U, \
    0xfa81196bU,     0xd23bb0feU,     0x05e41be3U,     0x39d1dd8cU, \
    0xb47715c7U,     0x7f4ffd37U,     0x72f920dbU,     0x02c10170U, \
    0x13a84325U,     0xa0e39c2aU,     0xed1a0505U,     0x794fb5f0U, \
    0x19a966f0U,     0xc10affc6U,     0x91436549U,     0xc6b0d04aU, \
    0xb1596269U,     0xac2d49fdU,     0xa5e9eedeU,     0x4c483eeaU, \
    0xeeed0b5dU,     0xccf2f40aU,     0x8451b027U,     0x045b693aU, \
    0xe12ca143U,     0xb23ad7e4U,     0x7db6c36aU,     0x926a0edcU, \
    0x9b96a4f6U,     0xe05cc2d9U,     0x8e2b25a0U,     0xe523af53U, \
    0x093b1e7cU,     0x9a26b619U,     0xfbdb454dU,     0x5ac2536aU, \
    0x5f7686b2U,     0xebf59905U,     0x1b70b8afU,     0xad00c25dU, \
    0x15d4d703U,     0xd10c9d49U,     0xf5ecf3c6U,     0x20119fbaU, \
    0xc7b1548cU,     0xa944347aU,     0x239495a7U,     0x0cffc36eU, \
    0x442dcd2aU,     0xbc01ac23U,     0xa64c7f45U,     0xafbfeac1U, \
    0x5636756cU,     0xb2f18743U,     0x9fbf69d4U,     0xee7dd30aU, \
    0x203a3549U,     0x82636d2bU,     0x6d2e5bbdU,     0x02a42ba2U, \
    0xfc6b0152U,     0x3d2e7b21U,     0x6f2b1fdcU,     0x62731e8aU, \
    0xd59fbdaeU,     0x34724226U,     0x821d941cU,     0x016ee2ddU, \
    0xb1629226U,     0x110db8c7U,     0xaa8e479eU,     0x69a3566dU, \
    0x4586cc61U,     0xd6d553d3U,     0x54bfc20eU,     0x97493d12U, \
    0x955f2a0fU,     0x629df384U,     0x97e62fa3U,     0xc2dcb26fU, \
    0x7b0847adU,     0x434e2548U,     0x4c0a8c63U,     0x2331825cU, \
    0xf529f674U,     0x424a3832U,     0x238686e9U,     0xbded3469U, \
    0x260bf577U,     0x6febd3b5U,     0x483af95cU,     0x9b523794U, \
    0x07dd028fU,     0xee2a2376U,     0x403048c1U,     0xd36a1a22U, \
    0x5f1fc5f5U,     0x9113a0b7U,     0x71b661cfU,     0xcf6f1bfbU, \
    0xab2e859bU,     0x698ac274U,     0x85a46507U,     0x2f179952U, \
    0x7e0dd2caU,     0x39732f0aU,     0x7bb9f58fU,     0x95e8315dU, \
    0x39af47eeU,     0xda64911eU,     0xbb77c288U,     0x6209e4a0U, \
    0xad659094U,     0x437a6b48U,     0xbf96c61eU,     0x03013ef6U, \
    0xb2425576U,     0xccdf2fc5U,     0xc9aeaf64U,     0x7001e03fU, \
    0xb2ff0aa7U,     0xb6e89553U,     0x80cac00cU,     0xc17f7949U, \
    0x5e555bd7U,     0xa2d1b75bU,     0x18a0cf60U,     0x70652716U, \
    0xd6dae788U,     0x6ea47161U,     0x869d0ee4U,     0xd9f24487U, \
    0xe503d103U,     0xc7e8f3bfU,     0xfe9aa453U,     0xa4d5abeaU, \
    0xc4ce22d0U,     0x985f005cU,     0xa92f3c81U,     0xa8ad1302U, \
    0x20a23b8fU,     0x520f62c2U,     0x523aee37U,     0x0aa78d72U, \
    0xe45223fbU,     0x306632a8U,     0x75ffe1ddU,     0x498a3d1dU, \
    0x8ce6e45aU,     0xaa70c6feU,     0xeadc13b1U,     0xe032282fU, \
    0x121f3934U,     0xd1ed8368U,     0x0ae09511U,     0x03f9db29U, \
    0xf2515f27U,     0xb76a2cefU,     0x34bd3b6cU,     0xb5e71da0U, \
    0x3aaf0ce2U,     0x20059946U,     0x500d4f39U,     0x2f647210U, \
    0x2d470d59U,     0x3a710b22U,     0x62d8f32cU,     0x1ba59bdfU, \
    0x1075ac8eU,     0x02ed550dU,     0xf4da93b8U,     0x79affe86U, \
    0x0052f13eU,     0x2ccf78edU,     0x283156f0U,     0xcb0939c8U, \
    0x9e2d1e44U,     0x88ac4b13U,     0x22f0a815U,     0x1023b805U, \
    0x5a000952U,     0x29029163U,     0x87dae100U,     0x6c7bed2cU, \
    0xaea4efd9U,     0x02190a95U,     0x8442eb97U,     0x89468319U, \
    0x3010c814U,     0x91461385U,     0xad36e7a1U,     0x9df93551U, \
    0x6a8a3116U,     0xe95c0961U,     0xc1d34a08U,     0x32e94c36U, \
    0x9c677d1eU,     0x23042b93U,     0xb699766bU,     0x423e74b8U, \
    0x84bf651dU,     0xf6a1a087U,     0x1ba24659U,     0x8e570ef9U, \
    0xa6d55f45U,     0x59f246b7U,     0x6c8b45abU,     0x41e0cb90U, \
    0x7817a4b6U,     0x6dbaf800U,     0xe8eb8d78U,     0xefb66fcbU, \
    0xf054754fU,     0xfdc64b70U,     0xd1816354U,     0xe2498738U, \
    0xec3b6ce1U,     0x00411096U,     0x709cee60U,     0x6db037a6U, \
    0x27dea8f3U,     0x582c2de5U,     0x06a6db2aU,     0x386f0da9U, \
    0xb24f3065U,     0x1977d0adU,     0xff0ed44aU,     0xb8b0e209U, \
    0xd469c34cU,     0xf2116799U,     0xdf5dac1eU,     0xfde7c50dU, \
    0xaa19b24dU,     0xb1e4845dU,     0x9aae1ee5U,     0xf8b5fe66U, \
    0x6afbd3bfU,     0x35b71697U,     0x4a3c3d8aU,     0x94174845U, \
    0x44334a26U,     0x3624a3fdU,     0x8d521cf3U,     0x11bcb34fU, \
    0x96d410bcU,     0xc5627867U,     0x2c90bc08U,     0x79cb5b42U, \
    0x5d54151aU,     0xc92458a9U,     0x26bcecc2U,     0xb9329ca1U, \
    0xc23a3a64U,     0x78e17a41U,     0x8dce9dc3U,     0x1ceae0b8U, \
    0xd6dc7cffU,     0x0dc6846bU,     0xe35c49d7U,     0x4de80fd0U, \
    0x6c577b6fU,     0xb4486bb1U,     0x83998961U,     0xe3e4cc70U, \
    0x0537fa04U,     0xe21edc06U,     0x6a3fb312U,     0x9f14c3b7U, \
    0x34e543cdU,     0xdb66d3d6U,     0x199af917U,     0xf24a6f5fU, \
    0xb82d47edU,     0xc2498c63U,     0xaf2eada6U,     0xb8428e5fU, \
    0xd8e08f2dU,     0x66aa464eU,     0x856cbb33U,     0x8d323b7fU, \
    0x80941f81U,     0xa905c585U,     0x1a9625b5U,     0x8a81da53U, \
    0x49258939U,     0x2bd4f668U,     0x1764ec47U,     0xdcc0ec46U, \
    0xddc4a7b0U,     0x0e229c86U,     0x3f097706U,     0x3f402711U, \
    0xe447af23U,     0x3a168c7fU,     0x3d2350f5U,     0x3ee955ddU, \
    0x8034da93U,     0x8027b9d0U,     0xb853c1e9U,     0xa2977436U, \
    0x5f90ff2fU,     0x3b1157daU,     0x0b1883bcU,     0xd16ea556U, \
    0x42f0868dU,     0x752d8754U,     0xfaf3255aU,     0x606a5d18U, \
    0x6b618695U,     0x23009eafU,     0x4b233188U,     0xeaf4a419U, \
    0x65298ffcU,     0x94b30bb4U,     0x547fa461U,     0x4fbb2370U, \
    0x99cccf8dU,     0xa8fffe9bU,     0xf87000b4U,     0x14425e58U, \
    0x83085c48U,     0xaf071a19U,     0x91c867bdU,     0x96b86825U, \
    0x6d8a47cbU,     0x79485072U,     0x07ef6197U,     0x9e0b9e71U, \
    0x9f159a49U,     0xa0019f82U,     0x25f770fdU,     0xd9806316U, \
    0x4f1ef304U,     0x7adabf05U,     0x69103019U,     0x341fa7adU, \
    0x58dcf571U,     0x39707fbaU,     0xe03b10d2U,     0x780f7461U, \
    0x6430d89bU,     0xb5094d07U,     0x5b2e6ef6U,     0x4b5811b4U, \
    0xc4818292U,     0x50a670e6U,     0xd748bef8U,     0x389d5c18U, \
    0xeb440725U,     0xefe2ac8cU,     0x5e04288cU,     0xed77aec3U, \
    0x1bfe5b35U,     0x4426d7ceU,     0x58745743U,     0xc98de836U, \
    0x30b04774U,     0x0458847fU,     0xa404a415U,     0x3763a282U, \
    0x3e3251b2U,     0xd70c2657U,     0x9253b170U,     0x088dcd8bU, \
    0x647e971dU,     0x223772efU,     0x36804a3bU,     0x96dbc675U, \
    0x0cc9088eU,     0x26d52a62U,     0x3a62b13bU,     0x6aa58e04U, \
    0x645ca5ceU,     0x4566ac6fU,     0xe180df3cU,     0x282a6740U, \
    0x6ffe112aU,     0x2756e5afU,     0xcf615715U,     0x0cb9fc87U, \
    0x791cab51U,     0xa8b199b0U,     0xf89c5132U,     0x89743df9U, \
    0xf76e387eU,     0x71c45f36U,     0x2e7ea7baU,     0xfb7dc984U, \
    0x07ac31e1U,     0x65f7d01eU,     0x78bb1dc5U,     0xd0bc2d1dU, \
    0xe9a7e90fU,     0x57e570c0U,     0x4e82a78dU,     0xaae8fc1dU, \
    0xee2730a9U,     0x8be6d48fU,     0xabc5091aU,     0x948a0708U, \
    0x7e034d60U,     0xa7a1941dU,     0x64ae377bU,     0x4045522fU, \
    0x051abdbaU,     0xf871c2d2U,     0x6eae362bU,     0x1476cfdaU, \
    0x4e8b6840U,     0xefdd4fafU,     0x5e767973U,     0x54f74023U, \
    0xbae55e01U,     0x711a58e1U,     0x40075b5eU,     0xf9eb7ed0U, \
    0xcbd8e4eaU,     0x86f38b1dU,     0xb7de726eU,     0xa6871841U, \
    0x55677606U,     0x99a3efbbU,     0x60679168U,     0x19c81c6cU, \
    0xb6c6dcb1U,     0xfa826d3eU,     0xe219908dU,     0xccb615c9U, \
    0x804ce74bU,     0x6ab84b52U,     0x443218f5U,     0xe83beba5U, \
    0x2b641dbaU,     0x12a51013U,     0xf2eccb7cU,     0xdd861066U, \
    0x37cac7a6U,     0xed25f2d1U,     0x3ebbb33eU,     0xee670c88U, \
    0x81d99e1aU,     0xfaef1e1bU,     0xf67e8d48U,     0xfcfba8baU, \
    0xfc7e46a5U,     0x828ed9b4U,     0x5810d933U,     0x9f53bbe8U, \
    0x399fc07fU,     0xfb67d98bU,     0x17ad7421U,     0x8b93a03fU, \
    0x7058fd76U,     0xad8cd729U,     0xb483d961U,     0xbaa59d2eU, \
    0x13eb6102U,     0xdaca3790U,     0x46d49694U,     0x172a0c2bU, \
    0xbec75796U,     0x4d0d2b7eU,     0xfa13171aU,     0xa08b7a26U, \
    0x1e001eb8U,     0x36e0a2d4U,     0xfb0d3a61U,     0x89d622ffU, \
    0xee6c92e3U,     0xc345e0fdU,     0xd1e1bfd1U,     0x48d74c72U, \
    0xecb9beb3U,     0xcb5a8947U,     0x54afa86cU,     0xe6f871b2U, \
    0x0905cccbU,     0x24939f6cU,     0x27da2dd5U,     0x4d205df4U, \
    0x1b1cc9ccU,     0x9d2f56ffU,     0x19d34ed0U,     0x659c5d12U, \
    0x562a1103U,     0x6f7960d2U,     0xdb008da4U,     0x13b5ab83U, \
    0x1a73f20bU,     0x005530a6U,     0x713b2d60U,     0x89a11bbeU, \
    0xbf6adc70U,     0xcc9c136aU,     0xc4dad788U,     0x8a1d6967U, \
    0x7742ea8bU,     0xc5009e82U,     0xd83993dcU,     0x84c5b51fU, \
    0xfff0d15cU,     0x94acfed4U,     0x0d53b7a2U,     0xe12810d2U, \
    0xe5ed1116U,     0x8a1bb7d4U,     0x7884d73fU,     0x785048ceU, \
    0x2586ea5fU,     0x363ba972U,     0xfe004b42U,     0x990bfde4U, \
    0x207ad1e8U,     0x3d1732daU,     0xe79bf92bU,     0x2ee6d60fU, \
    0x2803f7deU,     0xb909e1f2U,     0x121325faU,     0x5e8ac247U, \
    0x283e6cb7U,     0xde9fe5dbU,     0xb32977e6U,     0x9d978f02U, \
    0x0ecbd333U,     0x15843bdeU,     0xbb39699eU,     0xeb3f8a25U, \
    0x9353631bU,     0x6180137fU,     0x64a95e36U,     0x6b589a44U, \
    0xafd51ea9U,     0x37e93aceU,     0x262ec1b3U,     0xe4ad8616U, \
    0xc48949d5U,     0x725cc625U,     0xd9237ec9U,     0x7fa8d7d8U, \
    0xd8fd4d72U,     0x37c5a832U,     0x8de1aec9U,     0xf7633a22U, \
    0xe2d31c90U,     0x971c4f75U,     0x6847f8ccU,     0x0ad2e1bfU, \
    0xa6b0c5b9U,     0xd550b0f4U,     0x183eb8bbU,     0x856be602U, \
    0x3d7c5eb8U,     0x9821a24eU,     0x690ddce2U,     0xb67eaff6U, \
    0x8aa043d4U,     0xf9cdb251U,     0xc4ea4f5cU,     0x0381bb33U, \
    0x135d1576U,     0xfb6d5397U,     0x91d20370U,     0xb7dbd393U, \
    0x471b4064U,     0x5f9e9eaaU,     0x9e3327dbU,     0x7572c28eU, \
    0x6019582bU,     0xbcc3fab0U,     0x5f1227ebU,     0xbe8ae151U, \
    0x3ab268c6U,     0x5ebab515U,     0x8e375456U,     0x67567c39U, \
    0x98e15318U,     0x460ac1b1U,     0x33998954U,     0x1818b8fdU, \
    0x2f36062dU,     0x0a39643cU,     0x4b4ca577U,     0xdbb575d1U, \
    0x04b8c973U,     0x3aab51b3U,     0x7b897c32U,     0xc14f5f3dU, \
    0xdf1df147U,     0x905fca39U,     0x109c180fU,     0x77a9afb9U, \
    0x588f1b08U,     0xf4117e0bU,     0x26426289U,     0x6b69ef97U, \
    0x7609029cU,     0xc92f14f1U,     0x6c97b7a8U,     0xd5020149U, \
    0x8e239b91U,     0x268c7d1bU,     0x049aa4d9U,     0x6e041db3U, \
    0x987ad9c2U,     0x03076263U,     0xb9267178U,     0x15c1e64bU, \
    0x1d4251e0U,     0x87d72e8fU,     0x590ee961U,     0x31eed2baU, \
    0xf4e13452U,     0x6199589bU,     0xf460ce21U,     0x8f19c959U, \
    0x38c0b51eU,     0x502c260cU,     0xeb84a4c7U,     0x3cc39e2fU, \
    0xa9be5837U,     0xaa2737a2U,     0x2537a571U,     0x785b5ae4U, \
    0x3b01b8c9U,     0xd02e587cU,     0xc043fb4fU,     0x08b61e7cU, \
    0x45a17840U,     0xa8ebcbabU,     0xab8aa7b6U,     0xdae4e993U, \
    0x439dc7d5U,     0xd2830893U,     0x77372cbbU,     0x829868c4U, \
    0x4728b87dU,     0x9089962dU,     0x3c66b0b0U,     0xb30a8e11U, \
    0x8471924eU,     0xdcf3b2f0U,     0x9ecae217U,     0xd6e7f8bbU, \
    0x4c6856a1U,     0x3ef37c43U,     0x84c2c34dU,     0x8bec14a2U, \
    0xfdc8289bU,     0xd8e986e6U,     0x1d68cdf7U,     0x3abf527dU, \
    0xc088979eU,     0x29f59a5bU,     0x1880ef92U,     0x136c119eU, \
    0xcd12eaaaU,     0x139108aaU,     0x1c025647U,     0x1af1aee0U, \
    0xd0f39196U,     0x84152a89U,     0xdd1ba984U,     0x033d8f21U, \
    0xc15b0e20U,     0x4b8db5e7U,     0xcf65b885U,     0x379a886bU, \
    0x6db7e2a3U,     0x025da0dbU,     0x55172a62U,     0xdcc1366bU, \
    0xbc8209a7U,     0x710e3b44U,     0xce4638f4U,     0xdc0d31c3U, \
    0xb8087905U,     0xb215acc6U,     0xa07b075eU,     0x3012665cU, \
    0x9aad24b0U,     0x6f3ef3ebU,     0x67bb601bU,     0x60de1d2dU, \
    0xd0094873U,     0x8f4f792aU,     0x21d7934eU,     0xee276517U, \
    0x500dbde7U,     0xa59929daU,     0xa2f6ad51U,     0x1366457cU, \
    0xe18b75cbU,     0x66241b9fU,     0x65b84b19U,     0xc19bd170U, \
    0x2cb28065U,     0x0a7be868U,     0x92bca792U,     0xaa510bb5U, \
    0xbc880aafU,     0x7d008031U,     0x36143572U,     0xb2ab4d08U, \
    0x87bb0038U,     0x46f97913U,     0x7168d949U,     0x3b2d529dU, \
    0x4d35548fU,     0x719161b4U,     0x2ed82d6dU,     0x18ff4e3fU, \
    0xbe35a409U,     0xb618805dU,     0x9eba8e90U,     0x153acdc9U, \
    0xfc2a014cU,     0x6a5f23b1U,     0xce40a453U,     0x0020e10fU, \
    0x5d88d485U,     0x98716af4U,     0xaacd7267U,     0x879b5a89U, \
    0x0102ea5aU,     0x920cc6daU,     0xf0680fd4U,     0x12d811e8U, \
    0xbf0e0746U,     0x9c442dbaU,     0x5bd83d4bU,     0xada6cd11U, \
    0x29b94a8bU,     0xe1782bf9U,     0x37fb0340U,     0x08229be9U, \
    0x48984f8bU,     0x5ddbbe04U,     0xe52f26a8U,     0xd7322e68U, \
    0x5f765d74U,     0x9d5cef55U,     0xe0477ce7U,     0x04bf2882U, \
    0x7c0f7552U,     0x45324355U,     0x59ee135cU,     0x389d28c2U, \
    0x3f531f60U,     0x64b4e323U,     0xdcdb8c05U,     0x5e58ddc7U, \
    0xb3a7689bU,     0x8599b574U,     0x4ff8295eU,     0xe2ec0f02U, \
    0x8c4b2db6U,     0x9e797933U,     0x4b5448feU,     0xd580b869U, \
    0x32747812U,     0x457f2addU,     0x12b42e87U,     0x091db708U, \
    0xd0328a1cU,     0x93327421U,     0xb89619caU,     0x42018710U, \
    0xb6f7fed7U,     0xa6763649U,     0xb6c8baf6U,     0xe0f936b4U, \
    0x3bd1f341U,     0xe7c6f3b2U,     0x802bda52U,     0x5501b08fU, \
    0xaf62993cU,     0x26a3d536U,     0x9eced19fU,     0x2bc45ca9U, \
    0xeb945ab9U,     0x52ad39d3U,     0x97ce066eU,     0x8706f894U, \
    0x3838d8efU,     0xca210210U,     0x3135add6U,     0xf720adb6U, \
    0xd5f9cc86U,     0xc99e97f9U,     0xe697d693U,     0xeac91830U, \
    0x638da2baU,     0x018806a2U,     0x80ce86a1U,     0x75bf0347U, \
    0x8bcc3575U,     0x13496453U,     0xf44b3767U,     0x36d07471U, \
    0x05300386U,     0x66712448U,     0x003882d4U,     0x4c9f7f5dU, \
    0x7f2a4c01U,     0x1f9f797dU,     0x8c93e6bcU,     0xfd7d945bU, \
    0xa78fc378U,     0xcb5c6e37U,     0x86544816U,     0x4c9b434eU, \
    0x30af1f40U,     0xc2fc924eU,     0x5e349ddcU,     0x2aa23e8fU, \
    0xd1005567U,     0xe7045819U,     0xf26d8479U,     0x286a06f8U, \
    0x50e74252U,     0x42ee45d2U,     0x860ae792U,     0xaa79c9e1U, \
    0x12803170U,     0xb62f0fbaU,     0x464974f6U,     0x1b9a62acU, \
    0xfe0c93cdU,     0x8f061eceU,     0xc453edfeU,     0xf46e891aU, \
    0x4092806fU,     0x83c38984U,     0x35c95dc0U,     0xca1f49a5U, \
    0x71028910U,     0xe505d461U,     0x6647f7d9U,     0x03c6e4e3U, \
    0xeaec7334U,     0x94e4b631U,     0x8d628039U,     0x91720b2aU, \
    0x62bfe940U,     0xb1771210U,     0x190ed490U,     0xfcd29596U, \
    0x9d4bf61aU,     0xb7e5c8a5U,     0x0ba1ce2fU,     0xe65ad929U, \
    0x9700c2efU,     0xd78d71faU,     0x3af114e2U,     0x9639906bU, \
    0x98d124edU,     0xd1e684c1U,     0x15e575fcU,     0x24357ce4U, \
    0x4e97495eU,     0xb35d429fU,     0x4fd56706U,     0xbf95d7e5U, \
    0x476051fbU,     0x5c800aeaU,     0xc47c89c1U,     0x6179ba8bU, \
    0xc050dc37U,     0x0063b60dU,     0x72d2d265U,     0x6426e54aU, \
    0x61a1ec8cU,     0x1d2a3a4cU,     0xdea59f6dU,     0x23feb415U, \
    0x355889ebU,     0xbc1f693aU,     0x15d3b2efU,     0x635be527U, \
    0x05f16454U,     0x568e28f3U,     0x7753f2ddU,     0xb06f3e2dU, \
    0x3b407ea6U,     0x8eba4301U,     0x21a2adfeU,     0x267710dbU, \
    0x7e3ddcf9U,     0x5e7865aeU,     0x9535672dU,     0x16fd3b80U, \
    0x10c4a780U,     0xcce898b1U,     0x6df87352U,     0xabe7655dU, \
    0x36f45c49U,     0xe699f87dU,     0x81b5f3bbU,     0x122daa3bU, \
    0xa03f4227U,     0x0fe56e47U,     0x506c8409U,     0xb4a3cfc7U, \
    0xa285f4d3U,     0xcf2ba88dU,     0xb7f429e4U,     0x3ef21fdeU, \
    0xdcc1a008U,     0xf3166a06U,     0x8524dd9aU,     0x63179613U, \
    0xa15e99ecU,     0x058cc872U,     0x89b24a2eU,     0xa3dde8a4U, \
    0x524e5127U,     0x78671fa3U,     0x54e26313U,     0xb483fc43U, \
    0x4acd428aU,     0x4a8bf55eU,     0x74e1d5ccU,     0x7c21621dU, \
    0xbe6888d2U,     0x544f1420U,     0x4d8a8606U,     0x33ac2ad7U, \
    0xdd466cc6U,     0x180de2f2U,     0x1666854eU,     0xa54eb146U, \
    0xfcfc5562U,     0xa3b64c8dU,     0xaff6ab33U,     0xcf86c9b2U, \
    0x89d3aee6U,     0x8c57a7f8U,     0x76d7e2e3U,     0x23d7be9fU, \
    0xacc7d600U,     0xae8a8527U,     0xbb0e2618U,     0xc0e9792bU, \
    0x660e63c3U,     0x91950345U,     0x4b3f6cebU,     0x8eb443f0U, \
    0xac74b7aeU,     0x3005646eU,     0x25604c52U,     0xc420c145U, \
    0xb5d503a3U,     0xace42255U,     0x3f7029faU,     0x79c9777dU, \
    0xe1add4b3U,     0xd54c8a5aU,     0x7f259ba6U,     0xb6bbc350U, \
    0x4b02fb69U,     0x9b65ddd2U,     0x3b3fc688U,     0xe65b1809U, \
    0xc4284a2dU,     0x922e4851U,     0x93bb47ceU,     0x85da9031U, \
    0x04feb25dU,     0x7b205480U,     0x5c8748bfU,     0xf83f5b14U, \
    0xe921803aU,     0xc6aad7d4U,     0x531b24a2U,     0x9abd3f5aU, \
    0x73848017U,     0x0a36399cU,     0x20068847U,     0x33eeb87fU, \
    0x260d775cU,     0xd2580dd3U,     0xd0f3d494U,     0x54374d56U, \
    0x3584013dU,     0xdca2fd6eU,     0x5500f5e4U,     0x6000f0bdU, \
    0x1885ddf8U,     0x20470270U,     0x725c64baU,     0x88003b63U, \
    0xecf038c4U,     0x7c8b60a9U,     0x2b3008b4U,     0x1926f52bU, \
    0xda7d0733U,     0x66f6aacdU,     0x550a9310U,     0x9bba62aaU, \
    0xa5ac7c04U,     0xc9d5d999U,     0xcbba9392U,     0x4da7e4d3U, \
    0x5eb06ef2U,     0x9f553793U,     0x454b7761U,     0xaeccf605U, \
    0x391ca079U,     0x28ebc448U,     0x48e0956aU,     0x877bd627U, \
    0x7f88a723U,     0x0ce38b8fU,     0xc1c5d9e5U,     0x34dc8cedU, \
    0xb136d23bU,     0x54f589c2U,     0x233f9ff5U,     0x06d933e8U, \
    0x580d8180U,     0xb65e0cf6U,     0x9a377505U,     0x35bd44c7U, \
    0xe8b28c49U,     0x7a549c0bU,     0x8de7128eU,     0x1b3d1018U, \
    0x18c1abbbU,     0x5bbac13aU,     0x62f9d008U,     0x34210edfU, \
    0x3d1ef479U,     0x3fdb2b12U,     0x54c9f525U,     0xef4f666eU, \
    0x028bd788U,     0x3568bf71U,     0xad59cad6U,     0x6741885cU, \
    0x87f5f9c6U,     0xfe3078cbU,     0x58d6acbbU,     0x21cfad3aU, \
    0x79ab343aU,     0x0a38ca77U,     0x7fdb2d59U,     0xf01549c3U, \
    0x9f0eb058U,     0xe5d72639U,     0x7d6d70bdU,     0xa80575b7U, \
    0x9b81b835U,     0x0783e700U,     0x3e9fb666U,     0x4fc9db06U, \
    0x94298ad4U,     0xe24b19adU,     0x0c000cd2U,     0xbae356bfU, \
    0x6062eccaU,     0x38d1a43eU,     0xf28b678bU,     0x983cfb52U, \
    0xf138cb26U,     0x97a0834dU,     0x928afe91U,     0xd9c9d99eU, \
    0x1a9e4bb4U,     0x704c7978U,     0xd6842242U,     0x92479d96U, \
    0x6144393cU,     0x74d849f4U,     0xc2dc2752U,     0xa24bc27cU, \
    0x5c84abdfU,     0x86b2f203U,     0x8852fe70U,     0xcfc46ea8U, \
    0xd510048dU,     0x976de023U,     0x9d966e81U,     0xdae5ce96U, \
    0x6d5da9a5U,     0x1efd268dU,     0x5a8b0c68U,     0xecee6ccdU, \
    0xad280eb4U,     0x634f8fcfU,     0x7ba5f1eaU,     0xa0575898U, \
    0xd9f55b7dU,     0x1dc2126bU,     0x0b3c6d17U,     0x945348f4U, \
    0x33738f38U,     0xa4f577acU,     0x73c7f346U,     0xc4b42c56U, \
    0xd5fda3e6U,     0xe336adb4U,     0x15204347U,     0xe7163d93U, \
    0xc9fbc8aeU,     0xaf0ad3e7U,     0x7851ca16U,     0x6e8dcd5aU, \
    0x738caac2U,     0xf7b12401U,     0x1caffe5bU,     0xfcfb55d3U, \
    0x16e019e4U,     0x9598a735U,     0x09b9cc40U,     0xf7c95840U, \
    0x4b7b4692U,     0x5e2b9685U,     0x9bbc0fdeU,     0x70a0852bU, \
    0xd633db59U,     0x858ec4a2U,     0xc8cfc304U,     0xf18810b5U, \
    0x49473403U,     0xf4c2bbefU,     0xeef2f9dcU,     0x926d9617U, \
    0xa82abc52U,     0x7bbada7dU,     0x879a670dU,     0x708accfaU, \
    0x9831d731U,     0x9cc3987eU,     0x8cae82a2U,     0x6c2fa2a9U, \
    0xd7ac53cbU,     0xa328d385U,     0x6d522538U,     0xc118fc05U, \
    0x07ef84d7U,     0x3f25c54aU,     0x035bea79U,     0x440ba41dU, \
    0x0da1413dU,     0x67f3b526U,     0x6a4b7a69U,     0x6e1db9c5U, \
    0x2872eed6U,     0x67b18fecU,     0xf1cd505dU,     0xbf7268c1U, \
    0x90d40f57U,     0xb0c678eaU,     0x06e560a8U,     0x84054b9aU, \
    0x1ae3c640U,     0xe8fa1839U,     0x1a0d2bb8U,     0x6ae34ab4U, \
    0x359307b0U,     0x842fb440U,     0x0720a2eaU,     0xd006eac5U, \
    0xb13c45bcU,     0x729f654aU,     0x0dae0836U,     0x098d54a6U, \
    0xe64f272bU,     0x9fb95947U,     0x60bdd0aaU,     0xb5357ceeU, \
    0x8bcad7beU,     0xe4b79737U,     0xdf78911eU,     0x4dab2ff1U, \
    0x2f35af3cU,     0x1d34f09cU,     0xee44d519U,     0x9fda616bU, \
    0x468b915bU,     0x53adf56cU,     0x6bf6941aU,     0x9971d0e6U, \
    0x6318a2b4U,     0x061f54faU,     0x66b66becU,     0x912e9c46U, \
    0x88913a83U,     0x01dc408aU,     0x365ee06fU,     0xf32fff94U, \
    0x2d66fd8bU,     0x39706ed6U,     0x70dc0517U,     0xa62eac60U, \
    0x2284f489U,     0x4a2980efU,     0x5dac3b7cU,     0x35555d1fU, \
    0x5d5873f7U,     0x8fa733b0U,     0x5dd7b1e8U,     0xf92dbd2bU, \
    0x8baef8b6U,     0xf5d1d893U,     0xf46d4a75U,     0xef3cd41bU, \
    0x3200afb4U,     0x7b9955f2U,     0x8e27fc81U,     0xb52a91a5U, \
    0x370e4f69U,     0x26d3cd7bU,     0xd1fce947U,     0xc4f52021U, \
    0x0f62bdd1U,     0x0288081dU,     0xc718a578U,     0x4ab766d8U, \
    0xecec5ea5U,     0x5ae4538dU,     0x83382d98U,     0x9158a3b2U, \
    0x866d5468U,     0xcb6bd877U,     0x6f6bed51U,     0x07f9a49cU, \
    0xca6e87aeU,     0xd72d094eU,     0xf67fc377U,     0x2e976c1aU, \
    0xdddad811U,     0xb7114941U,     0xf60756eaU,     0x487c60abU, \
    0x7bbe143cU,     0xc2288a84U,     0x946dbac7U,     0x662b2e57U, \
    0xa717ba2aU,     0xac9cd3bcU,     0xd50055afU,     0x13a45037U, \
    0xedf96c30U,     0x6e6115d0U,     0x7162c27dU,     0xea6ba61dU, \
    0xb258bd85U,     0x4f5d5721U,     0x53ce04aeU,     0xe4dd80beU, \
    0x1c7c2987U,     0x561bd5e2U,     0x1228adf2U,     0x30016027U, \
    0x5c198275U,     0xf48d7177U,     0xad72b3beU,     0x2e838c15U, \
    0x73191d67U,     0x773f32d6U,     0x1b734996U,     0xa437917fU, \
    0x5ae0f708U,     0x8c77f5b1U,     0x18cc0483U,     0x07489ab4U, \
    0x3407f7c5U,     0x505cdfe1U,     0x3a549acfU,     0xa4199cefU, \
    0x6e7aceddU,     0xf3fc3ca9U,     0x796951e1U,     0x0c4e1001U, \
    0x11f9a42bU,     0xc9271d57U,     0xa9d40501U,     0x585b12f5U, \
    0x990685f0U,     0x539026edU,     0x106def47U,     0xa1a755baU, \
    0x8d75f008U,     0xbfcafba6U,     0xaaf79605U,     0x4f47eff6U, \
    0xfc0ee6a1U,     0xb54f3cb1U,     0x6a9d0fa2U,     0xe34e132eU, \
    0x6c8b8939U,     0xf4f193caU,     0x1d3ce830U,     0x65f5df05U, \
    0x06b0f0d9U,     0x5af34cfeU,     0xa0036721U,     0x918598b3U, \
    0x65c66dd0U,     0xb67444edU,     0xc4dad566U,     0x90ff0a93U, \
    0x33af824dU,     0x95e709fcU,     0x74260261U,     0xcc1a15b3U, \
    0x8bc598ddU,     0xd77609ffU,     0x2c79be1eU,     0x23337acfU, \
    0x849749f2U,     0x13bfb866U,     0xd1f1173bU,     0x25a610faU, \
    0x69385c66U,     0xeeb0cbc9U,     0x7855885cU,     0xbd7c625fU, \
    0x1e8ce2d6U,     0x4c43712cU,     0x35fbfc6bU,     0xdc36e755U, \
    0xa61a8fb4U,     0x4315c03aU,     0x2b9f7849U,     0x019da929U, \
    0xad3e647dU,     0xe770ce05U,     0xb2c2e302U,     0x309e72cdU, \
    0xf6e9aad4U,     0x702400bfU,     0x999a2aa5U,     0x45d9602bU, \
    0x7f779a09U,     0x96fed062U,     0x5e991e6eU,     0xdcc0283aU, \
    0x8560c635U,     0xbfd84011U,     0x4ff67a79U,     0x5227740eU, \
    0x3f0a37d2U,     0x933e6141U,     0x1fa1941bU,     0x437418c6U, \
    0xf9122fcfU,     0x48dd618fU,     0x685109ddU,     0x20f4f75cU, \
    0x920cab87U,     0xb5dd5468U,     0xeacfc81dU,     0x7a7a1de8U, \
    0xafc996e0U,     0x9cd9305dU,     0x4dedb3a4U,     0x3931592bU, \
    0x8134dc3aU,     0xceaa268fU,     0x95200f43U,     0x2bdb9289U, \
    0x3183b1d6U,     0x1d23850eU,     0xab56a6f0U,     0x08c847cdU, \
    0xc6fad284U,     0x2816a770U,     0x80a25d32U,     0x844544dfU, \
    0x4c99af95U,     0x457c07bfU,     0xbbf85bb4U,     0x676bbd7dU, \
    0x2e9d001aU,     0x2a68705fU,     0x376ff9b4U,     0xb68d2feaU, \
    0x5860429bU,     0x601727dcU,     0x97f42b8bU,     0x3dafa367U, \
    0x7cced219U,     0x4788c855U,     0x99477927U,     0xe1dfe133U, \
    0x57f804edU,     0xb6552eb1U,     0x3fb15930U,     0x04582731U, \
    0x85112157U,     0xd86d9b3bU,     0x7423285eU,     0x787db4cdU, \
    0x4371b4f6U,     0x30a9eddaU,     0x98beb3ceU,     0x04f6be1dU, \
    0x68c1a5d7U,     0xa1f03fe0U,     0xd645af5eU,     0x69036249U, \
    0x4fd9984eU,     0x7e97a2daU,     0xf69a894eU,     0x589211acU, \
    0xc454f83eU,     0xf14d5b45U,     0xb0fa1db0U,     0xf1286680U, \
    0x30ad12f4U,     0xb3775e62U,     0x4efb61edU,     0x11b7c263U, \
    0x4376c429U,     0x581823bdU,     0x62e4f42cU,     0x2cf8bbfdU, \
    0x8dade031U,     0xbc165106U,     0xab88f2adU,     0xc85b8b7bU, \
    0xc92a4a3fU,     0x51d18127U,     0xded14c94U,     0x96b19779U, \
    0x515ffd3eU,     0x4277b312U,     0x42b84ea8U,     0x6c9a791dU, \
    0x8a0e06b3U,     0x320bd8dbU,     0xc64c6ce2U,     0xfdfdfe93U, \
    0xe497f90cU,     0x099c9cc3U,     0x2a79ead8U,     0x26ab73ceU, \
    0x1679397bU,     0xf5a2fd80U,     0x420a34a1U,     0x5155e88eU, \
    0xa3abb546U,     0x0d7fb8a2U,     0x33154325U,     0x3e574bd1U, \
    0x1e080056U,     0x457a98a9U,     0x237e67b3U,     0x7f883753U, \
    0x7807cea8U,     0x3a6508baU,     0x6baddd68U,     0x6b40c26dU, \
    0xf88af309U,     0xceb9f050U,     0x33720fdfU,     0x0e39ed3eU, \
    0x8bd5827aU,     0xef3774a2U,     0x0aaca979U,     0x60fbf307U, \
    0x780cb81dU,     0x4a0b258bU,     0x47b8a2a5U,     0x6e89ffa6U, \
    0x092c9c74U,     0x8787b823U,     0x5f6587ecU,     0x1011a54fU, \
    0xf2779530U,     0xad1668feU,     0x62a4184aU,     0x7eebe629U, \
    0xd1d81faeU,     0x2b31a1b2U,     0x5485c80cU,     0xa0a1d3cdU, \
    0x6dd57ed4U,     0x74d083ddU,     0x2f4d2436U,     0x217c9761U, \
    0xd739c02fU,     0x087d3788U,     0x60814addU,     0xd53e2888U, \
    0x85edb956U,     0x2f94fe5fU,     0x4040a306U,     0xa1e4df11U, \
    0x69644617U,     0x0ae0e662U,     0x3a51ebdfU,     0x847d977dU, \
    0x2b0656b3U,     0x9d0d4b4bU,     0x46d13204U,     0xc34bbcf4U, \
    0x961d9ef7U,     0x3015571fU,     0x437c1c8eU,     0xbc83649cU, \
    0xc1c930ecU,     0x07518d15U,     0x3034e48bU,     0x9a6154baU, \
    0x86d424d0U,     0xd50cf7adU,     0x6c2a5857U,     0x2b9d1709U, \
    0x20fa2b2fU,     0x9cd7ab77U,     0x10ad5d1eU,     0xe57682b3U, \
    0xd6bc37adU,     0x1b21af33U,     0x68fe481eU,     0xfefafa23U, \
    0x188d0060U,     0x8560d1a8U,     0x031fe3c9U,     0xc42449dfU, \
    0x27ea3940U,     0xe50ad9deU,     0x36dd2813U,     0x78ab73aeU, \
    0x53d22482U,     0x1ebc8ee3U,     0x61888b1bU,     0x27f4ef73U, \
    0x3b381268U,     0xc5f76105U,     0xe7f1a5a9U,     0x1628d79bU, \
    0xfd305913U,     0x0cea4898U,     0x0dfef8a8U,     0x5f9323f1U, \
    0x3b86dd13U,     0x1ee7fc03U,     0x7f92a4f7U,     0xdb9d82ceU, \
    0xc7b6649dU,     0x59108d4bU,     0xaf633e5cU,     0xd91be89eU, \
    0x752b87d9U,     0x1f6caa23U,     0xb12fce0dU,     0x83c4f376U, \
    0x853b9475U,     0xb97bca37U,     0x35403b94U,     0x6bcc9c2dU, \
    0xae45f1c3U,     0x276d2b94U,     0x738b6717U,     0x27669f58U, \
    0x13038abbU,     0x8e5f6964U,     0x2204c6b7U,     0x71838b55U, \
    0x26cb52aeU,     0x360e6e2cU,     0x554666f8U,     0x65a96ea8U, \
    0xfb42ce0eU,     0x7540b309U,     0x04ffbad0U,     0x9cc9f998U, \
    0x5c5a9923U,     0x69c70e2bU,     0x1c8aeff8U,     0x286e36a9U, \
    0xd46c5396U,     0xd48eb204U,     0x952f9008U,     0xfe0265c2U, \
    0x60525d18U,     0x888c8c18U,     0xe539b5afU,     0x2bcc4aeeU, \
    0x68e165d1U,     0x34831b9aU,     0x19fcf2c1U,     0x4ced683dU, \
    0x89ffb0d9U,     0xe8602ee3U,     0x3ff8a172U,     0x1d370efcU, \
    0x9d1f7572U,     0x9c6b0172U,     0xde9f9890U,     0x5bfafd33U, \
    0xab7e4fe8U,     0x2f89c062U,     0x20f8e527U,     0x84e0378cU, \
    0xc9ba23dbU,     0x236eedbcU,     0x197d39a3U,     0xbe6cd752U, \
    0xa5ec0492U,     0xe1d2693fU,     0xf9c05787U,     0x18db10dcU, \
    0xed9c6e1cU,     0x18131783U,     0xea1c471dU,     0x60bc2755U, \
    0x0b5d0cc1U,     0x3055b76eU,     0x586123adU,     0x18d6b1a3U, \
    0x66b75618U,     0x4c4e14c4U,     0x74b167afU,     0x0ba64d96U, \
    0x0fed2d3aU,     0xe1f82bf5U,     0x039602beU,     0xda076065U, \
    0x9eae6c5fU,     0xe957b2d7U,     0xd5b95acdU,     0x069d2714U, \
    0x6e983429U,     0xa48b3f71U,     0xfa133ddbU,     0xea58b23bU, \
    0xd3edcb91U,     0x6f997cccU,     0x2377f71eU,     0x5883486fU, \
    0x3662dd36U,     0x21b20886U,     0x76f17d67U,     0xc0c976edU, \
    0x1745e1bbU,     0xb68025c3U,     0x0129e23cU,     0x71b7e6ecU, \
    0x015f9ea1U,     0xd0ba7006U,     0xd6dd6468U,     0x69d3e011U, \
    0xe00604e5U,     0x0a3c2544U,     0x8164597bU,     0x86a560b9U, \
    0x50c48492U,     0xe6cfc93dU,     0x9632881aU,     0x641530c7U, \
    0x4d3b7fc7U,     0x7b1cde31U,     0xadcfc638U,     0xba437411U, \
    0x6133fb64U,     0x83b6d363U,     0x377962b4U,     0x5b30aa62U, \
    0x0d06e86bU,     0xe0770999U,     0x72bfb3e3U,     0x7a999071U, \
    0x12ca45b6U,     0x1fc4cb08U,     0x7fcf8b21U,     0xf71d1d62U, \
    0x49438bbcU,     0x138ff5d2U,     0x1e66c3c4U,     0xe5997e68U, \
    0x9a698613U,     0x49e18721U,     0x706b1b43U,     0x772ebabfU, \
    0x86dad79bU,     0x101c5730U,     0x4bdd8f95U,     0x2fc21f61U, \
    0xe1ad29ceU,     0xad148ceeU,     0x7cf3e4daU,     0x9de80952U, \
    0xaa02b191U,     0x885acee7U,     0x90505922U,     0xef5a87f6U, \
    0x4f7ca497U,     0xa6d289b6U,     0x754b0949U,     0xa14d46faU, \
    0x3a03509bU,     0x16ff2e5dU,     0x74a524a8U,     0x91905499U, \
    0x68a08bc3U,     0x4ee209c3U,     0x3e6a4fdeU,     0x2f402232U, \
    0x82f46729U,     0x4c45a7d5U,     0xbcc0d789U,     0x8b9b1eadU, \
    0x3922b820U,     0x2beca845U,     0xfad63c87U,     0x11929f17U, \
    0x928edb31U,     0x79aadeceU,     0x9a997ac3U,     0x8069d3d3U, \
    0x3ff18758U,     0x8cd852d6U,     0xc47ea084U,     0x633f2e69U, \
    0x8697fac3U,     0x16a8c00bU,     0x5f32271aU,     0x11f3942fU, \
    0x64fa06beU,     0xf5e547c5U,     0xd6f3b73cU,     0xef4c5e5dU, \
    0xdb668066U,     0x987eed88U,     0x1b41bd8aU,     0x81f2f36eU, \
    0x0e077998U,     0xb5070f7dU,     0x1901ba10U,     0x929d85beU, \
    0xe055dbafU,     0xe6e10590U,     0x706e37e6U,     0x06699e46U, \
    0x15fe66baU,     0x3740503dU,     0x00fb2ab1U,     0x8ce391a5U, \
    0xb7908a6bU,     0x6cb7ae82U,     0x7344fe90U,     0x8a7e2813U, \
    0x6f5fcc81U,     0x92340005U,     0x7a39280dU,     0x2da0c452U, \
    0x0adc477aU,     0x59fe79c1U,     0xd05f6dcbU,     0x61f67d96U, \
    0x3c2cc88eU,     0x59b66391U,     0xf240d4f1U,     0xe7b0e8d1U, \
    0xc5dbe916U,     0xa1d47fe9U,     0xca972168U,     0x3f7bdadaU, \
    0xd7c943d8U,     0xeb3d2f41U,     0xdf1ec678U,     0x70af911aU, \
    0xe9b95db6U,     0xe4d0dcc4U,     0xefd3d575U,     0x763396dcU, \
    0xc31b089eU,     0xa27935d3U,     0xc4d86053U,     0x10e0a5b6U, \
    0x9cc4ab14U,     0x52d81f2aU,     0x613d05dcU,     0x216074ccU, \
    0xd75ef33dU,     0x095b3009U,     0xa632a20dU,     0xd1eb8910U, \
    0x397d85d3U,     0x64044f44U,     0xafae3c77U,     0x5dca206bU, \
    0x293736cfU,     0x52c2d037U,     0x42db5506U,     0x2006458eU, \
    0xefb4945aU,     0x3be4e2ecU,     0x83966dc0U,     0x463a8053U, \
    0x1464d7eeU,     0x6a7bdc07U,     0xf07e4202U,     0xba1b073eU, \
    0x1aff6cf2U,     0x6a564325U,     0xbd951e99U,     0xd7c30bedU, \
    0x29a87345U,     0xfd80b14bU,     0x2d613647U,     0xca2ff58fU, \
    0x8f7bf5dfU,     0xa796e8c5U,     0x30a991aeU,     0x9dc6f6aeU, \
    0x600d9203U,     0x64a34b1fU,     0xce893a27U,     0xde6ff77dU, \
    0xc285cb39U,     0x3e90857bU,     0xbe95b21fU,     0x0ae1a5acU, \
    0xbb09242fU,     0x17d9f797U,     0x0156c5afU,     0xca76586eU, \
    0x8bc4fb79U,     0x0e52864eU,     0xe0a94903U,     0x26c5e0e0U, \
    0x56f07de6U,     0x00e08ff6U,     0xcd11c8a9U,     0x56a686e7U, \
    0x88d1c79dU,     0x9ce887b9U,     0x1aeb38d6U,     0x1e0856eeU, \
    0x23f4753fU,     0xb587e8efU,     0xb96a2ce9U,     0xe916d307U, \
    0xc7eb19d5U,     0xb2bf14f8U,     0x7954f092U,     0x3404c202U, \
    0x31ac9c23U,     0x27af7f36U,     0x91b7bf4dU,     0x1d916c80U, \
    0xe6293373U,     0x8dbe3000U,     0x79dddfd2U,     0xfbfc95e0U, \
    0xffb7500bU,     0xb581b71aU,     0xf3e3414bU,     0xca7d7d1cU, \
    0x3ba1f760U,     0x20fec7d3U,     0xd3c72b5eU,     0xc59960d5U, \
    0x5e9bd07cU,     0x8ae1f4b5U,     0xa7646c2dU,     0xb0b3115bU, \
    0x07a781adU,     0xf53a9910U,     0x3d05df0dU,     0x038a88aaU, \
    0x2354cfabU,     0x7af1e894U,     0x7b753addU,     0xdb804aa7U, \
    0x6d1c27e2U,     0x30c90b32U,     0x609933bcU,     0xe21303c2U, \
    0xd905c089U,     0x9b2bb4ccU,     0xd71718d8U,     0x538cd708U, \
    0x5dff5fd5U,     0xbc694125U,     0xd9f2e17bU,     0xec121466U, \
    0x0a162430U,     0xf683d6dbU,     0x546b1a15U,     0x484dba67U, \
    0x781cbc4eU,     0x0df3622bU,     0x3dadeeefU,     0xf26b9af7U, \
    0xd7e50abaU,     0x02e9a629U,     0x1512015cU,     0xc72956ffU, \
    0x09c1391eU,     0x23a2896aU,     0xca9ee537U,     0xf2121ea9U, \
    0x74673aa1U,     0x38401e5cU,     0x1aebbb0aU,     0xe3c50b2dU, \
    0x3b2e34aaU,     0x67e0f233U,     0xa0a3a179U,     0x2fa51eb0U, \
    0x428c122dU,     0x1275a2c6U,     0xeb061238U,     0xb38a1542U, \
    0x4917f95aU,     0xbe77a952U,     0x06d1bb5aU,     0x37dc6ca8U, \
    0x5e8e7fc5U,     0x5aabc89dU,     0x907f7401U,     0xf999990cU, \
    0x22e6cd3bU,     0xdf83c2a0U,     0x93642cf7U,     0x8aed19e1U, \
    0xe5b36721U,     0x7974e6b4U,     0x293e7c4fU,     0x5fc3158bU, \
    0xb3c510cfU,     0x48a5da41U,     0xa08bd289U,     0xaf8ec473U, \
    0x6341f79bU,     0x194f7409U,     0x555b6801U,     0xcf38f427U, \
    0x23cd80a6U,     0xd06d6619U,     0x470b09adU,     0x574370bcU, \
    0x0910fe0bU,     0xda80a7a9U,     0xaada60a4U,     0x1124e226U, \
    0xe01f457aU,     0xd8df2939U,     0x21b749cdU,     0x45105171U, \
    0xe960b486U,     0x34a6b58dU,     0xa32cfe3cU,     0x63a031e8U, \
    0x16036c49U,     0x5df5e37eU,     0xfbfb5d16U,     0xf20d39adU, \
    0xd836bb6fU,     0x436168daU,     0x606fb8bdU,     0x2bb90f94U, \
    0x3e327a96U,     0x4cee7d5aU,     0x85fdef1bU,     0xec98f7feU, \
    0x7fec09ccU,     0xf7cdc5e2U,     0xc92aadccU,     0x07e5d9c4U, \
    0x39baab1bU,     0xf0a8c78aU,     0x257ddeccU,     0xee691e3aU, \
    0x42ddfb91U,     0xe76f9e55U,     0x4fc7b4faU,     0xc3c739feU, \
    0xd35124b1U,     0x696226d4U,     0xc86c8528U,     0x3b971a28U, \
    0x29b42e1dU,     0xa47f00b0U,     0xcfb67aa6U,     0x11aac254U, \
    0x7f864c25U,     0x8e840642U,     0xc4b55addU,     0x1840c5cbU, \
    0xf3f411abU,     0xad3472eeU,     0x84fb334aU,     0x173ad87bU, \
    0x018d027bU,     0x366982ebU,     0xa69b0331U,     0x6251a00dU, \
    0x2eee1fe9U,     0x231cf386U,     0xfb24ee4cU,     0xb87e9d0aU, \
    0x39fbc2daU,     0xaeeda258U,     0x9cd92ab8U,     0x9d34a67eU, \
    0xd4a2b509U,     0x49c0f504U,     0xfa6df715U,     0x9217d988U, \
    0x0f14f0e4U,     0xbfbbe692U,     0x05ef4c85U,     0x5805a7ffU, \
    0x91e578b1U,     0xa3e1738dU,     0x3c389719U,     0x8381e0b7U, \
    0x768b3287U,     0xe00d62d1U,     0x2ccc5d97U,     0xf2ecc679U, \
    0xcd4cc17fU,     0xe1ee9eccU,     0x24491359U,     0xe3a149aeU, \
    0xf7ed6b90U,     0x588137a9U,     0xd2a801b1U,     0x50e9bfe5U, \
    0x6d51cf01U,     0x12478b69U,     0x01122d4fU,     0x0100d86dU, \
    0x6e06f083U,     0x7f6159acU,     0x4d4df4f6U,     0x3d254478U, \
    0x48e8b096U,     0x8c8c3cceU,     0x026e7346U,     0x9bc05599U, \
    0x0ea9c79eU,     0x5e1c512eU,     0x9faa0590U,     0x7cdca23dU, \
    0xaa7001a8U,     0x56db44baU,     0x89afd449U,     0x96ca48f1U, \
    0xaeee7b96U,     0x5821739fU,     0x5de5fd9cU,     0xa9485104U, \
    0x9e73f70bU,     0x30ec13e1U,     0x17929e99U,     0xf145f39bU, \
    0x100eb42aU,     0x0e2988e1U,     0xa3792d55U,     0xf0924229U, \
    0x15331954U,     0x0a361b89U,     0x35ed0a4bU,     0xbace68efU, \
    0xfa283087U,     0x0919d25bU,     0xe5592a23U,     0x38d4d545U, \
    0x8edc0357U,     0xec714393U,     0x2ab031caU,     0x345eb7d7U, \
    0x843c1cd4U,     0x43fbd4cdU,     0x82f78e9cU,     0xbf3f2ef4U, \
    0x68b835ebU,     0x471dc610U,     0xd31d0d31U,     0xf3c7095fU, \
    0xa7fde2d8U,     0x9d564e6fU,     0xc24eccc3U,     0xc4e2d3baU, \
    0x3d5088aaU,     0x60949ea6U,     0x928e62b2U,     0x4e021eccU, \
    0xdaf8eea6U,     0xb3048b02U,     0x7c67ae64U,     0xabea45e0U, \
    0x6dc42d84U,     0xd3c7be8dU,     0x44bc12afU,     0x5c4b7034U, \
    0x9bf3fea1U,     0x18068e73U,     0x34747976U,     0xab16ec4dU, \
    0x659e79e9U,     0x3defd346U,     0x8e40c224U,     0xf190409eU, \
    0x004a5192U,     0xc9046350U,     0x1cc055a1U,     0xcc7efb33U, \
    0xe32bafe0U,     0xc717f4baU,     0xad3b05f6U,     0x69eb33efU, \
    0x4ddbd931U,     0xeb5a92d1U,     0xaec355b6U,     0xb2b173d7U, \
    0x9df9a716U,     0x92c0ff37U,     0x5eaa7602U,     0x02ea7afeU, \
    0xaed328b5U,     0xbf28f3ecU,     0x4d61adb9U,     0x719f0badU, \
    0x39725e70U,     0x87f70b73U,     0x62e9d9b1U,     0x7233da25U, \
    0x4619ebecU,     0x23e58124U,     0x13967d18U,     0x320f40aaU, \
    0xb7441c06U,     0x06d5406fU,     0x49bf3be8U,     0xcb02ee84U, \
    0x0a7e7a56U,     0xda9eacbfU,     0xaa093554U,     0x92c4530eU, \
    0xdf507f56U,     0xc5a2f24bU,     0x097ddc03U,     0xd9bc40b8U, \
    0x8d0c62d0U,     0x615a12dbU,     0x478e619fU,     0xb7cc9fbdU, \
    0x2779c0e8U,     0x6731f75eU,     0x82e6672aU,     0xfe34e702U, \
    0xba9371a0U,     0x6a7cf16aU,     0x007ef8dcU,     0x23a4078aU, \
    0x705e1fc6U,     0x8d6173e2U,     0xba640915U,     0x125941a8U, \
    0x226e71cdU,     0xb369ad63U,     0x3f3a71c8U,     0xa16659b0U, \
    0x06060526U,     0x3756b960U,     0xea38c5b6U,     0x7b9117b4U, \
    0x5021d233U,     0x7cd99446U,     0x3984cff3U,     0x1dfb5e65U, \
    0x335a0333U,     0x6cf21fb9U,     0x55043860U,     0xbd2cd300U, \
    0x603b5b89U,     0xedfcd07cU,     0x9bb99bd9U,     0xdd5b80b8U, \
    0xca22fa0aU,     0x7c3858afU,     0xd45fa1efU,     0x118b48b8U, \
    0xbde8f10cU,     0x27ed8daaU,     0x19ad0a79U,     0x2e2340aeU, \
    0xfb5e500cU,     0xc9334facU,     0xa485b7caU,     0xaa59f578U, \
    0xed8069d2U,     0xe34993a4U,     0x19c795e0U,     0x1edd8d46U, \
    0xb7a86ac7U,     0x9f8b5170U,     0x6a35079aU,     0x1ce2d691U, \
    0x31aefb09U,     0x59f2b1faU,     0x627091d6U,     0xc9f1a236U, \
    0xce6a4f60U,     0x3814bc5aU,     0x7e8f23b0U,     0xa9faeebeU, \
    0xe472838cU,     0x1cd9b4daU,     0xa24a184bU,     0xc3b8d1beU, \
    0x101bb227U,     0x15736968U,     0x67037d6dU,     0x650039d5U, \
    0xc8ebe022U,     0x8057741fU,     0x255d05d9U,     0x59399e38U, \
    0x706cef1cU,     0x68655031U,     0xc9e5a46cU,     0xfa2de9d4U, \
    0xb1ebfaf9U,     0x0c65b886U,     0x172ae9f6U,     0x334d485cU, \
    0x0b4e999eU,     0x00feee84U,     0x4ecab59dU,     0x44b26bf8U, \
    0xd7961912U,     0xa588cd96U,     0x36309cbfU,     0x849f743dU, \
    0x410a5d7eU,     0xb3e8e829U,     0x5ac42c75U,     0xf6c72a99U, \
    0xaa73d54bU,     0x0ccf7191U,     0x19cea9baU,     0xae24a2caU, \
    0x3474a287U,     0x916f05cdU,     0x13b7f8e2U,     0xa731936bU, \
    0x556505c7U,     0x773d76cdU,     0xbe76865fU,     0x474a0247U, \
    0xf3ff34c4U,     0xf6f6033cU,     0x3f516c89U,     0xa81c7a35U, \
    0xcbb2dc3eU,     0x8192bc32U,     0xf9da5d0cU,     0x69cb7852U, \
    0x568cbbb7U,     0x2a9fde44U,     0xcc8bd172U,     0x03f44aabU, \
    0x6d5df661U,     0xb9b78d90U,     0xe377dcfaU,     0xe20eb80dU, \
    0x965e22c5U,     0xa8220624U,     0x284f3b2aU,     0x87e2ac78U, \
    0xf4571992U,     0x494fe032U,     0x83ff42c9U,     0xe18d999cU, \
    0xee1a9dfbU,     0x375f5f5eU,     0xcc95522fU,     0xa4a5a0a8U, \
    0x4c3dedb8U,     0x8bec199bU,     0x5c6030b9U,     0x1feed6f1U, \
    0x21546453U,     0x9faa4fcaU,     0x08ab00c2U,     0xd6db07aaU, \
    0x6b420163U,     0xcac39c07U,     0xf6f65529U,     0xd2619c70U, \
    0x7067c410U,     0x27bf15b9U,     0x4fc11ea6U,     0x2e3994f1U, \
    0x2cf34044U,     0x770315e8U,     0x00f7daf2U,     0x64dba01fU, \
    0x520a778fU,     0x0a08ac33U,     0x0e103122U,     0x4a82acc0U, \
    0xaeade4c5U,     0xa8174a8eU,     0xfba7f226U,     0xce3730fdU, \
    0x18b44ed0U,     0xb96b892dU,     0x41d9ada4U,     0x26a09227U, \
    0xaae5d0efU,     0xcf4a3a38U,     0x5c73c28eU,     0xe467c2b9U, \
    0xa3893d66U,     0x93f61e13U,     0x9e6ef986U,     0xe17d8fb1U, \
    0x0f96667eU,     0x07992412U,     0x50a32c82U,     0x054d2d2fU, \
    0xca0441e4U,     0x9d3fdc03U,     0xb4a184e5U,     0xcf475e92U, \
    0xe3b98608U,     0xf2c1a2e8U,     0x49abeeeeU,     0x9baefff8U, \
    0xb01f8314U,     0xd24f8981U,     0x68ce56cfU,     0x6009b3faU, \
    0x6f87c004U,     0xd310bde3U,     0x75ad7417U,     0xf19a90aaU, \
    0xf270f475U,     0xe1795e62U,     0xceda59d6U,     0x4d7a944cU, \
    0x3553fe5cU,     0x5fee1a6aU,     0x4f9d24a1U,     0x7c6a7709U, \
    0x9559ebe8U,     0x3e621cb5U,     0xcb762260U,     0x30848310U, \
    0xfd0e27b8U,     0x261f4e13U,     0x93e2508cU,     0x10fdcde3U, \
    0xd1a7e5c9U,     0xbeb7c666U,     0xf8f86a60U,     0x156ea145U, \
    0xdfdffdc9U,     0xa2a0ce64U,     0xdabd8253U,     0x6ce4bf22U, \
    0x79aa0ea4U,     0xbf17c1c3U,     0xc7b9f975U,     0x6601b7fcU, \
    0x9ba5ff2bU,     0xc38e1916U,     0x7fe7734aU,     0xc8b4d50dU, \
    0xde529ca2U,     0xb5d32d99U,     0xcd931bcdU,     0xebf5b453U, \
    0xb492a7c2U,     0x5b0d535eU,     0x344b84fcU,     0x894e330bU, \
    0xc2d990b1U,     0x1a99a8a8U,     0x36b90f92U,     0x4f962674U, \
    0xf40033feU,     0x97bd02ffU,     0x128d0d6fU,     0x85c6801aU, \
    0x3480ddecU,     0x724ff236U,     0x5b30a770U,     0xe9589039U, \
    0x3e170349U,     0x9d0f0fbcU,     0x3795b0a5U,     0x303aad0bU, \
    0x622dd4d0U,     0xf6108e83U,     0x7ed85e81U,     0x79788bd1U, \
    0x4fbf18c6U,     0xb5bcc957U,     0xd5fc45b2U,     0x7c09fff7U, \
    0xf9dac136U,     0xc47346b2U,     0x8f28d57eU,     0xd3399eaeU, \
    0x682c264aU,     0x651b8123U,     0xfdc94ae4U,     0xc93d0661U, \
    0x3559faddU,     0x55924cddU,     0xea344269U,     0xe0d5da5aU, \
    0x51b073d3U,     0x28981166U,     0xb429c91cU,     0xc5426ff2U, \
    0x8fb8017dU,     0xffc1fbc3U,     0xa31cdaedU,     0x4c3ba725U, \
    0x7c817c13U,     0x45c9a57bU,     0x3c84b15dU,     0xc7ea0501U, \
    0x16406d27U,     0x1d52dc8cU,     0x7bc3e8f0U,     0x7ed165cfU, \
    0xa21e7464U,     0x1900c71aU,     0xe021fd27U,     0x3ae9727eU, \
    0x57eab180U,     0x98627216U,     0x74c775eaU,     0xb8d69f53U, \
    0x630c7dd4U,     0x9d5ee2f5U,     0xc47ff10fU,     0x0c207d42U, \
    0x45019b00U,     0x2cf643d6U,     0x59cdb8e1U,     0xd58125ebU, \
    0xadcb56abU,     0xf7c0101cU,     0x03a7e260U,     0x15226724U, \
    0x3eb09859U,     0xd410e7eeU,     0x02e53b2dU,     0xe0d95c1fU, \
    0x24f2bec8U,     0x3a85f558U,     0x4a8f9facU,     0x9cbef085U, \
    0xf208c994U,     0x9287c6bbU,     0x921e4654U,     0x3e0f75e9U, \
    0xd16c469eU,     0xc85b18f8U,     0x7a693108U,     0x7167c88eU, \
    0x2b087b9fU,     0x8ac68f5cU,     0x33401102U,     0x11d489ceU, \
    0x3aff1b16U,     0x8b1d333aU,     0xfae936f1U,     0xdcbf9864U, \
    0xa3d068f2U,     0x2ee1f525U,     0x262aa8dfU,     0xec4252cbU, \
    0x16764759U,     0x677c0c9bU,     0x9264705bU,     0x2cb8f953U, \
    0x7a55ca61U,     0x24252e88U,     0x0068428cU,     0x63dc6800U, \
    0x984af75aU,     0x63094abdU,     0x3b799b68U,     0x9ab07f1fU, \
    0x788b13e1U,     0x373f5536U,     0x937d7104U,     0x4df585a9U, \
    0x7c9037c0U,     0xc53598a0U,     0x1bca0825U,     0x95db5c63U, \
    0xf654b407U,     0xdd9f5258U,     0xefeb9187U,     0x2146049dU, \
    0x43bf0f2eU,     0x705b94a7U,     0xae7d4c81U,     0x5d808549U, \
    0x8c76778eU,     0x310bf181U,     0x6b7e6746U,     0x8d154271U, \
    0x5fe6ccddU,     0x5a0eb63eU,     0x736b7111U,     0xe424bfd9U, \
    0x7c722ebcU,     0xd9754436U,     0xaef0472bU,     0xd689a50bU, \
    0xae6a78bdU,     0x1e18b7c0U,     0x585195bbU,     0xf8132951U, \
    0x333760f4U,     0x716f2249U,     0xef1983b6U,     0xfb7a79e5U, \
    0xeaf4e14dU,     0xc970e8daU,     0x2960cb56U,     0x6cba87d2U, \
    0xcc531526U,     0x8d00a39dU,     0x7800cbd0U,     0x7cf254fdU, \
    0xcf59a512U,     0xdd3ccff7U,     0xef4d6813U,     0x0fb7f5a1U, \
    0x5ec3ca88U,     0x3ca0ae55U,     0x12fef131U,     0xf6e9218cU, \
    0x933452cfU,     0x9cd25086U,     0x8f49bca2U,     0xe850dcf1U, \
    0x999ddf92U,     0xa08f6f06U,     0x3d7b264aU,     0x1d33725fU, \
    0x7f5465a9U,     0x972f02dbU,     0x0859d677U,     0x230e6d7aU, \
    0xa8a8eb25U,     0x03315c36U,     0x6ffe49fcU,     0xf893f3b1U, \
    0xd00ea77eU,     0xd914523bU,     0x1387d57aU,     0x234cae4cU, \
    0xdea957cbU,     0xe21e4322U,     0xf2233103U,     0x2ab6e323U, \
    0xd51af336U,     0x16a2b7a5U,     0x1f8f0eeaU,     0x165f1b8eU, \
    0xd16b54baU,     0x1c4730bfU,     0x2e9b3b58U,     0x58273596U, \
    0x85f26561U,     0x0a002413U,     0x4a33d702U,     0xe2e752aaU, \
    0x43d9b5f8U,     0x94ac0500U,     0x1c28820aU,     0x78f3cdf6U, \
    0x35b8daf4U,     0x310a4a34U,     0x7bd72983U,     0x6cfb33ebU, \
    0xa7915d64U,     0x6d366c94U,     0x28e51c3bU,     0x2f7ce957U, \
    0x1e0257c4U,     0x5f659cc1U,     0x1afd35f9U,     0xea70ae2eU, \
    0x50f62a84U,     0x03a23352U,     0xf194809aU,     0xed04379bU, \
    0xce5f97e3U,     0x3351789cU,     0xc1992b89U,     0x03e9501dU, \
    0x65935d6aU,     0xd9ff0c1aU,     0xeeae00baU,     0x3929f0a9U, \
    0x82eca241U,     0xb1d48ef3U,     0x9fe80ff6U,     0x34923628U, \
    0x4deaa16dU,     0xb0bdeeaeU,     0x64a7b239U,     0xf6d08026U, \
    0x4db19973U,     0x1423635dU,     0xef6b6efdU,     0x6a5f5983U, \
    0xbbf09ec7U,     0x0c8452deU,     0x4309412cU,     0x4d39659cU, \
    0x0e25258bU,     0x8dec0163U,     0x9cb6543eU,     0xbcf55dadU, \
    0x5bf3c47bU,     0x12ff1a71U,     0xc1243ae8U,     0x9ebfdb58U, \
    0x7e716affU,     0xd4ed3dd1U,     0x51f24945U,     0x72ef7f7cU, \
    0x2f59c261U,     0xbb2be5d0U,     0x4d730fe3U,     0x986dea81U, \
    0x6d4cd753U,     0xa1dcd702U,     0x2e359289U,     0xb232a625U, \
    0x96e20687U,     0xada0cf16U,     0x4d5cd1c6U,     0x53bf39daU, \
    0x5d210955U,     0xf9c8b36fU,     0xcbfd7a21U,     0x03151d77U, \
    0x722666f8U,     0xf9a6dc7aU,     0x6a5dcfc3U,     0x1a4b568cU, \
    0xf6b0c318U,     0x9e7745cdU,     0x4ffd95e1U,     0xae25188fU, \
    0x961b6fc9U,     0xe39fa2a1U,     0x80d0745eU,     0xaf5ca78fU, \
    0xd5d8d9abU,     0x564804e6U,     0x5e4f4b46U,     0xc62d1399U, \
    0x22a31977U,     0x18306186U,     0xdc94c1beU,     0xac81397aU, \
    0x89b261e1U,     0x3d99a7f6U,     0x07aeff2eU,     0x7446c109U, \
    0xcdcb9d6cU,     0xd08e570fU,     0x2490a5fdU,     0x28d84991U, \
    0xeea483d5U,     0xc9dc9df5U,     0x4f21e422U,     0x5c688708U, \
    0xc577dd95U,     0x4e471cbdU,     0x778a1b97U,     0xd055cc1cU, \
    0x57687920U,     0xcf45fe1aU,     0x637ee4faU,     0xd185703eU, \
    0xcd2ae4c2U,     0x97ea3dc8U,     0x1e21ac18U,     0xaad167ebU, \
    0x8ee9574eU,     0x8199a419U,     0xe8536538U,     0xa9f175f6U, \
    0xfde01ed3U,     0x11a38b9fU,     0x79b57356U,     0xe96ec146U, \
    0xbaa77280U,     0x517d07c8U,     0x2342d031U,     0x5a610ea4U, \
    0x2bb77fbcU,     0xe2bee327U,     0x7491fc6cU,     0x2bbb36b9U, \
    0x14e9e0b9U,     0xaf082b9aU,     0x7ace0bdbU,     0x7d2b35a5U, \
    0xb2370f8eU,     0x73a3e0d7U,     0x83e6f0e6U,     0xd1fc03bdU, \
    0xe084e45cU,     0xdbef0dedU,     0xd44265f4U,     0xbe97c402U, \
    0xcd815bf0U,     0x91dfc28dU,     0xbf756b6fU,     0xf85e2a6aU, \
    0xfa8ce01fU,     0x6a55344aU,     0x14520b51U,     0x018c67c0U, \
    0x7f3b33d5U,     0xff334824U,     0xee70ee0fU,     0x9f5686ecU, \
    0x2fe8b3d7U,     0x0a0d5838U,     0x7bb36393U,     0xfe0a2f95U, \
    0x9b761ce7U,     0x90231915U,     0x2655b44aU,     0xac3f0304U, \
    0xa5d79047U,     0xe3fc6579U,     0xbe83740bU,     0x6f9f9fa3U, \
    0xc79c983eU,     0x92973db4U,     0xd07c2d24U,     0xa5d34e96U, \
    0xac2d3a59U,     0xd061c86dU,     0x2ff62c33U,     0xb90b9e2fU, \
    0xb2179aeeU,     0x4faf6cc8U,     0x8df6d3e8U,     0x168f0275U, \
    0xe7cb7786U,     0x8f3c4b12U,     0x9e40e9caU,     0x11e8b14fU, \
    0x4529b38cU,     0xccb8cbcbU,     0x4fb4f3b1U,     0x45ab13ceU, \
    0x787ce3f3U,     0x711d5be9U,     0xb68b8465U,     0x98161956U, \
    0x2ba51ccbU,     0x612fc49cU,     0x0360c5e6U,     0x143a7d3eU, \
    0x9664ce04U,     0x59416d9bU,     0xf1473ab3U,     0x85808d63U, \
    0x044756c2U,     0xc1f18cd1U,     0x95fc0c0cU,     0xabe67474U, \
    0x251f79b0U,     0x68997cafU,     0x17c4219bU,     0x10a3d7d3U, \
    0x9b95f21aU,     0xbdf8cd5fU,     0x1df40bc1U,     0xc9232a3dU, \
    0x3ecbd8d7U,     0xb702395eU,     0x4a90d07eU,     0xeef38d22U, \
    0x006657c3U,     0x35b996e3U,     0xa95e5b33U,     0x7c23a883U, \
    0x0263f43fU,     0xf530e928U,     0xa75cea7aU,     0xbca01ad6U, \
    0xc14c92a3U,     0x4182835bU,     0x1070cd19U,     0x2a0ae2b5U, \
    0x17864a48U,     0xe601b59cU,     0x4bfdaa57U,     0x8fdcf97cU, \
    0xf4a847a0U,     0xc0395effU,     0xa7a9c080U,     0x0f504a95U, \
    0xba5e3baaU,     0xa45a0435U,     0x15add59aU,     0xfb8bb6d9U, \
    0x10e1f806U,     0x25e9be4eU,     0x9371b7efU,     0xa0647c98U, \
    0x44475fe3U,     0xebe8cce6U,     0x0180a20fU,     0x72b8da02U, \
    0x53f2ec82U,     0x85a70c71U,     0x94eac882U,     0xb39a33c8U, \
    0xd21ed84dU,     0xddb97c00U,     0x7f48717fU,     0x10f58c18U, \
    0x2c09ba9bU,     0xd540903aU,     0xc5eddf89U,     0xac556911U, \
    0xb7c312a4U,     0xbdffd50dU,     0xa5a2fa46U,     0x5b4f186bU, \
    0xe06a0c1dU,     0xdd421836U,     0xc62e87d9U,     0x02ac0d40U, \
    0x5a293addU,     0x428aaeabU,     0xdc9cd7b3U,     0x5aa1355bU, \
    0x124531a9U,     0xbe4b0449U,     0x31680179U,     0x28efeea3U, \
    0x9b7756b8U,     0xb2d0ece1U,     0xfead5e90U,     0xe3b982d2U, \
    0x45f0b0beU,     0x5bc34fbfU,     0x46366e93U,     0x6bcdd213U, \
    0x815319d8U,     0x6b2ef720U,     0x006a5188U,     0x87d86bd3U, \
    0x4f9ec2b2U,     0x6f5a0ab3U,     0xf2fc50a0U,     0xb7a1b4bbU, \
    0x34ac99e4U,     0x07c410faU,     0x0b816cecU,     0x316b693bU, \
    0x555d1244U,     0x3b32ebf2U,     0xf076a420U,     0x15965decU, \
    0xd97fd928U,     0xb458daddU,     0xc2d6f75aU,     0x472634daU, \
    0xbe916b4fU,     0x1b5030a5U,     0xb84b2446U,     0x70858c43U, \
    0xa602b684U,     0x5e9c8a51U,     0x32185657U,     0x936859c5U, \
    0xe4e286a1U,     0x31b519b0U,     0xec6a3ae3U,     0x8ba30b4fU, \
    0x94bf4dd2U,     0x0b05e9aaU,     0x63a0fa3eU,     0xe2a84953U, \
    0x822ffabdU,     0x134207efU,     0xe743a71bU,     0x3d5a2bdaU, \
    0xb01c0dbdU,     0x39286bcfU,     0x531ec367U,     0xd6c377ddU, \
    0x505c2c57U,     0xc86016ffU,     0x1707aba3U,     0xa819b63aU, \
    0xdcdec237U,     0xbe0b153aU,     0x258b8d61U,     0xf69b5ed3U, \
    0xb3051f23U,     0xad16f513U,     0x4c00b063U,     0x37576908U, \
    0x313f21bdU,     0x902a5d9bU,     0x59b76f2eU,     0x727b12ecU, \
    0x71aa9c30U,     0xe33f10d1U,     0xf0a59e8fU,     0xee0ba640U, \
    0xee10e595U,     0x6d4627eaU,     0x56051da9U,     0x2cd5be2cU, \
    0x4abef171U,     0xbd415439U,     0x8fbd6485U,     0x8d58fddbU, \
    0xa1def4dcU,     0x455b3cd3U,     0xb373fa9fU,     0xbb874a90U, \
    0x377cc331U,     0x56a431baU,     0x0670a71fU,     0x4b9e1554U, \
    0x5609ccb2U,     0x4e716faaU,     0x4d4022ecU,     0xd86a40f7U, \
    0xcccdb134U,     0xdf56a622U,     0xe1014095U,     0x98d14e55U, \
    0x85c612eaU,     0x9ca9a339U,     0xba8c82a0U,     0x8a94e4feU, \
    0x993f06b4U,     0xd7ee148dU,     0x58f59f8aU,     0xaabb5e16U, \
    0xed29c37cU,     0xe3425fcbU,     0x7acca386U,     0xc7adef65U, \
    0xefd50227U,     0xa888a04dU,     0x641552a1U,     0x620cf178U, \
    0x96a7c0faU,     0x2d314a60U,     0x2166125bU,     0xd67afd76U, \
    0x3042f2daU,     0x839b7e4bU,     0xd5764750U,     0x0d965cbbU, \
    0xa944756eU,     0xb201231eU,     0xfe91c73cU,     0x2542d3b4U, \
    0xce725995U,     0x20449ec6U,     0x3705648dU,     0x1afa5ab6U, \
    0x0d635ed8U,     0xff746aa1U,     0x3013047eU,     0xf7e7b145U, \
    0xbf2cbd10U,     0xe6baf1a2U,     0x21c2bc15U,     0xad840cb2U, \
    0xcce9873aU,     0x7f17096eU,     0x9947a391U,     0x750be4a0U, \
    0x7f50e65dU,     0x8475f00fU,     0xb95bebb2U,     0x7034eb78U, \
    0x9a075e1eU,     0x32b9b22bU,     0x75ab7993U,     0x2864a4c6U, \
    0x14bcf543U,     0xf92475aeU,     0xb727be4fU,     0x0d8130f9U, \
    0x30e40d69U,     0x33014b73U,     0xf0e21ba5U,     0xc1297f1dU, \
    0x45f63c0aU,     0xcb8197bbU,     0xb09964e2U,     0x81d67df3U, \
    0x2a0b5115U,     0x70750cb9U,     0x158b1c9dU,     0x87d93a1aU, \
    0x071b7eb8U,     0x49dd9b65U,     0xbe3f4466U,     0x189b4518U, \
    0x82943f71U,     0x632ed062U,     0xd5c0864cU,     0x16f01f47U, \
    0xb6be7e5aU,     0x2cf74133U,     0xdb704709U,     0x588012adU, \
    0xb6546282U,     0x1b1df2baU,     0x3cd997ecU,     0x80088567U, \
    0xb1c5d41cU,     0xf029ace2U,     0x5d6bd647U,     0xc176d97fU, \
    0xaebbb3b7U,     0x9f11f22cU,     0xa44578d1U,     0xc62f98e6U, \
    0xac31d761U,     0x97783f82U,     0xad0de5a8U,     0x412492abU, \
    0xcf1b20c2U,     0xfdaa517bU,     0x315d34feU,     0xf786aafcU, \
    0x8e39d4cbU,     0x35513482U,     0xfc774591U,     0xb0d6c8e2U, \
    0x1ce0825bU,     0xa345da61U,     0x4135a4e7U,     0x3743ce80U, \
    0x7531af89U,     0x2f721621U,     0x735cd137U,     0x0e2d1dafU, \
    0x8e197159U,     0x6c44add9U,     0x2b8fa8d9U,     0xbecb133fU, \
    0xfa39a08aU,     0xf58b8de4U,     0xa36bdd97U,     0xee079940U, \
    0x6619df3cU,     0x30181d00U,     0xc846690bU,     0xd3dfa9a8U, \
    0x60dc3dc4U,     0x283ee12cU,     0x05e45c76U,     0xf1969fa5U, \
    0x3d2343c9U,     0x62f2c678U,     0x959447faU,     0xb3e8cb6eU, \
    0x60567185U,     0x10ddadaeU,     0x99f948efU,     0xd9e99171U, \
    0x72048f40U,     0x0abe8245U,     0x1a966604U,     0xd042ddb2U, \
    0xa650742cU,     0x012426ecU,     0x62483e47U,     0x096ffe00U, \
    0x5e209d6dU,     0x6eb7d883U,     0xb72956daU,     0xce283c6aU, \
    0x9ff1f534U,     0x034fa6f0U,     0x383be7caU,     0x97cd8f27U, \
    0xa083e15eU,     0xbf455c25U,     0x8dcc7517U,     0x7af77897U, \
    0xab98bf3fU,     0xd3b06ed7U,     0xd6de6d55U,     0xd3f8cc88U, \
    0xf113ecb7U,     0x12418193U,     0x9f4bf985U,     0x7079db26U, \
    0xc981bcd2U,     0x20b3c7cbU,     0x2a473609U,     0xc5a94c9eU, \
    0xa089fedbU,     0x26a4a733U,     0x7b2e573dU,     0x95250147U, \
    0xa4e63754U,     0xb50e8bb3U,     0x7fabdd0aU,     0x003557a3U, \
    0x346c3fa2U,     0xf88f0bcaU,     0xefae3813U,     0x61014764U, \
    0x22c9e673U,     0xe32e6a1fU,     0x2a250f9bU,     0xbe6cfb83U, \
    0x0aafcb47U,     0xb3169a48U,     0xc50c5894U,     0x590b33f5U, \
    0x1ad33a68U,     0xf5712364U,     0xc51ca9b6U,     0x42286f72U, \
    0xe0e2ef7fU,     0x28102122U,     0x3fdbd2cdU,     0xfd65217eU, \
    0x00f405f3U,     0xbe578787U,     0xa96c6bb3U,     0xe5f5a3bbU, \
    0xd1a2ade4U,     0xb5a6c3c9U,     0xaa23b294U,     0xdef21615U, \
    0xfcf94d68U,     0x963e3fc7U,     0x71188f52U,     0xec83b229U, \
    0xad0dad21U,     0x78fdd885U,     0xd0a36e5cU,     0x09350a9bU, \
    0x26eb4d6fU,     0x35776e6fU,     0x053272cfU,     0x9f9bdaf9U, \
    0xead135dcU,     0xbe521ee3U,     0x5145b8a9U,     0x4935e20fU, \
    0x7d35e55aU,     0xffb30d4cU,     0xc929ab03U,     0xa872417eU, \
    0xf247f3feU,     0x5406d3adU,     0x74bbe8d0U,     0x2f0206c5U, \
    0xe87e2201U,     0xc3681a69U,     0x52849e8eU,     0x8bb18c15U, \
    0xf9c4fe79U,     0x3b515e0cU,     0xb8e81d96U,     0x49c9fa6dU, \
    0x183eb608U,     0x81a7c99eU,     0x91f32fc3U,     0x0f1de2b7U, \
    0x2dd94aa6U,     0xcda5c806U,     0x0513fad8U,     0x487dcadcU, \
    0x27b9f888U,     0xc5891fd1U,     0x63497b11U,     0x70259dd3U, \
    0x8d2597d4U,     0x62df917eU,     0x23ee011dU,     0xa10a9778U, \
    0x61e28531U,     0x234b3a23U,     0x3affdaa8U,     0xb66ca005U, \
    0x48e8a244U,     0xf3707b67U,     0x8dc16822U,     0x17d2de1fU, \
    0xfd8c3704U,     0x1dc5c8b8U,     0x81a246abU,     0x9f3f2ec4U, \
    0x72602681U,     0x4f29f0f1U,     0xbd881670U,     0xbde2f6b0U, \
    0xa9eb933dU,     0x4a49d154U,     0xcb22bf41U,     0xe1785576U, \
    0x25299cfaU,     0x3810a0a0U,     0x873699fcU,     0x3b73ddebU, \
    0xe2a13e8aU,     0x9c9c1ed6U,     0x80f4941bU,     0xfd59eddeU, \
    0x6815c577U,     0x5c59a9ceU,     0xf1e9ec33U,     0xd33da01bU, \
    0xe62e6e37U,     0x039b0e52U,     0xd13cb65cU,     0xd62ba35eU, \
    0x456d9015U,     0xfc5748c7U,     0xb29a24abU,     0x28c9c213U, \
    0x0c7486d3U,     0x1fc92cd2U,     0x6829da55U,     0x57fb3187U, \
    0xdfc80d15U,     0x430a91bcU,     0x17672130U,     0x166cb4f7U, \
    0x35509a95U,     0xbfc87a3fU,     0x396801c6U,     0x2dc983dbU, \
    0x28bdd2a5U,     0x7cbc7438U,     0x3541b417U,     0x225907a0U, \
    0xfbff18a8U,     0x27ceaaa7U,     0xa9565fb8U,     0xe148d5e7U, \
    0x1dde32b9U,     0x23011517U,     0x3c24e184U,     0x8fee7236U, \
    0xb6169120U,     0x9cd14779U,     0x26f9a4e3U,     0xfafb089bU, \
    0x1157a7b3U,     0x09b8fedcU,     0xa6ff2259U,     0x1d452ef3U, \
    0x03c655b4U,     0x3ee4d986U,     0x9740b1b5U,     0x869a668fU, \
    0xed5712afU,     0x4af43602U,     0x9ed6782bU,     0x12997fb8U, \
    0xae3703d0U,     0x83df3e4bU,     0x8a7fdfe2U,     0x24ab0cd3U, \
    0xf8d653beU,     0x95520793U,     0xb7f4d754U,     0xb789cab3U, \
    0xcaf774e6U,     0x0b4320a9U,     0x42b5432bU,     0x259a9295U, \
    0x445d9a3eU,     0x0e33c228U,     0x9c0b66afU,     0x1834044aU, \
    0xdf44a9e2U,     0xeacd7ca4U,     0xaaba3d6fU,     0xd0e98a93U, \
    0x7d919768U,     0x318e867fU,     0xa806e946U,     0xf5040296U, \
    0x927043bbU,     0xf8af70e7U,     0x5068100fU,     0x6c276742U, \
    0x9c822646U,     0xfe0e85c1U,     0xd5770328U,     0x91668d38U, \
    0x671cf34aU,     0xba73675eU,     0x9d3b4637U,     0x6bc5c630U, \
    0x5c01759dU,     0x0bf1bff2U,     0xabe48b26U,     0x229463c1U, \
    0x90e96bf6U,     0x466c3b4aU,     0x0df9d5f1U,     0x957dbf29U, \
    0xc487ecfaU,     0x805518d5U,     0xbbef7e91U,     0xe835854bU, \
    0xab6368bdU,     0xbe857a1eU,     0x8ce4b94cU,     0x8d8c7eabU, \
    0xbd0e1ef0U,     0x920cf779U,     0x85311bfbU,     0x4271e7b6U, \
    0xc529294eU,     0x5aadb900U,     0x9919ed2eU,     0xcaac964eU, \
    0xd5212cacU,     0x2e85b5acU,     0xc07fd1b3U,     0x81ca7039U, \
    0x759d66baU,     0xf063ad47U,     0x8580b003U,     0x1b271073U, \
    0xf7001ef1U,     0x918962bfU,     0x8943d3d3U,     0x6d1b5c76U, \
    0x83420efaU,     0x199437b9U,     0xcfb2b2b5U,     0x4cc08331U, \
    0x8e28b6cfU,     0x015332f7U,     0xdcede111U,     0xd91e91d5U, \
    0x654756eaU,     0x1ee80677U,     0x6c1c4348U,     0x7e487c85U, \
    0x5934a50eU,     0xcf04ce8bU,     0x0cc19babU,     0xa857636dU, \
    0xbe6e998aU,     0xbffcbae3U,     0xd860c11aU,     0xa99051f7U, \
    0xd58fdc86U,     0x4e5ecb5eU,     0x5ad890b9U,     0xc92f665eU, \
    0x83e91f10U,     0xbf663aa3U,     0xf5c45fccU,     0x449d21e7U, \
    0x81d549ecU,     0x85d62330U,     0xe4804995U,     0xb2bf0a22U, \
    0x0d8949b6U,     0xf0f4aff0U,     0x74b98a5aU,     0x96783293U, \
    0x2e995169U,     0x9d8bc2bcU,     0xf6c1f376U,     0x2e6cfab0U, \
    0x2c2a0308U,     0x7768ef34U,     0x643cbcb1U,     0x54455967U, \
    0xeddb5088U,     0x5fcf8fcfU,     0xd0d6a3adU,     0xb320d845U, \
    0x62cd59a1U,     0xcc4d79c5U,     0x579e5c0bU,     0x88b7ecfbU, \
    0xba2e2f7eU,     0x5f4494e1U,     0xc575c540U,     0x6c0ab7f5U, \
    0x7f751188U,     0xae6fdbb1U,     0x90a5e6d3U,     0x18d70849U, \
    0x30b4cdfeU,     0x3b209f27U,     0x9d1baf2dU,     0x473a6015U, \
    0xfa9b9918U,     0xae04bb61U,     0x6d7063d9U,     0x849bd645U, \
    0x2261db88U,     0xdd4969e8U,     0xc0098430U,     0x694ed1fdU, \
    0xe0c4004aU,     0x7f940882U,     0x527f03d7U,     0xd2d05863U, \
    0x41890949U,     0x561d99b7U,     0xc048510eU,     0xf164589dU, \
    0x13c3329cU,     0x99f2256eU,     0x6a47b48eU,     0x9674f6c1U, \
    0x55290cadU,     0x85cbd705U,     0xdb238b87U,     0x99b3eb7aU, \
    0x412ce99cU,     0xe68aecc8U,     0xde78e87bU,     0x5debec24U, \
    0xa5e65c01U,     0xf3d9ae5fU,     0x6ef37afbU,     0xa561dfd2U, \
    0x035d0fbcU,     0xefec8135U,     0x24f03573U,     0xee0d4048U, \
    0x929fe338U,     0xe980d2d4U,     0xc5b9c0d8U,     0x3ae6ceb4U, \
    0x1e533d75U,     0x796d05b9U,     0x27c3843aU,     0x5a9017a8U, \
    0x1c9bd3b7U,     0x614951cbU,     0x12c2bd7fU,     0x1beecd1cU, \
    0xe0435c3aU,     0x3b7d2122U,     0x9ff998b0U,     0xb67b14edU, \
    0x9de8e025U,     0x353066bfU,     0x12dd3e31U,     0x3ad07c2dU, \
    0x4bc65280U,     0xddea3eb5U,     0xbfa673cdU,     0x2c681df6U, \
    0xd6c226aeU,     0x64c43f16U,     0xc0cba1f7U,     0x72877ee2U, \
    0x68cc04d3U,     0x2f1799c3U,     0x228d6486U,     0x9a556503U, \
    0x42aebb4dU,     0x390cc9ceU,     0x7059b8f4U,     0xba82572dU, \
    0x2db0c52aU,     0x6dad5209U,     0x17b6f1b5U,     0x0c7bd107U, \
    0xcaa09c8aU,     0xffc6a39eU,     0xeaefd280U,     0xf39a79b5U, \
    0xff60b273U,     0x41eb6c36U,     0xeb98cb28U,     0x4eecfc85U, \
    0x7d534690U,     0x163391a3U,     0xef296e4aU,     0x0ead39f8U, \
    0x9702faceU,     0xf96502e6U,     0x0530ecdaU,     0xbf16b361U, \
    0x186771f5U,     0x30f7322bU,     0x260c12d9U,     0x2385f409U, \
    0x491f59e3U,     0xaa48bea1U,     0x993d4a8cU,     0x3ec34623U, \
    0xcd685f75U,     0x7948e990U,     0x0f216425U,     0xce8a83dcU, \
    0x12badef8U,     0xcc67dc80U,     0xf111bf04U,     0xc588b087U, \
    0x2984ca2cU,     0xf877e12eU,     0x30b3b96fU,     0xdf0dc803U, \
    0xba92a718U,     0x26b7981bU,     0xca3996a0U,     0xc81c29a5U, \
    0x53757b69U,     0xc507a3f8U,     0x197c20c0U,     0x3d97eb6bU, \
    0xc1c06852U,     0x9d1f237dU,     0x0cbcf198U,     0x0d7dfcdfU, \
    0xf45c8727U,     0x7e181698U,     0x55041892U,     0xa3d4cbd1U, \
    0xe48af4c5U,     0x1c23c8afU,     0x7e14ab0fU,     0xba39ce09U, \
    0xbb9468caU,     0xbc7658f3U,     0xe626ad0fU,     0xf9aaaf8dU, \
    0x6d0f11b5U,     0xc058e065U,     0x695ad368U,     0x67dd200fU, \
    0x25f26f9bU,     0xfabe81d7U,     0x87703b43U,     0x55069317U, \
    0x2df6b48eU,     0x590a15d9U,     0x2108d8e9U,     0xbc5ba0b1U, \
    0xb7bb3127U,     0x0ca85f0aU,     0x44072bfcU,     0xbb04f62eU, \
    0x221d9de1U,     0x74d6cff1U,     0xa2c84954U,     0x2aa231baU, \
    0xadc69012U,     0x1a613e89U,     0x64b5cfafU,     0x1b88bef6U, \
    0xf719971bU,     0xdfc8ebfdU,     0x9515819eU,     0x3749ff39U, \
    0x84c3f9d2U,     0x82d3232fU,     0xc6428054U,     0x5f47781eU, \
    0xf55689e6U,     0xff740148U,     0x563a0b34U,     0x72ee6f6dU, \
    0x74c464dfU,     0xa48b77c7U,     0xde8358c0U,     0x466b6a8dU, \
    0x8a6c5fadU,     0x1434b97dU,     0x852e1f69U,     0x800e545bU, \
    0x87be57f4U,     0xbc68c5abU,     0xb88a545fU,     0x5a455435U, \
    0xaf8397b2U,     0xc2182df7U,     0xf8987ec8U,     0xa5d3b8d9U, \
    0xc91603c6U,     0x6941a0acU,     0x9adf6985U,     0xa22f9b2cU, \
    0x5dceb383U,     0xce282af1U,     0x7a77304eU,     0xd36a1977U, \
    0x472d5922U,     0xae2e4ef9U,     0xeb387b42U,     0x1a9e1875U, \
    0x7a306731U,     0xfa0b9ed9U,     0x09e57e8bU,     0x554ad2d4U, \
    0xb0fac07eU,     0xf98bb255U,     0x0862a212U,     0x348efa23U, \
    0x913019c6U,     0xe62d405dU,     0x952df868U,     0xd9fe0519U, \
    0x29ba6a4eU,     0xff86ec3fU,     0x2faf7b17U,     0x3e056c07U, \
    0x21b8577bU,     0x8fa73d64U,     0xdb09fc9cU,     0x0ad8c0acU, \
    0x1a1c3ab7U,     0x7ee4d2ebU,     0xb90231ccU,     0xc69718d7U, \
    0x3c968f91U,     0x50e684e7U,     0xbc7eca27U,     0x2602c4b7U, \
    0xf7f22aa4U,     0x45879b12U,     0xad595f4eU,     0xd43dd83bU, \
    0xf1544c28U,     0xd6a7583aU,     0x61deb468U,     0xe1f5f532U, \
    0x7a28e7a0U,     0xca932f0eU,     0x710b80d8U,     0x2afd2f25U, \
    0x15a4ecc2U,     0xb3f2eef8U,     0x6da14548U,     0xfc9ebf47U, \
    0xbcf905ddU,     0xc5841e54U,     0x61f83a19U,     0xc3502087U, \
    0x748039c7U,     0x16f363e8U,     0xe39cb4e1U,     0x97621e37U, \
    0xa29db06eU,     0x84c5969bU,     0x646e572aU,     0x09de1b86U, \
    0x7529bcc9U,     0x8a5b26c0U,     0xdf710423U,     0x0b427407U, \
    0x16940997U,     0x561a49f9U,     0x1d8c7cabU,     0x5268a752U, \
    0x0c83cc6fU,     0x3aae6dacU,     0x35b16943U,     0xde0d36f5U, \
    0x107fe7abU,     0x7fe18bcaU,     0x7adad815U,     0x7da7a002U, \
    0x67f5f57cU,     0xf3224056U,     0x8b03e2bbU,     0xb70f8789U, \
    0xf20fe20fU,     0x678f9d1bU,     0x642e189cU,     0x5816abbeU, \
    0x3395f687U,     0xc5802f21U,     0x57462b07U,     0x7669d6b7U, \
    0x5a6d7d4aU,     0x78faf7f7U,     0xc2c14bfdU,     0x677eba6aU, \
    0xf9c7206bU,     0xad6e87fcU,     0x17ac72bfU,     0x68487772U, \
    0x4fbcedc6U,     0x9dca6513U,     0x7bfb7309U,     0x022095b0U, \
    0x730d03b2U,     0x9a8fd967U,     0x785f2b17U,     0x133b8ca5U, \
    0x98ec4282U,     0xe99fc47bU,     0xcc417534U,     0x84a26debU, \
    0xf9c1c6bdU,     0x79088ff3U,     0x2c2e9314U,     0xead178fcU, \
    0xc359b26dU,     0x7e4708a9U,     0x4a1a7d62U,     0xcbaa385aU, \
    0x34ee7f4aU,     0x13cedd4dU,     0x2053a08eU,     0x0f24afd6U, \
    0x95e007a3U,     0xf83243b0U,     0x655e0326U,     0xe7e512efU, \
    0xc737a1fdU,     0xac4e3b74U,     0x9031bf2bU,     0x30bc76b4U, \
    0x6ec9decaU,     0xc298cc3dU,     0x450d25dbU,     0x7c04944cU, \
    0xee9caddaU,     0x1baf233bU,     0xe913b3fbU,     0x1af4a41bU, \
    0x2343ec8bU,     0xd3902816U,     0xe8784040U,     0x738c8d40U, \
    0x680458c8U,     0x2b78aba8U,     0xfd7adf2dU,     0x8ef8b70cU, \
    0xa2d32bc4U,     0x72872d1eU,     0xb9b95d0bU,     0x328d71c7U, \
    0xeb146e94U,     0x55b80382U,     0x65a3f6c2U,     0xea5b88a4U, \
    0x8230e226U,     0xec72a6acU,     0x78cf8c37U,     0xa9b94d08U, \
    0x9a4875e5U,     0x465206ecU,     0x509d469fU,     0x994295baU, \
    0x66fb1f54U,     0x9a59b9d3U,     0x6245f7ccU,     0x46dc61bdU, \
    0xcd5c7affU,     0x8c2720feU,     0x0e920ae3U,     0xbe5e77ddU, \
    0x78452ea3U,     0x16d022ceU,     0xddb34c30U,     0xf04efb2eU, \
    0x86c8a87fU,     0xcde271a2U,     0x75edb470U,     0x318f0d81U, \
    0x9bcee872U,     0x78ec200fU,     0xf3ddbd1fU,     0x603bac36U, \
    0x1c4fd060U,     0x87e15cccU,     0x8eff9bb7U,     0x48f48574U, \
    0x8e1a72f3U,     0x3943ff31U,     0xe361a4beU,     0x145d26efU, \
    0x38b787dfU,     0x06a77d64U,     0x840e1e88U,     0xec6c7c03U, \
    0xe9378726U,     0x9ebb9527U,     0xa0625b37U,     0x220cb230U, \
    0xc17711eaU,     0x6a1b9283U,     0x94364689U,     0x7cab7b2fU, \
    0xd92949b7U,     0xe2294742U,     0x62597f27U,     0x9ecd1d21U, \
    0x62ee380cU,     0x95d39bc1U,     0x573dc95fU,     0xe9c652c8U, \
    0xf5ac5f00U,     0x70d6c8cfU,     0x47cc8188U,     0xd5ac9222U, \
    0x27c59747U,     0xcc46b973U,     0xc6ace236U,     0xeba3957eU, \
    0xf7bc08d1U,     0x66f90847U,     0x53fe7a10U,     0xa6e9a768U, \
    0xe7ed9f24U,     0x50f49911U,     0xecc95f3cU,     0x0d886434U, \
    0xaa2778ccU,     0xb13cc152U,     0x9cd161f2U,     0x0a5150e9U, \
    0x8bdd655aU,     0x28b433f6U,     0x43f0e50aU,     0x6391df1eU, \
    0x389d2935U,     0xd0ed2393U,     0x417402c0U,     0x95b2dd64U, \
    0x07554166U,     0x4c365212U,     0x5d266968U,     0x6c73781bU, \
    0x59e02eebU,     0x50122c9fU,     0x65e74c38U,     0xcf6c0440U, \
    0x3134014dU,     0xefb49793U,     0xc7ae0c45U,     0xe0348737U, \
    0xabc976a4U,     0x7d066c28U,     0xf23028f4U,     0x9a2922d2U, \
    0xfd962fafU,     0xab56c9c0U,     0xf1b1c4bcU,     0x1a7e6de0U, \
    0xda2c67ddU,     0x7264a7f1U,     0xc6340a4bU,     0x4236248aU, \
    0xc6cb9b30U,     0xa836532aU,     0x6b55e1c6U,     0x924bde28U, \
    0x7b141399U,     0x8e2ce7d1U,     0x5d46bb42U,     0x7d4547f3U, \
    0x57d2f65fU,     0xfb355e73U,     0x22dd35b2U,     0x21e68f31U, \
    0x089cc6ddU,     0xdb25b214U,     0xf4e191d8U,     0xab1df28aU, \
    0x82e9f69cU,     0xe3eb689eU,     0xafda492cU,     0x41f5bbb2U, \
    0x808cb3f4U,     0xdea2e20cU,     0xe51eddd1U,     0x497247eeU, \
    0xc07c7361U,     0x2a0c9203U,     0x0bceceffU,     0xb7f62b90U, \
    0x2a68fac1U,     0xd4797491U,     0x9d6a882bU,     0x0bbc9ad4U, \
    0xbe46db76U,     0x2bb6d2dfU,     0x7d402506U,     0xad889930U, \
    0xeea842d7U,     0x5b20947eU,     0x282c2870U,     0xf844486bU, \
    0x9d1510c8U,     0xa20be62aU,     0x6674bd75U,     0x1000c8daU, \
    0x20e7c308U,     0xe52b3272U,     0xca0a4121U,     0xff49aba3U, \
    0xc184b968U,     0xe1e3aebbU,     0x5f2e9511U,     0x5ebc9908U, \
    0x111b5ec9U,     0x9d9ebb2bU,     0xd10ba304U,     0xcca90950U, \
    0x708acad6U,     0x506c3d6fU,     0x7d50c798U,     0x0d941a57U, \
    0xb64e1bfaU,     0xa069d364U,     0x01b182a4U,     0x781dc2baU, \
    0xab24f8e9U,     0x2e4dc605U,     0xbf64a6cfU,     0x9757add0U, \
    0xdbe7e07aU,     0xa2d2cfa4U,     0x85ba0774U,     0x3029b393U, \
    0x81e5d1c0U,     0xcaa2ebe4U,     0x0dbdea44U,     0x1f9611d1U, \
    0xfc6c788fU,     0xe17f5b0cU,     0x79ce9b2dU,     0x3e7e9aa0U, \
    0x269c7be7U,     0x19c5b4d8U,     0x057fbcedU,     0xcc0342f4U, \
    0xdd4dfe4bU,     0xa5e684caU,     0x01e7dd14U,     0x2af65d9fU, \
    0x8ce7993dU,     0x4b70d60eU,     0xc88e62e4U,     0x9fd80334U, \
    0x4f7c66feU,     0xe0dcf362U,     0x27f0abbcU,     0xd8866f88U, \
    0x2768a428U,     0xd5c7e598U,     0x97a88a5cU,     0xffe3b30aU, \
    0xad6b04fbU,     0x1fc746fbU,     0x5a8e28c6U,     0xd22dea22U, \
    0x71e8b0c4U,     0xde50d43fU,     0xcf06702dU,     0xc0870c17U, \
    0xabac6b5cU,     0xac32bf17U,     0xeb8fb9feU,     0x9dfb094dU, \
    0x14c2066cU,     0x8f554d52U,     0x68033768U,     0xdb6fc17cU, \
    0x845cc303U,     0x23a85aa1U,     0x1e3c84f6U,     0xbac5cca2U, \
    0xc4e76825U,     0xc775cdceU,     0xfa442319U,     0x5a719ca7U, \
    0x2922ec57U,     0x34e0cd5eU,     0x62206ac6U,     0x73f36844U, \
    0x7e3c2ae7U,     0x245b1b3dU,     0xd9b96f1aU,     0x4b583a86U, \
    0x3f6097e5U,     0x88e7b6ddU,     0x5bc2a679U,     0x739ee752U, \
    0xb6d516bfU,     0xcb9fe171U,     0x61ec4122U,     0xd3155334U, \
    0x42451a40U,     0x56a5dcc4U,     0xc5fbcce6U,     0x0328d50eU, \
    0x490ee6b2U,     0x1a4b2e30U,     0xabeb8ce6U,     0x4d4a38b2U, \
    0x413a9304U,     0xf1996045U,     0x33143dcfU,     0x09a80d06U, \
    0x214cbfdeU,     0xb8205e12U,     0xdc2dd7d7U,     0x5044c353U, \
    0x362a38a4U,     0x545755ccU,     0x4082b686U,     0xc0e40112U, \
    0xfc21e865U,     0xe1382fc0U,     0x75dff4daU,     0x223cbb1dU, \
    0x511a35a6U,     0xcab7b8eaU,     0x814abbd3U,     0x3962e0ddU, \
    0x9e49f7f1U,     0xe817de2fU,     0x05c7ff20U,     0x3dfae011U, \
    0x51526dccU,     0xe927a4a9U,     0x08114374U,     0x5ec0fd3bU, \
    0xe33c4554U,     0x6246faebU,     0xd770df17U,     0x75b2e460U, \
    0x660582e9U,     0xd764edefU,     0xf70595b7U,     0x8793b371U, \
    0x926e9ee7U,     0x41da0a17U,     0x87e0ba07U,     0x8b3cdcdaU, \
    0xfe9f9e17U,     0xc0d72994U,     0x719cb9d2U,     0xe34cde37U, \
    0x9f569a24U,     0xc4f2b493U,     0xad1135b8U,     0xaa62f99bU, \
    0x42266ec7U,     0x1f231d2dU,     0x0d2b631eU,     0x14d2d80dU, \
    0x9875b3faU,     0x8fd35005U,     0xebb18dc7U,     0xae9a097cU, \
    0x446196e7U,     0xc41c449aU,     0x746c9986U,     0xc05e293fU, \
    0x903ac9edU,     0xa4a89adfU,     0x5783ea43U,     0xd2a06c6fU, \
    0x60776dbbU,     0x1667c27bU,     0xd3a13c4eU,     0x4be56ab8U, \
    0x6008b1ecU,     0x69dd08e0U,     0x785cc904U,     0x98323c27U, \
    0xf902bbb1U,     0x365b4beaU,     0xb5e62d14U,     0x33d275b4U, \
    0x98917741U,     0xd03a86cfU,     0x830fecfdU,     0x262cd361U, \
    0xb778cd64U,     0x3e09577aU,     0xf1dbfacaU,     0xdd7e4640U, \
    0x0a421f8bU,     0xaa95625fU,     0x0d537d2aU,     0x0d33eef4U, \
    0x2ac10143U,     0xfe813dc4U,     0x5a55de47U,     0xc9db4096U, \
    0x62a6de16U,     0xc09e1415U,     0x6d9b11a8U,     0xfb93dd06U, \
    0x56f0d602U,     0x7fadb031U,     0x1bf94608U,     0x37de95b2U, \
    0xddfdf9deU,     0x1b26a662U,     0x6610324bU,     0x22b64858U, \
    0x5d5fbec5U,     0xfedc5937U,     0xf8bf8fdcU,     0x4f0d2000U, \
    0x40b9a845U,     0x80bf71ecU,     0xa299b689U,     0x3c7ca2b6U, \
    0x9998538dU,     0xfcae0be4U,     0x11485fc0U,     0x0e8aa3a5U, \
    0xeb783c32U,     0x4373b87aU,     0xc79ac61bU,     0xb1c745ccU, \
    0x1be3076cU,     0x462c1c65U,     0x90a6fb29U,     0x5c385043U, \
    0x49e831c3U,     0x4c068a18U,     0x67458469U,     0xe676e03fU, \
    0x40e972d5U,     0x5e0521e9U,     0x70aa7da3U,     0x00f5c8daU, \
    0xbd722bf2U,     0x991dd480U,     0x2abb74bfU,     0xc4d68869U, \
    0xa65d26b0U,     0x56b53fb2U,     0xc28a1b9fU,     0x18b9b720U, \
    0x4bc5349aU,     0xfb6e0d29U,     0x5a329858U,     0x6d9fc9beU, \
    0xb72e632eU,     0x8c661a40U,     0xa44976bfU,     0xc91b79daU, \
    0x2c6f35fbU,     0x9166ab36U,     0x57848ab3U,     0x8c1ee376U, \
    0x07009025U,     0x501c85e5U,     0x160a47ffU,     0xb7eefd93U, \
    0x230be37bU,     0x0d6428a0U,     0x2b928536U,     0xe8ed75afU, \
    0x03bde51fU,     0xe8d42ce1U,     0x538717e4U,     0xee45dbffU, \
    0xb2bd57ebU,     0x7164c415U,     0x2752d749U,     0xbf287e42U, \
    0xd9f4c24fU,     0x30556ad1U,     0x8ee6ec48U,     0x79c83483U, \
    0xda9d442dU,     0x668860dcU,     0x56aec70bU,     0x26f12395U, \
    0x7c4553c5U,     0x3ac2c9ccU,     0x254dc0ddU,     0x94525af9U, \
    0x1ebafffdU,     0xf853c61bU,     0x597e0735U,     0xa80d3582U, \
    0x295f5de5U,     0x3bf20028U,     0xf0e9e1bdU,     0x378d2cb6U, \
    0x3130cc8fU,     0x566fc8b5U,     0x20e176cfU,     0x38d1aa92U, \
    0x5a809dc8U,     0xb0157491U,     0x36e26c62U,     0x8ee12075U, \
    0x08a33c5eU,     0x178e87f3U,     0x818afdc0U,     0x59689813U, \
    0x209bb035U,     0x9e177068U,     0x00c7b080U,     0xbc2cf3f9U, \
    0x52c23630U,     0xe6c5bc8cU,     0x30d11157U,     0x5c88ff05U, \
    0xe8305278U,     0xad3bf1e6U,     0x4bd675b6U,     0x92f0659aU, \
    0xc09b9665U,     0x2030b04cU,     0x9477f3a1U,     0x7e012765U, \
    0x9636471fU,     0x8a3968b7U,     0x61393e2cU,     0x237abe24U, \
    0x553404dfU,     0xe2c86246U,     0x041bcd12U,     0xf4652efaU, \
    0x9a12acbeU,     0x1739fb6fU,     0x445ee837U,     0x7c8f0ca2U, \
    0xfe5693b8U,     0xb618bbcfU,     0x791b8841U,     0xf513e37aU, \
    0xc6002887U,     0x4436256fU,     0x9465b029U,     0x9dc7864dU, \
    0x323c3b8eU,     0xc15dbe47U,     0x58f78fc2U,     0x114e8365U, \
    0x251047a3U,     0x2c084a42U,     0x28f52cc6U,     0xa1f3961bU, \
    0xd68ccc9dU,     0xca2a5570U,     0xa0c5e41cU,     0xe45c6cbbU, \
    0xc053cb52U,     0x670e1e8bU,     0x3022361aU,     0xd54dca9cU, \
    0x28926d12U,     0x6e126cb1U,     0xeffa5a00U,     0x17b9e3b8U, \
    0x6b151cd6U,     0xaef5af08U,     0xeea79436U,     0x09386948U, \
    0x76b7b1caU,     0xe32a1bfcU,     0xa6c860ccU,     0x47c67829U, \
    0x1b886dcaU,     0xcce477f5U,     0x48b0c893U,     0xef21e2acU, \
    0x755cb468U,     0xf053d3d3U,     0xaa4cd4b6U,     0x1dca8e6aU, \
    0xa6fe4cfbU,     0x71d7f2ceU,     0x7c3c7a49U,     0xccd8778bU, \
    0x2b6d49a4U,     0x562b7b49U,     0x4e4eba9dU,     0x208f975fU, \
    0x11a49d1bU,     0x132c103fU,     0xda50bd3fU,     0x699576aeU, \
    0x871688ebU,     0x9d09d2dfU,     0x948d72e7U,     0xb54bfc88U, \
    0x87a67910U,     0xce68af33U,     0x14b7bff6U,     0x89c421c3U, \
    0x61f64b70U,     0x460da062U,     0xe7da627cU,     0x2ac2f2bbU, \
    0x0eeb4dcaU,     0xc3b67312U,     0x5b5be0f9U,     0x772c2cc1U, \
    0x696d13eaU,     0x28983aebU,     0x581f11f7U,     0xf7c8c85cU, \
    0xca85ee61U,     0xd7cd2ecfU,     0xe472e50fU,     0xcaabb615U, \
    0x3b0c9318U,     0x35fe56a5U,     0x31ecf6ceU,     0x38ab4ca6U, \
    0x0771b94bU,     0x2d6850a0U,     0x3517ddefU,     0xec364e6dU, \
    0x3afe1102U,     0x6b26f0bdU,     0xe00b7892U,     0x22652d46U, \
    0x62ad0f44U,     0x0019489dU,     0x3155c866U,     0x36f13ee5U, \
    0x59ba0675U,     0x8bbf2a05U,     0x34ea45e3U,     0x72f7ff3bU, \
    0x1909e3aeU,     0x78cf374dU,     0xe62519b2U,     0x8434668cU, \
    0x8e2007deU,     0xcd2e66f4U,     0x984e056eU,     0x05568bbfU, \
    0x76099e50U,     0x4b78d075U,     0x3a38487dU,     0x4788c63eU, \
    0xac31c5a4U,     0xbf805110U,     0xdefd29c8U,     0x27988ef9U, \
    0x3462668eU,     0xb98219c8U,     0x62d8bda6U,     0xf7672c27U, \
    0x70b066c0U,     0x7562709cU,     0x7fd5ab68U,     0x93580de8U, \
    0xc270979eU,     0x4589a543U,     0x7d57941cU,     0xb8b30411U, \
    0xf0d1c969U,     0xba0acf30U,     0x1eb0670aU,     0x81731509U, \
    0x88e0a2bbU,     0xc2e2b589U,     0x0587de6dU,     0xf0cb9e4aU, \
    0x56a4ec00U,     0xcb88ae71U,     0x09790c9eU,     0x3ead13d5U, \
    0x648e568fU,     0x001cf4e2U,     0x361c09e9U,     0x87e9c521U, \
    0xc9cafb50U,     0x34691f75U,     0x37f33629U,     0xb2e1138cU, \
    0x7bd86c6fU,     0x4a149b0dU,     0x993ff84dU,     0x2c1f3e55U, \
    0x76fdaf4eU,     0xdf8c43e5U,     0xae592e68U,     0xa85d02c0U, \
    0x1135de6cU,     0x8073b1e1U,     0xfbef11c7U,     0x4bba7d41U, \
    0xd0fb17c9U,     0x951aa7c2U,     0xe835911aU,     0x7b7dd99cU, \
    0x07032002U,     0x4581ba7fU,     0x85e75e12U,     0xd33e373fU, \
    0xffaf6d9aU,     0x7c00a1b2U,     0xea58f710U,     0xed3e564fU, \
    0x8483e7d5U,     0xb312aaeaU,     0xc8945c59U,     0xaf2be221U, \
    0xf3abad02U,     0x61cb4979U,     0xa1f6e3c1U,     0xb7d7ded4U, \
    0x7466a724U,     0x06df190aU,     0x0c952486U,     0x931db0b2U, \
    0x10e40bbeU,     0x771dad62U,     0x73ce4e35U,     0x13147364U, \
    0x30f0ae61U,     0x9fab0a35U,     0xb1b6fba4U,     0x9cf1f477U, \
    0xc2509114U,     0xec8ae41bU,     0xf1308702U,     0x69b41199U, \
    0x453e7a24U,     0x05f6ba2aU,     0x1b6e6bf8U,     0x50492fc7U, \
    0x93762592U,     0x3c4ea11dU,     0x8e9e83ddU,     0x08dbff37U, \
    0xb0b8cd3bU,     0xb05f44a4U,     0x3b69990bU,     0x80380893U, \
    0x72890f7eU,     0x533f7447U,     0x41d65771U,     0x53023fb8U, \
    0x9fe44a41U,     0xf15c6b23U,     0xf564745bU,     0x6507d956U, \
    0x3f6eb59bU,     0xa3344c9fU,     0x88070d42U,     0x29bd7213U, \
    0xc060df21U,     0xca75c289U,     0xec92be56U,     0xc3522c78U, \
    0x64fe7900U,     0x9ef9b7bfU,     0x4d5a34f1U,     0x4920fe9dU, \
    0x2d27ed24U,     0x7c1dc6a9U,     0x04966d0dU,     0x0d7446d4U, \
    0x0a5f08f8U,     0x8e06764bU,     0x83056a4bU,     0x727e6371U, \
    0x33a19a64U,     0x50d7697bU,     0xfba2ae5aU,     0x67daccbbU, \
    0x425da98eU,     0x0d0e424bU,     0x34d1c044U,     0x0e2af2bfU, \
    0x67f300e1U,     0x3e8a8e05U,     0xb2664eeeU,     0x77e591a8U, \
    0x3e127803U,     0xb2e2246eU,     0xa7988cfbU,     0x259cf862U, \
    0x0d5850c8U,     0x65774d2dU,     0xc25f4779U,     0x43181f52U, \
    0x4c564528U,     0x71f39434U,     0x07bfed7eU,     0x8e275eaeU, \
    0x6bc43e37U,     0x686ffe2cU,     0x87ef808eU,     0x84f13e00U, \
    0xfa129f51U,     0x40d3817cU,     0xfb1141f2U,     0x89709821U, \
    0x4f4c65c1U,     0x06b39b4fU,     0x0d6306beU,     0xc5d7d675U, \
    0x8ae0b483U,     0x8c5df5ecU,     0xa0d613daU,     0x18fe6ff3U, \
    0x2c70baa3U,     0x38970157U,     0x13a9777cU,     0x289d8bfaU, \
    0x39cdaed6U,     0x0427c3c1U,     0xfb8ae46eU,     0x74bcb5efU, \
    0xe3b97b83U,     0xbb2f00f8U,     0x87ecfa82U,     0x32c5caefU, \
    0x905142aaU,     0x30bcc171U,     0xe3872313U,     0x1f722b2bU, \
    0xa2afb330U,     0x34d5273eU,     0x4e463d60U,     0x23100186U, \
    0x11400233U,     0x273a0e5bU,     0xc080228aU,     0xddb628dfU, \
    0xa18e03ecU,     0x9d63ca9dU,     0xa04bef24U,     0xb24a5708U, \
    0x6d407452U,     0xb6c1e330U,     0xadc04561U,     0xc1183802U, \
    0xa23807d3U,     0x92a83ecaU,     0x799efb26U,     0xb0243ec4U, \
    0xc16eaa88U,     0xb017d480U,     0x036585f6U,     0x4a474284U, \
    0xf0bf4102U,     0xe4c0956cU,     0xf9ee4b0dU,     0x6cca42dbU, \
    0xabcc096aU,     0x64969bbdU,     0x0792c41cU,     0xea863799U, \
    0xe520da85U,     0x4d0e6d42U,     0x404b90d2U,     0xc809faadU, \
    0x7bdf9033U,     0x92bfd9cbU,     0x2b2a896eU,     0x68a0cbf4U, \
    0xb4bdafc8U,     0x729e8912U,     0x66a59e0eU,     0x574273acU, \
    0x3ba0f1d5U,     0x83e9e4f7U,     0xb653d6ceU,     0x90ebcab3U, \
    0xeebc76d1U,     0xc155350aU,     0x8536ec7eU,     0xd109a43eU, \
    0xb949de27U,     0x24c442c7U,     0x42d7ab4fU,     0x6c4d7e10U, \
    0x542c1484U,     0x0c6acce0U,     0xf7ddc101U,     0x76bbb60fU, \
    0x71396156U,     0xe6241720U,     0x1a49a37dU,     0x88c1b9fbU, \
    0x462018d9U,     0xdb1d0f31U,     0x0e5cff1dU,     0x06964c65U, \
    0x5146f52bU,     0x4b1f30edU,     0x820ff9d4U,     0xd089a479U, \
    0x090c42e9U,     0xc3f1a1b6U,     0x182a3563U,     0x9dac93baU, \
    0xd96ca160U,     0x9324e2f6U,     0x002f0dd2U,     0xdba7b1deU, \
    0x92d85425U,     0x8b43c3d8U,     0x69b26098U,     0x2277e01cU, \
    0x78b43578U,     0x84d71a87U,     0xf5c0b94eU,     0xfd48c0faU, \
    0xff8fb930U,     0x399a3287U,     0x729384c1U,     0x53460c1eU, \
    0x6ebe2439U,     0x1eb44633U,     0x87bf7f08U,     0x4123d826U, \
    0xd541712aU,     0x9151d59aU,     0xe9604ad8U,     0xb79311b1U, \
    0x6c676378U,     0xcb22f9deU,     0x7f8d2389U,     0xd3adc897U, \
    0xe9297e77U,     0xf824e60cU,     0x4d83832bU,     0xb6acf693U, \
    0xb044f3d3U,     0x6f9e7c77U,     0x1a9a8938U,     0x2ae0a2e9U, \
    0x46414079U,     0x74d821bbU,     0x6dc83f23U,     0xfb68928eU, \
    0x8dbfaa03U,     0x117863aaU,     0xd14b257bU,     0x2d0cea50U, \
    0x25b836deU,     0xc6efabe5U,     0x0b924ba4U,     0x11a14b53U, \
    0xec824000U,     0x0ff23164U,     0x8bd09532U,     0x770076d8U, \
    0xfd7b9678U,     0xa917cd9eU,     0x87752f64U,     0x3b725047U, \
    0xe2f02933U,     0x3212f334U,     0x82913e84U,     0x564b725aU, \
    0xcf33eb5bU,     0x6c8095c6U,     0xd421040eU,     0xffffb08cU, \
    0x1401a8ecU,     0x652eccffU,     0x9503928fU,     0xd8da8b19U, \
    0x3c2086d0U,     0xc2ee433bU,     0x46def4faU,     0xf3b3f581U, \
    0x20c21d8aU,     0xc3cb70ceU,     0xfc49bf66U,     0xdf1e12c3U, \
    0x20aae546U,     0x74555030U,     0x85d97546U,     0x932a9b86U, \
    0x136db599U,     0x0887f65aU,     0x20116489U,     0x62532bacU, \
    0xb219da47U,     0x1ea45c8dU,     0xb56695e6U,     0xe3080ea0U, \
    0x3a3cd721U,     0x75ccbc4fU,     0x825bc789U,     0xee0750e8U, \
    0x776f2fdaU,     0x79257266U,     0xf8c2e0a7U,     0x6bb9fd1eU, \
    0xe8544ea9U,     0x9241a360U,     0x746687edU,     0x92f61835U, \
    0xf45c4dd5U,     0xebaaa010U,     0x48f4cf02U,     0x92d9cdbeU, \
    0x8f6bd464U,     0xb9c7d171U,     0xe76c18ccU,     0x93b5f50bU, \
    0x3b248f0dU,     0xf31590f4U,     0xb1dc2987U,     0x4a6b8560U, \
    0x901b47daU,     0xc6bc6808U,     0x80bb85f9U,     0xf71625e7U, \
    0x8c82b0b1U,     0xd9826a98U,     0x396aefd3U,     0x19319df2U, \
    0x568447d3U,     0x9efb51c9U,     0x4d24318eU,     0xf86f602cU, \
    0x6d098858U,     0xe9fdd130U,     0xe24efd16U,     0x7e766335U, \
    0x7dcc5a17U,     0x9e4556e6U,     0x9aed0250U,     0x97c5878cU, \
    0x28a9b89bU,     0xb552cba3U,     0x1d4ffd41U,     0x49ca5589U, \
    0x858fff08U,     0x66123142U,     0x4fadf57dU,     0xa980a5e9U, \
    0x413e16bbU,     0xc75046bcU,     0x74059a38U,     0xf073e0c0U, \
    0x192e3c05U,     0xcbf31090U,     0x1dfee147U,     0x4d2b30a8U, \
    0x44781b25U,     0x58835779U,     0x239baa1cU,     0xd2f0b000U, \
    0x435f37adU,     0x6abff266U,     0x532d8ce3U,     0xfa73bf48U, \
    0xc37e4fe9U,     0x45049a80U,     0x5bcda0feU,     0xe4befc04U, \
    0xd2b719a3U,     0x28ac7ed5U,     0xa3c248feU,     0xa4a09b52U, \
    0xb913a91bU,     0x4f7f6195U,     0x2addfd1bU,     0x0213ec77U, \
    0xd96fb29aU,     0xe235497eU,     0xd1c7476aU,     0xe4878316U, \
    0xfd62e800U,     0x2e237bb0U,     0xd80f388aU,     0x7b972074U, \
    0x4888decdU,     0x6057e51dU,     0x06cddfacU,     0x6b9d2c24U, \
    0xc000e847U,     0x61b600caU,     0xe74b3973U,     0x073f5c64U, \
    0xe320d1caU,     0xb8fa2829U,     0xcd0eb6ceU,     0xbabfb646U, \
    0x68354c58U,     0xe5013b25U,     0xf99dc977U,     0x5d39380cU, \
    0x22b97ca5U,     0x1c7a671fU,     0xab955e41U,     0xd51f210eU, \
    0xe97f5f89U,     0x377e3a75U,     0x0b50b41eU,     0xd6b2e439U, \
    0xbc80c531U,     0x53cbcda7U,     0xcd70c6daU,     0xfd46f1f3U, \
    0xd894afaeU,     0xb0ab5fa7U,     0x2f2dcff3U,     0xea132dcaU, \
    0xde9615a1U,     0xf8907165U,     0x527df7a6U,     0xaddde8a8U, \
    0x6ce254d4U,     0x2c6ad486U,     0x0d08f384U,     0xde9a5edaU, \
    0x181f6840U,     0x52fa0344U,     0xb3c59b51U,     0xbb0a9f6aU, \
    0xacb0ca71U,     0x54bec67cU,     0x3b9c8572U,     0x74b43cbeU, \
    0xd9154c8eU,     0x1536032fU,     0x7ee6abd8U,     0xb1896b5bU, \
    0x2988a6e2U,     0xeadb3c81U,     0x7cbdb7acU,     0x4d3937efU, \
    0xbc4c5f76U,     0xbead4a80U,     0x5b77e37bU,     0xf7502d6eU, \
    0xafd65739U,     0x107f566dU,     0x2780411cU,     0x41a93036U, \
    0x0ad299bfU,     0xd85fc64eU,     0xae6d6967U,     0x04f9a504U, \
    0x9ce208daU,     0x8e590afbU,     0xfe6e947eU,     0xfaf948ebU, \
    0x15a11d4cU,     0x1c75352cU,     0x8bf71550U,     0xa8253c94U, \
    0xfbc3519aU,     0x01be8624U,     0x9ac1872fU,     0x8ea33b43U, \
    0xe1bc8a99U,     0xc8e39641U,     0xd8db5960U,     0x47e03527U, \
    0x22f6616aU,     0x1f796cffU,     0x3ec29571U,     0x50707dbeU, \
    0x7b0403afU,     0xd3341a3bU,     0x44494713U,     0x6a309c11U, \
    0x83e8e5bdU,     0xd7c4a32cU,     0xa82a5ab2U,     0x83b22d0bU, \
    0x2e06ecbfU,     0x799fd82bU,     0x5738873dU,     0x1a1ab60cU, \
    0xebe32490U,     0x77c85729U,     0x2cee6788U,     0x5e944f4eU, \
    0xc65346a7U,     0x7359cf96U,     0xd607d25aU,     0x0eb7bf84U, \
    0x622f31e1U,     0xedd03707U,     0xb8bf583cU,     0x644ab918U, \
    0xb7ef9155U,     0xb78449e7U,     0xa2106667U,     0xde038a71U, \
    0xf4b1b0f3U,     0xa2e6be7aU,     0x369d6cc2U,     0x840a59e7U, \
    0xd933fefaU,     0xc5066311U,     0x1343fa6dU,     0x1bd79c97U, \
    0x09b95103U,     0x66017c0bU,     0xe13fa301U,     0x1d7568a6U, \
    0x746ab10bU,     0x9bb5ef54U,     0x812fc38dU,     0x7baf4280U, \
    0xc9dc3dc9U,     0x710ef874U,     0x4ed9fdb1U,     0xd290cc49U, \
    0x24d22812U,     0x3f87e6a5U,     0x722ccea1U,     0x4f8de7f5U, \
    0x2dffe095U,     0x8e0558afU,     0xadb06bb4U,     0x51e1ff1dU, \
    0x243e0121U,     0xe1a2cb61U,     0x302594d4U,     0xdc282a2aU, \
    0x79ea0a6bU,     0xc1a05779U,     0x04242805U,     0x9b14671dU, \
    0xc394391eU,     0x9d23d662U,     0x30acbe89U,     0x515eb912U, \
    0x421b8469U,     0xfd13630cU,     0xb616f0ddU,     0x061406caU, \
    0x4af7f40eU,     0x28f5ab94U,     0x9b698362U,     0xb2d408cdU, \
    0xc67b6e2fU,     0x56167b32U,     0x6246db07U,     0x6709f382U, \
    0x438f1693U,     0x1440aedfU,     0x89d55d79U,     0xedfda29fU, \
    0x0601a43dU,     0x77dd750aU,     0x3ac496bfU,     0x3f3c7d2bU, \
    0x938e1694U,     0x47247d28U,     0x578fa37bU,     0x158ef068U, \
    0x484983c9U,     0x102801abU,     0x195a8a73U,     0xd37b8146U, \
    0x74341249U,     0x7accc26bU,     0x09127298U,     0x08f4f000U, \
    0x572a43d1U,     0xeac906fdU,     0xb663c291U,     0xe9b9fe35U, \
    0xe3028b2fU,     0xeda92f30U,     0x5b456325U,     0x9689984fU, \
    0x9137544dU,     0xcb2b4272U,     0xf8e37e41U,     0x5f6c09cbU, \
    0x3d3d5dc9U,     0xb97442f9U,     0x03a29b0aU,     0xfa8210b9U, \
    0xfd2b9436U,     0x6f2c6b02U,     0x3a714f66U,     0xf1c12963U, \
    0xa63a70abU,     0x1724d1cfU,     0x49fda425U,     0xa0d00727U, \
    0xd871dd43U,     0x119dd25fU,     0xb7f130a0U,     0xcd08e136U, \
    0xc85f7f36U,     0x3628ec84U,     0x74954c84U,     0x84da5648U, \
    0xa3a9e26dU,     0x5543ad9bU,     0x4265319cU,     0x6b1a2652U, \
    0x7fbc2386U,     0x67db23ebU,     0x74195f80U,     0x59459703U, \
    0xf2261bbbU,     0x528c13dbU,     0x673bcc6aU,     0x83518e5bU, \
    0x89d0459bU,     0x3b0215cdU,     0x20f82521U,     0xbe6df8daU, \
    0xd188a9f4U,     0x9badf43aU,     0x0212a796U,     0xe044d8a6U, \
    0x56a82a07U,     0xc2ada7dfU,     0x7a06cc12U,     0x87261c73U, \
    0xe5bf8828U,     0x15bccba3U,     0xcee7530aU,     0xa50f1a65U, \
    0xea4b23baU,     0xca91b2a9U,     0x1a577528U,     0x044780d9U, \
    0xdf1b169fU,     0xcb61d5b1U,     0x0853591eU,     0x905a9ff9U, \
    0x479cd5f0U,     0xf56e2cb8U,     0x130195c9U,     0xe7d64622U, \
    0x9a3e6938U,     0xb0b47150U,     0x4ba4f87eU,     0x3e76811eU, \
    0xcfcd5fadU,     0x57425a44U,     0x344339e3U,     0x5dd11009U, \
    0x3be299d9U,     0x11925722U,     0x5b3e5d90U,     0xad823abeU, \
    0x75cc1fa3U,     0x6245db08U,     0x6a2c503eU,     0xe92e788cU, \
    0x8e9155e5U,     0xc2d7989eU,     0xcfeb4e9cU,     0xd414291eU, \
    0x435caa68U,     0x4650618fU,     0xc1ec8850U,     0x554d9fcfU, \
    0xda5357f8U,     0x9ec18daaU,     0x342e8599U,     0xd2d4b1abU, \
    0x323b2e19U,     0xdb4688cdU,     0x559276f5U,     0x9d15864fU, \
    0x16bfe00aU,     0x47eadfa4U,     0xae176942U,     0x0ca9b9d0U, \
    0x428a8c0cU,     0xc5de2d82U,     0x1a908e29U,     0x8a7b4332U, \
    0x03bbceedU,     0x91e8d756U,     0xb27c29b4U,     0x1bab2715U, \
    0x4e35b714U,     0x51c569dbU,     0x8e5ecf35U,     0x3297aeddU, \
    0xd2e35e40U,     0x5f1279dcU,     0x8074d5c4U,     0x59e32e34U, \
    0x06ea8becU,     0x0eba1f2aU,     0x56428acbU,     0x05d4da13U, \
    0x7eab8033U,     0xd3195eceU,     0xaa2b98a4U,     0x35ecac51U, \
    0x705e4f66U,     0xe643ea2fU,     0x0d75c482U,     0x35bbce4fU, \
    0x3f845ac2U,     0x40049d6dU,     0xef2cf037U,     0xaefc534fU, \
    0x3832a087U,     0x08f0e1dbU,     0xd5c04907U,     0xfd550559U, \
    0x609454b8U,     0x2005a27aU,     0x837de583U,     0x72fbae8fU, \
    0x23b99d0cU,     0x70bec4dfU,     0x5d932ca7U,     0x4df639b4U, \
    0x7d76a01cU,     0xa81ad531U,     0x7b2c6241U,     0x0b86e1b7U, \
    0x1dfda75aU,     0x3233bbfbU,     0xe76765a1U,     0x5a1e394cU, \
    0x3ac363d9U,     0xec40af4dU,     0x2eaac014U,     0xa0d57944U, \
    0xb64b4601U,     0xceb02954U,     0x262d0f03U,     0x1bf7da5aU, \
    0x07bd01a8U,     0x2fc7a19aU,     0xe287538fU,     0x511d9a79U, \
    0x5eb04468U,     0xdbb44f54U,     0xa6da41b8U,     0x48c30ab6U, \
    0xce66748fU,     0x39b6ec3aU,     0xb5c5606bU,     0xb61a7492U, \
    0xf4c8827dU,     0x2933254eU,     0x0aa331cfU,     0x4b20d0cfU, \
    0xcfd8265dU,     0x95d03455U,     0x2e171d3eU,     0x20e0cea1U, \
    0xb80126d8U,     0x95e9cd8dU,     0x6f1cc9b6U,     0x9282ccffU, \
    0xc5da9b52U,     0x7365f040U,     0x645db01eU,     0x48f7fa89U, \
    0xf7a586b8U,     0xb0876f7cU,     0x959b5186U,     0xb12c8e02U, \
    0x857b990fU,     0x00f7fc44U,     0xfcbd6abbU,     0xcca465d6U, \
    0x22205896U,     0x1eb21eaaU,     0x5b660670U,     0x7f2aa08dU, \
    0xfcc04994U,     0xa1c6bf2dU,     0xd3c22a08U,     0xd48a2dabU, \
    0x04175714U,     0xbc682725U,     0x8ac7a11dU,     0x660c18caU, \
    0x75a22ae1U,     0x1b03b655U,     0x2eeb4d5fU,     0x0a99ee35U, \
    0x84047839U,     0x259ba532U,     0x50171bccU,     0x543825feU, \
    0x698f06ecU,     0x0c4e513dU,     0x914dcd60U,     0x072ab9c8U, \
    0x798e4ee2U,     0x08380de6U,     0x4289c2e0U,     0x921710d9U, \
    0x03ea0d64U,     0x26b4536cU,     0xfa0fa005U,     0xbfc7e3e8U, \
    0x9aac0c25U,     0x88b3cab9U,     0xbf0eca85U,     0x5c36a7abU, \
    0x0758df23U,     0x21ac1c57U,     0xf1ecb682U,     0xe366b54dU, \
    0xfa3f88aaU,     0xb88b2ffcU,     0xf5aa4668U,     0xdf7396d3U, \
    0x215d02e3U,     0x0f7ac4c8U,     0x6a77858eU,     0x94ea7bf3U, \
    0xbbe91e4cU,     0xab444622U,     0x0d707500U,     0x13d3184fU, \
    0x724bf156U,     0xf3f03a48U,     0xf38fe68dU,     0x1b7c4467U, \
    0x980c9417U,     0xcdb29f8aU,     0x07611abaU,     0xd778c827U, \
    0xe21c6836U,     0x860c2741U,     0x40773de7U,     0x9bb12164U, \
    0x61457f91U,     0xf872607fU,     0x5200e758U,     0x65f05525U, \
    0x8c191306U,     0xb39257afU,     0x4efa1d43U,     0xcdfdc5a3U, \
    0xd9b4e5ceU,     0xd415b1f3U,     0xa6b9db4fU,     0xe3c9615dU, \
    0x238f97fdU,     0xba5cf22eU,     0x1ddbaec3U,     0x7374f62eU, \
    0xae72555dU,     0xef418851U,     0xb45e95fbU,     0x401a1d0dU, \
    0x526cbd94U,     0x08de6365U,     0x360203bbU,     0x2ba34cf1U, \
    0x9927581eU,     0xa4e408f9U,     0xffcd86c1U,     0x5bbdd466U, \
    0x4b12322cU,     0xd0f6e012U,     0x6adfec32U,     0xaef4726aU, \
    0xdcae8afbU,     0x89a60c99U,     0x756b6c44U,     0x0e3ce09cU, \
    0x2d69fd8fU,     0x1a1c4e90U,     0x3d4dbae4U,     0xe8790358U, \
    0x84a7dac8U,     0xeff2ca35U,     0x1923acf1U,     0xbd33b6faU, \
    0x15d51a72U,     0x11256d15U,     0x84b695a6U,     0x51e60ae3U, \
    0x81d25030U,     0x6b432cfbU,     0x7162d1a6U,     0x2fdb2582U, \
    0xc31dc926U,     0x21b4721fU,     0x737c981aU,     0x6c7269b3U, \
    0x12d27be3U,     0x29724d66U,     0xd0020cfaU,     0xfafc8c78U, \
    0x9051c2ccU,     0x0c7586deU,     0x1d5b77bbU,     0x17f89b65U, \
    0x17521b64U,     0x42945cb4U,     0x858a14f7U,     0xbb6368f3U, \
    0xb2452c70U,     0x1d301765U,     0x058ffbc8U,     0xb7e96aa5U, \
    0x15992f7eU,     0x46246ad2U,     0xa8fd72d4U,     0x12fe1d47U, \
    0xec8ebba5U,     0x683fc3edU,     0x7686d60dU,     0xbe4f459fU, \
    0x0260e62aU,     0xfd548532U,     0x57f68165U,     0xbd1fc608U, \
    0xb38879c1U,     0x412a698dU,     0xb9757232U,     0x4cd530b3U, \
    0xb89029cfU,     0x2eeec080U,     0xd78af4f1U,     0x5737946bU, \
    0x6984e3d1U,     0x6575ffa3U,     0x163ac8d8U,     0xd2ed2c30U, \
    0x041094ceU,     0xbfeaa938U,     0x0639e5a7U,     0xfd13cc54U, \
    0x8801d062U,     0x31b9f1ddU,     0x0989de05U,     0xff21e5c0U, \
    0xcc5c113aU,     0xccdc5234U,     0x3f463165U,     0x276b79f6U, \
    0x41096670U,     0xd5096402U,     0xfb4d3317U,     0x44acf6d9U, \
    0x6a5676e4U,     0x531d9bd6U,     0x9cac891cU,     0xe6dee05fU, \
    0x7017c5d4U,     0x0be1cc19U,     0x0b94468bU,     0x6e782d89U, \
    0x3bbb8cb9U,     0x0f1bd213U,     0x6e13e4abU,     0xbd5e1415U, \
    0x6851eafaU,     0x41e29782U,     0xdfa54305U,     0xba43773aU, \
    0x48c53318U,     0x848b97e8U,     0x5001ea80U,     0x7bf396c0U, \
    0x696040c4U,     0xcc70eea0U,     0xff971412U,     0x66fb6e95U, \
    0x2c8924fdU,     0x2e528d0cU,     0xc4bca72cU,     0x0f05b730U, \
    0x10e59b80U,     0x01143849U,     0x948e5f3fU,     0x5cc44851U, \
    0x78841426U,     0x5bedc065U,     0xe9caef24U,     0x45040264U, \
    0x8d79cc5fU,     0x7698b999U,     0xfd16ca74U,     0x08fb7ae3U, \
    0x7f35a09dU,     0x9dddeffdU,     0xb82f2d71U,     0x42273fdbU, \
    0x767b03b3U,     0x7fafa0e2U,     0xd216c1bcU,     0x77379c80U, \
    0xa7c93f03U,     0x730dca1cU,     0xb7f5a71aU,     0x6e1ea7faU, \
    0x26ab2549U,     0xdf7373f6U,     0xd8085fe7U,     0x9770eb37U, \
    0x6c2e9dbfU,     0x6343a19cU,     0xb704ddc0U,     0x8bfa224bU, \
    0x790acbb1U,     0x25ae5c74U,     0x5418a8f4U,     0x878e3c97U, \
    0xa1025d57U,     0xbda3e457U,     0x1163ddbdU,     0xe1a2ec20U, \
    0xd406e7cdU,     0x6faf37dbU,     0x99b0c156U,     0xca08f1b1U, \
    0x64758379U,     0x388dcef1U,     0xa8c60a98U,     0xecb2439fU, \
    0x2dce76e0U,     0x099419c8U,     0xbedaabf7U,     0x87834881U, \
    0xdd7b456bU,     0x770c5f45U,     0x39e804acU,     0x990ea144U, \
    0xb24fc387U,     0xb63d0530U,     0x4b184884U,     0xae2fa3a9U, \
    0xce19c5ebU,     0x5b5ed04fU,     0xeaf3d6a1U,     0xac9921ebU, \
    0xa89fec70U,     0xcddd6db4U,     0x6bc96670U,     0xe08f3c5aU, \
    0xc16154aeU,     0x8d1a5e4cU,     0x4e817b1dU,     0xb72a31c2U, \
    0xe8cf5147U,     0x49525824U,     0xfad409b7U,     0xa46ad4c2U, \
    0x788f2d0bU,     0xc5000220U,     0x3fb0a9eaU,     0xb66ac7deU, \
    0xb1a870f2U,     0x2f23ac8dU,     0xe5d67f49U,     0xc2c7d537U, \
    0x75829b81U,     0x04d1905cU,     0xbb9776a6U,     0xe86313bdU, \
    0xb10ac7f5U,     0x1138e202U,     0x04cb460aU,     0x338ef3bbU, \
    0x1d987474U,     0x6bed7488U,     0x71d8eb93U,     0xabd97369U, \
    0x73d961b4U,     0xdeca2859U,     0xc1278a82U,     0x19833cb1U, \
    0x01d22f41U,     0x57dff94fU,     0xc889cd76U,     0xe78eaf57U, \
    0x7841b5c1U,     0xa0c88a43U,     0x0c5b154fU,     0xd175a868U, \
    0x2867d7c7U,     0xc4972809U,     0x786fdc13U,     0xa2a814acU, \
    0x1315d9b7U,     0x82a2be1dU,     0xdf2f1849U,     0xa606e1b0U, \
    0xd3b4ff6dU,     0xa5d00f9aU,     0x64029c74U,     0xde9483c7U, \
    0xb9a87c47U,     0x9016ac87U,     0xe20ec2b0U,     0x036338c7U, \
    0x76954777U,     0x54e84e14U,     0x788ebe4aU,     0x100a56c4U, \
    0x04999198U,     0xa8849011U,     0x2bda5c53U,     0x6a9a2237U, \
    0xec7a8703U,     0xba12d4acU,     0x90ff0951U,     0xe8295128U, \
    0x36e365b1U,     0xd83064b9U,     0x08ec36b3U,     0xb8fcd676U, \
    0xb2ef7393U,     0xe23d7d29U,     0x0568a0a4U,     0x23c5748aU, \
    0x41a25891U,     0x4d7a735eU,     0xe0bec3d2U,     0x2f8fe517U, \
    0x4a59d2c9U,     0x2db89753U,     0xa57bfddbU,     0xaaa2a2e4U, \
    0xfdbcd68eU,     0x44e4c7fdU,     0x9609cedcU,     0x59fa6262U, \
    0x1f33e769U,     0xaf9941bdU,     0xdf4f56beU,     0x7bde862fU, \
    0x9b3bab50U,     0x3dd4ef65U,     0xd720b7a7U,     0x74251c4cU, \
    0xb94eb066U,     0xd0068de7U,     0x8fd59ea1U,     0xa06e69e9U, \
    0x4c19145dU,     0x0ecaa732U,     0x6da0f096U,     0x180c5bccU, \
    0x8aeb3201U,     0xcff9c994U,     0x29647e7cU,     0x084bdbccU, \
    0xbd37fb1dU,     0x44e6bfe2U,     0xd54ca830U,     0x45a13b8aU, \
    0x7daf4258U,     0xa96f43e8U,     0x548d0f78U,     0xe52ff68fU, \
    0x4182169aU,     0x18b60ee5U,     0xbe7e9c05U,     0x70e9315dU, \
    0x6a636b73U,     0xf16805f0U,     0x0d9aadffU,     0x901ae166U, \
    0x4b352972U,     0xe2a17b34U,     0xaaca226dU,     0x6ddaa20eU, \
    0xb338125eU,     0x02d834f9U,     0x3bee7be5U,     0xfb83de9aU, \
    0x56b2971cU,     0x80e4ff63U,     0x9135b96fU,     0x880c34ceU, \
    0x02d61c95U,     0x4482cf39U,     0x6cd23a76U,     0xf12f1e66U, \
    0x72c7a287U,     0x64765813U,     0x10ee898cU,     0x80eca912U, \
    0x16a821bbU,     0xe980d7ccU,     0x4f8c32e3U,     0x4b0131ffU, \
    0x94764c1bU,     0xa0e6b7d6U,     0x07df4755U,     0xb60b5883U, \
    0xe2bc50b7U,     0x53618fb4U,     0x16757598U,     0x26738ceaU, \
    0xd7c5f284U,     0x39cf6633U,     0x3968d7f1U,     0xd951f205U, \
    0xe35774faU,     0x770ee1c3U,     0x937b24b0U,     0xdfdceb84U, \
    0x1a33fd3dU,     0x12c3a293U,     0x849bfe38U,     0x5278c4b3U, \
    0x6da44f4bU,     0xa36d388cU,     0x005bdab4U,     0x526537e3U, \
    0x308099d5U,     0x785455b5U,     0x33ccc5a8U,     0x214cdfeeU, \
    0x4946198cU,     0x71a2b46cU,     0x19edaa7aU,     0x121453f0U, \
    0xc9b486a2U,     0xf2e2f2e5U,     0x2c3238a5U,     0x841ed1a3U, \
    0x42d18c4eU,     0x5e8e4014U,     0xf9fb3ca4U,     0x9a5303b9U, \
    0x860298a5U,     0x03b62bb8U,     0x1bcdfd7cU,     0x495b89f5U, \
    0x5c84ffc2U,     0x6496d8ecU,     0x5bdbb83fU,     0x212ebaadU, \
    0xed784594U,     0x2dbd459bU,     0xad7fa4ecU,     0xb728e7a0U, \
    0xbf77b8e5U,     0x61406425U,     0x0f30c8d8U,     0xe3a08b2bU, \
    0xdd131e78U,     0x347c6e55U,     0x2bf16381U,     0x06cb2424U, \
    0x6a6f9bedU,     0x1411e781U,     0x5a6a24b0U,     0xb70fcd7eU, \
    0x3b03be3dU,     0x7762e7ecU,     0x354e4a1fU,     0x9b580908U, \
    0x792e81cdU,     0x00dfaa3bU,     0x93c4cb6bU,     0xa632c7ffU, \
    0xb12d589bU,     0x62b168c8U,     0x418d2066U,     0x53c8d767U, \
    0x24345e6bU,     0xd5704970U,     0x3ace4a86U,     0x13bb2ae6U, \
    0x50615d65U,     0x0f519ce2U,     0x9300d686U,     0xac87acfcU, \
    0x82161385U,     0x7c0cb573U,     0xd3e73fb5U,     0x5c72d6abU, \
    0xa51343e2U,     0x8c76d8c9U,     0x71bd7cccU,     0x97e1224aU, \
    0x956eccdeU,     0x093021a3U,     0xe011f0f0U,     0xd2aec4d9U, \
    0xd07c23ecU,     0xed9922abU,     0xc9f82abdU,     0x1a6affd7U, \
    0x3fd2b2d9U,     0x8d5b2e5fU,     0xb8183440U,     0xe5c7378fU, \
    0x23666f0bU,     0x225abb9fU,     0x12f1c0d7U,     0xe0b2e07bU, \
    0x35f90681U,     0x85560fd2U,     0x18a95e01U,     0x8d572beaU, \
    0xc23068cdU,     0xbdd9aa3dU,     0x2295caabU,     0x4aefeadcU, \
    0x915438d2U,     0xabf41134U,     0xcd078f56U,     0xedc8dd91U, \
    0xea673aa3U,     0xc97d6d89U,     0x7578a963U,     0xa294cc97U, \
    0xcf03610eU,     0x164dbe3cU,     0x5a56b124U,     0xf85bd65dU, \
    0x60cb2227U,     0x99d892d7U,     0x7b00efedU,     0x987acdb4U, \
    0x6fd754daU,     0xa7dc72a3U,     0x8069fe7eU,     0x0212618aU, \
    0xe57bf76aU,     0x9bc9c76bU,     0x010f57ceU,     0xc5a88deeU, \
    0xf9c553cbU,     0x395886e6U,     0xb7aa06abU,     0x0c9fab3dU, \
    0x1333f1fcU,     0x19d4a047U,     0xc3505a1eU,     0x49b1a207U, \
    0xb179cf34U,     0x232fe1f2U,     0xa6906afbU,     0xfc4be2e0U, \
    0x4f08b8caU,     0x11adbc9bU,     0xea718722U,     0x9e139032U, \
    0x4c24d892U,     0xb6f036f9U,     0x6ff12904U,     0x95f6881aU, \
    0xb47976f8U,     0x6b5313b0U,     0xa2dd8f9fU,     0xf280e68cU, \
    0x354cccf0U,     0xf240dcc0U,     0x4081371aU,     0xf12cae06U, \
    0xa4e1fba7U,     0xb492a321U,     0xcb70f390U,     0x6b5d8661U, \
    0x3c010491U,     0x383b3e89U,     0xb1f398b6U,     0x3a80c9d6U, \
    0x0644bfe3U,     0xd559e6efU,     0xf996311cU,     0x45917f7dU, \
    0x76b1aa89U,     0x19db841eU,     0xbc0074b1U,     0xf90629ccU, \
    0xc5a6000bU,     0xdbf8d41aU,     0x73bf27e7U,     0xf981efdbU, \
    0x25c12cf6U,     0xcfeeb46aU,     0x24697bc6U,     0xecbc86f8U, \
    0xbc956243U,     0xfa7afbeeU,     0xc5f2d656U,     0xcf3942a8U, \
    0x8bce2aefU,     0x7cf5cdfdU,     0x297841d0U,     0xfcaed47fU, \
    0x97191502U,     0xfa23fc0eU,     0x88a9e368U,     0xa040c3f5U, \
    0x215904a9U,     0xd8db4441U,     0xcbac2d68U,     0x4282838dU, \
    0x4c538179U,     0x23f857eaU,     0x6db7564eU,     0x1dc3789cU, \
    0x3d198a77U,     0xe30405c5U,     0x29402d7cU,     0x3494e62eU, \
    0x7a106f2aU,     0xe9392285U,     0xa6be1d22U,     0xa367298dU, \
    0xa5f01e11U,     0xd112d44aU,     0xf48d59d8U,     0xf1c9687cU, \
    0x847632c9U,     0xece4902fU,     0xf99f7186U,     0x55ed5e67U, \
    0x8de76dceU,     0x3179962fU,     0x7bc7379aU,     0x21109905U, \
    0x10471586U,     0xc58f6345U,     0x477dc973U,     0x57ed1351U, \
    0x48c8669fU,     0xab039483U,     0x542832f7U,     0xd2aa4e10U, \
    0xf5dd5ce5U,     0xc3d24f4aU,     0x0a469ce0U,     0x7a44b6e6U, \
    0x261300f1U,     0x6111bc5cU,     0x66674ceeU,     0x3b05aaf3U, \
    0x5723cd30U,     0xfb39ea79U,     0xf7feacb0U,     0x9b60bcbdU, \
    0xe56d4205U,     0x164d770fU,     0xf3c3d16dU,     0x7ee9f5c2U, \
    0xb8085ae9U,     0xc5ef55aaU,     0x0a6c88d2U,     0x48ea024bU, \
    0xa91edf1dU,     0x829422c1U,     0x63cae10dU,     0xe8a89a76U, \
    0xdf86dff7U,     0x91ba9c1aU,     0x83b9b906U,     0xd838eb9aU, \
    0x4549005dU,     0xa346bccfU,     0x3bf81635U,     0x1adf1058U, \
    0x835b75d8U,     0x820c4782U,     0x5cfa87d5U,     0xb0789901U, \
    0xf7caa2d0U,     0x760dccbbU,     0x5984e805U,     0x0c1c66d3U, \
    0xdd5b07b5U,     0xcffb0593U,     0x2608e0f7U,     0xbafe1314U, \
    0xbc38ecc9U,     0x7386e6f5U,     0xdbe049a1U,     0x9bf25692U, \
    0x33d60782U,     0x357e08b4U,     0x9df945b6U,     0x79aaa960U, \
    0xbfe6c0adU,     0x9877979bU,     0x20cba839U,     0x3eaed8e0U, \
    0xd88770dfU,     0xf599ebd0U,     0x4e01d373U,     0x5e0241f5U, \
    0x0130ed5dU,     0x76b3bf1bU,     0x884995d2U,     0xd4e79fccU, \
    0x664a6afaU,     0x3c82e247U,     0x0e8254e6U,     0x8376cb2dU, \
    0x77a76897U,     0xea6c68c3U,     0x1bfe600eU,     0x31982428U, \
    0xf2e3f126U,     0x3faa3148U,     0x7939c97dU,     0xb2a1b776U, \
    0x40ab8077U,     0x4f07a6bdU,     0xf1b55f82U,     0x5f1d76bfU, \
    0x18c18affU,     0x667393ffU,     0x46922acbU,     0x3e427cf9U, \
    0x017ac8fcU,     0x2e2ee1beU,     0x687aeb20U,     0x82cdb1c2U, \
    0x58b870deU,     0xb7adb00eU,     0xc818452aU,     0x38d009e9U, \
    0x4ce8dd43U,     0x42f0594fU,     0xeb303eafU,     0x74f57401U, \
    0x79e175b4U,     0xeabe72c0U,     0x08342222U,     0xdce90745U, \
    0xfac4f07cU,     0xcb6ee6d6U,     0xfa361315U,     0x360a9be3U, \
    0x7a4c8ee7U,     0xe28ec1baU,     0xe0ba24f1U,     0x1a918614U, \
    0x82fe7b7dU,     0xc49f91a2U,     0x64cac715U,     0xd1f98f45U, \
    0xee14fc83U,     0xc66ff816U,     0xb64f498dU,     0x1f900593U, \
    0xabc900b8U,     0xcf3bb369U,     0x6fdc0ecbU,     0x4abfbb07U, \
    0xecb3706aU,     0x7eea59f7U,     0xeae8b788U,     0xfbbbcadfU, \
    0x9d2bee48U,     0xa02be054U,     0x4d022e16U,     0xa4791171U, \
    0xcce6d7f2U,     0x73c6180bU,     0x24af75adU,     0x17a62e41U, \
    0x9ca1bba0U,     0x2e58f41dU,     0xb60e75d2U,     0x408451d4U, \
    0x6ba1847cU,     0xf9809c8cU,     0xfbccf082U,     0xd4338813U, \
    0xedfed3f6U,     0x16f5bd1eU,     0xf9bf2f6bU,     0xdda633c7U, \
    0x62b7eaefU,     0x3a6bb67aU,     0x69b2db3eU,     0x216cf415U, \
    0x00d7a11eU,     0x2342ccc6U,     0xd67eb9f5U,     0x83f5a67cU, \
    0xbf5511e0U,     0xf0a5710dU,     0x9d05efaeU,     0x7b4020b1U, \
    0x25b9dfa3U,     0x676d6b93U,     0xef126c21U,     0xa3eb9f55U, \
    0xe803595aU,     0xd5494117U,     0xb912c742U,     0x9135d08eU, \
    0xd1d58bf2U,     0x88a61a0dU,     0x0b37865eU,     0xf2207439U, \
    0x0e235657U,     0x0aedf2b3U,     0xa7d158dfU,     0xcf3a6552U, \
    0xbc7fb791U,     0x895a60daU,     0xaec509b9U,     0x089b1605U, \
    0xa236e5d5U,     0xd7daa9ceU,     0x460c49f9U,     0xb9787541U, \
    0xe7530e1cU,     0x14f62ef2U,     0x76fa9d8fU,     0xff84df51U, \
    0xa410ad06U,     0x20549265U,     0x858c4438U,     0x0c65f14bU, \
    0xde4658f9U,     0x3ff2afdaU,     0xef313495U,     0xf5031cbcU, \
    0x2efddf85U,     0xc280cae8U,     0x2249104dU,     0x3fc52c60U, \
    0x87074570U,     0xd8b50996U,     0x5f3b8e16U,     0x2cf78143U, \
    0x4b51c4b8U,     0xbae58f3bU,     0x895816c4U,     0x7ea28a38U, \
    0x2355d0a6U,     0x9c034b4cU,     0xd476d32bU,     0x10a6e17eU, \
    0x898e38faU,     0xda4998a7U,     0x4fb91385U,     0xdf912930U, \
    0x0e9b70daU,     0xcdb8541fU,     0x5d8e4ebbU,     0x50d8a03bU, \
    0x4015fc6fU,     0x56f19bcbU,     0xe6068d50U,     0xe168efa6U, \
    0xdcb94d3fU,     0xdb0383e7U,     0x08bf0d0aU,     0x0767f795U, \
    0x12ad6b21U,     0x7b669818U,     0x60bb4f3aU,     0x3c42e16fU, \
    0x2bd34b32U,     0x629656a7U,     0xf6c17469U,     0x91359353U, \
    0xce011860U,     0xf2b51f81U,     0x5242ee17U,     0xbc7387a1U, \
    0xc0eebc7cU,     0x956fcc23U,     0x720dc509U,     0x53595485U, \
    0x65cc3a2cU,     0xc4ddd2e0U,     0x71138405U,     0xffce1126U, \
    0xb372a158U,     0x97a13a61U,     0x3b5cff0eU,     0xf885fc6fU, \
    0xa0e4254aU,     0x25b478e9U,     0xca334b6cU,     0xf317c19cU, \
    0xae9cb572U,     0x4331b54dU,     0xd035e5bdU,     0x5b81e3ebU, \
    0x57dee583U,     0x395c962bU,     0xc52bca59U,     0x81c9995dU, \
    0xdf17a93dU,     0xbb2137cbU,     0x99b987b0U,     0x56e80e84U, \
    0x08f5db3dU,     0xa271d32eU,     0xb2d2ddf4U,     0x1765f60eU, \
    0x4f7e9cccU,     0x0b9002b3U,     0x72c4b6d7U,     0x3312c70dU, \
    0xbccfea32U,     0xbe01614bU,     0x87e6a017U,     0xa151ed3fU, \
    0x501a9b67U,     0x9f9f5299U,     0x77a4aac4U,     0xf59c18a5U, \
    0x60784494U,     0xf15f11efU,     0x83bd3544U,     0x68ef4c22U, \
    0x33942193U,     0xf8c3c8cdU,     0x854eb665U,     0x3aa42932U, \
    0xd27dcd29U,     0x1eebb4feU,     0xfe563a18U,     0xae479040U, \
    0x76ff4f0bU,     0xf48d0eefU,     0xe4bf34b7U,     0xb39b4e87U, \
    0xcbc50aa9U,     0xf48e2dd5U,     0x6589e850U,     0xdb62d3abU, \
    0xc6288761U,     0x4b2ad219U,     0xcbaf804cU,     0x4d39daaeU, \
    0x687db9c2U,     0x58ffd690U,     0x86046447U,     0xec47abc0U, \
    0x41d61426U,     0x5a6db09eU,     0x9f6ae6ebU,     0x9e6c17b5U, \
    0x72f42bdeU,     0xec7c73b2U,     0x514f7940U,     0x5c39891cU, \
    0xe4c57066U,     0x25ae9c6dU,     0x8404fd38U,     0x9ba9d62bU, \
    0x0a9371e3U,     0x87761e8bU,     0x9da58052U,     0x14e61803U, \
    0x2f51527bU,     0x5ac5241fU,     0x848b71c7U,     0x44194887U, \
    0xa35d27d9U,     0xa42e70f0U,     0x9c90861bU,     0x583d20b0U, \
    0xe0fe0115U,     0x4233fa80U,     0x52d32be1U,     0x4c55283aU, \
    0x8e353a11U,     0x31942409U,     0xdb61437dU,     0xfd948565U, \
    0x0c1dcceaU,     0x37442aa9U,     0xc5a6c426U,     0x9c15a0b5U, \
    0x72cd2e64U,     0x120d0240U,     0x5f73f9e2U,     0x215018c2U, \
    0x87b9d947U,     0x351a957aU,     0x1ddb7794U,     0xc1b2ac38U, \
    0xf7ddb183U,     0x6e94d1bfU,     0xb0dc57efU,     0x2e7e460cU, \
    0xcadf1396U,     0xa63d1a36U,     0x3adfd93eU,     0x2e6baf54U, \
    0xde14bdbbU,     0xd21d7f46U,     0x9b8b5ea1U,     0x8c455a7eU, \
    0x627bd104U,     0x26d6d623U,     0x922a2e99U,     0xe778c646U, \
    0x4698b4b5U,     0xa295da26U,     0x66c5d0b7U,     0x7d4f6d97U, \
    0x49634048U,     0xc6bee30fU,     0x130b16f6U,     0xab59b250U, \
    0x7897d8ffU,     0xac757924U,     0xb7a6e5c9U,     0xab461a2cU, \
    0xd24a3d74U,     0x6ffd8f0fU,     0xf2781d7bU,     0x22502715U, \
    0x568b9aa5U,     0x4d0ab588U,     0xa46b3d2aU,     0x21443c11U, \
    0x46d0d53cU,     0x1ec6b998U,     0x6c308ce4U,     0x5f109dbdU, \
    0x90f2a29aU,     0xde0768b8U,     0xa3c33e3fU,     0xfd6a8a4fU, \
    0x3b40c354U,     0x06f848f6U,     0x0836faf8U,     0x59fd5f48U, \
    0xd786bba0U,     0xa08c58a2U,     0xc2dce18fU,     0x686f6ce3U, \
    0xf316cd3dU,     0xdbcadabfU,     0x2a906379U,     0x85328d41U, \
    0x24e696fcU,     0x36778516U,     0xfafa5539U,     0xb2f337b8U, \
    0xcee47e71U,     0xd3c8e239U,     0xc182ca89U,     0x4d4b1035U, \
    0x7d9c17c5U,     0xf1baafc4U,     0x30c1834eU,     0x23cfd3fcU, \
    0x12ffc673U,     0xc2243d5eU,     0xb8e7e9b8U,     0xc60c1c7bU, \
    0x03961a4dU,     0x907ddbd6U,     0x067064f1U,     0x43cc54f4U, \
    0x095b8ba2U,     0xefa122d8U,     0x2c96a8acU,     0x58e3f77bU, \
    0xf2ce440cU,     0xab35b695U,     0x1b57a526U,     0x0a7f0b18U, \
    0x46fd72fcU,     0x7e10aa68U,     0xcbcc75e8U,     0xa523db43U, \
    0x95ce6afdU,     0xd0e1ada6U,     0x7c7979b2U,     0xf3888b33U, \
    0xc0a11115U,     0xea04955dU,     0x93802308U,     0x3990c541U, \
    0x171bedfcU,     0x3a7819ffU,     0x429d5f59U,     0x7da5a347U, \
    0xc3c052c8U,     0xe1c55fd2U,     0x369ef09cU,     0x1d9e4838U, \
    0xb5a435efU,     0xea5736bbU,     0x39bc3fd5U,     0x84b69853U, \
    0xbb101fcdU,     0xf7ea3e09U,     0xaba0237dU,     0x3328a89cU, \
    0x62d7e7b6U,     0x28181f04U,     0xdda0e7e3U,     0x3863a7d2U, \
    0x69d50308U,     0xd31180a8U,     0x91d2bdcdU,     0x8f0304eaU, \
    0xeff46df0U,     0xd393a446U,     0x9858dea7U,     0xa6089b23U, \
    0x18a8d81aU,     0x17188b7fU,     0x4a79ebdeU,     0x20463883U, \
    0x286dc159U,     0xf2b41f58U,     0x21fd33b9U,     0xdbffb5e9U, \
    0xeecb29baU,     0x1e55d056U,     0x12115d6cU,     0x1b6419aeU, \
    0x9eea7a90U,     0xb743f313U,     0xdb7648f9U,     0x66b8a7baU, \
    0x268a0922U,     0x23ce31e3U,     0x8d5d4178U,     0xf460b808U, \
    0xc20f9c93U,     0x2fb0273aU,     0x6cd81691U,     0xc436d05aU, \
    0x05c087fcU,     0xbc84ab84U,     0xfaa4c7a0U,     0x418f7acbU, \
    0x479493ceU,     0x9009fc02U,     0xf10a2dbeU,     0xc5724d8cU, \
    0xfec50394U,     0xe586c40dU,     0x25e9e23fU,     0xc01badbfU, \
    0x6e6ed185U,     0x2df781a2U,     0xe94328ebU,     0x707308b5U, \
    0x84033bbdU,     0x8df7e5a4U,     0xb9ab7184U,     0xea216a87U, \
    0x5b906d97U,     0xa7dbc279U,     0xd50eaae8U,     0xca526e5fU, \
    0xd474d02fU,     0xa6b9a3bbU,     0x743d6af2U,     0xfcab3ecaU, \
    0x24aa84f4U,     0x7aadeb21U,     0xe5a1147fU,     0x71347e4eU, \
    0x46d9e58cU,     0x9c797b2fU,     0x5f88ab24U,     0xeea4105aU, \
    0x605e3e94U,     0x7620f6bbU,     0x8fbb2c46U,     0xb355ad18U, \
    0x49805b89U,     0x9f5b5212U,     0x457f5319U,     0xea1fc4e4U, \
    0x7c13aad7U,     0x5936810aU,     0x8a00253aU,     0xc2f51c06U, \
    0x0a0c001bU,     0x6545948eU,     0xe398b3d5U,     0x38251925U, \
    0x7e34da2aU,     0x893d5b07U,     0x73710b57U,     0xb3c67239U, \
    0x81a146beU,     0x0072dd53U,     0x34a6af99U,     0xc1e02e4fU, \
    0x625bb178U,     0xd1262ebcU,     0x1a7e5653U,     0x5b702ad2U, \
    0xaf5ca596U,     0xbd1d236bU,     0xf715638cU,     0x76996f4dU, \
    0xb603ab98U,     0x8787c7c2U,     0x159373ddU,     0x44b2eb7eU, \
    0x63af5ebfU,     0x5f0d9cdfU,     0xd3e7883dU,     0xe6376f6aU, \
    0x4556d6d4U,     0x9a1d3356U,     0xa07e698cU,     0xb7c5f366U, \
    0xe1c5a7e6U,     0x452cc0beU,     0xe4343612U,     0x30a4923dU, \
    0x49304c7aU,     0x98a69e2bU,     0x6b35f795U,     0x05e24841U, \
    0x0b56408aU,     0x05d0379dU,     0x08ad8c30U,     0x8b951a16U, \
    0xba7f1e7fU,     0x89295ccbU,     0x9139a709U,     0xce91a004U, \
    0x0b0b0fa1U,     0xa4ccc19bU,     0x639923ccU,     0xddab5de0U, \
    0x6e746abeU,     0x0e5c12d0U,     0x338e8f9cU,     0x3290a21eU, \
    0xa75d5511U,     0x4a771960U,     0x682dd94dU,     0xe3a382c1U, \
    0x86b1cb3eU,     0xd915c6cdU,     0xc1b90b67U,     0x0bb717eaU, \
    0x7f678c0aU,     0xecc01086U,     0x5792f7d8U,     0xe17a943dU, \
    0xb0cd655eU,     0x15bdfd0bU,     0xaf5874cbU,     0xe8239387U, \
    0x517cc52bU,     0xc3aecfa3U,     0xd2b70c7dU,     0x5866842dU, \
    0xd98f2306U,     0x0ef01c62U,     0xf2e771efU,     0x136da1e8U, \
    0xd159d3ecU,     0x25fd3cc0U,     0x5c594010U,     0xe6225cc8U, \
    0x8ed91e12U,     0xc810ceccU,     0x355c6307U,     0xde366f41U, \
    0x59a5b819U,     0x222f68a1U,     0x1036e612U,     0x1aea221cU, \
    0x097446d3U,     0xc4565206U,     0xe3e8a22fU,     0x02807433U, \
    0x12f7e7a8U,     0x59c39c66U,     0x11033b25U,     0x01fea670U, \
    0x62967d12U,     0xfc73737dU,     0x0f78d374U,     0x9a6cdbbcU, \
    0x8c06d645U,     0xc36a8054U,     0x09a7b558U,     0x6c09a20aU, \
    0xa76080c2U,     0xad198522U,     0x57af73f3U,     0x47dd59adU, \
    0x40316db2U,     0xf0f0740eU,     0x3ca9fbe2U,     0xc09bb24fU, \
    0x452e7005U,     0x643795dcU,     0xcc6ca609U,     0xf06f0836U, \
    0xaf68bcc0U,     0x3800402cU,     0x83ae349cU,     0x183b47f8U, \
    0x1fd739c5U,     0x8f54ec43U,     0x486acec5U,     0xdc33f81bU, \
    0x8f3537bfU,     0x544f7110U,     0x946b15acU,     0x8953b670U, \
    0xee0388feU,     0xcdf3c0f9U,     0xd2ffeccaU,     0x0e79af92U, \
    0x31f548c6U,     0x02e0a90bU,     0x86b5e62bU,     0x4c6ab350U, \
    0x704040dcU,     0x27327db5U,     0x313490c1U,     0x7ea13401U, \
    0x70a4eda2U,     0x7b5a38c2U,     0x90c74646U,     0x33dd62c3U, \
    0x40bf2728U,     0x1615e582U,     0xe216df5aU,     0x90227c91U, \
    0xe4668192U,     0xba608c77U,     0x11526c1aU,     0x8f57c7ceU, \
    0x4fb59f8cU,     0x791ee764U,     0xb0f4a48bU,     0xda35001eU, \
    0x383834fcU,     0x581ee9aeU,     0xe4f9fd1fU,     0xd420ed80U, \
    0xa1b1d8b8U,     0xfaffdfb7U,     0x2b44c8aeU,     0x26260512U, \
    0xcd3db470U,     0x0f3a776eU,     0xe156ef3dU,     0x7e53ce0eU, \
    0xb1160881U,     0x3da91e03U,     0xb43b50fcU,     0x0366ec44U, \
    0x503b07b8U,     0x80252162U,     0x2ed4090bU,     0x84180901U, \
    0x230e1963U,     0xbaca9316U,     0x14055916U,     0x4ecb7888U, \
    0x49003708U,     0x869ce2cbU,     0x49318284U,     0xe6d868b9U, \
    0x24e0590aU,     0x577b9137U,     0xfd18ab70U,     0x46c934b9U, \
    0x048530d6U,     0x90abf2ecU,     0xd6b68872U,     0xe72013efU, \
    0xb7fcc2c2U,     0xf2dd183fU,     0x3c291f38U,     0x3c3aee54U, \
    0xa9ec75daU,     0xf6ec81a2U,     0xb21fc971U,     0x9de8fc66U, \
    0x937ce311U,     0x4ca9bd86U,     0xafa3063bU,     0x19d60edfU, \
    0x255f14b5U,     0xd977ba39U,     0x9f832022U,     0xcd67e661U, \
    0x44cbbd1dU,     0x5b8698a0U,     0x9dee3b8dU,     0x6d8b0705U, \
    0xa5f54eecU,     0x1b56589dU,     0xbc685bbaU,     0x4ebd0192U, \
    0x22581ca6U,     0x68cc986fU,     0x3231e427U,     0x39e65218U, \
    0x94a67369U,     0x86d0fa17U,     0x45b0dbf6U,     0x24f60014U, \
    0x4d730c52U,     0x13d96c6cU,     0xc5308bf6U,     0x156e5964U, \
    0x4f2c6bd2U,     0x60292c61U,     0xe108e238U,     0xa8882736U, \
    0x3daeff39U,     0x24473e8cU,     0x8c0558f2U,     0xc791d650U, \
    0xd8154716U,     0xb4483faaU,     0xa1026783U,     0x885fe8a1U, \
    0x8019f075U,     0xb3fb9d7bU,     0xb97b48b4U,     0x2cd44395U, \
    0x2a802b45U,     0x06984c1fU,     0x86011e23U,     0x8e584922U, \
    0x58d9d447U,     0x4c75553fU,     0xdd490f3dU,     0x11363aafU, \
    0x736d39daU,     0x101e8184U,     0x8bc519acU,     0xe264883cU, \
    0xb2afdc76U,     0x64c1a278U,     0xc6a9a397U,     0x1634f698U, \
    0xad6f0be7U,     0x35ef0151U,     0x96da8357U,     0xa1f5006bU, \
    0x20bf7ad5U,     0x643eb9b8U,     0xe0092d77U,     0x4e1109feU, \
    0xdd92bf8aU,     0xccc88fd0U,     0xdec8e00eU,     0x57382604U, \
    0x4d5ce90dU,     0x16cbd7d2U,     0x39d882e7U,     0x6f8f4fdeU, \
    0xeea2375dU,     0x2b9d63e0U,     0xab28d117U,     0x52e5c75aU, \
    0xe32a327dU,     0x22b9cc6cU,     0x43f24c20U,     0x85db0532U, \
    0x09a55ad5U,     0x177eced5U,     0xf7979e23U,     0x36ffaaf3U, \
    0x2c1ef033U,     0x736d2b8fU,     0x116cb6c1U,     0x6b4a6013U, \
    0x5ffcd45eU,     0x2217c971U,     0x11e9391cU,     0x71ee36a6U, \
    0xb6bd0c54U,     0xdd3f01f5U,     0x7a502a47U,     0x7e755051U, \
    0x37d3a118U,     0x81733baeU,     0x11a8f82fU,     0xe87cf6c3U, \
    0xf02ce2ecU,     0x6733ca27U,     0x8985efdbU,     0x53bec97aU, \
    0x30d5aa93U,     0x67498b20U,     0x7a465304U,     0x7c357d7aU, \
    0x99282685U,     0x048d0d54U,     0xf4e221b3U,     0xa6aef491U, \
    0xb7e6ee56U,     0x4c300049U,     0xc0dc6e0cU,     0x48a88b8fU, \
    0xcbb8f07eU,     0x825b9b46U,     0x25df8164U,     0x06924b01U, \
    0xcc1f4d05U,     0x9683c88cU,     0x5a73e0a5U,     0xff183bc9U, \
    0x91226c43U,     0x1b1b512dU,     0x5c36f9daU,     0xb57a88bbU, \
    0xb69a5642U,     0x9ef1a62dU,     0x0bd18fe6U,     0x3d795f67U, \
    0x580fc479U,     0xa6982736U,     0x7faef4f1U,     0xd0097d2dU, \
    0xb132a4a0U,     0xb510116eU,     0x9f224bb9U,     0x54bcebeeU, \
    0x3c27b4c9U,     0xebe7fdf8U,     0xae617400U,     0x0ecfdeeaU, \
    0x19a64fb7U,     0x4c9bec86U,     0xaf8e84e0U,     0x8d0f14caU, \
    0x021bb9c1U,     0x5d7f21b5U,     0x6116a253U,     0x859f3687U, \
    0xc903aa6aU,     0x1846d19bU,     0x8bcc85a3U,     0x20a9764fU, \
    0x851818c3U,     0xefe70d6dU,     0x174dc076U,     0xf17505d6U, \
    0x10b6e890U,     0xd3c322fcU,     0xd76ca943U,     0xc52f0103U, \
    0x4f69e5bbU,     0xd053ff64U,     0x21896ff5U,     0x73c752a1U, \
    0x8dc56f59U,     0xe5254d65U,     0xa86c800fU,     0xca388e89U, \
    0x3e816bf2U,     0x06c18aabU,     0x00e6b233U,     0x17678826U, \
    0x2a630cf9U,     0x0bd3aa18U,     0xd00ddd24U,     0x5a59e7c1U, \
    0x046dc340U,     0x7a284077U,     0xa9f84b66U,     0x7679199eU, \
    0x17c7de2eU,     0xd8fa2fc2U,     0x5fcabf54U,     0x04b5723eU, \
    0xe3d11858U,     0x3083cf39U,     0xb339f218U,     0x53960446U, \
    0xc459acd9U,     0xc5ea52a7U,     0x0c28d769U,     0x61907d32U, \
    0x13cc367fU,     0x18d5cc4fU,     0x66b389e7U,     0x21d7aa19U, \
    0x14b0c6c8U,     0xe967517dU,     0xbc16f911U,     0xe016581cU, \
    0xc208932dU,     0xb3ec54b4U,     0xaf44c618U,     0xdd201d3bU, \
    0x7eff8cd4U,     0x6c9d73f4U,     0xf43c22e5U,     0xa70f8bb1U, \
    0x698019aeU,     0x2454323dU,     0x3090958fU,     0xe7f41818U, \
    0xfabcd2d2U,     0x4c52be43U,     0xb7b30de3U,     0xbfe73a9fU, \
    0x924dce48U,     0x7ba99dfcU,     0x9d7cdad3U,     0x62e145d6U, \
    0xf7ac5e86U,     0x0c2e5b26U,     0xf2e831b3U,     0xab402de6U, \
    0xfb47e66dU,     0x6c6cd52fU,     0xee505fa1U,     0x36bd4ed4U, \
    0x974f6c5aU,     0x625e9a27U,     0x015a668fU,     0x0b13cf7eU, \
    0x642d7704U,     0xf70d6ca0U,     0x51b178e3U,     0x5527a837U, \
    0xf1c7b6a2U,     0x353ee32dU,     0x85629f16U,     0x3f11f38aU, \
    0xa209d200U,     0x2b55699aU,     0x0a19d6a5U,     0xfce94821U, \
    0xd7bf12dcU,     0xeb3f325dU,     0x18b4a288U,     0xeff8bbc6U, \
    0xaab3fb55U,     0x2e79250dU,     0x65329636U,     0x58b70966U, \
    0x56b260b6U,     0xad38e69aU,     0xcf909b57U,     0x95ccc4beU, \
    0x4acd07adU,     0x485effe8U,     0x48049f8fU,     0xf731c70aU, \
    0xdc6901d8U,     0xdb3db9d2U,     0xdf2454a1U,     0xd1d674eeU, \
    0xe2dc708aU,     0x4f5ebc9dU,     0x84ab5ebbU,     0x0b2cef4aU, \
    0x57e636b7U,     0x35e0f419U,     0xa35ec5dcU,     0x526faaf4U, \
    0x82ef1ed1U,     0x3979f4f9U,     0x2179e173U,     0x9cd83d34U, \
    0xf506c2f3U,     0xb86edf93U,     0x3eb47d6cU,     0x6c95759eU, \
    0xc72501faU,     0x61b86d38U,     0x6a9c8678U,     0x2eeab57aU, \
    0x292d44f3U,     0x3e997010U,     0xc0735709U,     0xaace927fU, \
    0x829e64bcU,     0x624b8197U,     0x81040c9dU,     0x402b73a8U, \
    0xa854e952U,     0xfc52961eU,     0xb667f07aU,     0x0ac83991U, \
    0x308d4772U,     0xfa3a6174U,     0x1ccd32f9U,     0xf4b5b5c4U, \
    0x4c4d617fU,     0xaa576be0U,     0x00be8f43U,     0x60817f69U, \
    0x8ffdf135U,     0xab6f7c86U,     0x1ed5c0c2U,     0x8a4fcad9U, \
    0x5b51197aU,     0x5101c7adU,     0x8f6cb189U,     0xbe23c624U, \
    0x6868868eU,     0x938c9b00U,     0xfdd83ef5U,     0xd14741b2U, \
    0xeafd010eU,     0xe866aa90U,     0x03583aacU,     0x81a2dfbfU, \
    0x10b805c9U,     0xe78481b1U,     0xbb704b67U,     0x8c87b409U, \
    0xeb703de0U,     0x14b268e8U,     0x76053a50U,     0x84fc4e21U, \
    0xacffbb4eU,     0x8b6e217fU,     0xf53a3237U,     0x43f774c4U, \
    0x2f5cd7a7U,     0x18f3b2dfU,     0xe66d6533U,     0x0337ab88U, \
    0x0047f44aU,     0x07623be0U,     0x6f58072bU,     0x958ded1dU, \
    0xe4cb50ceU,     0x0a66afc8U,     0x3d908d09U,     0x00832fd5U, \
    0x69ea3904U,     0x438d7b82U,     0x96bf314fU,     0x3767e440U, \
    0xc25c1d04U,     0xd8e31669U,     0xa91920e6U,     0x10551dfeU, \
    0x3cabe6b5U,     0xed934b94U,     0xa133426dU,     0xbe7e0127U, \
    0x085d55daU,     0x7822f75eU,     0x76c5faa5U,     0x57105f97U, \
    0xf55016b0U,     0xbddedd4aU,     0xb7ffbe9eU,     0xe7549220U, \
    0xcb24f81cU,     0xb90af9d1U,     0x82555b72U,     0x3c361cedU, \
    0xe9b0f3beU,     0x69353053U,     0x96a4b318U,     0x8b5e9cbcU, \
    0x66866d1dU,     0x53fa9b28U,     0xce5fcd34U,     0x10ddfc69U, \
    0xd93f440dU,     0x8bda3c52U,     0x0fa10a2eU,     0x713aa0f0U, \
    0x22c251b1U,     0xd2ed6fdbU,     0x94df74ddU,     0x0dd7a2aaU, \
    0x17470ff5U,     0x0293ffa7U,     0xa67d0430U,     0xe42544acU, \
    0xbd1fc542U,     0x1c46f951U,     0x72bc9038U,     0xfd1a25faU, \
    0xc1e8413aU,     0xfa0a56afU,     0x798a55e6U,     0x6ee140d5U, \
    0xa60c3357U,     0x576b6005U,     0x6a0cffa4U,     0x0fdf349cU, \
    0x9b0ce199U,     0x53046d68U,     0x5eac7bb2U,     0x9f7cb386U, \
    0xc9f82370U,     0x7800bf78U,     0x3d746a24U,     0xdfb53e2bU, \
    0x913d4cedU,     0x746798f1U,     0x4028f51fU,     0x55bb6cfeU, \
    0x2e01d7c8U,     0x8027aad4U,     0x6d08f64fU,     0x9ac48fb8U, \
    0xc051bbfdU,     0xff2680a4U,     0x508a7d9fU,     0xa0d8c7aaU, \
    0x560f6177U,     0x0792d1c2U,     0x666a183aU,     0x95ad098cU, \
    0x38f17b70U,     0xd46b416cU,     0x871c38ffU,     0xfe1153ebU, \
    0x35d8b850U,     0x2a5f5ff0U,     0xee5cfcc6U,     0x53be592bU, \
    0xc7717407U,     0xd4367b95U,     0x752fc0caU,     0x8025819cU, \
    0x44353542U,     0x4f01d20eU,     0xcb30b36aU,     0x154074b7U, \
    0xa775e0aaU,     0x46d8b0e0U,     0x2b89a855U,     0x5b27872eU, \
    0x048b2178U,     0x55c9bf34U,     0x25ecc2d9U,     0xed4f1cb9U, \
    0x6ed8d76aU,     0x0f478659U,     0x94e03e1dU,     0x3f8fae03U, \
    0x6daa4e01U,     0xed488dbaU,     0x3083b6e2U,     0xdce40717U, \
    0x69787bcaU,     0x973858f0U,     0x9bb24804U,     0xf4425777U, \
    0x72829f92U,     0xe7a4c662U,     0xd2e7e584U,     0xe0f096e7U, \
    0xde358a53U,     0x1d582c2bU,     0xe2070043U,     0xc4510f77U, \
    0x82bfc64eU,     0xc59f5dd4U,     0x734c49caU,     0xe2bee5dfU, \
    0x386d41c0U,     0x53bb236fU,     0x9fac6b0cU,     0xaef4db04U, \
    0x9aa65b80U,     0x7344453fU,     0xf3dbc259U,     0x442df5d6U, \
    0x21f6a7a5U,     0x106d1791U,     0x9e2ef7caU,     0x2e49afcbU, \
    0x0c7cbc36U,     0x9378a32cU,     0x0f4eca66U,     0x409f384aU, \
    0x7cc801d3U,     0x247779bbU,     0xf2cd0206U,     0x7f8c0c23U, \
    0x96e0c7caU,     0xc0f01da5U,     0x8bd82ebdU,     0xbb98d29bU, \
    0x7cdd7878U,     0x5d7e0936U,     0xa05ac5a0U,     0x1e272481U, \
    0x11f7e334U,     0x399f5463U,     0xc0343f7cU,     0xe6dfe4c8U, \
    0x47bf607dU,     0x9e8357bdU,     0x747b1320U,     0xd416181fU, \
    0x2da959b9U,     0xcd62d3c1U,     0x9d578080U,     0xd42f3ed8U, \
    0x654b75c1U,     0xb0aba23dU,     0xf6c82b63U,     0x42e04a91U, \
    0x930d5388U,     0x759bc1c6U,     0xff226236U,     0x0d001046U, \
    0xd4c7e9b5U,     0x8217082cU,     0xf80503e4U,     0xfd1a073bU, \
    0x72e7e059U,     0x509aa1f4U,     0xe1b82ce9U,     0x676a80dbU, \
    0x478f9ea2U,     0xbab91066U,     0xd886d5e3U,     0xeaa56cf6U, \
    0x58321899U,     0x59706067U,     0x5ddd0c84U,     0xf7d53fcfU, \
    0xc33536faU,     0x3efb337cU,     0x55846640U,     0x3cbc8f8cU, \
    0x429dca84U,     0xbc61f090U,     0x0984fbdcU,     0x78e626edU, \
    0x89539893U,     0x62753154U,     0x94704b1dU,     0x776e6cd8U, \
    0x7270b453U,     0xfc9170aaU,     0x8b54f91eU,     0x8b085f02U, \
    0xce6f334dU,     0x2ca86622U,     0xc9e57f34U,     0x9b0ea9baU, \
    0x4c918b7bU,     0xd24070e2U,     0xa4e10584U,     0xc05d2249U, \
    0xf7d75b10U,     0x2233a948U,     0x48c8e69fU,     0xde14be55U, \
    0x630dce9dU,     0x7f292e65U,     0x7554cc24U,     0x7b43528cU, \
    0xe97a5ef2U,     0x3b8d0e3fU,     0xabfd1e79U,     0xd1ab4164U, \
    0xa105546bU,     0x186a339bU,     0x8cdb1cbfU,     0xd113f3c4U, \
    0x0830c932U,     0xfddf0a1eU,     0x6381f793U,     0xd45ec4eeU, \
    0x5105074bU,     0x951dd3c4U,     0x1074580fU,     0xb489ca8dU, \
    0xa6a0e13bU,     0x3792b2c3U,     0xe5142f7fU,     0xac7b96b7U, \
    0x05bc020dU,     0xf5f6f48fU,     0xadd78517U,     0x486d7244U, \
    0xc3677851U,     0xe6ff36dcU,     0x86b25e3eU,     0x8659b220U, \
    0x5f101dfbU,     0x3f6fc5a8U,     0x2aa8bcfdU,     0x5b76e5f4U, \
    0x3849c7dbU,     0x587bfe52U,     0x464c8697U,     0xd408a901U, \
    0x4d6b7dc1U,     0xc76ad624U,     0xce3a7661U,     0x08d14993U, \
    0x48a46ebfU,     0x77822074U,     0x10676c10U,     0xa0c68715U, \
    0x3b1185d9U,     0x15375464U,     0xcccf2b2bU,     0x062e6bdbU, \
    0xd09ad531U,     0x51f94af0U,     0xc9f0557cU,     0xb8016cc5U, \
    0xbb13cdc3U,     0x4e30b75eU,     0xba7007b2U,     0xcfcc7aa8U, \
    0xcf59eddcU,     0x3b1c82bcU,     0xa4852d16U,     0x6aa1c511U, \
    0xaa410b39U,     0x925d60b4U,     0xad4063e7U,     0x1a4fc297U, \
    0x19d62f84U,     0x8021bc67U,     0x7f4c7e23U,     0x1f66c227U, \
    0x90081ed3U,     0x5be88e21U,     0x32647769U,     0x3c15cab9U, \
    0x3ebfbfd2U,     0xccea69cbU,     0x08fa0502U,     0x8a5caa80U, \
    0x14007ea6U,     0x30808bc4U,     0x581df5e1U,     0xedf8a110U, \
    0x80c8a9abU,     0x1e10fd28U,     0xabb7fffeU,     0xbfa5f93bU, \
    0xf5d0fdd8U,     0xd49dfce5U,     0x7d03c885U,     0xc06a3747U, \
    0xdfc89f8bU,     0xf986572fU,     0x8c976344U,     0xe94ceb19U, \
    0x7b030c85U,     0x796b235dU,     0x5bf97dc6U,     0xc0468ddbU, \
    0xb9cbeb1aU,     0xf28fbca7U,     0xcd385f61U,     0x9539254fU, \
    0x273715aaU,     0x78a63787U,     0xad9f5ae8U,     0x5b5b9b5dU, \
    0x369b3883U,     0xee109b25U,     0xa3273ed9U,     0x58df006cU, \
    0x4a56f090U,     0x64da6287U,     0xde852493U,     0xd5fc1329U, \
    0x59b5ec1bU,     0x0fe9718eU,     0x019ad7feU,     0xe6aeda47U, \
    0x3ffe64beU,     0x9664fa06U,     0xf8472849U,     0xbf15292eU, \
    0x2d787416U,     0x5fcaaf97U,     0x81232b0bU,     0x5bb1e8d4U, \
    0xf75a2888U,     0x69991cd8U,     0xf3b5ee8fU,     0xe8d6f43dU, \
    0xaa42bee7U,     0x7dbf0cdaU,     0xb847943dU,     0x06e2b816U, \
    0xf9052d56U,     0x5a2c2b5eU,     0xadc4502cU,     0x08c66649U, \
    0xabea2385U,     0x3272b93cU,     0xbabce4b0U,     0x16fe53adU, \
    0x585309e2U,     0x082a3dc8U,     0x55a63bebU,     0x105092b5U, \
    0x766884f3U,     0x0e1741baU,     0xf64b3737U,     0x4dd9cfbfU, \
    0x9a2775c3U,     0xb9c283aeU,     0x197008c0U,     0x29363a8aU, \
    0x456203f6U,     0xe7039e15U,     0xa28da19eU,     0xf08f6d76U, \
    0xa67d2b86U,     0xd83a2d8aU,     0xed7a3249U,     0x2291fc52U, \
    0x8cfbc732U,     0x9e2e4737U,     0x13205caaU,     0x132f51c6U, \
    0xa38e0efeU,     0x7a95af49U,     0xc901dca3U,     0xaca39d35U, \
    0x8d17842dU,     0x3cebcca2U,     0x5d24da07U,     0x188385c8U, \
    0x578fa6a9U,     0x2da9063fU,     0xc3452d40U,     0x18ba1d1dU, \
    0x475cd976U,     0x28b29e62U,     0x37d910f9U,     0xcbcc14aaU, \
    0x32fd7ad5U,     0x4f7a12ecU,     0xb8db4009U,     0xa56ee13dU, \
    0x06a04c9fU,     0x9397d962U,     0x289626d5U,     0xe7d837f3U, \
    0x9122d260U,     0x247f48cfU,     0xf8d2a788U,     0x7945a546U, \
    0x28735ddaU,     0x4781a4c1U,     0xd8718be8U,     0xdf1c274bU, \
    0xe0f234a2U,     0x9ab2fdabU,     0x64aeaa25U,     0xd0771ba3U, \
    0x594fc609U,     0x74794d8fU,     0xd51f5814U,     0xdb34b9e0U, \
    0x0f5124d6U,     0xe0515f3cU,     0x12b31a7eU,     0x9456631bU, \
    0x26469511U,     0xb9263e9cU,     0x7690e62cU,     0xe10f2c92U, \
    0xb4b7cbbaU,     0xa895a199U,     0x87fe5625U,     0xddb1bd8aU, \
    0x01fd6cfbU,     0x6fbd8057U,     0x51614e9bU,     0x0699093cU, \
    0x2e1bd09bU,     0x7b03c5b5U,     0x95e7368aU,     0xcb918517U, \
    0xb6c87fc7U,     0x24dc8b74U,     0xb96922beU,     0x01ebe91fU, \
    0x9bb300caU,     0xc623256dU,     0x4aea497cU,     0xb51b46dfU, \
    0xf8e2c976U,     0x1500f3efU,     0xee256d96U,     0xebd4b5feU, \
    0x2758ff7dU,     0xdbb2905aU,     0x637ee41cU,     0xc021ec98U, \
    0x1a0d8714U,     0x63e45f48U,     0xe47a7d21U,     0xe1400201U, \
    0x31f2f402U,     0xdf2a5230U,     0xf1855c4aU,     0x64b95121U, \
    0x5b8a84b4U,     0x68fc9618U,     0xed0643f7U,     0x4da9a756U, \
    0xc8b171c2U,     0x2146148dU,     0xf472e55aU,     0x4478c918U, \
    0xba42aa0bU,     0xdf5e31adU,     0xfb070981U,     0x7349baccU, \
    0x256d6743U,     0x98cef5edU,     0x06a822c0U,     0x5cd7e6d0U, \
    0x52717876U,     0x3dd33576U,     0x7102e4a0U,     0x2662d795U, \
    0x9844725aU,     0xf9773970U,     0xf3baceb8U,     0xd4cb6565U, \
    0x781755e6U,     0xda30aa6cU,     0xbe945af7U,     0x313470daU, \
    0x4044733cU,     0x4c55312fU,     0x3d496cf1U,     0x8e5d006cU, \
    0x36e401cfU,     0x9ec90cb7U,     0x74a2730dU,     0x1633fe50U, \
    0xe0912601U,     0xdec0ab34U,     0xfad07b74U,     0x0edf7328U, \
    0x0624c09bU,     0x6107d521U,     0xe46372d8U,     0x8be42196U, \
    0xae23919eU,     0xba4e6364U,     0x7e53db33U,     0xa5c0892fU, \
    0x49695e71U,     0x75aafde7U,     0x97b38072U,     0xb4629609U, \
    0xd7d30df4U,     0x73418c41U,     0xe9fb831eU,     0xb80a2fb9U, \
    0xa8f78fcfU,     0x5f8bf621U,     0xe6d14e7bU,     0x6dc4bbbaU, \
    0xb9773fdaU,     0x739ce02bU,     0x341e8fdeU,     0xe29778c8U, \
    0xa912e56bU,     0x2e48cd96U,     0x7b8bd886U,     0x482411cfU, \
    0x322318a7U,     0xce8c4afeU,     0x0218a370U,     0x00f60255U, \
    0x6dad6467U,     0xf311488aU,     0xa7844dc2U,     0x8c4ef95eU, \
    0x0138c79cU,     0x8d696aa8U,     0xf8dd3084U,     0x5ee65e8fU, \
    0x012f192aU,     0x57f15f1dU,     0x28d01cddU,     0xda6dbfd9U, \
    0xe83be877U,     0x25cc1b41U,     0x0f967ddaU,     0x06f72189U, \
    0x6c856535U,     0xbd48dfe6U,     0xb17613d5U,     0x714ae48dU, \
    0x998bb7b9U,     0x47fbba9fU,     0xfa49bae8U,     0x2604230fU, \
    0x322fad84U,     0x0e4033acU,     0xbaf19881U,     0x0090453aU, \
    0xabb8628dU,     0x9f816bd0U,     0xe7170b13U,     0xd6c83261U, \
    0xf4f8e0b9U,     0xc0e8b608U,     0xb3ac94f2U,     0xe421270dU, \
    0xe6e6a925U,     0x10024158U,     0xbfb54befU,     0x4270fbffU, \
    0x7d652af2U,     0x192612d2U,     0xcc832048U,     0x696590b9U, \
    0x1217c51cU,     0x49a27e52U,     0x8316bda4U,     0x38f7b52eU, \
    0x2b3bc843U,     0xcf7db685U,     0xe985a566U,     0xa4c1441aU, \
    0x143a37dfU,     0xb7bee8d3U,     0xcc4d84a2U,     0xd20fe588U, \
    0x7ee2442bU,     0xc0af180aU,     0x1b4cf98eU,     0xa6080db4U, \
    0x3ed78e36U,     0xe966aad1U,     0x674a4b7bU,     0xdbb9f458U, \
    0x4d2aa5f7U,     0x4edc279dU,     0x5709ad58U,     0xf068ba4eU, \
    0x31809b48U,     0x5cb560a9U,     0x17952016U,     0x19f01f5bU, \
    0x22122ff9U,     0x7fe318a8U,     0x2a186433U,     0x80e0f302U, \
    0x5c161395U,     0x3aa04aeeU,     0x3f4344ebU,     0xf9deca8cU, \
    0x387ee9f1U,     0x83e7c4b0U,     0xd7d1b0d5U,     0xd4a5eff7U, \
    0x4b1b4751U,     0x1db39f70U,     0x977d73aaU,     0xaf71388cU, \
    0xfcd98b08U,     0x27c2c3d4U,     0x50dde347U,     0x6b941e98U, \
    0x00a4b2caU,     0x28228400U,     0xefdb76ddU,     0x8c1f3a7bU, \
    0xde8461baU,     0xdca43b48U,     0xff1ee769U,     0x76a67c3dU, \
    0x964ae31fU,     0x093fcafdU,     0xe6aac0c3U,     0x30a17c8aU, \
    0xa70b3d08U,     0x7dee147bU,     0x65fae7f4U,     0x5805d5fcU, \
    0x4d14b7cbU,     0x5f2bd954U,     0xecedafccU,     0xb5b8d5bcU, \
    0xc145af18U,     0x4db1cbd6U,     0xd6da86b5U,     0x1143605fU, \
    0xb1c3ecb1U,     0xb8936ffeU,     0x478441a6U,     0x5c5b004cU, \
    0x66997b1eU,     0xe4f3ab53U,     0xae6ffcf9U,     0x29adde4fU, \
    0xac45d865U,     0xd2f04f43U,     0xcbdc564aU,     0xc02215d6U, \
    0xd800614cU,     0xb92f9737U,     0x8414e864U,     0x93db066fU, \
    0x349c5fdaU,     0x504a54e1U,     0xe49aa7ddU,     0xb1ecdb13U, \
    0x173d68d9U,     0x043c38cbU,     0x5a08f7e4U,     0x75bca4c5U, \
    0x9139d5b4U,     0xcceef8c9U,     0xef836d50U,     0x3e4ac5b3U, \
    0x711ff0b0U,     0x9c5d358aU,     0x79905cd6U,     0xf2b69607U, \
    0x74bf1574U,     0x4c812237U,     0x4c7e2e7bU,     0x6af27b47U, \
    0x2d063a30U,     0x81af913eU,     0xcb89fcdbU,     0xaed8b047U, \
    0xd18571d0U,     0x088ffd75U,     0xeb03becbU,     0x7ef014aaU, \
    0x36e7f009U,     0x812a41a4U,     0x11438c1eU,     0x49b31f53U, \
    0x6d7335cbU,     0xd089117bU,     0x85a1de4aU,     0x9c6a5545U, \
    0x6951942eU,     0x75ac7e43U,     0x1d4a430eU,     0xa7bf2b6eU, \
    0xa535a50eU,     0x7cbc68feU,     0x413cfb4dU,     0x9c2d460aU, \
    0x6ff07d66U,     0x246cdd2aU,     0xecaebe03U,     0x4d161fceU, \
    0x0d0b20f0U,     0x93584ea6U,     0x4a25682cU,     0x6d6b58acU, \
    0x749fa1ceU,     0x0a3025e4U,     0x018e7ad4U,     0x0788efa7U, \
    0x59233cc3U,     0x92d44498U,     0x77da5edeU,     0x8632eff9U, \
    0x889a6fa1U,     0x207a2ec9U,     0x0ca47204U,     0xfde47c01U, \
    0x1c77a731U,     0x8c9a14f9U,     0xddb51a7fU,     0x9bfe87f8U, \
    0x71004910U,     0x71533f0aU,     0xd104700cU,     0xf0e2964eU, \
    0x995e0990U,     0x86439d1aU,     0x8236d456U,     0xbf1a68a3U, \
    0xd2361a86U,     0x73a6e6baU,     0xbc0dd918U,     0x895a21feU, \
    0x3ecf8db3U,     0xc49cbfb1U,     0x83c77fa1U,     0x1239d495U, \
    0x1e2ba521U,     0xd94640efU,     0x21848e71U,     0x2a9050a8U, \
    0x90ad8ed3U,     0xda012657U,     0xd6a9588aU,     0x9cbcde8dU, \
    0x690a2b52U,     0x8405367eU,     0x82d5834aU,     0x82f3d1e5U, \
    0xb4b5760cU,     0x6f762a57U,     0x5127ae76U,     0x24666343U, \
    0x9d082409U,     0xd09e15b5U,     0x53da5cb0U,     0x75bcb36fU, \
    0x5fcc9be2U,     0x8ee8dfe3U,     0xee15ae56U,     0x01656ec2U, \
    0x6f735f2bU,     0xe1af8be3U,     0x8be36df5U,     0x323aca2fU, \
    0x789630fcU,     0x599fadb1U,     0xca01c659U,     0x7d39fe47U, \
    0xc279eb9fU,     0xc63c6bb3U,     0x0ec5e24fU,     0xe118889cU, \
    0xff53ec24U,     0x0560c070U,     0x26ac8a8fU,     0xd2759cb2U, \
    0xec853c22U,     0xfdb0be47U,     0xd90b8676U,     0xf3a15057U, \
    0xb7bf84b5U,     0x88ac2ea2U,     0x2d598c69U,     0xdb18b833U, \
    0xbe4ce505U,     0xa51a5af9U,     0xf567cf10U,     0x2a108fceU, \
    0xa3a1b8a2U,     0xc1331e28U,     0x836508c0U,     0xa3fc5011U, \
    0xe518e530U,     0xa55fe946U,     0x4743a24dU,     0x8bab1556U, \
    0xa5b33da6U,     0x3b559571U,     0x0e275cc2U,     0xf8c80930U, \
    0xad3d1aabU,     0xf0b7d3f2U,     0x75511b80U,     0xdc84f53dU, \
    0x6eaccb16U,     0x19ca2b6dU,     0xa8fa2be0U,     0xa5f1eb58U, \
    0xbf882071U,     0xbb4217f2U,     0x2624c55bU,     0x44f2f3aeU, \
    0xc796f430U,     0x1460ce9dU,     0xdc6a7425U,     0xef429dfcU, \
    0xea2124d0U,     0xe82fa7b0U,     0xf398dd67U,     0xcae45123U, \
    0xc6e85973U,     0xaf1d8c87U,     0x32494835U,     0xa20ed163U, \
    0x0c6223e3U,     0xed470d5cU,     0x60162294U,     0xb379f650U, \
    0x2d06098bU,     0x79a32dcaU,     0xb0fbdafaU,     0x89c6d87bU, \
    0xed078f19U,     0x43061e55U,     0x17032d4dU,     0x5b226042U, \
    0x3c89f386U,     0x487da082U,     0x52c5a466U,     0x764d7ad1U, \
    0x07581611U,     0x26cb3f39U,     0x5ab89192U,     0x57a054e0U, \
    0xa80a6dd6U,     0x10f906d6U,     0x0695d906U,     0x4c7ae230U, \
    0x48e521e2U,     0xf6b54037U,     0x7b9c5379U,     0x29042026U, \
    0x9767379fU,     0x12533ec6U,     0x0ce0f611U,     0x63a28980U, \
    0x92a4d270U,     0xb2cfc2d7U,     0x2d3079adU,     0x7c041212U, \
    0xf1b83491U,     0xb9fc059fU,     0x886ce372U,     0x860dd7ffU, \
    0x0cdb8298U,     0x32fb5471U,     0x513e06daU,     0x536c8574U, \
    0x8568f862U,     0x275d878bU,     0xdfef88f6U,     0x59a08658U, \
    0x07e40de8U,     0x0f6f487eU,     0x6563f724U,     0x47c0f89dU, \
    0xa25f9edfU,     0x36a64ea4U,     0x8cb16d35U,     0xe35ebe36U, \
    0x45372cb3U,     0xecfaddecU,     0x07aeafe8U,     0x3938454bU, \
    0x2e9341f1U,     0x8bae60f0U,     0x630b27cfU,     0x8653f8feU, \
    0x9a6fa302U,     0x7fb3a20dU,     0xc5f1b8ccU,     0xf707aafbU, \
    0xd84efc11U,     0x3e8f5fa1U,     0xff41ab88U,     0x8f439ab0U, \
    0x44a2702aU,     0x0889ad6dU,     0x6f237d9dU,     0x7388caacU, \
    0xdd7d9220U,     0xf61792ddU,     0x370890e3U,     0x0c04f5b6U, \
    0xda91b777U,     0x1611ad20U,     0x01ee4968U,     0x5709666dU, \
    0xcc6cbe57U,     0x424c1666U,     0xaf2ef6d4U,     0x33086d23U, \
    0x00d8eb50U,     0x2c3c6470U,     0xbc9b2125U,     0x2599a3b5U, \
    0xf6ba6317U,     0xf56d1863U,     0xfbae6a10U,     0x94a646c5U, \
    0x23fa189cU,     0x9061273dU,     0xcbd9b09dU,     0xe4ff994eU, \
    0x5d7711c2U,     0x854912c0U,     0x2e67d2fcU,     0x5a147609U, \
    0xe58afa3fU,     0x868a60cbU,     0x6b8891d4U,     0xa4b9115aU, \
    0x2edd5fabU,     0xfd79996dU,     0x3d73fedcU,     0x1e6777dcU, \
    0x73d31f12U,     0x91bceaa7U,     0x181b51edU,     0x6f5892fbU, \
    0x3a681c2eU,     0x537c3cb4U,     0xe6196a76U,     0xbc3745fdU, \
    0xe3f8a19cU,     0xee319e3fU,     0x4534f336U,     0xb07b6ee0U, \
    0x14e6540eU,     0x245f2effU,     0x48c38485U,     0x9660b3d9U, \
    0x7ab33b27U,     0x6726eb0eU,     0xcc629664U,     0x4fbd3b4aU, \
    0xc3d0ce90U,     0x10da969aU,     0x96df946aU,     0x095e49b9U, \
    0xb8357b69U,     0xd9e2d778U,     0x5d34a97fU,     0x09117156U, \
    0x234fe527U,     0xec0d5ba7U,     0x93b3f06cU,     0x3506bd5dU, \
    0xe47907b6U,     0x11e524ffU,     0x69b5e8abU,     0xa1af9619U, \
    0x20bcac27U,     0x04f83263U,     0xaaa8336dU,     0xf2052cf9U, \
    0xc019495aU,     0xc4d0d8c9U,     0x50327b94U,     0x224fbb03U, \
    0xcdd48d6eU,     0x76b39c48U,     0x24b3caf4U,     0x02f8e767U, \
    0x53e47002U,     0x955ed2a6U,     0xcb089adaU,     0x508d60f9U, \
    0xa79cb319U,     0xbcffbcb4U,     0xe3317dcaU,     0x7ca584b0U, \
    0xd630c323U,     0x3584a0d8U,     0xc05b8dccU,     0xddef322aU, \
    0x585ef6aeU,     0xe3b60e46U,     0x0e4d06b8U,     0xcea70d77U, \
    0x9d98d719U,     0x48bcddc2U,     0xceaa01b4U,     0xc31b7804U, \
    0xe2937615U,     0x2463104eU,     0xb61221d6U,     0xb6292e80U, \
    0xc33a148bU,     0x0abadf11U,     0xf00f9c39U,     0xcc90a3b7U, \
    0x437748a6U,     0xa1b0b8b8U,     0xc4dace14U,     0x84070025U, \
    0x098383a8U,     0xb769a106U,     0x92f45d6fU,     0xfc5eaa0cU, \
    0xfb9dd39bU,     0x016a3001U,     0xec4a29a5U,     0x18b2cdedU, \
    0xeb2ce47fU,     0x56b5fc30U,     0x964a6979U,     0xe623c4a7U, \
    0xc3493ff8U,     0xe6dcade5U,     0x8edd5eedU,     0x5444a8bdU, \
    0x98975ea7U,     0xd7c4dba0U,     0xde1c6757U,     0x4284c05bU, \
    0x509e807aU,     0xf0119885U,     0xbf6ac328U,     0xac8bb8aaU, \
    0xbc006d63U,     0x02c9e4b0U,     0xd6d38740U,     0xa53bde60U, \
    0xb3b815eeU,     0x590e6a5aU,     0xe11e4cbeU,     0xa64d7c02U, \
    0xfd56a6a5U,     0x457d7ef6U,     0x33a614caU,     0xab52340eU, \
    0xad65c77eU,     0x508759b4U,     0xe4bb10b2U,     0x746419bcU, \
    0x5df5a690U,     0x9237f925U,     0xd9a9de4cU,     0x65a60dc7U, \
    0x89c04812U,     0x378d7299U,     0x4551b6daU,     0x76ba43d3U, \
    0x44b2f28bU,     0x1effb434U,     0x01676d15U,     0xc6157d13U, \
    0x495e1732U,     0x979d6afaU,     0x75ec2b20U,     0xd9c187a3U, \
    0x5c8a9cb1U,     0x1d3a96e9U,     0x56e18b10U,     0xbb4a8fd9U, \
    0x6fb12d3aU,     0x0a5917baU,     0xe5995a0dU,     0xcb65170aU, \
    0xdfb20f84U,     0xcfcf209fU,     0x5746708dU,     0xe7f42e7eU, \
    0xc9573c8dU,     0x190a4c23U,     0x01db2dc1U,     0x8f12f7c8U, \
    0x2b0b60b1U,     0xb444c563U,     0x4804e26eU,     0x93231994U, \
    0x601e1489U,     0xec08cc55U,     0x48cdf982U,     0x0af13f7bU, \
    0xa5295d0aU,     0x73b7ea93U,     0x129f737fU,     0xcf005f68U, \
    0x707f5a97U,     0xa0715686U,     0xb34785faU,     0xbe8b263fU, \
    0x82409b34U,     0x4a23b577U,     0x4a46fd5cU,     0xfdc2eec8U, \
    0x33b2b537U,     0x86b98909U,     0xde678f61U,     0x41f25f2eU, \
    0x9f94d1fcU,     0x06d206b4U,     0xf7352850U,     0xcf8e9bf4U, \
    0xb0278d86U,     0x6940bf3fU,     0x882ccba2U,     0xb14f8932U, \
    0x7be771ebU,     0x52e73979U,     0xe5196833U,     0x0781011bU, \
    0xf059e300U,     0x5269f212U,     0xe10375eaU,     0xbac3573cU, \
    0xbf3cb09eU,     0xa36e252cU,     0xf55dd256U,     0xe29b15beU, \
    0x5af4e8bfU,     0xbf748ef8U,     0x1c4c6c7dU,     0xfef02c61U, \
    0x25cea0baU,     0x018d732fU,     0x17951d97U,     0x7fade4d6U, \
    0x35a275e8U,     0x064f9356U,     0x3d61e102U,     0xe603eb21U, \
    0xd718f3f7U,     0xed053aecU,     0xa4c6a7b9U,     0x368326e5U, \
    0x5dc1e637U,     0x18e5d252U,     0x95dd86f4U,     0x39652b89U, \
    0x10d9b1b1U,     0xa35bd808U,     0xbfb0abeeU,     0xf064a431U, \
    0x8510b3e2U,     0x3c3e234dU,     0xb014635cU,     0x898bc343U, \
    0x3777cb4aU,     0xc6735e22U,     0x4448b693U,     0x0e5984bdU, \
    0xee1824a8U,     0x2d58d68fU,     0xde0bd56aU,     0x744f0001U, \
    0x56c278f3U,     0xaf10f1caU,     0x23150c47U,     0x30e82c65U, \
    0x3cd632a6U,     0x79818338U,     0xb45f3e9fU,     0xba029245U, \
    0x671b9b88U,     0xb7d00947U,     0x797ec96bU,     0xfe6d38a6U, \
    0xd1b2eeeaU,     0xbcb047ecU,     0x0ab57aa7U,     0xdc8433a1U, \
    0x07a2f2e2U,     0xb5ad880cU,     0xbf9c245aU,     0x8bcce5fdU, \
    0x80491d8cU,     0xa3963e0aU,     0x53dc9d65U,     0xacfcaa8dU, \
    0xbb33e281U,     0xa4033888U,     0x0e5a9d17U,     0x89a88853U, \
    0xe057dea9U,     0x0784543aU,     0x573cc3fbU,     0xa763328eU, \
    0xd69be483U,     0xc54ab018U,     0x853f6430U,     0xf2801104U, \
    0xb46cedc9U,     0x5ace0f31U,     0x93b08549U,     0x57e8c1cdU, \
    0x9813d51fU,     0xa49b4f29U,     0x7b092789U,     0xf40411e6U, \
    0x41073c5dU,     0xd0fb9b0bU,     0x91a0058aU,     0xbb4bad54U, \
    0xc94ddd86U,     0x6a61667bU,     0xcc280251U,     0x7ce64e2aU, \
    0xb06a01a3U,     0x0749a0b9U,     0x4fee3bdaU,     0x4282b62aU, \
    0xfdadca79U,     0x8fd0788aU,     0x359064ffU,     0xb5050595U, \
    0x6f8f0c90U,     0xdde329b0U,     0x7d10c524U,     0x9f369358U, \
    0x85d1e9e8U,     0xa28ab906U,     0x95b3fa77U,     0x06f5f5c0U, \
    0xdae8555bU,     0x3fec0027U,     0x9072f5a0U,     0xb54cbd81U, \
    0x8edadfbeU,     0xb69fe31bU,     0x2c3a86b7U,     0xbf53617aU, \
    0x03b368adU,     0x965db3e0U,     0x4cb21e51U,     0xced9798bU, \
    0x7e03301fU,     0xce3b627dU,     0xc14322bbU,     0x3883c1ccU, \
    0x37be4819U,     0xbd81246cU,     0x9200a8fcU,     0x68856707U, \
    0x1899ed96U,     0xbebe76e4U,     0xf1db34dfU,     0x19b42fa0U, \
    0xe100f3e1U,     0x35d07ab7U,     0x9aea28a9U,     0xcb129d8fU, \
    0x3b63ecdbU,     0xe5009895U,     0x3bcac23bU,     0xc2c12c4fU, \
    0x873f3ebfU,     0x69a89491U,     0x11f11323U,     0xda1eee03U, \
    0x72d5d083U,     0x6d96be45U,     0x9eef6d48U,     0x0e86efa8U, \
    0xc99c9051U,     0x81dd6953U,     0x7fda49b3U,     0xefa9f4ddU, \
    0xb8db14ceU,     0x309c3b2aU,     0x17c6cf12U,     0xd41ec043U, \
    0xc692b888U,     0x856a0eb6U,     0x0d834283U,     0xc4efbc70U, \
    0x04b92e80U,     0xeba7f5c6U,     0xdb1993acU,     0x7520f795U, \
    0x0a8e29f5U,     0x8ff5e11bU,     0x42e9bbb3U,     0x65a1c597U, \
    0xbd19d7e6U,     0x80d4841bU,     0x42b8ab42U,     0xd05836ebU, \
    0x2becd955U,     0x5f3efa1cU,     0xa0437c28U,     0xb1b9860eU, \
    0xda2e5653U,     0x6db5d3baU,     0xc181e869U,     0xdb8dbac6U, \
    0xe962ba4bU,     0x8ba971f2U,     0xd3b337b7U,     0xe35cb45aU, \
    0xa79004efU,     0x7dc24f41U,     0x67162d33U,     0x5217fd91U, \
    0x5485d3f6U,     0x97b6228dU,     0x41131060U,     0x9be2d2e3U, \
    0x214dbcb5U,     0xb6a6cc9aU,     0x66d1fcffU,     0x4d69f1b6U, \
    0x78f050c6U,     0x04f6642fU,     0xcab845feU,     0xdc91f2a8U, \
    0xdf381419U,     0xca8c0913U,     0x7791bc45U,     0xff0da420U, \
    0x781cf3f4U,     0x14198bbeU,     0x57a71498U,     0x7994ab69U, \
    0x81805f00U,     0xa56ce2ddU,     0x566691fcU,     0xeecf8689U, \
    0x1ba7a242U,     0x6d8ddd78U,     0xb93d0d5eU,     0x71c3e7b4U, \
    0x55ae7b9aU,     0x4d4cb21cU,     0x3dcc3bf3U,     0x7874d36cU, \
    0xcc58d4a5U,     0x8b5bbfbdU,     0x8384f3f2U,     0xf2774e04U, \
    0x790b601aU,     0xa62248e8U,     0xe222721eU,     0x28d2059aU, \
    0x71a9d8b1U,     0x530f3be2U,     0x21316494U,     0x69ed7402U, \
    0x4409aeb1U,     0x7000998eU,     0xcf12989bU,     0xe77698dbU, \
    0xce48eb6fU,     0x0b3e6e02U,     0xecf54d7cU,     0xe3d8ba92U, \
    0xf3870a90U,     0x4f85351fU,     0x5f96ad7dU,     0x08e04d40U, \
    0x544caf47U,     0x434251d1U,     0x5bec5829U,     0x60379c5dU, \
    0x6fadb447U,     0xe186a1c6U,     0x4655cc62U,     0xe9c1658bU, \
    0xcbf9b695U,     0x407804a5U,     0x5107e222U,     0x8200bf41U, \
    0x23811dd9U,     0xabf31031U,     0xc3dddcafU,     0xde33a086U, \
    0xf90b3ca0U,     0x7329ef35U,     0xba77a288U,     0x9337cc8bU, \
    0x241b8295U,     0xc22dc930U,     0x42b1807dU,     0x8b264757U, \
    0x32e79f28U,     0xdea17cbfU,     0xf6893f8fU,     0xc85b388aU, \
    0x366ac776U,     0x985bd122U,     0x6aa5fd08U,     0x024cacacU, \
    0x2a89c1baU,     0x9ed22e3fU,     0x1ffc9e88U,     0xf85baf71U, \
    0x0c9864a4U,     0x634cd8c7U,     0x52bcef0eU,     0x39c07ac3U, \
    0x38febe85U,     0xdfec4421U,     0xc0b548b2U,     0xf40c5253U, \
    0x214c3715U,     0x1cc3a5a8U,     0xab18ba8cU,     0xe981c65bU, \
    0xe9fd47e4U,     0x5f5ad216U,     0xf9264432U,     0x5d1619baU, \
    0xdbdeed07U,     0x0a6a46ccU,     0x52c09ed7U,     0x94f0bed1U, \
    0x26d30494U,     0x5779e7c5U,     0xf31dcc4fU,     0xf1454ba8U, \
    0x30965b07U,     0x568f01f8U,     0x8b6cdacfU,     0x0b752b70U, \
    0xcea1e90aU,     0x10dc3f78U,     0x100c3e72U,     0x503f955eU, \
    0x4d4b1fd4U,     0x591d324cU,     0x5e8bb2ceU,     0xd23968beU, \
    0xf1a0a697U,     0xa0e99feeU,     0xcba07d12U,     0x3df6e8cdU, \
    0x2113b536U,     0x65a2ecdfU,     0x99e817c7U,     0xaf4d1387U, \
    0x1f88e8cbU,     0x4e93acc9U,     0xb9008048U,     0xb8ede47cU, \
    0x0bca8ec4U,     0x9d531fbaU,     0xa91d9092U,     0xa553f88bU, \
    0x9021a435U,     0x990c1558U,     0x2121ca3dU,     0x2458f49aU, \
    0xdb57382dU,     0x10fc576bU,     0xd535647aU,     0xe253c466U, \
    0xb15e4106U,     0x591b7695U,     0x6deca848U,     0xe7232d3eU, \
    0xee4ba15dU,     0xfca669a7U,     0x6484c2fdU,     0xb14888d5U, \
    0xed7f1551U,     0x61df3659U,     0xc4475d1dU,     0x32686eefU, \
    0xfcc93b12U,     0x69c18e88U,     0x55e14c86U,     0xd5ee11dbU, \
    0x6e494220U,     0xb6415964U,     0xf4f780c8U,     0x02ddb377U, \
    0x9427c684U,     0xad0fc866U,     0x433f02c8U,     0xed47da3cU, \
    0x146d7676U,     0x53213414U,     0x6bd27415U,     0x0c2077deU, \
    0x31a88bd3U,     0x351d8839U,     0x30154870U,     0x1e636cf6U, \
    0xb349d359U,     0xfcdef225U,     0x1db117aaU,     0xa218c1d6U, \
    0x84b4aacdU,     0x2e3063b5U,     0x006d6594U,     0x162105e2U, \
    0x11178df8U,     0x21d470f3U,     0xc424e1d2U,     0xcccb83f3U, \
    0xd4ddae21U,     0x4e709fc4U,     0x05148e87U,     0x5b9e4ef7U, \
    0x696b85f9U,     0x2a7c9f12U,     0x1f1c7114U,     0xdabbd074U, \
    0x7d2d7c2cU,     0x23e3736bU,     0xea2710cfU,     0xbef297a4U, \
    0xa055bcd4U,     0x22bb19ddU,     0xadbe3103U,     0xaafdc453U, \
    0x4cc27b1bU,     0xeadc0da1U,     0x23bfb6c9U,     0x92887c2cU, \
    0x9804c6bbU,     0x1207d35bU,     0x9fb3dc95U,     0x173dd626U, \
    0x06cd9f6cU,     0x0d508b1fU,     0x62b8a86dU,     0xe040f521U, \
    0xdb8c75dbU,     0x1579db12U,     0xe3af77dbU,     0xb695cdf1U, \
    0xf2c0269aU,     0x6cd144c8U,     0x0f95680bU,     0x8013fae2U, \
    0x798cd1bfU,     0x75abf202U,     0xa2272555U,     0xa65774f1U, \
    0xa47ab3bfU,     0x4c6a5b72U,     0x9c5a6ea5U,     0x416eedfeU, \
    0x7a6bb5c7U,     0x2af492a3U,     0x45756562U,     0xf32c10dcU, \
    0x9df38515U,     0x8c6e4403U,     0x1b7c0c33U,     0x59be35c6U, \
    0x5f1d0cb1U,     0xa96befcfU,     0xd8390938U,     0x06b0a044U, \
    0xb15a9ef0U,     0xe9e119b7U,     0x971bc741U,     0xe5e16d05U, \
    0x5f805222U,     0x3e9599f0U,     0x2cd9977cU,     0x957f8e56U, \
    0x0ede9d4dU,     0xa2547401U,     0xfa3b1fb9U,     0x562899b9U, \
    0xbe038c36U,     0xdc0beeb0U,     0xd6f7a163U,     0x7e227354U, \
    0xdfdffff1U,     0x676b5440U,     0xa565ae7aU,     0x247865bdU, \
    0x4c2be4a5U,     0x9511861fU,     0x0b66fac0U,     0x990471c7U, \
    0x22b94de7U,     0xce7eaf0fU,     0x5f51c699U,     0xa03abec0U, \
    0x3703ae3dU,     0x9cc73a4bU,     0xaf8cb2a5U,     0xb594b663U, \
    0x3a6e3d2eU,     0x6aa18be0U,     0x386786ebU,     0x027b21d0U, \
    0x071cdc70U,     0xac9ef0a0U,     0xdc8a90ccU,     0x153543f8U, \
    0x6db2b269U,     0x29ae29b9U,     0xb2df5b06U,     0x58c2c6abU, \
    0x2d3fb0a5U,     0x90b95902U,     0x7c13dee7U,     0x0c0f712dU, \
    0x8faf643cU,     0x363990a4U,     0x9c0aa47aU,     0x6da6e530U, \
    0x8a89eb9cU,     0x1f332716U,     0x0aa93c28U,     0xb17ecb1eU, \
    0x2b3c6489U,     0xc5abfa9dU,     0x705bbd48U,     0x618b1675U, \
    0xc1148debU,     0x9deea3beU,     0xca8bf215U,     0x185ba397U, \
    0xc1532da6U,     0xb38dec52U,     0xe590e638U,     0x1a5ae4e6U, \
    0x16623262U,     0xaaa766f9U,     0x086f3d45U,     0x6f310a1fU, \
    0x9e9deee8U,     0x4910ae0bU,     0x34c498a2U,     0x88500e2dU, \
    0x2dcb27c5U,     0x0d4c6d97U,     0x7380fe49U,     0x34e23c1fU, \
    0xb6f48d2dU,     0x88fea340U,     0x897a9654U,     0xcec925feU, \
    0xa0778060U,     0xf2e323b2U,     0x818809a6U,     0x19deb71bU, \
    0x41ce01c7U,     0x89fe9f44U,     0x59cda005U,     0x5bd347e4U, \
    0x19109804U,     0x811e06fbU,     0x7d25d64cU,     0xb8f83468U, \
    0xb06b170fU,     0x650b206aU,     0x576eef17U,     0xf910e381U, \
    0x1f9f5377U,     0x35d7518aU,     0x6ed0ec5aU,     0xa318b33aU, \
    0x9f7a9d3cU,     0x527aae0eU,     0x7dd2e5f0U,     0x0db484ceU, \
    0x5b250b24U,     0xc0d2a30cU,     0x78514a7dU,     0x1edc94a0U, \
    0xc7ba82b2U,     0x531f24fcU,     0x7ca47d17U,     0x61560a9aU, \
    0xc6d518bdU,     0x3052f72dU,     0xb3d6dccdU,     0x7a6cf9a6U, \
    0x932b100eU,     0x056b5f7aU,     0x7c0ad48dU,     0x9ebfbe6eU, \
    0x48161c80U,     0x259a4e47U,     0x030bf2b8U,     0x3b9e9ae4U, \
    0x9fbabb8bU,     0xb7c8ca83U,     0x5760ea9aU,     0xd88d60fdU, \
    0x3b7c0fa3U,     0x93f818f1U,     0x2a091ebaU,     0xeed7fc82U, \
    0x5cb0d4c6U,     0x9d0564baU,     0x063e1ea7U,     0xbe4b8b92U, \
    0x30a0bf99U,     0xdb569a55U,     0xfebd28ffU,     0xa9b15d5dU, \
    0x9113f28eU,     0x3cef2bddU,     0xb9cd9b85U,     0x435edcc9U, \
    0xb48300e3U,     0x81975322U,     0x8194967bU,     0x1a1dee11U, \
    0x8b89441aU,     0x90e7c447U,     0x28ea423cU,     0x6b6a4d9eU, \
    0x84eac74cU,     0xa9c2715cU,     0x59f456efU,     0xf5decc47U, \
    0xfd796eeeU,     0xb7c17aacU,     0xeef82efaU,     0x0bba3759U, \
    0xf53d46faU,     0x5cd59422U,     0xcd3647a2U,     0x19ac6420U, \
    0xef5c4c2cU,     0xc9b102cfU,     0xffde2479U,     0xd4749e7aU, \
    0xe8ff0b4cU,     0x418b6845U,     0x84957ef4U,     0x68f75bd4U, \
    0x651a10beU,     0xf89161f0U,     0xf1d47d62U,     0xb6a921b4U, \
    0x5fb6c8acU,     0x5198b9e3U,     0x677fc341U,     0x3e4cf6a3U, \
    0xc273f3b0U,     0xb858a86dU,     0xcb8d593aU,     0x997cfe48U, \
    0xa99b409cU,     0x66a9aa5fU,     0xb634d057U,     0xdb2fc406U, \
    0x71b61b8eU,     0x16ffc33eU,     0x627594acU,     0x13ebfee5U, \
    0xc1bd6bd5U,     0xc579fb69U,     0x93792fb3U,     0xff718656U, \
    0x3d5c8689U,     0x2707c785U,     0x869fec95U,     0x8ff44108U, \
    0x64d5eb88U,     0xfa55b8fbU,     0x3947b414U,     0x12fd3713U, \
    0x4b162edcU,     0xcaef3de4U,     0xd73efb0fU,     0xa8964c33U, \
    0xb4544614U,     0x5e1eb8fcU,     0x35b46d8bU,     0x552c6040U, \
    0xe749d4bdU,     0x740b09dbU,     0xf11516a0U,     0xabbc8dd8U, \
    0x4c768a0fU,     0x4aad2d49U,     0xf1e35fe8U,     0x9910de3dU, \
    0xb9f76452U,     0x9bdba4f9U,     0xd1822da1U,     0xa722af50U, \
    0x76c9d7f6U,     0x0d289614U,     0x4125c8aeU,     0x01007bc1U, \
    0x18340120U,     0x87a61cd9U,     0xfe89eac5U,     0x103775c9U, \
    0x89962d36U,     0xbebaa6b1U,     0x0f49ef81U,     0x09db44f1U, \
    0x61c759b7U,     0x0257b979U,     0x3db58225U,     0xee13bf0cU, \
    0xfe2f3aa4U,     0x65c13e2fU,     0xcbbb57e3U,     0x8fcd3cf2U, \
    0x5a9235daU,     0xc32fb2dfU,     0xe284d196U,     0xf9b8e174U, \
    0x3fd3fc08U,     0xbb699404U,     0x4c76a577U,     0xc85f223eU, \
    0x1dd32ebbU,     0x2077da8cU,     0x90d5a601U,     0xa7a85c16U, \
    0xc9192e4aU,     0xa6bcd538U,     0x3c585900U,     0xea48e889U, \
    0x89a19940U,     0x5d8ee96bU,     0x8f29d8a3U,     0x1bdb2944U, \
    0xeb362834U,     0xd0fe9e55U,     0x76c356afU,     0x1b12507bU, \
    0xa2dd1ccbU,     0x41fed002U,     0x43a29c0bU,     0x9f0e6707U, \
    0xadfc084fU,     0xbeee31d2U,     0x4c9caebeU,     0xe6a411c9U, \
    0x4fe71e6aU,     0x54b468dcU,     0x7e915f0fU,     0xf401299dU, \
    0xd784b3caU,     0xf49a6b39U,     0x4b116ecaU,     0x2406b2a8U, \
    0xb01ec389U,     0x5155bff8U,     0x459c1ddbU,     0xd49acc0bU, \
    0xe319c4c9U,     0xc4c6ca43U,     0xa95cb50dU,     0x8a5d6fb7U, \
    0x245eeb5dU,     0x294cc18bU,     0xc2c79c85U,     0x3230fca9U, \
    0xac12c9c9U,     0x783edb67U,     0xf9bb2b7cU,     0xf1f6061eU, \
    0xbb24c8e5U,     0xb8e0838cU,     0xebbea181U,     0x37a8e137U, \
    0x83223a1aU,     0xd907cad0U,     0x73b324c2U,     0x1bd5d5a0U, \
    0xfde035a8U,     0xbe97346dU,     0x3863e4a0U,     0x0329e6ebU, \
    0x2f884261U,     0xf4b4241dU,     0xc40a4ee0U,     0x9ffa9236U, \
    0x855a6a4cU,     0x0fe14394U,     0xeb44bfd6U,     0x212f7585U, \
    0x17e17154U,     0x2fb0aebfU,     0x1966e643U,     0xa2d314f5U, \
    0x2fc009afU,     0x8564a07cU,     0x44380fd7U,     0x7642e9e0U, \
    0x2501f74eU,     0x01fc86f6U,     0x6cb1dc60U,     0x4a82d45fU, \
    0xc4e69e2eU,     0xc55f6ed3U,     0x3a9834e3U,     0x5311c40cU, \
    0x423f502dU,     0xc7782245U,     0x5f8ec549U,     0xc011ebfdU, \
    0x3de7b651U,     0x09891214U,     0xf8cd8943U,     0x145a0e0bU, \
    0x680f6a8fU,     0xc31de600U,     0x0082a8a4U,     0x257aed52U, \
    0xfe3709b5U,     0x08fe6209U,     0x2c407107U,     0x14c043afU, \
    0x4d9037c4U,     0x97103ea4U,     0x54fc4ee2U,     0x646df9d6U, \
    0x8585782bU,     0x18491fd5U,     0x5c21064eU,     0xd73d99abU, \
    0x8563a55aU,     0x982a78a8U,     0xcdb1b915U,     0x1677148cU, \
    0x9a7be5bdU,     0x610e45bcU,     0x6549fbbaU,     0x9d5ba8c2U, \
    0x2bed542bU,     0x7035c5d3U,     0xc1d35e77U,     0x085c2330U, \
    0x1e42a77bU,     0xb6a508d2U,     0x66002181U,     0x2c731cbeU, \
    0xb6051b79U,     0x33d3a71aU,     0x1b6faa1aU,     0x3356a817U, \
    0xf481f66aU,     0xc04a4ae9U,     0x3137a8d5U,     0x2b9f5307U, \
    0x23bf3647U,     0xa7697d45U,     0xe6f209bdU,     0x131e2bceU, \
    0x856d4ce3U,     0xebc96617U,     0x25792426U,     0x15b82b62U, \
    0x67327269U,     0x718248c2U,     0xd2326284U,     0x654e2a49U, \
    0x85c9a2f1U,     0x6b614262U,     0x905289d1U,     0xc3f9fe12U, \
    0xc20c8074U,     0x130b773dU,     0xacb26d9cU,     0xf745edf0U, \
    0xddcbce18U,     0x343ed3e5U,     0xae71de51U,     0xb6f48cb1U, \
    0x016a94abU,     0x99837a64U,     0x88a1a896U,     0x87e86a56U, \
    0xe7b13eadU,     0x47fa2b2aU,     0x6e38a0acU,     0xcb11d36fU, \
    0x14aae082U,     0x8aba9f2fU,     0xcd034775U,     0xf7c5f9f4U, \
    0xbe19e363U,     0x1ca3bed3U,     0x69143b2fU,     0x782e81e5U, \
    0xd83926ceU,     0x8fa59cb5U,     0xc9c0275cU,     0xfba7e766U, \
    0x40089ba1U,     0x4cc6da53U,     0x70918cfeU,     0xa8af9f38U, \
    0xb1c3da2aU,     0x913fc9d7U,     0x3835e7b1U,     0xb6f8b11fU, \
    0xf82a55d7U,     0xff87909aU,     0xe6045f22U,     0x80fe6bd2U, \
    0x3c6797b7U,     0x1077843eU,     0xff1c41b2U,     0xb2b2f6a5U, \
    0x842defb5U,     0x4c8777d9U,     0x44a087bcU,     0x2f782a2bU, \
    0x8368d7fcU,     0x87fbb981U,     0xd6f31a53U,     0x63248152U, \
    0xaa344418U,     0xcd81b301U,     0x9ffcef2cU,     0x75b0096aU, \
    0x1d753085U,     0x1e7248bcU,     0x82387648U,     0xa8c53994U, \
    0x304c1913U,     0x126524f8U,     0x95c1dfb7U,     0xcdf6c136U, \
    0x4da08927U,     0x5e8f8ddfU,     0x0e55fe81U,     0x1a9ae343U, \
    0x152b8413U,     0xbb83b71eU,     0x4150ab57U,     0x805053e7U, \
    0x68f50c6dU,     0x1cf10ebcU,     0x24442d3aU,     0x96f62f14U, \
    0xf80c822cU,     0x92177ef0U,     0x2a91134cU,     0xedda0ab5U, \
    0x394195e8U,     0x3b56848bU,     0x4dba9d2dU,     0x468a2c5aU, \
    0x99dad525U,     0x50b0b270U,     0x4b5e82d1U,     0x5d72bfb8U, \
    0x5a771e9cU,     0xf118feb9U,     0x1ed4530aU,     0x911b8b4bU, \
    0xae0fa9dbU,     0x2e68c17aU,     0xb9ff7dcbU,     0x21384e1eU, \
    0x053ccd5eU,     0xeea6dc5dU,     0x40f635e2U,     0x5b454969U, \
    0x1f456124U,     0x7f0469d5U,     0x8fa0d126U,     0xc291102eU, \
    0x970cf15fU,     0x5cc997c4U,     0x5615f1b4U,     0x0a2a0d5aU, \
    0x57261e1fU,     0x2c55f1e4U,     0x13732608U,     0xb340deb0U, \
    0x0f61c461U,     0x3e04f19eU,     0x5b20be40U,     0x5d716eeeU, \
    0x454318a7U,     0x5590ffdbU,     0x3c41b44cU,     0xbe432940U, \
    0x374845d0U,     0x0526795aU,     0xed37f2fdU,     0x0476246aU, \
    0xd554aee8U,     0xd20d94b5U,     0xa05727faU,     0x0a2d0ff5U, \
    0xead32053U,     0x66848dffU,     0xfbbde72bU,     0xa0b3e818U, \
    0x5f17eb22U,     0x8f5117f3U,     0xecda4c39U,     0xb8420330U, \
    0xfedae675U,     0x54dde947U,     0xb72b07deU,     0x0c1fdf4aU, \
    0x9875dc8eU,     0x039bc267U,     0x35395251U,     0x2589c0b0U, \
    0x822b6d7dU,     0x9e600699U,     0xea1dd8ccU,     0x0f6ab2d8U, \
    0xba7aee01U,     0x3b243b82U,     0x6043998dU,     0xa1a99357U, \
    0xb69d69fbU,     0xefe79041U,     0x01967695U,     0x561bff74U, \
    0x9e1867e3U,     0xc38c8688U,     0x2f36b6aeU,     0x166ee609U, \
    0x6c801560U,     0x0940a9f6U,     0x15afdbcfU,     0xb2d415a8U, \
    0xc0fbf1eaU,     0xb3cee2d4U,     0xe0393066U,     0xfbef6adeU, \
    0x49dffca8U,     0x46e60320U,     0xb434410bU,     0xe7f103daU, \
    0x1c5c767bU,     0x34e026d2U,     0x2d382935U,     0x502f98feU, \
    0x32e248c8U,     0x10c6b1c2U,     0x4756b130U,     0xc2ad10afU, \
    0xb8f116eeU,     0x39f1a379U,     0x74b5270eU,     0x0c324640U, \
    0xac95061dU,     0xdb81d04eU,     0x1701a922U,     0x2b5864e5U, \
    0x79a368ffU,     0x50e83001U,     0x8afaac55U,     0x07bc7a94U, \
    0x421d3fedU,     0xa85af07dU,     0xa7627cacU,     0xa79864d1U, \
    0x4a5cf6a7U,     0x542077a3U,     0x6f5a38faU,     0xa7391f84U, \
    0xad550dbbU,     0x231ee333U,     0xafef4c1bU,     0x49d2528aU, \
    0x25a6cb9bU,     0xec816e55U,     0x6314776dU,     0x34efa58eU, \
    0xd9963324U,     0x7b72d639U,     0x34d855c6U,     0xa0e34343U, \
    0xf28fbf87U,     0x3dcfb46fU,     0x97665179U,     0xe5dccb1bU, \
    0x1c2a4a94U,     0x8c315caaU,     0x4504335aU,     0x63f14d8aU, \
    0x4b57d830U,     0x6a933b31U,     0x580cf810U,     0xba517fbaU, \
    0x88ccf2b5U,     0x9ff543c0U,     0x4e03db46U,     0x5d63a491U, \
    0x1017836eU,     0x6b219d08U,     0xa4fc389eU,     0x83e8fabbU, \
    0xfa973610U,     0x25ff090eU,     0x76862bd9U,     0xca2b6aeaU, \
    0xe4b02d47U,     0xd8138246U,     0x679623a5U,     0x647001feU, \
    0xd9e37e47U,     0x38572efbU,     0xc1553d29U,     0xef44666dU, \
    0x740342c1U,     0x346bd359U,     0xf1bf62acU,     0xddd7a4b0U, \
    0xcb842f3cU,     0xcc4a00fcU,     0x0199853dU,     0x1deea637U, \
    0x05fca48eU,     0x959e29ecU,     0x5dcbfcfeU,     0x883ea817U, \
    0x4bd22021U,     0x313b4e12U,     0x09a61b01U,     0x3f91ad3cU, \
    0xd6bb58b4U,     0xc257d855U,     0x5547a8d0U,     0xff199e72U, \
    0xa63eb372U,     0xeab880c4U,     0x1ab25446U,     0xe1bb9720U, \
    0xb40dc735U,     0xb75a4443U,     0x52082490U,     0xdcdcd3faU, \
    0xa06edde3U,     0xc5af7f71U,     0xc6f2b56bU,     0x1109119eU, \
    0xfcee1c70U,     0x0a5cdd4cU,     0x380e9333U,     0x147782dbU, \
    0x42cda3ebU,     0x50613d47U,     0x4638f243U,     0x158a176fU, \
    0x9b496b3fU,     0x96f2cc7dU,     0xf7541644U,     0x37f3619fU, \
    0x93179711U,     0x655e618dU,     0x478c02f7U,     0x799f5a44U, \
    0x9955146fU,     0xed99986fU,     0x06dc0672U,     0xac4811e7U, \
    0xf0bc6026U,     0xee0d887eU,     0x060917b6U,     0xb5f88e73U, \
    0x5ffb6fd6U,     0x28063009U,     0xf39aeea4U,     0x2cdf506bU, \
    0x4ec7a886U,     0x61b125c9U,     0xab36ee25U,     0x69b111f7U, \
    0x7c286a2fU,     0x08ee2014U,     0xa79f5e8fU,     0x4bee2088U, \
    0xa498d659U,     0x7d8f4739U,     0x9f7ff575U,     0x98f23b46U, \
    0x621bfa65U,     0x471cbbc5U,     0x90d9d7c0U,     0x2cac0107U, \
    0x84ea24e5U,     0x55c2ba9bU,     0x1c2dc16aU,     0x7f3c76ffU, \
    0x954a3859U,     0x55169637U,     0xd4ec5486U,     0xb68cc75fU, \
    0x3195a707U,     0xba6a8652U,     0xabe686e0U,     0x2cf51a96U, \
    0x17f298caU,     0xe527aa8cU,     0xe1d1314eU,     0x5848d928U, \
    0x15b146b4U,     0x03c33f45U,     0x4f21edd0U,     0xedf71324U, \
    0x9da4512dU,     0x4a9b7f53U,     0x109793eeU,     0xcd5e3939U, \
    0xce2163f7U,     0x03300190U,     0xcf9e02e9U,     0x033b3ef4U, \
    0x3d984b69U,     0x5c506561U,     0x3034eaebU,     0x1d29b6caU, \
    0xa53404eeU,     0xacc441c4U,     0x127b7a88U,     0xbd4c8889U, \
    0x399f602eU,     0x97394955U,     0x2161f7c1U,     0xe96ea7c0U, \
    0xd9060fa6U,     0x5e0d14b5U,     0x52da04eaU,     0x7a8f47dcU, \
    0xe9292649U,     0xbd1ace1fU,     0xd11635d0U,     0xe410e3d6U, \
    0x2afb6704U,     0xf2e10a5cU,     0x2a22e7d2U,     0x3d6ba4e6U, \
    0xb59d6f01U,     0x24d6df87U,     0x4d48d003U,     0x88c1ccd1U, \
    0xb5030f71U,     0x408cfeacU,     0x21dc371dU,     0x7da45cf2U, \
    0x1702712eU,     0xb37cecffU,     0xe49774f9U,     0xf143a635U, \
    0x01d62683U,     0x1362b995U,     0x5e586910U,     0xaeff3cfaU, \
    0xa07b9648U,     0xb7b3843aU,     0x78f4a883U,     0x1fbe7bb3U, \
    0x5d428dfbU,     0x277eb990U,     0x98f20901U,     0x3f30ea2dU, \
    0x7137c9ebU,     0xd5225badU,     0x91a136c3U,     0x8d54a37aU, \
    0x77082139U,     0xd182827dU,     0x47b0972cU,     0x9fc61c91U, \
    0x6b6a3861U,     0x55798826U,     0x31c501c2U,     0x077cf366U, \
    0xe7cff7d4U,     0xb961c252U,     0xc4464ce0U,     0xa76e654fU, \
    0x76bf5f8dU,     0x25dfe526U,     0x708066c8U,     0xaa52c434U, \
    0xb6efaa9fU,     0x6b5041adU,     0x7568f673U,     0x8d0af2f8U, \
    0xd07769afU,     0x23ba3572U,     0x32440d7aU,     0x86885f13U, \
    0xce5c9edbU,     0x7b5fabd9U,     0xd7f1dd65U,     0xe004f3d9U, \
    0x4a756692U,     0x9b33c08dU,     0x1175d1e4U,     0xc371ef28U, \
    0x1630f336U,     0xf595de97U,     0xe871025aU,     0x021c7123U, \
    0xee6cc72aU,     0x5b646befU,     0x90e6dd8bU,     0xda280e32U, \
    0x5756d3faU,     0x59570880U,     0x1676b1c2U,     0xf5850370U, \
    0xc00e6e33U,     0xc020f0caU,     0x744466a5U,     0xc81f26dfU, \
    0xc6b92adfU,     0x802b26b3U,     0x30ec41bdU,     0x62fbd2a0U, \
    0x41679669U,     0x33553797U,     0xa7332dfcU,     0x090841ffU, \
    0x63893713U,     0xd7662f01U,     0xb362b928U,     0xf7404cb4U, \
    0x11f1c88cU,     0xb921b4abU,     0xeeabce5dU,     0xc76bff18U, \
    0x36113944U,     0x1b3be111U,     0xecf2ba90U,     0x2f9361cdU, \
    0x303b1e63U,     0xba2c4dd3U,     0xc1e3ec9cU,     0xb657961cU, \
    0x02c5dbcaU,     0x33a247c5U,     0x3e62affdU,     0x955ae105U, \
    0x4904640fU,     0x2bd94c28U,     0x4af4fcdbU,     0x5f18a52dU, \
    0x1ea99162U,     0x42a4d26dU,     0x435c34bdU,     0x90448877U, \
    0x88a9d7aaU,     0x6c97bcdfU,     0x805083dfU,     0xf7731952U, \
    0xbdbebf37U,     0x9138fe60U,     0xba17f00eU,     0x1da0c09dU, \
    0xf85f3481U,     0xfa248d78U,     0x1c2c4a16U,     0x7303f85bU, \
    0x76731f98U,     0xdc8a0273U,     0x2d1cf23fU,     0xf1c85045U, \
    0xc6b84fb2U,     0xded5b6afU,     0x8a8591abU,     0xa8f93fefU, \
    0x0a5b231dU,     0x24ea1263U,     0x5b5925b1U,     0x022e80caU, \
    0x0c878a73U,     0x74c64fa7U,     0xf1777a0cU,     0x13f81cc4U, \
    0x0be53d7aU,     0xeda40506U,     0xbebd91d5U,     0xb0001118U, \
    0xaee49397U,     0x30c550abU,     0x40bacda8U,     0xfbb19c99U, \
    0x94ba01cbU,     0xcc82c9efU,     0xb6d9785fU,     0xb263ab3dU, \
    0xd5b925c4U,     0x20843b59U,     0xe074e03aU,     0x8fb22336U, \
    0x28dcefefU,     0x58eeb06aU,     0xc79f6e5fU,     0xd106274aU, \
    0x3f045026U,     0xcc6a08d8U,     0x73f2f9d7U,     0x79e5362aU, \
    0x500a87a0U,     0xecb9de63U,     0xfc5ebfcaU,     0x89e0fb32U, \
    0xc9c7270eU,     0x8a48e4faU,     0x91eb1ec8U,     0xe6b8c0f4U, \
    0xd9bcc644U,     0x70a2122dU,     0xf8c99428U,     0x9092af5eU, \
    0x9bb88eeaU,     0xafa1e137U,     0x3b3b2fc2U,     0x32d48224U, \
    0x3655666fU,     0xbf459ff2U,     0xe0f14b47U,     0x0724ac29U, \
    0xdf07dafcU,     0x2bb5e448U,     0xe1faf469U,     0x18a5a5a5U, \
    0xbf8852beU,     0x69154b49U,     0xd9d79273U,     0x7c3b65a5U, \
    0x86a8fc2eU,     0x38fa158eU,     0x1d0eb245U,     0x040373faU, \
    0xf657d21eU,     0x4683c1deU,     0x6006bf17U,     0x5cedc57dU, \
    0xb55a8c40U,     0x606c8443U,     0x46b83ef2U,     0x0856fb46U, \
    0x5fc42260U,     0xe9844088U,     0x140f216cU,     0x630ba937U, \
    0x9a785974U,     0x5ed9d24cU,     0xa0e53dfaU,     0x40766a07U, \
    0x1d59b224U,     0xb0f32a5cU,     0x55d941daU,     0x8b3acca2U, \
    0x15bb009cU,     0x91b03089U,     0xacbf8950U,     0x08cc0682U, \
    0x9219f5f8U,     0x5ec44eb6U,     0xc34373bdU,     0xc1d507c1U, \
    0x3ae2d569U,     0x311280c4U,     0x5a02d1aeU,     0x704f9ca7U, \
    0xba9b291eU,     0xeb79d491U,     0xdff4173eU,     0xc339334aU, \
    0xd4d21d80U,     0xdbb62840U,     0x2d588ab1U,     0x30a2313aU, \
    0xb34da5aeU,     0xc5e16ed5U,     0x253dac02U,     0x65cb19bdU, \
    0x740cfa24U,     0xec94d67aU,     0x9280f92dU,     0x7a1be7a6U, \
    0x5b80e531U,     0x76bc3820U,     0x193f762dU,     0x86692aedU, \
    0x15a52f98U,     0x5d11021dU,     0xa9025be5U,     0x2160ef22U, \
    0x2e6ff54bU,     0x088e8443U,     0x4a9ffcc7U,     0x72b7e034U, \
    0xf928228aU,     0xc241d917U,     0xc6ac87a0U,     0xc4ede537U, \
    0x68298c15U,     0x7d2ed944U,     0x5e101ebbU,     0xe3763f01U, \
    0x6be5a916U,     0xb0a46ab3U,     0x53709dddU,     0xc9b7f1ecU, \
    0x12c39c90U,     0xd8bc70d9U,     0xaed796ceU,     0xe3a83eb4U, \
    0x18dd03a3U,     0x0a6b30e7U,     0x4bf71442U,     0x0be113c2U, \
    0xe6b41690U,     0xef718e80U,     0x74d61aceU,     0x66b779aaU, \
    0xa0e72e37U,     0xd8946d00U,     0xda08602dU,     0x0c0a6290U, \
    0x66eda058U,     0x900c408cU,     0xb74be37aU,     0x6fbca8c4U, \
    0x788e49f3U,     0x9c964a94U,     0x9d19001dU,     0x1c287859U, \
    0x680dddefU,     0x98f0c673U,     0x81c7923aU,     0x3ca4fa8bU, \
    0x98a60969U,     0x7b439656U,     0x958b075eU,     0xbc3965f8U, \
    0xacbafaa8U,     0x703714ceU,     0x3bafea02U,     0x332323f3U, \
    0x6e937857U,     0xfbeaa930U,     0x252b0232U,     0xbc675963U, \
    0x3e468335U,     0x39f2d1ffU,     0xde810513U,     0xb2be86d6U, \
    0x4d10d558U,     0xefbf5bbbU,     0x468c4c23U,     0x53a5825eU, \
    0x40909579U,     0x6ae1c5feU,     0x39ebcd01U,     0xaa2996beU, \
    0xdac006c2U,     0xb04a5597U,     0x5ccf769aU,     0x96b2ca2dU, \
    0x8c6c499eU,     0x25e71d30U,     0xae590376U,     0x83a56a5eU, \
    0xbd843c37U,     0x81df80a0U,     0x767392d4U,     0xabe96f0eU, \
    0xa67818c4U,     0x0b99f907U,     0xcf4ff99dU,     0xb51472e3U, \
    0x251607a0U,     0xb5e3e475U,     0x4e3b4fafU,     0x57624d29U, \
    0xddc1d0a9U,     0xbcb16497U,     0x51caa6ecU,     0x60d92f4bU, \
    0x91ac2a94U,     0xe52bc847U,     0xa615ddc2U,     0xa33d3b74U, \
    0x8e0bf0c1U,     0x44f261eeU,     0x5e81578bU,     0xc12b90fdU, \
    0xa8ad0e50U,     0xe5226614U,     0xdd20b83dU,     0xe0a47b72U, \
    0x9926f0f3U,     0x3244bf3aU,     0x88e4ca46U,     0xe6011bcdU, \
    0x56f1dcfbU,     0xe8b71ac5U,     0xdd87e3f2U,     0xd3deba31U, \
    0x34e224b7U,     0x55161382U,     0x93d71755U,     0xffe46848U, \
    0x93d536f8U,     0x27805b81U,     0x85571a4dU,     0x1264c2e2U, \
    0x239813ccU,     0x955ab82cU,     0x6baf77beU,     0xbc633892U, \
    0x5cb60daeU,     0x40776380U,     0xce6fb1e1U,     0x71eaff24U, \
    0xdde58927U,     0xfd9e20feU,     0xe4c21e1eU,     0xcf03b3fdU, \
    0x0420f0aeU,     0xed171819U,     0x2be60c91U,     0xd12142b1U, \
    0x2b06983dU,     0x07adf678U,     0xbea732acU,     0x6051e6a4U, \
    0xe0dfad42U,     0x6cefe469U,     0xd6119d49U,     0xff1caa94U, \
    0xb79f727fU,     0xcade9462U,     0x730312efU,     0x2270dcaaU, \
    0xd226287aU,     0x4ae63d24U,     0xed1491ceU,     0xddd27994U, \
    0x8a183d55U,     0x2c570942U,     0xc428e639U,     0x745c69fbU, \
    0x976d17caU,     0x05d007eaU,     0x35bd8105U,     0x67f4a9a3U, \
    0x43d05554U,     0x5f509497U,     0xd9c16774U,     0x39a4f0ceU, \
    0xffd5569cU,     0xeb6ad227U,     0xdbbfa12dU,     0xd4b37aa8U, \
    0xde8e8609U,     0xb68da4e1U,     0x74a003caU,     0x5632d21aU, \
    0xf9f35826U,     0xb1f728caU,     0xbdfce9b2U,     0x10be4913U, \
    0x52037790U,     0xea33898bU,     0x87ee1dd4U,     0x0a08acf3U, \
    0xff018734U,     0x553be1e0U,     0x62551eb5U,     0xb231eeb2U, \
    0x049d7143U,     0xdf1d765fU,     0xe68bc101U,     0x53fd3963U, \
    0x3542aaf3U,     0x7debce0fU,     0xb2525615U,     0x7e0640fcU, \
    0x1b720ccfU,     0x7003c98eU,     0xa4b0e9c7U,     0x8287c341U, \
    0xfa191dc1U,     0xb96c09caU,     0xf8a85922U,     0x96636e7aU, \
    0x7813730cU,     0xe5078913U,     0x9ec7ec62U,     0xa1945db6U, \
    0x5bbd3426U,     0xc6edfc2cU,     0xdc05d0d2U,     0xec5473baU, \
    0xc311cdbaU,     0x9eb78e7eU,     0x076cad24U,     0x23a61b9aU, \
    0xeffd9757U,     0x97d9cbb2U,     0xadeb0e26U,     0x5ab6a908U, \
    0xb93b2af4U,     0x931c9897U,     0x91a4865eU,     0x6a9db2b5U, \
    0x3247747fU,     0xa4a6846cU,     0x27903ca4U,     0xcbb2f10aU, \
    0x339ee244U,     0x2b283885U,     0x09d924a5U,     0x35e33421U, \
    0x054014bdU,     0x42bbd615U,     0xea530a9cU,     0xde49d144U, \
    0x40e91480U,     0x2638e02dU,     0x769bb423U,     0x1fefc2b9U, \
    0x2059b8d6U,     0xa1134a0aU,     0xec4b33a1U,     0x71097ab9U, \
    0x43dce23dU,     0x387084c0U,     0xb389789cU,     0xce28fb82U, \
    0x1f3786b6U,     0x426dbe25U,     0xe88f5587U,     0xb2e04bf3U, \
    0x50582428U,     0x1959bffaU,     0xbba90f4fU,     0x7b8d18acU, \
    0x09860aabU,     0x6014de1bU,     0x45e8a651U,     0xddfd18bfU, \
    0xdfb15df1U,     0x5e4840ccU,     0xa1ce90d1U,     0xaf4c8882U, \
    0x97d33e7dU,     0x7dc28dbdU,     0x7cc2ff52U,     0xe8dbfdfdU, \
    0x607f6867U,     0x4fe2dff1U,     0xb66fffdfU,     0x619cb6adU, \
    0xae583e0bU,     0xcc002e42U,     0xab30f975U,     0x6dae4337U, \
    0xe944c518U,     0x7e5fd743U,     0x67fbabdbU,     0xc890fda1U, \
    0x945e32deU,     0x9f817f28U,     0xc46f5065U,     0x8af920b6U, \
    0x6b600db6U,     0xd4c3f298U,     0x4dccdec8U,     0x162df276U, \
    0x2ff6cc52U,     0x51bfde25U,     0xad918c93U,     0x6550e3f7U, \
    0x5f5a9e60U,     0xc62b3b7bU,     0x98ef3722U,     0xb8896afaU, \
    0x77314c13U,     0x280b0fe4U,     0x22989da5U,     0x1e7238aeU, \
    0xe63c52e8U,     0xea11240fU,     0xd566c4faU,     0x2ed9f3bfU, \
    0x7d2b44e7U,     0x4d8e8beaU,     0xc2bb8fb5U,     0x596a99b3U, \
    0xd72ffe07U,     0x4da60d87U,     0x215f90c6U,     0x2afa83c3U, \
    0x1e8cd4bcU,     0xbd0905a9U,     0x0ef520e0U,     0x1db99a75U, \
    0xf83a4a98U,     0x94f45f84U,     0x9e589b4eU,     0xc79ad911U, \
    0x9082b4c6U,     0x07ae99a8U,     0xaedd1978U,     0x6921a64bU, \
    0x39519e55U,     0x80144eadU,     0x44f21787U,     0x009afb11U, \
    0x0a29298aU,     0x76eae7bcU,     0x9af16479U,     0x230c15dcU, \
    0xb23b50aeU,     0x5f6c387dU,     0x68a504f7U,     0x6a4902e1U, \
    0xbea07a15U,     0x24962bcdU,     0xd31e416eU,     0x86dbc2c0U, \
    0x1492bf24U,     0x4d81af19U,     0x7aae51c3U,     0x16c464b9U, \
    0xaa273c05U,     0xd2aa42a3U,     0x54364766U,     0xc941768dU, \
    0x666e37deU,     0x138bc339U,     0x02f1ea4eU,     0x25e9d4cfU, \
    0x7a03ba5cU,     0x04b32486U,     0x7458fc8cU,     0xf1a80819U, \
    0x00019debU,     0xbf174037U,     0x2f7eeeeaU,     0x040fc05fU, \
    0x61eff59aU,     0x963d62aaU,     0x1e2013ccU,     0xc4f59a87U, \
    0x2421b700U,     0x3bf5b3b4U,     0x0db42c68U,     0x2d62f122U, \
    0xbcde1b6fU,     0x184b4035U,     0x524ad15cU,     0x039f14c0U, \
    0x57aa0af2U,     0xe73eec9cU,     0x7bf5003aU,     0xa9540c7eU, \
    0x635838bdU,     0x5175f7b2U,     0x73871496U,     0x830b496eU, \
    0x96e143eaU,     0xad138680U,     0x0ec8a6a5U,     0x8c59fd7bU, \
    0x2382ebecU,     0xabddd5a4U,     0x3975bea1U,     0x5cf968e7U, \
    0x40a4535aU,     0x2edf1039U,     0x075546f7U,     0x004de3e4U, \
    0x1b2b0f0eU,     0x2677108bU,     0xc2d092d8U,     0x00486ee3U, \
    0xf4302c07U,     0xedc20970U,     0x572cfe55U,     0x253d1b95U, \
    0x90be5a35U,     0xd90b03a4U,     0xae4f44c3U,     0x4e1f2525U, \
    0xa7d0f335U,     0xa51efc6dU,     0x5ba68c25U,     0x52b435daU, \
    0xf56b18e9U,     0x78e6b036U,     0x5d848be1U,     0xd383ff1fU, \
    0x3cee424eU,     0x98e8930dU,     0xf30b936cU,     0x9ca92c60U, \
    0xf47b6914U,     0x4e2becceU,     0xadf0676fU,     0xf56c05daU, \
    0x16c66418U,     0x090b9390U,     0xdc7f3cbeU,     0x801fe825U, \
    0x396ccadfU,     0xafff08faU,     0x195606f1U,     0x9746680eU, \
    0xe2bc5147U,     0x5524d627U,     0x090ada1dU,     0x182390b8U, \
    0x16aa8310U,     0xa2f1a57fU,     0xe07c2d3aU,     0xa8392764U, \
    0x63a18f7fU,     0xcdade8a3U,     0x9da4b9dbU,     0xd095a82bU, \
    0x473a30e2U,     0xf2b956f6U,     0xc5a3e9ffU,     0x7283b947U, \
    0x81e3d471U,     0x2855a491U,     0x0aed72e8U,     0xd4845606U, \
    0x42b36275U,     0xe97b6cbbU,     0xbcea6b3cU,     0x2c28dabaU, \
    0x52d96a6fU,     0x20b473cfU,     0x71d90e55U,     0x6e504a71U, \
    0xb7bd49e5U,     0x57343dffU,     0xc2f7d65bU,     0x0fae4a44U, \
    0x65fc8619U,     0x26583a1fU,     0x0b8b45c6U,     0x13114218U, \
    0xbf27ddd1U,     0xefe6a9acU,     0xe5ef60a3U,     0xbab52d7aU, \
    0xc5ba69e8U,     0x15f55a13U,     0x5b70e5e5U,     0x745adb40U, \
    0x8ee9f943U,     0x5554eb2bU,     0xbd00270bU,     0x4487dd0cU, \
    0x9ef687f7U,     0xe81c2af4U,     0xf64bd008U,     0xd34f70b5U, \
    0x6f9248ffU,     0x41549046U,     0x2d670d54U,     0x4a9a130aU, \
    0x071ca8f7U,     0xa20f28b3U,     0xcafa35c1U,     0x09fe875dU, \
    0x9e545738U,     0x0d43e66bU,     0x3e569ee6U,     0xab5473a5U, \
    0x54cffa38U,     0xe01a34a9U,     0x70a250acU,     0xdabd7116U, \
    0x80d7e102U,     0x2192d1b2U,     0x75c65fd6U,     0xe70d9f0aU, \
    0x30ac0458U,     0x0fadb505U,     0x96b77ceeU,     0x9f851309U, \
    0xf3aa4937U,     0x9b92227dU,     0x5777ee6aU,     0x4eb5293fU, \
    0x5b14709bU,     0xf8855edeU,     0x1c0cf29cU,     0x47941696U, \
    0x793e23d5U,     0x394970f6U,     0xc7703a3cU,     0x5f027824U, \
    0x5d6308caU,     0x07a3b1deU,     0x3bab0a8aU,     0x619e3ecaU, \
    0x0369174cU,     0x3108004aU,     0x24a1833eU,     0x62103c37U, \
    0x3d6e2db3U,     0x33f3ec90U,     0x59d12b50U,     0x96f99e0eU, \
    0xd99d2986U,     0x7ee71b87U,     0x8660f071U,     0x4a797a70U, \
    0xf7097f3aU,     0xbdb59056U,     0x9c7c91c6U,     0x2c0794d4U, \
    0xa580ead0U,     0xb7abb956U,     0xa20cba1fU,     0xae992a09U, \
    0xf163b8d1U,     0x404916f6U,     0xeede6e09U,     0x4e62d817U, \
    0xb44eff60U,     0x752862cdU,     0x7773b57eU,     0x497df314U, \
    0xdc0ef2ceU,     0xa8cb8812U,     0xd7dd3dfaU,     0x52696f11U, \
    0x0e31ba01U,     0xa9c05a5aU,     0xc8b4b0ffU,     0x7372c286U, \
    0x65c3d5a5U,     0x96fe4cd1U,     0x0f90e863U,     0x9dc7e3d9U, \
    0x8bac971dU,     0xa253a140U,     0xbfd420e9U,     0xc958cdd7U, \
    0x52b1f808U,     0x2489600cU,     0x2237da19U,     0x7474a448U, \
    0xdbdb0294U,     0xf2e1ab28U,     0x6ba324c6U,     0x489a8702U, \
    0x1593daf8U,     0xfa1621adU,     0xfabf2f42U,     0x261ddaceU, \
    0xf78cbbfdU,     0x83bece07U,     0x548ddb2bU,     0x8bf6d6b1U, \
    0xb0bcbdbaU,     0x6d462439U,     0x189af9f6U,     0x703006a4U, \
    0x799bf531U,     0xe8eb039aU,     0xf9bfcd28U,     0x63e15dc2U, \
    0xb00cf61fU,     0x78b60b6fU,     0x53879635U,     0xfa3bb26fU, \
    0x322ffd50U,     0x365baf9cU,     0xa6b56eb2U,     0x9b3830b6U, \
    0xbf798b45U,     0x52c6e656U,     0x21b194bdU,     0xdad8db03U, \
    0x27fb14ccU,     0x8d31e699U,     0x0d83781bU,     0xc6d8c674U, \
    0x52e8936fU,     0x0a7cf71eU,     0xf12cbd04U,     0x252a58b7U, \
    0x50129be4U,     0x6cb99f9dU,     0xb6a80409U,     0x8a7b79f2U, \
    0xee0bafbfU,     0x019d804cU,     0x38d38756U,     0xe6f68eedU, \
    0x78927135U,     0xef8cb859U,     0xd74150baU,     0xa34baeb5U, \
    0x406b0fbaU,     0x4c311d0dU,     0xbcd18aacU,     0x29be7fd9U, \
    0x0ea1dabaU,     0x9488bc9eU,     0xa181a2d6U,     0x9720dcfaU, \
    0x37c32724U,     0xed5802b0U,     0x89e8dc42U,     0x98d8a0c5U, \
    0x500a6c47U,     0xeea06f99U,     0x314deb9aU,     0x819103daU, \
    0x60a63c91U,     0xe53ad4c5U,     0xc9710d1eU,     0xa368335fU, \
    0x7978ef7eU,     0x037ab620U,     0xfc2347cfU,     0xccafb2f3U, \
    0x190d0239U,     0x599ff2b9U,     0x429928d6U,     0xce44c2b8U, \
    0xbb6f70fdU,     0x807e3f0cU,     0xf45d24cbU,     0x87ec7f0eU, \
    0xfb7fa8a0U,     0x2b85e117U,     0x9f01afb4U,     0xa0a070aaU, \
    0x4c7e1cf9U,     0x940e8c0dU,     0x09b0ed48U,     0x2ce70d8cU, \
    0x1e32f97eU,     0x42992310U,     0x6d991a0dU,     0x320ed27aU, \
    0xb9d3b6edU,     0x99252342U,     0x5a927748U,     0x700e5414U, \
    0x2e225c6eU,     0xb697974aU,     0xae82ec1fU,     0x6dce19d0U, \
    0x598b99f6U,     0x5214e5edU,     0xaca23b94U,     0x60395d8bU, \
    0xae1311cfU,     0x989381c4U,     0x993f1e73U,     0x5c239f7fU, \
    0x2f1074afU,     0x4e1942bdU,     0xf5ab2884U,     0x6e3ffefaU, \
    0x2f3b1b4eU,     0x3e737c42U,     0xdf4ed945U,     0xd63786a1U, \
    0xc0c0f127U,     0x5919d295U,     0x1dd3cfb3U,     0x601b5412U, \
    0x46a738b2U,     0x4d8dc742U,     0xb5c1f2a1U,     0xef7f8ef3U, \
    0xf42ec8c5U,     0x62e945f6U,     0xc03589deU,     0x84c10863U, \
    0xcf10ca79U,     0x0f2ebcdeU,     0x8126d561U,     0x85f78172U, \
    0xc1adbd7dU,     0x360728e1U,     0x2be33cc7U,     0xe6f8c7abU, \
    0x5023f720U,     0x0e435dcdU,     0xd049391eU,     0x7cca3c96U, \
    0x738518eaU,     0x0041c43cU,     0x00b11026U,     0x66614f34U, \
    0x0ab8fa6eU,     0xbd6b8da2U,     0x495dd1f4U,     0x0a8cad47U, \
    0xf4d2663bU,     0x0ed58349U,     0x717f4760U,     0xd1015474U, \
    0x6113d724U,     0x4554f89fU,     0x88b07d58U,     0xdb6258faU, \
    0x1792880eU,     0xea2a61e0U,     0x21b93d50U,     0xf91bcd15U, \
    0x867a1cf6U,     0x3e57cfa8U,     0x53b92984U,     0x357d1809U, \
    0xbe3685b5U,     0x88c41330U,     0x0ffd403eU,     0x1413ef84U, \
    0x0a93f40dU,     0x5d1b8861U,     0x810070a9U,     0xb5204bd4U, \
    0xcba3793cU,     0x9b1e803dU,     0xa7a9359bU,     0x53efc731U, \
    0xcd09d3faU,     0xb35d2034U,     0x82238bc4U,     0xbf255d03U, \
    0xa0ae6bb5U,     0xbd6f5c9fU,     0xa6173507U,     0xd87d1368U, \
    0xd4922f68U,     0x8b065856U,     0x35890497U,     0xe3b54783U, \
    0xbef1aba4U,     0x896bc72dU,     0x76ce9001U,     0x53d687c6U, \
    0xd51dbe69U,     0xba550472U,     0x3b092c49U,     0x9446c957U, \
    0x89bc6eb9U,     0xc7284eb2U,     0xcf316f4eU,     0x92c587f2U, \
    0xd56f9bedU,     0x4801024cU,     0x8ec165f1U,     0x1b7579f9U, \
    0x44177e78U,     0x7dc001c1U,     0x94d83b15U,     0x3a6ba40dU, \
    0x72512ee3U,     0x73b94671U,     0xecf90961U,     0x34dfbedbU, \
    0xc9ba6ae8U,     0x816588aaU,     0x55d2be3eU,     0x3949bdddU, \
    0x0103b70aU,     0x0a4160f3U,     0x05644a01U,     0x5f6f7844U, \
    0xcda5ad6cU,     0x97b086d4U,     0x5ce71a2aU,     0xbc28df53U, \
    0x4f975542U,     0xd4c77c56U,     0x68ddd85eU,     0x12b4e151U, \
    0x71722d30U,     0xbe5ea98fU,     0xf1c78a20U,     0xb0786308U, \
    0x67c142e2U,     0x349f30a7U,     0x1d7e741bU,     0xf352f1f4U, \
    0x76d15209U,     0x9ad8c73dU,     0x3730a7e5U,     0x06065f75U, \
    0x08bb16ceU,     0x5d8c75e7U,     0x7bae6b26U,     0x6252a834U, \
    0x35070efeU,     0x2a1402e7U,     0xbaf1973aU,     0x62a0be69U, \
    0x9494ee3dU,     0x82660cf2U,     0x32f6dbbdU,     0x9baa5820U, \
    0xb59ae536U,     0x60c17b4dU,     0x02977a5aU,     0xf2223955U, \
    0x37eaecc5U,     0x75c50e43U,     0x5183c58aU,     0x6b9fbe2bU, \
    0x249aac52U,     0xd528afb7U,     0x49e2252aU,     0x42681271U, \
    0x3ee44679U,     0x0d841b37U,     0x4290c902U,     0xf2bf0ff5U, \
    0xa1f22133U,     0x854066c0U,     0xb64e5362U,     0x024c90f9U, \
    0x7cd35805U,     0x03cf5f4fU,     0x2a5cebd6U,     0x1e13bb10U, \
    0x9635d0d7U,     0x32b772f9U,     0x81b8569fU,     0xe1805cdfU, \
    0x2b4d47ecU,     0x28b881dcU,     0xd4afc09cU,     0x6b160a42U, \
    0xb0167f42U,     0xf9e81441U,     0x20f6da0eU,     0x45b1d6b3U, \
    0xdcc82136U,     0x8b7d20d0U,     0x41acc22dU,     0x6e19e7daU, \
    0x0bd0a01eU,     0xca78f3a5U,     0x23f2b0b5U,     0xa05b5114U, \
    0x54363f09U,     0xc73e6458U,     0xb53147baU,     0x5e8857a9U, \
    0x8788a7aeU,     0xc9d92b6dU,     0xe1476c48U,     0x641d86bdU, \
    0x1dedea20U,     0x19d77d99U,     0x9c372184U,     0xfc902f7aU, \
    0x759e9bb8U,     0x2716e0beU,     0x3db21269U,     0x26ef7c73U, \
    0xe5243be5U,     0xfd1c3ac0U,     0xa146287fU,     0x9ca037bbU, \
    0x8d5fd86bU,     0xc9da8aefU,     0x44f783ddU,     0x8ed067f7U, \
    0xe1b77544U,     0xb4d22f87U,     0xa1df1079U,     0xeecc5f4eU, \
    0xe8803a2cU,     0x47dffe5fU,     0xb23a03f2U,     0xaefa698dU, \
    0x57f9dda3U,     0x665fe592U,     0x9aa77c0cU,     0xa9a8f867U, \
    0x275fc295U,     0x5e59429cU,     0x298c231eU,     0x9f9a92a5U, \
    0xc5663869U,     0xb13c389cU,     0xc3831fecU,     0xd5481737U, \
    0x16116ffaU,     0x0343a5b1U,     0x525a8595U,     0xb2855081U, \
    0x7075b05fU,     0xbc12300bU,     0xcdbf5e89U,     0xb346a8c9U, \
    0xc6372763U,     0x2591fd4fU,     0x2969218eU,     0xb7c19dceU, \
    0xdfdbab04U,     0xa2dfa245U,     0x71f2a415U,     0x66626e1fU, \
    0x33b366b5U,     0xb03a357bU,     0xce350e32U,     0x2b1ce0b6U, \
    0x289f9935U,     0xf01c702dU,     0x9bd40776U,     0xc1f7eb0bU, \
    0x3fa18c7dU,     0x31c32db5U,     0x0b2f4472U,     0x4a6d394eU, \
    0x87e66a2bU,     0xf8e5ef0eU,     0x71683bcfU,     0xcbf88c00U, \
    0x90c2bdfdU,     0xc49c0c07U,     0x8b361b18U,     0x062e336fU, \
    0x8d837412U,     0x83cc6bedU,     0xb0263a07U,     0x12b7bb06U, \
    0xa9d7d797U,     0x98bb1aeeU,     0x2d149e41U,     0x2e418c8bU, \
    0x184d556dU,     0xc5b31855U,     0xdea8aad1U,     0x1cf8856cU, \
    0x0faf8ed2U,     0x0d94556fU,     0xf4ce53caU,     0x10c45b4fU, \
    0x84152111U,     0x90936b93U,     0x78547230U,     0x5937ae64U, \
    0x7ab2e754U,     0x7b2f0408U,     0x1db19945U,     0x7dfec2d7U, \
    0x8aa414ceU,     0x60edb294U,     0x8d9d17d5U,     0xaa10e49bU, \
    0x592e9d54U,     0x2f4c58c5U,     0x643aadf9U,     0x93c365aaU, \
    0xf6a15938U,     0xbaa0219fU,     0x38d5c7e0U,     0xa8b3ce5bU, \
    0x17328bd1U,     0xe693b284U,     0x33881526U,     0x336a3abfU, \
    0xf2037712U,     0x7a8d2770U,     0x998abfe9U,     0x24f4e4b3U, \
    0x8303a598U,     0x9e676f42U,     0xfb73312fU,     0x95534b97U, \
    0xd871ebe6U,     0xbb0db7a2U,     0x08d42ab3U,     0xb277a9b2U, \
    0x855e10a1U,     0xc0c65343U,     0x37f9e61bU,     0x8978951fU, \
    0xa30e3603U,     0x8a5f697aU,     0xd7b17791U,     0x4c2ec000U, \
    0xd33c4d82U,     0x4dae76dfU,     0x2122abecU,     0xd691d168U, \
    0x63126cffU,     0xe9e3ff96U,     0x10b6c8ddU,     0x6660ad0dU, \
    0x02774127U,     0x166756dcU,     0x2b295fe2U,     0x780d5150U, \
    0x5e653d7fU,     0xa600e43fU,     0xe29e04c4U,     0x126b611bU, \
    0x8f855721U,     0xb1f8eb33U,     0x8ae0fa20U,     0xd159e499U, \
    0x1dc041f6U,     0x83e83916U,     0x6da0de34U,     0x60bcaaceU, \
    0xaa0aa8dcU,     0x00a21c2cU,     0x6085bc41U,     0x586cb703U, \
    0x6f524449U,     0x3bb97bd6U,     0x23f77fb5U,     0xf5780b7cU, \
    0xc0af37b7U,     0x79ee2a70U,     0x2d08c863U,     0x4f4cbe64U, \
    0x2a254732U,     0x889f3097U,     0xc5b0f710U,     0x465ef627U, \
    0x42e0d514U,     0x1bb199d1U,     0x7c0c5ebfU,     0xbec4fb3cU, \
    0x2f81dfc5U,     0xeb0d6fb8U,     0x2efcf49aU,     0xae302c39U, \
    0x7439bb8eU,     0xdc96f200U,     0xc198f9f7U,     0xd7c91e3eU, \
    0x75103074U,     0x636c7170U,     0x468aec3eU,     0xdb2c3b2fU, \
    0xb95f4557U,     0x95a953bdU,     0xfb1ddd65U,     0xb6356445U, \
    0xf69fd91aU,     0x69a5d7a7U,     0x635ec200U,     0x11ed9b83U, \
    0xde94b281U,     0x177ad419U,     0x5eb20812U,     0x4dd9870aU, \
    0x72391e7bU,     0x2c497bb7U,     0x41cef0f8U,     0x0107ba96U, \
    0xe9ef8f59U,     0x3298b8afU,     0x7581e618U,     0x0c06a6cbU, \
    0xe41e8022U,     0xe3590683U,     0x9d483626U,     0x158d792bU, \
    0xc793ec52U,     0x166388c3U,     0x075d4d0aU,     0x19b645fbU, \
    0xad4ab906U,     0xc5b104f5U,     0x5accd948U,     0x08fe57f2U, \
    0x1bdc337aU,     0xda0a3ea2U,     0xa00a0f77U,     0xcf5fa80cU, \
    0xa7e37ed1U,     0x3e144b6eU,     0x17af3e96U,     0x0387abcfU, \
    0xc4c1bc18U,     0x4383f697U,     0xf21ca5edU,     0x2161448dU, \
    0x5b94c5ffU,     0x1059e100U,     0xb10e9c5fU,     0xb35c443dU, \
    0x91f7895aU,     0xae4ae37fU,     0x6c990592U,     0x353f93beU, \
    0x788bdc98U,     0xb7a6af6dU,     0xc01f6aa4U,     0xdaced118U, \
    0x27526502U,     0x9d20a490U,     0x922ca191U,     0x5954629cU, \
    0xb38a105fU,     0x377cb443U,     0xb1b81092U,     0xa524ae98U, \
    0x03d7eecfU,     0xfd0c9cd0U,     0x45fb9250U,     0x5d961fceU, \
    0x4bb9708dU,     0xd17335a9U,     0x18d3902aU,     0x5b4b7096U, \
    0x30939d1fU,     0xd45a6b5aU,     0xd5c15612U,     0x5be73fbeU, \
    0x824fa58bU,     0x1584ef90U,     0x8bf8891eU,     0x3f9a81e3U, \
    0x4ac90f25U,     0x99df7e50U,     0xd279d3b8U,     0x50d67c77U, \
    0x476afa6bU,     0x88c3f438U,     0x6238dd6bU,     0x0e063496U, \
    0xa558ac93U,     0xdcfd810cU,     0xcccd286dU,     0x8c5a7b2fU, \
    0x52aa274dU,     0xc0a73a9aU,     0x1a74448eU,     0xae89a109U, \
    0x92bbb39eU,     0x7b71574fU,     0xd345b0b9U,     0xc05a4355U, \
    0x0b377164U,     0xcd64237eU,     0x8c785a8fU,     0xaf12d3f5U, \
    0x63a901d0U,     0x13e1cdcbU,     0xb3fcaeb7U,     0x78f10cc0U, \
    0x8426ba1cU,     0xd70c679eU,     0x31738660U,     0xc323a728U, \
    0x4d4cc9cbU,     0xd44bca60U,     0xf828c639U,     0x4b4c2a37U, \
    0x3b5e341eU,     0xcf1332e4U,     0xc625ac9eU,     0xd61e5c44U, \
    0xe123862cU,     0x7d537144U,     0xb2767e14U,     0xa71ca996U, \
    0xe626eb36U,     0x52ac7cdcU,     0xcd83a936U,     0x67932ee0U, \
    0x71a873f4U,     0xa0dd26edU,     0x8516edb1U,     0x45fd4ef6U, \
    0x306c660bU,     0xa7fa56adU,     0xec7e7380U,     0x3a6c2c53U, \
    0x77eaff9dU,     0x3726f296U,     0xa62bae6dU,     0x803412a8U, \
    0x064fc22aU,     0xa733233dU,     0x773a835aU,     0x7444bf29U, \
    0xc2b4fccaU,     0x2835d1a7U,     0x12b28797U,     0x340a92a1U, \
    0xa13f8ac6U,     0x9c5087b3U,     0x9bcceefaU,     0x0f768f2eU, \
    0x552cf9f7U,     0xbdc2a85eU,     0x96b6191aU,     0x40791797U, \
    0xdbcfaba2U,     0x9c9c2cd2U,     0xc1e64324U,     0xc25147e1U, \
    0x848067f0U,     0x573484e7U,     0xdc503c66U,     0x5e8313d2U, \
    0x0ebf0b2eU,     0xc428a1bcU,     0xf57fda15U,     0xffef4ee2U, \
    0x859d3eb1U,     0x5ce3d1a8U,     0x757deb69U,     0xd53c49b1U, \
    0x4b660eafU,     0x1189e65eU,     0x73d07f7dU,     0xe746446eU, \
    0xf754da7bU,     0x1f41fb98U,     0x7c142834U,     0x7b405aafU, \
    0xb99ddd47U,     0x6f317cb2U,     0xb855c097U,     0x8d113389U, \
    0x11a762b0U,     0xccede88eU,     0x4c9efa9fU,     0xc2b95fbeU, \
    0x0c97460bU,     0xad6b2862U,     0xac7b2fa3U,     0x467fa764U, \
    0x45bd3d75U,     0x75f5d820U,     0x460fcbd4U,     0x473e8460U, \
    0x6a093abdU,     0x24ace5c3U,     0x945f13cbU,     0xdeff8777U, \
    0xbc6d6ae6U,     0xddb094aeU,     0xbd1c1b14U,     0xba5aac34U, \
    0xc1885f3bU,     0x1894ad29U,     0x72ad4c9aU,     0x438aff90U, \
    0x6776031fU,     0x95c474efU,     0x527958c7U,     0x6fa15c4dU, \
    0x1f923a7dU,     0xbca77485U,     0xa85edc38U,     0x53df27c3U, \
    0xf826f2edU,     0x4178f0b2U,     0x02a54b74U,     0x1a757ac2U, \
    0x1379e970U,     0xd212edbdU,     0x348ad5f9U,     0xccc39a91U, \
    0xa5ca7cebU,     0xaba6dffeU,     0xea3f5029U,     0xe5216435U, \
    0x66714e7cU,     0xafcb766aU,     0xae1431d2U,     0xa7724ccaU, \
    0x4912b015U,     0xf5de0041U,     0xd5646b51U,     0x79f877c8U, \
    0x8c94fda1U,     0x441569a8U,     0xd442e65fU,     0x4c7b5ffcU, \
    0xce0f110dU,     0xaa415c8dU,     0x250c88b2U,     0x1b49e216U, \
    0x68192741U,     0x22b6a759U,     0x557f97dfU,     0x8ebc6dceU, \
    0xdbe30358U,     0xe0727b66U,     0xb2803340U,     0x5bb163f4U, \
    0x553a16caU,     0xaed71913U,     0xc52cd93dU,     0x97a7c5baU, \
    0x19e01a43U,     0xee1d4629U,     0xc0e741e3U,     0xd9dad866U, \
    0x7900fd81U,     0xa12ca8c7U,     0x82c5eb44U,     0x61c0ac8eU, \
    0x97b2d076U,     0xa79807fdU,     0x8812f0c9U,     0x623ceb27U, \
    0x60989be1U,     0x73149390U,     0x9ddb5738U,     0x3ec95923U, \
    0x9eba5814U,     0x02d877c6U,     0xb56e8f07U,     0xa9ecb95cU, \
    0x0921744bU,     0x37dad7beU,     0xd2f138c3U,     0x1926f0fdU, \
    0xc2e53e29U,     0xf682f2d4U,     0x67166e06U,     0x0c3f972aU, \
    0x081e4c83U,     0xd5d8b7c8U,     0x8ab70155U,     0x74059919U, \
    0xd347da14U,     0xbc7e486dU,     0x0d4675ceU,     0x046bdc75U, \
    0xc387637aU,     0x4198b252U,     0x4af2e5a5U,     0xd33bc833U, \
    0x19e1f33cU,     0x50293242U,     0x50239dc5U,     0xe2acc4c7U, \
    0xf5f8f189U,     0x4aaf673eU,     0x59577833U,     0xda6572b9U, \
    0x9556aa0cU,     0xf3feaa96U,     0xcfd685f7U,     0x2da3bceaU, \
    0xae648c7dU,     0x2ad9526cU,     0x6a17e087U,     0x57353377U, \
    0xa9956df0U,     0xea75bb69U,     0x0a4760e0U,     0x2be1f8beU, \
    0x8fad5753U,     0xac77af23U,     0x466e534cU,     0xbfc8ef97U, \
    0xb8764071U,     0xea269045U,     0x19482614U,     0x8d52c971U, \
    0xef721930U,     0xf3230a88U,     0xf9f72962U,     0xde5e652bU, \
    0x590d6a5eU,     0x4e69aeeeU,     0xb05b42afU,     0xd1b4fc5eU, \
    0x5ddfed95U,     0xe42bb707U,     0xb01a950bU,     0xb927629eU, \
    0x9a570e20U,     0xabf1f34dU,     0xb1073a47U,     0x60a85575U, \
    0x80aad7c8U,     0x918417afU,     0xd05549c0U,     0xe26b00c0U, \
    0xa5071f48U,     0x93fe8232U,     0x811c4682U,     0xa7489913U, \
    0xbf5b1c65U,     0x78f3ff5aU,     0x6397298fU,     0x8ba0f0edU, \
    0x4ccc7bb6U,     0x0751c0f5U,     0xa40352f1U,     0xad7871b9U, \
    0x5bcb247fU,     0xcac67daaU,     0xe63b5829U,     0x2d316bf1U, \
    0x3f5d74c0U,     0x54224032U,     0x35c17498U,     0x04218574U, \
    0x2290733cU,     0x4c3dcc61U,     0x56e9225dU,     0xbd8d745eU, \
    0xcffa5cbdU,     0x6a835881U,     0x761d195aU,     0xb922908eU, \
    0x349cc580U,     0xaa26a1d1U,     0x23b66772U,     0x81ee0e55U, \
    0x3c2d01c0U,     0x735d25d0U,     0x6991e3ceU,     0x7f408458U, \
    0xc296ae5bU,     0x6919af4dU,     0x2fa0ee28U,     0xaaf3f82aU, \
    0xf8ff4b6fU,     0xe381818aU,     0xa76e1308U,     0x5b7ee590U, \
    0xfbb2f14eU,     0xebc483e2U,     0xf6fa90bfU,     0xb6a12012U, \
    0x5387db7fU,     0x71953a5dU,     0x511991b9U,     0x0d11da55U, \
    0x698c813aU,     0xc9a11ddbU,     0x4cf034baU,     0xd53c666cU, \
    0xd99eafb9U,     0xd7ef8c4cU,     0xedac1959U,     0xd0da80edU, \
    0xe082195fU,     0x037c46d7U,     0x35dddf65U,     0x07efa57eU, \
    0x83dc829fU,     0xffb14fe4U,     0xb30b382dU,     0xdc41f14fU, \
    0x12e73208U,     0xde8f7b8dU,     0xfdbf18f2U,     0x7dc53420U, \
    0x28759060U,     0x0eb52aa5U,     0xabb86f1bU,     0xeb864765U, \
    0xf47e90d7U,     0x1fcf52c8U,     0x554aaacbU,     0xfe69d66fU, \
    0x26120796U,     0xbee4b148U,     0xd7c67b3fU,     0xdfc9bf3aU, \
    0xfc733f8fU,     0x8d35f876U,     0xf45d7f4fU,     0xcbd4c315U, \
    0x008fa590U,     0xa07a5e7dU,     0x1a4615c6U,     0x8c149921U, \
    0x12dbba22U,     0xb2f27fdbU,     0xd1aa81feU,     0x17cff36eU, \
    0xbf8bffd0U,     0xac0c0439U,     0x102f58c6U,     0xd2c92baeU, \
    0x3bb1ab9aU,     0xb50db6c3U,     0x4a9a1866U,     0x9b995529U, \
    0x78855fd9U,     0x51adbca3U,     0xb2d5db04U,     0xe7a34c64U, \
    0x615217abU,     0xe3a3d458U,     0xb89510e1U,     0x232f3ed0U, \
    0x0438de4dU,     0xe7bc7555U,     0xae063394U,     0x5b4fafecU, \
    0xab813951U,     0x7898d8a6U,     0x35b1d066U,     0xa304966bU, \
    0xea8197cfU,     0x6486f915U,     0x82097b14U,     0x5fb2646bU, \
    0x892c7d32U,     0xea37606cU,     0x7af69abdU,     0xc4b3dc13U, \
    0x46d213c6U,     0x3894b737U,     0x456e4064U,     0xabf56a4bU, \
    0xaa3e2fa9U,     0xae24c143U,     0xa723492eU,     0xf25f15e0U, \
    0xea4a2e7cU,     0x01af09e7U,     0x8a08ec86U,     0x37882b05U, \
    0xdd38a4c4U,     0x98755264U,     0x0dd2fb13U,     0x920f1ae2U, \
    0x0782ceb7U,     0x87ca51abU,     0x521a4237U,     0xb5c53ae3U, \
    0x03283be8U,     0xe75fc0a5U,     0x46a5abf6U,     0xeee90504U, \
    0x9f2491cbU,     0x6e7d0bb7U,     0xa55de684U,     0x7be5b501U, \
    0x440d8515U,     0x4f37524eU,     0xce4c8c39U,     0x8e81664cU, \
    0x2148aa39U,     0x44a98523U,     0xbfed8794U,     0xa551aa1dU, \
    0xee287b38U,     0x5d5acc61U,     0x1f200b45U,     0x8c35bda5U, \
    0xb8203a31U,     0x095ed114U,     0x6c3f0f7aU,     0xa83cc878U, \
    0x445c0d7fU,     0x4d4dfc03U,     0xb2530128U,     0x74828141U, \
    0x4372ef0cU,     0x68917e85U,     0x18453f04U,     0x4e8e2ab9U, \
    0x883b3084U,     0x68571451U,     0xc1ddad11U,     0x5a857be9U, \
    0xdfdd83c8U,     0xdc753b6eU,     0x3cdcbcf1U,     0x3807dab2U, \
    0x806544ffU,     0xe7c018b4U,     0x69708060U,     0xb16b527bU, \
    0x56cd2b05U,     0xf8ef104eU,     0x182df8bdU,     0x5893a0b9U, \
    0x19febfbaU,     0x7501efcaU,     0x60c53e7bU,     0xb02262b6U, \
    0xb8c592a0U,     0x9fb653ddU,     0x819b6ffcU,     0x01848046U, \
    0x7e86ef93U,     0x8f0063e8U,     0xe535dd3cU,     0x7f3ecc35U, \
    0x887e55faU,     0x831f9588U,     0x8bef7b81U,     0x7c8a2a5fU, \
    0x57287198U,     0x94ad2c63U,     0x32279f23U,     0x111f7288U, \
    0x4c962e84U,     0xbf16a816U,     0x0e9e1a18U,     0x13d56fb4U, \
    0x8875c37fU,     0x490247d2U,     0x1e193000U,     0x00170f26U, \
    0xc518d8b4U,     0x18517a7bU,     0xbc4dc6b9U,     0xd32f5779U, \
    0x4c72c2f9U,     0xc3e48ecfU,     0x628585efU,     0x2557a684U, \
    0x4a74d05bU,     0x88e52247U,     0x2d8499cfU,     0xad18f890U, \
    0xb15e903fU,     0xfa6fb736U,     0x43db0bbaU,     0x7f10c86cU, \
    0x70a9beb5U,     0xcea04d41U,     0x756cf8acU,     0x417d0b39U, \
    0x958d9e59U,     0x1ed2b40eU,     0xc1619c9fU,     0x558c9d2dU, \
    0x15d0d3d8U,     0x8b703673U,     0x72ed940cU,     0x5df6fc7dU, \
    0xe40786a6U,     0x85f7d12bU,     0xe249fb0bU,     0xda10686eU, \
    0xf7be42f9U,     0x5a5e9695U,     0x61e695a8U,     0xcae712ebU, \
    0x743c21e5U,     0x5c44d415U,     0x0bde6174U,     0x0a35173fU, \
    0xaa878e4cU,     0x6c8b864dU,     0x27085a33U,     0x62f4b533U, \
    0x39b5d393U,     0x46e73736U,     0xb1bb6ba3U,     0xbfccefecU, \
    0x3a493e7aU,     0x74e9e44bU,     0xbb53d494U,     0x1d515e0eU, \
    0xd9caca00U,     0x3dd13e8aU,     0x8d5306e9U,     0x081d157eU, \
    0xd12b6638U,     0x996f3c39U,     0x41f93678U,     0xc057ccffU, \
    0x51a8f172U,     0xeff6287fU,     0x02fd2604U,     0xd47c3ef1U, \
    0x905e61c2U,     0x275e5d11U,     0x8456a8cbU,     0x0f94a915U, \
    0xad34e02dU,     0x6a721744U,     0xd2350332U,     0x5549d8b0U, \
    0x74df38d0U,     0x136dc38dU,     0xc8c7f565U,     0xd93d556dU, \
    0x2f12f53bU,     0xa6089c64U,     0xc8973cb7U,     0x6aa98458U, \
    0x5899d426U,     0xbae9a9e8U,     0x40b72a02U,     0xd192aecbU, \
    0xba94da77U,     0x72c4afc8U,     0x7f3665f9U,     0xd248ded8U, \
    0x888ab43bU,     0xae36c326U,     0xab3e054eU,     0x1f65c6e4U, \
    0xeb9309d3U,     0x39291552U,     0x9a13c78fU,     0x78a6fb89U, \
    0x1987c4e3U,     0xb2fcdd61U,     0x107dfeabU,     0xf9e6af61U, \
    0x01a32c6fU,     0x7a1944bbU,     0x8699b7a3U,     0x3caaea08U, \
    0x7461e359U,     0x392ad720U,     0xc1b615faU,     0x619341e7U, \
    0x0645415aU,     0x072bff30U,     0xeb3aacd5U,     0x190a517aU, \
    0xd9d952a5U,     0xef643232U,     0xde1634b2U,     0x4a85addbU, \
    0x0472dc7dU,     0xfdffc717U,     0xfc280b2aU,     0x55cd35ebU, \
    0x12d2b51dU,     0x7f6b5f0cU,     0xbe7429aeU,     0x3c34fa25U, \
    0x846facf1U,     0x1385d529U,     0xa8e2cac2U,     0x354f4815U, \
    0x8ce84395U,     0x8e82efcdU,     0xfb4832daU,     0xea27d511U, \
    0xa21fd112U,     0x8af4c4a3U,     0xb5e430d5U,     0xad7ec789U, \
    0xd50f4b9eU,     0x61cdcb3cU,     0xa735a2f4U,     0xde950672U, \
    0xf3d38100U,     0x8f7b0657U,     0xd1ac3906U,     0x07bdb41eU, \
    0x85c73048U,     0x582a3be4U,     0xe795bc90U,     0x6769a092U, \
    0x3e038ce6U,     0x131dd06dU,     0xa29d0a79U,     0x829cabccU, \
    0x85acafcfU,     0xcd592080U,     0x4bf0b751U,     0xbd49b99fU, \
    0xd2909340U,     0x5ea89555U,     0x50202e5fU,     0x35837277U, \
    0xd37fff3aU,     0xf7292608U,     0x26840a10U,     0x8084323aU, \
    0xd082288cU,     0xaa64f864U,     0xde6673f1U,     0x30c6b63eU, \
    0x59394a13U,     0x6297fa87U,     0xc9b20253U,     0xef498eccU, \
    0x13edbbb4U,     0x53ceb684U,     0x0b9e1ab0U,     0x51f456cfU, \
    0x10f3e799U,     0xf55718dbU,     0xb8a0b0c9U,     0x3d5536faU, \
    0x2eec05bbU,     0x7267d5b7U,     0x8a31a3baU,     0x6cba367fU, \
    0xae7ed2b8U,     0x3c5a2daeU,     0x233a40fcU,     0x04af64daU, \
    0x6ad6d442U,     0x25182ce6U,     0xae70ec05U,     0x416664b6U, \
    0xb7d0d488U,     0x4f62a4a2U,     0xd885d6edU,     0x6bd5d56dU, \
    0x3cf9c468U,     0x6a6a07f7U,     0x8f524939U,     0xa14e06a8U, \
    0x5c3e62adU,     0xb158bc98U,     0x1dcf1416U,     0x7c9052d0U, \
    0x07ac3a17U,     0xb4a7de39U,     0x4816bda9U,     0x6cae784bU, \
    0x04b28eebU,     0xdf5674a0U,     0xa8ad02e7U,     0xb7da4e3aU, \
    0x81a97394U,     0x65c728dbU,     0xd2d3d547U,     0xe45cc3a6U, \
    0xa0c5c4d1U,     0x53641bf0U,     0xd2756e5aU,     0xc5e15a79U, \
    0x81efa1beU,     0x6c1fda23U,     0x112c1844U,     0x31943388U, \
    0x6d67e49aU,     0x2c6b0042U,     0x142271a0U,     0x7f37d044U, \
    0xdc9029c0U,     0xe113ad30U,     0xc8b5fa5fU,     0x0b0923faU, \
    0x22bde8abU,     0x3174da71U,     0xf74fe041U,     0xb1180576U, \
    0x6539ac01U,     0xbbf3952dU,     0x62f71aabU,     0xda05a1ddU, \
    0xad39952aU,     0x4506f18eU,     0x6191944bU,     0x097c9250U, \
    0xaa7a58e8U,     0x0b8b86fcU,     0x017de44aU,     0x6b120f86U, \
    0x59beade1U,     0xb9f1940dU,     0x0c4472d1U,     0x10b77df1U, \
    0xfe60be81U,     0x2e226f8bU,     0x453b7a72U,     0xd090b101U, \
    0x246ab5afU,     0x21c29c34U,     0x6664301dU,     0x77e071f0U, \
    0xbca42b08U,     0xb9ea242bU,     0x46bb7285U,     0x31900b86U, \
    0x7deed2a0U,     0x5527cefaU,     0x94539ba8U,     0xa23e2eccU, \
    0xbf5487b1U,     0x257ff310U,     0x49d0eaf0U,     0x772ba723U, \
    0x12f0db0dU,     0xf716e022U,     0x5d16cf5bU,     0x48f4e13bU, \
    0x5595741eU,     0xec8b54adU,     0x8e384618U,     0x073f235bU, \
    0x2ad0b42eU,     0xb317f15dU,     0x23c9d573U,     0x3e1cbcacU, \
    0x725c2410U,     0x42956839U,     0xe1c5e360U,     0xa730e20dU, \
    0x50cc3154U,     0x7c6c08c3U,     0x135f5399U,     0x661b9565U, \
    0xb68e6fd0U,     0x4074a5ebU,     0x34d27cb3U,     0x6d09a923U, \
    0x0d8026d8U,     0x1fcfdb6bU,     0xd83fef39U,     0x93b49655U, \
    0x0994f26dU,     0xf5cb0ec0U,     0xe02cc2baU,     0x63d8886dU, \
    0x8457e2c9U,     0x8e265c76U,     0x9a325eddU,     0x183d9512U, \
    0x067133a2U,     0x0ef6e47dU,     0x57b45462U,     0x2467552fU, \
    0x89f586b1U,     0xf9d739a6U,     0xed3a7066U,     0x276c3b9eU, \
    0x946cc69fU,     0x2992cb28U,     0x7c5cd827U,     0xa0fea7c3U, \
    0xc002c065U,     0x884140b0U,     0xbbe8223dU,     0x473d4cdeU, \
    0xf26e6497U,     0x2519a7ccU,     0x286bd125U,     0x9e177c59U, \
    0x9c38ef03U,     0x86f49885U,     0xb5d4bc41U,     0xbbb370e4U, \
    0x34e2448aU,     0x79d90592U,     0x69d8e1c5U,     0xd57dbfa9U, \
    0xcf2100f4U,     0xdff72ca3U,     0xf447b995U,     0x5b87d2a1U, \
    0x25026c7dU,     0x454d8676U,     0x286aab6bU,     0xd0cdc11eU, \
    0x3e1ece52U,     0xd44615b2U,     0xccccdb6cU,     0x21df49d2U, \
    0x84f73e53U,     0x178e0784U,     0x1c10c9b5U,     0x4f07258fU, \
    0x186855a6U,     0xecb85408U,     0xc409bfefU,     0x134191b5U, \
    0x07f8f12cU,     0xa0e37a86U,     0x0eedfb4fU,     0x722b1619U, \
    0x3e2f51ddU,     0x4d3ac1e1U,     0x952a851eU,     0x664d4a1aU, \
    0x1b63991bU,     0xf99d7765U,     0x2f63dc87U,     0xb1aaed77U, \
    0xef0b65d3U,     0x417ee3c4U,     0x196b8632U,     0x162a5400U, \
    0xd8cf5d0aU,     0xc42a6288U,     0xdf4fac75U,     0x17f8d336U, \
    0xcf1035ddU,     0xb300cf42U,     0xf673d0f3U,     0xcd55af39U, \
    0xc7308822U,     0x85c99491U,     0x7e38581dU,     0x8040c7f1U, \
    0xc22c83faU,     0x11495fb7U,     0xb255ddfbU,     0x900f55f9U, \
    0xf347e3d1U,     0xf32a837dU,     0x7abfd17eU,     0x35368833U, \
    0x3a727d35U,     0xb9a2c506U,     0xbc51da8dU,     0xf96a8d5bU, \
    0x18d8c4fcU,     0xcbfdf612U,     0xf43d9e2eU,     0x0e2087feU, \
    0xcdfcaec3U,     0xf1565b8dU,     0x6a9ac03bU,     0x2aebcbffU, \
    0xaf2968fbU,     0xf5b90d0bU,     0xa518a5a8U,     0x27542a96U, \
    0xed58a7ecU,     0x27cb012cU,     0xf37f3a4cU,     0x96f11b96U, \
    0x0783981cU,     0x7edfb700U,     0xd32ce859U,     0xe32e1ad6U, \
    0xe8154ebfU,     0x8937878dU,     0xd2601cd3U,     0x42bfc1bcU, \
    0x0ea5140bU,     0xcd0e6a5dU,     0x6232731fU,     0xc4a6ec06U, \
    0x0a43e03eU,     0x51aea4d5U,     0x7a53353bU,     0xf24065a3U, \
    0x158a364cU,     0x9402520cU,     0xb755000cU,     0xfcc972a4U, \
    0xf1da9fa2U,     0x970b779cU,     0x276c1229U,     0xcf2d646fU, \
    0xb7b51dbaU,     0x6e4cd692U,     0x4754a85aU,     0x85013305U, \
    0x57148ed0U,     0x090be178U,     0x2bcf0bf3U,     0xa02a4b18U, \
    0xc9ca085fU,     0x1ddabdabU,     0xb6ae1a4bU,     0x6196ad3eU, \
    0x75ad2e0fU,     0xd59bdeefU,     0x11a674e0U,     0x8aff66e8U, \
    0xfe95e301U,     0xec4a1f9dU,     0xb0ab8e75U,     0x8d225316U, \
    0xde02f757U,     0xe1e1dde2U,     0x14943ae2U,     0xe02d2763U, \
    0x22e4facaU,     0x7701a110U,     0x84878e8eU,     0x0ad782c7U, \
    0x9e476f4bU,     0x74dde21aU,     0x931ac90cU,     0xd06f1845U, \
    0x07a3c664U,     0x3d74e43dU,     0x348b9108U,     0x1b8bd360U, \
    0x155cbee8U,     0x85cf7c4aU,     0x9e2f4116U,     0xfc4e688fU, \
    0xb130feadU,     0x15b9b79eU,     0x6a6451a9U,     0xa69c0e43U, \
    0x2bd90a69U,     0x26a504d0U,     0xa5a80a02U,     0xfa6e29c7U, \
    0xf12220ffU,     0xa91d8f9cU,     0x1e813b65U,     0xa293411dU, \
    0x4964a486U,     0x4c5cf3b9U,     0x3599f314U,     0xaa249533U, \
    0x3f50ed64U,     0x9fdc9a75U,     0xdd250607U,     0xf5c38ff1U, \
    0x3d8bff41U,     0x74dbca91U,     0xf152106dU,     0xbcef2f49U, \
    0xcaba4b3eU,     0x2296acedU,     0xa7d99a34U,     0x4b9ec4deU, \
    0x42096e82U,     0x32cab5ebU,     0x9297a918U,     0x19af5289U, \
    0xdcdaed9dU,     0x361234cfU,     0x4fcbc014U,     0xb49242efU, \
    0x762f6199U,     0x0ae674a2U,     0x0006f9fdU,     0x160f6c12U, \
    0x644d45b0U,     0xc2e12bfbU,     0x6f03867fU,     0xb9dfce3fU, \
    0xa383c71cU,     0xdb495118U,     0xfbfefd36U,     0xe168cb71U, \
    0xd7ba9a10U,     0x5ec02362U,     0x0c3e1347U,     0x039ea2c2U, \
    0x811bb504U,     0x6550d7cdU,     0x16a8dbb9U,     0x70c834aeU, \
    0x4934e6a9U,     0xbe882ad7U,     0x0687bd2eU,     0x59405afdU, \
    0xe1a55f85U,     0xc1c517bdU,     0x4ccfbc0fU,     0x9d18786bU, \
    0xe68e01acU,     0xd465babbU,     0xb27d8d68U,     0x8b7e7262U, \
    0x35c858b4U,     0x53d53d07U,     0x3f6958c6U,     0x4d768e31U, \
    0xf0c76220U,     0x7bb2f28dU,     0xb4e83c2bU,     0x5b537fb9U, \
    0x2a557ac2U,     0x7f626d5dU,     0xcc2e3a48U,     0xc4035cf7U, \
    0x04441828U,     0xb7a73012U,     0x461894f9U,     0xf8191a1aU, \
    0xb287c2bdU,     0x157847eaU,     0xfc4ff274U,     0xa44952d3U, \
    0x06665dcdU,     0x891a167aU,     0x8229cb11U,     0x841ea09eU, \
    0x3dc0e122U,     0xa1b4ca77U,     0x1870506eU,     0x57382047U, \
    0xe3cdde74U,     0x1475b7d8U,     0xe31d7513U,     0x54d38468U, \
    0x5614bf29U,     0xbd0e1860U,     0x2c5032a1U,     0x78e31037U, \
    0xff453c9dU,     0x70589055U,     0xa55337d3U,     0x8351886bU, \
    0xfc99e230U,     0x939e86e0U,     0xc6f712b6U,     0xdfd228d7U, \
    0x18410fc5U,     0x82fbbfdcU,     0xf77e644bU,     0x266bd802U, \
    0x039f2844U,     0x390f7473U,     0x60be0e32U,     0x53eb387cU, \
    0x44e1135fU,     0x12e9b8d0U,     0x4563a80cU,     0xac46287dU, \
    0x76a5007eU,     0x051d383cU,     0x382ce94eU,     0x48742b30U, \
    0x1a15e1ddU,     0x355d2b2dU,     0xd20fe5f8U,     0x2efdc666U, \
    0x59bb787bU,     0x51c6af5aU,     0x80974566U,     0x76366ca1U, \
    0xe0dc9ecfU,     0xe4d0d472U,     0x14a85235U,     0x7883d7a2U, \
    0xdfd62bbcU,     0x0e6360aeU,     0x1cc97dafU,     0x086d5fdfU, \
    0x1d31f262U,     0x64ae7817U,     0x16311813U,     0xc7845e9eU, \
    0x534c109aU,     0x0f5b17d4U,     0xf18baa86U,     0x7454879aU, \
    0x53ae4567U,     0xf92c97cbU,     0xcae1fb91U,     0x1e8a2f8aU, \
    0x4f1ec435U,     0xbf1e3492U,     0x1ba853edU,     0xf345dc2aU, \
    0x99205127U,     0x5bad352fU,     0xf8dacdeeU,     0x1bc603abU, \
    0x38d53df7U,     0x74d6323bU,     0xa7c1159cU,     0xbf24966cU, \
    0xa032c4a2U,     0x3756381eU,     0x597ac906U,     0x7886c234U, \
    0x6181d9d3U,     0x059f3accU,     0xb71d0111U,     0x03a93252U, \
    0x4821d44bU,     0xc3c60ffcU,     0x68ce9bc7U,     0xacf38796U, \
    0x8eaed675U,     0xed79e5e9U,     0xddf7b21eU,     0x8c729b1bU, \
    0x05e8dffeU,     0x3e48145cU,     0x1b465d70U,     0x1287da6bU, \
    0xf1226fedU,     0xb15dc7e3U,     0xb46980caU,     0xd263f8a4U, \
    0x45f17731U,     0xcfb6a745U,     0x7f060635U,     0xd9794158U, \
    0xe5111fc8U,     0xa8e8e04aU,     0x4e2ab939U,     0xb1b7c51dU, \
    0xae00301bU,     0x329745f3U,     0xfae699b9U,     0xcfe00af1U, \
    0x2ce47e51U,     0xc5f0dc70U,     0x7cf9a434U,     0xe679773fU, \
    0xe4bf4b40U,     0x18f569d2U,     0xc5e07129U,     0x84884497U, \
    0x7e5ec8d2U,     0x2b76c066U,     0xbc84bdc4U,     0xcc9e1627U, \
    0x53341702U,     0x08b5ac81U,     0xeab9ca40U,     0x74f80040U, \
    0xc4b4c99bU,     0xa2f5a845U,     0x395422a6U,     0x5dd80bcdU, \
    0x6d20bd43U,     0x1036d7c5U,     0xd45235a6U,     0xe95fdaebU, \
    0x71333868U,     0xe07d85a2U,     0xcb1a10b0U,     0x25573aa8U, \
    0xcf4c5ab8U,     0x91d5f3e1U,     0xb30d15fcU,     0xba2956ecU, \
    0xc631d754U,     0xabe31ed3U,     0xa3c7779aU,     0xa43972bbU, \
    0x4d891873U,     0xcf8f5c94U,     0x3bcee557U,     0x08fc822eU, \
    0xceda1a4fU,     0xffacf6bfU,     0xea7932e4U,     0xb8c8ec6bU, \
    0xd7e22740U,     0x852da607U,     0x95168c9eU,     0x95b5d2eaU, \
    0x42db4958U,     0xce6a58e7U,     0xc70cdc1fU,     0x13f3f5ecU, \
    0x14acfc8bU,     0x7a92aa0cU,     0x916db947U,     0xd34d28a0U, \
    0x2602bb87U,     0x0dbe3c15U,     0xe626bff1U,     0xf283e068U, \
    0xc77c063dU,     0x77ee4d90U,     0x178d5780U,     0x860ba4f7U, \
    0xa09ffb6bU,     0xf3fff00dU,     0xaaa47292U,     0x4c32fd70U, \
    0x5b02d135U,     0x190453c0U,     0x858820a5U,     0x0c4e7126U, \
    0x2e6aed6dU,     0x6b33804cU,     0x85a7a59bU,     0x77e6e65cU, \
    0x97b1d33bU,     0x4837327dU,     0x9da36434U,     0xc5ebbc87U, \
    0xbd122156U,     0x0eb216abU,     0x06d73ac7U,     0x03fe2608U, \
    0xb950ba36U,     0x5c512c27U,     0xb4fb2798U,     0xef230dabU, \
    0xc0757b54U,     0x7ff9ee53U,     0xd6e02299U,     0x27be0a00U, \
    0x91295f4bU,     0x1b7e396eU,     0x1a02afe2U,     0xa6406a89U, \
    0x0a824b2aU,     0x95100ad7U,     0x4d0bf1b3U,     0x4eb997c8U, \
    0x626a9259U,     0x2579c1bcU,     0x246d3417U,     0x78fb8f8eU, \
    0x72202747U,     0xf753592fU,     0x7ccf3114U,     0xee7b150bU, \
    0x1264aa7eU,     0x321db13cU,     0x0afb7b19U,     0x19a6f193U, \
    0x54b8e727U,     0x32b3647bU,     0x0d9a7190U,     0x1decb6ecU, \
    0x537d5371U,     0xd82110d9U,     0xe9b592a9U,     0xa6ad99aaU, \
    0xa6f598f9U,     0x59fa40bcU,     0x288dc4eeU,     0x58914514U, \
    0x3779fe85U,     0x7963c439U,     0xcd05d1cdU,     0xdabd57bbU, \
    0x8ca98a55U,     0x40bc38d8U,     0xdab9c181U,     0x14762e95U, \
    0x284a15ccU,     0xb24bbac4U,     0x76f6ee2bU,     0xdef5f28fU, \
    0x925203a5U,     0x09e4b455U,     0x8b6d912dU,     0x0ea9e1cdU, \
    0xf053b36eU,     0x90f36a8eU,     0x5b61aa22U,     0xeab4643cU, \
    0x3dbb15b9U,     0xf66e0e79U,     0x64f80cb0U,     0x3d63e4c6U, \
    0x140f908dU,     0x340d1843U,     0xe17791ceU,     0x72ba1b9fU, \
    0xb71829d2U,     0x366132c9U,     0xe66f025bU,     0xd71f2577U, \
    0xbfc9911fU,     0xe205d2e7U,     0x39370d47U,     0x111f5e05U, \
    0xb251d220U,     0xe848bb49U,     0xc66a29abU,     0xca5f94d4U, \
    0x6a22db08U,     0xcbf86b67U,     0x31ddc3ffU,     0x3ffe50fdU, \
    0x4f0bca81U,     0x566b8825U,     0x4cf8746fU,     0x565920e8U, \
    0x9c535763U,     0x73ead51bU,     0x5b2d2fcfU,     0x77acab3bU, \
    0x2b198f15U,     0x252440a4U,     0x1e928c65U,     0x6f3b6ff7U, \
    0x51ac2132U,     0x5ae63b99U,     0xa09ccd63U,     0xbd27c745U, \
    0xe86685e8U,     0xa9e2502eU,     0xf26e4dbfU,     0x63ca4340U, \
    0xf6e1743fU,     0x2ccd6d8bU,     0x27753ff3U,     0xf21ded28U, \
    0xaeb4b7ebU,     0x62cf5e35U,     0x7e51eebaU,     0x6d871ed4U, \
    0x8f27faf3U,     0xf2143c7eU,     0x8a0a7812U,     0xc7a654b9U, \
    0x93c75daaU,     0x0f34b1d6U,     0xb09d7b42U,     0x774f1379U, \
    0xd7e3b645U,     0xdf94772aU,     0x69b19decU,     0x5b77a4a5U, \
    0x2aa969b8U,     0x2e332ac2U,     0xfccb272aU,     0x18d504e0U, \
    0x1148b14eU,     0xa2cd4c33U,     0x06737f68U,     0xf80f32b3U, \
    0xcf39be37U,     0x092f4e7aU,     0x8d73fde3U,     0xcb9bf2adU, \
    0xe91b50b2U,     0xdddb4d31U,     0x039bd24eU,     0x8cc4500fU, \
    0x9cc21cbaU,     0xc38dfce8U,     0x7586ead3U,     0x6675c52cU, \
    0x2a6b0a1eU,     0xa21eb0e8U,     0xeb823dd6U,     0x5ce107d4U, \
    0x795df313U,     0xbd8b7d51U,     0x25a2416aU,     0x757fd792U, \
    0x75bfd92dU,     0x1677dbe0U,     0x29b355caU,     0x2ef7da3dU, \
    0xe52e1e66U,     0x0483d727U,     0xa29a1f4cU,     0x9962f2f9U, \
    0x24dc3233U,     0x546febdfU,     0xb4cf5c47U,     0x8f3e97c9U, \
    0xf98ce02cU,     0x302a2c7eU,     0xc051d408U,     0xa31b6d50U, \
    0x11cf8de2U,     0x39926d47U,     0xff2ab80eU,     0xc1ffe1ddU, \
    0x1a5ee5eeU,     0xfbd5a096U,     0xcf4ca27aU,     0x6b01153cU, \
    0xa5c652caU,     0x351f1aafU,     0xbaf9a88aU,     0xa90b8006U, \
    0x8b755352U,     0xb3c4cb2cU,     0x2ee3864aU,     0x6fd9a22eU, \
    0x31fbe086U,     0xffd5f6deU,     0x01b86e39U,     0x66920918U, \
    0x00e5f505U,     0xc72138f3U,     0xf6d0f65eU,     0xab04b7c1U, \
    0x275cccbcU,     0x0a0cf4b5U,     0xe469c251U,     0x60b6e8bdU, \
    0x507a5d59U,     0xa49abcdeU,     0x4efedd80U,     0x2433b97dU, \
    0xd4f36453U,     0xad757063U,     0xfdb3d26aU,     0xd1026025U, \
    0xa7ee7542U,     0xbc97f60eU,     0x2b0bff9dU,     0x1b58ebdfU, \
    0x5fe3c792U,     0x697bff5bU,     0x50aad866U,     0x28121012U, \
    0xe349d03eU,     0x6d343691U,     0x7c83e33dU,     0x00c8b4d8U, \
    0x2d951f0bU,     0x808d1a8dU,     0x5de25de3U,     0x377761a0U, \
    0xcdc80f0cU,     0x1af3f483U,     0x9a7234ccU,     0x54b99f4bU, \
    0x377f6782U,     0xf3ee975aU,     0x8de82979U,     0x6dbab5acU, \
    0xbba89ec1U,     0xefcad21eU,     0xefd2c906U,     0xbbf75966U, \
    0x81ee6811U,     0x677e66dfU,     0x08c3b22dU,     0xdfa1a22eU, \
    0x0b687364U,     0xf1df1c36U,     0x4de0be30U,     0xc549f76cU, \
    0x4877fac4U,     0xf9d0ae1bU,     0xf6062275U,     0x6e5d561aU, \
    0xd130598dU,     0x769b740cU,     0xda81f018U,     0xe8de9683U, \
    0x5a4ff7c9U,     0x7494c1deU,     0x6c885d43U,     0x26fe79e7U, \
    0x6fe11f74U,     0x980c6f65U,     0xdbb8c7bdU,     0xeb153fd9U, \
    0x5f6c2b84U,     0x43e39e5aU,     0xc2259caaU,     0xb1878331U, \
    0x9bacecb2U,     0xed16b8d7U,     0x9023445cU,     0xbd27f6c2U, \
    0xffae8308U,     0xf3092c41U,     0x2da82ffaU,     0x49d71ebbU, \
    0x6a02e62cU,     0x4f78db18U,     0x77f57a27U,     0x37c7833dU, \
    0x59bf58a3U,     0x53014d51U,     0x7f847ffbU,     0x7192a8b4U, \
    0x66fb87efU,     0x1698bac5U,     0x01654e35U,     0x04b2dc53U, \
    0xa5e80dc8U,     0x6d8f2ec4U,     0x5b9f59acU,     0x3aa02c55U, \
    0x1f477b60U,     0xc0b91770U,     0x5f745657U,     0x22f6bd4fU, \
    0x89e5af55U,     0x41bf5e1bU,     0x108c9605U,     0xf768acdeU, \
    0x79ce495cU,     0x82676293U,     0x23338ee8U,     0xadee9657U, \
    0x00e32a2dU,     0x8a31edd0U,     0xbd451f38U,     0x3b6d2059U, \
    0xcff3a9dcU,     0xb09a7f18U,     0x37e1bb3aU,     0xba0c97f6U, \
    0x87222ceaU,     0x15d2b050U,     0x22dc812dU,     0x7278000cU, \
    0xa5d268a5U,     0x3898ff13U,     0x211f795eU,     0x76d06b9fU, \
    0xc26ce767U,     0x5e55c8b2U,     0x41cafd59U,     0x70f5b0daU, \
    0x8c210b40U,     0xc1bf19d3U,     0x49fdaff3U,     0x35410efdU, \
    0xbc38ef67U,     0xf53bd597U,     0xe69ac8fcU,     0x64bdc9d8U, \
    0xec9b1f19U,     0x7a903477U,     0x25fa515bU,     0xf82c813fU, \
    0x228b616cU,     0x62ca2e6eU,     0x45b82028U,     0x59acf272U, \
    0x3a858b97U,     0x628c3b25U,     0x00f90134U,     0x7dc4a06dU, \
    0xe9c5c04aU,     0x96bf320dU,     0xeec78830U,     0xce5d334eU, \
    0xd0d51d8eU,     0xdad7e7f3U,     0xdde75319U,     0x16451e79U, \
    0x79a04870U,     0x5617c28dU,     0xd6842426U,     0x8c400b69U, \
    0xa04a7178U,     0x6b9fbe5cU,     0x614fec4bU,     0x37cfc835U, \
    0xdc34ac0cU,     0xffbbe59cU,     0x401edc53U,     0xbec135c7U, \
    0xbf0a38dcU,     0x38d50efcU,     0x3e962c49U,     0x149d3249U, \
    0x7e9674caU,     0x58e0d20dU,     0x812bb3a0U,     0x26eb6d9dU, \
    0x29c47dcfU,     0x1b615d37U,     0x67a4003bU,     0xf86e4aceU, \
    0xaaf5b696U,     0x3a0cb549U,     0x8b530b1aU,     0x10ad2482U, \
    0xd8577a2cU,     0x50eb4da5U,     0x98f0a67bU,     0xa88617beU, \
    0x84f9eae8U,     0x54120167U,     0xd37cafe0U,     0x3316bed6U, \
    0xaaa28b12U,     0xf4cff346U,     0xc405e008U,     0x890dc462U, \
    0x245c5ac1U,     0xf298e87dU,     0x4ca83004U,     0x38ddf15bU, \
    0x709d6027U,     0x79c900d7U,     0xd4e7bda2U,     0x535c15f8U, \
    0x686941beU,     0xdee97265U,     0x0b6f4945U,     0x50cfa356U, \
    0xdaaee31dU,     0x4cd87c9fU,     0xf15d58c1U,     0xd7f378c9U, \
    0xd7c186caU,     0xaeb530e0U,     0xc02930b6U,     0x030d2187U, \
    0xe8d1d29dU,     0xd9a76e8aU,     0xe6bff3b7U,     0xe9d07dacU, \
    0x5bbd768fU,     0x4f09d211U,     0xae0fbb06U,     0x9e63eb95U, \
    0x5895ccddU,     0xe3664de3U,     0x6093e90fU,     0x54dbe6b7U, \
    0x609ffd4bU,     0x6e736434U,     0xbc113f85U,     0x0bb0d8cfU, \
    0xae001405U,     0x62352e62U,     0x844c0adeU,     0x47a0ccf7U, \
    0x72ef2f1dU,     0x841dc4f7U,     0xc51fc707U,     0x0349c5c9U, \
    0x855bee27U,     0x24c94396U,     0xe608d301U,     0xd53fc561U, \
    0x7e251a77U,     0xa774b398U,     0x73981cfaU,     0x1cbdc6f3U, \
    0x938a36ceU,     0xfd779d27U,     0x83411240U,     0x49880ea1U, \
    0xce945e27U,     0x4e0fe234U,     0x9b618281U,     0x8eabba23U, \
    0x712df5b0U,     0xe93338e6U,     0x417ad905U,     0x0394a436U, \
    0x616502a8U,     0x80ac2af4U,     0x4572906dU,     0x2cc3edfaU, \
    0x521ca33cU,     0xef45eea9U,     0x89c4888aU,     0x824da13fU, \
    0xd59a8f8eU,     0x4eb34588U,     0x5d7a4341U,     0x62ce8caeU, \
    0x53eb50bcU,     0x05fc2d8aU,     0x5e0646feU,     0x86700cc8U, \
    0xcd6d1a8cU,     0x8db827a9U,     0xc6e3f5b4U,     0x58ce09faU, \
    0x66ef7307U,     0xdfb8d50eU,     0xc7fb80ebU,     0xc461eb26U, \
    0x8dbf0f56U,     0xafa9a685U,     0xa97d586bU,     0x4d1205f0U, \
    0xfcf109b2U,     0xe7209dffU,     0xea9df813U,     0x7472e8c1U, \
    0x5f8d494bU,     0x9e41d1efU,     0xaae2e480U,     0x16e876abU, \
    0xb73b7027U,     0x4dd8752fU,     0x3a6050feU,     0xebaf7a80U, \
    0x618a2cdeU,     0x07542d5eU,     0xa916cf2cU,     0x285547d2U, \
    0x492e65d2U,     0x5a903101U,     0xae3cc996U,     0xfd60c988U, \
    0xdaa86977U,     0xe620e433U,     0xd7c9bb1dU,     0x1edceab0U, \
    0xdde5e1ccU,     0x77df33e0U,     0x51ee771eU,     0x07e596f0U, \
    0x16124ab4U,     0x626ff2c7U,     0x097255ddU,     0xf67d0612U, \
    0x44f8d63dU,     0x097d44d9U,     0x62a0c059U,     0x22bb1534U, \
    0x1a8466f3U,     0x4c38d3bcU,     0xebd6fc68U,     0xcfd46a1fU, \
    0xca97c1bfU,     0xbb8d2ac2U,     0xbced032eU,     0x369869ebU, \
    0x60f6fb96U,     0x21531e8aU,     0xb86140d7U,     0xaa62428fU, \
    0x0f32aca9U,     0x71e0200dU,     0x8837797aU,     0x0d1d8210U, \
    0x0d1e03b2U,     0x6f637949U,     0x557243aeU,     0x9cac8b1cU, \
    0x115d4ee3U,     0x88d53693U,     0x0a8d685eU,     0x14792bd3U, \
    0xc8ad5fefU,     0xdd7446b4U,     0x5e364edeU,     0x9ad80bd0U, \
    0x3af5bc61U,     0x58587d0dU,     0x5fd63a80U,     0xe6706c9cU, \
    0xbeada3eeU,     0xa58469e3U,     0x66714c38U,     0xdc94b2d0U, \
    0x960c2e8aU,     0x8cf34cf3U,     0x5722c68fU,     0x027411ccU, \
    0xfb68040fU,     0xb0192a87U,     0xe77a3899U,     0xa3b2b936U, \
    0x320b668bU,     0x1f91fbf4U,     0xb3506f3fU,     0x2706a3aaU, \
    0x32219d19U,     0x2e15370fU,     0x1d62dd78U,     0xff02cefdU, \
    0xef7cb89dU,     0x3af7d300U,     0xc8c112feU,     0x57e2a381U, \
    0x8cc01de6U,     0x5792d5f7U,     0xd481248fU,     0x348efa73U, \
    0xd2fee0e1U,     0xfea8185eU,     0x7ef2c591U,     0x9c5386cbU, \
    0x36472411U,     0x384c93c4U,     0x6598b0a9U,     0x987e31a2U, \
    0x09131dfcU,     0x7e925af0U,     0x6356b4eaU,     0xccaad6b1U, \
    0x8e66f4ffU,     0x11461126U,     0xdc16a92cU,     0x408ec49cU, \
    0x597aeea4U,     0xf60743fbU,     0x12e31a30U,     0x81fc852eU, \
    0x6d55829eU,     0xfb0d2f42U,     0x5c8a458aU,     0x0b0c61b9U, \
    0xf4d4a2faU,     0x6a640a19U,     0xad187a4dU,     0x332f6e4dU, \
    0xa34a9ee8U,     0xf6defbc4U,     0x49e43655U,     0x7ae43265U, \
    0x31d43f82U,     0x677bbc11U,     0x1cea4d9cU,     0x1810b97fU, \
    0xdc8fdd24U,     0xf46d069fU,     0x9475f764U,     0x1e53b880U, \
    0x4be44ea9U,     0x0e4a436bU,     0xba301d11U,     0x914cbbf1U, \
    0x742a3c50U,     0xdc70025fU,     0x05386615U,     0xcde21e2eU, \
    0x97023b5dU,     0x8d079406U,     0x8ed9e401U,     0x0104e946U, \
    0x055385e2U,     0x41f0345eU,     0x09019925U,     0xb7ea25f7U, \
    0x647ecb21U,     0x25067356U,     0x0d3054c5U,     0xa9730729U, \
    0x99e731f3U,     0x5b5ecac7U,     0x782440a0U,     0xc769a4a3U, \
    0x091703c4U,     0xae123329U,     0xf0b2f86aU,     0xad439da6U, \
    0x73893835U,     0x0b6f1687U,     0xfb5a1a51U,     0x9ee989a5U, \
    0xc607a72dU,     0x47e16f81U,     0x5ec9915bU,     0x521bc301U, \
    0xf7e36df2U,     0x634ecad3U,     0x507a883eU,     0xb10e4a37U, \
    0xd4d52730U,     0xa13839d9U,     0x01c97b72U,     0xcebf11a3U, \
    0x3d4c0494U,     0x3e6c2198U,     0x648e1db6U,     0x00956fbdU, \
    0xf9ffedc4U,     0xb0768ec6U,     0x3b801362U,     0x2467f7c4U, \
    0x45f41c4eU,     0x13488d3eU,     0x56075f54U,     0xf672656dU, \
    0x9037464dU,     0x36b5c6e9U,     0x1d8ac2f4U,     0xe4b4a759U, \
    0xbd2d4642U,     0x0fc2f76cU,     0xbfd9a51aU,     0xf242b8cbU, \
    0xc2dc11a0U,     0x364050d1U,     0xfc4212f6U,     0x5d515935U, \
    0xfa586c17U,     0x5ffa52ffU,     0xdbdd61f9U,     0x09564e13U, \
    0x252293e8U,     0xe28fe539U,     0x7bb9d451U,     0x9685702dU, \
    0x8b915e58U,     0x1c7e713fU,     0x671da54aU,     0x1896be21U, \
    0x3f224650U,     0xbf5cd9e8U,     0x1bb45669U,     0x900ca747U, \
    0x0496a2c7U,     0xce91d38dU,     0x795b1ea8U,     0xfa232b32U, \
    0x565bac40U,     0x5eac757eU,     0x137b7d69U,     0x851b4b0eU, \
    0xb109883bU,     0x1421a105U,     0x32064bb5U,     0xe1b2c0f5U, \
    0x3c3105deU,     0xdddd5770U,     0x61df2872U,     0xbeea6123U, \
    0x0f746316U,     0x2a79c687U,     0x0fe324c3U,     0x62c0bea0U, \
    0xef4e2f9cU,     0x5ec2cf84U,     0xff9b293eU,     0xc0d98909U, \
    0xf891d6e9U,     0x1e8c10ffU,     0x7a94b2b1U,     0xb91a7507U, \
    0xdbbdc557U,     0xe2db3497U,     0x867a18bbU,     0x4814b5e2U, \
    0x9452148bU,     0x0e21b52cU,     0xf9efb141U,     0xb477d9cdU, \
    0xdaa15af8U,     0x88634cb9U,     0x0632b440U,     0x98a5609eU, \
    0x04b78bfbU,     0x2133ef4aU,     0x9830f70cU,     0xe4c5853eU, \
    0x0dce04caU,     0x0bb83053U,     0xd4169439U,     0xadfc6bbfU, \
    0x7d569728U,     0x810d5d58U,     0xc2305b22U,     0xdd87c99aU, \
    0xe705932cU,     0x9c8e2ae7U,     0x5218ab9fU,     0xed68c730U, \
    0x588649a2U,     0x1e3a1665U,     0xbcd67e1fU,     0xadc8afa6U, \
    0x992e5f2fU,     0xb3fc19c3U,     0xa1803c51U,     0xa78adffcU, \
    0x126e3a66U,     0xf391c340U,     0x35fe0aaeU,     0xaa9a90d9U, \
    0x9faddff8U,     0x1883ba4bU,     0xfe05b834U,     0x4c692c35U, \
    0x1d346006U,     0x2e684397U,     0x41d09735U,     0xa985f104U, \
    0x508bab33U,     0xa8b66a81U,     0x24d67cbcU,     0x3cbdaca1U, \
    0x4c66c935U,     0x0b21982fU,     0xcf7be929U,     0xe6a52f51U, \
    0xdfca4b5dU,     0xb4abfefdU,     0xd6f3ff4fU,     0x72a7c389U, \
    0xee38fd6cU,     0x3cf491c7U,     0x4c676837U,     0xec729af8U, \
    0xedef662eU,     0xa6941181U,     0xffdd4344U,     0xc0b6e9efU, \
    0x82a434f0U,     0x327f0ba3U,     0xd422a002U,     0x9837ff62U, \
    0x1cba950eU,     0x32fb92adU,     0x72f63649U,     0xd3e1eb0bU, \
    0x34e664abU,     0x9d631521U,     0xe456988aU,     0xeec70ba2U, \
    0xbced36a2U,     0x7e6d3b85U,     0x513e5b3dU,     0xed7381f6U, \
    0x8201e9c9U,     0x063c1d35U,     0xa42e6bbdU,     0x4384123eU, \
    0xc14337d2U,     0xbb150f70U,     0xdb77789aU,     0x4cfcfc97U, \
    0xbd0686dfU,     0xd3229833U,     0xae82761aU,     0xc4e08d60U, \
    0xef71a3e7U,     0x18249179U,     0x88bbc5a7U,     0x6f910af3U, \
    0x23a4e4a2U,     0xf1ac058cU,     0xc62c7aadU,     0x181feb74U, \
    0xfdc11564U,     0x47c7be07U,     0xb861db5aU,     0xf837b901U, \
    0xabcaefaaU,     0x987bf9a3U,     0x196b88c4U,     0xe7bea331U, \
    0xebb455a1U,     0x044184aaU,     0x83abd105U,     0xc26bed91U, \
    0xeeb31d36U,     0x72d947daU,     0xd9ba3deeU,     0x63adf732U, \
    0x72dfb64fU,     0x23591033U,     0x7c0cb2f2U,     0xbe2c0c71U, \
    0x4fe14e4bU,     0x8f4e20d8U,     0x6d043a64U,     0xd1f1d09eU, \
    0x4cffb894U,     0x6b7a498aU,     0x8310b4feU,     0xcf3c805aU, \
    0xa09abcfbU,     0x3cf90b5fU,     0x55606796U,     0xb9420a16U, \
    0x73e12051U,     0x195d1163U,     0x663a1aebU,     0x5ec804d4U, \
    0x5b6aee9dU,     0x097eaf24U,     0xec39faa6U,     0x3568b4d6U, \
    0xce31f0bbU,     0xba9e68d1U,     0xcd29de95U,     0x34b9c0afU, \
    0x8d30feffU,     0x11e991caU,     0xb4ca8721U,     0x6a1db37fU, \
    0x2dcc0e9eU,     0xbfba9476U,     0x75214f5cU,     0x07a623c3U, \
    0x62d060b6U,     0x92ea0a4bU,     0xa8f64c09U,     0x2d6be461U, \
    0x48b6a3fbU,     0xc2f821d1U,     0xcf00efedU,     0xd6993e45U, \
    0xa9c698feU,     0x22c26f35U,     0x24a7627aU,     0x29cfbfecU, \
    0x39e46791U,     0x0820b377U,     0xfc3a23a2U,     0x66bcef58U, \
    0x1b2084e3U,     0xc56a9e36U,     0xc3674b35U,     0x0d4c67ffU, \
    0xf9a00f4eU,     0xee390e60U,     0xee345fb1U,     0xc56534f5U, \
    0x2cdf1987U,     0x280ccb8aU,     0xe29fe0bdU,     0xe02ae204U, \
    0x4c307d8dU,     0x7072a3c9U,     0x72cd7423U,     0xb768e1e5U, \
    0x8e661f03U,     0x370cf44eU,     0xe1b03df3U,     0xefa5144fU, \
    0xd3d29096U,     0xd20fca8fU,     0xec2798c6U,     0x643fc5d3U, \
    0x5e069f96U,     0x51eb14a1U,     0x619f2f10U,     0x26dc18c4U, \
    0x12427056U,     0xeeb31838U,     0x33980581U,     0x731e8f03U, \
    0x9cc36c01U,     0x830d1f8bU,     0x243f9ecdU,     0xa745a17dU, \
    0x49d7f290U,     0x79582efaU,     0xe92cf18aU,     0xa514de05U, \
    0xe17f843fU,     0x47f4f8b9U,     0x807de1bdU,     0xb56ad807U, \
    0xe49c496fU,     0xb90b61ffU,     0x163b0ac1U,     0x4b8ecf87U, \
    0xeb669437U,     0x9377d7faU,     0x424b89adU,     0xfd9effacU, \
    0xf289d22dU,     0xfd1903ffU,     0x800ca1d4U,     0x0f6fded8U, \
    0xaa7ba59fU,     0x4e423ed7U,     0x528069bdU,     0x28edd199U, \
    0xfc927f58U,     0xade9f1b4U,     0x5c79a1e7U,     0x152a4fb4U, \
    0xfce2c5b0U,     0xfe13bdd0U,     0x2e8ad938U,     0x6a55488cU, \
    0x50c23f5bU,     0xbf2df659U,     0x01cf60f3U,     0x15519b59U, \
    0x82673f82U,     0x4e4f19c4U,     0x03d751fdU,     0xfa08ffacU, \
    0x05193467U,     0x1c884c10U,     0x0f5b3298U,     0x77ed1c60U, \
    0x50b3138aU,     0x0fb9d4e7U,     0x6a282a32U,     0x9c4e37f1U, \
    0x7c0f8d9fU,     0x0036273fU,     0xd1b71a93U,     0x9948a20fU, \
    0xca97059aU,     0x2af02bf1U,     0xf732fa78U,     0xc266d389U, \
    0x787017f9U,     0xc376cfedU,     0x00fb4bc6U,     0xa55a0f2aU, \
    0x71b716c7U,     0xfabd853fU,     0x0a979276U,     0xb3656950U, \
    0xac15bd39U,     0x47c43e48U,     0xc9b22249U,     0x76f57b2eU, \
    0xd6177461U,     0x5d229c90U,     0xdbcaf862U,     0x29a0dee3U, \
    0xe433ba6dU,     0x0a61b18eU,     0x5ef6bb7bU,     0x01aba8ceU, \
    0x63001202U,     0x3881d19fU,     0x8b943be6U,     0x42632a9dU, \
    0x0ec02b48U,     0xaf8808feU,     0xc1d0d62cU,     0x10b76f40U, \
    0x0818cc5bU,     0x599531deU,     0xc0289ca3U,     0x43af6657U, \
    0x9a2810ecU,     0x81ef3ef3U,     0x5523c4afU,     0x4eb567dfU, \
    0xab40a648U,     0xab057f2fU,     0x3ff4e34eU,     0x12836e11U, \
    0x5783875fU,     0xf4ce4bf9U,     0x9e8f7bd9U,     0x27a4a584U, \
    0xafb8c928U,     0xaef26461U,     0xf4583e6aU,     0x11bcc3a3U, \
    0x508ca699U,     0x9f7c0c43U,     0x735e66cdU,     0x72b528c9U, \
    0xe306e7f3U,     0x95b83030U,     0x10374e4fU,     0xd4583de7U, \
    0xc34a2cc4U,     0x0cad797fU,     0x2d33048fU,     0x8dff66e3U, \
    0x91e49a42U,     0x44839a61U,     0xedc7e606U,     0xdf43d7d5U, \
    0xebf9d625U,     0xd74523eaU,     0x07143b88U,     0x63dfd7bfU, \
    0xe3e28ce5U,     0xb62fc11fU,     0xcbe4d3bcU,     0x7c06a293U, \
    0xbd6d5865U,     0x617ffa41U,     0x63f22e91U,     0xc79a74acU, \
    0x43f6ac0cU,     0x4b24b808U,     0x68d238b1U,     0xc4e6bfb6U, \
    0xd567c04aU,     0xc148f64bU,     0x8b30af99U,     0x6e93b921U, \
    0x20779ecbU,     0x38db2973U,     0x934f705dU,     0x4e33418bU, \
    0x23094545U,     0x5e561c2bU,     0x27e3933aU,     0xec54105aU, \
    0x24dd1275U,     0xfcb8d5c9U,     0xd9e00010U,     0xa347ee68U, \
    0xcfd9bab1U,     0x51808d84U,     0x91e03822U,     0x779337a5U, \
    0xaae1a466U,     0xcf3c285cU,     0x146f811eU,     0x9bdfc226U, \
    0xe9c94305U,     0x0c8a8eefU,     0x3181d349U,     0xac4971f0U, \
    0x8e0b99acU,     0xe9c85d25U,     0x8567d5e6U,     0xe401dc88U, \
    0x2a2e943cU,     0x1bebcf16U,     0xf9cc2ca6U,     0xde999f67U, \
    0x19e49a50U,     0xe176f99eU,     0x5663376bU,     0xd20efd7eU, \
    0x488c3be0U,     0xbdda2100U,     0xc97669eeU,     0x240f8ec4U, \
    0xd7160a44U,     0xb7e2085fU,     0x4f8e0a43U,     0xc3cd89f9U, \
    0xd158a7b5U,     0xa05bf894U,     0x3ebdf992U,     0x48d41604U, \
    0x8ebf8259U,     0x019e7e6cU,     0xa3e5b7aeU,     0x6bc787a1U, \
    0xac362f00U,     0x85845533U,     0x417952daU,     0xadebc2efU, \
    0xa64cbbfaU,     0x012b4d51U,     0xbba2e45dU,     0xdcffed32U, \
    0xcacfe688U,     0x975458e2U,     0x1072d4f6U,     0xf03ada3cU, \
    0xf0ed8653U,     0x35973ad4U,     0xc7952eb2U,     0x5b6002b9U, \
    0xd47693a2U,     0x1818fe51U,     0xb65dce41U,     0x30e5db3aU, \
    0x5d5578ffU,     0x2abdf585U,     0x45809d43U,     0xb63fccfcU, \
    0xd74108a4U,     0xc3c9cc25U,     0xa308153bU,     0xe64e1649U, \
    0x3f1fbc10U,     0x4381acaeU,     0x31673941U,     0x4a39e984U, \
    0x2251af4bU,     0x7f5e7483U,     0xe45d5eb8U,     0x79de02f7U, \
    0x0a6e7c2cU,     0x72314963U,     0x82ed2c44U,     0x340b2cb3U, \
    0xbe7e7e2eU,     0xdd6278cfU,     0x8c9d994eU,     0x5e119155U, \
    0x3059879cU,     0xfea53672U,     0xb780eac8U,     0xe73f6995U, \
    0xd2167af4U,     0x0aa7fd42U,     0x6a8a169bU,     0x33b489cbU, \
    0xcb9deaaeU,     0xdba0ff27U,     0x889767f4U,     0xd5bbbba7U, \
    0xd2702911U,     0x168386ccU,     0xa334df93U,     0x01d9e7a8U, \
    0xef971cd5U,     0xc63cffa5U,     0x55e6def7U,     0x09415600U, \
    0x3d215508U,     0x66ccf9f6U,     0x5e7cfefdU,     0x1d329f9cU, \
    0xf2745335U,     0x7a26774dU,     0xe7e73d60U,     0x8060798aU, \
    0x782f2cf8U,     0x49476616U,     0xfeac9387U,     0x967cd5f2U, \
    0x404b295fU,     0x691b1647U,     0x05ba012bU,     0x971d566dU, \
    0x0d73f856U,     0x1771d72fU,     0xffd4e838U,     0xb7220a61U, \
    0x74df803fU,     0x46fbea81U,     0x9b0a72faU,     0xace93e3fU, \
    0x2032d66bU,     0xb97c000aU,     0x0d2317c8U,     0x5ebc6710U, \
    0x6eb0734fU,     0xbde3dfabU,     0xffd3f29fU,     0x762fa06bU, \
    0xc338e35fU,     0x8149a0d4U,     0x63a46d5bU,     0xeaa77074U, \
    0xee9f3f0aU,     0xa468d663U,     0xa4110987U,     0xf8316592U, \
    0x5e618b55U,     0x03160b34U,     0xe8fe510fU,     0x1b4054d1U, \
    0xa34c213aU,     0x45370f00U,     0xd0e2dba5U,     0xc875f2f5U, \
    0x27521a95U,     0xafa5bfebU,     0xe78c7d12U,     0xa47885d6U, \
    0x206a4a51U,     0x81ada659U,     0xdcea2963U,     0xad16fbf6U, \
    0x8fcef907U,     0x95c2a299U,     0x528d7b10U,     0x05a91e3cU, \
    0x624be647U,     0x43c19272U,     0x8eca7098U,     0x2743670bU, \
    0xb65dcd0eU,     0x159196eeU,     0x3b03f901U,     0x5e805d71U, \
    0x3ae7da14U,     0x9428f036U,     0x0caeec36U,     0x60d94a00U, \
    0xf731a79fU,     0x85e53019U,     0x1961d4a1U,     0xbe81688aU, \
    0xc0ca028dU,     0xb99a4ff5U,     0xe2f57ac5U,     0x8310f0f4U, \
    0x55cf0244U,     0xe46fed51U,     0xc5351d40U,     0xa5f97c6aU, \
    0x6096c22cU,     0x98aba9d8U,     0x67926259U,     0x0155c97aU, \
    0x33dc371aU,     0x1dc44540U,     0x52dd6370U,     0x883b55d5U, \
    0x213b8f70U,     0xd17079cfU,     0x746fc502U,     0xf81347a8U, \
    0x26d22573U,     0x7386c8abU,     0x980593b9U,     0x87c62918U, \
    0x98352225U,     0xe3ecdfc7U,     0x219ad577U,     0xc7a84ddfU, \
    0xbca211efU,     0x1362f963U,     0x54d8bb9cU,     0x8f0767d7U, \
    0x8bc5e0a6U,     0x06ae9858U,     0x980f20d5U,     0x2ed18397U, \
    0x74808386U,     0x26420dc3U,     0x9233caadU,     0xc286b54dU, \
    0xd308267fU,     0x3c8a24e1U,     0xa2cb3361U,     0x03740eabU, \
    0x0f295698U,     0xdd287b87U,     0xc1b6517fU,     0x6df055a9U, \
    0x20a06377U,     0x08a12a97U,     0x134431fbU,     0xbe302e70U, \
    0xd9300043U,     0xae523c78U,     0xf8f8411eU,     0xfde7b81fU, \
    0x87fd4426U,     0x22f73d5dU,     0x5772ead4U,     0xb07e5790U, \
    0xa357e669U,     0xd5ef2a08U,     0x8be3febfU,     0x74938aa4U, \
    0xca3691d2U,     0x95169ce8U,     0xb3d77b2bU,     0x3b40cea2U, \
    0xbc7033a5U,     0x2686306cU,     0x4ec1364bU,     0xfa25fd8fU, \
    0xda84e7a0U,     0x1f8935c1U,     0xd698add5U,     0x707b9987U, \
    0x6dc340b2U,     0xb87005b2U,     0x8211bedcU,     0x2cc1f290U, \
    0x450e0c1eU,     0x069cf2adU,     0x7dedb7edU,     0x9f917034U, \
    0x08560057U,     0x5110cabfU,     0xcf5e139dU,     0x1c45bdf6U, \
    0x9ad4b966U,     0xc94b67b5U,     0x5e0f2f0cU,     0x7b08d509U, \
    0x67c36ccaU,     0xf4ee1c6eU,     0x729c8ef4U,     0x7298d5f0U, \
    0x55d50e62U,     0x053287faU,     0xa2ddadbaU,     0xe977abcbU, \
    0x871564ebU,     0xec7076a8U,     0xa8e762b1U,     0x5d81bad0U, \
    0x2fef8dcaU,     0x0a9789c2U,     0xcd2ae34dU,     0x949ac447U, \
    0x23b313abU,     0x543a7061U,     0x3937e1ffU,     0x1df992f2U, \
    0xa5ff952bU,     0x47fe741cU,     0x8a2a93c0U,     0x1b6ffe96U, \
    0x7d48372cU,     0xfffd7827U,     0xe9b916eeU,     0xa65700f8U, \
    0xa59d0fa3U,     0xfbe0d7a3U,     0xe64ac75cU,     0x40c1e4fbU, \
    0x59eed0a2U,     0x317f1229U,     0x7c95f160U,     0x71e36aefU, \
    0x9bfd443bU,     0x0d750754U,     0x514720cfU,     0xf53b1879U, \
    0x61303901U,     0xc846f10aU,     0xe908b0b5U,     0x4df61fd6U, \
    0x214fa25bU,     0x5eef3c73U,     0xc8089b30U,     0xb09c42b1U, \
    0x050537f2U,     0x2eca70bcU,     0xa1c609fdU,     0x59b484f5U, \
    0x02879de1U,     0xe27078c8U,     0x8ce00f4bU,     0x5cf99d67U, \
    0xf75bb2fbU,     0x6fd2eddfU,     0x3be2316bU,     0x31d7c7d6U, \
    0x8a256d1aU,     0x28b2740aU,     0x44f6e0edU,     0xc418c2b3U, \
    0x9fe3c9ffU,     0x877888bfU,     0x7587ebcdU,     0x67b8fd04U, \
    0x326656faU,     0x2062549cU,     0x4c7d5746U,     0x869aef6dU, \
    0x65ade24eU,     0x0f0ef6a5U,     0x0ea4e00cU,     0xd9c6d3f7U, \
    0x3faa6450U,     0x0e2de0bdU,     0x04e347c4U,     0x221cd2b8U, \
    0x0939d106U,     0x6975f4f8U,     0x52b2fdf4U,     0x7995a785U, \
    0x66386acbU,     0x17796ebbU,     0x6234bbcdU,     0x7f63f27eU, \
    0x1dd0bff9U,     0x98c756a5U,     0x762c94a6U,     0xca06358eU, \
    0xb48d1e56U,     0x8af72f89U,     0x11baf952U,     0x0e146949U, \
    0xcc72abadU,     0x6d8552efU,     0x2a59ad4dU,     0xe584f97eU, \
    0x74fb99ccU,     0xb631e7b1U,     0x90bff489U,     0x9db444fcU, \
    0xf881733aU,     0x2412e44cU,     0x565119e2U,     0x8688ce9aU, \
    0x8483da15U,     0x8c09878fU,     0x3d41cc24U,     0xa9ababceU, \
    0xb3fd193dU,     0x4e3843abU,     0xa89a9d51U,     0x73794929U, \
    0xa1e4ccd4U,     0x063b8187U,     0x5eaf58e4U,     0x892b999cU, \
    0x58d230eeU,     0xfc79adafU,     0x5dc097fbU,     0x860bb546U, \
    0x5aa7a02aU,     0x34cbd4d4U,     0x5e55f49dU,     0xb6251525U, \
    0x8082060dU,     0x178bf1aeU,     0x71c79420U,     0xf71b6fe9U, \
    0x36088161U,     0x4f90cf0cU,     0x0457fcfdU,     0x6850d354U, \
    0x3283ad54U,     0x6eab18b2U,     0xedf03a85U,     0x5d2e2d0cU, \
    0x342f8a38U,     0x22957c6fU,     0x5549406dU,     0xd9fcef39U, \
    0x13b0cfe2U,     0x7b075074U,     0x4b4de871U,     0xdcff0e37U, \
    0x1e0a6f2cU,     0xd384097fU,     0xd72ae812U,     0x1404be57U, \
    0xa5687b91U,     0x7ed4a1acU,     0x7e086769U,     0x2b43375dU, \
    0xaf1fcdaaU,     0xaa804d2cU,     0xf6e7a00fU,     0x2e0e4abeU, \
    0xc9136f4fU,     0x42d23115U,     0x6b7f6688U,     0x4a158d8cU, \
    0xcb6cbbe3U,     0x867cc329U,     0xd958cf0dU,     0x7ad89720U, \
    0xfec2c3fbU,     0x91d2f641U,     0xd68f96b6U,     0xe57d9abdU, \
    0xa0a9a935U,     0x1f0454b5U,     0xf898d3b3U,     0x7a82c7fdU, \
    0x3badba50U,     0xb0c2ceddU,     0x9bd3cfd4U,     0xee995444U, \
    0xe328d729U,     0xb19ec7edU,     0xd7e839f8U,     0xa78076c0U, \
    0xa05f2c8dU,     0xd888f153U,     0xb62605f2U,     0xb251ffdfU, \
    0xd70288a4U,     0x79f73ab8U,     0xca2fb46cU,     0xa007aa4dU, \
    0xd85c90e6U,     0xc3f121adU,     0xf3dd7c6fU,     0x517c9596U, \
    0xd8382493U,     0x4f28d19fU,     0x74679729U,     0x04b84c32U, \
    0xdecebb14U,     0xba3f29bdU,     0x964460cdU,     0x97677adeU, \
    0xf84c49baU,     0xe1971bf1U,     0x7b0a0a72U,     0x6c99cea4U, \
    0xb516ce77U,     0x4f0aa306U,     0xd7c31371U,     0x09946894U, \
    0xc1b9b347U,     0xe808e483U,     0x70fed8b2U,     0x9223ae81U, \
    0x1f496d80U,     0x6060d4e7U,     0x3b69ba64U,     0xb3be0f67U, \
    0xa21af94bU,     0x665ae661U,     0x0c381dbfU,     0x5cb68590U, \
    0x9911d464U,     0x87f9e6c1U,     0xdca85983U,     0xf63c218dU, \
    0xa3ae8cc6U,     0x18048dc1U,     0xce24e018U,     0x38c6a6faU, \
    0x0d557ac2U,     0x2df08df7U,     0x3c763d10U,     0x875b664fU, \
    0x522f4e9dU,     0x8ca4fb5cU,     0xd504f084U,     0xa804ccdcU, \
    0xb3ea1311U,     0x44e1f0cdU,     0x8bf9de5fU,     0x5474b564U, \
    0xd49a7963U,     0x47b64219U,     0x332e154eU,     0x8de23fa2U, \
    0x40602488U,     0xb9a420eaU,     0xb3a0f1c7U,     0x398298f7U, \
    0x4e0dc282U,     0x6f084befU,     0x4a6d4761U,     0x97841e3cU, \
    0x739c75d2U,     0x3bd0c39eU,     0x0487749cU,     0x38b5e4adU, \
    0x04047f12U,     0xe34cdfddU,     0x2e97cf9aU,     0x2524c5b7U, \
    0xa7707d66U,     0x3407f8a2U,     0x5a7f0ea7U,     0x8b643235U, \
    0x75156f35U,     0x6a449035U,     0x855727c8U,     0xb6677c22U, \
    0x909e5450U,     0x3c63a815U,     0xa80d400bU,     0x53cf54ebU, \
    0x4d7f66e9U,     0xc265db1bU,     0xcfc9330bU,     0xc531d791U, \
    0x508f4c49U,     0xf3022824U,     0x03b38ba3U,     0x7a009ab9U, \
    0x4e2c9f8aU,     0xf9ee9356U,     0xf787c754U,     0x0b5215dfU, \
    0x11c024a6U,     0xecb38199U,     0x84b70fbcU,     0x46bd7d3dU, \
    0x7059378aU,     0x76b846dfU,     0xb1c34f12U,     0x4db198fdU, \
    0x64909a31U,     0xe0092c3aU,     0x9d24f057U,     0xf3182976U, \
    0x0d05aa87U,     0x234614c7U,     0x64c8711bU,     0xfc923ffdU, \
    0x6836b278U,     0x7e864d02U,     0xdcf3a842U,     0x37962843U, \
    0xbfdb4500U,     0x55f67df6U,     0x49c5daf2U,     0x7dc0c949U, \
    0xae16ab83U,     0x587d9dc6U,     0x8b51b5d2U,     0x46d1755fU, \
    0x76439b27U,     0x48e26aa9U,     0x5b3194cdU,     0x847a07e0U, \
    0x820b533eU,     0xf7898667U,     0x79d4c06fU,     0x5eef6ec4U, \
    0xc0480500U,     0x68221849U,     0xfb4832f5U,     0x5ed7aa72U, \
    0xc4e7ac6aU,     0x52abf827U,     0xed8e6d4fU,     0x8fa23f55U, \
    0x3c715f13U,     0x06abf8a8U,     0xfc364ce6U,     0x27a0b159U, \
    0xd935e44bU,     0xa1642b8dU,     0xe072c42aU,     0xaa31fd2aU, \
    0xd285efccU,     0xa0cd130bU,     0x0af57883U,     0x0a4713d6U, \
    0x7357e053U,     0x3687f4b5U,     0xad6199e1U,     0x9d6325fcU, \
    0xb43b9344U,     0xc6f9634dU,     0x423ce5f1U,     0xc8e7d858U, \
    0x5f479941U,     0xc4a7cea3U,     0x0aa742b5U,     0x4d38f78aU, \
    0x18ea05abU,     0xf0c2810bU,     0xc612e889U,     0x04069270U, \
    0x653b67baU,     0xb6e0a5edU,     0x415dbbdcU,     0x5285be93U, \
    0x50a8a965U,     0x34e8fc54U,     0xa635b930U,     0x1842f756U, \
    0x6d3b4ebdU,     0x768b6386U,     0xa79745eaU,     0xa86e812dU, \
    0xc499cb78U,     0xc2f72e70U,     0x921790b6U,     0xea1dca21U, \
    0x0b13e1e7U,     0xb0391423U,     0x11857557U,     0xdeb91a97U, \
    0xe06df7ceU,     0xf22aada1U,     0x85516a55U,     0xa959dedbU, \
    0xbfb933cbU,     0xce6085f1U,     0xfe34ae7eU,     0x49bd890cU, \
    0xe5738be5U,     0x62d0cde6U,     0xeb27f87bU,     0x2a6c0893U, \
    0xe9925e3bU,     0x4e48feaaU,     0xb00971c5U,     0x30e3d5cdU, \
    0x07b467e2U,     0x61804b92U,     0xbd621d63U,     0x8b5e6598U, \
    0x61f0e5abU,     0x86ac00b4U,     0x89ef7519U,     0x4854fde6U, \
    0xfeb847e4U,     0x375a797bU,     0xeb55d45eU,     0x21f2fec2U, \
    0xb3b455aaU,     0x9bf137e7U,     0xa381a8c7U,     0xc64b8650U, \
    0xd4371842U,     0xfdae14fdU,     0x225085b9U,     0xb0cfed97U, \
    0xe9cb5d5bU,     0x64225b74U,     0xc205cb43U,     0x36f5bed4U, \
    0xc9673fd6U,     0xdfe15649U,     0xddea6f5aU,     0x60a4cf7bU, \
    0xf6d949feU,     0x68b8cefeU,     0x770995ccU,     0x881aab86U, \
    0x051fe67bU,     0x3d4f794aU,     0xfe9cd0c4U,     0xc713e693U, \
    0x2ee1c277U,     0x0c806275U,     0xa6b6b871U,     0xc55f74f3U, \
    0x89c8c2b2U,     0xc7a05478U,     0xe69cbeb0U,     0x6758078cU, \
    0xff4dbb35U,     0x1a8b2121U,     0xc709b7daU,     0xcf5ec4f7U, \
    0x88d9bebeU,     0x936512bfU,     0x19a037c8U,     0x2761ea46U, \
    0x5dda9b31U,     0x118def4fU,     0x4970d3f3U,     0x1b660a2aU, \
    0x152f12f1U,     0xb232cebfU,     0x31e62effU,     0x6180be63U, \
    0x57933595U,     0x48d462c0U,     0x7aa191dcU,     0xaa10cfa0U, \
    0x6762cb2aU,     0x0af0e284U,     0xdf331887U,     0x1cc1f307U, \
    0x7ee8d3bcU,     0xd00cbf15U,     0xf1e74b78U,     0x6f421640U, \
    0x01020260U,     0xe4055cdbU,     0x9ddb68afU,     0x5104ecd1U, \
    0x78e290cfU,     0xb5d6baa3U,     0xf737c56dU,     0x61edd837U, \
    0xff796a8eU,     0x6da6d2f8U,     0xcb0799baU,     0xff68a266U, \
    0x913eb511U,     0x6254865fU,     0x968fb63eU,     0x37251cafU, \
    0x7882b7b6U,     0x9e28ddf8U,     0xa9ccc443U,     0xb4f706eeU, \
    0x887a53a1U,     0x260ac5e7U,     0xffb3b009U,     0x61c55490U, \
    0xe5a65f4dU,     0x79ff4269U,     0x462765a4U,     0xe819a562U, \
    0x6419ace3U,     0xe3a19899U,     0x2402ecfeU,     0x2d3ec502U, \
    0xb0f88416U,     0x7c520c24U,     0x63b1e259U,     0xcbf575d2U, \
    0xc4c7b7cbU,     0xa870d968U,     0xbea87dd6U,     0x4361cb88U, \
    0x6281e214U,     0x6809cef9U,     0x2690af54U,     0x9a6f71c5U, \
    0x93ac397fU,     0xa7b89065U,     0x6b81f8e1U,     0x3d2c9d4fU, \
    0x82f90f0dU,     0x360d1f1fU,     0xbe4eba1bU,     0xffd43748U, \
    0x36a6d9f7U,     0x168e530cU,     0x953d03d2U,     0x320f815aU, \
    0xe8a3d1b8U,     0xb9350ad6U,     0x7a22ebf3U,     0x6e8c53a6U, \
    0x14040d9bU,     0x5ba35a52U,     0x5c6aa28fU,     0xf192ef06U, \
    0xf4e673f8U,     0xf07a741dU,     0x323a911dU,     0x98c23d4eU, \
    0x1fed93caU,     0xf2498ba2U,     0xe90898bfU,     0x8a2a723dU, \
    0xf8a04270U,     0x61ecde2dU,     0x540ced90U,     0x585f9251U, \
    0xdfc06b7fU,     0x424fe6b1U,     0xacf6d822U,     0xa2e77e78U, \
    0x617a5719U,     0x93cd674aU,     0xe70c1231U,     0x258b51caU, \
    0x8fec8230U,     0x4fc10671U,     0x7e44a86bU,     0xbad5776fU, \
    0xd3a0a8c3U,     0xe4505496U,     0xe462d0daU,     0x55335ce6U, \
    0xc3990207U,     0xfc051d13U,     0x9d7ef8c8U,     0x3e7ec06bU, \
    0x74457132U,     0xba3545b4U,     0x5a0f122dU,     0x1bf09e8cU, \
    0x56afc253U,     0x3b215e88U,     0xa634fc8bU,     0x5790c17cU, \
    0x142a1e6aU,     0x388b7f64U,     0x16da12e6U,     0xf2057f34U, \
    0x0728bdc5U,     0xb81574e7U,     0x71a3ef56U,     0x80e9aaaeU, \
    0xcf7b9ef6U,     0xb4611692U,     0x9b4da4dfU,     0x27a1bdabU, \
    0xb31bbc6aU,     0xbfac23caU,     0x6d14ce4fU,     0x0eb095d9U, \
    0xe5912d94U,     0xded925d6U,     0x2a3b9d20U,     0x26ab1d39U, \
    0x8d46be8fU,     0x824f3bcbU,     0xfbd65fcaU,     0x4304e8b3U, \
    0x5f25a492U,     0xcd305b59U,     0x1189edb4U,     0x7fbb48eaU, \
    0xd512b9faU,     0x7f30dcd1U,     0xf35c5442U,     0x14f46afcU, \
    0xd7a85de1U,     0xbd2933f6U,     0x467c2d7cU,     0x66b3a31eU, \
    0x8a36291cU,     0x6289a12bU,     0x18d24b63U,     0xb835c83cU, \
    0xffe75adbU,     0xdf83ed1fU,     0x0f982277U,     0xa44e9bdcU, \
    0x521024a8U,     0x4150d352U,     0xd32c0ab5U,     0xc28824ecU, \
    0xb272406aU,     0xf4bb992fU,     0x375c828cU,     0xb6580c4cU, \
    0xc755d1e4U,     0x2454ca32U,     0x9d8c15b8U,     0x92ee653cU, \
    0xa4e382e8U,     0xd1bb36f4U,     0x17547e7bU,     0x391066b2U, \
    0xa47e469eU,     0xbc4da193U,     0x42c53bedU,     0xb93452dfU, \
    0x96a5c5bdU,     0x55c114dfU,     0x5d768605U,     0x8388758cU, \
    0x64e8c5b6U,     0xe9f269b7U,     0x443b3399U,     0x1c613c5cU, \
    0x6c2180d2U,     0xc64d05a1U,     0x37deb0caU,     0xc25bc873U, \
    0xb99b3ff5U,     0x4278234aU,     0x9006e5d4U,     0x07e086f8U, \
    0x2f7221d9U,     0x98ced061U,     0xbcd18807U,     0x984266c0U, \
    0xbfcf89f5U,     0xeec1db1cU,     0x95010c77U,     0xcb64ee3aU, \
    0x4c065db2U,     0xdf7f037eU,     0x842b9dc7U,     0x36b57deaU, \
    0xc1c50185U,     0x4480afe4U,     0x23d5ffafU,     0x37d084bcU, \
    0x5b36e37eU,     0x6b64cee2U,     0xb3a562b8U,     0x61f3d97fU, \
    0x04101645U,     0x6afcef34U,     0x19d155ddU,     0x32a9a0f7U, \
    0x1db22a85U,     0x96612578U,     0x11cf6a43U,     0x356313cfU, \
    0xb656fc96U,     0x13787837U,     0x53b85ae4U,     0x34a1ffdbU, \
    0x01336608U,     0xe9734385U,     0x4774ec3dU,     0xbb49f345U, \
    0xd9971976U,     0x4c0c1580U,     0xfafe83a3U,     0x0358059cU, \
    0x60f60648U,     0x04ad0547U,     0x40a91567U,     0x6319f3b6U, \
    0x28eea613U,     0xad46d3f8U,     0xaf52410bU,     0xc8c241edU, \
    0x79989edcU,     0x80e4a27bU,     0xfec4bea8U,     0x69cd0286U, \
    0x4950d1efU,     0x3060bcc9U,     0x732143b1U,     0xcf716f55U, \
    0xe29b5b6fU,     0xe922437fU,     0xb5990d26U,     0x687f1254U, \
    0xec04e82aU,     0xc06ba360U,     0xea7fbdcbU,     0x966631beU, \
    0xfd9a30dbU,     0x2d3bca52U,     0xa4ebf6dbU,     0x4a1412abU, \
    0x3ad07896U,     0xc6521024U,     0xe54c2899U,     0xdc96a912U, \
    0x08abf422U,     0x6a4a5e92U,     0xf84f8862U,     0x318e956fU, \
    0xc56eafdbU,     0x0884fb83U,     0x610fd0adU,     0x820e56b3U, \
    0x6788cc36U,     0xbb9a75a4U,     0x2fab75d0U,     0xe6c6d6c0U, \
    0x87f1ababU,     0xa4f3f1a1U,     0xe3210fc5U,     0x00954ab5U, \
    0x319d91a1U,     0x7ce42882U,     0x225552aaU,     0x840a6840U, \
    0xdc0bdf60U,     0xb865377bU,     0xc0fe1963U,     0xe3ed2067U, \
    0x38c8e0f9U,     0xced70c73U,     0x60ae95bfU,     0x03f0a032U, \
    0x6998505cU,     0x8df2dc8cU,     0x780a0787U,     0xb1776e5eU, \
    0x2a2bb64bU,     0x219b5f35U,     0x696e8014U,     0x7eaa80dcU, \
    0x1b8be79cU,     0xff29067cU,     0x273d618eU,     0x08c64543U, \
    0x28d054b9U,     0x4207aef4U,     0x4cccbbf3U,     0xf7b2bbbfU, \
    0x5f6afee0U,     0x612d8175U,     0x3d679fa7U,     0x5793c4afU, \
    0xcf377e05U,     0x736600dcU,     0xb3fbdd62U,     0x3ed7e8fcU, \
    0xaa3a117fU,     0x9a41747cU,     0x252445c9U,     0x6311eb05U, \
    0x2ae2faaaU,     0x97062d6aU,     0x2039dc5fU,     0x80d9a688U, \
    0xb7af304aU,     0xaa483d3aU,     0x7c75ab05U,     0xfd2168ddU, \
    0xd9d9e25fU,     0x4ac01007U,     0x689f0ee9U,     0x1baecf87U, \
    0x1734d41cU,     0xb35d1f1fU,     0x4274e01dU,     0xf8327829U, \
    0xe3418481U,     0x1650e67dU,     0x6f43b185U,     0x7c4ec6bbU, \
    0xebe3fcb3U,     0x80206fdaU,     0xf6985415U,     0xf0d8b12eU, \
    0x223e328aU,     0xf92f7ba3U,     0x7243db2dU,     0xef2a2b3cU, \
    0xe2d7e453U,     0x1bf1fadeU,     0xe5f221f5U,     0x4f20224fU, \
    0x34749a41U,     0x0a5cb055U,     0x81f637f4U,     0x8b0b5dd3U, \
    0x9e6857afU,     0x8aaeea1fU,     0x2ddbf77eU,     0x0a896f35U, \
    0x456bd7dfU,     0x791de9a5U,     0x0af876c7U,     0x4b7f9aa9U, \
    0xb8e612e0U,     0xa07253c2U,     0xb231d130U,     0x9ff6ee72U, \
    0x1da7fb2dU,     0xbb9e3d05U,     0xf2f10c13U,     0xc4c4bb65U, \
    0xede15530U,     0xe5315dc1U,     0x17c19f6cU,     0xc9747a89U, \
    0xcfbfef16U,     0x082dfe7dU,     0xbba74879U,     0xabcf9c35U, \
    0xf0188a72U,     0x668aca52U,     0x6112ebdbU,     0x2f814a42U, \
    0x711c5a93U,     0xab0eb6f0U,     0x6a4d45cfU,     0xf82a0b22U, \
    0xd3bf8e60U,     0xa36d0228U,     0xcc00bafaU,     0xca9899b3U, \
    0x999402d6U,     0x290553f7U,     0x4cb897dfU,     0xddceb3f7U, \
    0x802d6e29U,     0xd83a5272U,     0x7d808991U,     0x8be0d205U, \
    0xe8441bd6U,     0xadd7478dU,     0xc543b13fU,     0xb68f0071U, \
    0xadb0a433U,     0x3d9ba9a3U,     0x8fdfd25dU,     0xab6392bcU, \
    0xa1fa6c7bU,     0xf68103c7U,     0x326e7461U,     0x8674389dU, \
    0xaf049498U,     0x6d5b89feU,     0xc04b8b6bU,     0x8c419e24U, \
    0x158482abU,     0x2cdbeb82U,     0xe4008406U,     0x1e98b320U, \
    0x30667b80U,     0xae3c2f90U,     0xc99a3756U,     0x93d26d45U, \
    0x30bdd639U,     0x49aa2ae6U,     0x7911048bU,     0xd6fe8274U, \
    0xe0fc9798U,     0x5a74c1e3U,     0x742fe268U,     0xb9c15724U, \
    0x2cbd2226U,     0x96bed272U,     0x32263f87U,     0x8eaecfa8U, \
    0xeb10bd4cU,     0xc6c1ce03U,     0xbb97567aU,     0x4ff88cbeU, \
    0xb1b23d50U,     0x1fa1a20bU,     0xcfc4bd16U,     0xc068a152U, \
    0x4793b37bU,     0xc1d93bdaU,     0x5fbd0d14U,     0xd142b810U, \
    0x49ebdf15U,     0xd7da193cU,     0x55067db7U,     0x2143790fU, \
    0x0604c478U,     0xa05dcb42U,     0xf3023475U,     0x031138c3U, \
    0x8bef2bfaU,     0xda42f2f5U,     0x527d612dU,     0xb9c95032U, \
    0xc07ec5e2U,     0x859141ceU,     0x3dfb7c16U,     0xa92389eaU, \
    0x1c590e6eU,     0x462704e7U,     0x31238e48U,     0xd4141641U, \
    0x3bf1d0b5U,     0xa98fde43U,     0x061bfeadU,     0x7f8a1a6bU, \
    0x073610bdU,     0x9566c821U,     0x3c7618c0U,     0x405bce45U, \
    0x57aa3519U,     0x68ba7a15U,     0x0e3e3fc2U,     0xe7d67ae0U, \
    0xe5037035U,     0xedd29a10U,     0xe75ed03eU,     0x83de785cU, \
    0xa93d0a18U,     0xb4904774U,     0x87296ceaU,     0xc315c4faU, \
    0x8e4ff682U,     0x5736f6c5U,     0x99b955d4U,     0xe64501b9U, \
    0x18ebf62fU,     0x15370570U,     0x4f2cb8c7U,     0xa21156dfU, \
    0x86515fe7U,     0x4f906587U,     0x532180f7U,     0x57b57b90U, \
    0x7364c55bU,     0xb8d0fbd2U,     0x2d253529U,     0x450095caU, \
    0x1fb78352U,     0xd504231eU,     0xa87ed096U,     0xfeae8d20U, \
    0xb3d8afb5U,     0xee7bb96fU,     0xcf2d517aU,     0xc2ad131cU, \
    0x986a38edU,     0x6e364fc3U,     0xeb832b6eU,     0x7c4b6818U, \
    0x8c9e5ad5U,     0x3f8ba2c4U,     0x791b3620U,     0xb2c46651U, \
    0x46f3a472U,     0xb32a51caU,     0x86452fdaU,     0x6a07f4c5U, \
    0xda9072b2U,     0x357ad707U,     0xb856aba0U,     0x8246e10eU, \
    0x70ac087dU,     0x4d3da754U,     0x6a967571U,     0x4c292224U, \
    0xd3130616U,     0x06d257edU,     0x93017e7bU,     0xd131ff61U, \
    0x12b284bdU,     0x15c806d3U,     0xa60c0da2U,     0xd58fcc50U, \
    0x24074b14U,     0xcd46bcc3U,     0x98613f13U,     0xa2920689U, \
    0x9aa05271U,     0xb26b050cU,     0xbe748f0eU,     0x270e4801U, \
    0x39559115U,     0xfd368be4U,     0x29de996eU,     0xdad90e08U, \
    0x7b38535cU,     0x5b31b27aU,     0xb297e791U,     0xe99a49c7U, \
    0xd9448c77U,     0x410555e4U,     0x12cb50beU,     0xf9e5f3d6U, \
    0xdc26f7aeU,     0xc1b2058fU,     0x52d2d9f5U,     0x5969767bU, \
    0x86bb35abU,     0x787268d8U,     0x455d2812U,     0x65e5bd86U, \
    0x2c4427eaU,     0x0caea66fU,     0xaed01777U,     0xdd6de45dU, \
    0x2f750032U,     0x343f9bedU,     0xf13c5518U,     0x2f3f4249U, \
    0x46103af3U,     0x5a0fbebeU,     0xe8d0baacU,     0xc0ec4975U, \
    0x93641224U,     0xe5bcfc78U,     0xc77dab00U,     0x3ba58c95U, \
    0xa435e9e2U,     0x7645ddceU,     0x93e2359fU,     0xe7fefd4eU, \
    0xd6bacfdcU,     0xcffc5138U,     0xdf2a4e09U,     0xf909838cU, \
    0xf611a130U,     0xa44c0b87U,     0x865fff8eU,     0xe2f08be5U, \
    0x4c24fe2aU,     0xcde7fb0fU,     0x0ecb7c22U,     0x99067248U, \
    0xf4edc920U,     0xc13ab640U,     0x6b0b4ceeU,     0x0d7feff8U, \
    0x0b6845a0U,     0x61596386U,     0xe7b8af9dU,     0xf47cf634U, \
    0x506443d8U,     0x9c713c58U,     0xed722442U,     0xb7abdd54U, \
    0xaba71e83U,     0x9d3909e3U,     0x4216bf61U,     0x6cc600c3U, \
    0xfea4056fU,     0x672477a0U,     0xce0d5c50U,     0x30535997U, \
    0x6db3918bU,     0x9f4221fbU,     0xed6dbc43U,     0x70d9df50U, \
    0x23cdffc6U,     0xb06d4e37U,     0x25cb4f23U,     0xbec9944bU, \
    0xa0adf218U,     0xc91d4d57U,     0xe610e331U,     0x999f8cecU, \
    0xa6cf8634U,     0x8c7a249eU,     0xfcca68b2U,     0x62a6795aU, \
    0x74065134U,     0x2a808641U,     0xe14725d6U,     0xff230fd2U, \
    0x4c852fd4U,     0x80f718d6U,     0xfcb5f58eU,     0x1758e4eeU, \
    0xcf94c9c4U,     0xe13dbc31U,     0x03193fa0U,     0x7c2c5433U, \
    0x82eedef4U,     0x808adb44U,     0xeac01a86U,     0xa6ed80e4U, \
    0xf1e37919U,     0xa2528905U,     0x34c0253bU,     0x36cb256dU, \
    0xc24451d7U,     0x262300a4U,     0xebda464cU,     0x7d164099U, \
    0x3f4b702cU,     0x2af330adU,     0xf01e0468U,     0x84d30007U, \
    0x044b66bdU,     0x068cc118U,     0xaf41f773U,     0xc429b4aaU, \
    0x94b3ab37U,     0x159e9a9cU,     0x0193bef6U,     0x2f8f28d7U, \
    0x02bc73fbU,     0x295c096cU,     0x72aa40bfU,     0x951dade5U, \
    0x7cd84fc7U,     0x8f36b8e3U,     0xfc1db11fU,     0xbe7906b1U, \
    0x8cf43176U,     0x2f7b5a32U,     0x11b607ceU,     0x44444bd5U, \
    0x80b437e4U,     0x8b28c446U,     0x0aa2251fU,     0x54f47c49U, \
    0xe26260cdU,     0x15158b25U,     0xc95b1a75U,     0xf6d02bacU, \
    0x84f61744U,     0xae18c1b6U,     0x03ea5271U,     0xbc356a25U, \
    0x4f3383f8U,     0x478b94daU,     0x50baeae8U,     0xffb6527dU, \
    0x0ae5a88eU,     0xf5ded481U,     0x7605fd0dU,     0x37284796U, \
    0x7f0fe455U,     0xa8714386U,     0x7069386bU,     0xa5747d50U, \
    0x56bfd3feU,     0x47c5ca89U,     0x216448f3U,     0x3ebc95a2U, \
    0x6abc78f6U,     0x550a449fU,     0x01252969U,     0x7714f345U, \
    0xd0268f46U,     0x14f00123U,     0x2600822fU,     0xd35ac5d7U, \
    0x3ce3ffdbU,     0x9da54804U,     0xefc2f418U,     0x5d228208U, \
    0xfd82f615U,     0x245b1878U,     0xcb7f270eU,     0x55ae8613U, \
    0xf76f246dU,     0x2264692aU,     0xe78413ddU,     0x2c41f18fU, \
    0xe2148a18U,     0xd2169c7fU,     0x52167b36U,     0x497bb20eU, \
    0x76fdb05dU,     0xeaafa7d8U,     0xe2e35bf1U,     0xc8ae2a7fU, \
    0x4ec8717fU,     0x9b4cff36U,     0xaf0b4eeaU,     0x43e72f5dU, \
    0x51dcb219U,     0xf4a8271eU,     0xd12b60d9U,     0x8b4f673cU, \
    0xeac02883U,     0xad400a3fU,     0x009d0291U,     0x0c458518U, \
    0xa86b6cebU,     0xcb8cef2dU,     0x685764c4U,     0xeb556607U, \
    0xf4ef72d8U,     0x8f00da98U,     0x307b3366U,     0x26526228U, \
    0xaa26b4eaU,     0x23c2323fU,     0xda140069U,     0xad19931cU, \
    0x712d13c0U,     0x9195ddd8U,     0xd6ee9e6aU,     0xea364368U, \
    0xa192dc13U,     0x1e611ce3U,     0x9a943eacU,     0x2a579bc9U, \
    0xa3c32e51U,     0x31752d07U,     0xa4103a78U,     0x0eccfac2U, \
    0x23535faeU,     0x91c191f3U,     0x2358f37dU,     0xa613832fU, \
    0x2c3331dfU,     0xe84558a6U,     0x49399b75U,     0xb00b9afcU, \
    0x759ffe82U,     0x0ef37c47U,     0x3a03a135U,     0x7d35be0bU, \
    0xaf76a159U,     0xea02d240U,     0x5eedd248U,     0x8d13cdf3U, \
    0x2773792eU,     0xf2e6190aU,     0xe6cd9b5eU,     0x59bd6784U, \
    0x2f6abd9dU,     0x3a5b54b3U,     0x7b2f9571U,     0x3522df16U, \
    0xd0011d41U,     0x66e5c1dcU,     0x05d55c69U,     0x4a9ada37U, \
    0xe9b9572fU,     0xa72c6d11U,     0x46a0b170U,     0x146be8ffU, \
    0x33997eecU,     0x1efb0164U,     0x9b20870eU,     0xee91a0f5U, \
    0x21756307U,     0xa92df567U,     0x5c378517U,     0x530b13d5U, \
    0x80fe33daU,     0x4f7bbf03U,     0x4beb1c7aU,     0x5faee9e5U, \
    0xd22fbb28U,     0x7694a173U,     0xaf4967cdU,     0xcf0527d0U, \
    0xf0dc667cU,     0x1440258cU,     0x2bd9c538U,     0xa2718261U, \
    0xe89c1f43U,     0x79f21257U,     0xb32235d5U,     0x4c6f9f22U, \
    0x08dbb69aU,     0x164e348eU,     0xbbdaa911U,     0xb550e20eU, \
    0x63d948d3U,     0x9b7b49cbU,     0xbb5460b5U,     0x13daad09U, \
    0xfecdc263U,     0x55b573c7U,     0x3b599929U,     0x4021a877U, \
    0x8b7db1a7U,     0xe1d13fcfU,     0x30c9cf02U,     0xaf45e665U, \
    0xa68bf75bU,     0xf8db6fe8U,     0xef59096bU,     0x614f1346U, \
    0xcd0db0d0U,     0x3dcc2dc0U,     0x25753549U,     0x11cdcb85U, \
    0x04a8f3ddU,     0x85be79f9U,     0x7d5cc634U,     0x6a56c3f6U, \
    0x62cc556dU,     0x5c2aa50dU,     0x5fff082fU,     0x7ef6e2c3U, \
    0xc2ead4f1U,     0x50319570U,     0x69c77febU,     0xd8ba140bU, \
    0x3f5525f0U,     0xc314a4a2U,     0xb62f14a8U,     0x4d0f897bU, \
    0x16ce7771U,     0xabecaddbU,     0x8a83b4ecU,     0x15c99c01U, \
    0x9a3a5853U,     0x7abd4afeU,     0x3a2496c0U,     0xa9ee8641U, \
    0x61cb67bcU,     0x7528eaefU,     0x3a1a80a4U,     0x7897a810U, \
    0x20a0aa88U,     0x4135ec13U,     0x3bf45cfbU,     0xd7b7b17aU, \
    0xcd77815bU,     0xbb19b95bU,     0xd8590277U,     0x2055229dU, \
    0x695fe78cU,     0x65727287U,     0x511ed3a3U,     0xf89170ffU, \
    0x1770a080U,     0x44ade026U,     0x66b9098bU,     0x73afe434U, \
    0x76bb7eb3U,     0x21ee77e5U,     0x2401adccU,     0xe3979c28U, \
    0xd6a72f65U,     0xdc473a7eU,     0x7fb16f74U,     0xffb14f0bU, \
    0x0bf6a62fU,     0xe7599e7dU,     0x572384d1U,     0x81851525U, \
    0x646e6a0dU,     0x579cbabdU,     0x7abcb138U,     0x2e6ea6e1U, \
    0x5636e071U,     0xe75862adU,     0x320a5f62U,     0x0ea7e0f7U, \
    0x8f2a9388U,     0x96cfaa74U,     0xfd3b8749U,     0xf5d6d1a3U, \
    0xabba0a94U,     0x268ac3cfU,     0x84f304e6U,     0x553e8fc3U, \
    0x8793daabU,     0xfebc4671U,     0x731e467cU,     0xef538d05U, \
    0x2970fb90U,     0x264212b3U,     0xad690372U,     0x0191103aU, \
    0xb89fe48fU,     0xad208217U,     0x1128738aU,     0xa5249d5eU, \
    0x6628cda8U,     0xd8525f78U,     0x497ac9ccU,     0xcf78d49dU, \
    0xe1707657U,     0xbe3e4e00U,     0xf878984aU,     0xcefccc95U, \
    0xe4419104U,     0x11a4c7baU,     0x64345fcdU,     0xd0907f9dU, \
    0x8b809fe3U,     0x09a860ddU,     0x4dcb42f0U,     0xa4cc731eU, \
    0x3c8f3559U,     0x5b2e177fU,     0x46434576U,     0x7d655066U, \
    0xba1447a9U,     0x6018a9e9U,     0x1adf47c0U,     0xb164d0e0U, \
    0xc2d32c08U,     0x1283324eU,     0x9365169aU,     0xe3dee5a4U, \
    0x4a1fc015U,     0x588c9e60U,     0xa6a50b41U,     0x03f281bbU, \
    0xc5a54d83U,     0x13c09d39U,     0x60efcc42U,     0xb2cbc13cU, \
    0x783595ecU,     0x5dc30350U,     0xc18a0d19U,     0x7dd5fcb1U, \
    0x001e004bU,     0x5a42c585U,     0x2ed4a0baU,     0x58aac6e0U, \
    0x14c5a372U,     0x728eb710U,     0xbff42845U,     0xbce792e7U, \
    0xfac344e9U,     0x899fffe0U,     0x58055c60U,     0xdc895353U, \
    0x7475512eU,     0x63c0b77dU,     0x8458cbd9U,     0xff6a66b3U, \
    0x5db6876eU,     0xc86b955fU,     0x6436c9d1U,     0xd958c425U, \
    0xc3cf0b67U,     0x0bdff404U,     0x1833d55aU,     0xb928c4b1U, \
    0x7d293d54U,     0xcc47001dU,     0x1e219742U,     0xd830f630U, \
    0x8812410eU,     0xbd2ff0c1U,     0xbc0a03c7U,     0xfa0bf045U, \
    0xaef7b3faU,     0x56870319U,     0x990a6791U,     0xaf51550eU, \
    0xef07b8b4U,     0x45a7a148U,     0x6719d188U,     0xd35e86cbU, \
    0x6e4e2c53U,     0xa4ec1fb5U,     0xf48c8b10U,     0x83ed91d7U, \
    0xda4903f9U,     0x4f878a02U,     0x19d766eaU,     0x19ffa338U, \
    0x9415c915U,     0x6204bd30U,     0x328e0cc1U,     0xb18b9298U, \
    0xff8817c7U,     0x663612b3U,     0x10c2ff39U,     0x1952b7edU, \
    0xfd2277ccU,     0x7a030140U,     0x2ccea17eU,     0xd2d6ceddU, \
    0x8bfb99cfU,     0xd2b2aa1cU,     0xc77a9300U,     0xf34eba6dU, \
    0x59968e01U,     0xbd97a54aU,     0x4b4633a6U,     0x197ca99eU, \
    0x737a734bU,     0x86de381fU,     0x1e1fe0a3U,     0xa1fe6f26U, \
    0xa0528816U,     0xbbe53164U,     0x88e180f8U,     0xaf7667b9U, \
    0x914b1571U,     0x44ff5237U,     0xb8b8fb48U,     0x6252ed61U, \
    0xa116f956U,     0xd15e80d6U,     0x2bdeb251U,     0x00ae5f66U, \
    0xd9ddd51dU,     0xdeb196ffU,     0xe283cd38U,     0xbc3820edU, \
    0x9e8cd88fU,     0xf440bfa4U,     0x713c1c0fU,     0xfbe7f3feU, \
    0xb7373744U,     0x3d102292U,     0x77820f3dU,     0xd1e1ab23U, \
    0x8eb04618U,     0xc44a64b9U,     0xcc13fb56U,     0x148ba12dU, \
    0xf6ecb9c2U,     0x9221a5acU,     0xaa05de2dU,     0x4d8cdfd7U, \
    0x892d48b9U,     0x0f565b5eU,     0x38fc4a98U,     0x05e78766U, \
    0x6c109df6U,     0xe07bd846U,     0x3c41957eU,     0x8a4163beU, \
    0xdb57455bU,     0x4edac125U,     0x43a829caU,     0xf9a93bfbU, \
    0xc7debd57U,     0x2c695d66U,     0xd0d07895U,     0xaa2b6588U, \
    0xa1686d5aU,     0xbd8e846cU,     0x15bf6ce4U,     0x5093f7c0U, \
    0x9ca33ec7U,     0x17ff3d45U,     0x3ad1d8b0U,     0xfd0335cdU, \
    0x25afe3fdU,     0xc552412aU,     0x50b97dabU,     0xe2d283efU, \
    0xf6b3b5e8U,     0x302da9b0U,     0x98fca9c8U,     0x07489b15U, \
    0xfcaf2f66U,     0xcc641d6bU,     0xce5dc533U,     0x4badf081U, \
    0x0c11544bU,     0x412f059aU,     0xa585ac67U,     0x315ba93eU, \
    0x8ce40b30U,     0xd457d8d1U,     0xb79df184U,     0x8c25ffeaU, \
    0x91103bdeU,     0x121515eaU,     0x9be94ba7U,     0xbcd22a33U, \
    0xa6c07078U,     0xfcc6a8efU,     0xa8cd80a7U,     0x645144faU, \
    0x23cb56efU,     0xf7ac85f5U,     0x90507b96U,     0xe3ea931bU, \
    0x6bc8deb2U,     0x029f601eU,     0xb0faf4ddU,     0x9312dc41U, \
    0x0baea0d1U,     0x1a632607U,     0x55f0fb58U,     0xb7bd4c1eU, \
    0xa6914e49U,     0xd3dc4c87U,     0x8ac0cb21U,     0x27d4cd64U, \
    0x18d97581U,     0x872ceabcU,     0x3e8510bbU,     0x5a44ac85U, \
    0x3fbe0374U,     0x4cdc310bU,     0xe3a81f0cU,     0xa2909418U, \
    0x1c2f74e1U,     0x21244e81U,     0x34f704e8U,     0x587d7cafU, \
    0x9fb79e3bU,     0x31751caeU,     0x00ccb248U,     0x6859d40aU, \
    0xe41ee1aeU,     0xa88a6ca0U,     0x9fee6ad5U,     0xeb206e12U, \
    0x0ddc50f7U,     0x1cefd538U,     0xe00ba680U,     0x603ffb40U, \
    0x74c61889U,     0x4d55f3a0U,     0x2b67cd8cU,     0xd7ef2aafU, \
    0x41cd6959U,     0x44fea20cU,     0xfe5bffa1U,     0x98f8597eU, \
    0xc015f0bfU,     0xec3b1ed8U,     0x72d0a886U,     0xf767a3e1U, \
    0xed812a84U,     0x5d54cdd5U,     0x5632ddadU,     0xfc7d95bbU, \
    0xb87aa51cU,     0x15fa4330U,     0xf5ae107fU,     0x895a3382U, \
    0x8e7736b8U,     0x1b7c3583U,     0x23137443U,     0xd9b62dc6U, \
    0xb10f6a24U,     0xcb833cd4U,     0xada06db6U,     0x26ebc4f4U, \
    0xc22df3f4U,     0xd9723886U,     0x358ea834U,     0xf25df516U, \
    0x33b18e74U,     0x09041225U,     0xead575a4U,     0x9b84260cU, \
    0x75f20c71U,     0xfcd3c2daU,     0x720bbbedU,     0xf4b8bd03U, \
    0xd46d373dU,     0xa45f62b1U,     0x9059a923U,     0x3171289cU, \
    0x2f87cde7U,     0xf31ddf32U,     0x9566ffb4U,     0x2e0b0d57U, \
    0x7bcec135U,     0x545d3fd1U,     0x623d6399U,     0xeb075bb4U, \
    0x764100ccU,     0x12118657U,     0x66b0136cU,     0x56247170U, \
    0xbb4b8e51U,     0x639d246bU,     0x049b2723U,     0xa604c550U, \
    0x394ad9caU,     0x5c3fb950U,     0xa18628c6U,     0xbdf69e94U, \
    0x9998fe9aU,     0xa2bda038U,     0x2114ea5eU,     0x6bb98f9dU, \
    0x0f5d574cU,     0xcb150568U,     0x6018daaeU,     0xc02864a4U, \
    0x9fda9dd6U,     0x1ea9341cU,     0x4b48ddb4U,     0x6b5e5834U, \
    0xdd36c373U,     0x3c68b4d3U,     0xd1ff4582U,     0x87213789U, \
    0x3033a513U,     0x75baa3d7U,     0x349c9216U,     0x3687c7c3U, \
    0x448ca1fdU,     0x838b94adU,     0x968e1e9aU,     0x21d9eb3eU, \
    0x25d2efbeU,     0xd820f5fcU,     0xf30f6b53U,     0x47d93ce8U, \
    0xe9946c1cU,     0xa0b2c9bcU,     0x676a0a91U,     0x2306b039U, \
    0x72108495U,     0x75fa1126U,     0xf19a4189U,     0xff357a40U, \
    0xc55a1d8dU,     0xa10f7d66U,     0x077eefdeU,     0x2edd9872U, \
    0x4bfdf172U,     0xd61dbbc2U,     0x92ab24a7U,     0xfa4109b2U, \
    0x95f49927U,     0x5e046e54U,     0x56b94475U,     0x9af5da28U, \
    0xd0f34eb4U,     0xb0b48130U,     0x2ef4c23aU,     0xb6785de0U, \
    0xeb0d3d61U,     0xd1e01cf4U,     0xa39f60b9U,     0x7771e03aU, \
    0x4ae6c741U,     0xdf39182cU,     0xf7b39737U,     0x6f0005f9U, \
    0x810d86a6U,     0xbd20d3ceU,     0x1b8cba2cU,     0xa13e5d14U, \
    0xe628f177U,     0x8f4da218U,     0xc8b4d4edU,     0xb1179ec3U, \
    0xad77846eU,     0xba517a8cU,     0x6a3b59b4U,     0x25e5a445U, \
    0x445e8c28U,     0xf173d791U,     0x0a54556eU,     0x6afe95e4U, \
    0x324a2af9U,     0x89d9ec26U,     0x5642a604U,     0xf0ad8b3fU, \
    0x8265b457U,     0x76745cb2U,     0x35bef3a3U,     0xa65923faU, \
    0xcd552bb0U,     0x4ab24b9bU,     0x64231041U,     0xe0729cefU, \
    0xc83e5c8dU,     0x84b14725U,     0xb0e7b3c5U,     0xc0859192U, \
    0x162b488aU,     0x24d2c92dU,     0x7034f3a4U,     0x75317574U, \
    0xdc7f20d6U,     0xb15d15aaU,     0xe1422853U,     0xb25f37b1U, \
    0x045ad8adU,     0x38639e9fU,     0xffb47766U,     0x52b9d9eaU, \
    0xe456ed32U,     0xc6b7b09fU,     0xabcd9e41U,     0x53405f52U, \
    0x7f9940edU,     0x6c494271U,     0x16a1030bU,     0xe9d83bddU, \
    0x34eac0f4U,     0x4cd2b744U,     0x42584f9bU,     0x67a6d546U, \
    0x3a78b9eaU,     0xfcb0f4a2U,     0x6f5d0c3bU,     0x0120aabfU, \
    0x5b23c6d9U,     0x938d65c5U,     0xc6f7751eU,     0x183fdbfcU, \
    0xbab21792U,     0xee4563e6U,     0x04c17585U,     0xb8750e9dU, \
    0x87b490faU,     0xda6b590dU,     0x51a8226eU,     0xca9fd5c7U, \
    0x4d241e7aU,     0xc11e7e93U,     0x00bac352U,     0xc057ad49U, \
    0xfc850aa1U,     0x02077a92U,     0xb499766dU,     0x59484726U, \
    0x48cffcbfU,     0x6a2ce036U,     0xa46a5deaU,     0x9f678d57U, \
    0x24889794U,     0x07b8837aU,     0x12171bebU,     0xc67b28bbU, \
    0x685dc953U,     0x5e3a93d0U,     0x81535428U,     0x228cf687U, \
    0xd9e905e9U,     0x5b6924b9U,     0xd5398144U,     0x27eec952U, \
    0x0b090cb1U,     0xb47c2aa3U,     0x6b9cf788U,     0xb16a3099U, \
    0xdf135b46U,     0x418e8148U,     0xa0b10633U,     0x89d66b9bU, \
    0x90f07a8aU,     0xb6f5d38bU,     0xd029bf9dU,     0x8f453f08U, \
    0x3b3b3a29U,     0x4f702b76U,     0xe76e960bU,     0x2e53e7b9U, \
    0xd6fbef98U,     0xb130b36dU,     0x55787f3eU,     0xb820792dU, \
    0x0229561dU,     0x718c9123U,     0xb38440f2U,     0x5ca13254U, \
    0x0302e3d3U,     0x3c4f4d82U,     0x6309c26fU,     0x041b014cU, \
    0xc5390646U,     0xa92df4feU,     0xe500c79eU,     0x561df00cU, \
    0xe597d961U,     0x59ba07ddU,     0x6dcfd2d7U,     0x66b4b97dU, \
    0xeeef4e7eU,     0x320c5e0eU,     0x58761ee3U,     0x33bc03f9U, \
    0x0501d06cU,     0xf6d186b9U,     0xb31baae2U,     0x0e4cf4e6U, \
    0x00e5651cU,     0x80fb039aU,     0x07306a51U,     0x17de52c1U, \
    0xd58c23c8U,     0xb91a2c23U,     0xced18037U,     0xefd3ebf4U, \
    0x5fab71b8U,     0x7d5880adU,     0xa6de6101U,     0x9ee8725bU, \
    0x6a8cd0a7U,     0xa875d4faU,     0x16f35ce3U,     0x8f9fac29U, \
    0x5ab040bfU,     0x910a6a19U,     0xacb866afU,     0xe7021864U, \
    0x693e6697U,     0x4a17913dU,     0x72d12b3dU,     0xc1545c9aU, \
    0x86d8e3daU,     0x39829ac1U,     0x668df79eU,     0x9b4ed216U, \
    0x82952c51U,     0xacfb2030U,     0xfe124b5cU,     0xd93d7e2dU, \
    0x909d9bcbU,     0xeea3bff3U,     0xd21dcf26U,     0xdbbe825fU, \
    0x32d91ff9U,     0xd9477d7cU,     0x77be3e3dU,     0xdcda70e4U, \
    0x2f7badb7U,     0xb9be35a0U,     0xfa44af7fU,     0x91131b62U, \
    0x33b785a7U,     0x09393371U,     0xe2020f7eU,     0xd9d0554dU, \
    0xe8603637U,     0xff5a16beU,     0xb6c0b9a5U,     0x5f85f105U, \
    0xd48ea615U,     0xb94bdff8U,     0x00c7878dU,     0xcfe76189U, \
    0x32fdcad7U,     0xa5eec9ceU,     0x8b3f77e4U,     0x6e84d3f8U, \
    0x3b4a9cedU,     0x181517d5U,     0xe3362f85U,     0x7f9de719U, \
    0x1b55e822U,     0xafe612a5U,     0xcdc83004U,     0xb1a19791U, \
    0x1dc68814U,     0x19d3f2c2U,     0x00426b4bU,     0xc6d4f420U, \
    0xd191ea18U,     0x7a315d5fU,     0x85562467U,     0xa44ba752U, \
    0x44b3ab7eU,     0xdc33dcc8U,     0xee1338aeU,     0x89a42923U, \
    0x64c68833U,     0x99770088U,     0xb5df4097U,     0xdb0d2b0aU, \
    0x2e16d9dfU,     0x24537111U,     0x596674caU,     0xe14dd50cU, \
    0x7b0fc619U,     0x699b8a7fU,     0xfb63ad34U,     0x12aae934U, \
    0x44e9c761U,     0x4fe487d5U,     0x9537619fU,     0x8eb8d800U, \
    0x60d8bf7dU,     0x92f24407U,     0x17851628U,     0x7b14c1d3U, \
    0x4b5fb490U,     0xe417597cU,     0x08b89935U,     0xdafb6197U, \
    0xf86fdb48U,     0x34addce8U,     0xa0acf9f7U,     0x878aa08bU, \
    0xc6f8435eU,     0xca90d58dU,     0x93507213U,     0x4df83aabU, \
    0xe528ad2dU,     0x6710e358U,     0x64b43a9aU,     0x4650e703U, \
    0xc6ec46eeU,     0xb54bf432U,     0xc33ccf85U,     0xe417c0beU, \
    0x9f36c64dU,     0x43b23144U,     0x34f2e850U,     0xcd49ec46U, \
    0x6f5025d2U,     0x8952c252U,     0x9a495a51U,     0xf183b9fbU, \
    0x9fec26cbU,     0x895ec7f2U,     0x3ca20c49U,     0xc9e4ec6eU, \
    0x9abf1476U,     0xcbec831cU,     0xd369b36bU,     0x23adae3dU, \
    0x3d2f08a7U,     0xe04a4069U,     0x1a129d42U,     0xf79a65bcU, \
    0xc6e51b3eU,     0xcf7a4d4cU,     0xdc11ebacU,     0xbae319f4U, \
    0xa4aba22cU,     0x1d5e5936U,     0xa5febf76U,     0x1f49e368U, \
    0xb040397dU,     0x5827b221U,     0xe55ef1f5U,     0x9dc25e40U, \
    0x3560e945U,     0x4fde9138U,     0x3e5a28d9U,     0xa6caa632U, \
    0xa7e94884U,     0x66a58d92U,     0x203afa29U,     0x58d6fbdbU, \
    0xcef94c66U,     0x43d8c70dU,     0x0a9f20ffU,     0x21b88debU, \
    0x78bc4870U,     0xda0b9aacU,     0x6de4eb5dU,     0x2c743222U, \
    0x0f5dd08eU,     0x2b0d6fdcU,     0x0161f560U,     0x6e076e59U, \
    0xf3f393eaU,     0xaf2d2b58U,     0xf193f917U,     0xa2272bcdU, \
    0xb67bf5b2U,     0xea65c5aaU,     0x861ce1adU,     0x3ea80774U, \
    0xa86af48fU,     0xef1264f0U,     0x66d6ae5bU,     0xf8d30cbeU, \
    0x2cb6cc94U,     0x37f006afU,     0x290d3be1U,     0xeb528870U, \
    0x0d2508b4U,     0x3d87b6f7U,     0xc7df1cebU,     0xcb7f4ef8U, \
    0x51ca41d8U,     0xb9d89a53U,     0xb51a4aa8U,     0xe5471743U, \
    0x8b9a3cddU,     0x25f12ef9U,     0x6cc714baU,     0xef21e9f0U, \
    0x735be789U,     0x33f22d01U,     0xb9bd5b43U,     0x7a4853b2U, \
    0x3311f799U,     0x933762fcU,     0xe9e84ca2U,     0x2b35e64eU, \
    0x9a287368U,     0x60463d5eU,     0x9b56017dU,     0xb1f03f80U, \
    0x3e15964dU,     0x7e40b609U,     0x09e4b180U,     0xe38640dbU, \
    0xec1a19b4U,     0x8297f0a1U,     0x3b933300U,     0xb73cdbdfU, \
    0xfa987b3fU,     0xbfb8d945U,     0x1d18df2dU,     0x01cd5a30U, \
    0xefb16ca5U,     0xed53394aU,     0xc9045cfeU,     0x9327ce15U, \
    0x27b57a19U,     0xd7d26751U,     0x7fdab776U,     0x2df23755U, \
    0x98c5dcf7U,     0xf5d4d299U,     0x3ab07c43U,     0xc3689c6bU, \
    0x690d4325U,     0x2b1a3efaU,     0x63011bb7U,     0x4cf6e70aU, \
    0xe71b2aa5U,     0x73d6596cU,     0xbedbaf68U,     0x7521c730U, \
    0xad725684U,     0x55edf4d6U,     0x09dcff4fU,     0x112c559dU, \
    0xcf0cb40aU,     0x9208bf66U,     0xa33415a0U,     0x358defd8U, \
    0xeeabe91aU,     0x1883c37eU,     0x94db7b91U,     0x62207047U, \
    0x489a0918U,     0x68037c05U,     0xfd2afe7eU,     0x1370fd04U, \
    0x858c5f96U,     0xcd35e567U,     0x38ada163U,     0x474afe35U, \
    0x811bb21cU,     0x63b1ab62U,     0x895657feU,     0x4e7cdc0aU, \
    0xaa0ef43aU,     0xc97d919aU,     0x522a666aU,     0x674180b3U, \
    0x0492b014U,     0xb7132032U,     0xce8de17cU,     0xa2a2b6e4U, \
    0x5c3ec7deU,     0xb169deaeU,     0x9eba0636U,     0xf3bcd466U, \
    0x2b818f89U,     0x6e8cf99eU,     0x9fc950a2U,     0xab7b8079U, \
    0xdddae2d3U,     0xeb7580b2U,     0x1fa62f45U,     0x45b9134eU, \
    0xde27a23eU,     0xcd808951U,     0xa4f07a69U,     0xdd3cf3a0U, \
    0xe4883ebfU,     0xa0a9db8bU,     0xbbf85626U,     0xaeeeddd1U, \
    0xd4fd3379U,     0xb7c4ca20U,     0x373728d6U,     0xf2c16a4bU, \
    0xd967f584U,     0x9e2359abU,     0xe53e63ecU,     0xb79fe095U, \
    0x2bb7eb0dU,     0x14e9969fU,     0xe46f86ebU,     0xa7dc48e7U, \
    0xc030ce8bU,     0x8fcc133fU,     0x6c0123dbU,     0xa62b232eU, \
    0xf941623eU,     0x865b2c5aU,     0xba968e3cU,     0x13365f80U, \
    0x399f3a24U,     0xfb1ac668U,     0xb8eb6695U,     0xcc2a6d8bU, \
    0x79d8c36bU,     0x2f0c2570U,     0x2cc39f6fU,     0x006ef8a6U, \
    0x646c6879U,     0xd93c0c9dU,     0xc3c9c516U,     0xa018817dU, \
    0x4465a655U,     0x4c947374U,     0xf0b4454bU,     0xba8e3307U, \
    0x2fe46263U,     0xe0fe139dU,     0x39263fdcU,     0x635c2b77U, \
    0x3d0557b0U,     0xf5b961e3U,     0x8f064a36U,     0xac171722U, \
    0x59d4a626U,     0x7d122521U,     0xb7a1e730U,     0x46688d5aU, \
    0x1fe23f96U,     0xe11794e6U,     0xf7fa4637U,     0x3ad2a263U, \
    0xea122194U,     0x68818b12U,     0x3ebe6919U,     0x88edda23U, \
    0x5a39ffddU,     0xac1da6d7U,     0x51aadb3fU,     0xe88f440eU, \
    0x44932745U,     0xe114c65cU,     0xbc715e4bU,     0x02218dd5U, \
    0xcba2a2a3U,     0xcbf65c83U,     0x8d598533U,     0x6547b78aU, \
    0x2f6a7e9aU,     0x2ddff052U,     0x4794d9b3U,     0xc76ca04bU, \
    0xfbee2359U,     0x7819f3aeU,     0x2342afb6U,     0x16b8ce16U, \
    0xe0d1a4d7U,     0x3473a90bU,     0x351f3c6dU,     0xcb3923ccU, \
    0x77eaa3c2U,     0xbea9d009U,     0x8722c908U,     0x398aa328U, \
    0x72306884U,     0x9a52e32fU,     0xcf399aeeU,     0x3f78f291U, \
    0x5fdff247U,     0xa88fef67U,     0xf03a4b3dU,     0x7592529cU, \
    0xdf20f069U,     0x5f58d329U,     0xd74da779U,     0xcb59c67bU, \
    0x7c7a87f4U,     0x1847e1efU,     0x1b9588fdU,     0xfaaea5cdU, \
    0x01090a01U,     0x0c9f844fU,     0x65e28cb4U,     0xe4c58c61U, \
    0x95f5fdd1U,     0x2509c440U,     0x699f487cU,     0xc64620d4U, \
    0x6ea33a0bU,     0xc61c5a66U,     0x66f298e1U,     0x4378ef86U, \
    0xd6d48265U,     0xe2f7facaU,     0x4cf68017U,     0x25c93779U, \
    0x2ff6e7e1U,     0xbe819154U,     0xf68b672fU,     0x06a2687fU, \
    0x4932f817U,     0xe79b8bd5U,     0xc79622d0U,     0xf47b1b58U, \
    0x67ca0208U,     0xd34b05ddU,     0x42069e7eU,     0xf85b5c83U, \
    0x69ee5ecfU,     0x8245767cU,     0xf3d1d17cU,     0x3e7ec41dU, \
    0xca8e0d29U,     0x98d0ab63U,     0xb7e66104U,     0x3aff477eU, \
    0xf68b68baU,     0xd225e92bU,     0x47f8f565U,     0x41f4b8a6U, \
    0xa38edea8U,     0x402b10c0U,     0x6ea8983cU,     0xde208abaU, \
    0xea8a4f6cU,     0xf47207b5U,     0xaabaefd3U,     0x22ecc961U, \
    0x902a2e9fU,     0xa2869fe2U,     0x62b856e0U,     0x5a813f02U, \
    0xb7c135f6U,     0xa806d550U,     0xa2d8e7e3U,     0xd17bcc9fU, \
    0x03a5fa0dU,     0x435509f5U,     0x60b9b231U,     0x78812130U, \
    0xc2315b3dU,     0xed7c0bfbU,     0x672fac41U,     0xc0202ac4U, \
    0xa1f065b9U,     0x12810fbfU,     0x4f335d59U,     0xde1dfba3U, \
    0x0dccdaa0U,     0x8f9de393U,     0xea8c4250U,     0x46947233U, \
    0x4f4b2856U,     0x5c325e46U,     0xd51734e4U,     0xb65cdab8U, \
    0x0969f660U,     0xeb0dda42U,     0xf55e5002U,     0x754c67a8U, \
    0x5b89a2d1U,     0xcec001ffU,     0xb168c590U,     0xedd5cc85U, \
    0x27437a23U,     0x3b4cfc43U,     0x273dcce8U,     0x998c9549U, \
    0x88e655e4U,     0x91d54556U,     0x2dd8adc4U,     0xb40db539U, \
    0x5a7893a3U,     0x2b038c44U,     0xe1057d17U,     0xce27f348U, \
    0x2ade5af2U,     0xec66f5a3U,     0x2c4bc8e1U,     0x0edd7638U, \
    0xc7b3ceb3U,     0x08d8c35cU,     0x759b039bU,     0x4681d58cU, \
    0xc036e60aU,     0x4d26ec5dU,     0x350ee2a7U,     0x96df31b4U, \
    0x8d817f2fU,     0xf2aac5cfU,     0x3cb94322U,     0xc28e6158U, \
    0xba928da0U,     0xa245817eU,     0x0c071d51U,     0x28df5c95U, \
    0x03f3f898U,     0xa3a75147U,     0xb7bb0a87U,     0x3a6c990aU, \
    0x2d287bcdU,     0xa38fa582U,     0x51003f34U,     0x3d147088U, \
    0xdfe917d3U,     0x6ba1fd23U,     0xd169874eU,     0xb7052614U, \
    0x795430dfU,     0x0c9c5273U,     0x8fc60259U,     0x9796d24eU, \
    0xab880150U,     0x34a49854U,     0xc99a8c55U,     0xb48d55a8U, \
    0x43a19023U,     0xab63bf31U,     0xb197bbe5U,     0xed4c5c09U, \
    0x9d10c0fbU,     0x64d6e5e5U,     0xe927f57bU,     0x1a31dcc3U, \
    0x961c9b77U,     0xdf5e0594U,     0xb8ad19c6U,     0x87bdf8d4U, \
    0x30414956U,     0x26b2c434U,     0x6a790988U,     0x1b65807eU, \
    0x502abd84U,     0x8127d952U,     0x78815f93U,     0xa0b13ccfU, \
    0x6d97c553U,     0x323392e9U,     0xa35a8d4cU,     0xf4617b7cU, \
    0x96d82a9aU,     0xafa0604fU,     0xb4d60664U,     0xb5852291U, \
    0x383d2501U,     0x875d08a6U,     0x97e9ab7bU,     0x3e9f5331U, \
    0xb25e4318U,     0x7ff6eafcU,     0x3ed25a8fU,     0x217b57acU, \
    0xaaf3d594U,     0xa72b1ce8U,     0xf68fd280U,     0x0daaf6bcU, \
    0x179fa77bU,     0x162905e8U,     0x8e6a5a14U,     0x72054862U, \
    0x20def6d6U,     0x689bb48eU,     0x7a20b4a3U,     0x6c321288U, \
    0x467df2e5U,     0x209782e1U,     0x29cd0dfdU,     0xa55ec46dU, \
    0xe65fcb34U,     0x5367f311U,     0x17f7128dU,     0x6e47a2e4U, \
    0x7827f0b1U,     0x5dd118e6U,     0x32139987U,     0xaf733899U, \
    0xe8640914U,     0x1398894dU,     0x1975e4b2U,     0x8f265267U, \
    0x2ff0cd97U,     0x9a57058fU,     0x2a1cbd2aU,     0x585fb877U, \
    0xc4dfcc93U,     0x91e76daeU,     0xa36ae4daU,     0x70cc9b48U, \
    0x59c49ae6U,     0xcafdee8fU,     0xf25418c6U,     0x24269714U, \
    0x8672cd1eU,     0xf9c28ee0U,     0xc7c5db9bU,     0x09f7a7b8U, \
    0x93de8e70U,     0x7a353c54U,     0x9cf4b06bU,     0xf0a1e7d2U, \
    0xc011f029U,     0xedc3ccb1U,     0x473b7573U,     0x53841455U, \
    0xc2f59c6cU,     0x7bf35967U,     0x18bc1e3cU,     0x4a2147bbU, \
    0xe88d13d7U,     0xaded07deU,     0xd7fb66b3U,     0x0032d0c3U, \
    0xb403ed8aU,     0xc796b786U,     0xb4b2bbb1U,     0xba2706bfU, \
    0x70803364U,     0xfb6337daU,     0x1ffd0af2U,     0xf8b517b6U, \
    0x3aa8234eU,     0x3b569c50U,     0x034c84aaU,     0x015892deU, \
    0x3218fa70U,     0xa16cc3b7U,     0xcb211b34U,     0xe7bbaa16U, \
    0x8706341eU,     0x39e3dd3eU,     0x04dbebcbU,     0xcde9d926U, \
    0xf1ce4cebU,     0x53aabc3eU,     0xb44de9b6U,     0xdcedc20dU, \
    0xf6df8070U,     0xf40a2af2U,     0xc2459356U,     0x692b8061U, \
    0x9e96a6d7U,     0xea348778U,     0xb1e0591eU,     0x3970986aU, \
    0x37ec09f8U,     0x4b681406U,     0x6c69a661U,     0x50c378bdU, \
    0x6e2bfc02U,     0xc4e943dbU,     0x44ef49bbU,     0xb90217c6U, \
    0x8238834eU,     0xc5290418U,     0xc3eb9966U,     0x93898d0eU, \
    0x772f351fU,     0x6f0db684U,     0x1c3d0b3fU,     0x1150b22bU, \
    0xacc46c94U,     0xad6ad7f2U,     0x152a1395U,     0xeff74215U, \
    0x0f59bbffU,     0xa3001fffU,     0x198e1e84U,     0x4655e513U, \
    0xf2556ed4U,     0xa7476086U,     0xff3a459dU,     0xa131aca2U, \
    0xca1e1624U,     0x9ca94d13U,     0x1f3d88ddU,     0xda34fb0dU, \
    0x4fa264d9U,     0x73212ad0U,     0x54e53459U,     0x613f5348U, \
    0xe6175f1cU,     0xab5966aeU,     0xabab6a40U,     0xebc6077dU, \
    0x23065481U,     0x0601e261U,     0xacfb2260U,     0x1af53d17U, \
    0xc403a5bfU,     0x62759bdbU,     0xb743ff55U,     0x3754a2eeU, \
    0xb78c6cb9U,     0xf646b28bU,     0xb2d27500U,     0x26902f21U, \
    0x59463d6cU,     0x3216c62aU,     0x32340896U,     0x11824e47U, \
    0xe5988cc6U,     0x49fd1f82U,     0x64abb9e7U,     0x3057dc5bU, \
    0x5e92a1a3U,     0x257559e7U,     0xb053dd57U,     0xe4563d1eU, \
    0x973f2be9U,     0xc39f7ef1U,     0xac20b7a3U,     0xa859d988U, \
    0x1211b725U,     0x783ec0e2U,     0xbee7ed5bU,     0x1ab09139U, \
    0xf80cf436U,     0x58f72487U,     0x887b8ba5U,     0x9971062aU, \
    0xf5b29378U,     0xed2a97a8U,     0x27ae8e16U,     0x2011f01eU, \
    0x6517beefU,     0xf6a7fdc8U,     0x0f0acf1cU,     0x3e8f84a0U, \
    0xcfcf902dU,     0xc7a30a9fU,     0xe893dbb3U,     0xb5788d68U, \
    0x53f127d6U,     0x553e6a77U,     0xdb0099aaU,     0xe0d3db0eU, \
    0x5e6d81fcU,     0xcce56d7cU,     0x502a1f51U,     0x58956879U, \
    0xdf719e18U,     0xfd98c183U,     0xaf146cc9U,     0x4e99f47eU, \
    0x57b9d1f3U,     0x3ed3d2aeU,     0x68540aeeU,     0x2a906adbU, \
    0xd1fbe03bU,     0xa03effc0U,     0xe0f20f6fU,     0xe1caf0adU, \
    0xa3f26ac7U,     0xcf120e44U,     0x9bb82edfU,     0x092c6d2cU, \
    0xedc8cbe8U,     0xd8447d5cU,     0x83ae3072U,     0x3095263bU, \
    0x56993f74U,     0x9a80986bU,     0x82e9a606U,     0x86ed9f79U, \
    0x4eec97f9U,     0xfa3b9caaU,     0xe1cd20dbU,     0xaba46450U, \
    0x565d9f95U,     0xc8d9873aU,     0xb724e106U,     0x7a26c717U, \
    0x45469029U,     0xefd854eaU,     0xee3a7ac7U,     0x9989ce91U, \
    0x1586bbffU,     0x6581a726U,     0x125e9d46U,     0xb7c87658U, \
    0xac457530U,     0x0bfeef71U,     0x5d706b6cU,     0x1588e555U, \
    0x7ce250c0U,     0xad67aec4U,     0x832af0daU,     0x715e9463U, \
    0xfba0ed58U,     0x38a64e3aU,     0x1b182c84U,     0x91a48ccfU, \
    0x930fda23U,     0x70c1eeacU,     0xddd915a4U,     0xe214985dU, \
    0x2283ef3bU,     0x9ac81f32U,     0x6bfe7e09U,     0xb600ddc8U, \
    0xffee41f7U,     0xb48a89ceU,     0x2cf13439U,     0xf168e8a0U, \
    0xae5337b5U,     0x03ad8729U,     0x0a027102U,     0x59df374bU, \
    0x5ac1a8caU,     0xe7d6e8cfU,     0x2aa72200U,     0xb0340557U, \
    0x298fd0b4U,     0xd5e5d27eU,     0x76afa2bcU,     0xa1a93f3dU, \
    0x81f827f6U,     0xb6ef9374U,     0x28900cd7U,     0x02e10cd6U, \
    0xe9374072U,     0x4351024cU,     0x5eb959b8U,     0xc914cf1dU, \
    0xe1ce9127U,     0xd7d55391U,     0xfcdc66bcU,     0x72db623aU, \
    0x553f7995U,     0x0fe51d8eU,     0x351039b7U,     0x83431254U, \
    0xc3fe7241U,     0xbb4b166fU,     0xa3b2ec34U,     0x1ed1415bU, \
    0x9463183cU,     0xedbc514fU,     0xe6f3215eU,     0xe7efdba4U, \
    0xa8a3fb80U,     0xa7939663U,     0x4f170b5eU,     0x88927af5U, \
    0x0e1c4e61U,     0xf859cdb4U,     0xbeda6949U,     0x038e6da3U, \
    0x4b0e5973U,     0xaa5f9c0cU,     0xdac4c7e1U,     0x7bc2b2ffU, \
    0x9e4cd636U,     0x492e2289U,     0x10fa7140U,     0xce2c3e16U, \
    0xa2e65d7cU,     0x0fdfff0fU,     0x40d15042U,     0x0edb06c4U, \
    0x02f96d5eU,     0x978ba246U,     0xfd3f7c7eU,     0xee5646a3U, \
    0x8e55bf95U,     0x89316265U,     0x94ed07dbU,     0xe4b9c39aU, \
    0xd67ac3aeU,     0x70aba3f2U,     0x3a29c96dU,     0x982041a0U, \
    0x9e40c501U,     0x9f217d8bU,     0x08755964U,     0x55515c7fU, \
    0xde7733baU,     0xb30a7c55U,     0x3608c3e0U,     0xbfeb112dU, \
    0xc3a4e7c6U,     0xa2410a20U,     0xa46f21d2U,     0x7b315af6U, \
    0x38f0d011U,     0xd63d3baaU,     0xfe23f6f7U,     0xd74cc7c8U, \
    0x3798b581U,     0x49d66804U,     0x7cd7915bU,     0xbabcc8f4U, \
    0x62461a0eU,     0xfe214719U,     0x93eeb65fU,     0xc204e31eU, \
    0x142aa8b8U,     0x105b9daeU,     0x6ba380fcU,     0x032b9045U, \
    0xdadeba9bU,     0x222f4f9aU,     0x70c01518U,     0x258615b5U, \
    0x442da2eeU,     0xcfb52ab0U,     0x9960a549U,     0xffd3bf8aU, \
    0x00fbb61bU,     0xfd06bdfdU,     0xef7cef58U,     0x56260fa1U, \
    0x9a4af7c1U,     0xa1db2bf4U,     0xe549a769U,     0x28ddfa06U, \
    0x0eb0759bU,     0xfd8610c3U,     0xed18b6aeU,     0x3ec9ea81U, \
    0xf2676f26U,     0x075f365eU,     0x1d79d1ecU,     0x96884c41U, \
    0xbbb97975U,     0xe8d3a784U,     0x1bcdc189U,     0x54e940a2U, \
    0x1c64cbadU,     0x40f3bb71U,     0x70d0d5b6U,     0xe4937741U, \
    0xb67204c9U,     0x184f9f20U,     0x920598c8U,     0x8409b173U, \
    0x9054eb81U,     0xdb1b3c08U,     0x58dbb5e7U,     0xe2250f3aU, \
    0xcc84f1d1U,     0xc8cdf2fcU,     0xf118151fU,     0x929c0490U, \
    0x9e4cf31cU,     0xd3c8376bU,     0x8c370eb8U,     0xd7474acfU, \
    0xdce957abU,     0x87d8187cU,     0x4179db75U,     0x3ffa5b3cU, \
    0x65b167c8U,     0xcb392838U,     0xd1d66f47U,     0xcd41bf8fU, \
    0xc7a9f892U,     0xeef345f0U,     0xcb4cc8afU,     0x266601baU, \
    0x1123b629U,     0x7b60c045U,     0xfa717dcaU,     0x519f2b04U, \
    0xb5fa32c8U,     0xe9dc9576U,     0xc5c1ae5dU,     0x3a9c4d4fU, \
    0x15f432c5U,     0x9c135eaeU,     0xdd558f87U,     0xa07dd061U, \
    0x5551f2d6U,     0xe22388bfU,     0x442b7cf1U,     0x27833791U, \
    0x75fd3059U,     0x4198d96cU,     0xeba20793U,     0xaf5e8e92U, \
    0xcec12e79U,     0x483eb2c0U,     0x1ef089a3U,     0x692c1c4eU, \
    0x9bbf5448U,     0x9dbcec57U,     0x4c515f33U,     0x61b9c4a8U, \
    0x13e0eecdU,     0x11456e72U,     0x4e325e32U,     0xa55b14b3U, \
    0x8af358d9U,     0x0c1dd940U,     0x464a46e1U,     0x809c1a46U, \
    0xf6b0dd9aU,     0x629e4483U,     0x8620f7b2U,     0x73bfdfcdU, \
    0x65bb0cbdU,     0x45cc3f75U,     0x7a9b6c1fU,     0xbcc9cd2fU, \
    0x4913bc8dU,     0x07b38f17U,     0xf2d47ce0U,     0x8cb6a627U, \
    0x3efda73cU,     0xb515f703U,     0xd3b4ca08U,     0xbdf783ebU, \
    0xaf15110cU,     0x7b490264U,     0x2796c5dfU,     0x8be17431U, \
    0x676efbf5U,     0xcbb66b72U,     0x695a2139U,     0x315717e3U, \
    0xb38bbe7bU,     0x2fbec30cU,     0x5b2229d9U,     0xf67f84c5U, \
    0xc912833cU,     0x5c8d94d6U,     0x62086a74U,     0x88e56858U, \
    0x22162bebU,     0x5ec632edU,     0xf720fa64U,     0x45f6ec3fU, \
    0x3a061021U,     0xb44c3625U,     0x7c8078ddU,     0xb5d12672U, \
    0xbba566daU,     0x4d869bc8U,     0x4b11b233U,     0x1f92bfb5U, \
    0x66bd9d4eU,     0xe435d76bU,     0x4bdba831U,     0x925c6c20U, \
    0x120db93bU,     0x2052acf5U,     0xb369a847U,     0xa071d5d9U, \
    0x62efa644U,     0x21168f82U,     0x6bb8a9fbU,     0x03832e76U, \
    0xbc542a80U,     0xeeae0699U,     0xe49606afU,     0xaa41c6e5U, \
    0xd7cedf88U,     0x3298d0e8U,     0xebf5d452U,     0xbb98fdabU, \
    0x8e3e93b9U,     0xeb4b0451U,     0x6ba9cb72U,     0x5356921dU, \
    0x0bd3d7d9U,     0xa2762065U,     0x98a742caU,     0x47d31da0U, \
    0xa9487a81U,     0xf1ba0151U,     0x54470e86U,     0xf89ac4dfU, \
    0xa77e95c8U,     0xc4efe7beU,     0xfd948107U,     0xec06f4a8U, \
    0x289ac42eU,     0x7c4902e0U,     0xd00d8b3aU,     0x40899e34U, \
    0x830d2103U,     0x36b4454bU,     0x465a42a0U,     0xb9b1e2d7U, \
    0x845046a1U,     0x3977deebU,     0x7dc4b1e5U,     0xb03b8a60U, \
    0x136eecb2U,     0xad0fc2e9U,     0x3f2a8b76U,     0xf3dfe585U, \
    0x9e6b7327U,     0xfa9cc88fU,     0xe740e0f6U,     0x5d9fa7feU, \
    0x9bf00758U,     0xb771bdb2U,     0x56e8fcb0U,     0x66448e4eU, \
    0xaf990894U,     0x8a02ec42U,     0x5e5b46a8U,     0x5d9e16b5U, \
    0x1e3ba6acU,     0x63cb3a74U,     0x9aa83bacU,     0x2c461a54U, \
    0x92f8d321U,     0x6e3766c1U,     0x1c47e795U,     0xbd194a60U, \
    0x84df520dU,     0xb85af9e3U,     0x37d8e077U,     0x21a2cc5aU, \
    0xbdd77b79U,     0xaaaf1675U,     0x9e39620dU,     0x25c7e498U, \
    0x61fd3606U,     0x383a74fdU,     0xf22bab67U,     0xa17b2a5eU, \
    0xc10a90e6U,     0x2179de38U,     0x20444c8bU,     0xea89cba3U, \
    0xc50bcabcU,     0x8a0bd999U,     0x0baaab06U,     0xdb1b91a5U, \
    0xa30c4314U,     0xf32d041fU,     0xfa197111U,     0x2bdb8ec8U, \
    0x87e9346dU,     0xabad4fb3U,     0x2f9e23eeU,     0x615dac4fU, \
    0x2b5cdfc3U,     0xbcdf6d44U,     0xf82fd81eU,     0x2ba909a9U, \
    0x1adcc581U,     0x1e587213U,     0x932746f6U,     0xd703aec5U, \
    0xb65ddcd7U,     0xb2fcfb88U,     0xb23bd96eU,     0x9f18164aU, \
    0x3154c40bU,     0x82ba67e4U,     0xf8cc18fcU,     0x5a6d7171U, \
    0xf10c7ac7U,     0x2f5c43e9U,     0xe7b9e906U,     0xc6403f10U, \
    0x775119d9U,     0xcecce198U,     0xe5138a30U,     0x8ae436bcU, \
    0xcc2684cbU,     0xd74dd086U,     0x9379e684U,     0xf850080fU, \
    0x6105a8e3U,     0x2309c7f9U,     0x986fde76U,     0xac05c60cU, \
    0x3f5178e7U,     0x3dfb2eefU,     0x429836daU,     0x47b540b0U, \
    0x7c7a39dcU,     0xc536ee70U,     0x698476c2U,     0xbdfc8205U, \
    0x0a9f8505U,     0x87510cc6U,     0x1400f3e3U,     0xd85118faU, \
    0x01e306e9U,     0x5b8761cdU,     0x58d3c444U,     0xf1232d81U, \
    0x63e7f30eU,     0x48e0cab1U,     0xf717d6c2U,     0x1ee1d159U, \
    0x99af136dU,     0xa49d6df1U,     0x07eb7a80U,     0x359f7a2fU, \
    0xed6aa198U,     0xeeaef201U,     0x11ee375bU,     0xa67748c6U, \
    0x7a879af8U,     0xcc300262U,     0x044d1047U,     0xc3e25f54U, \
    0xcf7645dfU,     0x0314df0bU,     0x9fc18dd7U,     0x28938f65U, \
    0xa3190523U,     0x5cc8ea48U,     0x12f8a368U,     0x1baaf816U, \
    0xa8fbb752U,     0x5be99a40U,     0x4c1ac5f3U,     0x36e8a304U, \
    0x3a130ab1U,     0x24100728U,     0x343ff4aaU,     0xa3bc5424U, \
    0x95cccafeU,     0x41231438U,     0x8198a088U,     0xfe3d955dU, \
    0x818291d7U,     0xda450149U,     0x06f11023U,     0x13da48e7U, \
    0x2e76456aU,     0x78ec5870U,     0xcf56e7ebU,     0x6b0e6582U, \
    0x8bd536eaU,     0x93ac1703U,     0xff15088dU,     0x3e85dcdaU, \
    0xa1a57bbcU,     0xff497092U,     0xd32239c4U,     0x23527748U, \
    0xcd4d9517U,     0xee5daa57U,     0xb240a514U,     0x3ea3165eU, \
    0x6144199cU,     0xd4191e5cU,     0x2fe83bfbU,     0x8ae38025U, \
    0xe6671aa8U,     0x04ffc31eU,     0x4d8046f1U,     0x9105ca39U, \
    0x4a383cacU,     0x77d7c2ebU,     0xd3e163c7U,     0xfdd5bec2U, \
    0xddc3b3b9U,     0x59faf3c5U,     0xb66b3a51U,     0x8722e29eU, \
    0xdf15c276U,     0x457f047cU,     0x4d6d3936U,     0xb80545baU, \
    0xd6a57338U,     0x01392051U,     0x382cd497U,     0x496c9782U, \
    0x243d5ccfU,     0x2db0a09dU,     0xf0a4d52cU,     0xa9d34348U, \
    0x34983f3dU,     0x50981550U,     0x1612845cU,     0x5f37159fU, \
    0x0fedbec9U,     0x78b7b327U,     0x15b691d9U,     0x7dbc9e1fU, \
    0x9cbdccbbU,     0xbffe655dU,     0x2b869c7fU,     0xa7036348U, \
    0x10094e32U,     0x566389c2U,     0x6939c801U,     0xabd685a9U, \
    0x9ea996dfU,     0x5a4b3972U,     0x85355fbfU,     0x6b20417cU, \
    0xf57d3f1fU,     0x44618783U,     0x5c702b00U,     0x60e7d861U, \
    0x74edb9d8U,     0x926b26a8U,     0x4bf7ece5U,     0x0dfea7f4U, \
    0x7a41d813U,     0x8218a489U,     0x9cef8049U,     0x3b50e768U, \
    0x7369c834U,     0x2e49e374U,     0x0d5e0478U,     0x356e1596U, \
    0x2a268c15U,     0x0d2f1cdeU,     0xe5e1ff17U,     0x66e66c6fU, \
    0x230cf516U,     0x72b51d31U,     0xec74ab5eU,     0x3d946449U, \
    0x591a82c5U,     0x61454499U,     0x3ca2e44aU,     0x42c0d9f7U, \
    0x463163abU,     0xa104a0ebU,     0xd9c10901U,     0x42608e49U, \
    0xb8b68541U,     0x71212edaU,     0x3c44232bU,     0xa960760fU, \
    0xb1fe78aaU,     0x83970840U,     0xe66b3906U,     0xce0218c1U, \
    0xc75da39cU,     0xf344c185U,     0x840fb395U,     0x2b83ea9cU, \
    0x4aa08daaU,     0x63e93766U,     0xd1203086U,     0xab7c484fU, \
    0x3d73f6f4U,     0x13ebf187U,     0x3ee490c2U,     0x2c985ef5U, \
    0x12075addU,     0xb4b80039U,     0x3278d973U,     0x6bba6e3dU, \
    0xe8064b57U,     0xade2da88U,     0x6d2477d1U,     0x64c2cab0U, \
    0xae947a9eU,     0x70235cafU,     0x0877c99dU,     0x86cfc5a0U, \
    0x58eb8758U,     0x8fb5b502U,     0x63c20512U,     0xe4ad1123U, \
    0xabbd073aU,     0xc0ad7c48U,     0x32fc892dU,     0x7bcdbebdU, \
    0x888dd64cU,     0x331f2c0cU,     0x349a93feU,     0xfd7f082bU, \
    0xaf2a4475U,     0x51708445U,     0xf6141f54U,     0xca1aa4b7U, \
    0xb348aa01U,     0xea05ce59U,     0xb4d0db97U,     0x35bf515dU, \
    0xd85ba256U,     0xe51c3eaeU,     0xd1069d3eU,     0xb1f2430fU, \
    0x4ff1f55cU,     0x6fb46f71U,     0x914cce52U,     0xc17f1448U, \
    0x09e04b45U,     0x0d30e494U,     0x81e9b7f8U,     0x5e9ee88eU, \
    0x2f55395cU,     0xca22dbacU,     0x290ee732U,     0xfcf6c456U, \
    0x9905f4cdU,     0x8227f3c0U,     0xe6788833U,     0x836ae19aU, \
    0xd5bdf1e1U,     0x7f2d50e0U,     0xbfe377c6U,     0x6e51e8f9U, \
    0x39794344U,     0xc617fa54U,     0xecc0e015U,     0xe02feb7cU, \
    0x2d38d31dU,     0xe95898fbU,     0x12189361U,     0x528e5914U, \
    0xf3e87e26U,     0x0f8c7ef1U,     0x3d2f2a45U,     0x47f0a40fU, \
    0x8c5b94d9U,     0x9317d810U,     0xda50ebe2U,     0x64379fffU, \
    0x56adbc68U,     0x8425287eU,     0x418df2c7U,     0xfaf21d42U, \
    0x92904100U,     0x4a30cd22U,     0xe5bbe668U,     0xf1c955d9U, \
    0x0dad29bbU,     0xec4d4de2U,     0x5b5b4a2eU,     0x2d2c65ccU, \
    0xda9c55d7U,     0x653cacf4U,     0xdea77e48U,     0x742ce7edU, \
    0x87c33302U,     0xe185077eU,     0xa4e84f9eU,     0xf6f6f984U, \
    0x961d5596U,     0x5ce29abdU,     0xd629821aU,     0xb308f33aU, \
    0xc557be6aU,     0x1c81380bU,     0xb7a2aeadU,     0x948c428fU, \
    0x73bd25a4U,     0xecdb6a90U,     0xaa80a3fdU,     0x3701a19cU, \
    0xd7046ddaU,     0x9e36d805U,     0x04c7227bU,     0x2ac67c64U, \
    0x3514688aU,     0x5d201f94U,     0x0e9a6cebU,     0xd9468b5bU, \
    0xe89f9066U,     0x399bac78U,     0x3e620453U,     0x9fd2571eU, \
    0x8823e636U,     0x8a58d6bfU,     0x2c5997d8U,     0x04bc9104U, \
    0xffc93090U,     0x4ce78d8bU,     0xd95c2275U,     0x57433bdeU, \
    0xa5daaea8U,     0xb495035eU,     0x90762de8U,     0x83901192U, \
    0x497501cfU,     0x6e0a25e7U,     0xbbb6210dU,     0x4daaa25eU, \
    0x45ba9fcaU,     0x91e15ce9U,     0x50a5ad39U,     0x8ceaa5e9U, \
    0x31c0e5afU,     0x6505902aU,     0xe6a42b8cU,     0x7a6c9e98U, \
    0xe7e44213U,     0x370f40d7U,     0xc2ad7c09U,     0xbbac2682U, \
    0xed8cc912U,     0x83d91052U,     0xff42496dU,     0xf671a020U, \
    0x68b55aa6U,     0x0f3e2548U,     0x7af3d683U,     0x8e8a9ac1U, \
    0xcab4b8f4U,     0xa9e401f4U,     0x226ef58cU,     0x7ad7c1e6U, \
    0x9b45d770U,     0x7a191edaU,     0x1b09f255U,     0x5f188523U, \
    0x9692aa2fU,     0xe690a499U,     0x940f8cabU,     0xf61bd7bfU, \
    0xcd60956bU,     0xe5abb928U,     0x324c47d0U,     0xe1158a7aU, \
    0x902bf60eU,     0xa65a26e0U,     0xbbee1810U,     0x3a605f0dU, \
    0xe72fb5daU,     0xc20f4e50U,     0xcd83503aU,     0x78e35923U, \
    0xddc10c22U,     0x3ad7e38cU,     0xd8afcd31U,     0xd7b755a1U, \
    0x4f8c3dcdU,     0x4b2eed3cU,     0xe9b0eb2dU,     0x23be3d44U, \
    0x976aaa92U,     0x18f926aeU,     0x44722877U,     0xd6f01f06U, \
    0x34914625U,     0x5b251025U,     0xa541de7bU,     0xa0cfe56cU, \
    0x1940dc72U,     0x316843f7U,     0xe640e9ebU,     0x993f6621U, \
    0x6d2a2d0eU,     0x52315c73U,     0xa6c10b62U,     0x3608c6e3U, \
    0x8421ed0fU,     0xd726dd13U,     0x214387d9U,     0x1fc47861U, \
    0xe06802aeU,     0x00f7c0c3U,     0x1c1bbb3aU,     0xecc01802U, \
    0x7da5de74U,     0x166714e0U,     0xb4a7e649U,     0xadcb46d7U, \
    0xec436963U,     0x150ca87bU,     0x909f3203U,     0xd9f217fcU, \
    0x41262301U,     0x5e44ef56U,     0xc592b1f7U,     0x0c25b3a5U, \
    0xc8e63e6bU,     0xd4db9e92U,     0xa0578ac2U,     0x8a208d47U, \
    0xa3300da3U,     0xecbc3d31U,     0xa3ef7dd6U,     0x684bcc3eU, \
    0x5dd2c675U,     0x03db20ffU,     0x6052ff4eU,     0x42340fecU, \
    0x1e51170bU,     0x1af5628fU,     0xbfa3cdb7U,     0xf28fee21U, \
    0x8b2443efU,     0xaca7cc01U,     0x0c132accU,     0xe01ee251U, \
    0xc33c0fc1U,     0x1d2b98d9U,     0x0591f40cU,     0x430892f0U, \
    0xbbb13ea8U,     0x8d85e4ebU,     0xd3d6604eU,     0xe7ffb0a6U, \
    0x0df5b0adU,     0x6cd958beU,     0x80f64bb6U,     0xe9daaba5U, \
    0x509652feU,     0x4c9ab884U,     0x38d8fe47U,     0xd74d52e6U, \
    0xdcb18ab0U,     0x31ef63ebU,     0x8985f654U,     0xa52aeefaU, \
    0xbd7e6a10U,     0x6285a7f2U,     0xeb68fce4U,     0x00fbfa8dU, \
    0x3e555f4cU,     0x149beb8bU,     0x33ff35b9U,     0x3d2482b5U, \
    0x27b9beebU,     0xcf10e650U,     0x8afa270aU,     0xb4a77464U, \
    0x722a3e71U,     0xd0c0710bU,     0xeffed541U,     0x9850cfd2U, \
    0x2de1e9a9U,     0x351edb14U,     0x3806cc78U,     0xeac3f0b6U, \
    0x86b9a86bU,     0x426c32d8U,     0x8292faa3U,     0xd8479057U, \
    0xce780fc7U,     0xab32900bU,     0xbbe65a6fU,     0x53d7031aU, \
    0x41a4c0dfU,     0x561a0334U,     0x48c4f870U,     0xcb3361e8U, \
    0xb6176983U,     0xd1b5f1ebU,     0xddf47728U,     0x17e62d4fU, \
    0xa1ace0e0U,     0x1a3612e6U,     0xc4304b44U,     0x6dd706dbU, \
    0xd667f71cU,     0xeb6e5ff7U,     0x3295e5d4U,     0xc242a47dU, \
    0xde319132U,     0xf2f80282U,     0xa589c158U,     0x46be896fU, \
    0xf0774487U,     0xa628df64U,     0x9f22cb6cU,     0xcdc9c553U, \
    0x9273d750U,     0x6e28a349U,     0x6f8bca81U,     0x7def02c1U, \
    0x69e25a67U,     0xa0780e27U,     0x9eee597cU,     0x0c3b6345U, \
    0xf8cd3400U,     0x3f84334aU,     0x27e0f564U,     0x5832d362U, \
    0x95eee56dU,     0xb6f0903cU,     0x1005dad3U,     0xae2d1346U, \
    0x17d7efb1U,     0xf98bea2fU,     0xb3c126b8U,     0xe09beb54U, \
    0x7bbbc7c6U,     0x33aebf3bU,     0x97fea153U,     0xf8040febU, \
    0xd0d2cb6bU,     0xf95ef2f9U,     0xa231f572U,     0x4f76139cU, \
    0xff6d630aU,     0xb1d577aeU,     0x742f414eU,     0xfc9325e7U, \
    0x93170cbdU,     0xd7a64cd8U,     0x882e8a81U,     0x305b7e38U, \
    0x6d8716ebU,     0xf86f975bU,     0x32f164f4U,     0x873d4c8dU, \
    0x07acc238U,     0x1f312349U,     0xc033b6d0U,     0x28d88119U, \
    0x1b79c552U,     0x712ab506U,     0x9ff226e2U,     0x93ccad0bU, \
    0xa7846c5fU,     0xb476682dU,     0x03317346U,     0xeb216400U, \
    0x132c710fU,     0x20e713fbU,     0x84af4daaU,     0xb8b0c567U, \
    0x2769ec18U,     0x65dd2c5bU,     0x974536ecU,     0x9ea31855U, \
    0x03068efbU,     0xd35610e9U,     0x43a34f68U,     0x07abe344U, \
    0x37cfe04cU,     0xfa6f76f2U,     0x6eb658a0U,     0x8288f0e1U, \
    0x87021465U,     0x68303a36U,     0x4aebf942U,     0x6d97b674U, \
    0x0e8ff34bU,     0xa69eaaefU,     0x93783caaU,     0x8aa18e23U, \
    0xf21a9926U,     0x7a8e943dU,     0x5a6218b0U,     0x8a21a579U, \
    0xc92d489bU,     0xeda95664U,     0x22063fa1U,     0x4c1fff24U, \
    0x053f5b96U,     0x10bf02c7U,     0xf24d98f9U,     0xcad2f644U, \
    0x18c01220U,     0xe64c7d25U,     0xcca008fcU,     0x24fa8262U, \
    0x8a116e5fU,     0x5e11e789U,     0xc8d603a0U,     0x942d1761U, \
    0x3d3a2e94U,     0x540ec242U,     0x80187800U,     0x8911fe25U, \
    0x57c0c7b8U,     0xe22357c1U,     0xae84cc81U,     0x256bec3aU, \
    0x3cafa4e9U,     0x01319c3fU,     0xd2704089U,     0x0aab5cbdU, \
    0x2423b17aU,     0x5ff7b42aU,     0x388bd683U,     0x3e33a71eU, \
    0x08e3998eU,     0xece34856U,     0x84e75673U,     0x7ffbb69aU, \
    0x5061c0ecU,     0x0318e86cU,     0x35df90e5U,     0x98c9f06eU, \
    0xd163fbdbU,     0xa38d7f17U,     0xce15036aU,     0x2159a998U, \
    0xfbfa0ea0U,     0xc4549042U,     0x720cd90aU,     0xc0db4fe7U, \
    0x56c805b3U,     0xc24d973aU,     0x06efa34fU,     0x5b9d5542U, \
    0x21317d01U,     0x6a1214dcU,     0x1be5b393U,     0x7e449d8eU, \
    0x670303a3U,     0x44c23df1U,     0xf3b8ebe1U,     0x3fbabe9cU, \
    0x7b071f7bU,     0x1bd179acU,     0x420fbf9fU,     0x79a8529fU, \
    0xb7f9878aU,     0x796663fdU,     0x5a069817U,     0x0839304aU, \
    0x2931cc31U,     0xd02a1d68U,     0x46286e9dU,     0x8f9ba5edU, \
    0x3b32b9edU,     0xfb78edbbU,     0x40ac13a9U,     0x37735f0dU, \
    0x53dea155U,     0x3878d17dU,     0x40e3a995U,     0x681d1197U, \
    0x881e3ab0U,     0x0e82f5b0U,     0x0ef41dbfU,     0x97cdb331U, \
    0x598cf1e4U,     0x20492f55U,     0x860520faU,     0xe46e7321U, \
    0xeca9e290U,     0xdd868236U,     0x678bb1c9U,     0x4e3a90a8U, \
    0xf40af663U,     0x63286101U,     0xd92b9f9fU,     0x5015debeU, \
    0xd645242dU,     0xdcba768fU,     0xf5077da3U,     0x6404d27dU, \
    0x6452349bU,     0x90c4975cU,     0x67afaf7cU,     0xcb293801U, \
    0x9e6d7e36U,     0xdaded123U,     0x351327a1U,     0x16100e7dU, \
    0xc1242730U,     0xdf66e59eU,     0xafaa4dc2U,     0x2f65b70cU, \
    0xe6dd7969U,     0x278b316dU,     0xff4d6b0dU,     0xac6441d5U, \
    0xba9a8498U,     0xec337fceU,     0xc0f1b17aU,     0xadaad73fU, \
    0xe92dc02fU,     0x6291e3f6U,     0xdeac5b46U,     0x026a27c9U, \
    0xf8177c50U,     0x8def3f1eU,     0x93881105U,     0xac653a20U, \
    0xd8e64617U,     0x60286215U,     0xa9ba4187U,     0x62208e65U, \
    0x89fa2e3fU,     0x82f1237bU,     0xf024f760U,     0x128da6e4U, \
    0x9eadd9adU,     0x23bf0452U,     0x75dc32aaU,     0x3a75a867U, \
    0x6caf9339U,     0x67542c5eU,     0xf24b820bU,     0xc867377eU, \
    0xf8c05a30U,     0x54c03208U,     0xd951180bU,     0x23c76f46U, \
    0x162c76d0U,     0x59cbb8e1U,     0x834d24d1U,     0x6bb1309bU, \
    0x87caa15eU,     0x610c4289U,     0xfebfbb76U,     0x39a1c4bbU, \
    0xd847ffbfU,     0x23419761U,     0x0606c369U,     0xe6356de7U, \
    0x8f0e9454U,     0xd291c342U,     0x4811bf94U,     0x342bb8abU, \
    0x74c265bbU,     0xe8ea54c8U,     0x00a40266U,     0x4d7c68ceU, \
    0x221b8659U,     0xee0054f7U,     0x265e9b17U,     0x4239ecccU, \
    0x7f75e848U,     0x545944a1U,     0x1d1760deU,     0x6a422c7eU, \
    0x71a91a19U,     0x2ad01189U,     0xb5ddc69cU,     0x4e1ae3b8U, \
    0xf15619feU,     0x37758194U,     0x8f7a1133U,     0x2deb2d8eU, \
    0xaad7209eU,     0x69edb7ecU,     0x74830324U,     0xdfa951f6U, \
    0xbddc6358U,     0x0fc5a504U,     0x6f43e726U,     0xb9cb53afU, \
    0x4ef26763U,     0xbbc2813cU,     0x71c6b1a8U,     0x6e554ef3U, \
    0xb4a75e47U,     0x38be2795U,     0xd5091598U,     0xff672f55U, \
    0x9c1d2931U,     0x7c24b1f8U,     0xb134bad9U,     0xe2a932feU, \
    0x980efa5aU,     0x1da34895U,     0xf1b6619eU,     0x65ca4280U, \
    0x29b6d4dfU,     0x2946fdd2U,     0xf9051e24U,     0x50284d2eU, \
    0x8fd2186cU,     0x55a3edceU,     0x1c06b991U,     0x6f1b2c3eU, \
    0x1c587132U,     0x1ebec781U,     0x704481e8U,     0x680d690fU, \
    0x83de90b2U,     0xe552eb9eU,     0x8b5ecf62U,     0xc49e521aU, \
    0x5fdf0d13U,     0xe3f6a9cfU,     0x67cc4231U,     0x8320356aU, \
    0x0b9811d8U,     0x9fa62bc4U,     0xab830f76U,     0x7a87c6d2U, \
    0xe90474abU,     0xa9ad832bU,     0x085a151bU,     0x804b8f56U, \
    0x1e46aba3U,     0x81f63ff0U,     0x066538b8U,     0x987a5d45U, \
    0xc0a48d22U,     0x39e7dd46U,     0x33a71a01U,     0x79d50c41U, \
    0x5188c7aeU,     0x894cca0fU,     0x295c4c95U,     0x2367cf4dU, \
    0x3b7a8f55U,     0x11dac723U,     0xcfafed46U,     0x407dc28eU, \
    0x6d77e96aU,     0x8f4ccb62U,     0xf7be2476U,     0x0164aaa2U, \
    0xff9d92d6U,     0x43b341b1U,     0x36bfa358U,     0x58694894U, \
    0x688e1a61U,     0x38592605U,     0xd08237d4U,     0xb2ed6019U, \
    0x04c06777U,     0x072e1efeU,     0x00f69d10U,     0x9e40e780U, \
    0x1ba7eaebU,     0x90187966U,     0x3fa1edc6U,     0x62b22458U, \
    0xb28f5740U,     0x22085a4cU,     0x155cd60cU,     0x49bc8742U, \
    0x39cc4445U,     0x09ef38cbU,     0x66a5f78eU,     0x1cc32910U, \
    0x2f3d0a52U,     0x9c464137U,     0xb50d9fc7U,     0x5ec13eaaU, \
    0x8b51dd47U,     0x88ee7e41U,     0x4b07c19eU,     0xeff14e6cU, \
    0x26035203U,     0x5381d448U,     0x36b5e8f7U,     0x3b3a2854U, \
    0x62b518b0U,     0xc02edb56U,     0x26e0782aU,     0x3f4aca3bU, \
    0xf66e5964U,     0xf0818bc2U,     0x81b6e759U,     0x8c371925U, \
    0x2a955b8cU,     0x16601398U,     0xa82f59ebU,     0xceb9f7c9U, \
    0xf686590eU,     0xd0c136e6U,     0xa42356ebU,     0x474e9b70U, \
    0xb099bf4aU,     0xaec66ca0U,     0xaf590fd4U,     0xf6f2c360U, \
    0xda7ed926U,     0x6c0b4355U,     0x4d21f687U,     0xedec53beU, \
    0x5effe9beU,     0xcef73a4fU,     0x2fbaf41cU,     0x48960c63U, \
    0x04e6181aU,     0xc2038136U,     0x9925fb02U,     0x86295e59U, \
    0x4a7e233dU,     0x6d578692U,     0xab7cc073U,     0x4798df32U, \
    0xebe22738U,     0x444ee7aeU,     0xc92d45ceU,     0x5429c106U, \
    0x7af57e08U,     0x3f5df945U,     0xb38d9e54U,     0x89956a95U, \
    0x2d2dfd70U,     0x377923b4U,     0x9576ad9aU,     0x02e37024U, \
    0x92fd65ceU,     0x7e6c4407U,     0x8a3cd45eU,     0xfd5c8b0dU, \
    0xc15b4da3U,     0x7a7f5723U,     0x235f8a37U,     0xafc9049aU, \
    0xd267a588U,     0xc1529c17U,     0x62c06e2aU,     0xc7ebe7e5U, \
    0xd1bbb70fU,     0x2d31959bU,     0xae5497c1U,     0x567b4fcdU, \
    0xcb88a9a3U,     0x001dffd7U,     0xbfac42fbU,     0xfe27b507U, \
    0xc6b39b3cU,     0xf48c08c6U,     0x2ee63f2bU,     0x507e7330U, \
    0x334160abU,     0x0276ee4aU,     0xe3ffae0eU,     0xf7982061U, \
    0xea16204dU,     0xa9cba2c0U,     0x008367d4U,     0x56a9bea2U, \
    0xd7f8a4d8U,     0xbb5529e6U,     0x12b786b0U,     0xc591506fU, \
    0x72d8c086U,     0x7ce06b1eU,     0xd0219a69U,     0x6aca5beeU, \
    0xaeba811fU,     0xfd733f99U,     0xf246f33fU,     0x167369bbU, \
    0xbf37eeb4U,     0x519c91ccU,     0x62ca400fU,     0xb62dcac9U, \
    0x25d03c0cU,     0x4df5b0daU,     0x53374529U,     0xa315c472U, \
    0x209ba9cbU,     0x08435051U,     0x9c08b5cbU,     0x0b0083fbU, \
    0xccb57957U,     0xc90216ddU,     0xeeeb1dabU,     0xbf0febddU, \
    0x53251880U,     0x69d856b6U,     0x69962a7cU,     0xea9ac269U, \
    0xaffd66e9U,     0xf0226e25U,     0x1c1f98d5U,     0xb55b336eU, \
    0x2b281349U,     0xdf23bfc0U,     0x0c6e1f56U,     0xfdf041a8U, \
    0x62916fdfU,     0xb9a100a0U,     0x836cd10dU,     0xcc073a2aU, \
    0xb7c7435fU,     0x7eb5dea3U,     0x628c6aabU,     0x03af0469U, \
    0xe90dc730U,     0xa8977612U,     0xcb32044eU,     0x9795dc0aU, \
    0x50e43705U,     0xae129d00U,     0x425c29e2U,     0x57157c13U, \
    0xd1b86097U,     0xb694cd6eU,     0xa73d2602U,     0x9c177377U, \
    0xcac3a06aU,     0x463ffe7eU,     0xd210859dU,     0xa206e7e4U, \
    0x2702a839U,     0x61c0597fU,     0x8b43844cU,     0x22caa5d9U, \
    0xbd2c8d03U,     0xac8e00b9U,     0x0b9349bcU,     0x2367e909U, \
    0xd805c95bU,     0x1c843baeU,     0x14d5f920U,     0x0e29d041U, \
    0xbf888261U,     0x75639ed0U,     0x83bb8f0dU,     0x9972044bU, \
    0x5a540b58U,     0x793c9cb3U,     0x12f58eb9U,     0x6e2c77e8U, \
    0x5133e9adU,     0x4474b199U,     0x427998ccU,     0x1b63798bU, \
    0xd6245120U,     0xce0c3b04U,     0x6305a7d2U,     0xaae52a49U, \
    0xb187a90bU,     0xcf2d922aU,     0x8b3d5be4U,     0x6b73c91eU, \
    0x4ac12293U,     0x3d7c0d35U,     0x16689c4fU,     0x176d19bdU, \
    0xebee21beU,     0x8b1fd210U,     0x707e7c48U,     0x16e470bdU, \
    0x9e8f14ecU,     0x2b013b05U,     0x6c62c4e4U,     0xa2f33e06U, \
    0xf308b024U,     0x3fd217a0U,     0x9ed30252U,     0xbd16ae43U, \
    0xc4382ba0U,     0xe16a92e4U,     0x8e88a414U,     0x7c345342U, \
    0xaae36957U,     0xef897993U,     0x1292a783U,     0xf7bca660U, \
    0x9e1bfab2U,     0xb3ccc068U,     0xc0398b99U,     0x0bb1e3a8U, \
    0xde2fa01cU,     0x358e0bdcU,     0x74064800U,     0x29639bc1U, \
    0xb7ca8b37U,     0xe6215c4aU,     0xd6c28e68U,     0xcdfb28e6U, \
    0xa3fd10d2U,     0x24d497ccU,     0x3148ebf3U,     0x8d4095baU, \
    0x0656c0c1U,     0x81c56b16U,     0xfdbdfcdfU,     0x1da02f8cU, \
    0x145e1e21U,     0x1c6620bfU,     0x472340fdU,     0x203ae60fU, \
    0xa56213a9U,     0xc2a0e957U,     0x944ad64bU,     0x1cfb169cU, \
    0xb9aa4b52U,     0xe4d834aaU,     0x0833828dU,     0x9d67f41aU, \
    0x7965624aU,     0xb286648aU,     0x0648f40fU,     0x302e1fa9U, \
    0x0c277147U,     0x00772ac7U,     0x575f4004U,     0xf0d99520U, \
    0x89d92429U,     0x54f762b2U,     0x971b0116U,     0x87c819f2U, \
    0x6c959ce2U,     0xb41bff37U,     0xd0c2f4f0U,     0xc3dc2ac0U, \
    0xd548d5fbU,     0x5ee52b45U,     0x64b4b05bU,     0x1520fdcdU, \
    0xdea34aa7U,     0x7cb0e9fbU,     0xf59f94edU,     0x7acca759U, \
    0xff492400U,     0x4c59240fU,     0xdf45a378U,     0x17a58009U, \
    0x293c7a47U,     0x78fb0aa3U,     0xeb64b8daU,     0x552e6abaU, \
    0x5e064306U,     0x62dc4a94U,     0x2fdf6205U,     0xbdb8f32cU, \
    0x166cc444U,     0x39f89aa4U,     0x3af93f4eU,     0xc7205d0dU, \
    0x68bac034U,     0x17b7d9faU,     0xb5746adfU,     0x265e97bdU, \
    0x5f1f9243U,     0xcac7e95dU,     0x5cbca537U,     0x24957da9U, \
    0xef58778aU,     0x3f01c744U,     0xd8275b0aU,     0xce4c34a6U, \
    0x6a313ac3U,     0x3578ac27U,     0xce628893U,     0xf605c50aU, \
    0xe07dadebU,     0x0425dc5aU,     0x21624c12U,     0xcc3a0715U, \
    0xfe6d3245U,     0xef1ad21eU,     0xfc823e19U,     0xf177b696U, \
    0xfd85fadeU,     0x9aa107c0U,     0x0c6d8b70U,     0x3e27794eU, \
    0xc7c8093bU,     0x243d4344U,     0x1dae9b85U,     0x64fe7f4bU, \
    0xae59be98U,     0xc774d7f4U,     0x12ff65f6U,     0x9a795c63U, \
    0x472a5f98U,     0x4cf2b2baU,     0x431baf24U,     0xad882bd9U, \
    0xb1fe5bffU,     0xe9d9d906U,     0xfe7da765U,     0x9296d74dU, \
    0x52d471c0U,     0xa68a268bU,     0x78716676U,     0x257f73fcU, \
    0x0fefdf61U,     0xaa8e70e0U,     0x677ea6dfU,     0xc48d783aU, \
    0x81bd6bf1U,     0x9c5e4027U,     0x8f09ed88U,     0x262124bcU, \
    0xda99ea8fU,     0xfbd1a02aU,     0x7cb754acU,     0x20bdba48U, \
    0xd9aac81bU,     0x5c1829b5U,     0x61077fd9U,     0xb7ffad14U, \
    0xa0eda558U,     0x63f835f1U,     0x7a60bd38U,     0xdd395c71U, \
    0x4735a620U,     0xbe019149U,     0xd9ab3c86U,     0xf3395a93U, \
    0xeb4b46dfU,     0x47c96055U,     0x75ea0b1eU,     0x910d44c5U, \
    0x8ea07c91U,     0x9e0b5046U,     0xd782a1a2U,     0x0cb67e3cU, \
    0xde66d57cU,     0xf3b4119aU,     0x0e2b33a3U,     0x3ed2b979U, \
    0x58158a22U,     0xf06fd363U,     0x78f0662bU,     0x0f2ecda8U, \
    0xb9aff965U,     0xda85ef36U,     0x7fb57689U,     0xfd0007feU, \
    0x08aa950bU,     0x22528d6aU,     0x569bf3d3U,     0xa5043659U, \
    0x300e7987U,     0x9a228257U,     0xd97de2d9U,     0x59fea061U, \
    0x0c800b76U,     0xfcfcbc33U,     0x815e512dU,     0xdf7686abU, \
    0x95279cc6U,     0x56955a2bU,     0x190d6c59U,     0x6bf1d416U, \
    0x716c0b23U,     0x9fe4a31fU,     0x05d066e3U,     0x8b04f01fU, \
    0x58d717d1U,     0xd3ce30acU,     0x607c1e46U,     0xf6ec0e13U, \
    0xcc50cd4eU,     0x639ac7dfU,     0x429a54a3U,     0x4b0f920aU, \
    0x4c898337U,     0xf11e4560U,     0xc638c436U,     0x7a1c9dd7U, \
    0x7ec50c07U,     0x697621edU,     0x9b9a6347U,     0xc90e6fc6U, \
    0x5868464bU,     0xf2e09dd3U,     0x6ffc3956U,     0x70a89e59U, \
    0x89db2d12U,     0xd8931937U,     0x95c76ed6U,     0xbaa9f6cfU, \
    0x9459553aU,     0xc95ccd92U,     0x4e11da5fU,     0xea1fc956U, \
    0x714f3389U,     0x94df6a4eU,     0xb44e123eU,     0xb5ea02d9U, \
    0xa6785896U,     0x16b18e9cU,     0x1647dfb6U,     0xf5980d51U, \
    0x4518141cU,     0x2f3c3f30U,     0xedf87351U,     0x135c7e02U, \
    0xe764372bU,     0xd25e1d04U,     0xf9d1986dU,     0x521d4c70U, \
    0xc99887ceU,     0x9e98dc3aU,     0xfdf2bda0U,     0x47b38e0dU, \
    0x36f67316U,     0xf6d10d7eU,     0xab2b0cc9U,     0x2cba9f7dU, \
    0xf13d58d6U,     0xbeb3af6aU,     0xdbb19163U,     0x27272cabU, \
    0xe6d6e325U,     0x726091afU,     0xc76df766U,     0x5ad9ae8fU, \
    0x4a806daaU,     0x815bd6ffU,     0x96dac929U,     0xbac9b960U, \
    0xff7fb233U,     0x2c100c1aU,     0xa6456fb3U,     0x676d313cU, \
    0x303665c7U,     0x0d65535fU,     0x420768e7U,     0xe4381448U, \
    0xbedb7fbaU,     0xc77774d2U,     0xc68d2f84U,     0x54efc1f0U, \
    0xccfec540U,     0xf53073f2U,     0x4a30f31bU,     0xc9e39ff7U, \
    0x30d3b279U,     0x35ff4b04U,     0x291a8a00U,     0x4a5488dbU, \
    0x9d0ba40aU,     0x9cce9bb2U,     0x7d45b25aU,     0xbc7a4ea4U, \
    0xa0ef83ddU,     0xe69e5b5fU,     0x29a1d3d5U,     0x1b7ddffeU, \
    0xa5d6e0e2U,     0x35d7fae1U,     0x484f4bcdU,     0x039115feU, \
    0x78d78c92U,     0x806a1f1aU,     0xb031d6f4U,     0x124c5299U, \
    0x024946d4U,     0x9e7fc99cU,     0x5376633eU,     0xd153c3bdU, \
    0x54a66f92U,     0xb1f371fbU,     0x9682787cU,     0x8001cf8dU, \
    0x88fb9fa9U,     0x3900d5bcU,     0x88c8e976U,     0xc5c49ba1U, \
    0x067e7822U,     0x5a2e4c53U,     0x6c86d296U,     0xe3ecddb4U, \
    0xcd8db257U,     0x09a966dfU,     0x20e649e2U,     0xa496b193U, \
    0x7ceef2d8U,     0xc4f65ff7U,     0xfcaf8097U,     0x8c820258U, \
    0x7335e6cdU,     0x0eb7f20dU,     0xd02fb736U,     0x817bba69U, \
    0x740ff992U,     0x3b2c1b6bU,     0x3b295947U,     0xfab5e5d9U, \
    0xccc582bdU,     0x2bf0631cU,     0x7dfea831U,     0x37b8459aU, \
    0x90ed2d7aU,     0xcf050dd1U,     0x02cea302U,     0x8df1f89eU, \
    0x14f9c456U,     0xa8c5a124U,     0x088cb05dU,     0x1d5bc3f2U, \
    0xb63017e1U,     0x011b5b6cU,     0x3fb0e5acU,     0x79f4627aU, \
    0xf3211726U,     0xff6a0c76U,     0x6b64c1ecU,     0x2e06d466U, \
    0xefbcc618U,     0x1911aabbU,     0x83db7d0aU,     0xb5d7287dU, \
    0x40cf2f57U,     0x82c51b0dU,     0x6a4e8525U,     0x16dd7019U, \
    0x57e0b5fbU,     0x8090f967U,     0x23318845U,     0xccaa017bU, \
    0x26dc54ddU,     0x20fbc66eU,     0x5d3cb4e1U,     0x894e935eU, \
    0xfb79b555U,     0xff875bc6U,     0x0e6e34edU,     0x8529f75dU, \
    0x062e123cU,     0xaad588d7U,     0xc668fcb9U,     0xad3df9dcU, \
    0x2330d577U,     0xe714d3e1U,     0xa15450d3U,     0x6054e2e1U, \
    0x4bd4337fU,     0x2bcd6cc0U,     0x2c690164U,     0xf3a7301aU, \
    0xe3fb0176U,     0xd81d9f0fU,     0x180a1463U,     0x092a4a50U, \
    0x730b9c72U,     0x9fcb5d21U,     0xd7780f69U,     0xfe6bcf83U, \
    0xd0badda9U,     0x88242062U,     0x2326a29dU,     0x4d6b8044U, \
    0xe12e1823U,     0x627e6d3eU,     0x5553fcefU,     0x2312494eU, \
    0xc138f4a8U,     0x968ba484U,     0x981671c4U,     0xb91ecb6fU, \
    0x1b94261fU,     0xada81c4eU,     0xc99f6285U,     0x8917e4efU, \
    0xc76ed0b2U,     0xf84daf98U,     0x217c502aU,     0x48fac966U, \
    0x789eb8dfU,     0xbbb4686fU,     0xf7bf9670U,     0xebb96568U, \
    0xb2590572U,     0xb8b86cdfU,     0xfc002620U,     0x75f5efd8U, \
    0xcc810c95U,     0x34206753U,     0x502be61dU,     0xa43a0d64U, \
    0xe4259d8aU,     0xe96f73daU,     0xb4751d3eU,     0x36b61308U, \
    0xfb91a3c7U,     0x0426397cU,     0xc165b241U,     0xd213c3a0U, \
    0xdec7df94U,     0xc83979baU,     0xa957da3dU,     0x39a80cf4U, \
    0xd0d38d45U,     0x26af6812U,     0xcdda5effU,     0x97bcf5d8U, \
    0x94f1a8c3U,     0xc74563eaU,     0xdfb2bd2dU,     0x9968cc4cU, \
    0x10238b6fU,     0x1c80f3baU,     0x2fb74bcfU,     0x53b7583dU, \
    0x24f181dbU,     0x99f8e89cU,     0x419d7dcaU,     0x9cead327U, \
    0x6966e222U,     0xc7516123U,     0x7b5fd2feU,     0x99af1b40U, \
    0x7b6683f0U,     0x2c30b082U,     0x36cf6b02U,     0xac21152eU, \
    0xf33f3c77U,     0xea61098eU,     0x060e4aaeU,     0xefe3978cU, \
    0x816402efU,     0x3bdb41a7U,     0x79cfbb04U,     0xa5cae807U, \
    0x264faa62U,     0xb1cb53deU,     0x649fb779U,     0xfdc43ab8U, \
    0x6bea1de7U,     0xa587789eU,     0x10d2a77eU,     0x59db09ecU, \
    0x35913d4aU,     0xaa13d6c0U,     0xe14b4616U,     0x301ed6f5U, \
    0x0c4bf46cU,     0x1f34c7c0U,     0x0ba531c0U,     0x64f20369U, \
    0x2478f2f5U,     0xf6234c79U,     0x1b08900aU,     0xe4d14669U, \
    0x11a345e6U,     0xfc84c174U,     0x54bdbdf0U,     0x45b89b59U, \
    0x27db014bU,     0xec1ec98cU,     0x3fb0251cU,     0xeca8a493U, \
    0xfa5b23faU,     0x0e3194deU,     0x37749770U,     0xa58d8be7U, \
    0x08a8cda3U,     0xf743125dU,     0xa78e4c73U,     0x17146891U, \
    0xaee1c7e9U,     0xca500467U,     0xa260dc4bU,     0x67829aabU, \
    0xd4671a1aU,     0x307f8f04U,     0x80834540U,     0xe3bf37b8U, \
    0x1edeb5a6U,     0x1ee57145U,     0xd445656fU,     0xc9f1a0ebU, \
    0x3eb3b273U,     0x9e5fd8f6U,     0x61a1b569U,     0xfa755d9cU, \
    0xe559e0d9U,     0xb2d7c864U,     0xa926e416U,     0x559fbc50U, \
    0xdbb2e2ccU,     0xb9e35c9cU,     0x92f5d156U,     0x7a03a3dbU, \
    0xa8734baeU,     0x55816579U,     0xb9663f85U,     0x1fecaecaU, \
    0x63e6ad74U,     0x0b695998U,     0x0800bdf8U,     0xf8cfe535U, \
    0x64ae2ee7U,     0x4881f44cU,     0x86701857U,     0xc389164bU, \
    0xbacab81dU,     0xbd87c5f0U,     0x22a9d2dfU,     0x22eeabbdU, \
    0xe136f791U,     0x9a15c1c9U,     0x577641cbU,     0xdbeec055U, \
    0xfb7ea373U,     0x66d3eaa2U,     0x6a4393f8U,     0x4081940eU, \
    0xf7f0a10aU,     0x20ed2872U,     0x5e4f60e6U,     0x84214598U, \
    0x7c172869U,     0x4c653098U,     0x1934c4baU,     0xe8794c7cU, \
    0xbdc7667aU,     0x7397ff68U,     0xeb199b17U,     0x13fe5294U, \
    0x9b22f839U,     0xabad640cU,     0x441fbc3dU,     0xc74f51d2U, \
    0xb1b214a8U,     0xa31eb7ebU,     0xcd64471cU,     0x9b098e6cU, \
    0xcc680387U,     0x46aff0bbU,     0x0194c15fU,     0xf24ef338U, \
    0xf2862fd5U,     0x52f8b0c8U,     0xb27861f4U,     0xb70c7180U, \
    0xb44b1ddeU,     0xdf20ffabU,     0xe77583b3U,     0x728d98bbU, \
    0x5835ee36U,     0x945eb25cU,     0x05697d67U,     0xbfc8ce12U, \
    0x4c4b0bb2U,     0xcd31f1c5U,     0x3bbcc445U,     0x69f036e2U, \
    0xc7cf1398U,     0xc1d39be7U,     0x35536e48U,     0x7b008173U, \
    0x23b733adU,     0x17212df9U,     0xd9e7e01dU,     0xdb2df862U, \
    0x3117f055U,     0xcdb357d2U,     0x50ed0c96U,     0x0457e9a5U, \
    0x99ca69d5U,     0xa8be94c9U,     0x46515f56U,     0x1251001eU, \
    0x169c598fU,     0x6896f018U,     0x83ee3e9eU,     0x0ea3d64dU, \
    0x70957d16U,     0x4caed888U,     0x5fbe3bacU,     0xe758f0bbU, \
    0x78ff0219U,     0x1e76021fU,     0x4b471f68U,     0x249e01baU, \
    0x24eda169U,     0xa4f6530bU,     0xe1376cc9U,     0x91221ab2U, \
    0x2ca9be22U,     0x5cce80a0U,     0xd50386e3U,     0xda421f2aU, \
    0xe911839bU,     0xdca8fa82U,     0x6630a032U,     0xdd12a6efU, \
    0x6d9720d2U,     0x2b9bee06U,     0xfd730884U,     0x06156cf1U, \
    0xf834d032U,     0x403f13d3U,     0x8c6de648U,     0xece5fbbdU, \
    0x2e2daebfU,     0x9a7414daU,     0x3df85a9eU,     0x27bfdd7cU, \
    0xf7249506U,     0xa41f215aU,     0x752c1df3U,     0xec706d05U, \
    0x3a544138U,     0x2b98daf5U,     0xba451267U,     0x592fda47U, \
    0x962b78b1U,     0x5b8a040cU,     0xe4355cdfU,     0xd67e9121U, \
    0x16c70bd9U,     0xcfa1a263U,     0x7e030324U,     0x89020015U, \
    0xd31050a1U,     0xc9932d49U,     0x855ed43bU,     0x469f3c4eU, \
    0x1e5afd97U,     0x4c7d5633U,     0x2e7da370U,     0xce55c834U, \
    0xd47554a2U,     0x86acf240U,     0xee208e26U,     0x4e4eb4a0U, \
    0xf97117daU,     0x6dd5d4fdU,     0x2d66fb7cU,     0xb389369eU, \
    0x1079d33dU,     0x5b372097U,     0xce9ae0beU,     0x155fee5fU, \
    0x7cd91fbcU,     0x3e916af6U,     0xd8ec0cf4U,     0x46d31957U, \
    0x2a526c1eU,     0x66fdbec1U,     0x4cc3c500U,     0xa8f0262bU, \
    0x8bfb8990U,     0xfb583fd1U,     0x67e22a09U,     0x6ead4fbdU, \
    0x0f2753abU,     0x6847e84fU,     0x5f5bbf8fU,     0xe3f398d7U, \
    0x11a08f2aU,     0x0c863ea7U,     0x2e1da7a1U,     0x57f9aeffU, \
    0x7e15527bU,     0xf2c01f50U,     0xa407190cU,     0x6c722e99U, \
    0x232f86dfU,     0x6ea46c14U,     0x0d69bd74U,     0x78682a22U, \
    0x89bed705U,     0x0bbb6631U,     0x21596713U,     0xba12b436U, \
    0xc3dae4d1U,     0x06f23b25U,     0x3899c0c0U,     0xf524fd0dU, \
    0x3045771bU,     0x772f20d5U,     0xfec2859eU,     0xeb4d53daU, \
    0x5ab1fbbfU,     0xf6695455U,     0xafce3341U,     0x679376b3U, \
    0xe031d608U,     0x465326beU,     0xb9cebd96U,     0xe0ea6b26U, \
    0xe8297e3aU,     0xcbb48918U,     0xc337afe3U,     0x23f9828fU, \
    0x8f741219U,     0x77621a23U,     0x59a3c8d1U,     0x45a9ede9U, \
    0xdc1389d1U,     0xef517de9U,     0xca6d7b85U,     0x6246ad0dU, \
    0x60b29e27U,     0xf7dac383U,     0x05132861U,     0xaac768c2U, \
    0xb3e12674U,     0x67319484U,     0x93e5b865U,     0xb573874dU, \
    0x40100116U,     0xba10e1b0U,     0x23ff6369U,     0xc0a56f37U, \
    0xa8cbf52cU,     0x502e009bU,     0x7ede64fdU,     0xae91e689U, \
    0xb970011dU,     0x87874646U,     0x6757267aU,     0xe7acb08dU, \
    0xdcdfd8c1U,     0x18cf770fU,     0x72cda264U,     0x09fe0584U, \
    0x44ed6701U,     0x527be668U,     0x4c1933d4U,     0xa1a91332U, \
    0x7117f21aU,     0xbebe7e00U,     0x13076565U,     0xf376fc9fU, \
    0xa46d316bU,     0xc63a3bc0U,     0x227a219aU,     0xa4eedd41U, \
    0x67c8b517U,     0x65b628b8U,     0xe90aeef8U,     0xba042979U, \
    0xf43dee90U,     0x701d9b55U,     0xf62af879U,     0xa5fed0c1U, \
    0x40ef26faU,     0x4cdb7c5dU,     0xa34e9fe6U,     0x4606188cU, \
    0x7565253dU,     0xe4e1f30bU,     0xc3c0a27dU,     0xcd416c3aU, \
    0xa2e72932U,     0xfcfce591U,     0xa48a676eU,     0x9b54aed6U, \
    0x0335864cU,     0x2af296edU,     0xda874974U,     0x3f45d8deU, \
    0xde0dd274U,     0xa7160bd0U,     0xb24264ccU,     0xb959fdc2U, \
    0x8ff2f52aU,     0xebe0a2d2U,     0x6120bc09U,     0xc5d4d658U, \
    0x765d4c3aU,     0x18ea8679U,     0x514f9ff3U,     0xd8170690U, \
    0x6b08030aU,     0x101e47a6U,     0xcc83989dU,     0xfa6b8418U, \
    0xa131c2d3U,     0x3b5fbeddU,     0xa4410d06U,     0x282e8a29U, \
    0x9ea632f5U,     0x841761ddU,     0x4e5232dfU,     0x1bca574bU, \
    0xe90d46ffU,     0xa10f9c0aU,     0x7ce1b11cU,     0xa72bca6eU, \
    0xc1e2e28fU,     0x2b9cb901U,     0xc9455751U,     0x0dfb2147U, \
    0xbba079f7U,     0x6bccf5bfU,     0x96de6483U,     0x61fa8e22U, \
    0xd8e36701U,     0xd5b490cbU,     0x5d15eb6aU,     0x5df4332fU, \
    0x2671dddeU,     0x659beaf4U,     0x2a78c6a5U,     0x8e14482fU, \
    0x6cfc68e3U,     0xd5d0fdaaU,     0x9d39ba18U,     0x8faa036aU, \
    0x7ee2c59fU,     0xd35c17e0U,     0x50f02ecbU,     0xfd2f55c1U, \
    0x8913616dU,     0x5f74f7e9U,     0x99916694U,     0x82edc057U, \
    0x275b562fU,     0x0c0af230U,     0x2854e029U,     0xe9713219U, \
    0xb05a649bU,     0x31360255U,     0x3e6e4e00U,     0xe0f7db07U, \
    0xdd013cf1U,     0x54b5ba18U,     0xb8ec2fddU,     0x9ccc8d62U, \
    0x52624bd5U,     0x6a544110U,     0x4fb10fa9U,     0x0296f89dU, \
    0x0b4256e3U,     0x1d6ad329U,     0x1ebd0c5bU,     0x7fad27bfU, \
    0x5e162edfU,     0x4ac12ac0U,     0xd840be78U,     0x6112bb16U, \
    0xd3094af7U,     0x03706146U,     0xf1f5f155U,     0xb8971517U, \
    0x93975391U,     0x918c770aU,     0x42c95012U,     0x77f1c8afU, \
    0x72f9f189U,     0xe4c571b4U,     0x8f0b25b8U,     0x0402b8ecU, \
    0xa1943756U,     0x3ce862d9U,     0x676b77e5U,     0x0079396cU, \
    0x1ce3f63cU,     0xbeb57d4bU,     0xc5c5d9aaU,     0xc7e91200U, \
    0x77c183b9U,     0x5c828a7dU,     0x4ed1f71fU,     0x8ac7feffU, \
    0x06956885U,     0x02a670e6U,     0x7164c5b7U,     0xf9cd239fU, \
    0x65a11252U,     0x99785e79U,     0x70d72536U,     0xb5712145U, \
    0xc80eb56dU,     0x824c19e3U,     0x100f204fU,     0xe99809a2U, \
    0x4ba8072dU,     0xb303de44U,     0x885f73ceU,     0xa8108442U, \
    0x7766a67dU,     0xca0fb0d9U,     0x91849acaU,     0x66db18a4U, \
    0x92633500U,     0x2a8a4907U,     0xb99df780U,     0x686cd94dU, \
    0x4fa16018U,     0x1816767bU,     0xd04bededU,     0xd65b3e3dU, \
    0x38fab4b9U,     0x1a6adff7U,     0x41df0d72U,     0x871a94c4U, \
    0xff279622U,     0x87522482U,     0xee8c5c6fU,     0xea07e31cU, \
    0x1e613353U,     0xeac0b8a8U,     0xb49d759aU,     0xdc7ab2bdU, \
    0x3175bac7U,     0x7dab664cU,     0x86244520U,     0x58b0e3a6U, \
    0xa5e6f93cU,     0xd0db3446U,     0xedbb6966U,     0x484b9c8cU, \
    0xb065d9faU,     0x793d85d8U,     0xc9100d39U,     0x806b90a0U, \
    0xd765c977U,     0x840a7c44U,     0xb2e35613U,     0x925fc5eeU, \
    0xe7153b4dU,     0xcea84968U,     0xd3b7fd85U,     0x24e7ff2cU, \
    0x843e1950U,     0xd30126d4U,     0xd04a055eU,     0xcf3d2e58U, \
    0x8c91d64fU,     0xd47b0ae4U,     0xccd486f7U,     0x2066cf73U, \
    0xd701027dU,     0x7341c699U,     0x77473237U,     0xa2c409baU, \
    0x08d6cd36U,     0x0520c55bU,     0xe933914aU,     0xdb3db05aU, \
    0x1bde12ddU,     0x143392b7U,     0x37a0aebeU,     0xf514d5a9U, \
    0xf14b1159U,     0xb9442312U,     0xfe459a25U,     0x04f42d59U, \
    0xb0c23291U,     0xe1bc6842U,     0x3c93691bU,     0xbb59f9abU, \
    0x254406e6U,     0xfde630e0U,     0x6c8c495bU,     0xd81a0104U, \
    0x81ee52a4U,     0x98929a29U,     0xcadaf87dU,     0x02b4bef1U, \
    0x73087c5eU,     0xf800d753U,     0x3d8230f5U,     0x6bed2066U, \
    0x3d7b0110U,     0x2ee03671U,     0x09a094d3U,     0x235c9c83U, \
    0x279d5ec4U,     0xbb9711a6U,     0x0af3d1f7U,     0xf2937518U, \
    0xaed44a6fU,     0xda6a206aU,     0x4effb6faU,     0x19b26ab4U, \
    0x06cabeadU,     0xe865c1d1U,     0x81baab21U,     0x4f4591fcU, \
    0x10ddfc28U,     0x772c2bb3U,     0xc3ffd443U,     0xbc524ce8U, \
    0xa047fa3dU,     0x8d76b9dfU,     0xc56f5788U,     0x8294c14eU, \
    0x18d8d6acU,     0xbe149637U,     0xe1a94cddU,     0x8c080d48U, \
    0xb11e92d1U,     0xaeb28d53U,     0xdee96c80U,     0x0536c749U, \
    0xf5615775U,     0x12431af5U,     0x4de4da2bU,     0x9dee1196U, \
    0xbc03d43dU,     0x223c7641U,     0x2d77bbcdU,     0x280c15cdU, \
    0x482c2b11U,     0x2320108fU,     0xa5a8bd6eU,     0x364e73ceU, \
    0x45cc7e4eU,     0x59f1f0d2U,     0x834d7eb9U,     0x38bd18acU, \
    0x8e9b5a6cU,     0x806bfb20U,     0xbd85f32dU,     0xfc9db9b0U, \
    0x76afe09eU,     0xae0cdb44U,     0xd7bbbc7aU,     0x358fd825U, \
    0x62191eecU,     0x45735b8fU,     0xa9ad40aeU,     0xdc6eb506U, \
    0xf7f8b1f3U,     0xdd4c3953U,     0x56408ecbU,     0x999de040U, \
    0xdec687b8U,     0xc002b0d7U,     0x1730f2d3U,     0xa8895ca0U, \
    0xd22aa754U,     0xbe497430U,     0x6b47a7bdU,     0xf40b04b1U, \
    0xbca74222U,     0x670754e6U,     0x440139cdU,     0x886b9ac8U, \
    0xeff77237U,     0xa79eb6d1U,     0xb83e27f1U,     0xbe027957U, \
    0x5b8da49dU,     0xa3507dacU,     0x63509129U,     0xfdc35e54U, \
    0x552911baU,     0x094bb3d8U,     0xbaed2011U,     0xf31c4437U, \
    0x0142801aU,     0x13f2a512U,     0xef4c1d3eU,     0xc23ccd07U, \
    0x36eb2a7cU,     0xff6a46f5U,     0x37b823e7U,     0x473a4902U, \
    0xee92e578U,     0x660c1932U,     0x90b41248U,     0xbf2034e7U, \
    0xae044b53U,     0xee9ca3a8U,     0x7da1ef1bU,     0xdf844428U, \
    0x7ad082adU,     0x1e39330dU,     0x03962fd3U,     0xd53410d0U, \
    0x0c4de530U,     0xa1e2f609U,     0x50a2a78aU,     0x71caee89U, \
    0x64d1f3f9U,     0x2c452debU,     0xdec72fc5U,     0x2a4eaf02U, \
    0xbf2b63b8U,     0x19248f4fU,     0x61a26f6eU,     0x8ff3a84bU, \
    0x04b115f5U,     0xbd759993U,     0x4e6361feU,     0xa31431a3U, \
    0x756d71d3U,     0xeee0fda3U,     0xd707c7a0U,     0xcf56b98bU, \
    0x1bdd9edbU,     0x859cb52eU,     0x58d7b52fU,     0xdee9e7c6U, \
    0x4e129dc3U,     0x0602a3ceU,     0x9c856894U,     0x9048a67bU, \
    0x4805dedbU,     0x7458a21cU,     0x8b4c9b4dU,     0x2a469757U, \
    0x252b41dcU,     0xa809c692U,     0x1a33198dU,     0xf702d085U, \
    0x4f3c6a3fU,     0xebba4bb8U,     0x19615a50U,     0x205cf32cU, \
    0x4078127cU,     0xcd1e91a2U,     0x49d882c1U,     0x92a3921cU, \
    0xf5ab7df5U,     0x4851755fU,     0x9d9205eeU,     0x2781d1a9U, \
    0xde831348U,     0x31814c80U,     0xa7283ebaU,     0x1b7a0946U, \
    0xc8a1c1b7U,     0x4265a62dU,     0x8de42d92U,     0x2c7ff1fbU, \
    0xf5806c6eU,     0x68239456U,     0xfb1f94d0U,     0x97ece167U, \
    0x13f1637aU,     0x6b17afd8U,     0xb3e7e752U,     0xa2eefbb8U, \
    0x568b97beU,     0x160f54afU,     0xbd847de5U,     0xdf11e368U, \
    0x209d3e36U,     0xfcc38ae0U,     0xe3522e22U,     0x33cc3de1U, \
    0xf619d40cU,     0xac3888d1U,     0xecbe9c2cU,     0x3f10d1b5U, \
    0xbed57ce0U,     0x63c8b71aU,     0x1d6b0239U,     0x7397c7beU, \
    0x792574b5U,     0xc3f91f1eU,     0xb1991cf4U,     0x435db15dU, \
    0x4d1444f9U,     0xf0ec73f5U,     0x25978a8eU,     0x780e7125U, \
    0xb2a894d8U,     0xa65feff8U,     0x794578edU,     0xc4a87447U, \
    0xa17d1dd8U,     0x04b096c8U,     0x66a2f7a0U,     0x0b19de3bU, \
    0x8936f8d4U,     0xec6f9999U,     0xdecf0b07U,     0x627d7827U, \
    0xb63a2483U,     0xb465990bU,     0x777ce157U,     0xb3622e1cU, \
    0x67df6a34U,     0xaeaab52cU,     0x4ff17247U,     0x434118baU, \
    0x1e8a88b1U,     0xd07ef59eU,     0xffe0c869U,     0xf1880918U, \
    0x989371f9U,     0x88506eadU,     0xbd4136b7U,     0x40316a27U, \
    0x15191eaeU,     0xc2bc6f2fU,     0xbcbd84dbU,     0x2aa8c091U, \
    0x6c4943b6U,     0x03a0c80eU,     0x8be7666fU,     0xc9efb42cU, \
    0x2ad1882cU,     0x07dba960U,     0x1c79b194U,     0x1a35352dU, \
    0x09d99d65U,     0xbe6d0e9cU,     0x4fe37d39U,     0x71a0a74fU, \
    0xd3590bfeU,     0xfd022ef3U,     0x73fe899bU,     0x89d63b25U, \
    0xd4785737U,     0xc9991841U,     0x82424fb6U,     0x1f952f4eU, \
    0xa01aea92U,     0xe4b69ca8U,     0xbbe507d1U,     0x4f6e8e6fU, \
    0xb3833cc0U,     0x93faba71U,     0x6d4f01abU,     0xe293d336U, \
    0x5fa028b5U,     0xbbd81668U,     0xf233d268U,     0xed5ece66U, \
    0x1044e137U,     0x5781cf20U,     0x2784b85fU,     0x6746915eU, \
    0xcaf457ebU,     0xcb32629bU,     0xee9fabcfU,     0x19a0b962U, \
    0xe2148360U,     0x030103dbU,     0xd965466aU,     0x86062098U, \
    0x1129b952U,     0xee84fa39U,     0xa05b5283U,     0xea5c31ddU, \
    0x60bff9dcU,     0x7b8c38bdU,     0xf302916bU,     0x79833bacU, \
    0x3a4b0b17U,     0x0eabf643U,     0xa4f4ee3bU,     0x644692afU, \
    0x1dd7e4bbU,     0x9dab3a76U,     0x9cd70e9cU,     0x3b31b35dU, \
    0xad4b9f5dU,     0xaad11188U,     0x1183c03eU,     0xe0e317a1U, \
    0xc20404a2U,     0xbe802c7fU,     0x17e67ec2U,     0xaecf7845U, \
    0x74075f46U,     0x9a526d93U,     0x2e42b0acU,     0x61ce0427U, \
    0x221881f8U,     0xd0c4d7d1U,     0xd656f424U,     0x2f343cfaU, \
    0x2c552d7aU,     0x85d64a4eU,     0x83b139ccU,     0x8d0e5212U, \
    0x8f0a5338U,     0x64d3953fU,     0x341ff08dU,     0x417084c0U, \
    0x11d99ea5U,     0xf9ecda10U,     0xd5176088U,     0x0db754e5U, \
    0xf7dbdca3U,     0xcd231b7cU,     0xb9b5accdU,     0x66ba025eU, \
    0x4e93bf26U,     0xdd6017c3U,     0xac9912bdU,     0x0623fb89U, \
    0xde5705b8U,     0xf224475dU,     0x46dd378bU,     0xa25236e9U, \
    0x2046ed40U,     0xe2323c01U,     0x5ca2a0b2U,     0x77a431d6U, \
    0xc74fa90cU,     0x00696066U,     0xa2a9aac5U,     0x65ce3998U, \
    0x55901953U,     0x673e56a4U,     0x8c7e2de8U,     0xee09f18eU, \
    0x72afe175U,     0xc719a90aU,     0xdeb1fd98U,     0x49127934U, \
    0x74ccee21U,     0x0ff2494bU,     0xc636867aU,     0xcc492097U, \
    0xccd84f81U,     0xcff85ec8U,     0x9fea4c83U,     0xca87751dU, \
    0x96e109b0U,     0xf353e643U,     0x4c3d5d94U,     0xf1d17391U, \
    0x888139caU,     0x31f4c3d2U,     0x522df61bU,     0x1b127131U, \
    0xb4b1cac2U,     0x222afc81U,     0xe6545824U,     0x5e2495fdU, \
    0x3bdc2397U,     0x73d21932U,     0x55540cf4U,     0x943c164bU, \
    0x3c7c6dcdU,     0x27c75ba9U,     0x0f002939U,     0xec0dbf0dU, \
    0x0161e00bU,     0xb3767542U,     0x362aba58U,     0xb95e4c65U, \
    0xd195838eU,     0xc414f267U,     0x1123ec35U,     0x893eab3aU, \
    0x366ec63eU,     0x2635fb70U,     0xfa7761b4U,     0x6e4e253eU, \
    0x9f400af4U,     0xacd497e6U,     0x8a52e86cU,     0xbbb45bddU, \
    0xcab43404U,     0x38b1c2deU,     0xacb40395U,     0xce102935U, \
    0xe1c32940U,     0x03f32193U,     0xedfee5b3U,     0x06556789U, \
    0xd95d46d1U,     0xff723cbcU,     0x30408d6aU,     0xd6502e46U, \
    0x6d4208f1U,     0xa60f7d6bU,     0x4a23a91dU,     0x8759fb44U, \
    0x02721d1cU,     0x9d864931U,     0xe4799868U,     0xa045b61aU, \
    0x0776b10aU,     0x3d32afd7U,     0x4db46831U,     0x09a63e5aU, \
    0x44affe47U,     0x7cee4abcU,     0xef567ea3U,     0xebcd3becU, \
    0xeba7c4beU,     0x01b075baU,     0xf8c10ce1U,     0xc78ba21fU, \
    0xba761cebU,     0xdb202a9eU,     0x26518d0cU,     0x9c387cf7U, \
    0xe9016ffcU,     0x9c7b13ddU,     0xb4bccf49U,     0x8d1f3342U, \
    0xf4f8d2d9U,     0xec21181bU,     0x9fe3e9fbU,     0x0c60d0deU, \
    0x2d259a6eU,     0xf28e4564U,     0x419dfb18U,     0x68e13ec7U, \
    0x63c6a71aU,     0x2b90f864U,     0xa7cc0578U,     0x57b8861bU, \
    0x19a6b00dU,     0xe8affd30U,     0x5d885593U,     0x979aa7ebU, \
    0xe0cc2467U,     0x196464a9U,     0xf6d63838U,     0x9a15a9edU, \
    0xd43f6236U,     0x7cc3f58dU,     0xde336d4cU,     0xc0c01e3dU, \
    0xf26838a2U,     0x32170162U,     0xe376da97U,     0xb2bbd36cU, \
    0x2190584dU,     0xed8b2197U,     0x2efaa9ccU,     0x76469a71U, \
    0x636a06c9U,     0x5febecb0U,     0x2eda0a4fU,     0x1bd7a1d8U, \
    0xa88a448cU,     0xfa125e5cU,     0x90b0e6efU,     0x2e26304cU, \
    0x54c911d9U,     0x3333c6dbU,     0xe0b5feb7U,     0x31e88327U, \
    0x5992692dU,     0x3a572014U,     0x15643faaU,     0xe0f28eb2U, \
    0xf55aeec5U,     0x9c72e6d6U,     0xeab01af4U,     0xb996f5ceU, \
    0x8ae06350U,     0x79b36e03U,     0xd8a0231eU,     0xa42f957dU, \
    0x6e55cc12U,     0xbe4dd8a3U,     0x339c0eebU,     0x90b33dcaU, \
    0x6bea82acU,     0xf09abd30U,     0x9c286d5dU,     0x3dfdbeb4U, \
    0xc3cb6abfU,     0x24f1bd22U,     0x22edb555U,     0x9f2f64ebU, \
    0xfa1e2d82U,     0xb5ddfedeU,     0xe8864563U,     0x47813de2U, \
    0x21733bf8U,     0x6db00068U,     0x254cdbabU,     0x27392fdcU, \
    0xc9ebc18bU,     0x3ea8cb1bU,     0xa5c5bc3dU,     0xcbc9d918U, \
    0x1a1c8e90U,     0x1ffa4f51U,     0x0d11a53aU,     0x05deec6dU, \
    0x6f8b4330U,     0x2afe5803U,     0x881cc089U,     0x2aa148afU, \
    0x7f79e903U,     0xd55ef856U,     0xb0b8407eU,     0x2ddd7f84U, \
    0xde82203eU,     0xa0165202U,     0x82620713U,     0xca711003U, \
    0x54683949U,     0xfa7afa15U,     0xf31b7764U,     0xa18b7e3aU, \
    0x1aa3b789U,     0x4a12b037U,     0xc41108b5U,     0x8af955bfU, \
    0xf7789196U,     0xa41e3f4cU,     0x5a4f3c09U,     0xd094b219U, \
    0x7df51f44U,     0x41df535cU,     0xcd897846U,     0xffb25ac9U, \
    0x4c3bcca4U,     0x9e3fdac8U,     0xd6eef2bcU,     0x9699e9ddU, \
    0xc8630e2aU,     0x500a07e2U,     0x8d75e65cU,     0x9fc2cc22U, \
    0xf341efabU,     0xada69369U,     0xbcf49f08U,     0xc9968982U, \
    0x47d24688U,     0x9480157fU,     0x450695a5U,     0x7bf0d023U, \
    0xae1d0707U,     0xe7f76cf5U,     0x0fc87459U,     0x0a1f6830U, \
    0x4589190bU,     0x5f990678U,     0x60b516dbU,     0x4a959bc9U, \
    0xb5234a8bU,     0x4a3d9fffU,     0x5bb13542U,     0xdbb69b00U, \
    0xb927eaabU,     0xe75a8b21U,     0x0e03d4e7U,     0x03fc1c74U, \
    0x47a52f70U,     0x2f22c256U,     0x482b8ed9U,     0x11860bdcU, \
    0x4fa25161U,     0x0d30b056U,     0x7765c7d3U,     0x4a9024aaU, \
    0xded9277fU,     0x11d0524dU,     0x3baee83eU,     0x333bae38U, \
    0xed0bc759U,     0x003900abU,     0xf920a8acU,     0x36a1bca0U, \
    0xa4347008U,     0xfeb488b4U,     0xc96ff1a4U,     0x35fbdf57U, \
    0xd92a322fU,     0x93937f26U,     0x64edd28aU,     0x9e769e61U, \
    0x1adb1450U,     0x3845d35fU,     0xc08bbdecU,     0x7318277dU, \
    0x989f1d6aU,     0x13bd2829U,     0xc2778ad7U,     0x06f6a566U, \
    0xeb5f5d12U,     0xe7f71fd1U,     0xc7fd0500U,     0xc8197d6cU, \
    0xce09106eU,     0x6668e369U,     0x8a116df7U,     0x83418b2dU, \
    0xe6dc1925U,     0x689b6e44U,     0x1e19e912U,     0xb6a20c8cU, \
    0x78a4698aU,     0xe88ba1daU,     0x0de497feU,     0x2965654dU, \
    0xb1a8f119U,     0x2da2a9cbU,     0x4c5482ccU,     0xb2ce79efU, \
    0xd8892c05U,     0x99465216U,     0xf6fbfeaaU,     0xa6a1b4e5U, \
    0x3e9d86a4U,     0xfcc4bae0U,     0xb4a947fdU,     0xc5de793bU, \
    0x08e7ee0cU,     0xe7aa5542U,     0xee82b22bU,     0x8d987ab7U, \
    0x6b3555a2U,     0x627178d6U,     0x8befa570U,     0x1bccb0b5U, \
    0x13a1090cU,     0xafe5364eU,     0xe9b9f3f4U,     0x946a5badU, \
    0xb98e1b77U,     0xab99bcbdU,     0x4852e5a6U,     0x5e77e32dU, \
    0x84da1a93U,     0x10df11a5U,     0x2dad2bb0U,     0x726071bfU, \
    0xf5a7eff1U,     0xde9b9b0dU,     0x79022756U,     0x1736a2b3U, \
    0x455b25abU,     0x8474ba72U,     0xa0320119U,     0x22bb4887U, \
    0xf863c95bU,     0x0af33b7eU,     0x5397106eU,     0x8ee89198U, \
    0x0363949aU,     0xdde5231aU,     0xed46e151U,     0x52cd2c6aU, \
    0x16ff53d3U,     0xb2077268U,     0xdcb6b9e3U,     0x5de924d2U, \
    0x4527d1dbU,     0xf638aec8U,     0x95599b8dU,     0x068ac81fU, \
    0xa8cc309bU,     0x794515d8U,     0x84be64c0U,     0x7ace52deU, \
    0x82ded438U,     0x979d0e10U,     0x52915ce0U,     0xf4c7354dU, \
    0xcbc983c1U,     0x3cf8c7bdU,     0x906fa29cU,     0xcbc0f30aU, \
    0xcdad2d72U,     0x8a3313e4U,     0x1892a1f6U,     0xe58bdc0aU, \
    0x046e42ccU,     0x72747370U,     0xdb1ec9e4U,     0xb798dc9dU, \
    0x926edd61U,     0x75b631e2U,     0xd43acee7U,     0x1d749e21U, \
    0x2a37c6a9U,     0x5934cea7U,     0x49f42d0bU,     0x600dde37U, \
    0x6db004deU,     0xbb330613U,     0xef180a1eU,     0x6de735d2U, \
    0x1b5df15cU,     0xf58b234eU,     0x6b84fbe4U,     0x52040db7U, \
    0x1207bf4bU,     0xb78b5078U,     0x397589b7U,     0xa7c9f4c0U, \
    0xe723c48dU,     0xdba98301U,     0x44f2ba76U,     0xafe58e20U, \
    0xe1015759U,     0x59035569U,     0x413c20e7U,     0xd90c5204U, \
    0xb4840cd8U,     0x2f0734abU,     0x0520c3a2U,     0xfb311728U, \
    0x082c80adU,     0x7e6a7a84U,     0x2d44f35aU,     0x423bba2fU, \
    0x4c632f15U,     0x8f382c08U,     0xee665abfU,     0x6193d948U, \
    0x8dca1554U,     0x546408edU,     0xd2eab4edU,     0x99c35f2dU, \
    0x4ba4240fU,     0xe3472edcU,     0x090f6141U,     0x5e9837feU, \
    0x7d373153U,     0x5d4ea9aeU,     0x2db849f5U,     0xbfbd4534U, \
    0xee5d8702U,     0xa5407ec7U,     0x6351c78fU,     0x19bc1a13U, \
    0x97a3893eU,     0x959369bfU,     0x9817b5b6U,     0x8562a41fU, \
    0x60e57f5dU,     0xf5431241U,     0xba843cdeU,     0x318c7c25U, \
    0x1c517358U,     0x79188a6dU,     0x759e3541U,     0x681283a2U, \
    0xe2e0cec3U,     0x466e43afU,     0xfc2f8c1fU,     0xc30b5af1U, \
    0xe5bee55fU,     0xeee2a7a5U,     0x1fbea2ebU,     0x0cf7bee0U, \
    0x109cca05U,     0x0fb8636bU,     0x7bb93225U,     0x0af70d57U, \
    0xb17f14bfU,     0x86e0b844U,     0xb1474658U,     0xe6f595ffU, \
    0xbb507514U,     0xdebc1448U,     0xd63e0339U,     0x00a407a5U, \
    0x7c772db6U,     0xf3754c9fU,     0xca2d8789U,     0x105a99d7U, \
    0x67f977caU,     0x5626998eU,     0xc05d7238U,     0x9c70c1dcU, \
    0x693c006fU,     0x96ec9bd8U,     0x6198e575U,     0xc45f86f7U, \
    0x0a1690f9U,     0x7cde3afcU,     0x56ee36c2U,     0x58a1f345U, \
    0x5b75e08aU,     0x8df792c3U,     0x0f5271eaU,     0x669a75b6U, \
    0x1d098a90U,     0xacb3fcccU,     0x497fd42dU,     0x88346dd4U, \
    0x177970aeU,     0xea6afaa4U,     0x8f5baad1U,     0x1ed18332U, \
    0x7c4f7986U,     0x23bd6fecU,     0x34e00ac9U,     0x4b5bb65bU, \
    0x8dbbfae9U,     0x96a926ddU,     0x5cbf79daU,     0x5efc5a13U, \
    0x7a5420ddU,     0xc9f738b9U,     0x3fcf713aU,     0xd3c253dbU, \
    0xbe7a463aU,     0x3a6788f9U,     0x8cb12ce4U,     0xfb0a229aU, \
    0x6531669cU,     0x3d19cc55U,     0xa5ebcfc6U,     0x353f0a7dU, \
    0x5fec4127U,     0x16795448U,     0xaddcbd95U,     0x146e6907U, \
    0xcec5b6c9U,     0x564bd7c6U,     0x4df7a4cfU,     0xa8ba86bdU, \
    0x87fd990cU,     0x0fb41e82U,     0x825f43cdU,     0xbb49ef5aU, \
    0x8cc4bfbeU,     0x4301229dU,     0x05e864feU,     0xf843e010U, \
    0x0c59d541U,     0x30f6e901U,     0xad76e0acU,     0x8ba13777U, \
    0x4fcd31f2U,     0x753e91b5U,     0xa0a76f7bU,     0xea88ab3dU, \
    0xbe71a17dU,     0x86cd8a37U,     0xe90963c9U,     0x7bec6019U, \
    0xb02c9f5eU,     0xc04a48cfU,     0x97513e88U,     0x9a7caaffU, \
    0xd0673180U,     0xb9354a7dU,     0x8b0bc0f4U,     0x4b442aaeU, \
    0x6023bcdeU,     0xb20087bdU,     0xfdecc7c8U,     0xcbd9b8f1U, \
    0xd1ad8686U,     0x7ca98a03U,     0x49e0ff92U,     0xc2c8ebe9U, \
    0x67bd7679U,     0x66ee701cU,     0x6d059cccU,     0xd00568aaU, \
    0xbf9d2d7fU,     0x25661fc7U,     0x5c75a299U,     0x2ac3652dU, \
    0x04ee53a7U,     0x55778bdbU,     0x16bcb380U,     0xae397aacU, \
    0x26931403U,     0x9b241b97U,     0x09583156U,     0xa448d7b5U, \
    0x5cc892faU,     0xc34d2715U,     0x149b069bU,     0xe5babf93U, \
    0xd410d3fbU,     0x7e52e257U,     0xbfb7c97eU,     0x65c18ac2U, \
    0xee5c45b3U,     0xa309c87aU,     0xb7fc91a6U,     0x2fb909f7U, \
    0x42b36911U,     0x412e41f6U,     0x734e9aa5U,     0xe995cc9bU, \
    0x6b314e8dU,     0xb821d2a9U,     0x345e8896U,     0x44521881U, \
    0x8b2877ccU,     0x7be1038aU,     0x0b666277U,     0x94b3c329U, \
    0xed802929U,     0xa742e2faU,     0x91a9aa5dU,     0xeffc45c5U, \
    0x44aa580eU,     0x0a462219U,     0x845a6588U,     0x246502cfU, \
    0xeccf5b0bU,     0xfaee474eU,     0xb9bff8bcU,     0x845454d9U, \
    0x66c8031bU,     0xbb43d50bU,     0x034114aaU,     0x2f844b84U, \
    0x70c59a24U,     0x92dfb998U,     0xed149d31U,     0x985dcafeU, \
    0x7bd6b679U,     0xe3e7c2ceU,     0xc1c17a34U,     0x8af145f7U, \
    0xc999ab96U,     0x312c1e87U,     0x5208d389U,     0x2c5bddfbU, \
    0x7268d01bU,     0xabcab58dU,     0x2e166600U,     0x08f2cbc7U, \
    0x8fac8305U,     0xdb14b65eU,     0xfe892af0U,     0xadf0fbf0U, \
    0x1caa7d9dU,     0x4e1cb535U,     0xb03f209aU,     0xd360b3dfU, \
    0x157d35cfU,     0xc04a3ab6U,     0x16930d11U,     0x388fb92aU, \
    0xd62644b6U,     0xbc40398bU,     0x4cbf8deaU,     0xd94bdd1bU, \
    0x238fa9daU,     0xa1ecb8a5U,     0x5f9ea852U,     0xfa3bfb32U, \
    0x9b2b39faU,     0x59ef4aaeU,     0x27400172U,     0x7f605c68U, \
    0x8b47341bU,     0x5716a213U,     0xc390ec55U,     0x67811e6cU, \
    0x02867d06U,     0x54a25ac0U,     0xeb831fafU,     0xb5a226f0U, \
    0x22f94965U,     0x851f0455U,     0x19fa32c1U,     0x479bf9c7U, \
    0x8c1f34bfU,     0xbff4f3b0U,     0x608c0ef6U,     0x0b129579U, \
    0x4b3a4232U,     0x22b3ab4dU,     0x2360a867U,     0x080b8d3aU, \
    0x026a7050U,     0xdb04fc93U,     0x6d15db06U,     0x73f0b3d5U, \
    0x4799f372U,     0xa43ec5bdU,     0xa8dd4162U,     0x79d82e16U, \
    0xff3fce46U,     0x51a881eeU,     0x15a66cfbU,     0xc2fe5bffU, \
    0x0dcfe923U,     0xf0939206U,     0x63a7d4faU,     0x41dadda8U, \
    0xbd242382U,     0x6803071cU,     0xeb336d4fU,     0x5a8f3a1bU, \
    0x442f66d4U,     0x74cc5b1bU,     0x6b29390aU,     0x97c9414cU, \
    0x805ee24eU,     0x316fdcaaU,     0xb3bad45eU,     0xe0a013edU, \
    0xe6aa7c8fU,     0xf9bc7dd7U,     0xd418e42bU,     0xad92ea12U, \
    0xe52414a5U,     0x5ebe93a1U,     0x9e7ed9f1U,     0xd9d39448U, \
    0x66d3628eU,     0x6056be18U,     0x265e71cbU,     0xacf2872dU, \
    0x3d539401U,     0x988ae456U,     0x81736933U,     0x5d772b7aU, \
    0x1a956a8cU,     0x071dd400U,     0xbe348bbeU,     0x141bf1a6U, \
    0xd178bfbdU,     0xa96cfb57U,     0xeba48d62U,     0x9b894c60U, \
    0x636e3d88U,     0x8254aba1U,     0xe44e1f0cU,     0x08489d0aU, \
    0x58dc0ff2U,     0x4ab9162fU,     0x27dc6af6U,     0x0caab81fU, \
    0x8275b169U,     0x6e7dfb8dU,     0x23e4d293U,     0xcc03f87fU, \
    0xde9f66d8U,     0x726db3e4U,     0xb1784a1fU,     0xd7d23cc5U, \
    0xce3223eeU,     0x2e903aa8U,     0x88daa8c7U,     0x83f8a147U, \
    0x2096ad93U,     0xa61e59b8U,     0xda0ceed6U,     0x853d9732U, \
    0xcc02a25bU,     0x812077f3U,     0x6e3aee61U,     0x46ffd7e0U, \
    0xce447e79U,     0xdf969197U,     0xf5fe1ef3U,     0xc2a86df9U, \
    0x6a52251bU,     0x8eb79c9dU,     0xbf468600U,     0x1de65abaU, \
    0x60dee12eU,     0x9fdfb7bcU,     0x9305e12eU,     0xafb576e7U, \
    0x483d2214U,     0x44963108U,     0x22d91fb9U,     0x6d13d625U, \
    0x39de090bU,     0x83dfaf00U,     0xf85e0a0eU,     0x46958737U, \
    0xd9c65e93U,     0x3e4d2b8eU,     0x6ab6dcc7U,     0x2772850fU, \
    0x159333ddU,     0x18c6933fU,     0x8e8369c0U,     0x8caaca95U, \
    0x69ba31caU,     0x8790fc52U,     0x3a047870U,     0xe9fa2351U, \
    0xbe253400U,     0x1effb40cU,     0xc4db6e32U,     0x964b48bdU, \
    0x28d4d8deU,     0xdb909892U,     0x8090e262U,     0xe3227c13U, \
    0x409f552eU,     0xdfc08b75U,     0xdd5d3181U,     0xbe564ea3U, \
    0x2e44cb58U,     0x52b2d6feU,     0x9219a950U,     0x031e5d6fU, \
    0xa07a15efU,     0xfadcd85fU,     0x8ea7005bU,     0x8ef3323dU, \
    0xc36ed1f5U,     0x0de0b0baU,     0xaf38e1a1U,     0xa34ead6eU, \
    0x75f3ad63U,     0xe6585ac5U,     0x24001691U,     0xd92a06b8U, \
    0x4e29e57aU,     0xf27d7c02U,     0x9401b34cU,     0xc3e23fb5U, \
    0x6b6d9a3eU,     0xf7a64dafU,     0xf548a418U,     0xb3769d7dU, \
    0xae331031U,     0x0e14eb7fU,     0x085b252cU,     0xd8dea342U, \
    0xc198de46U,     0x6118db11U,     0x689d400eU,     0xe0986c1eU, \
    0xd89c22e3U,     0x572cf8b1U,     0x87e8e3e4U,     0x0e6f235dU, \
    0x4996d954U,     0x635e7f36U,     0x291e6e36U,     0xfa70aac9U, \
    0xdce85d25U,     0x076838f4U,     0x6728bb50U,     0xdf124574U, \
    0x211eb5fbU,     0x46800d08U,     0x0c746850U,     0xa51ec574U, \
    0x7fdce82fU,     0xd52f089bU,     0x5ed1c418U,     0x0cd0d373U, \
    0xa99ebf18U,     0x02136358U,     0x3a9b7920U,     0xe1fb6edaU, \
    0x13a5eb48U,     0x13ea4d46U,     0x2c649b6aU,     0x4898487fU, \
    0x0410d922U,     0xaa6f9ae1U,     0x7db45882U,     0x0ae60565U, \
    0xdbc7ca83U,     0x972f111eU,     0x78c3a53fU,     0xbab7692bU, \
    0x21bb0111U,     0x4b0ef23aU,     0xee078099U,     0x0080cc8aU, \
    0xb2cab475U,     0x405c5d77U,     0xe28b8d88U,     0x682d0c75U, \
    0xb3d6a1e2U,     0x2130f898U,     0xe8e0a4d4U,     0x0f2ac2baU, \
    0x5445b7dcU,     0x71c7c419U,     0x1fb663e1U,     0x8ebcf3e5U, \
    0x448999c0U,     0x547a6408U,     0xce36d8f9U,     0x8e319668U, \
    0xd24fb788U,     0xc98c19cbU,     0x24d3f9b0U,     0xe4198267U, \
    0x8702ab7fU,     0x955db080U,     0x9a8515e6U,     0x06f37c3dU, \
    0x5c2b4e93U,     0x55dd2b5cU,     0x0ab052d6U,     0xeb65be1bU, \
    0xe7ea10a5U,     0x2e6865e4U,     0xa82596ceU,     0xec6a061eU, \
    0x17285111U,     0x67778b5dU,     0x730c1dc8U,     0xd779ebfdU, \
    0xa25028efU,     0xc12866a1U,     0x333823feU,     0xe965f981U, \
    0x210bbf3eU,     0x29cb5e16U,     0x383421d2U,     0x2d6b2c6aU, \
    0x84ee0efbU,     0xb3315555U,     0x8512b6e1U,     0x0439f774U, \
    0x69b6814fU,     0x6b4d8e12U,     0xc7e51fcdU,     0xaf693758U, \
    0x1a2822f2U,     0x9e17c406U,     0xf026cbe0U,     0x88f6efa3U, \
    0xa7b3482fU,     0x689b3980U,     0x0604d8d6U,     0x6caefc17U, \
    0xb21d1d09U,     0x17e9e106U,     0x594179a4U,     0x1db6120dU, \
    0xb72db1dcU,     0xc0f6b6faU,     0x8e60d2feU,     0x41744a5fU, \
    0x55ee004eU,     0x01a8fdeaU,     0x42e649c3U,     0x07672a76U, \
    0x3b3ab495U,     0xfe4b37ebU,     0xdc078911U,     0x548652a5U, \
    0x2d5f0f69U,     0x231a3303U,     0xab136cdaU,     0xab0b9231U, \
    0x75d50661U,     0xe6c6e7a6U,     0x9a56aae4U,     0x8e73d83bU, \
    0x82c2ca7bU,     0x20855b6bU,     0x2cbc0043U,     0x1329081fU, \
    0x4f4fe231U,     0xba000843U,     0x3dcfc8e9U,     0x98ae8f21U, \
    0xc8071dc7U,     0x4a34148bU,     0x9bff3898U,     0x736b11dfU, \
    0xd29af483U,     0x6460ea7fU,     0xa21658cfU,     0xc6454358U, \
    0x0e4dd272U,     0xf59de363U,     0x0d192af9U,     0xf8f1396cU, \
    0x28ac0877U,     0xbc5671a4U,     0x13819210U,     0x8a80783aU, \
    0x8def53feU,     0x4160dc1dU,     0x509ebc29U,     0x30d81a97U, \
    0x6e5bce9eU,     0x327feebcU,     0x26a13d33U,     0x0fd726e7U, \
    0x328455c3U,     0x1e47d0d8U,     0x3f3bb52aU,     0x783ec03eU, \
    0x7872238eU,     0x6d770133U,     0x18ea2b14U,     0x00b88483U, \
    0x74a084d9U,     0x4c1c368aU,     0x85bc9e40U,     0x5632138bU, \
    0x8d4a2e26U,     0x00beb344U,     0x4408f050U,     0x0bf57b4cU, \
    0xa432d7eaU,     0xc0d6af39U,     0x22c8f5efU,     0xde22a16bU, \
    0x289d07d7U,     0xb20b4e97U,     0x109ffe9dU,     0x7a008192U, \
    0xe528fa53U,     0x91e04747U,     0xc3af6109U,     0x841e69c3U, \
    0x91773750U,     0x105e4a03U,     0x40347723U,     0xcaed7b85U, \
    0xf099fa30U,     0xf91f86b6U,     0x4e57fee8U,     0x39515694U, \
    0x3b8c3827U,     0xa7a31e13U,     0x01160612U,     0x81e295e6U, \
    0x4a00a55eU,     0x2f7300eaU,     0x74d5404fU,     0xb92ee119U, \
    0xd55b2a77U,     0x680833c0U,     0xce6f8f2dU,     0x906cb218U, \
    0x7e288dddU,     0x3c10067bU,     0xb0b840b3U,     0x16099736U, \
    0xa8ac57edU,     0xcc11deeaU,     0xd164e231U,     0x687bf4d2U, \
    0xcad3c23bU,     0xd006fb72U,     0x4c3d5dadU,     0xe84ee8f7U, \
    0x53627c51U,     0xac35161cU,     0xf9fd095cU,     0xb0044776U, \
    0x609a4cf0U,     0x6a72aabbU,     0xe681cb85U,     0x65f1c341U, \
    0x574827c2U,     0x4c5c6fe1U,     0x851406e6U,     0xd5d21615U, \
    0xe2423c81U,     0xfb58039bU,     0xda76b775U,     0xba015a8fU, \
    0x5afc7553U,     0x93350c70U,     0xd6926706U,     0xf9242728U, \
    0xddc3871cU,     0xf0f529adU,     0xb2a5e222U,     0xff859afaU, \
    0x6090042eU,     0x4b20a808U,     0x7eea96a5U,     0x28350b1eU, \
    0x552bb3b8U,     0x387d8de1U,     0x35b7ccc4U,     0xab4c97d0U, \
    0xadf0fd7eU,     0x661933a2U,     0x3581d7d5U,     0x0d68c7d8U, \
    0x5d7a587eU,     0xf833c13bU,     0x22e959ceU,     0xe6048165U, \
    0xa627b9f2U,     0x4422f302U,     0x1502959dU,     0x3292681aU, \
    0xd114225fU,     0xa6e8a90cU,     0x5be2b768U,     0xd13004ffU, \
    0x84a21c5fU,     0xe32ea757U,     0x63ffd911U,     0x3e44544eU, \
    0x06b8ac37U,     0xeaca16c6U,     0x570c1d03U,     0x1f03350eU, \
    0x200cb544U,     0x09bd315cU,     0x082a0f57U,     0xfeb7d8c3U, \
    0x2a62d8a6U,     0xc4553b7dU,     0x89e9ebb0U,     0xe7ebc1afU, \
    0xed6a31d2U,     0xde059284U,     0x0a7f645bU,     0xe397aaabU, \
    0x6ebec437U,     0x67b09c9fU,     0xb9e44c43U,     0x56528f8fU, \
    0x0553d0c7U,     0x5da44e6dU,     0xd76066ddU,     0x4515b51fU, \
    0x0dde7ed7U,     0x6cb4b928U,     0x0aa8b0e5U,     0x4fec509fU, \
    0xaa88a8bcU,     0xcf40e22cU,     0x63255682U,     0x9d23bb08U, \
    0xc5c745e7U,     0x39a53833U,     0x2e85cfe1U,     0xd962494dU, \
    0x98db4618U,     0x9c5a3b8aU,     0xad76366dU,     0x6da220e0U, \
    0x0d341e92U,     0xa41d62a8U,     0xd255e8cfU,     0x5c7263adU, \
    0x0406ab21U,     0xfbe2051fU,     0x9be69d85U,     0xd2bbe7cdU, \
    0x918aa21aU,     0x2bca90d7U,     0x10788cbfU,     0x3b743a3fU, \
    0x65280c1cU,     0xdd901464U,     0x194f5365U,     0x5d6ad45eU, \
    0x610a91e7U,     0x5f14dc23U,     0x504a246fU,     0x29177271U, \
    0x3c6d1379U,     0x89c33c3bU,     0x19e40691U,     0x4b33df34U, \
    0x253d0990U,     0x12149e2bU,     0x7b36d4afU,     0xcda5cb2fU, \
    0x1044dfe1U,     0xff1f00f3U,     0xa7388660U,     0x685b1a34U, \
    0x46edc466U,     0x3d38cbabU,     0xec89660eU,     0x79c11725U, \
    0xe61ed544U,     0x96e08eaaU,     0xcf01e97cU,     0xacee6792U, \
    0x96a92191U,     0x8b2cae45U,     0xbdf665abU,     0x07cf1e9cU, \
    0x42e637e5U,     0x4dfd832bU,     0x04e64ca0U,     0x3acb68daU, \
    0x32ef118fU,     0x84802b3fU,     0xc0326bd2U,     0x12792481U, \
    0x7fbf22bdU,     0x3245cc18U,     0x8fc3f5c6U,     0x17c723aaU, \
    0x21d04442U,     0xbd0e4f59U,     0x2efc72baU,     0x68db2bb7U, \
    0x0fc1ff18U,     0x5312464aU,     0x1af5f4c2U,     0x23d6b0deU, \
    0x26678237U,     0x40e2edaaU,     0x256356fbU,     0xfbe6d507U, \
    0x4afe9e9dU,     0x2e681e3aU,     0xb44d5c03U,     0xedb42375U, \
    0x297e2601U,     0x5bbbe848U,     0xb6d2ee1aU,     0x6511f170U, \
    0x5a3d69daU,     0xbf4b736dU,     0x590511e9U,     0x8b31a12cU, \
    0x1c0f64f2U,     0xd97a1131U,     0xab4f2e75U,     0x1d1b807cU, \
    0x720926f1U,     0x62a4873dU,     0x895c0aeeU,     0x682176daU, \
    0x271ba8b1U,     0x8829940aU,     0x71618f19U,     0xc9c55753U, \
    0xcc5c0754U,     0x3783f7f8U,     0x56780c4eU,     0xce883564U, \
    0x3c272289U,     0xd6c5a033U,     0x960a35a7U,     0x21261752U, \
    0xfd52ea35U,     0xadf3c65aU,     0xc6431368U,     0x439733f6U, \
    0x2127401eU,     0xab48de93U,     0x9d73ace2U,     0x86958ee4U, \
    0x01d3be82U,     0x66b4aca4U,     0x751bb554U,     0xd1653b34U, \
    0x698514bbU,     0x982713b2U,     0x511803dcU,     0x3a036c94U, \
    0xe06fc598U,     0x43e37349U,     0x498b9538U,     0x3f8f93faU, \
    0x6ac0fbeaU,     0xc1890ca4U,     0xbad10f0fU,     0x23058f92U, \
    0xe11beae6U,     0x0737f8daU,     0x10abc8a8U,     0xa187447eU, \
    0x5e75909bU,     0xf6d94714U,     0xfaabfd11U,     0x317073fbU, \
    0xf6975ba6U,     0xbdbdb880U,     0xc4740658U,     0x8ea8a839U, \
    0x876bc6feU,     0xd2ba0ce9U,     0x5e6e0d7dU,     0x4d55023aU, \
    0x75d2d84fU,     0x2a4c4015U,     0x7d799032U,     0xcd69d03cU, \
    0xb7d0a3afU,     0x6633a900U,     0x2125fc5aU,     0x638681c0U, \
    0xb022f36bU,     0x5e57438dU,     0x569c0ccbU,     0x04affeb8U, \
    0x4f47d547U,     0x3c1fa36eU,     0xf4aa3c1dU,     0x72d26ae7U, \
    0x9b703274U,     0xb1d4e9acU,     0x3c62eeccU,     0xe0d05783U, \
    0xcd966776U,     0xe70f34b9U,     0xebc4d4ecU,     0x861cc953U, \
    0x193f2acdU,     0xc46af83cU,     0x8dc501d5U,     0x94897a6fU, \
    0xfe38ea0fU,     0x119418eeU,     0xf6037e45U,     0x2cba8945U, \
    0x0e2a6fb2U,     0x58c7ba44U,     0xbf421ab7U,     0xb28ae2ddU, \
    0x0a46b455U,     0xbb1aa0e0U,     0x23cc2f81U,     0xa661f64bU, \
    0x24848ec9U,     0x779ac67dU,     0x84b5761eU,     0x42871383U, \
    0x136c2f3cU,     0x78cb9d65U,     0x7a6b0fecU,     0xbad4458aU, \
    0x48f385adU,     0x943ea7f7U,     0x4e026928U,     0x868866cfU, \
    0x8353bfb3U,     0xcdc498fcU,     0xaec171c9U,     0x6861b4beU, \
    0x23e2abc8U,     0xaac037a3U,     0x051cf698U,     0xd9d9dc51U, \
    0xdd791ca4U,     0x74d8d030U,     0x784c0406U,     0x3ad9c0fdU, \
    0x531f295fU,     0x281a41c3U,     0x28fc39bdU,     0x2f037f69U, \
    0x8b145e2dU,     0x882ebfebU,     0xf820c58aU,     0xe89b1deeU, \
    0x6b21b51fU,     0xd6528582U,     0x1445e052U,     0xd5e3534cU, \
    0x58781758U,     0x23345d46U,     0xb06d65daU,     0xc7139c90U, \
    0x81a565c9U,     0x40d36a94U,     0xc802792bU,     0xcae0badfU, \
    0xb9a0bdf0U,     0x64ab2162U,     0x14299fd7U,     0x9b969f11U, \
    0x1cb9ce65U,     0x57e6e510U,     0xc8efd109U,     0xc0c521e0U, \
    0xc8b7c78aU,     0xc7182685U,     0x5c5e0facU,     0x9eb0d28dU, \
    0x00808e1eU,     0xa1420607U,     0x8d28e3e3U,     0x689218eaU, \
    0x107f87f4U,     0x4c6a9a0dU,     0xbeeb0745U,     0xc4f1441cU, \
    0xb1a27dd7U,     0xaf0654ebU,     0xaafa4b9aU,     0xa6b3a830U, \
    0xdc0a2412U,     0x7b927eb8U,     0x7c879ac9U,     0xab0e389eU, \
    0x20e299b5U,     0x777e6eb8U,     0x5a2d2ec0U,     0xd62f8c15U, \
    0x64c6ebf7U,     0xf1dce238U,     0x26ac62e1U,     0x7f248a5cU, \
    0x812d3919U,     0x653c3fecU,     0xa32d6358U,     0x80db93c5U, \
    0x5c065e42U,     0xbbbe832bU,     0x5d398423U,     0x4d691b08U, \
    0x2029b0a4U,     0xacb36089U,     0xcfaf5057U,     0xa6fd04d1U, \
    0x13b5e360U,     0x2c2bf5e6U,     0x4d466665U,     0x7f9d1b7aU, \
    0xfa63092eU,     0x60cb6ca8U,     0xa06c43fdU,     0x392855b1U, \
    0xe57d6222U,     0xef12f93aU,     0x5a1e0a94U,     0xf7c4b0e8U, \
    0x3d8f4585U,     0x62fba5b5U,     0x4f6e22eaU,     0xd131d8e5U, \
    0x979b0b69U,     0x6abc6937U,     0x8425d2efU,     0x4c3cce17U, \
    0x8ed230e7U,     0xa505b023U,     0x57617eeeU,     0xbf30fc84U, \
    0xf95f8e44U,     0xc4e6f2a9U,     0x853f8b32U,     0x8a5a0249U, \
    0x4b0d9dfcU,     0x431d8a17U,     0x147e93c2U,     0xeb5330b6U, \
    0x1b308661U,     0xcc774967U,     0x6f634498U,     0x20c3cd1aU, \
    0xa9c6e78bU,     0xd05ce0daU,     0x0039f407U,     0xf7d2ff2dU, \
    0xf188954cU,     0xe0f7a8b6U,     0xc760dc97U,     0xf1cdca99U, \
    0x53e54fcfU,     0x4a560361U,     0x254cdb55U,     0xc10c6d33U, \
    0x27979eeeU,     0x799ab148U,     0xef21cac5U,     0x5a7dda63U, \
    0xcd525605U,     0xa943e666U,     0x978e1e6eU,     0x1796cba5U, \
    0xb9599c32U,     0x447f1cd3U,     0x2903b5acU,     0x890ba60fU, \
    0xb128200cU,     0xe5d6cb3eU,     0x40f83565U,     0x81c95d6dU, \
    0xb1a1904bU,     0xca6e2b83U,     0xffe1d72bU,     0xfae348a0U, \
    0xd0b66ad1U,     0xeb9ee262U,     0xd0b4043cU,     0x6c121177U, \
    0x8e570ce9U,     0x5e3b61ddU,     0x282ffdd8U,     0xe1a46f81U, \
    0xab4416dfU,     0xf004cdddU,     0xe65fa985U,     0x481852e9U, \
    0xe9b35870U,     0x89058defU,     0x24cd7c77U,     0xc5d76e92U, \
    0x903f0be3U,     0x13cb9f7aU,     0x57d788c0U,     0x624e0c17U, \
    0x82223b01U,     0xa58c0543U,     0x73f4faa4U,     0x3c5e881fU, \
    0x786a2f82U,     0x85508658U,     0xca113506U,     0x231998deU, \
    0x2dc19ffbU,     0x81726130U,     0x2433d267U,     0xcfdc4907U, \
    0xf5c0201eU,     0xaba816f5U,     0x8a3b211fU,     0xc69cb064U, \
    0x179615d9U,     0x3470e68aU,     0x107b0b9cU,     0xf21e2028U, \
    0x7799104eU,     0xb43362ddU,     0xa2e293a8U,     0xc5e19ea2U, \
    0xf8019228U,     0x9361bf77U,     0x97a010d4U,     0x39dbd1f1U, \
    0x235ab3cfU,     0x8f8fe21aU,     0xe8de9a50U,     0xdbc4be55U, \
    0xec138992U,     0x70e7740dU,     0x5775de63U,     0xed119b24U, \
    0xb17346a4U,     0x3f60385cU,     0x03cf3386U,     0x45f2cd57U, \
    0x056a1488U,     0xc90b1342U,     0xe5705b78U,     0xf2af0504U, \
    0x9bdc94faU,     0xe6fdd3a2U,     0xf29e2fe0U,     0xf9c687c7U, \
    0x71f5cabbU,     0x17f10800U,     0x22ab1668U,     0x34e36348U, \
    0x672b8a8eU,     0xb8b2ba9cU,     0xdf353ddbU,     0x091ca794U, \
    0xbd170ff2U,     0x9bd5821dU,     0x02230963U,     0xdaac2f12U, \
    0x341bf0aeU,     0x7729e0e5U,     0x9a57c94eU,     0x88a95939U, \
    0x4c2c1a62U,     0x63ec36fdU,     0x1aa01e97U,     0x886ceef3U, \
    0x653e3e0eU,     0x867dad9bU,     0x5fc04195U,     0x8c600d6dU, \
    0xa43e9199U,     0x7d32052fU,     0x70e359beU,     0xc46b25bcU, \
    0x02a8ef4aU,     0x14290b99U,     0x781eb429U,     0x6e62d18aU, \
    0x2052595aU,     0xd5645b08U,     0xc0903ba2U,     0xd093e116U, \
    0x998bef8cU,     0xbb05f014U,     0x843ca1acU,     0x290e67f3U, \
    0x67e1c275U,     0xaef9c6a4U,     0x434d3a9fU,     0x1a8079b4U, \
    0x4fbeecf7U,     0x22850e43U,     0xce070c3dU,     0xcfc87e63U, \
    0x77b94e4fU,     0xc8fa4144U,     0xeae00bbdU,     0x772f4e8eU, \
    0xaeaf2d91U,     0x69b2dbfdU,     0xa6423691U,     0x444af7a6U, \
    0x42da2651U,     0xecf611c1U,     0x43e3762bU,     0xbcc977e5U, \
    0x73660c2aU,     0x39c5f585U,     0x8d1b7f53U,     0xd50fb422U, \
    0x0e74919cU,     0x0e953314U,     0xac7a7963U,     0x00949a51U, \
    0x5bf4809aU,     0x1d866aa4U,     0xf85541e2U,     0x51d539fbU, \
    0x0553c2ddU,     0x82f11016U,     0x8c81f5f2U,     0xd3fe9644U, \
    0x01e4a2dcU,     0x1fcef07aU,     0xe1084cf1U,     0xd4471912U, \
    0x71309b94U,     0x8c9d6e69U,     0xa8658123U,     0x087758a6U, \
    0x28e76d0cU,     0x78515b7fU,     0x8234d645U,     0x0a50fe0cU, \
    0x8aa45321U,     0xffd3068aU,     0x3f33e79fU,     0x522ead04U, \
    0xc3bd5aa9U,     0x6f932c7dU,     0xdd5d3b20U,     0x506014d3U, \
    0xefa21fc3U,     0x302098d5U,     0x63efca9cU,     0xe89349a3U, \
    0xcb9536b5U,     0xdea010c0U,     0xa050300aU,     0xf1d7cc0eU, \
    0x00930966U,     0x907c0881U,     0x5c154f51U,     0x501d306dU, \
    0x71c7f2feU,     0xde0fc49eU,     0x17b997a3U,     0x8a8cced9U, \
    0xf39137aeU,     0xf2d6e90eU,     0xab03ff07U,     0xff33a577U, \
    0x4e51fe5cU,     0xa063d931U,     0x982653fdU,     0xe9c31657U, \
    0x00bb65c7U,     0xdf679bcbU,     0xbe880781U,     0x71f06cfeU, \
    0xe2172c5eU,     0x41ba7616U,     0x347f432eU,     0x85c08095U, \
    0x76806507U,     0x43ac854fU,     0x10a2d6efU,     0x6391e4feU, \
    0x59ca7668U,     0xbfe25f75U,     0xe43d62f5U,     0x721a410eU, \
    0x462b56deU,     0x2308de4dU,     0xf1f08c6cU,     0xc71f9cfeU, \
    0x64c23a98U,     0xfb4cb1feU,     0xf91fe987U,     0xceab7200U, \
    0x654f85abU,     0x4ccee4d2U,     0xed4285c7U,     0x21d6bb2eU, \
    0x3e254942U,     0x1fb5d9b4U,     0xc145fca1U,     0x260167e5U, \
    0x5a73dd68U,     0xf3acafd9U,     0xdd1a07d2U,     0xc301dad6U, \
    0x476d9d6bU,     0x52d278c2U,     0x58d3a1d1U,     0x071e7c2bU, \
    0x9913ac37U,     0xf7576bb5U,     0x055320feU,     0x8e62bb9aU, \
    0xa2093334U,     0x38fe8b51U,     0xc8abcce7U,     0x7b082b6eU, \
    0x900c04e6U,     0xea247f19U,     0x6031aa7eU,     0x97ecd8cfU, \
    0xb3abdfa4U,     0x24cbe47fU,     0x55205948U,     0xa7cb50dfU, \
    0xfed95697U,     0xbae7cd4dU,     0x1fc6fc33U,     0xca667189U, \
    0x1136b906U,     0x2a1e29afU,     0x69482af4U,     0x2dca8a1dU, \
    0x22215822U,     0x4f6cc0bfU,     0xf53f9caeU,     0x9d40de1bU, \
    0x38188168U,     0xf0d79a22U,     0xe94442c3U,     0x90c013efU, \
    0x9fae9eeeU,     0x01f3aedbU,     0x71d76b48U,     0x70eece06U, \
    0x4367bd02U,     0xaad6eb4fU,     0xd9475e1eU,     0xf35624bdU, \
    0x81e089a2U,     0x5452db36U,     0x5070b373U,     0x7b33d975U, \
    0xa51b826cU,     0x65431527U,     0x9a7920eeU,     0xa3463162U, \
    0xa8d104b2U,     0x70b7fcb2U,     0x92f3e02aU,     0x812e9e7bU, \
    0x40bd6eccU,     0x6f692023U,     0x47a07a50U,     0x995be6d7U, \
    0x6c3c9eeeU,     0x84563160U,     0x1ae9b046U,     0x76533387U, \
    0x516c4b2dU,     0x8aad6005U,     0x6a9ab5c8U,     0xe7d8c51cU, \
    0x15bf65e9U,     0x4676745dU,     0x6b4857d1U,     0xd29e9babU, \
    0x402fc719U,     0x2b7975f8U,     0xe4e567f7U,     0xca4dd7edU, \
    0x92ece88eU,     0x6ad9fb42U,     0x6b53fcb6U,     0x859f0a04U, \
    0xa3d7aadaU,     0x778362b1U,     0x910f1246U,     0x3adac593U, \
    0x104e328aU,     0x764c6a0dU,     0xa03c39ddU,     0x7a544537U, \
    0xcaefb621U,     0xfe4c0c6cU,     0xbda6b87fU,     0xa51f2477U, \
    0x4ea69c3bU,     0x40abcd76U,     0xa14d4280U,     0x2f89e72dU, \
    0x2fd3f524U,     0x4a0b2ec3U,     0x9245f3b5U,     0xb0bc57d4U, \
    0x0ec92de0U,     0x9824bd7bU,     0xd538c186U,     0xe666c50aU, \
    0xb3fd56caU,     0x2746a320U,     0x53b136aeU,     0x5e71ff2aU, \
    0x74f74edfU,     0xe1a9a1f7U,     0x30df9d52U,     0x5be60310U, \
    0x54a747acU,     0x390ed157U,     0xc7f17f9cU,     0xdc0e2470U, \
    0xf4e6daa2U,     0xfe11303cU,     0x2f2e79aaU,     0x5b02fef6U, \
    0x8fd57facU,     0x56a7a2e8U,     0xc3f512bcU,     0xa4c47facU, \
    0x73c3d0bdU,     0xd75bdbe6U,     0x26393a90U,     0xdd229fa9U, \
    0x69157acdU,     0xe911850aU,     0x627602a0U,     0x430789b3U, \
    0x404d2f3bU,     0x00c9583aU,     0xc77b99abU,     0xbd0c3d5cU, \
    0xf81607a3U,     0xe92b58acU,     0xbfd0189fU,     0xe5b2e340U, \
    0x8ecf9d48U,     0x530e8db8U,     0x0079e020U,     0x13e81ba2U, \
    0x204fa3a8U,     0xd53bc251U,     0x5b68f723U,     0x3f8b3b4fU, \
    0x1f030e60U,     0xc894d4edU,     0xb13c2c4bU,     0x89c8bcc1U, \
    0x3e3c766eU,     0x179ca8daU,     0xfa1c93a6U,     0x1ba699d3U, \
    0x3169b7f1U,     0xd00b53eaU,     0xbb2df510U,     0xa727281cU, \
    0xad40260cU,     0xc6b616f5U,     0x5b4f0aa7U,     0x57903cc6U, \
    0x98fbeba5U,     0x61c920d0U,     0x43757b2cU,     0x2970e824U, \
    0x98d2e969U,     0xedba2588U,     0x023d57adU,     0x2057a9dfU, \
    0xf7edaae2U,     0x576d20f0U,     0x41060599U,     0x91475dd1U, \
    0x3e7a45ecU,     0x97e2fd81U,     0x950d9749U,     0x49e0bec8U, \
    0x3f61c585U,     0x2a729a7bU,     0x9a020aaeU,     0xa71826f6U, \
    0x74d4ae9fU,     0x9963c8f3U,     0xce1a8c82U,     0xfd5c7bbcU, \
    0x42d4bb40U,     0xa7637ce4U,     0x4099b977U,     0x36a01ae6U, \
    0x107bb686U,     0x48847b85U,     0xd93c28a5U,     0xcbb74939U, \
    0x293a1cf8U,     0xd4740955U,     0xfb11244fU,     0xca7e5d60U, \
    0xe7243710U,     0xbbcc3bfeU,     0x6d8cc838U,     0xe88e4131U, \
    0xda45d3dcU,     0x72b0acbcU,     0x1dd62d6dU,     0x1a8974f3U, \
    0xf22f5b43U,     0xdea5791bU,     0xdbb59707U,     0x65cefb3fU, \
    0x9cde9e20U,     0x33e0f962U,     0xfee95877U,     0x280c2ff6U, \
    0x603fd6a6U,     0xebfc0afaU,     0x466c79c6U,     0xb269518bU, \
    0x5acd17bfU,     0xa2190fbbU,     0x8646f2feU,     0x4712c686U, \
    0x6ab7b059U,     0x91174653U,     0x82ea83c3U,     0xda7b314bU, \
    0xc6ef653bU,     0xbc69d8eaU,     0x8269f054U,     0x24b0e4c7U, \
    0x8a2f27dbU,     0x7fb1275dU,     0x3df62f42U,     0x58955fceU, \
    0x05a95baaU,     0xc98bd05cU,     0x60aa2dc9U,     0xf22b9e7aU, \
    0x5425498bU,     0x0e9821d0U,     0x9419b38dU,     0xe284cba6U, \
    0xaaf51631U,     0x001b6fe5U,     0xf2bc9b3cU,     0x0d4108b4U, \
    0xcbc84387U,     0x85e10fdfU,     0xe27f46beU,     0xa8303f76U, \
    0xe91c7487U,     0xeffaaaf8U,     0x8c7f5ba9U,     0x1b047444U, \
    0xa248330aU,     0x30b2b1d8U,     0x759e64b1U,     0xe276ce4eU, \
    0x23bd525aU,     0x6f592119U,     0xd001642dU,     0x93df7703U, \
    0x22a0606cU,     0xcfe421c9U,     0x46a6b7dcU,     0xe15dbf3fU, \
    0x7a9d3855U,     0x9cd5f33cU,     0x15d5c3d3U,     0xb32aaa76U, \
    0x9f2dbe89U,     0xc11dc826U,     0xa4febb2cU,     0x9c07bc09U, \
    0xcb53f35bU,     0x1f8b85dcU,     0x5a583e15U,     0x833986bfU, \
    0xc1ea6a05U,     0x948ef552U,     0x1ca2375bU,     0x0403267dU, \
    0xac353375U,     0xaae6023fU,     0x676e2571U,     0x5c50ee2dU, \
    0x531ab973U,     0x33dd70bcU,     0xd5834da2U,     0x397359b9U, \
    0x2303e2c1U,     0xf9a24223U,     0xd1e5add9U,     0x4b51aed8U, \
    0xd117536aU,     0xc0cddb7cU,     0x179952f9U,     0x87df1565U, \
    0x44e0affcU,     0xca71efb9U,     0x989c56a3U,     0xd4038fa0U, \
    0xb0f4bd40U,     0x2ff479c0U,     0x1a6d36f1U,     0x2aa5d04aU, \
    0xfaafe80cU,     0x34eb6727U,     0x0707896cU,     0x062045f9U, \
    0x95a2a9e6U,     0x4a972756U,     0x9f462987U,     0x7b9bdba0U, \
    0xbd861020U,     0x520101f9U,     0x648a0a25U,     0x7f6f59c6U, \
    0x92370687U,     0xe3b3a9d4U,     0x76914bfeU,     0x47d7ca40U, \
    0x241eab88U,     0x3a5f6e65U,     0x860d541aU,     0xe11a90ffU, \
    0x6b418e6fU,     0x62d11e58U,     0x2e41cb9eU,     0x5b164166U, \
    0xb34a30f8U,     0xe7803099U,     0xa43e586eU,     0x0667a749U, \
    0xc60212baU,     0x79483405U,     0xc3757c17U,     0xf1ec389fU, \
    0x48609cdcU,     0xe5282a94U,     0xf25e9f0aU,     0x4d62dabcU, \
    0x7fab7415U,     0xf9aedc93U,     0xab393d29U,     0x68cd207cU, \
    0xdf9d4eceU,     0xa3c0afdfU,     0xe54f30faU,     0x68a9d654U, \
    0x25b02389U,     0xbe187564U,     0xacfd4880U,     0x82e53c6fU, \
    0x61f83f4dU,     0xb7ecb23bU,     0x8c3747fdU,     0xfd8f8c62U, \
    0x6cea2548U,     0x48ee1444U,     0x2faf8f08U,     0x6a1f8957U, \
    0x751fd2cbU,     0xe6dd5870U,     0x1e73e2fbU,     0xc1eb4bd9U, \
    0x82ba4c6dU,     0x000fec8dU,     0xf60c0bcfU,     0xe2941c65U, \
    0xb7131cf9U,     0x3a024fefU,     0xd36b711eU,     0xbb14fedcU, \
    0x5d805a7fU,     0xde9d19d2U,     0x3607ecdcU,     0x6684c2caU, \
    0x0915e912U,     0x12b48283U,     0x826be064U,     0xcef31f0fU, \
    0xafe59fddU,     0x4324603fU,     0xe38b1834U,     0x50475e24U, \
    0xcef0d9ceU,     0xa6f5d4a5U,     0x7a164563U,     0xe9acaae4U, \
    0x9f88cf99U,     0x43967d5dU,     0x54a00e44U,     0x13702237U, \
    0x4149d39fU,     0x60d1f419U,     0x7d5bc004U,     0x97865b72U, \
    0x32362e25U,     0xc970e09eU,     0x94614158U,     0xe62120f8U, \
    0xaf1573a1U,     0x7758bed5U,     0x8f066716U,     0xfe4f93acU, \
    0x76af7553U,     0xfd0784c4U,     0xb866e022U,     0x042f64ccU, \
    0xc0cea688U,     0x9b8bf825U,     0x7d3015c3U,     0x36cdb33dU, \
    0xdf4d76b8U,     0x60313f42U,     0xe0a55c92U,     0x81acbf1cU, \
    0xf682b576U,     0x22a7a369U,     0x9088ab3eU,     0x9e6989b3U, \
    0xe819348fU,     0xdb2ee477U,     0x81c66bb3U,     0x261e99bcU, \
    0xee014bebU,     0xaba4fa3dU,     0x4e99ff86U,     0xfac02671U, \
    0x636241ccU,     0xe129b66eU,     0x2c1b762bU,     0xba4fbf6eU, \
    0xafed652eU,     0x7563ccb7U,     0x1de7c0f8U,     0x93c49327U, \
    0x7f741f7cU,     0xba65c247U,     0x96d6c92fU,     0x8405a7faU, \
    0x22a91c6cU,     0xbdf96b76U,     0x6fd4d140U,     0x6fb42050U, \
    0x7e861119U,     0x8e76023dU,     0x3293ba9bU,     0xc5a1718fU, \
    0x09b01709U,     0x181bae59U,     0x48ee68f0U,     0xd7b016e6U, \
    0x210d79d0U,     0x9389ae06U,     0x65b5e1d7U,     0x7622c303U, \
    0x6bc53771U,     0x8ea79125U,     0xd9325a72U,     0xc80bcc73U, \
    0x10f622d6U,     0xce67792cU,     0x13c4dda0U,     0x92436485U, \
    0x14fb0d29U,     0x2b0a7511U,     0x5689c2baU,     0x2644e8acU, \
    0x89eed2a5U,     0xbc6f36e0U,     0x1f38b066U,     0x3fd0061aU, \
    0x6d758afeU,     0xfd5c5c76U,     0x6a48664dU,     0x60d4189eU, \
    0x1fa9798aU,     0x42bc2c9fU,     0x0da71106U,     0xb11ab358U, \
    0xf0220609U,     0x3dfa5188U,     0xf2e75e48U,     0x6460137aU, \
    0xe5f02be4U,     0x0bc18368U,     0x5a1ef17aU,     0x60d0def8U, \
    0x9cf2d568U,     0x0029f776U,     0xfe347785U,     0x67727993U, \
    0x3944b389U,     0x45bdf0a1U,     0x6df657a9U,     0x53ea93ecU, \
    0x7bc088edU,     0x18005c62U,     0xb7f4b9a5U,     0x18a492ddU, \
    0x49d97460U,     0x9d03c98bU,     0xe4ebfce2U,     0xc8cbb7f5U, \
    0x6767e412U,     0x7d515750U,     0x1e2ec367U,     0xac07eb57U, \
    0x8f2df0f9U,     0xfcd654eeU,     0x3b156256U,     0xfaea6901U, \
    0x59fed87bU,     0x575dfa44U,     0xc80d66aaU,     0xcd3c4912U, \
    0x89ebfee1U,     0xc51e2c33U,     0x1776016aU,     0x91be9177U, \
    0x6a4df1e4U,     0xa9e2c847U,     0x4bf34fc3U,     0x5ac0dd18U, \
    0xe7ddbfa5U,     0x099027d6U,     0xe188cbecU,     0x17e205acU, \
    0xdf472c86U,     0x340c7634U,     0x06de0533U,     0x3f33c055U, \
    0x0bee30cfU,     0x55adcf12U,     0xf294570eU,     0xe7a1e951U, \
    0x23e6acb1U,     0x169655d0U,     0xdce8bfc6U,     0x1e1d7164U, \
    0xcb3d98fdU,     0x91e74e27U,     0x00ef4f8cU,     0x2b4851cdU, \
    0x807e619cU,     0x0f24bee8U,     0x2bb3cda7U,     0xb37eb4f0U, \
    0xe2847146U,     0xbf81c0e0U,     0xf7825cd4U,     0x45bce3ebU, \
    0x21c55ad7U,     0x5bb0ca80U,     0x5dd4e799U,     0x5b1c7ea4U, \
    0x3caf7308U,     0x14fb0e22U,     0xf302616dU,     0xbae6dedeU, \
    0xd6b3f938U,     0x84999b57U,     0xe5306ac2U,     0xb1ee1d52U, \
    0xefa7f42dU,     0x624b2512U,     0xd322ffcbU,     0x259e8c5eU, \
    0x4f8d9299U,     0x2a2a2345U,     0x964ea2d2U,     0x81366604U, \
    0x98fc4ebbU,     0x6fa199b6U,     0x2114f4a3U,     0xcfbce12eU, \
    0xd7a76138U,     0xa5a808d0U,     0x205d5805U,     0xeef0c15bU, \
    0xc03f652bU,     0xe24a3d5fU,     0x365591fbU,     0x102e64b9U, \
    0x6514c5c2U,     0x86dbb159U,     0x59e065c5U,     0xd28c1d2fU, \
    0x7ebbc6d6U,     0x97432dd8U,     0x6e34a8edU,     0xc4809063U, \
    0x8340e8deU,     0xdd70667cU,     0xddfce686U,     0x987b7243U, \
    0xd95d1423U,     0xf2ac8dc2U,     0xee4b9aafU,     0x13f510a0U, \
    0x0105379bU,     0xa58d0e6bU,     0x7527e08fU,     0x605d6fedU, \
    0xa2a7cf92U,     0xfff492d0U,     0xe7a523baU,     0x176cf2d9U, \
    0xcada6ac2U,     0x565cf2d5U,     0xa6c8e21dU,     0xd62f222dU, \
    0x03884fb1U,     0x3b778941U,     0xf421012dU,     0x07b328d8U, \
    0xec20b4adU,     0xf2cc670dU,     0x3f0abcbdU,     0x6f0dfdc8U, \
    0x77569e49U,     0x3829c132U,     0xfa0eabe0U,     0x1a0dd921U, \
    0xc7081b81U,     0x3997d8e8U,     0x219b3bceU,     0xe96e6d39U, \
    0x1a1c1b46U,     0x40b7d115U,     0x53974683U,     0x68078725U, \
    0x3b630889U,     0x8427a989U,     0xc9e5c96dU,     0x41187cc6U, \
    0x235737b3U,     0x89663fa9U,     0x7ff9124eU,     0xbdc9217aU, \
    0x2d14bef5U,     0x740fa620U,     0xf68491b6U,     0x7db3927fU, \
    0x520cc2e7U,     0xb44e58caU,     0x7fa340cdU,     0xfc15fa28U, \
    0x116ca65fU,     0x5bf6f222U,     0xa903f3e3U,     0xc22a9cdfU, \
    0xfa78d249U,     0x37eeb16aU,     0x18344162U,     0xde8f15eeU, \
    0x2d3c1194U,     0xc53c84cbU,     0x3fe05d6dU,     0x4719944cU, \
    0x126ef8c0U,     0x1d69a4c3U,     0x17a5ce90U,     0x2aacdd63U, \
    0x80eed8ddU,     0x59e0fe2eU,     0x86a8a415U,     0xb052cc29U, \
    0xeaaa8445U,     0x91497262U,     0x929259f5U,     0xe20187b2U, \
    0xc6025f31U,     0x4bd4a9f1U,     0x02dbde6fU,     0x162bff35U, \
    0xd66b54e0U,     0x77375cc1U,     0x001c8eadU,     0xcd0aef14U, \
    0x9dbf6d58U,     0xbed95bd4U,     0x3340f972U,     0xc7f08863U, \
    0xcbd05c58U,     0x63d50c6bU,     0x8215e3abU,     0xd2aec090U, \
    0x5a4626c7U,     0xe2f79fe5U,     0x34321423U,     0x25c2644eU, \
    0xc90e90c5U,     0xdb97720fU,     0xf08ad082U,     0xa8cf1006U, \
    0xfebe448aU,     0x79429416U,     0xc0658d19U,     0xd94fc7bbU, \
    0x667b2cb8U,     0x10c1ed0dU,     0x63192e0cU,     0xa34219deU, \
    0x74e5f780U,     0x54fb888dU,     0x20218bd9U,     0xef199836U, \
    0x50e9cbbdU,     0xefcd71b2U,     0x843db1c1U,     0xa8efb5b7U, \
    0xad0352e5U,     0xca6220ffU,     0x609da89bU,     0xce8dbc80U, \
    0x30e46607U,     0x3b7d7093U,     0xb4f2b370U,     0x32ed5119U, \
    0x241524d0U,     0xa0e8c38aU,     0xa89af115U,     0x8d18b65bU, \
    0xce6cdf90U,     0xf4d73c38U,     0xe11a9d67U,     0x0caa3e6cU, \
    0x95420cedU,     0x2127a108U,     0x2a88209eU,     0xd75da03eU, \
    0x5be789c6U,     0xa7237aa9U,     0x96e96e75U,     0xa74c0b15U, \
    0x6f13d471U,     0x3da96d16U,     0x962558a1U,     0x559ec74cU, \
    0x4ec9e4dbU,     0x6c5e1aabU,     0x46710f47U,     0x887cd646U, \
    0x2ca3fbbeU,     0x6876cec4U,     0xa954298dU,     0xa47f96aaU, \
    0x6f251f31U,     0x74aa0627U,     0x3df1114bU,     0x0f4c5c18U, \
    0x5d07fd8aU,     0xd9cd90d1U,     0xb0e4016eU,     0x0756a650U, \
    0x772f0b36U,     0x4a0e9eefU,     0x4e834effU,     0x94b266e4U, \
    0x266e7c27U,     0x5d4b0afbU,     0xcd7ee490U,     0xfbcd5559U, \
    0xaef2c1f3U,     0x95866295U,     0xc9791e4dU,     0xf2076b39U, \
    0xeeec07f2U,     0x34df22ceU,     0x8c2d2f34U,     0xaa26c28eU, \
    0xc1d2df78U,     0x356ded71U,     0x189ddb9eU,     0x89a26cabU, \
    0x5a2861b4U,     0x363148c2U,     0x0eee8e0fU,     0x91bac95dU, \
    0xd92b3b45U,     0xee2de9e3U,     0x334c5b98U,     0xc9fbff0cU, \
    0x2ba6e4f0U,     0x7753e4b3U,     0xe14fb3bdU,     0xa6fa0d1fU, \
    0x496247b1U,     0xb5f9b3c2U,     0xf99713f4U,     0xeb6f72d6U, \
    0xfc20b659U,     0xba769747U,     0xe71521c6U,     0xb0caccc8U, \
    0x33ce2669U,     0x40bc3a8dU,     0x0d60b85aU,     0x6fb26db8U, \
    0x3acd59b8U,     0x3ec46f53U,     0x35ff80cbU,     0xe0c42d7cU, \
    0x6c48a35dU,     0x80866225U,     0xd6d315deU,     0x3a21a938U, \
    0x53d89743U,     0x7d95f38bU,     0x49b76fb9U,     0x20ec49baU, \
    0xba0cd48fU,     0x8a3823b2U,     0x9fb8f1f6U,     0x8afa7947U, \
    0x6e5081a2U,     0x2834ba17U,     0xfeffcbe5U,     0xe2b3fb74U, \
    0x3c380acbU,     0x97e0b132U,     0x46dd5113U,     0xa36b8f97U, \
    0x6c4ccff9U,     0x4db64c8dU,     0xfccac124U,     0x6b18c006U, \
    0xf4bd8748U,     0xfc2d554aU,     0x3dcaced2U,     0xa74af041U, \
    0xa42a216dU,     0xd37283f3U,     0x3f23fdf9U,     0xad9f4d99U, \
    0xa037605bU,     0xd0f56b8dU,     0xd0aa4d7aU,     0x310fc900U, \
    0x0016ab2eU,     0xaee316d4U,     0x3a1d5a8bU,     0x7adf29b9U, \
    0x3ef490cdU,     0x61adfadeU,     0x2fc89a1dU,     0x54d624b6U, \
    0xe476f566U,     0x6d17bb96U,     0xdf06e704U,     0x6dae25caU, \
    0x03d45420U,     0x4128a284U,     0x97fd51f9U,     0x7b0aadebU, \
    0x42d0b1c0U,     0x1e632971U,     0x671e210cU,     0xbabea46fU, \
    0x5e1deeb3U,     0x44225f6dU,     0x0a51439cU,     0x48a89c08U, \
    0x3a36a68dU,     0x23403608U,     0xe2dd6d4dU,     0x4b2caf92U, \
    0x45357b3aU,     0xd0de6b91U,     0xc7ab2c57U,     0x1be0ff7aU, \
    0xccce3a27U,     0x2850b652U,     0xac6ba447U,     0x321e81b0U, \
    0xa97833beU,     0xc82f437dU,     0x0ca42472U,     0x3711880cU, \
    0x3c50b6fcU,     0x525fde40U,     0xf2e472abU,     0x516f914eU, \
    0x46348a0fU,     0xb5ea3befU,     0x7e90892aU,     0xc8a3b878U, \
    0x8eaff217U,     0xad900089U,     0x98ca9cfbU,     0x8eae967bU, \
    0x6d3feeedU,     0xc5031571U,     0x88e73ad8U,     0x12b5c71bU, \
    0x79431d29U,     0x5186a243U,     0xc1962487U,     0xddafd5cdU, \
    0xec6cdd22U,     0xb3a7bd9fU,     0x751c34c1U,     0x4db01bd6U, \
    0x7995e230U,     0x97c4c294U,     0x64e77933U,     0x2e5d6a5fU, \
    0xe27c051aU,     0x1fc56641U,     0xcbd39c15U,     0x1c756e31U, \
    0x7dc0c922U,     0x5ab5e350U,     0x4fd90a27U,     0x081bbbc8U, \
    0x03c9d8ceU,     0x136bd83eU,     0xf4caeec2U,     0x56da10faU, \
    0x30d2aa46U,     0xff162a2cU,     0x235c68aaU,     0x4cef5996U, \
    0x2c410abcU,     0x292882e1U,     0xf1a4448fU,     0xca419c53U, \
    0xae1961bbU,     0x48de46e5U,     0x41e3fadaU,     0x689ce5bbU, \
    0xceb9dd5dU,     0xabc4e5b9U,     0x1aaa4c56U,     0xbfa0a4c6U, \
    0xd087b9a9U,     0x8df424dfU,     0xa92a9044U,     0x7e258881U, \
    0x1a68334cU,     0x2dcc745cU,     0xde3d45ffU,     0xc1340646U, \
    0xa5abeeedU,     0x12d5cb97U,     0x8d7bf68aU,     0x06c0e408U, \
    0xc1c5341dU,     0x4e454672U,     0x9d1c5e2eU,     0x8864c6eaU, \
    0x6204d691U,     0x25e4804fU,     0xc35a099dU,     0xc1df22c3U, \
    0xec781ab9U,     0x2e648bddU,     0x18468fb7U,     0x8f157ecbU, \
    0x50c6abe6U,     0x80c4f18dU,     0xb2f6f494U,     0xd0832d6bU, \
    0x671447a5U,     0x14afea6fU,     0x7dd8d2b2U,     0x1ad8bd41U, \
    0x505988b1U,     0xcf34472aU,     0x9ad971c2U,     0x038c3c16U, \
    0x3a3768e0U,     0x17569992U,     0xfb2e39ddU,     0x2c4c8b26U, \
    0x5220d3bcU,     0x6a6d9d4fU,     0x7cf5d513U,     0x261b666eU, \
    0x25c1340aU,     0xb8378f6cU,     0xbafaccc4U,     0x45301927U, \
    0x5618c5b1U,     0x7df03180U,     0xc9bbbdffU,     0x5b41c29dU, \
    0x29ed26beU,     0xa2d902f0U,     0x7e047adaU,     0xe19c8452U, \
    0xa9adff6eU,     0x50abb810U,     0xea3c343eU,     0x67a2a7deU, \
    0x4c17922cU,     0x256d6a27U,     0x178bc172U,     0x4708cf3fU, \
    0x05e2a458U,     0xaf1e8b39U,     0xf2517946U,     0x3f9c2b53U, \
    0x6054aef2U,     0xd9871c23U,     0x7f0cd821U,     0xc1215fc8U, \
    0xb158600aU,     0xf4871a60U,     0x522ca7acU,     0xb64ae148U, \
    0xc7c2ebc0U,     0x17536e8dU,     0x5586faf0U,     0x30346f20U, \
    0x0a289300U,     0x43b7d75dU,     0xfce27fbbU,     0x3a82d705U, \
    0xe4e489edU,     0xc46677a0U,     0xe54977d9U,     0xc4af0e74U, \
    0x73dfdf1cU,     0x25d9afd0U,     0xf812a312U,     0xb58d7ef1U, \
    0x983ca7b5U,     0x9699da02U,     0xace95e0eU,     0x78bed5a1U, \
    0x180d7d77U,     0xf6715bf3U,     0xcd891a0aU,     0x6d24264aU, \
    0x2b27692fU,     0xbb1fb1c1U,     0xbc2ac903U,     0x75142ab9U, \
    0xadec7b33U,     0x1ce90715U,     0xd24461eaU,     0x7235fbe0U, \
    0xb7758042U,     0xde149ed0U,     0x22ca303cU,     0x9fbd68d2U, \
    0x6af4ae91U,     0xb248ccfbU,     0x3936ecdfU,     0x071a545cU, \
    0xdb76a97dU,     0x411e598aU,     0xbd30283eU,     0x99f6d927U, \
    0xe79e906cU,     0xc0cd4808U,     0xec718663U,     0xec009c5eU, \
    0x66e7e47fU,     0xa6a685a1U,     0x6e8bb7c3U,     0x9a96fc77U, \
    0xf8d5ca14U,     0xb2d5ceecU,     0x3b95f9c4U,     0x0a0cfabcU, \
    0x26c1472fU,     0xef994ef1U,     0xc787d217U,     0x72512e94U, \
    0x9c910fc7U,     0x8ed8b983U,     0x0936b417U,     0xb2b88d0aU, \
    0x91094df5U,     0x7f0bf386U,     0x4ddeaa87U,     0xa6bc6598U, \
    0x0737d3ffU,     0x02f1a5dfU,     0x70904c52U,     0xcbabab21U, \
    0xa6841a1bU,     0x43cb6452U,     0x3651834dU,     0xb695edebU, \
    0x6d4c9858U,     0x3abef9ffU,     0x84a40136U,     0x4d62c514U, \
    0xf395e00fU,     0x181d967fU,     0x071d0751U,     0x252d275cU, \
    0x99672227U,     0x0f4d5d11U,     0xf9cc9ac5U,     0x1a1bbfdcU, \
    0xfd02ade6U,     0x4af837e8U,     0x4750d0b3U,     0x7c56c00bU, \
    0x5e9d21b1U,     0x610207cfU,     0x8a5f1537U,     0xf346a4ddU, \
    0xc7935f38U,     0xd6c6ea86U,     0xb399f67cU,     0x78cac9f9U, \
    0x72ebfaedU,     0xbdaadd74U,     0x2de98d35U,     0xbf25c855U, \
    0x280be087U,     0x8fcd0288U,     0xdf378941U,     0x10cdd4c6U, \
    0x348b7727U,     0xe9df25ddU,     0xd1d53d6cU,     0x734e5ee4U, \
    0x8746774fU,     0x6f410730U,     0xa3274b57U,     0x91899411U, \
    0x99146a2cU,     0xb13b2a06U,     0xe30f110aU,     0x90d65d89U, \
    0xe1d2bcc4U,     0xe7f58206U,     0x74b4d16fU,     0x5b665e32U, \
    0xf531a901U,     0x852a6b38U,     0xbbc6e953U,     0x7026ef06U, \
    0x6cf6af81U,     0x6fb4f35fU,     0xa954eb37U,     0xfe3f3ea7U, \
    0x338f4517U,     0x7ee34349U,     0x285cdbf5U,     0x796431bbU, \
    0xe7b38d6aU,     0x54fec559U,     0x53f84948U,     0x318c55d3U, \
    0x5c2bd48dU,     0xa34ae449U,     0xf087f960U,     0x1ec975fdU, \
    0x0510e829U,     0xaa692d7cU,     0x7f84bd70U,     0x88104951U, \
    0x49d3a6c8U,     0x528c096eU,     0xb365d36cU,     0x7ade59a9U, \
    0x84dc0d19U,     0x83f8c47dU,     0xde1b1ba2U,     0x93b786b6U, \
    0x9c30e580U,     0x49eb270cU,     0x7dceb8d5U,     0x35c64d42U, \
    0x7260df70U,     0xbb072bccU,     0xcf90483fU,     0x81574873U, \
    0x157b250eU,     0xa29d0418U,     0x320fc731U,     0x16fcd5eeU, \
    0x5c7b232bU,     0x81137b17U,     0x8058764aU,     0x98505e36U, \
    0xe853d99aU,     0xcfd401caU,     0xa2971228U,     0x61ac12cfU, \
    0xbc6eee6eU,     0x26c98552U,     0x68397bc2U,     0x0e2ea7a1U, \
    0xfbb45de1U,     0x5c58fe6aU,     0x63cb74efU,     0x72b36efaU, \
    0xe730986fU,     0x5c8aa8a4U,     0xf01d40ebU,     0xacd0f1aeU, \
    0xd41f72beU,     0x25d76fc9U,     0x74dfe09fU,     0xa2772058U, \
    0xb54c8729U,     0x89f5bbaeU,     0xcb339585U,     0x23ddac54U, \
    0x9dc5c4e7U,     0x4ae229d9U,     0xb54f3312U,     0x66cb1cf0U, \
    0xca1b3227U,     0x8b902011U,     0xdc5d25adU,     0xaf0d4678U, \
    0x8a416ff0U,     0x4e160021U,     0x2fc47558U,     0xd81336a9U, \
    0x9353cf9fU,     0x4481d0e8U,     0x5d7584c2U,     0xc682cd9fU, \
    0xc0b98722U,     0x50e4b40fU,     0xa2195273U,     0xed8bb2e3U, \
    0xd2880bdaU,     0x259fdde7U,     0x32e2cd86U,     0x5e3aa5b5U, \
    0x5a8b5fc2U,     0x74428c5bU,     0xe3ea6bc9U,     0xdb9cdc3bU, \
    0x86ba6ec6U,     0xaa72328fU,     0xb9b318fcU,     0xd2f441dfU, \
    0xd2f69fcfU,     0x3e00efd2U,     0x5058bb69U,     0x0d64e258U, \
    0xa100eecbU,     0xe1ee69e1U,     0x8c96f92fU,     0x5a3027aeU, \
    0xd6bdcf52U,     0x76bef5cbU,     0xc92bb359U,     0x0392d397U, \
    0x9d61f10dU,     0x8c431e09U,     0x9bd59be5U,     0x08bb30ebU, \
    0x5964ed94U,     0x8a7916c1U,     0x367b8aa1U,     0xf9e86cd8U, \
    0xc6aa8861U,     0x514d744eU,     0xbecfe8ceU,     0x704dee36U, \
    0xfc5ebf39U,     0x992baee7U,     0x98b30f97U,     0x5102c9d2U, \
    0x727f29d7U,     0x2a963366U,     0xc7a2da65U,     0x0fc3f567U, \
    0xf9dc5b16U,     0x2a21dbb7U,     0xeade2181U,     0x834a42adU, \
    0x3d7f4fc2U,     0xac59922aU,     0x4991badeU,     0x0a4395ffU, \
    0x6a80470aU,     0x12cc111aU,     0xb2c26ca4U,     0xbdef6426U, \
    0x1af2130fU,     0x11f41488U,     0x69faf6caU,     0x34c5c06dU, \
    0x6240a1ccU,     0xfb7a2c00U,     0x19cdca96U,     0x32eea745U, \
    0x3aa6009aU,     0x36d9394cU,     0x913e552bU,     0xe3de7437U, \
    0x9bbed421U,     0x7bfc866cU,     0x7d864751U,     0x370051bbU, \
    0xf72c2e50U,     0x4670805bU,     0x04742bc3U,     0xa1f6052bU, \
    0x65e546f9U,     0x1def42deU,     0x8597cc2eU,     0x1624700fU, \
    0x357c264aU,     0x75af4170U,     0x7f9749c3U,     0x7ff25b5dU, \
    0xf04702cbU,     0xaa98cfcbU,     0xe5c3ea17U,     0x36dd8a19U, \
    0x32929da9U,     0xf58045b0U,     0x12f11c4eU,     0x58523ceaU, \
    0x590236a2U,     0x1b9c5606U,     0xa0dc1ebdU,     0x86555ac5U, \
    0xd3f08dc3U,     0x26ffe1b1U,     0xf141de61U,     0x2b7451cdU, \
    0x38356805U,     0x80ce3bfeU,     0xfdc10beeU,     0x1d6e3dd3U, \
    0x44417201U,     0x648aa514U,     0x7caa353cU,     0x71afcd06U, \
    0x59a886a0U,     0xa8d9386fU,     0x6f0c9a94U,     0x39d08cedU, \
    0x25754e02U,     0xf35d8eaeU,     0x4fe52283U,     0x7c7be9beU, \
    0xa75ad267U,     0xd0bbe2b3U,     0xbbd61880U,     0xb823a023U, \
    0xda630a13U,     0xac17de30U,     0xc4df5d67U,     0xfe1f274fU, \
    0xd21bf987U,     0xa238b6bcU,     0x192cbcd9U,     0xbca7ee8dU, \
    0x88092f18U,     0x5abc9814U,     0xdd980fbeU,     0x2fe208d6U, \
    0x54c27963U,     0x81ee7575U,     0x8c0e55ccU,     0xc02c8fc4U, \
    0x25c637eaU,     0xc4682264U,     0x6a68f29aU,     0xe2516b80U, \
    0x33055f60U,     0xc608ed07U,     0x76bdd5f8U,     0xebaab1aaU, \
    0x87256b67U,     0x62011cf2U,     0xe9c9ce2bU,     0x9361ea93U, \
    0x7de1a699U,     0xca5974d0U,     0x94bcd3b7U,     0xfc430286U, \
    0x59ddbef8U,     0x46886082U,     0xdc3a7853U,     0x36407f23U, \
    0x4381bc1fU,     0x7356314cU,     0xefa0925eU,     0xaa776265U, \
    0x5d060ef6U,     0x8ca800b8U,     0xc6b377faU,     0x840cd8c8U, \
    0x37c4b135U,     0x78d79ceaU,     0xa576d44eU,     0x092c026aU, \
    0xfdcac191U,     0x2d7fc74cU,     0x33ca4840U,     0x324ee37cU, \
    0xced4405aU,     0x5ea937d8U,     0xbda4e249U,     0xd5ff8f46U, \
    0x47f4c923U,     0x0bb46321U,     0x7f97c3a9U,     0x08f9765dU, \
    0xebe7b5fcU,     0xc75778d0U,     0x6466f0f6U,     0xfc126c9fU, \
    0xdb490bb8U,     0xc3e97300U,     0x14ccfbe3U,     0x25fbd26bU, \
    0x87a92667U,     0xb869a95cU,     0x9bd2fe9fU,     0x52166034U, \
    0x2f131a65U,     0x00411e19U,     0xd0686b1fU,     0x726d8a63U, \
    0xc7ec0e8aU,     0x86fb9ef3U,     0xefa7e980U,     0x63ff5037U, \
    0xdf10db00U,     0x5d09f491U,     0xf6dec49dU,     0x71b4c920U, \
    0x559960f6U,     0xc40b317fU,     0x45461efdU,     0x37e5e131U, \
    0x86db06ddU,     0x84f4ee7aU,     0x064a8ac3U,     0xcd203e6bU, \
    0x6386b9bfU,     0x0aba57faU,     0xe126fa5fU,     0x3aa51beeU, \
    0xa15e5ce4U,     0x89187ce5U,     0xdcc28565U,     0x7d08c01fU, \
    0x44eeddc8U,     0xaaa79550U,     0xcb20476cU,     0xb4b2613dU, \
    0x0728ce00U,     0x7e7ec4cbU,     0x312fc265U,     0x90bb5b8aU, \
    0xfbe758bcU,     0x78060127U,     0x21b682bcU,     0x240ff124U, \
    0x26112d25U,     0x138539a7U,     0x03efb7dbU,     0x5cac4f10U, \
    0x07287598U,     0x2c1f4016U,     0xf7726fd1U,     0x333b5431U, \
    0xf6eb395aU,     0xb8c0b470U,     0x600f806aU,     0x65b5ad0dU, \
    0x75a9d096U,     0x83956134U,     0x7fb4469cU,     0x4e85a1b9U, \
    0x43f4ec86U,     0x2b264b13U,     0x2e097183U,     0xc7b3b3b4U, \
    0x5cec0087U,     0xdd329bd4U,     0x653af723U,     0x093d1845U, \
    0x4349114bU,     0x8779238dU,     0x3fbfe83eU,     0x582f5cfbU, \
    0x5ea49e55U,     0x681c7585U,     0x1f7a679dU,     0x889e3467U, \
    0x4c1a2673U,     0x1ef9b8faU,     0x603f5feaU,     0x99244ddfU, \
    0x6b2ba5ffU,     0xf9d8d636U,     0xbe54454eU,     0x7b5ec480U, \
    0x51ba9169U,     0xcc3aa124U,     0xe0377a9fU,     0x6fec1776U, \
    0xcd8a07e3U,     0x8dbc1699U,     0xaf5ea39eU,     0x649dd495U, \
    0xdde33144U,     0x4ca93413U,     0x912fe052U,     0xb0e838ccU, \
    0xcf6adee6U,     0x18ce1aa6U,     0x34afd38cU,     0x92d8abc1U, \
    0xb78f862bU,     0x0fa4bb9cU,     0xaa014346U,     0xe464b39bU, \
    0x24e2e038U,     0x06319b64U,     0x95ba37faU,     0x53947372U, \
    0xb8885e7bU,     0x8d6705aeU,     0x0d65c9beU,     0x12e0b017U, \
    0x4c461804U,     0x54046a1bU,     0x9070c51aU,     0x8e6c73b5U, \
    0xcc1b061aU,     0xd6aef777U,     0xe347b33dU,     0x0eb415d3U, \
    0x6d24ce5cU,     0xd86f0326U,     0x64bfbb46U,     0xdc90bc8cU, \
    0x234d0a14U,     0x6d880558U,     0x2c395e1aU,     0xc1c89241U, \
    0x52cf826bU,     0x5025befdU,     0xb4ae34c6U,     0xfe589092U, \
    0x98cff620U,     0xf60b6384U,     0x3817a0b5U,     0xee330983U, \
    0x4b2aebaaU,     0xed8678e5U,     0x36a99294U,     0x303c1200U, \
    0x4c030146U,     0xc335e466U,     0xcf1c1715U,     0xb20058b1U, \
    0xa6ab6185U,     0x95bc91c2U,     0x52ace5d2U,     0x69f0e742U, \
    0xbe9086d7U,     0xf76f51d3U,     0x575218c4U,     0x5d712fc3U, \
    0x1f878426U,     0x45d135a5U,     0xb328ed23U,     0x3489c2c8U, \
    0xecfb7e1fU,     0x18f44075U,     0x654e704aU,     0xfdf2b5b0U, \
    0x5ad98e39U,     0xe6c5fc3dU,     0x0f00fa51U,     0x57cbfdd7U, \
    0x58378d1bU,     0x04e53be2U,     0x24b10b6bU,     0x73dbbbbfU, \
    0xc610cd92U,     0x6c004b87U,     0xf55701e4U,     0xcc1078a2U, \
    0xf64a5351U,     0x70aa75d2U,     0x1fa73d50U,     0xd58dbf8eU, \
    0xb28001cfU,     0xad9e8c9fU,     0x9149de10U,     0xbf5604aaU, \
    0x6db051feU,     0x8e5428bcU,     0x022c3b1fU,     0xc581295cU, \
    0xa7f24cbbU,     0x68ee3ba4U,     0x8c1098eeU,     0xced33fd6U, \
    0x92ea46d1U,     0x89a0f8bfU,     0xb67b7316U,     0xf9552542U, \
    0x4bfeea0cU,     0xcee275d5U,     0x9f14a117U,     0xcea137e5U, \
    0x2e1206b2U,     0x9aebe12dU,     0x22ae2efeU,     0x6ec0b11bU, \
    0x0dc8ef91U,     0x6d9d3fcdU,     0x5a86f696U,     0x70b4bca2U, \
    0x684bb4baU,     0x38106a71U,     0x2faaeeb3U,     0xa48587eeU, \
    0x8b1ba371U,     0x991e6586U,     0xe98fca06U,     0xc6f59fa6U, \
    0x5d23c408U,     0xde889d9aU,     0x2f8d42fcU,     0x69ed5cc6U, \
    0x610a0f6cU,     0x2f64ed1aU,     0x8e8bcf26U,     0x751fd7c6U, \
    0x7dfd2675U,     0xa7a49828U,     0xa879544bU,     0x6237a256U, \
    0x177bc9f6U,     0x7cd4e43fU,     0xfe483facU,     0x875420cbU, \
    0xb32a61aaU,     0x777a98c3U,     0x1b212fa1U,     0x58435b5cU, \
    0x3d725a52U,     0x2ccc8854U,     0x793f0f7cU,     0xe4d97395U, \
    0x2ba241e1U,     0x7a41dde2U,     0x74a38928U,     0x6129295bU, \
    0xe5fb62acU,     0xc97161e1U,     0x06fe53daU,     0xca9df8a6U, \
    0x1bda6338U,     0x88cd404bU,     0x80305186U,     0x469f2437U, \
    0xd9228f22U,     0x0bd250c1U,     0x02acc060U,     0xc92a0e89U, \
    0x973c14dbU,     0xe1f69a37U,     0x0dcac3cfU,     0xb1b2eab2U, \
    0xb0dc3231U,     0x865ebabaU,     0x84f618a6U,     0x363034deU, \
    0xc4ea095cU,     0x48809e61U,     0x45b2a733U,     0x78a8c242U, \
    0x2ad55fedU,     0xc74e451dU,     0x40cf08a5U,     0x64bc19bfU, \
    0x018a5ffbU,     0x157b7fd0U,     0x36cd701aU,     0xb3bd2db0U, \
    0x83ee9eb7U,     0x64983613U,     0x67d0479fU,     0xedcd1650U, \
    0xf99deac9U,     0x8fa1d866U,     0x1a14dfa0U,     0xfbd2f90dU, \
    0x6ba7792bU,     0xb607dfb0U,     0x461ae2c3U,     0x7bba9ce1U, \
    0xb18446aaU,     0xb251e11eU,     0xa40054d7U,     0x19449656U, \
    0xcfacf02eU,     0xdb480471U,     0x3d672955U,     0x09f397a5U, \
    0x9db385fdU,     0xe1357ccfU,     0x80416c95U,     0x56f19727U, \
    0x02fdcc2dU,     0x524852f0U,     0xc13ae5edU,     0x367ff9e3U, \
    0x60bee931U,     0x4c795ff2U,     0xd9c8d849U,     0xef7e3963U, \
    0xc85c9afbU,     0x3a68a9d3U,     0x3bde1d16U,     0xcc71fcdcU, \
    0x822f5545U,     0x44335d2eU,     0xdc0e29deU,     0xa5f6b8e9U, \
    0xb08743d0U,     0x5b8bc0a9U,     0x7860f854U,     0xa0ba58a2U, \
    0xbd377b0bU,     0x7763b007U,     0x749189c0U,     0x4692dda8U, \
    0xf98d995bU,     0x8420898aU,     0xfe7ac92fU,     0x49749d88U, \
    0x157fba21U,     0x615716beU,     0x0b4b874bU,     0x109f57adU, \
    0x8233a872U,     0x63ade342U,     0xba20ea76U,     0x15c70939U, \
    0x846ebbd4U,     0xb57ef663U,     0xc8b7bdfbU,     0x4168902bU, \
    0x65186181U,     0x69dbce34U,     0x3c4675dcU,     0xf734f427U, \
    0x2e34bdd3U,     0x945cd485U,     0x0a9d65ebU,     0x44309ca3U, \
    0x99c0dce7U,     0x350e8b10U,     0x9df2ab4eU,     0xab0a33c3U, \
    0x42ddac99U,     0x7f661664U,     0xb8685a8eU,     0x1fb10420U, \
    0xe3faf252U,     0x0d4ac2ceU,     0x641c42c9U,     0x2e85736eU, \
    0xc14194f8U,     0xd6553aa2U,     0x91cea6d3U,     0x7ab1f90eU, \
    0x2cbbe466U,     0xe77b19efU,     0xba40ac87U,     0x0a828df6U, \
    0x43269afbU,     0x4167a4b9U,     0x7e53f1b3U,     0xdde95aedU, \
    0xd8094b52U,     0x464f2962U,     0xcf27e5d1U,     0xe95b6f7cU, \
    0xde33c423U,     0x76e02d81U,     0x26374911U,     0x9cb1ac71U, \
    0x11fd5051U,     0x39bc6911U,     0x9e5ec22eU,     0x3b6620cdU, \
    0xdd6dfa3fU,     0x7b473710U,     0xe867786dU,     0x7e1d8f78U, \
    0xce0106feU,     0xee7dae21U,     0xa690bd57U,     0xe6819e1dU, \
    0xa61d0596U,     0xd23e9859U,     0xdb659518U,     0x0e858082U, \
    0xf7e5163eU,     0x9071c95fU,     0xd5acc0f7U,     0x3fbfeda2U, \
    0xee7007cbU,     0x9f587a69U,     0xd607a85aU,     0x3b0c0cf3U, \
    0x9ac746deU,     0xb82deb95U,     0x15d6d815U,     0x021a1702U, \
    0xd639fa3fU,     0xf9394e63U,     0xc4aadd11U,     0xf944a6b2U, \
    0x6930e5c4U,     0xc0a70b1aU,     0xfbf0e6d1U,     0x9e70ddcfU, \
    0x79ba6e70U,     0x62cce0a3U,     0xe8868a23U,     0x8cb00babU, \
    0x04effe85U,     0x3780c224U,     0x28b1ef99U,     0x6f6a3966U, \
    0xe020c815U,     0xa61cb7caU,     0x775eb705U,     0x4c1ba9bbU, \
    0x4d1aa6fdU,     0xcdaccf00U,     0x266cd813U,     0xeed7d92eU, \
    0xc7fb2940U,     0x96c19b3fU,     0xed153bbaU,     0x8a1fdb35U, \
    0x8e803fb7U,     0x6b554014U,     0xfbed76a0U,     0x2719a2aeU, \
    0x3fe8ee82U,     0xabd16db1U,     0x9f1c71fdU,     0x9708d99dU, \
    0xa8341002U,     0x6be93435U,     0xabd734e6U,     0x9e8805e1U, \
    0x7ef03827U,     0xa2df5eebU,     0x8b004c76U,     0x1bf6965fU, \
    0x512678c7U,     0x9457d698U,     0xc0f5bec2U,     0x33f0cf65U, \
    0x050d8dc6U,     0x5615cf9bU,     0xb2c848e7U,     0x69b5f12cU, \
    0x441406a8U,     0x437733a5U,     0xcfb0c439U,     0xaa33d6ccU, \
    0x297abe83U,     0x6af69375U,     0x00f5b0c6U,     0xf51287c6U, \
    0xbf3063a0U,     0x1849ae76U,     0xfbc34613U,     0x38a5c645U, \
    0xac0b7831U,     0x2920a984U,     0x3386ad71U,     0x1cd79e18U, \
    0x4da43f2cU,     0xf5128802U,     0x3d8565c7U,     0xaa048accU, \
    0x5fdd3eeeU,     0xebca0597U,     0x2d40188eU,     0x4c1c4215U, \
    0xd7b3568cU,     0x372a8d0cU,     0x8483bc57U,     0x382ea0c6U, \
    0x26bb0857U,     0x44ee6404U,     0x229bbc88U,     0xdc49edf9U, \
    0x42fc933eU,     0x53b9fcaaU,     0x91e99b6cU,     0xca8de6bdU, \
    0x68f1c168U,     0x2913d557U,     0x7f93a5f7U,     0x09c626efU, \
    0x48ae3e56U,     0xc5606647U,     0xdd10c260U,     0x8af20988U, \
    0x9730f94bU,     0x06732b40U,     0x84b8a58dU,     0x73a74205U, \
    0x57ddfd33U,     0x80e0f506U,     0xc37cbcf2U,     0xae6612b5U, \
    0x16345fc1U,     0xdf3236d7U,     0x29d2f8efU,     0x008ad862U, \
    0x30e5eba3U,     0x1248fefcU,     0x487c6817U,     0x3591637cU, \
    0x861399b4U,     0xe5f7955dU,     0xc62d4bbdU,     0xb45a93c2U, \
    0x582d0aacU,     0xd3eccfa3U,     0x75272b41U,     0xcc4271baU, \
    0x79b8998aU,     0x561b33f3U,     0x99ea1ac5U,     0xcbdffecbU, \
    0x796e0938U,     0x900e8f0fU,     0x2602260cU,     0xeea594cbU, \
    0x9fdf9171U,     0xc62f3149U,     0xcf101c0bU,     0x2b20ca8cU, \
    0x627b9d49U,     0x547942cbU,     0x825e070bU,     0xf80f1392U, \
    0x7e47bf45U,     0x8ca759f1U,     0xae4a8de8U,     0xd391bc7fU, \
    0x8abeb351U,     0x7bf32bd3U,     0x8935ea60U,     0x750d8796U, \
    0xa9601986U,     0x8c2dbb40U,     0x39aff77aU,     0x8f78d8dfU, \
    0x90756b12U,     0x7e0ee885U,     0x5c6f63b3U,     0x2d573fc7U, \
    0xb3eada89U,     0x508738a0U,     0x9f4ecd69U,     0xdc104449U, \
    0xdffe4ee2U,     0xa5361d2bU,     0x7a823b74U,     0x788aed8aU, \
    0x1c0a872bU,     0xf9ecd1d8U,     0x534b85f1U,     0x48861decU, \
    0x7bce7b2dU,     0xcb2af93aU,     0x78d927e9U,     0xcab05070U, \
    0x21c79adbU,     0x28014a5cU,     0xf754f15bU,     0x44911f4dU, \
    0x6cba1e76U,     0x4e9d1d84U,     0xe78c62bfU,     0x871bf583U, \
    0x025c6448U,     0xde86a806U,     0xf2cb1a78U,     0xbd052d14U, \
    0xa35fd4bdU,     0x413ca276U,     0xf9cc23cbU,     0xa1784a3dU, \
    0x8c9601b5U,     0x99b883e6U,     0xdb72f51bU,     0xa44fb089U, \
    0xda035d39U,     0x1a948ea0U,     0x929f4481U,     0xeebb5755U, \
    0x74f7a051U,     0x8f87c3bcU,     0x88f0ae65U,     0x0336d8c3U, \
    0xbcc67b24U,     0xddb0d579U,     0xe95fda05U,     0x4ae89d48U, \
    0x66861532U,     0xf7f7b04dU,     0x178e89d3U,     0x6b593a21U, \
    0x3b67688fU,     0x5025fdbeU,     0xd22a1271U,     0xb202e615U, \
    0xf55c4d12U,     0xbe36e4d0U,     0xd494a55fU,     0x56bf7cf7U, \
    0x7a33dbedU,     0x6975287dU,     0x5df8a492U,     0x75b5aae1U, \
    0xa8ae280cU,     0xd49802fcU,     0xbc7d7523U,     0xeffbae81U, \
    0x70198f7dU,     0xc9604c3dU,     0xe80e919bU,     0xc3bd1956U, \
    0xee1f0844U,     0xb296a3adU,     0x5c9dd8a5U,     0x872d80e8U, \
    0xf29ea045U,     0x5d79dcdfU,     0xf0fe9762U,     0xc5a7ea08U, \
    0x7ab31ddfU,     0xe1a3cd24U,     0x9b4d95b5U,     0xa6b8d8a5U, \
    0xbc9153bdU,     0xfa83a4daU,     0x8f67981dU,     0x2f2d1e54U, \
    0x16e41889U,     0xbe22e27eU,     0xbe79ac21U,     0x3d24c6f4U, \
    0xcb21e51bU,     0x5e64c459U,     0x47e2d41cU,     0xf62bb571U, \
    0x7ef76876U,     0xe3c5bdd0U,     0xc5340371U,     0x9a6c2166U, \
    0x62bce2b4U,     0x9235ecafU,     0x1f6bd904U,     0x3b9999b5U, \
    0xdabe6d97U,     0x239b216cU,     0x6011d84fU,     0x141cb0b6U, \
    0x8619cd73U,     0xe6531708U,     0x5d92bcacU,     0x3a08bc71U, \
    0xc02d950bU,     0xa139f451U,     0x059f8979U,     0x44457dacU, \
    0x80792056U,     0x39e0a822U,     0x76a41998U,     0xcbfc51faU, \
    0x4d0f12a8U,     0xdadccc55U,     0x54cd98ceU,     0xfd710477U, \
    0x0888366cU,     0xf3aad878U,     0x878fbb99U,     0x551e26f7U, \
    0x3bd084fcU,     0x2f6d19e8U,     0x53bdc69bU,     0x570b8e11U, \
    0xc4960eabU,     0xbb3bd88bU,     0x281ab361U,     0x401a8629U, \
    0xf41365ccU,     0x503d48b9U,     0xb125a831U,     0x370e4da8U, \
    0xa0433034U,     0x5bdc4c4bU,     0xb36506adU,     0xc00df0daU, \
    0xfc656fd2U,     0x315b901fU,     0x593e5a5fU,     0x4a789be2U, \
    0xe434772bU,     0x7fecdf2aU,     0x27bf142bU,     0x22216b33U, \
    0x7f7b5fa5U,     0x2119f82fU,     0xee5b2b36U,     0x35105e7dU, \
    0x2c24ee05U,     0x8e4ea200U,     0x47c34a50U,     0x5e0fbf98U, \
    0x08c203c3U,     0x59a09799U,     0x882bd418U,     0x19a20778U, \
    0x5da010f8U,     0x8eca494cU,     0x10a72f62U,     0x27992dceU, \
    0x2065bf0aU,     0xc7c6a89dU,     0x6a518a31U,     0x1d3cc330U, \
    0x71da4ba8U,     0x05c56eb7U,     0x3f6da877U,     0xc9b30232U, \
    0x65cd6007U,     0x0b439837U,     0x97df06d3U,     0xa1373524U, \
    0xc79fdb9bU,     0x044f8146U,     0xf89c1b6bU,     0x3e8bc0b7U, \
    0xa75ea918U,     0xa9fe75cfU,     0x60d15844U,     0x7a1675a5U, \
    0x18655e2dU,     0x8cdb6587U,     0xd3654193U,     0xf16ced4eU, \
    0x968aa02fU,     0x522b71cdU,     0xa4a0cd2bU,     0xb3aec6d4U, \
    0x436af404U,     0x8023b898U,     0x1dffdfd9U,     0x07f07b0aU, \
    0x2c7dc386U,     0xcb5140e8U,     0x6e994677U,     0x9d38cd44U, \
    0x2182bc84U,     0xdfddf206U,     0x80b897ecU,     0x174631efU, \
    0x94665de2U,     0xcaa2a3e6U,     0x7255a26eU,     0x70d7c331U, \
    0xb7285df3U,     0xb2afedabU,     0xc93f1007U,     0x9deb820aU, \
    0x9d8aa129U,     0xecae5322U,     0x652c43d9U,     0xefb4fe98U, \
    0x90afec11U,     0xb839ad0bU,     0x66d33635U,     0x1fbcf41bU, \
    0x0976e43aU,     0x19191d7eU,     0xcf1edaa8U,     0x6ae14027U, \
    0x83e4422eU,     0x9073aa38U,     0xcefa1cecU,     0x1d7918faU, \
    0xae6c3825U,     0xf3047d79U,     0x54cfbb13U,     0x9427eb22U, \
    0xfc5c2b3aU,     0x6b1ccf2bU,     0x9d3f1da1U,     0x4ffee167U, \
    0x2b8ed03aU,     0xa12ae854U,     0x08f94a49U,     0xb93ffcf7U, \
    0x5660e0ceU,     0xf11acc78U,     0x8f8245a4U,     0x87c7dc0aU, \
    0x635511f6U,     0xa29dbfc5U,     0xa278d3fcU,     0x40f0d63bU, \
    0xc5c5c863U,     0x0526ffadU,     0xa5cc7742U,     0x4c24b3fdU, \
    0x89f507fdU,     0x5b60902dU,     0xf45cb0caU,     0x727d0330U, \
    0x04bc7598U,     0x9a092c58U,     0xd935266cU,     0x0bfb6363U, \
    0xee084dc4U,     0x14eac91eU,     0xcc407619U,     0xca35f64bU, \
    0x35dfe10bU,     0xde812ec0U,     0x53431efeU,     0xdf5f40e6U, \
    0x3c3a652eU,     0x1a6ecab2U,     0x3a567258U,     0x937b395aU, \
    0xedb4e007U,     0xd943566aU,     0x0b05b9cbU,     0xb7ca34fcU, \
    0x6e4e48c4U,     0xf8011a10U,     0x1ed4733aU,     0x971936abU, \
    0x30cb3703U,     0x6900bbb6U,     0x26154a7aU,     0x9a969bddU, \
    0x5d316539U,     0xd8442591U,     0x12d50cdfU,     0x607d6879U, \
    0xe21c691fU,     0x59888301U,     0x2c497f84U,     0x3eea44d9U, \
    0xd75c15f9U,     0x4faa1e1aU,     0xee86fa19U,     0xf31163b9U, \
    0x69538d60U,     0x0a310722U,     0x1b2d50dbU,     0x21783913U, \
    0xef56493aU,     0xba4d56daU,     0xd4aeb1a4U,     0x5dd2e739U, \
    0xa0114db4U,     0xf6e69cb7U,     0x14a0a917U,     0x889c5910U, \
    0xed70a5bcU,     0xefd806f2U,     0x40c26727U,     0xc011a28cU, \
    0x706eabe1U,     0x81726541U,     0xa8174b1bU,     0xec833488U, \
    0xa8cff9ebU,     0xf8f2fd85U,     0xaa8d79f3U,     0xe57052fdU, \
    0xcbbc39c9U,     0x262d24f3U,     0xdd7d36f2U,     0x11a16d2aU, \
    0x5e324b50U,     0xafa36393U,     0xaf016e1eU,     0xd9fb4981U, \
    0xde10d5efU,     0xe3f141caU,     0xe3a0f7e2U,     0x377f05ecU, \
    0xd5742287U,     0x35f4029eU,     0xeb00c6e7U,     0xd7ac0dc1U, \
    0xcb7eee6fU,     0x2c5ff10aU,     0x1aa457ebU,     0x9cb3c9d1U, \
    0x9806ed82U,     0xd96aa1bbU,     0x58abafd9U,     0x80407271U, \
    0x5f294d79U,     0xab7ce9b7U,     0x82aafeacU,     0x3e38baecU, \
    0xf2eed915U,     0x4aeeea40U,     0x1eacdb5cU,     0xa3bb99c0U, \
    0x6425ef82U,     0x010fe2acU,     0xb0cb6bd1U,     0x14cefb62U, \
    0xb8113167U,     0x87d7632aU,     0x6fd35a1eU,     0xff53a74aU, \
    0x67996853U,     0xe7b60221U,     0x0b9bb8c9U,     0x7c4240b2U, \
    0x98f32e73U,     0xc0dc98bbU,     0x09419615U,     0xaee50479U, \
    0x7d7591b5U,     0x3d1ac269U,     0xf820b5d7U,     0xf819e95bU, \
    0x92842971U,     0x6f53c691U,     0xbb134a6aU,     0x43069a50U, \
    0x862cf998U,     0x336bd2acU,     0x818d0e01U,     0x3594c978U, \
    0xb2896361U,     0x222b2a70U,     0xc511e517U,     0x188aadc3U, \
    0xe2f19ee6U,     0x0af25926U,     0xe3b1c081U,     0x331a4954U, \
    0x7c90ac05U,     0x540e30deU,     0x8baa34ceU,     0x537a50ecU, \
    0xe11f62f1U,     0xf7858523U,     0x9168b2aeU,     0x400de155U, \
    0xea6638baU,     0x8eb82843U,     0xfa59d64fU,     0xe62f453dU, \
    0xaf1d9fe4U,     0x26aaa909U,     0xc5059c65U,     0x0214277cU, \
    0x150e9824U,     0xe4c699c3U,     0xd36310e7U,     0x48e15a83U, \
    0xfc342d82U,     0x911d8e40U,     0x3a635666U,     0x7d098f16U, \
    0x4d2e140cU,     0x3453ecd5U,     0xb4f6a93dU,     0x34cc1a9cU, \
    0x82b0a7c6U,     0x6e5f6705U,     0x058826c5U,     0xa1b9e89eU, \
    0x84688d90U,     0x85dcc050U,     0x556261c5U,     0x6b275a12U, \
    0x6cda8485U,     0x51d8ee4eU,     0x556c0d86U,     0x6a6f39a8U, \
    0x8f6fff21U,     0x5d5cbcf1U,     0x6b26a4b8U,     0xa2e11ca9U, \
    0x3f67ad8cU,     0x56ea9cdcU,     0x3744d58eU,     0x0566255eU, \
    0xc473e404U,     0x90d5788eU,     0xd2b25766U,     0xe5fe3192U, \
    0xf257b110U,     0x045ee503U,     0xb310c43dU,     0x1e71a5deU, \
    0xd6d693efU,     0xc334cc12U,     0xce6552daU,     0xee9ad278U, \
    0x1a00e411U,     0x5fa0111bU,     0xfdb485b8U,     0x46b30f95U, \
    0x9b8f0cd9U,     0xfb69dcabU,     0xcd1f4eabU,     0x0ac23a35U, \
    0xf731eb85U,     0xf9d5871aU,     0xe1b3e19eU,     0x39e5ebd4U, \
    0xa63fafc2U,     0xebcd6e73U,     0xc5c5572dU,     0xc2dbe6e9U, \
    0x97a59c88U,     0x0f754e5dU,     0xb0a3ab18U,     0xc7f34a0dU, \
    0x3810a3d8U,     0x0b97437fU,     0x5f24ba52U,     0x1f1f66c0U, \
    0x6187b6cfU,     0x06f3cb7bU,     0x12f90e76U,     0xcccb0ef6U, \
    0x92512068U,     0xaa763c3aU,     0x1882b591U,     0xe234355fU, \
    0x6178284bU,     0x777eabb9U,     0x83b3fb10U,     0x63bbe837U, \
    0x6c8e3466U,     0x2bf2c35aU,     0xe1cd363bU,     0xe77b23b4U, \
    0x0e30b6e7U,     0x8ddff8f4U,     0x04c5c8bfU,     0x9cd2cb2bU, \
    0xc31ee534U,     0xb8e853ceU,     0x1b8e5b6fU,     0xbb3682c4U, \
    0x2130f257U,     0x9045f3f4U,     0xe88525b1U,     0xb8bd13cdU, \
    0x4403386eU,     0x95d3e0efU,     0x19466d16U,     0x22f86371U, \
    0xc9d5b264U,     0x169f89a7U,     0x32122388U,     0x6acac756U, \
    0x1bc20eb0U,     0xd5443291U,     0xb8222384U,     0x5a92f455U, \
    0xac7ea192U,     0x907021a0U,     0xeee8dc48U,     0xf8248f01U, \
    0xea88df89U,     0x117fe29bU,     0x6ca66b8aU,     0x6bfb0198U, \
    0xbcb488b1U,     0x5e410ccdU,     0xc98a446cU,     0x00981a4dU, \
    0x454c0db8U,     0xa12b4e4bU,     0x8c664cefU,     0x4131c91bU, \
    0x22a202f8U,     0x4d48c41dU,     0x55853cb9U,     0xb60144b5U, \
    0x6f5f7ff6U,     0xba687813U,     0x4953df8bU,     0xf452c856U, \
    0xa44b105bU,     0x943cc5bcU,     0x884a65c4U,     0x182bdf29U, \
    0xa74939d2U,     0x94f05428U,     0x89ab72c6U,     0xaceafe89U, \
    0x0470d246U,     0x556dc585U,     0x7da42329U,     0x2b2d85c4U, \
    0xd77ec33cU,     0xaab0304bU,     0x48acd69eU,     0xdeb1d12eU, \
    0xc8c51fb1U,     0x8c4e0e80U,     0xb108ececU,     0x75616ea2U, \
    0x8f83c8cdU,     0x4e491edaU,     0x65c927ebU,     0xb8df30beU, \
    0xe181f379U,     0x8a124f7cU,     0xc7154ff9U,     0xef255ba5U, \
    0x5dc5886cU,     0xa3475831U,     0x4600decfU,     0x4e1cdaa3U, \
    0x1ea3f55bU,     0x05bc94aaU,     0x83428d43U,     0x14e47ca8U, \
    0x0bc71474U,     0xe49b7f9eU,     0x2dc8dcbaU,     0xebb6fe6bU, \
    0xd3923504U,     0x9515bacbU,     0x230aadb3U,     0x90f3515fU, \
    0x6afc4aeeU,     0x6ac5a042U,     0x51ba20f9U,     0xad5139b3U, \
    0xfbed6d0fU,     0x210a7158U,     0xcbe3b34aU,     0x2b22034fU, \
    0xa704d534U,     0x1b6dd2cbU,     0x92eca80eU,     0xe7609db5U, \
    0xdd92d5f6U,     0x2c279500U,     0xa62ce886U,     0xc958a2a7U, \
    0x9b205aefU,     0x52075778U,     0x090d4274U,     0x7144acbeU, \
    0x3e58e3dbU,     0x9e5dc219U,     0x2c51faffU,     0x9339465aU, \
    0xf58d1d7cU,     0x3f7108bcU,     0x56a64f48U,     0x61d7a9a2U, \
    0x5a97f95cU,     0x3bbbf465U,     0x6c3d455bU,     0x60540562U, \
    0x0b66de52U,     0xe3c6af43U,     0x59fedc5aU,     0xba4eb4fdU, \
    0x663d0cf1U,     0xb5433ccbU,     0x3865dd25U,     0x8c7c5ffdU, \
    0x6a6683e3U,     0x6ff1a751U,     0x6ff34fb1U,     0x9b5af51dU, \
    0xf961b914U,     0xd2e874bbU,     0xe52dac8bU,     0x24075ddeU, \
    0x3929ae02U,     0xc448ec28U,     0x1e522dc5U,     0x8eaa69aeU, \
    0xeaa51318U,     0x1aab8aa7U,     0x55c1ec53U,     0x6a18400aU, \
    0x18883fb4U,     0xe0b01428U,     0x67c2e502U,     0x98b817c4U, \
    0x73d665c4U,     0x4013d411U,     0x7b362fa9U,     0x0f81e3b4U, \
    0x26ebd657U,     0x2c7d4951U,     0x5faadb56U,     0x62270d1dU, \
    0xbc3c3345U,     0x55d5f236U,     0xe75b75cbU,     0x5fba697cU, \
    0x61acd1c3U,     0x36fd39a5U,     0x2c05189cU,     0xa035ca09U, \
    0x07da87e5U,     0x0f8d99b9U,     0x4e2c88bfU,     0x1b899f22U, \
    0x1e5aaceaU,     0x9251342dU,     0x7c93339fU,     0x72be16ceU, \
    0x92516d8cU,     0xfe13585bU,     0x2b08eaedU,     0xb051a362U, \
    0x4e546214U,     0x1cbd3072U,     0xf1c9e90aU,     0xb3d61924U, \
    0x700966edU,     0x313d5802U,     0x66e9e7e7U,     0x0ee8af7cU, \
    0x68292159U,     0x4954bbffU,     0xf1b89e51U,     0x1bb1026fU, \
    0xdd7e0019U,     0x29465da5U,     0xcd717e73U,     0x17af19c3U, \
    0x9314ef4eU,     0x49a6d24fU,     0x4d971f8eU,     0xbaf2481eU, \
    0x2100ce8aU,     0xecdd31e2U,     0x53fcfdbfU,     0x9f7d7e8aU, \
    0x83a9e3e6U,     0xd48d8c58U,     0xa2184183U,     0x542c903dU, \
    0xcd43c9a4U,     0x7c5f6d16U,     0x0fc23fe0U,     0x5e3ed7a1U, \
    0xaaf3709cU,     0x4a15496eU,     0xf9b9abd8U,     0xa4a6cbc3U, \
    0xe9bf1b2cU,     0xefc9e306U,     0x56f8b477U,     0x2a941df6U, \
    0xb2ecf9eeU,     0x7321b753U,     0x5fb6624aU,     0x8ba1106eU, \
    0x8a1ba0c4U,     0x800e3cf9U,     0x80d34a5eU,     0x68956bcfU, \
    0xc4632465U,     0x07e65687U,     0x11eb97beU,     0xf8d1f6c0U, \
    0xa9be035cU,     0x8cb9a5faU,     0x724d2a49U,     0x3b1972e5U, \
    0x53db618bU,     0x3a0cbc42U,     0x1dad41daU,     0xc8b04a54U, \
    0xf5d3e725U,     0xedee0fdfU,     0xe0b248f0U,     0xbe933b28U, \
    0xc1dcef89U,     0x41e23edaU,     0xf5f93788U,     0x1ad429b3U, \
    0x7b993e02U,     0x2af077f4U,     0x62a7f15fU,     0x8fbf1f3dU, \
    0xfecc0cbcU,     0xd73891bcU,     0xbb8413d3U,     0xdd1b8aa8U, \
    0xb7d8090aU,     0x30894f9fU,     0x9aaa1e29U,     0x513198d7U, \
    0xa1d0ac6fU,     0x3286ad78U,     0xac71a2b9U,     0xb2c22634U, \
    0x85a9175bU,     0x76b4f58aU,     0x3208a893U,     0xeb1031f8U, \
    0x26149ba2U,     0x56fe5530U,     0xc9c65ea7U,     0xccf7a4a0U, \
    0xec6bb09fU,     0x873fa1c5U,     0x8f7a557dU,     0xea603ef5U, \
    0x29232765U,     0x20d46c13U,     0x16eb087cU,     0xdebecbc2U, \
    0x75c63829U,     0x35df0e11U,     0x41063704U,     0x5669c161U, \
    0x6cf58fa5U,     0xfd65d403U,     0x3f80a6a4U,     0x5386a3c6U, \
    0x5205c134U,     0x0b2dfe90U,     0x17fd630bU,     0xe62eb2b2U, \
    0xee8acb7dU,     0x11aa5910U,     0xf1facb62U,     0xc7ba3677U, \
    0x316e9fc4U,     0x7cbf79bbU,     0x247fa1eaU,     0xd5b2d228U, \
    0x3f9a14d2U,     0x3d5d7697U,     0xacbb54b8U,     0x74f5719fU, \
    0xd845d8d8U,     0x5d75b01aU,     0x927f687fU,     0x73fbb97bU, \
    0x8a80f929U,     0x639b215cU,     0xd25c79a4U,     0xa9e80193U, \
    0xa061f826U,     0xb26b9066U,     0x502ca9c8U,     0x8089adc6U, \
    0x57137504U,     0xf3736be0U,     0xe48fe80fU,     0xf421d785U, \
    0x46c68d4aU,     0xeeecf589U,     0x7b1ccef5U,     0x2cac53f6U, \
    0x489bcba8U,     0x2cc2fac3U,     0x013f8d7aU,     0xd500020cU, \
    0x4f714e7eU,     0x876d2630U,     0x2abe088fU,     0xd719b789U, \
    0xc0856e9eU,     0x008da0e5U,     0x52c89dabU,     0x90eef33eU, \
    0x21f2ba26U,     0x2b0d5558U,     0x24e8b8a8U,     0x03196210U, \
    0x9ef60dd6U,     0x11d76293U,     0xd5916d2dU,     0xf8e1c799U, \
    0xc69bf24dU,     0x4bf335cdU,     0x9bf44acbU,     0xdea430fdU, \
    0xb2f5e242U,     0xc24c5893U,     0x9593dc6aU,     0xe48bd218U, \
    0xe40ee65aU,     0x6e6dc488U,     0x6587cdd2U,     0x7363f147U, \
    0x0bbccd9aU,     0x1d0838e6U,     0xf82515baU,     0x48b262d0U, \
    0xccb4bd6eU,     0xde608d06U,     0x5e03a25aU,     0xbd27f84bU, \
    0x9d430593U,     0x9ab1feafU,     0x624aa96eU,     0x2bcde939U, \
    0x86426d59U,     0x90ec81a9U,     0x93771a31U,     0x0f05f87fU, \
    0x0a59bb6eU,     0x25cf8574U,     0x262ab916U,     0x6de51639U, \
    0x8bb8d1b4U,     0x39bd9562U,     0x343de7ffU,     0x30342156U, \
    0x86153166U,     0xcb88dcc7U,     0xb5dfb563U,     0xf31dd940U, \
    0x5a20a892U,     0xee007d73U,     0x5e9a3391U,     0xace1584dU, \
    0xa10fefe9U,     0x02a02e70U,     0x31fd8c19U,     0xa858901fU, \
    0xd90cbfabU,     0x48fd36d3U,     0xfe0e64a9U,     0xe916a5b3U, \
    0xecc8a923U,     0x6e71c905U,     0x386f1246U,     0xe801551aU, \
    0xc3986f60U,     0x47e8f007U,     0x4dd9da82U,     0x94f7d5a7U, \
    0xc769129cU,     0x08b05d06U,     0x092b0cd5U,     0x22acdbf7U, \
    0xc3b7f4bdU,     0x794c6c75U,     0x68c5f4ddU,     0x2a0f9f62U, \
    0x1917f583U,     0xd41759cfU,     0xdde19335U,     0xccbc5e40U, \
    0x4f736746U,     0x0d4a0f33U,     0x59443f36U,     0x17919175U, \
    0x82ce97c9U,     0x09813c44U,     0x9cda6c33U,     0x788d411fU, \
    0xd5b1bb61U,     0x3e97603aU,     0x601223ceU,     0x41a64dd9U, \
    0x61cba5c6U,     0x734d0320U,     0x7dc09bb9U,     0x98498725U, \
    0xdd477922U,     0xe5ae455bU,     0x497b287eU,     0xda65b0a6U, \
    0xbb0d55b4U,     0x3a643808U,     0x8dc7d3c6U,     0x36e94741U, \
    0x2a253646U,     0x2e285a53U,     0x3ab49c2fU,     0xfed31d66U, \
    0x4adde0a1U,     0xbed4f105U,     0x154f83f0U,     0x2871a2a5U, \
    0xde15fb5bU,     0x97ba857cU,     0xf17df4ceU,     0x5917304aU, \
    0xe89a7e90U,     0xa9e68027U,     0xa4b06a9eU,     0xae9fa3cfU, \
    0x1607a1a1U,     0x243b7195U,     0xf611c1c8U,     0xc366cd9dU, \
    0xfc1f5e42U,     0x452d2b2cU,     0xf216a46eU,     0x1e6e71c1U, \
    0xe6fb913dU,     0x6c358248U,     0xccb3e4c4U,     0xc5e51ac9U, \
    0x3e446efcU,     0xa30de171U,     0x9d295b6cU,     0x115e2aa7U, \
    0xe7874cd9U,     0xe63f75bcU,     0x218b0d79U,     0x3b7d5142U, \
    0x6bdcde62U,     0xa360eba6U,     0x20581b8fU,     0xb5c011eeU, \
    0xfc0c6efcU,     0x055e7ac9U,     0x1b512e00U,     0x5a9fce20U, \
    0xf6e0accaU,     0x6fc98347U,     0x58e439daU,     0x5e7f379cU, \
    0x4171ce13U,     0x771d26d8U,     0xd318536bU,     0x788ee774U, \
    0xa8730934U,     0x499e97a4U,     0xc18b91deU,     0x3ff24762U, \
    0xabd8783eU,     0x41989dfeU,     0x541f4699U,     0xa593052aU, \
    0x617e4e1bU,     0xbca286e5U,     0xece38fc1U,     0x0c7427e3U, \
    0x00429893U,     0xccf0023aU,     0x87d9cd08U,     0x12174aeeU, \
    0x8d85fc36U,     0xaa09653eU,     0x146657c9U,     0xb4a46162U, \
    0x24e62f1fU,     0x223ee5f2U,     0x9d178659U,     0xf7eefe64U, \
    0xa9b8cac0U,     0x7c0ac0cdU,     0x73130d1dU,     0x1f931653U, \
    0x9c918c28U,     0xff781f0aU,     0x30f0b2f8U,     0x7a06fbeaU, \
    0xbf7e1a3fU,     0x677697e0U,     0xcd659d62U,     0x4435537eU, \
    0xea3f791fU,     0x310a6578U,     0x832cab9cU,     0xece19124U, \
    0x797a2b23U,     0x9fcb0dd5U,     0x657f3d05U,     0x9136a91fU, \
    0x576d6fbfU,     0x7b339c38U,     0x76111ab3U,     0xe7beeb1aU, \
    0xc85dc5f8U,     0x593db098U,     0x6e804953U,     0x892b549cU, \
    0x8f5bde24U,     0x0bde5ff6U,     0x2ea6d6c0U,     0xf97bed81U, \
    0x6c470b7aU,     0xbbcd6f54U,     0xc7ca9b01U,     0xf2a65b92U, \
    0xf6279c9eU,     0x4ef74735U,     0x4648181cU,     0xc435da79U, \
    0x99fc245fU,     0x274035a0U,     0x54f063baU,     0x531bda52U, \
    0xdf3f5d6fU,     0x7df23256U,     0x049e2268U,     0x74a41e65U, \
    0x490b3498U,     0x9ff7f394U,     0x99c0a009U,     0x82ffdb5fU, \
    0x0d099dcdU,     0x7f8dd3efU,     0x6d7fae00U,     0x61973c6cU, \
    0x5a00af25U,     0x75261c33U,     0x2dc06401U,     0xc6bb9720U, \
    0x2dbfac5eU,     0xa0f0b688U,     0x0c1f2600U,     0xec54d523U, \
    0x537736ccU,     0x248c2d31U,     0xc95383efU,     0x3c326643U, \
    0x9ef8370bU,     0x10b6e3e5U,     0x12e8ed27U,     0xc5e86e5cU, \
    0xf8e57185U,     0xa81a0857U,     0x85421c89U,     0x8c4fcbe3U, \
    0x487a3a3fU,     0xdd4c79d9U,     0x7d479140U,     0xd50f887aU, \
    0xd8d1aeb9U,     0x98a4b060U,     0xa92c868cU,     0x1bbf0005U, \
    0xd1894243U,     0x96cc23a6U,     0x24eb0f5aU,     0x50d3c9b3U, \
    0x590e347dU,     0x4f031819U,     0x27efd56eU,     0x8490ae0cU, \
    0x5dd2fa2bU,     0xa0544f83U,     0x812179e8U,     0x064d56b9U, \
    0x1cc507c3U,     0x0a001cb0U,     0x20896f92U,     0x4d9f4a8dU, \
    0xee590d65U,     0xa9dfd2e5U,     0x5560f3c4U,     0x77218a3eU, \
    0x7d27d20eU,     0x45126948U,     0x588be31dU,     0x1511df99U, \
    0x67565c23U,     0x6e19bb4aU,     0x3862ae6fU,     0x79b5f55bU, \
    0xe17adf84U,     0x40b2f770U,     0x7db8f4afU,     0xe3441180U, \
    0x3b8a5d13U,     0xe80b8a72U,     0xb42944d7U,     0x93f781f3U, \
    0xb818e2a1U,     0x87563e76U,     0xdeb73e02U,     0xcb6efe99U, \
    0xe984336aU,     0x476a0ea1U,     0x700b48b1U,     0x1121b959U, \
    0xca437026U,     0x9ef9dc37U,     0x43c881f8U,     0x8c014bafU, \
    0x98156e77U,     0x310e7fdcU,     0x7a8b8d70U,     0xc61bfa20U, \
    0xaa73fe49U,     0x7e757bacU,     0x209213feU,     0x7fe36a8eU, \
    0x3721effdU,     0x90e16d0fU,     0x4a719a81U,     0x1634d1adU, \
    0x216ba3ccU,     0x159b0946U,     0x06cb04b9U,     0x57262600U, \
    0xf1331f94U,     0x6879c0a7U,     0xb54b1cccU,     0x4e48f737U, \
    0xb32edbe0U,     0xf950d420U,     0xc05ca238U,     0xf3e4bfa5U, \
    0xfbd185daU,     0xfd7b3341U,     0xea677d67U,     0xed9e6d8dU, \
    0x9f918f1cU,     0x0c408292U,     0x98f1ffefU,     0xd8e48c57U, \
    0x273e1f2aU,     0xa36643d2U,     0x4f3fb3d2U,     0xf56bf1caU, \
    0xabdd0784U,     0x29321cdaU,     0x2cc2e994U,     0x80bf31e6U, \
    0xfd3362baU,     0x4d8a9e07U,     0x16843378U,     0xe4d6fc70U, \
    0x560c4ea2U,     0xcd692b79U,     0x9eb20d2cU,     0x98a4e862U, \
    0xf224bd3dU,     0x1ea50877U,     0xa642ea40U,     0xe24a678aU, \
    0x1fda9fc8U,     0xceb1c667U,     0xb56157e1U,     0xfda78ef0U, \
    0xdfca4968U,     0xf1d88f16U,     0xa7c4f77fU,     0x3c49afb8U, \
    0x4cb355bcU,     0xe6b27ddbU,     0x8ff52bbeU,     0xdab4a4bdU, \
    0xb8e33977U,     0x1bd35873U,     0x29ba84aaU,     0x65b375faU, \
    0x47a53f95U,     0x3e974f31U,     0x422ba744U,     0x5d6a08c5U, \
    0x9c9b5822U,     0x27383b52U,     0xddc6760aU,     0xb34e0d84U, \
    0x846fee61U,     0x763cad17U,     0xddd0880eU,     0x68fcce19U, \
    0x007d5cc5U,     0x8bef66d8U,     0x91b1f232U,     0x4bf642f5U, \
    0xc9a64cd6U,     0x6ad50cccU,     0x45a0cfe5U,     0x09b71ad6U, \
    0xfe2062ffU,     0xf45bfd7cU,     0x636a01edU,     0x98e731ceU, \
    0x6b4f9354U,     0xfd9aeac2U,     0xe653266fU,     0xd93a1e87U, \
    0xb6143df9U,     0x67e54cb0U,     0x2789db27U,     0xf28f01aeU, \
    0xe5108be5U,     0xfddd6d82U,     0x85d3a1cbU,     0x3f6f79f6U, \
    0x36cbd547U,     0x72fe806dU,     0x8938f9c2U,     0xa411540dU, \
    0xccc6059cU,     0x5b914716U,     0x2a4d2d09U,     0x6494683dU, \
    0x4d558591U,     0x7b4965fdU,     0x57ee923fU,     0x4f3bea37U, \
    0x7c4b1cc3U,     0x0b499651U,     0x17a62b43U,     0x4c2f9a85U, \
    0xb08b3269U,     0x0416a48bU,     0x2c1fc91dU,     0x6ddb7059U, \
    0xce02fd23U,     0x938b5ef0U,     0xf2a87304U,     0x198faf88U, \
    0xf544cb06U,     0x1545c303U,     0xa642e2e4U,     0x43ca786dU, \
    0xe302a3b8U,     0xb63a1513U,     0x15c9d6cfU,     0xe443a41aU, \
    0x58d04d8dU,     0x19227b89U,     0xfe65fe83U,     0xe6665d37U, \
    0x5b1f06f7U,     0x038f08feU,     0xf1f54545U,     0x0ad9feb4U, \
    0x34f28945U,     0x900076b0U,     0xcb53ccc5U,     0x8d582015U, \
    0xee75668cU,     0xd00cec7dU,     0xe5d6b63dU,     0x7a2b3fccU, \
    0x053662cdU,     0xed6b3cdbU,     0x2a81d22dU,     0xf0845368U, \
    0x4dade790U,     0x6805744aU,     0x783b481eU,     0xa0f2f503U, \
    0xc837c6f9U,     0x2dc3525bU,     0xdede1cb9U,     0xbf87faafU, \
    0xd8210da3U,     0x0f26fd8cU,     0x88cd480aU,     0x0f3fb50fU, \
    0x1f903871U,     0x8806156cU,     0xa81b724dU,     0xe74b894eU, \
    0xeac3df71U,     0x2d5de8cfU,     0xdc48a6d6U,     0x6ffb9349U, \
    0x488d684eU,     0xa2df8a58U,     0x6266b5baU,     0xf42474e8U, \
    0xf023dc41U,     0x15b2a660U,     0x45daada9U,     0xa357b2ecU, \
    0xd4300057U,     0x9910262aU,     0x0474af1bU,     0x337a988cU, \
    0xcd277d38U,     0x801b010fU,     0xef85ae48U,     0xbbe736e7U, \
    0x29200ad0U,     0xf4cff5bcU,     0x573a3959U,     0x24ff351cU, \
    0x3679e8b1U,     0x90652469U,     0x98917f3dU,     0xb1fffff9U, \
    0x5b379e86U,     0x8d62f8bcU,     0x2a123455U,     0xe6330ed8U, \
    0x68a11d31U,     0x9c024acfU,     0x77e60a5fU,     0xd7f731a6U, \
    0xf68fa3ccU,     0xf564b255U,     0x1d623a54U,     0x1c73a3afU, \
    0x677e4216U,     0xbf5fb4ffU,     0x748004a1U,     0xd674af34U, \
    0x0ae95450U,     0x93b428daU,     0xa431d3d1U,     0x5ed4680eU, \
    0xe23be383U,     0xdd90694bU,     0xff3f726fU,     0x0fbf2d64U, \
    0xebc1708bU,     0x4913ce64U,     0xa0ee67c1U,     0x8d21d90fU, \
    0x8d170a79U,     0xace48309U,     0x2063084fU,     0x185b894eU, \
    0x044cf889U,     0xa87c7771U,     0xcf8af41bU,     0x5ba7b59dU, \
    0xe17202acU,     0xa3dd526dU,     0xcfe56648U,     0x5ab9ba09U, \
    0x4d39adecU,     0xaa964817U,     0xb6637687U,     0xa36bba59U, \
    0xe44fb05fU,     0x3d414f6cU,     0x7f21b7abU,     0xcec3c201U, \
    0x494e85e9U,     0x1a866541U,     0xaaf6408dU,     0xdc8a6bd5U, \
    0x1ca881efU,     0xdf5e712eU,     0xee8a303cU,     0x1f301952U, \
    0x89c1c165U,     0xb1846cd2U,     0x180ff180U,     0x73910b2aU, \
    0x42e3d34cU,     0x940fac98U,     0xa575eae8U,     0x2c4a5331U, \
    0x1d5d328cU,     0x4c0b3778U,     0x1f6a4a60U,     0x7d709d1eU, \
    0x04462f16U,     0x1a45f5c9U,     0xf7103187U,     0xa70245e2U, \
    0x250715d8U,     0xbcec1fdcU,     0x503a99ceU,     0x9cf9bd48U, \
    0x632461e2U,     0x4a9c34d7U,     0xe1c205e2U,     0x850faafeU, \
    0x64233937U,     0x412f4303U,     0x59b40f9cU,     0x42e6390eU, \
    0xe505b067U,     0xe07f8064U,     0x1eba5f5cU,     0xe50415dcU, \
    0xe3f1d49aU,     0x13b15bf0U,     0x7f5691a1U,     0xfebc4110U, \
    0xd09f34a8U,     0xae818a6eU,     0x943a5435U,     0xa27541f1U, \
    0x8dbcb3a5U,     0x5db3350eU,     0xfa62fec6U,     0xe5950aedU, \
    0x750d7fa3U,     0x93674b53U,     0x915ee36cU,     0xe2f6ff32U, \
    0xbadefb71U,     0x69d7936dU,     0x0e9564e3U,     0xc9b5ad72U, \
    0x3545e9d6U,     0xa688fa24U,     0x5c0ecd46U,     0x9e03e0b5U, \
    0xc30f8f2dU,     0x06671df7U,     0x8034431cU,     0x67d01150U, \
    0xf17af375U,     0x604e2957U,     0xf22f6c70U,     0x58df62bdU, \
    0x4421a4a0U,     0x066259d2U,     0xdbd1b886U,     0x65e6c113U, \
    0x053993fdU,     0x8477ae47U,     0x2755da65U,     0x3e3f07c9U, \
    0x62c3b52cU,     0x9a513816U,     0xae5881ebU,     0xab8475e7U, \
    0x802f7e6aU,     0x5a7ee479U,     0x1b6520cfU,     0xf6a1bff8U, \
    0xbb54c0c6U,     0xd3119e91U,     0x2d7acc07U,     0x8302a607U, \
    0x6045969aU,     0x364793a6U,     0x4a9e0504U,     0x72626913U, \
    0x7d14ccd4U,     0x53f369b8U,     0x10266736U,     0x94b34c60U, \
    0x48ce91b8U,     0xa417fedaU,     0x5bead47dU,     0xc5ff5e1dU, \
    0x48f4e79aU,     0x0bf970b5U,     0xd5b3eac9U,     0xdb06d564U, \
    0xa0a124e1U,     0xb5547ef2U,     0x2f6e5e48U,     0x6cc7d4b1U, \
    0x64181272U,     0x4f4f5758U,     0xeff06053U,     0x7ee4afa8U, \
    0xc61f8c0eU,     0x82b6cd11U,     0x22cdee4bU,     0x513a0dd2U, \
    0x6bd29e4dU,     0x06a11f9aU,     0xf9cf21bdU,     0x1db7bc04U, \
    0xc8168cfbU,     0x153d6c2fU,     0x4416b87aU,     0xc297843fU, \
    0x3a2d459aU,     0x5a611e97U,     0x2445eb55U,     0x66c46299U, \
    0xb6f55e11U,     0x754fa2efU,     0x6be93f78U,     0x829178b5U, \
    0x75980c39U,     0xec325789U,     0xc218c511U,     0x24d7dac3U, \
    0x8453b772U,     0xda72b95fU,     0x8a5d8c77U,     0x4cd0c09bU, \
    0x7bc34587U,     0x8f258491U,     0x8b43ecf0U,     0x7e721c75U, \
    0xcbf3fd7dU,     0xe5ffcb51U,     0x535948b3U,     0xa895abbdU, \
    0xd08fa53aU,     0x77c9586eU,     0xc725d7b1U,     0xe84d8543U, \
    0x53458a7aU,     0x1d7d4869U,     0x7b52f455U,     0xb65d09fcU, \
    0xe224809cU,     0x297ceb96U,     0xaadd58d6U,     0x73485457U, \
    0x34f9d0b9U,     0x1fdc44e7U,     0x6416840dU,     0x56e6f281U, \
    0x5b73ea55U,     0x3e9be64aU,     0x9e8976e6U,     0xd0587b14U, \
    0xda15a84cU,     0x43ee633dU,     0xb3c890e5U,     0x331c8b98U, \
    0x023f230fU,     0x50f5097bU,     0x671cafcdU,     0xb7f60876U, \
    0x1f5dfd3dU,     0x383c8324U,     0xc5a86b53U,     0xe327f0cfU, \
    0x93b11250U,     0x84c1106dU,     0xa280342fU,     0x6bec5e93U, \
    0x57511521U,     0xf06b13c8U,     0xb7ac3c37U,     0xbdde9d1eU, \
    0x2f812275U,     0xca1189abU,     0xdd36ef71U,     0x38bdae9dU, \
    0x92279b3aU,     0x1d138eddU,     0xc3eb201bU,     0x71487108U, \
    0x42ab068cU,     0x1d18be5aU,     0x08976a4bU,     0xcd47abecU, \
    0x5806abb2U,     0x8a32569eU,     0x2816804cU,     0x1cba22cfU, \
    0xacb7dadcU,     0x4450d028U,     0x3118f320U,     0x6f54a30dU, \
    0x923fa920U,     0x98c88015U,     0x103d0ae8U,     0x9c6eca44U, \
    0x9447df61U,     0xcef5edcfU,     0x586363d9U,     0xd962f995U, \
    0xfea32a93U,     0xdb14d31eU,     0x09364d9cU,     0x78c590b5U, \
    0xebf96b6dU,     0x1cd35293U,     0xa04d6645U,     0xacfe1a3cU, \
    0x63d7ecd0U,     0x585c52fdU,     0xf4d5244dU,     0x2a4a752aU, \
    0xdbb15103U,     0x2c75cff0U,     0x03b11926U,     0x89216cdfU, \
    0x6610b3afU,     0x5d140543U,     0xecb1d06eU,     0x82a7962fU, \
    0x3f317f53U,     0x8759faeaU,     0xbb04e13bU,     0x8b255771U, \
    0xda3e319aU,     0xe617c12dU,     0x2e0d1b1dU,     0x6b669bd3U, \
    0x28ee067bU,     0xf14eb4c0U,     0xb651d96aU,     0xb157d65bU, \
    0x71a920b7U,     0xb5f522d9U,     0x26088554U,     0x9106fe84U, \
    0xdd17b87dU,     0x80f0b7cdU,     0xe2d02023U,     0x5debb78dU, \
    0x85868c1aU,     0x89c014f1U,     0xba57b3feU,     0xca390eadU, \
    0x7f5b2f24U,     0x4b9daa0aU,     0xf2417787U,     0x258cd7edU, \
    0xc408b582U,     0xc2b920a6U,     0xceadbfaaU,     0x12e205ecU, \
    0x0a3e6d05U,     0xbc2b6898U,     0x8703726dU,     0x956ebdecU, \
    0x7e363f02U,     0xb7b47619U,     0xa5c72d3aU,     0x6531ef99U, \
    0x426dba1bU,     0x035712ecU,     0xe3024fceU,     0x77bcb36bU, \
    0x1087f2c9U,     0x147fe618U,     0x1e813638U,     0xe6da75a6U, \
    0xe9fe9cbfU,     0x0f5931b6U,     0x74ec8db3U,     0x2663a1fdU, \
    0x6edc4e2eU,     0x796c0d3bU,     0xba771124U,     0xbd8cc2b9U, \
    0xd663cdd2U,     0x19d8005fU,     0x5e242c24U,     0xf610462eU, \
    0x8b58d88bU,     0x17127b52U,     0x5eeb4992U,     0x6fe86dfeU, \
    0x16d120d2U,     0x658bfb0fU,     0xe43fbbcbU,     0x240484cbU, \
    0x61c1b48fU,     0xb58551bcU,     0x6ed7dd52U,     0xd9b8085fU, \
    0xf091a976U,     0x32059a52U,     0xb15a640cU,     0x1d8b564cU, \
    0x74506140U,     0xf68d585bU,     0x3d564cb2U,     0xff32e239U, \
    0x9339fee3U,     0x65f89bffU,     0x1905e988U,     0x663f106cU, \
    0x2c45f774U,     0x35976cb6U,     0x86311eeaU,     0xac5ae1f3U, \
    0xd84a4a1cU,     0x55d8fd43U,     0x6e0379d0U,     0xf880b402U, \
    0x5afe2076U,     0x12b5bd74U,     0x2c5d73bcU,     0xe017acdcU, \
    0x39d0e4f9U,     0xf665fd10U,     0x66aa9053U,     0x331f41d3U, \
    0xf84dbc07U,     0x5571879aU,     0x666133d5U,     0xda53f470U, \
    0x4b6e9669U,     0xd2477091U,     0xfb5743d0U,     0x81ea979dU, \
    0xa8bf6cc0U,     0x46927aa6U,     0x56c74841U,     0xddeada1dU, \
    0xc083053aU,     0x2a6ebeeeU,     0x75150424U,     0xe03fe93dU, \
    0x3da52080U,     0x48db7e41U,     0xd92d51dbU,     0xef46aabcU, \
    0xd5c60f5eU,     0xe1025438U,     0x177a5584U,     0x87417fbaU, \
    0x06764905U,     0x08bd4a43U,     0x2f60babfU,     0x76fc0777U, \
    0x40643f1fU,     0x324d8203U,     0xccafc89aU,     0x6bb58bebU, \
    0x2580b28dU,     0xfad6ba91U,     0x7691e0beU,     0x19f8f911U, \
    0x4d7634f1U,     0xe37374dcU,     0xb23a0cfeU,     0xcc664ff4U, \
    0x8526e7dfU,     0xd03d02beU,     0x397f3eb1U,     0x41c3ac3fU, \
    0xecff65c9U,     0xb2a7bbc8U,     0x9b47c259U,     0x9c72a12aU, \
    0xcea3718eU,     0x51704458U,     0x035757bcU,     0x685bcc2eU, \
    0x2bcff53eU,     0xc67e850eU,     0xc3620183U,     0x6d34ead0U, \
    0x6031c9dcU,     0x31698291U,     0xaad749b2U,     0x7444e032U, \
    0x6c987d04U,     0x787de2d0U,     0x3b529380U,     0x5347d11dU, \
    0x73798be8U,     0x149ec565U,     0xa755dcb0U,     0x6ebfbf69U, \
    0x00a2454bU,     0x4b7f2ebbU,     0x1ffb9e3fU,     0xa09a811aU, \
    0xae8db170U,     0x02aae443U,     0x9d469c6eU,     0x1e180ce6U, \
    0xfd2bf061U,     0x2f48d408U,     0x7e909873U,     0xe1f31dcbU, \
    0x0be8fc5bU,     0x68826787U,     0x70ef858fU,     0x0bb2f3b1U, \
    0x949acadbU,     0x7d5ebdd2U,     0x2c6a773dU,     0x9c55039bU, \
    0x0f46350aU,     0x87bb38bfU,     0x3904474fU,     0xfc252884U, \
    0x5a55ee6aU,     0x3269de01U,     0xd3fb08a9U,     0xaa135d7aU, \
    0xc6d55ff5U,     0xa2272b74U,     0xff1b225fU,     0x16935b3fU, \
    0x6f9abddfU,     0x189a5760U,     0xef9381beU,     0x4e31d715U, \
    0xcf670ec1U,     0x539618beU,     0x64b07015U,     0x03a775e9U, \
    0xb11c3e5fU,     0xf660e80cU,     0x01409f5fU,     0x70a06e6dU, \
    0x763951f5U,     0x5d425b85U,     0xb8eac2f9U,     0x4b928931U, \
    0x6687535aU,     0xb324101dU,     0xa7bda518U,     0x92177ca5U, \
    0x77d7843bU,     0xa6ab6632U,     0xbb2c0735U,     0x67a9506fU, \
    0x922ee827U,     0x2adeb567U,     0x1f2aa117U,     0xfc542962U, \
    0x131a3a7bU,     0x2bfb8127U,     0x85e4f8eeU,     0xa4724882U, \
    0x82f096ebU,     0x758929cdU,     0x43a57b85U,     0x5d0d9ec6U, \
    0xf1c42c04U,     0x53cad575U,     0xd20b4610U,     0x80d31645U, \
    0x981ff2edU,     0xce90593fU,     0x76b19373U,     0x17d44098U, \
    0xaf0f6ee5U,     0xd2e259baU,     0xe6efbc15U,     0xa77eb557U, \
    0x532f3829U,     0xc2875fb5U,     0x24c55d4eU,     0x6c90fe1dU, \
    0x7572d923U,     0xd2332fc9U,     0x2b2bbe5aU,     0x233c02e8U, \
    0x5f4979ddU,     0x7a73602dU,     0x0e4e4563U,     0xa3bb3b13U, \
    0xce5cf455U,     0x60c17bd0U,     0xbbb18bd4U,     0x5ef63f54U, \
    0xc1efa392U,     0xca9a55ecU,     0x9358596fU,     0x18187adeU, \
    0x8a934158U,     0x00825bd0U,     0xc99c3e99U,     0xa3b12bbeU, \
    0xfcef5aa1U,     0xef7e4f9dU,     0x300cd86cU,     0xa822b3ffU, \
    0xed2c54b3U,     0xef192a0aU,     0x3b1e8082U,     0xe66b019cU, \
    0xd4193db3U,     0x3591a67aU,     0x4795faedU,     0xc7e2202aU, \
    0xc7b8e56eU,     0xa855d950U,     0x61b4a439U,     0x6fa3f733U, \
    0x1bcb8730U,     0xd27898c2U,     0xd7a008feU,     0xc34bb62cU, \
    0x053d1912U,     0xf74fe929U,     0xea84143aU,     0xc13363edU, \
    0x1106e6c3U,     0x64ff1312U,     0x1e1dfd2fU,     0x82b2bedeU, \
    0x6ad7fb50U,     0xd95fab8fU,     0xd39f7fbdU,     0xae49be54U, \
    0x989c43a6U,     0xed2826e9U,     0x5665dbf0U,     0x98bb5224U, \
    0x3cc985daU,     0x8b01a7d9U,     0x7dd7639bU,     0x954be317U, \
    0xaefa7da8U,     0x554ca796U,     0x8e7bff2dU,     0x1612a1fdU, \
    0x6f419f38U,     0xfe66fba8U,     0x0642406bU,     0xcdcf17bdU, \
    0xfd37e324U,     0x5bc69f8eU,     0x3b22d100U,     0x66ef0a27U, \
    0x405d7543U,     0x7aeb81f5U,     0x70fcebacU,     0x7b80c347U, \
    0x5afeca02U,     0x4c7e070dU,     0x223400acU,     0x6b515d8dU, \
    0xfb44a8baU,     0xccbd4860U,     0x6ef07f1eU,     0xcdadb7d3U, \
    0x70160ddcU,     0x7bfd1fa5U,     0x5621c757U,     0x392712d2U, \
    0x06a7a1e7U,     0x4959c22aU,     0x2a409203U,     0xc8580557U, \
    0x2fe8529cU,     0x854dc6f8U,     0x366f9d61U,     0xc65ce0e3U, \
    0x12b72692U,     0xfc3ba1bcU,     0xc89c3925U,     0x67722d92U, \
    0x53878782U,     0xf431e514U,     0x663dfadfU,     0x2c81b2b2U, \
    0x497bda72U,     0x560c461dU,     0xe4055458U,     0xdc5a6f18U, \
    0xaea2bc74U,     0xc0c2df2bU,     0x9fc5d09dU,     0xb8fdeef5U, \
    0x7a8b2d4dU,     0x7776ace3U,     0xf1df9b38U,     0xc4b122e6U, \
    0x69acc7dcU,     0xde248c9bU,     0xc69e1330U,     0xf0466c97U, \
    0xb0cf55a5U,     0xc3f6f192U,     0xc72d30deU,     0x80065f10U, \
    0x4551146eU,     0xdac0c8a3U,     0xcf22ec2cU,     0x6e3d507eU, \
    0xccc1b7a6U,     0x3ddae691U,     0x71651a9aU,     0xd13aa05fU, \
    0xafbc959fU,     0x42e3850eU,     0xb72a40a7U,     0xea785e80U, \
    0xb8f53ed9U,     0xb0f15bfeU,     0xf2f61b76U,     0xd18ba7c6U, \
    0xdccb7388U,     0x5eafa164U,     0xa95a4795U,     0xdc9a95b1U, \
    0x62606a63U,     0x0ee7eac8U,     0x580e7de1U,     0x7115b241U, \
    0x3c8ad134U,     0xfcf88506U,     0xc7f0aae1U,     0x29ab3ed5U, \
    0x35f8fa25U,     0x89539ab5U,     0x6eceb907U,     0xb73b1b57U, \
    0xec9db156U,     0x93b8bb3bU,     0x55aeea74U,     0x79cd8e77U, \
    0x32da0219U,     0x286216a4U,     0x0bdfff47U,     0x5ae6e3eaU, \
    0x68823589U,     0xe8db4304U,     0x217ff192U,     0x4ed82c22U, \
    0x44c8f897U,     0xdb00d6efU,     0xb568aafaU,     0xaac04936U, \
    0xee8fea12U,     0x25194e9fU,     0xdd64a853U,     0x650b227aU, \
    0x93814c6fU,     0x157dccdfU,     0x5a950e96U,     0xb31bbe2aU, \
    0xe7e49726U,     0x7b0801cdU,     0x59239bcfU,     0xbcdacad8U, \
    0x29713d8aU,     0xdc241ea6U,     0x20da60efU,     0x678bf306U, \
    0x9a000a77U,     0x7fcc5ed1U,     0xb3961356U,     0x194e4056U, \
    0x885e7ff6U,     0x941c0fc4U,     0xfc2ebd06U,     0x35e66220U, \
    0x5c35ca7bU,     0x180020d3U,     0x00f007d3U,     0x26bfc449U, \
    0x544f2d09U,     0xe2f4e1beU,     0x47ebdec7U,     0x4434deb3U, \
    0x9ca79a8cU,     0xf9fc3513U,     0x49c995f3U,     0xede5b1b6U, \
    0xe943a602U,     0x419941bcU,     0x8f15c5ddU,     0xbc8e2215U, \
    0xc47baa83U,     0xfd8f35b4U,     0x44820f82U,     0xf876d956U, \
    0x6d526d6dU,     0xf4df2a52U,     0x4d8d7109U,     0x8b3abef1U, \
    0xee6e442cU,     0x5dac3e34U,     0x65df8ee6U,     0x0aac89e0U, \
    0x00187669U,     0x57328ca5U,     0x0054c44fU,     0xb429871bU, \
    0xd126c0afU,     0xf582ebc5U,     0x52862ef6U,     0xcfc73efeU, \
    0x10641536U,     0xf631c07bU,     0x6e2ee758U,     0x6df4b013U, \
    0x3508cc4dU,     0x82858335U,     0xbfcef4d8U,     0x4853ff15U, \
    0x7fce5b5eU,     0xa4214025U,     0xf498ad6bU,     0xbb956b5eU, \
    0x4e494664U,     0xffe04786U,     0x3dcb8da1U,     0xae8f60b5U, \
    0xf1d5ceb6U,     0x4274f209U,     0x26ac9894U,     0x54a93e3aU, \
    0x4fe74adfU,     0xc1de5458U,     0x84254ec6U,     0x65a1079bU, \
    0xc3b425baU,     0xa3f2a670U,     0xd9251904U,     0x6999ec56U, \
    0x6047bd48U,     0xa9a4d5e6U,     0x8d4a3846U,     0x132a6638U, \
    0x1e0a0fceU,     0xd56234e5U,     0x8ae6b641U,     0x02a14de8U, \
    0x841e3c7aU,     0x13b02bfeU,     0x6b4b278fU,     0x4146fdbbU, \
    0x526b1506U,     0x33314f5aU,     0x4be9a31aU,     0x1cea5ef2U, \
    0x86d4e7f4U,     0x0ba863dbU,     0x3d59aa82U,     0x5dea214aU, \
    0xe46d3484U,     0xac8a9bbcU,     0x2c10b687U,     0x2de338bbU, \
    0xd49a6de2U,     0x23a1c94dU,     0x9d593d1eU,     0x6248cdafU, \
    0x82eff8c8U,     0x0cdddc81U,     0x84797e3dU,     0x7381beebU, \
    0x82d84d70U,     0xf1b349fcU,     0xadd985e2U,     0x7c204786U, \
    0x6b6e0a59U,     0xe04e458bU,     0x9d5da984U,     0x0e95577aU, \
    0x3b2e9d99U,     0xbfdd4f88U,     0xe7ea465eU,     0x8f97e13aU, \
    0xd894432eU,     0x0724cbcfU,     0xd0731d75U,     0x77be37cdU, \
    0x9e41f949U,     0x70217dddU,     0x8bb7404cU,     0x9243b627U, \
    0x2dd43cb4U,     0x3744cf4bU,     0x09a886dbU,     0x2ba6bc31U, \
    0xc5d79fb3U,     0x6b7cc6c3U,     0xfd4c2675U,     0xbafb0bdbU, \
    0xb0148ba1U,     0x6b973074U,     0xe7e23d0dU,     0x2585f00bU, \
    0x1d05ba1cU,     0x86ffd1caU,     0xb48fd207U,     0x39c615b9U, \
    0xb5c22d8dU,     0x3ae992ddU,     0xb7ffaf4bU,     0x779bfaeaU, \
    0xc0a8c12cU,     0xa7060f31U,     0x29f67c1bU,     0x8ed4769dU, \
    0xecc95b2fU,     0xf344a1afU,     0x449303cfU,     0x8a5c49faU, \
    0x84475c21U,     0xa0f2a591U,     0x0b4ca26dU,     0x0a0dc421U, \
    0x8cf34cc7U,     0x00a50764U,     0x3517e3c8U,     0xe0131a33U, \
    0x47200679U,     0x70779540U,     0xbc6fe661U,     0x6ec4463bU, \
    0xdcc09ef9U,     0xea30b25eU,     0xc61df451U,     0x78fef8e7U, \
    0xd58246eaU,     0xc763610aU,     0x5cfc9140U,     0x2ee1061eU, \
    0xc707ccc3U,     0xa84216cdU,     0x85dc1ae3U,     0x11fe9b74U, \
    0xb668a083U,     0xee913681U,     0xf0f19f8dU,     0x8c261c97U, \
    0x436b9cabU,     0x21706faeU,     0x0c2fa4a0U,     0xc5dcdd8eU, \
    0x8ebc00d1U,     0xc2e4f09aU,     0x391c3d59U,     0x4fafffebU, \
    0xa90e7737U,     0x8e3fba08U,     0x73cee439U,     0x83419acdU, \
    0x8afee26fU,     0x904d2371U,     0x671afd2cU,     0xda964554U, \
    0xe4c3a734U,     0x0b654071U,     0x372a361eU,     0xa1673347U, \
    0xf28b8ce1U,     0xb82ec9b3U,     0x4485d968U,     0x6851c3e6U, \
    0xe4749dcaU,     0xdd48c46eU,     0x01f476c3U,     0xddf6df50U, \
    0xe0991386U,     0xe2d129ffU,     0xb0854980U,     0x38adae3bU, \
    0x74da0e3eU,     0xae1d1b2aU,     0xe9ca27b3U,     0x39ba69beU, \
    0xdc543b14U,     0x4c980971U,     0x87387fecU,     0x1edd218eU, \
    0x7428ad23U,     0x0f7a28c0U,     0x89d2e8a6U,     0xed4b7c85U, \
    0x9ed7bab3U,     0x49e8f4a1U,     0x06ea55eaU,     0xb9ecfbc5U, \
    0x850097bbU,     0xea20b52bU,     0x1a52d348U,     0xab0e0bd4U, \
    0xb93f622aU,     0x990b9b8bU,     0x264043f0U,     0x8701358dU, \
    0xc42851b5U,     0x153b7e07U,     0x28ef8cb8U,     0x3bb6bc71U, \
    0x861aa3a1U,     0x1d8569d0U,     0xaeaf9f6aU,     0xcc1f29c7U, \
    0x93cd8aceU,     0x13701eefU,     0x7a9d14a7U,     0xc8b93e7fU, \
    0xe872d842U,     0xd4c73fcbU,     0xd8b856ddU,     0xdd7b2771U, \
    0x303238deU,     0x9f8485c0U,     0x39ae3662U,     0x7f225284U, \
    0xa08afa2bU,     0x6126ff74U,     0x0b47f381U,     0x1eb91a48U, \
    0x53909090U,     0x38fd85dcU,     0x8e8d5f66U,     0x12aea114U, \
    0xd159a3d0U,     0x13ff8c31U,     0x15d0202eU,     0x4f0203e8U, \
    0xf35784bfU,     0xd015639fU,     0x814fc45bU,     0x2e20e8a4U, \
    0xae52e192U,     0xc882710dU,     0xbad41ea5U,     0xcd26607bU, \
    0x6546564aU,     0x26d2f8a3U,     0x67c6ce07U,     0x2f37f482U, \
    0x654f0531U,     0x691f7986U,     0x2dd3b469U,     0xa0b91465U, \
    0x7b790023U,     0x8c105829U,     0x099cb556U,     0xaf200f9bU, \
    0x14d5871bU,     0x80bcd2a2U,     0xeb9bce4bU,     0x5bfe86c9U, \
    0x409b077bU,     0x9e2dc93eU,     0x1d8aa0a6U,     0xe1b6bf87U, \
    0x5f80140bU,     0xef16832aU,     0x50f77d43U,     0x276ef5c6U, \
    0x8f57330aU,     0x6ff5a0eaU,     0xc9343b12U,     0x195426d7U, \
    0x667ed572U,     0x9163ac31U,     0xd8bcca3dU,     0x829c279fU, \
    0x6b845f7fU,     0x3e6a1891U,     0x07905b46U,     0xa20f3d41U, \
    0x09e68901U,     0xc9af40ecU,     0xf40e4008U,     0x5a84625cU, \
    0x95328846U,     0xd9e6b54aU,     0x9cc63cc5U,     0xf0d882c4U, \
    0xb29d7f41U,     0xb61e72d0U,     0x9a0bd838U,     0x1f4fc2beU, \
    0xaace717dU,     0x0f6e21a7U,     0x90470efbU,     0x445006a3U, \
    0xb656f6b2U,     0x846b454fU,     0x45ef3639U,     0x88e338d7U, \
    0xa31bb9a3U,     0xa7b5aa84U,     0x73df3f52U,     0xd0e16174U, \
    0x91d3efc3U,     0x0231c206U,     0x8f2be5b7U,     0xcfc8df41U, \
    0x9b4297aaU,     0x32a1e553U,     0xc1e4d67bU,     0x63408788U, \
    0xb952fe1fU,     0xbc93c3b7U,     0x64e82352U,     0x6b400016U, \
    0x0be1b1c4U,     0x84a95293U,     0x9c5a1e03U,     0x183aa8d0U, \
    0x60273d9aU,     0xda17da67U,     0x7071608eU,     0xcf1f98feU, \
    0x93cc3b49U,     0x8fb95865U,     0x9fca6d99U,     0x67aa74f2U, \
    0x9a512bceU,     0x13cef76aU,     0x135dbac9U,     0xf78940fcU, \
    0x59f335a5U,     0xf2d2e0b5U,     0x61b0cdfdU,     0x5ae7e717U, \
    0xa453b707U,     0x68438bbbU,     0xc6f605d0U,     0xdbcd0c2fU, \
    0xfa1b317fU,     0xcdd3446fU,     0xc9c8bbe1U,     0x2412f058U, \
    0xf8198c77U,     0x69e0764dU,     0xfdd0aeabU,     0x5a22ead8U, \
    0x111a8968U,     0x83f48dc4U,     0x944750aeU,     0x2bccb8acU, \
    0x09e9315bU,     0x22eda035U,     0x55112800U,     0xf6cd2bd0U, \
    0x1dd29652U,     0x2213f607U,     0xf507d8b9U,     0xe22ea620U, \
    0x3c6a975cU,     0x91c512d5U,     0x92d2417dU,     0xd9197eebU, \
    0xaecaf25fU,     0xb9676197U,     0xc962eca4U,     0xefcd301eU, \
    0xce2e0a4cU,     0x924e74d8U,     0x20eabcf9U,     0x34650237U, \
    0x75445c27U,     0x77abdda0U,     0xae6946d3U,     0x9e34f164U, \
    0xdac4819cU,     0xda171471U,     0xf6ea7fb0U,     0x27f1305dU, \
    0x5a1782e0U,     0x33236840U,     0x1e00d461U,     0xe1a66370U, \
    0x1a370540U,     0xeacf2eb9U,     0x35dacc41U,     0xbf75415bU, \
    0x04095439U,     0xb041debcU,     0x9eb2e9d9U,     0x46dad9b8U, \
    0x2b75efb4U,     0xca655e6aU,     0xf0c39a7eU,     0x2c011d2cU, \
    0xffdb1d9fU,     0x9494c7baU,     0x52f321a5U,     0x757dbb0bU, \
    0x3dea8288U,     0x4e8d9afaU,     0x913f240dU,     0x3311aa6cU, \
    0x9e6cd419U,     0xe5ee3774U,     0xc5f8dedeU,     0xf34fed35U, \
    0xcb3a0ff5U,     0xc511d129U,     0x19db059cU,     0x257d43e5U, \
    0x66cea37cU,     0x3d5e4088U,     0xd67c4ebaU,     0x2e47e98aU, \
    0x9a304a66U,     0x63e2be03U,     0x5129b882U,     0x60a847e7U, \
    0xd8d8f81fU,     0xee99b4b3U,     0xaa0d72d5U,     0x9aaeece9U, \
    0x96d95fd6U,     0x833286d5U,     0x4f57aeafU,     0x56c64b5cU, \
    0x9a18b886U,     0xf88d1d9aU,     0x8c7aa50fU,     0x58c473acU, \
    0x0e16d217U,     0x94c789efU,     0x3d9608a8U,     0xbebbb3e1U, \
    0x52d34decU,     0x548c04aeU,     0xb3f6f843U,     0x622a3e9bU, \
    0x04604d40U,     0x8aa706e0U,     0x372bc71dU,     0xceec17abU, \
    0xb5785ba7U,     0xbfeb79f4U,     0x07c91e91U,     0x2b402f8fU, \
    0xbe47a0ebU,     0x466e3de3U,     0x308155d5U,     0x1aa5dd3aU, \
    0xf3176a87U,     0xc08688bdU,     0xc2bd5fedU,     0x5e99da41U, \
    0x47bc5a0bU,     0xf4ca7a2fU,     0x5261be13U,     0x86d0b8c8U, \
    0x84823575U,     0x0885b01eU,     0x98200879U,     0x99ce0e36U, \
    0xc0aa5672U,     0x411f8c40U,     0x2d6cf47bU,     0x00c94a2cU, \
    0x6bbd4777U,     0x568e29b5U,     0x9e14e9f3U,     0x8d3979a2U, \
    0xedc65abcU,     0x43a5a517U,     0xac53fbf4U,     0xb8286a4cU, \
    0x76c04453U,     0x3d6a9525U,     0xf2bbd2a1U,     0xad0365daU, \
    0xe7a0186eU,     0x45b0edb4U,     0x793bd8e6U,     0x5d98935fU, \
    0x76d6b4d6U,     0x203d23b6U,     0xbb455be8U,     0xc30b9bf0U, \
    0x0b8472d5U,     0x51fa5082U,     0x613b03beU,     0x1b282cd7U, \
    0x477f42e9U,     0xfde11df6U,     0xd36fcfccU,     0x858776e1U, \
    0x69fde143U,     0xa833bba6U,     0x079ac52eU,     0xf8b0ffdaU, \
    0x62cc8cd2U,     0xb637402eU,     0xe3090348U,     0x0d0e968dU, \
    0x83fa7be4U,     0x1bec4674U,     0x3f21a697U,     0x31003bfaU, \
    0xf2832de8U,     0x349351fcU,     0x5c0dec8eU,     0xad39a78eU, \
    0x7be61bf5U,     0x83e5a887U,     0x97d752aeU,     0x80305f9fU, \
    0x9ba82a35U,     0x62b946e8U,     0xae414d95U,     0x126ddad8U, \
    0xfa54e2a8U,     0xf4f70de4U,     0xc487115eU,     0x64669b10U, \
    0xb75d27d8U,     0x45a21d54U,     0x44d89139U,     0xd1b6e70bU, \
    0x97b13636U,     0xd7fb8aa5U,     0x75f0264bU,     0xc146b515U, \
    0xbe055b3eU,     0x6069d8caU,     0x19d0777eU,     0x31ec18b2U, \
    0x8b62ee6dU,     0x9b273debU,     0x9eafe0f5U,     0xab518c29U, \
    0x3a162988U,     0xc9bd103bU,     0x03d42624U,     0x3001259eU, \
    0xd420a1ddU,     0x8eb8de2bU,     0x7a9c7dcbU,     0x20e1b12eU, \
    0xcfdf34d4U,     0x5682b0eaU,     0xfcfed57cU,     0xc6c37338U, \
    0xfaf8c417U,     0x6aa3a188U,     0xd1d09265U,     0xae8bc3ecU, \
    0x7b13e829U,     0xae8e57d7U,     0xf79216dbU,     0x2924df1eU, \
    0xa0aba462U,     0xdfc2937fU,     0xfa53c120U,     0x37ea54c3U, \
    0xa146de48U,     0xf9995ba6U,     0xe94daa5cU,     0xeaeb13e0U, \
    0x0c1ea52fU,     0xc2c5c162U,     0x0f6406d0U,     0x03f16b2bU, \
    0x9630d5a6U,     0xaf8ea4edU,     0x94b45edeU,     0xaeda2c7fU, \
    0x017a897eU,     0x8b8232f6U,     0xda5a40caU,     0x6b65047eU, \
    0x318645a4U,     0x0085bf31U,     0x6fea2d06U,     0xf866fd92U, \
    0xb944ff95U,     0xd921d015U,     0x726dfeabU,     0x44545b71U, \
    0xa7664c75U,     0xc5de6ec5U,     0xacead6d1U,     0xd3949006U, \
    0x67e48829U,     0x2dc8c9e1U,     0xda3cef42U,     0x9ff293f4U, \
    0x683551e2U,     0xbe7e7b79U,     0x423e11bcU,     0x411fed58U, \
    0xcff44e3aU,     0xc16dd4daU,     0xd6709126U,     0xdbbcd991U, \
    0x5062248fU,     0x4407a4eaU,     0x091d7bc1U,     0xecd89e26U, \
    0x07961ddeU,     0x302cb307U,     0x098fa374U,     0x688e7f30U, \
    0x51259e28U,     0x468a7416U,     0x240b4edaU,     0x9baf7ca0U, \
    0x36a0b14eU,     0x764d0ea7U,     0x91ed9fecU,     0xfd02cfd3U, \
    0xd1390948U,     0x0b9993a8U,     0xef11efc7U,     0xc45ac008U, \
    0xd5dc683dU,     0x2f891604U,     0x8852f4d5U,     0x46327af0U, \
    0xae97839fU,     0x0c9a0b58U,     0x2f713e56U,     0x2b0c0ca9U, \
    0x9e9ef425U,     0x7d0dcd9aU,     0xe36baaedU,     0xf5527a61U, \
    0xb30aa5a3U,     0x5cb46a8cU,     0x87681229U,     0x49c0a860U, \
    0xb5db4f75U,     0x22f609bcU,     0xeda2d001U,     0x79576619U, \
    0x825f2256U,     0xd5456732U,     0xf03cb572U,     0xfc0606a1U, \
    0xd63d483fU,     0x6f7938a5U,     0x156639ceU,     0x0c2c4b69U, \
    0x0e01c1f6U,     0x47ad10fdU,     0x1f61c64fU,     0x1fd79c42U, \
    0xad5fbcf7U,     0x9e9c32e0U,     0x9e77a159U,     0x7ebc01afU, \
    0x3850ac96U,     0x5a78143cU,     0xc9189facU,     0xaa59664aU, \
    0xac2ea6ecU,     0x9dfa7611U,     0xb0e346dfU,     0xcb4e4a57U, \
    0x9a1fbcacU,     0x7d80ef8bU,     0xeaf4b4d3U,     0x7c724a6eU, \
    0x7167da9dU,     0x030a64c5U,     0x60b37d83U,     0x513d1465U, \
    0x66c7ab8dU,     0xbde61d25U,     0xefa2d1c9U,     0x6cb51925U, \
    0xed40b40dU,     0xd26aebdcU,     0x614a93d0U,     0xb674d766U, \
    0xaa6b6d90U,     0xde7c0f9dU,     0x5b3edd7cU,     0x6e6f218eU, \
    0x1df8f031U,     0xe8a8080aU,     0x362f80bbU,     0x0fdbeae9U, \
    0x70d09bc1U,     0xbdc9130cU,     0x6196781dU,     0xa44162b7U, \
    0x6821cf77U,     0x237b4e4fU,     0xd9e92c2cU,     0xe29b6f14U, \
    0x6afbdfadU,     0x0a71e5aaU,     0x84648814U,     0x990abeadU, \
    0xcbd1b159U,     0x1cdbbb9bU,     0xa0f0aee0U,     0x8c077ac3U, \
    0xac4a76cfU,     0x5622fe45U,     0xc7009253U,     0xbf59ac9cU, \
    0xb228b464U,     0x4171867eU,     0xf51f891fU,     0x3213cf65U, \
    0xeea4fb4aU,     0x9657b809U,     0xbf82fa5dU,     0xcb37ee2eU, \
    0x9092feb9U,     0x299bb148U,     0x4c96af7bU,     0xcb0566bbU, \
    0x48256cd0U,     0x5c62f69eU,     0x2d5d7bffU,     0x2a1ce2a4U, \
    0xca684d56U,     0xbe2d70dfU,     0x033b6ab3U,     0x3419ab18U, \
    0x3b5de9f9U,     0x0d0fc38bU,     0x096a715aU,     0xa3a21e40U, \
    0x4b364dc8U,     0x3c0a38c6U,     0x4f8f4bb8U,     0xb2e029d9U, \
    0x9d6c6e67U,     0x8f2dc0bcU,     0x93ebd207U,     0x0dedd12fU, \
    0x7cd132c7U,     0x7739b280U,     0xf663275fU,     0xc96f2842U, \
    0xd5cdd212U,     0xf2ded0dcU,     0x0491fb9bU,     0x5ea33996U, \
    0x03748b44U,     0x77c717a8U,     0xd4506c8cU,     0x53f7d943U, \
    0x60c6949eU,     0x33129608U,     0x90cea7d5U,     0x7b4da5e1U, \
    0xc267053bU,     0x86c16a61U,     0xd6e356ccU,     0x3df5abb1U, \
    0xfc00960aU,     0x6d9675edU,     0x79dfa605U,     0x88784d22U, \
    0x07897cd1U,     0x7233a0d6U,     0x2598e5f7U,     0x0a3202c0U, \
    0x3365af3cU,     0xb4e35de5U,     0x5235f550U,     0xfdd5a686U, \
    0xf4e94c7fU,     0xb7f7b87fU,     0x4887e991U,     0x8a9f4c3cU, \
    0x56b28e91U,     0xb8ee9593U,     0x9dba0526U,     0x9153667eU, \
    0x389a8b8bU,     0x702a58c7U,     0x99e56c8cU,     0x1cfcea29U, \
    0x1a2cce53U,     0x6fffc699U,     0x566a95dbU,     0x6afcf977U, \
    0x2bebbaf7U,     0x172fb0daU,     0x49cf6693U,     0xb99aa574U, \
    0x3707c034U,     0xe181cdffU,     0x1e58566fU,     0xde5543c6U, \
    0x34a8b274U,     0x731657eaU,     0x9c439e54U,     0xf55c979bU, \
    0x26f58abdU,     0x641226b9U,     0xe4df3f20U,     0xb0fb21a1U, \
    0x21bcb673U,     0xe1508606U,     0x785538d5U,     0x77d58e39U, \
    0xbc276b01U,     0x629b38f8U,     0xd1546d6eU,     0x48bb21c8U, \
    0x8f8ab6abU,     0x1d31eb79U,     0x518d75c7U,     0x9fc197acU, \
    0xe4ae1926U,     0x3f7be5cfU,     0xca07c96dU,     0x8db8d0a8U, \
    0xe60856edU,     0x7c9744cdU,     0xcc105eeeU,     0xc09514d7U, \
    0xb65f66b1U,     0xa5286e1fU,     0x63337cc4U,     0x2c6868e7U, \
    0xf5679e6cU,     0xc95dffb6U,     0x4c1c0919U,     0xfa67628bU, \
    0x4e7d24aeU,     0xe06c392aU,     0x3e326fdeU,     0x3fcf06dfU, \
    0x2c041bdbU,     0x95d616b0U,     0xe656850eU,     0x34df7c5aU, \
    0xdfa8499dU,     0xaa8ce24bU,     0x3c95fc1bU,     0x7931a41fU, \
    0xb1d5bfdeU,     0xa3363f67U,     0x3390a690U,     0xed66d7dfU, \
    0xa9ecae85U,     0x4325c783U,     0x045ce7c5U,     0x4af1c73fU, \
    0x0ce64315U,     0xfb6b16bdU,     0x4f55a9feU,     0x1a3cdac2U, \
    0xa348dd31U,     0xe6901bfdU,     0xacabf988U,     0x1b122071U, \
    0xf8c8a7acU,     0x51a1e850U,     0x936a77b8U,     0x5050c6f9U, \
    0x674691cfU,     0x2c774c81U,     0x74ea91c3U,     0xb3e4dff4U, \
    0x4295c01fU,     0x065e8e13U,     0xa37e2dbaU,     0x0e306912U, \
    0x126fe663U,     0x9f92864fU,     0xf9de28bfU,     0x7fc00144U, \
    0x6d87ebd6U,     0x0bbbb758U,     0xf543f9a2U,     0xe9c51baeU, \
    0xec27a0d9U,     0xbf0ec1bbU,     0x8d2f3b30U,     0x9b59b9aeU, \
    0xfa3aa989U,     0xe040ce6bU,     0x7af2937dU,     0x4df100adU, \
    0x16234883U,     0xb4e70b6dU,     0xf3c12414U,     0x95b61708U, \
    0x5edb4fb5U,     0xa74d098eU,     0x8479208aU,     0x78574ec9U, \
    0x00706d09U,     0x6aa78ff0U,     0x93b625efU,     0x2c894febU, \
    0xcd66c4adU,     0x6b4ca5f8U,     0xd62ad1f7U,     0xcf90c00dU, \
    0xef25f29fU,     0xe7352552U,     0x0044fc1fU,     0x2cc5a2c0U, \
    0xa3203b4fU,     0x8f7e792dU,     0xb2ad61c2U,     0xdcf2dc79U, \
    0x8d31bcaeU,     0x33df03b5U,     0xd7252d3fU,     0x5c702ca1U, \
    0xce748315U,     0xc52f382fU,     0x0ab942e4U,     0x9d74f4cfU, \
    0xe6bc6ca7U,     0xcd7dca5aU,     0xeaff20bcU,     0x3d213c68U, \
    0x0fc7189fU,     0x67a9e574U,     0xc6c04144U,     0x5008569dU, \
    0x52517753U,     0x9e2a9e3aU,     0x38182f38U,     0x5e7201adU, \
    0xc8b93503U,     0x5d795ef6U,     0xa6c3bfbdU,     0xe21afbd1U, \
    0x1608442cU,     0x02b53147U,     0xa82a1925U,     0x58390124U, \
    0x1a34c57bU,     0x6261d74bU,     0x75ebadd4U,     0x13b482d3U, \
    0x9f11bb1aU,     0x93bc47a4U,     0xf5a41d88U,     0xcb1240c2U, \
    0x6093bc5eU,     0xc4ada681U,     0x4f55daddU,     0xd94cedfeU, \
    0x7da2daf3U,     0x99ba135fU,     0xe87f4e28U,     0xd79111d8U, \
    0xede5dfa3U,     0x89eb74c8U,     0x633bb9ceU,     0xc1b02e90U, \
    0xa0389e42U,     0x9cfe81d5U,     0x1bc2fdcfU,     0xbff49c20U, \
    0x4af21e56U,     0x99f54912U,     0xe7f8db77U,     0xb76d687dU, \
    0xab07f0bdU,     0x60fd1131U,     0x79f195e1U,     0xa1452269U, \
    0xda83d3bcU,     0x8b5ae0a3U,     0x2f51c6caU,     0x83b75369U, \
    0xc89b78caU,     0xb8ec79a6U,     0xf13a736cU,     0xd9df53bdU, \
    0xd8adacecU,     0xf7c0154aU,     0x7df94abfU,     0x83620df2U, \
    0x7a48dc3dU,     0x1e2277a4U,     0x51e2e0fbU,     0xa8212aa2U, \
    0xb36f7414U,     0x4d2b964eU,     0xf72bb146U,     0x99f3e5d0U, \
    0x45e1cae3U,     0x724f5f00U,     0xabdaac0fU,     0xdb2ba548U, \
    0x22d7ff38U,     0x8199bbc4U,     0x801dacdbU,     0x9e38fde9U, \
    0x7d75ef09U,     0xfb5b613bU,     0x0aa3d7b1U,     0xdf64c37eU, \
    0x33995df3U,     0x78137b5aU,     0xc2c4dde0U,     0x0875e5ccU, \
    0xb3f21374U,     0xfdc31984U,     0xd4fe7596U,     0xcb134fb4U, \
    0xf40b3fc5U,     0x32479212U,     0xcd544556U,     0xbebdbc0bU, \
    0xf8af3627U,     0x1762fc72U,     0x74b0051aU,     0x1ea0a68fU, \
    0x1325186aU,     0xc74d52bdU,     0x0a329c7cU,     0x86809738U, \
    0xc8e9be15U,     0xc0fc1cabU,     0x42719e7cU,     0x7955a05dU, \
    0xb254e3d4U,     0xcf453b24U,     0x40f1963fU,     0x76cf4783U, \
    0xf08b63e0U,     0xde6117c0U,     0xaf92e0b3U,     0x21c2d7e1U, \
    0x7c205deeU,     0x73145bb6U,     0x325e2d85U,     0x65272c2bU, \
    0x3b031f1eU,     0x8b45f2b0U,     0xef3f776aU,     0x176b1de3U, \
    0xec698981U,     0x9944c131U,     0x326adcb0U,     0x2b9cb913U, \
    0x8d048117U,     0xbbfc6c04U,     0x1c57714bU,     0x10f6e8fcU, \
    0xd7f1d77eU,     0x5093e3b5U,     0x534c42ecU,     0xa6ec943bU, \
    0xe62993ecU,     0xec0fc718U,     0x42380e2eU,     0xf3355542U, \
    0xd90fa3eaU,     0xda7ebe38U,     0x3e298051U,     0x1aad85ecU, \
    0xac53b6e3U,     0xe919a4e6U,     0xc7b0bba6U,     0xf3aede16U, \
    0x5bad6afdU,     0x61991962U,     0x0e32437aU,     0xe0e9ffc9U, \
    0x4bc7ab8dU,     0xd2a1cc81U,     0x50c995aeU,     0xd28f3e63U, \
    0xa491c338U,     0x31b6b630U,     0x169728a3U,     0xabeb4a95U, \
    0xa7b862f8U,     0x33fe2ec9U,     0x1c42f8edU,     0xa0f8e96aU, \
    0x4370903cU,     0xf080037eU,     0x760d4e95U,     0xde88772cU, \
    0xd2f4094cU,     0x4924dff6U,     0x1d7afce4U,     0x11d3d72cU, \
    0x8b51cc7aU,     0x16c3a7beU,     0xa3bd5aa8U,     0xbd2c248aU, \
    0x0611ec62U,     0x67d0e25dU,     0xc2019cd0U,     0x8d70f806U, \
    0x93c02f0eU,     0x3d19e095U,     0xc0a48288U,     0xe340d3e7U, \
    0x8eca7d22U,     0xaf5c95f4U,     0xf360b8eaU,     0x8f19bb98U, \
    0xedb483d7U,     0x2bd767adU,     0x29b09ba4U,     0xa339efe6U, \
    0x5500574bU,     0xb3553fe2U,     0xeffeff91U,     0x630370a7U, \
    0xbfadfdf7U,     0x6b2732faU,     0x4ad6137fU,     0x9413ac38U, \
    0x17d3039aU,     0xeb5bf84aU,     0x9e7d0863U,     0x2f3d14f3U, \
    0xf7b29611U,     0x75c2c816U,     0xca7b11c0U,     0x14cdfe73U, \
    0x532f0c7aU,     0x6fd4e4e8U,     0x8b48c73cU,     0x29813162U, \
    0xa8c2c62cU,     0x1d297605U,     0xd837bc6dU,     0x2bec0a8aU, \
    0x3a2c3d99U,     0x0f29ba7aU,     0x47ffadbdU,     0x84b8cd46U, \
    0x8cc12b2eU,     0x3b9392beU,     0xbd92d2c1U,     0x7dde729cU, \
    0xf484d1a4U,     0x2e33a31cU,     0x388fac69U,     0x36e6826aU, \
    0xaa9fe32cU,     0x19ef46deU,     0xba31e19eU,     0xbd0920b5U, \
    0xaf10c87eU,     0x52830604U,     0x5336c213U,     0xa7aea2f7U, \
    0x8718234dU,     0x50799566U,     0xa4dd1648U,     0x1101e585U, \
    0x0056b68fU,     0x77471ee2U,     0xea134a2dU,     0xdf1ddadaU, \
    0x3266d85dU,     0x1652b01fU,     0xe138ac5aU,     0x9e446696U, \
    0x5709d36bU,     0xa6e17b78U,     0x6335ae3bU,     0x33269625U, \
    0x0ea47eccU,     0xbdc17503U,     0x69db6584U,     0xaaea90e7U, \
    0xa84c3396U,     0x44558c35U,     0x507cf038U,     0xcb479002U, \
    0xa745d2a9U,     0x76c1d534U,     0xd1e87e65U,     0x4187c85dU, \
    0x26d245f1U,     0xa764c526U,     0xc1f3b548U,     0x24401fbdU, \
    0x05eb667bU,     0xcbf949bcU,     0x0d9466f8U,     0x4a765f95U, \
    0xcd94b77aU,     0x535cdf45U,     0x6f4ffcb7U,     0xc767139eU, \
    0x5ee55453U,     0x1d2b8d40U,     0xd7b6ef36U,     0xaf2f080cU, \
    0xabb9a630U,     0x8396c162U,     0x0d86e231U,     0xec3b6d92U, \
    0xbf9e14c3U,     0x9b20cc3fU,     0x70ea71a2U,     0x2aec8aadU, \
    0xfc44139cU,     0x91d3dbd2U,     0xb77430cdU,     0x58ac5020U, \
    0x9752d288U,     0xf1b7e4e3U,     0x86f73253U,     0x461a8db4U, \
    0xc12966deU,     0x74cb42daU,     0x367a2e68U,     0xf2129537U, \
    0x12b38259U,     0x616946dcU,     0x35872cdeU,     0xf78482a6U, \
    0x6fac60b5U,     0x0318321eU,     0xc0b39349U,     0x273cfe17U, \
    0x80f047bcU,     0xfd309b27U,     0x7ad3fb8fU,     0xad4c01d7U, \
    0x84db5941U,     0xe71a68baU,     0x785ba552U,     0x6a179c46U, \
    0x3f53fb59U,     0xe02772faU,     0x64ca2d1cU,     0xda0d04dbU, \
    0x6eac1757U,     0x454a5a0fU,     0xf096f72eU,     0x79e359c0U, \
    0x68f8858cU,     0x485b4cffU,     0x4e44ab7fU,     0x7c3ccd88U, \
    0x0f33d6f9U,     0x42f1c600U,     0x788cf4a7U,     0x56dbd845U, \
    0xef3714c6U,     0xc5433cc3U,     0x1f0ee4e8U,     0x34afc5cbU, \
    0x5d36c74eU,     0x75a60f3eU,     0xea3faea2U,     0x98d4c7fbU, \
    0xabc06cfeU,     0xbfc8418eU,     0xb7c225c5U,     0xda1898a2U, \
    0x1e6624f9U,     0x387c9a8bU,     0x4347d5e1U,     0x1b92be6cU, \
    0x6c164f6eU,     0xb86ecd55U,     0xa750d0bcU,     0x3da122d5U, \
    0xb4c71ae7U,     0xa5adba2bU,     0xe8feeccfU,     0x4a01448fU, \
    0x3e54fce4U,     0x6b7d0fabU,     0xb6f5869dU,     0x9857684eU, \
    0xbaa563f3U,     0x3cd6c449U,     0x0982a29dU,     0xd35befefU, \
    0x9b879e9bU,     0xbb5bf5feU,     0x93dc0fa1U,     0xa801c584U, \
    0x282ecdd5U,     0x2694109cU,     0x88f19ddaU,     0x0b7692d5U, \
    0xc0ed1f57U,     0x6a5bded2U,     0x2f6f5969U,     0xbe56ec82U, \
    0x1b311468U,     0xd6f414ffU,     0x661c40adU,     0x87c7a935U, \
    0x43c61ca1U,     0x80bd64bfU,     0x5546d740U,     0x2e75af71U, \
    0xaa9d847eU,     0x51dc6001U,     0x1bdb07bbU,     0x5d53549bU, \
    0x4e15acc6U,     0xfd24cdf4U,     0xca0a5e4fU,     0xb48f6630U, \
    0xf195ba6fU,     0x0d1a04f5U,     0xdc916b6eU,     0xa85870e4U, \
    0x30b42110U,     0x3d9cc513U,     0xdce1d6a0U,     0xb9da3679U, \
    0xe8e6998fU,     0x077493eeU,     0x90516e11U,     0xfc7b2867U, \
    0x7c85c46eU,     0x18161e45U,     0xbc7a5674U,     0xb2161294U, \
    0xf3274ecfU,     0x497cbca7U,     0xf0ca34deU,     0x88b18fb7U, \
    0xaf1a4ef7U,     0x0abb8a22U,     0x25ff1a85U,     0xe9820aaaU, \
    0x19bb6905U,     0x25031059U,     0xe0ddb7dbU,     0x854870c9U, \
    0x19067dd0U,     0x12f89474U,     0xc9a9d860U,     0xbf3e102eU, \
    0x747675adU,     0x8c1e32ecU,     0xfbd240c7U,     0xd134a1bfU, \
    0x4a63d7e9U,     0x4cfde8f2U,     0x0037a407U,     0x643f2536U, \
    0x7837e5b7U,     0x1090c50aU,     0x091f7f87U,     0x8d306418U, \
    0x1af2ea77U,     0xf17d4723U,     0x20eb351fU,     0xf1356a23U, \
    0xfa58ca9fU,     0x9d5b2342U,     0x4e4043b6U,     0x1b70f4e8U, \
    0x0847d282U,     0xe9e5ce9fU,     0xbb38a965U,     0xfe2f04d2U, \
    0xb0360ea6U,     0xcd1a27b1U,     0xab50cfefU,     0x9bcd8b36U, \
    0x47135e22U,     0xd55d9f5fU,     0x04253dedU,     0x174c1282U, \
    0xa0c4a7e9U,     0xc91ca27fU,     0x58e59e81U,     0x26af4e2eU, \
    0xaa7aafd1U,     0xf8f34d97U,     0x4c98c5c8U,     0x461630b1U, \
    0x1e512f7bU,     0x4db105afU,     0x2e2dbe43U,     0xa78a53b5U, \
    0x01b5d3bdU,     0x6ef60b44U,     0xc256111aU,     0xff1c4368U, \
    0x20887496U,     0xa15495d9U,     0xe2e71018U,     0x217dbe6aU, \
    0x3bcdb2b3U,     0x7e880af8U,     0xb9f6001dU,     0x12a92b38U, \
    0x69562805U,     0x367b97bdU,     0xae2fbe63U,     0x5e918fadU, \
    0x34c3f4b0U,     0xa803631cU,     0xe4540c01U,     0x1f79d617U, \
    0x7cb7dbebU,     0x79056b33U,     0x6c95ead6U,     0x7c6489caU, \
    0x88939ee7U,     0x17f56475U,     0x34a8f5b2U,     0x3dcad637U, \
    0xc0478035U,     0x7ac0f7a5U,     0x0fd28df8U,     0x05f62b33U, \
    0x74d80082U,     0xabacd90fU,     0x37141524U,     0x9583628cU, \
    0x81a921c4U,     0xeff4211fU,     0x617dd05dU,     0xb4de885bU, \
    0xe51725b1U,     0xd9cd6c6dU,     0xa08e1b54U,     0x76c2b362U, \
    0xdef307eeU,     0x01ba99deU,     0xbbba4b65U,     0xeb49c7f2U, \
    0x84551ea1U,     0x3aa9aae7U,     0xa11b4d2cU,     0xaec59fceU, \
    0x95c52224U,     0x5ff69cefU,     0x9fdae4e0U,     0xd1e12d25U, \
    0x666ce5d5U,     0xbe88cc16U,     0xcbd065f1U,     0x86b95681U, \
    0xb3da9a63U,     0xd1203af8U,     0xc642888fU,     0x97d10ca6U, \
    0x1fe53919U,     0x4f2d732eU,     0x1d16bfefU,     0x64daef43U, \
    0xefe9f021U,     0x25649c2dU,     0xad1a2ce6U,     0xfa55fe84U, \
    0xb4923138U,     0x28a1730bU,     0x303df324U,     0xf6e5ce5aU, \
    0x1b40cb34U,     0x3793378cU,     0x32cfadf7U,     0x3ec308bbU, \
    0xda9a01a8U,     0xb8f0e628U,     0xc4c7679bU,     0xe4e06063U, \
    0xb28326d4U,     0x697190f3U,     0x8d6d0b68U,     0xef77352cU, \
    0xfce0f1dcU,     0x813a4a6cU,     0x157d6962U,     0xbb1d7074U, \
    0xd0b7a6c9U,     0xe3d4aea1U,     0xafe3f22fU,     0xfe4ec654U, \
    0x8e448213U,     0xfed60414U,     0x1fd5f8b5U,     0x7b922218U, \
    0x3e55acbdU,     0xa8317f79U,     0x91d629d7U,     0x43ffbe9fU, \
    0x0a062019U,     0x89af6cb3U,     0x7ced61b5U,     0xbeebcbd6U, \
    0xaad28831U,     0xf21ec5afU,     0xe40a902aU,     0x5bf6d3afU, \
    0x5bd758e7U,     0x0be13cf1U,     0x8889a1c8U,     0x4b49c6deU, \
    0xe7161501U,     0x1fd82b61U,     0xbfa81e3aU,     0x3ab469beU, \
    0xec98e3fdU,     0xa2cd10a4U,     0x07dca25bU,     0xd17ce04aU, \
    0xeecd8749U,     0xcb0b1046U,     0x6cb67086U,     0x8b543e88U, \
    0xada349aeU,     0x1131fe65U,     0xc752058dU,     0xec792edeU, \
    0xefb21a85U,     0xc326acccU,     0x704df463U,     0x470097d9U, \
    0xac5ab855U,     0x6a221a9fU,     0xb94c6ca5U,     0x7164578fU, \
    0xa84e7e6cU,     0x56a6fc86U,     0xbe4721a2U,     0x9170d147U, \
    0x3371a1ddU,     0x750da94aU,     0x3e06f365U,     0x234f9025U, \
    0xaf2c2c0fU,     0x27490b0bU,     0xf069072eU,     0xfa26b4ccU, \
    0x970e2d81U,     0xb6420afbU,     0x5cea277dU,     0x9acf6203U, \
    0xaaf52f98U,     0xa85a25ecU,     0x87e75d1dU,     0x186d35baU, \
    0xc43612b0U,     0x7eb576ccU,     0xd1fc8432U,     0xa5b2d771U, \
    0x50b28cc3U,     0xf7004dd0U,     0x483e3988U,     0x627742cdU, \
    0x8a48a5d5U,     0x104ed70eU,     0xb0fd9c98U,     0xfac3a304U, \
    0xdc7ea83fU,     0xb7036787U,     0x7f2032a1U,     0x1d7c1a73U, \
    0x6b6e5615U,     0xa3235a1fU,     0x0473d302U,     0x571bc085U, \
    0xbeff62f3U,     0x79b87568U,     0xf7d8b544U,     0x6edbe474U, \
    0xd3ac9f40U,     0x88592db6U,     0x4d7d80a1U,     0xbba5c8c7U, \
    0x4cce58f7U,     0xeac0b85fU,     0x00677943U,     0x3318b609U, \
    0x3befc135U,     0x3672a037U,     0x36238425U,     0x59f36a76U, \
    0xdbe07782U,     0xb438cf1aU,     0x15f49aa2U,     0x41813b9eU, \
    0x9f14187fU,     0x45324e4dU,     0x3d89e47aU,     0x702998a9U, \
    0x1cbec579U,     0xb2929406U,     0x2e5b6543U,     0x2d3c3c61U, \
    0x85a8ded4U,     0xbc625b2fU,     0x9b7b7ffaU,     0x0c21be24U, \
    0xebf884b7U,     0x859a1138U,     0xef779620U,     0x0986a142U, \
    0x65c0c25cU,     0x94ca2f26U,     0xc533e73aU,     0x11eca04aU, \
    0xc87d9d05U,     0xbf75a4ceU,     0xb1e4b82aU,     0x69da281aU, \
    0x0102cefeU,     0x83eb2aa7U,     0x3b8eb0a9U,     0x9c6c84f6U, \
    0x24432a62U,     0xbf7d1afeU,     0xf07570fcU,     0x705d7721U, \
    0x603017d5U,     0x34f7fd61U,     0x07729108U,     0xa5c8d5b8U, \
    0x1e31f86fU,     0xd25c657dU,     0x0f6f9af4U,     0x5f0169a7U, \
    0x8e7763a7U,     0xebc8311eU,     0xdee8a181U,     0xccb48592U, \
    0x04e59f3aU,     0xcfd9dc65U,     0xadf9178eU,     0xd5534145U, \
    0x6ed74425U,     0x9566deecU,     0xfac587e4U,     0x23125299U, \
    0x1c21f013U,     0x390060b3U,     0x7417fa7dU,     0xcace878cU, \
    0x99ffea03U,     0xc8362824U,     0x86742b01U,     0x858c7af0U, \
    0x0626508cU,     0x13c2de52U,     0x1538a760U,     0xe02f1d8bU, \
    0xa9274d33U,     0x5bdae581U,     0xba4b7a87U,     0x43026a97U, \
    0xc481b2f4U,     0x655b9630U,     0xd5c3efd9U,     0x9a67662cU, \
    0x45a3c0a4U,     0xafa22b49U,     0xd158ea7fU,     0xd84c323bU, \
    0xb6f78485U,     0x0a8f7653U,     0x3eea3a23U,     0x2b672c26U, \
    0xf367dd87U,     0x515415d5U,     0x328ab44aU,     0x2844a35cU, \
    0xeceec79dU,     0x5a799dc0U,     0x31cad721U,     0xa6a27fdcU, \
    0x25cbcfb0U,     0x1e314243U,     0x3fbf3544U,     0xe8b781ceU, \
    0xab29266fU,     0x438f6b72U,     0x6d7ec555U,     0xe26f6a6bU, \
    0x567d340fU,     0x654cc287U,     0x93e184caU,     0xd736c29aU, \
    0xa65d859cU,     0x9f426f67U,     0x0f07c422U,     0x69a9eed1U, \
    0x139b9c5dU,     0xb24fd031U,     0x0fdf8d7cU,     0xad898d99U, \
    0x4f92fd03U,     0x33794a56U,     0xc45a34d5U,     0xf3d5cdcbU, \
    0xacb5d7f9U,     0xef30b428U,     0x024efa3fU,     0xefef2f64U, \
    0x24f0e9eaU,     0x7500e406U,     0xc7006b55U,     0x1aa115c7U, \
    0x0bf28b55U,     0xf0f52b17U,     0xd60c60b0U,     0xe7a5eb32U, \
    0xee667857U,     0x09420ed3U,     0x6aebd2ccU,     0x3ea9346cU, \
    0xc6138831U,     0xd2c2daa6U,     0x99283175U,     0x7c9db69eU, \
    0xa451af21U,     0x01c143edU,     0xbf5ffab3U,     0x0bd3e996U, \
    0x11c4af0eU,     0xdc30387dU,     0x8b21df98U,     0x71fdf1cdU, \
    0x2b80abc9U,     0x7240f3dbU,     0x770d0735U,     0x7bf380f2U, \
    0x3f9bec36U,     0x65ceadceU,     0xb0d281b7U,     0xddefd8adU, \
    0x2ea6d7b6U,     0x352969ecU,     0xc34265f3U,     0x34150e76U, \
    0xa418f62cU,     0xac593261U,     0x574eaeaeU,     0x7e63e966U, \
    0x07a4239bU,     0x5c778f7cU,     0xddbc0c40U,     0x318892c0U, \
    0xb1e1d735U,     0x6dc3a2a5U,     0x766d7d2dU,     0x405c5699U, \
    0x04fd90ffU,     0x108d9be0U,     0x20ddc2a3U,     0xa7941f78U, \
    0x867015d4U,     0x61ffaea8U,     0x4411efe7U,     0xc018774dU, \
    0xb777ee37U,     0x7f3ed6e2U,     0x4a0cc30dU,     0xfe4efef3U, \
    0x2b1fa38dU,     0x7001957aU,     0x4c6c6aa7U,     0xfb8ebc88U, \
    0x88f285fcU,     0x05bf33f2U,     0xb7e0acbeU,     0xadf2853aU, \
    0x7a7a669eU,     0xe72c84a6U,     0xb587315bU,     0x0d499866U, \
    0xe7ede9feU,     0x0a1a0e64U,     0xd4a0c84aU,     0x21d6d8d8U, \
    0xab738bb2U,     0x00b476ebU,     0x658ee52bU,     0xe78bf1f2U, \
    0x12119300U,     0xf263179dU,     0xf16e6328U,     0x89ad5ed5U, \
    0xeaad990bU,     0x9d1cea99U,     0x813d7a50U,     0x1f803a25U, \
    0x8338e525U,     0xb3a462ecU,     0x72a38017U,     0xa0d24b83U, \
    0xa73f889bU,     0xbca2fceeU,     0xba333f27U,     0x5417fb7bU, \
    0x8427b746U,     0x5dea82a7U,     0xda5b1029U,     0x9f3b2b5dU, \
    0xc2975b7fU,     0x90ee500aU,     0xf62ab65bU,     0x0348dfa4U, \
    0x11e03eafU,     0x04c91571U,     0x87474bdbU,     0x2ef6921dU, \
    0x50356e0dU,     0x5fb1bb6dU,     0x518cbad0U,     0xa4c796fcU, \
    0x09ca36caU,     0x84e093d1U,     0xb2a4d769U,     0xfd05a9aaU, \
    0xf6230fc9U,     0xc4bcc6fbU,     0x306c73b7U,     0x328c44cfU, \
    0xac8561ecU,     0xff1c5ecbU,     0xd7fa85d0U,     0xbe0d6b76U, \
    0x8e34f3fbU,     0xe4f1ce97U,     0xc6c8173cU,     0xdc21187bU, \
    0x1bf6dd17U,     0xbc7cedbeU,     0xbc8c60d5U,     0x41eec405U, \
    0x8cabfd50U,     0x0f56995bU,     0x10f66fb6U,     0x4e618ba3U, \
    0x9dd24786U,     0x7f291a59U,     0x9fd68f17U,     0x6b13b4f5U, \
    0xf3b405faU,     0x73f1a85aU,     0xd8edf2d1U,     0xe1d6f1acU, \
    0xd0b78bfeU,     0x35a0a510U,     0x1849682bU,     0x3c370b7fU, \
    0x1ca98147U,     0xce9f962aU,     0x172c9f46U,     0x2fea221bU, \
    0x2cf800d1U,     0xc9560381U,     0x490fc40fU,     0x4d50d462U, \
    0x28261b58U,     0x6d1877d2U,     0x116ab263U,     0xdec007a2U, \
    0x5f63adf5U,     0xe2e29079U,     0x787dcf44U,     0x724d88d6U, \
    0xde4925ceU,     0x9f73c6e1U,     0xe29be749U,     0x589703c8U, \
    0x68f4df16U,     0xfe887220U,     0xb01ca83fU,     0xcbda5399U, \
    0xf2f4d5faU,     0x7d0f86caU,     0x8827d7bfU,     0x1e1e1694U, \
    0xa8d2481fU,     0x4013fb0aU,     0x70c75febU,     0x5a54130cU, \
    0x77e5cb0bU,     0x606cd45dU,     0xe1661f73U,     0x0d855b6aU, \
    0xeac865b3U,     0x486b3457U,     0x1e2f0bafU,     0x131c098dU, \
    0xc674198dU,     0xea2ed018U,     0x5c731c06U,     0xa957ed63U, \
    0x6031551bU,     0x2e7a39bbU,     0x347f6529U,     0x4182b1f1U, \
    0x06492790U,     0xe3dafccaU,     0x79baf7d7U,     0x35aa6bc5U, \
    0x1cc6f308U,     0xe9e0615dU,     0x0b39c2e2U,     0x2a41e464U, \
    0xf28c6945U,     0xa759a1efU,     0x714fbdbeU,     0x389502b0U, \
    0xe6190365U,     0x7a0e0f75U,     0x41a2b5d7U,     0xd54c886eU, \
    0xb8b9c2a1U,     0x1a844f78U,     0x6bb03c0dU,     0xbc5448f0U, \
    0x1c0ba8d1U,     0xa0294e9fU,     0x3a97c275U,     0xd1223a74U, \
    0x7e105969U,     0x68809e42U,     0x69a27576U,     0xb6474d4bU, \
    0x4f5bbf85U,     0x2f84875bU,     0x8e806de0U,     0x0092b9b3U, \
    0xf1273bd2U,     0xacfbe95aU,     0x14a5e080U,     0x75976bc7U, \
    0x62e722f5U,     0x3a14c328U,     0x20e874dfU,     0xe560afe0U, \
    0xdc128a00U,     0x319bf1dbU,     0xe7a16330U,     0x153dac0bU, \
    0x502f89feU,     0xf5ce0b58U,     0x68341de2U,     0xeda83a23U, \
    0xebb880e1U,     0xf103892aU,     0x49115800U,     0x4ff1f4f0U, \
    0xd95a122cU,     0x9bdf7e4bU,     0x44780462U,     0x9059a6b3U, \
    0xef558696U,     0x9993807aU,     0x860483f5U,     0x8824d712U, \
    0x6ba62a5eU,     0x44645802U,     0xac5d3fbfU,     0x7500480eU, \
    0xcb4ad00aU,     0x4668b0d7U,     0x044150a5U,     0x6070fbf1U, \
    0x7455729cU,     0x38014ed9U,     0x14be226eU,     0x71c3496dU, \
    0x49e50421U,     0x3a8bc4b6U,     0x5302e9a2U,     0x9e2f6cabU, \
    0x4ef17808U,     0xe3ed5037U,     0x9f4aada0U,     0xdfe501cfU, \
    0xc7d8a875U,     0xfc761e94U,     0x1743ca30U,     0x7bc6f384U, \
    0x0f6ea2dcU,     0xe10d2be0U,     0x05154d4aU,     0x4503f366U, \
    0xfaca2094U,     0x7948f07bU,     0xdc66700dU,     0x4d45d93cU, \
    0xa870ce74U,     0x2e6a00c8U,     0xb274fe0bU,     0xefbbd723U, \
    0xccab1988U,     0xe0c9c3aeU,     0x47e3df38U,     0xdf199ecbU, \
    0xd9a29c74U,     0x83de9805U,     0xc80cdb4cU,     0x11ac5921U, \
    0x03917bccU,     0x5ca17c4cU,     0x0592d9feU,     0x6dc7cb8aU, \
    0x3c0c0839U,     0x2563993cU,     0x5f61a963U,     0xb61e7185U, \
    0x558575daU,     0xea398407U,     0xede95157U,     0xaf09463fU, \
    0x0b46efc8U,     0xe4d8fe39U,     0xbd5ef30dU,     0x28ca28f5U, \
    0xf4488bfcU,     0x88c2af7aU,     0x540fd82dU,     0x62003826U, \
    0x46d36d48U,     0xf4254629U,     0xbd4832efU,     0x8bc6890cU, \
    0x68ffeb7eU,     0x5e99079fU,     0x7f520f64U,     0xc9f3ab2cU, \
    0xed9865e7U,     0x97f58f55U,     0xcdb77540U,     0x3774f255U, \
    0x10d0291dU,     0x89fabb52U,     0x0a1b23dcU,     0xeac59999U, \
    0x67e1bebdU,     0x3cc48101U,     0x6637072aU,     0xaf40cc0aU, \
    0x1dc73feeU,     0xd73e2c07U,     0x97c1b1a4U,     0xb4ec0636U, \
    0x1f12bba8U,     0x38fe525cU,     0xf90b32f6U,     0xd510e136U, \
    0x87db4d66U,     0x9453f5c0U,     0x4a76b944U,     0x285a978dU, \
    0x70ee503dU,     0x024bd500U,     0x843c4714U,     0x426216dbU, \
    0x8047fbfbU,     0x4d1f468aU,     0x829e19e0U,     0xfa99e318U, \
    0x4995754aU,     0xcb2c9e02U,     0x60386202U,     0x723854f5U, \
    0xde3a7e33U,     0xa2740d4aU,     0x4490098bU,     0xd9fabf68U, \
    0x976f7019U,     0x0fc13940U,     0x80672e10U,     0x6c1502cfU, \
    0x0fd3c5acU,     0xc4e23367U,     0x8a1c4c68U,     0x678ed132U, \
    0xb82d3778U,     0x0cc5fc4aU,     0x578b5ebfU,     0x5e493775U, \
    0x97ff1786U,     0xc3810f5cU,     0xc7a67bc3U,     0xd3eccd1fU, \
    0x4e7f1490U,     0xc6162027U,     0xa710b11aU,     0xac1a06faU, \
    0x9156b031U,     0x4a1a1643U,     0xd7a66467U,     0x5bafc610U, \
    0x9904dca3U,     0x961587c4U,     0x1dd786a9U,     0x4e2991e9U, \
    0x5598fddeU,     0x450f95d6U,     0x4d93ab75U,     0xaf102093U, \
    0x8eec8dfaU,     0xb927bdd2U,     0x1d077afaU,     0xa3e6eee1U, \
    0x8b5024f3U,     0x997120b5U,     0xa29207a8U,     0x7298c073U, \
    0x5fa24836U,     0x965cd07aU,     0xb6c64719U,     0xb0b7fb31U, \
    0x10c42a21U,     0x8a2e295bU,     0xea2b9816U,     0x038c2fbfU, \
    0x9a22a5e9U,     0xa22ba687U,     0x1fc41a6aU,     0xc0b1940cU, \
    0xa6ad5a4aU,     0x93cbfd7fU,     0x733ef6d1U,     0xe98e1a4fU, \
    0x768aa4d9U,     0xb59fa3d8U,     0x70e5dd1fU,     0xa8e5167cU, \
    0x5b340a0dU,     0xe47cdfc2U,     0xb4c948adU,     0x85ecaa7dU, \
    0x33c97f8eU,     0x7c0571c6U,     0xec88eaf0U,     0x4bef8165U, \
    0xff4c8932U,     0xbdebd890U,     0xd3f46bbbU,     0x0f7d00e7U, \
    0xc02492d0U,     0x5cd55ac6U,     0x56682170U,     0x4e559a57U, \
    0xd9a58cb7U,     0x0d249deeU,     0x8e76aba5U,     0x47dd11d3U, \
    0x17e6b95fU,     0x2229f85eU,     0xf227c749U,     0x809756fcU, \
    0x90183a4aU,     0x78bad80fU,     0x113b4075U,     0x7f0ff07fU, \
    0x2c2365a6U,     0xccd640c9U,     0xde377243U,     0x02e30a00U, \
    0x72235b1eU,     0x40a1a5f6U,     0x35f4ede8U,     0x30d6e44fU, \
    0xb5bc05bdU,     0x12a8c7f5U,     0x1099e7d4U,     0xf4034e84U, \
    0x9ace0c4aU,     0xbec0d510U,     0x507b4f47U,     0xe4f692f0U, \
    0x4751fe75U,     0x362b5d1cU,     0xded23a51U,     0x36b81ef3U, \
    0x181ab600U,     0x086165b9U,     0x10f8bddbU,     0xd9bf22f0U, \
    0xb1f8191aU,     0x50cd9941U,     0x28fdff2bU,     0x39397c23U, \
    0x7a9ba12dU,     0x134e0beeU,     0x5b9bad9fU,     0xb1230bbeU, \
    0xe07c37faU,     0x342067ebU,     0x43d0fa77U,     0xb8bf0674U, \
    0x72179cbaU,     0x49a553a6U,     0x14ebc8fdU,     0xafe90d64U, \
    0x2bd2b599U,     0x4392e186U,     0x6bea2e56U,     0x03c9ce50U, \
    0x765d4a5cU,     0xca9224f5U,     0x63d81667U,     0x672be0f3U, \
    0xe510acbcU,     0xf39a7855U,     0xc3aaea1fU,     0x4ddb5f88U, \
    0x29296778U,     0xd862e64aU,     0x18363c23U,     0x825d770dU, \
    0x05063607U,     0x18bd32a0U,     0xa344028dU,     0x8c8eb1f9U, \
    0x08808383U,     0x12d427b5U,     0x75d05ec8U,     0xb767f2c8U, \
    0x53904467U,     0x60d6d156U,     0x2c1adb93U,     0xe565fcf7U, \
    0x52eb3a32U,     0xbf085034U,     0xdf45a6eeU,     0x2f1ab029U, \
    0xf17d9d15U,     0x3fd94e5aU,     0x1c1491e3U,     0xe547da63U, \
    0x81f96911U,     0x1a9a7001U,     0xbab3d343U,     0xace61054U, \
    0xf7089850U,     0xbe1e1bf1U,     0xd3c81853U,     0xf5b0840cU, \
    0xbb7c018eU,     0x89c2a6d9U,     0xd6a1b8b1U,     0x71d99e04U, \
    0x5769d5eaU,     0xb643f738U,     0x1eb4ce96U,     0xa9351967U, \
    0x80bc357aU,     0xa5393af5U,     0x7861bd84U,     0x5d7ddf9cU, \
    0xb8c09963U,     0x07cd101fU,     0x357254ceU,     0x4402c31dU, \
    0x12d56507U,     0x680adc08U,     0xeba0e0b6U,     0x5bf50791U, \
    0xe473c2f5U,     0x05a929b8U,     0x48b3b646U,     0x0f271a0dU, \
    0xf441ebaeU,     0x39c843feU,     0xfbfee2e4U,     0x90efe846U, \
    0x6101aa09U,     0xb4122d6bU,     0x0d357651U,     0x8012309eU, \
    0x775fecc1U,     0x4ec20827U,     0x3cc180fdU,     0x1ecb8368U, \
    0xab1ed31aU,     0x699fdc4aU,     0xaacbdbebU,     0xd6bfd87bU, \
    0x57793454U,     0xe1497750U,     0xe0709653U,     0x4297677aU, \
    0x6e367bf6U,     0xfad82e96U,     0xbd960eefU,     0xc3b59cafU, \
    0x16cb0e01U,     0xd3325582U,     0x65aa5591U,     0x80e2806cU, \
    0x4542f5b1U,     0x6e9f9a65U,     0x1cb83a69U,     0x573082b6U, \
    0xdaf8164aU,     0x2e101ccaU,     0xc12631bdU,     0xc31ced61U, \
    0xf4ab4507U,     0xc4a92447U,     0x9a876249U,     0xfe5f15dbU, \
    0xf691f90bU,     0xa643fb2eU,     0x673eb6ebU,     0x31db4831U, \
    0xc5c1f6c4U,     0xa44870c3U,     0x8ece9359U,     0xe03dfbd6U, \
    0x8ac229f4U,     0xc8daf8a0U,     0x863d9ef7U,     0x311f28a4U, \
    0x4581cebbU,     0xb1caa386U,     0x151fcf66U,     0xb97681a3U, \
    0x732a83ddU,     0xbdaccc57U,     0x9a37f7daU,     0x7762bd25U, \
    0x95305920U,     0x982892a0U,     0x7f09dc9cU,     0x017dea98U, \
    0x441e9f42U,     0x7ebdc641U,     0x2df42318U,     0x6279a6bdU, \
    0x5a560979U,     0xc65519fcU,     0x3c5cb0a7U,     0x36121339U, \
    0x0288140fU,     0x70423485U,     0x834de56cU,     0x3411d365U, \
    0x37fafd24U,     0x90397d6dU,     0x49b0c1b3U,     0xfbe0ba78U, \
    0x53072085U,     0xb722ad03U,     0x24d3b45eU,     0x51dd8762U, \
    0x1e51a77eU,     0x58281b66U,     0x88997839U,     0x2d673662U, \
    0x838df40eU,     0x6199ee2cU,     0xe0d6cc62U,     0xe05f719fU, \
    0x69e362deU,     0xc662677fU,     0xbd552997U,     0x41369939U, \
    0x6f2b17d6U,     0xa5a44a39U,     0xf184ed6aU,     0xfb19ad6bU, \
    0x8fb25ef4U,     0x86d2516aU,     0xdbbce533U,     0x1bb913a2U, \
    0x6d9a6ffaU,     0x1c1c5fc3U,     0x53f61b70U,     0xca8a5547U, \
    0x35fd79a4U,     0x1573cc40U,     0xab3c65b8U,     0x4f016bd9U, \
    0xcd38acd6U,     0x900af1fdU,     0x94975d5fU,     0x92dacb82U, \
    0x83bc299dU,     0x64230215U,     0x885d0a53U,     0x8fd5d7d5U, \
    0x76b0d606U,     0x119a6f5cU,     0xa775f781U,     0x9b96c69fU, \
    0xa9ed406fU,     0x7c8df04dU,     0xff0988abU,     0xca8345d5U, \
    0xabe54657U,     0x49033abfU,     0xdcd54f86U,     0x3d36782eU, \
    0x00901801U,     0x9594900dU,     0x9130f7edU,     0xc31ac654U, \
    0xafb58786U,     0xed2c4fdcU,     0xf6e25b3dU,     0x4eb89e6aU, \
    0xc1d7b762U,     0x1f54da69U,     0xe487cd46U,     0x394893c8U, \
    0xba0b7dc0U,     0xddb259e2U,     0x388f6ccdU,     0xee441839U, \
    0xf8572b65U,     0xeb935487U,     0x3a038631U,     0xdfcc3f54U, \
    0xff25dad9U,     0x6a23187dU,     0xc1a359a9U,     0x7813c013U, \
    0xbe74b999U,     0x723994f5U,     0x6695d2efU,     0xd7e12e61U, \
    0xb665ffbcU,     0x493cd66fU,     0x13adfd19U,     0x7cbdddefU, \
    0x8904436eU,     0x2b34372aU,     0x521d270bU,     0xfa976e62U, \
    0xb6d42431U,     0xd9edc1f7U,     0xf027b650U,     0x60a4b7daU, \
    0xe753993cU,     0xeb6f5fabU,     0x8b985d63U,     0xe0c1e3acU, \
    0xd655524eU,     0x05510014U,     0x466ed20bU,     0x34c1105cU, \
    0x2c075053U,     0xf9026d55U,     0x0ff0dc45U,     0x03b024feU, \
    0xa4e8d92cU,     0xbb9995dfU,     0xc0469ea5U,     0x38561718U, \
    0x6a973b64U,     0xa71bc8e5U,     0x75e6558bU,     0x9228bc50U, \
    0x76c9c614U,     0x68a1d0aeU,     0xc4ea9747U,     0xef1a66e7U, \
    0x34616608U,     0xb12fff73U,     0x21faf952U,     0x2eaefa2eU, \
    0x04c301feU,     0xbfd2cfdcU,     0xca59798eU,     0x2e1d378dU, \
    0xfac84070U,     0xddd74d4cU,     0xea8b2826U,     0xd90d4e0aU, \
    0xc7b01722U,     0x8a6d2a3eU,     0x804e2bf6U,     0xf161c832U, \
    0xffae396aU,     0xc3a5ee32U,     0x490b6841U,     0xf4d7929bU, \
    0x7c24a57eU,     0x11719a31U,     0x69fc237dU,     0x2b792373U, \
    0xbb7eedc2U,     0xfbd75761U,     0xf9127b21U,     0xae9135deU, \
    0x890685eeU,     0x90beb64aU,     0x725d7396U,     0x16d02264U, \
    0xbcb616d6U,     0xed8facb3U,     0x1a06691aU,     0xa8a09b41U, \
    0x40d5e6f4U,     0x8f534245U,     0x5dcc234eU,     0x04224ba7U, \
    0xc9d67cf3U,     0x0d9aeefcU,     0xe7e714b5U,     0x39e2701bU, \
    0x4cbb89b1U,     0x11464ed1U,     0x9ee3f13fU,     0x3c5c233cU, \
    0x2b6c7bedU,     0xab61dda3U,     0x50b3c0e8U,     0x1fdaa800U, \
    0x37963572U,     0x271815ceU,     0x4b87b06aU,     0x10c4ec19U, \
    0x6e75fd74U,     0xb6766113U,     0x48ab6383U,     0x0a6e52baU, \
    0xb33f5b71U,     0xe889092fU,     0xaf20ba13U,     0x63c035e5U, \
    0xc1327fa1U,     0x73409018U,     0x3bd6f16bU,     0xe14a89f1U, \
    0x96b4a027U,     0xf540c740U,     0xfaed3cf5U,     0x20556d66U, \
    0x3adf4c32U,     0xad2d4ccdU,     0x38222757U,     0xe8338710U, \
    0x060b3e3eU,     0x7174333eU,     0x3b21a393U,     0xe8c6e7bdU, \
    0x74f438bfU,     0xb585c15cU,     0xc5d498caU,     0xdff6aebeU, \
    0xbb831aa0U,     0xe965dbafU,     0x3c8316a9U,     0xc5273cb5U, \
    0x0e723ae8U,     0xf398de4fU,     0x9ad2c3aaU,     0x3f887d16U, \
    0xba99ab45U,     0xe9f07262U,     0x162f3c8aU,     0xbc9d2b44U, \
    0x074069c9U,     0x9aa82827U,     0xc46a1edaU,     0x7d46290fU, \
    0xddf3312fU,     0x71d0e23fU,     0xe9913f58U,     0xa6c267f4U, \
    0x186d9a7eU,     0xee5fe04dU,     0x2bc20c0dU,     0x8169bf5cU, \
    0xbaa48bfeU,     0xf169eeddU,     0x0aa9d8a0U,     0x5002b418U, \
    0xf71646adU,     0x6dc2e248U,     0xff95807dU,     0x6f68f1e7U, \
    0x5121ec11U,     0xe05b0954U,     0x79859209U,     0xacab19e8U, \
    0xed01f21eU,     0x7191c139U,     0xdf35cc61U,     0x62f32788U, \
    0x790f8b3cU,     0x0365f624U,     0x0f23fca2U,     0x55b64f42U, \
    0x23a245d2U,     0x1c2640b2U,     0x27171416U,     0x3df15092U, \
    0xd5326b40U,     0x4766d847U,     0xd8058d5dU,     0xad131c9bU, \
    0xe3c97ce2U,     0xeadb06cfU,     0x31f245c5U,     0x963e895cU, \
    0x8c5ef0ddU,     0xc28297b5U,     0xd8fda6b1U,     0xa51ddc3fU, \
    0x584921f9U,     0x0863c4f9U,     0xfb383726U,     0x8ed3735bU, \
    0x131e896bU,     0x9afcc0e9U,     0xb8c226e8U,     0x46e0f8d5U, \
    0x68044763U,     0x9ac75ce6U,     0x2df8bc3aU,     0x1caccd56U, \
    0x89530465U,     0xab8a93a9U,     0x8a5d228dU,     0x27a10847U, \
    0xf9882dfdU,     0x805f65b1U,     0x15390af7U,     0xb5a20c13U, \
    0x4c351ad9U,     0x9d9a2899U,     0x8f272713U,     0x4d33fdabU, \
    0x5e65fa8dU,     0xc98dd82dU,     0xb107c8cfU,     0xc090d9aeU, \
    0xab6eb0beU,     0x9c07b577U,     0xc837a5ddU,     0x67b17823U, \
    0x01a3ae71U,     0x343576ecU,     0xd5f2321cU,     0x23f81ccdU, \
    0xb55c4e40U,     0x35472ffbU,     0xe616d191U,     0x2ee1b852U, \
    0x7fbe082aU,     0x2a82d308U,     0xfbe93c18U,     0x6f37774eU, \
    0x11dca3a2U,     0x73309703U,     0x11ad2c52U,     0x91d6e6d4U, \
    0xe317d1e1U,     0x4b39c189U,     0xe66958eaU,     0x2d509d15U, \
    0x0a906086U,     0x61d3114eU,     0x6bbf05f4U,     0x3199a28cU, \
    0x9e50aff7U,     0x971c5e98U,     0x0906fae2U,     0x5f9e1896U, \
    0xba8fcf59U,     0x49a0662bU,     0xfa45a553U,     0x2f941bcaU, \
    0xea66e0a3U,     0x57d63dccU,     0xf46a25c5U,     0x3f65000bU, \
    0xacc5a140U,     0xb96c3929U,     0x7810b066U,     0xeb9201a5U, \
    0x5073d6faU,     0xe08f78e3U,     0x1dfa8864U,     0x68d5a1b9U, \
    0x8a5fbbdcU,     0x96d46aa0U,     0x9aedff7aU,     0xb0c136ceU, \
    0xc6f4552dU,     0xf5fe59b2U,     0x4dbb946cU,     0x1268cd00U, \
    0xe49fa163U,     0x51e90aa6U,     0x5d3a8b8bU,     0x3521f950U, \
    0x612035abU,     0x7c94145fU,     0xd69f6601U,     0xa9f83343U, \
    0x8c6fe03dU,     0x2593fa02U,     0xaf3c58a9U,     0x67caec52U, \
    0x596a7ac1U,     0xc90aa14cU,     0xef11cde7U,     0x26ac20c8U, \
    0x72fb3e17U,     0x876c1750U,     0x0a56297bU,     0xe8fe1a55U, \
    0xb3ab07a7U,     0xd1e93091U,     0xadd97409U,     0x10c67b06U, \
    0x97f4a9acU,     0xb52aad0fU,     0x84763c17U,     0xe3cb6de7U, \
    0x61dd366eU,     0xbe842433U,     0xb60daf03U,     0x0fdd6e27U, \
    0xc0fa7490U,     0x0d22c328U,     0x8e84f1a4U,     0x16a508e6U, \
    0x630e9a1aU,     0xc44546dfU,     0xe224ba03U,     0xae7d760cU, \
    0x9542f06fU,     0x1d9e76f8U,     0x79282343U,     0x21194d53U, \
    0x76f8af0fU,     0x494fa6ddU,     0xfee435feU,     0xa29c7b5dU, \
    0x5a810714U,     0x7121ef4eU,     0xbe68a68cU,     0x0ea8bf5dU, \
    0xc75ebe14U,     0x260f1731U,     0x8884dec4U,     0x8fd03dd2U, \
    0xd2e0008eU,     0x36eb4c1bU,     0x46497375U,     0x4a086a7bU, \
    0x1d38aff2U,     0x841faaecU,     0xb6d8a932U,     0x9867c64aU, \
    0x63bebdb2U,     0x1bc9e3fcU,     0x008046cdU,     0xd16f167fU, \
    0xf6fea894U,     0x37c19e3aU,     0xc9b867acU,     0x2b167179U, \
    0x95c6a26eU,     0x2ebb1dcaU,     0x03434bfdU,     0x76ffb8d0U, \
    0xcbdda89bU,     0xd1aeab8eU,     0x45673c7fU,     0x3a66f5b4U, \
    0x5aaea728U,     0x17673ba5U,     0xf570e3f4U,     0x4a464ceeU, \
    0xc4fc58e5U,     0xcf254466U,     0x6b234d0dU,     0x5497d381U, \
    0x6e661386U,     0x1faec724U,     0xac62f412U,     0x70e74809U, \
    0xe91b43caU,     0x5fc9803cU,     0x33edfae1U,     0xa4de9fe1U, \
    0x282a8979U,     0xa18dd259U,     0x77330c84U,     0x0017c914U, \
    0xd2b57eb3U,     0xe0ea4546U,     0xe7297048U,     0x219a4571U, \
    0xb4baf8aeU,     0x0430242eU,     0x2102cdaaU,     0xef14a1c5U, \
    0xae71a686U,     0xaac2f16bU,     0xc1796826U,     0x0f5a7064U, \
    0xa86ffa7dU,     0xb023ecceU,     0xae9985f9U,     0x98559ceaU, \
    0x8b7e9f08U,     0xfb2eb65aU,     0x0fbf9beeU,     0x57a21ca6U, \
    0x543b58efU,     0x852bfbdcU,     0x460acbf0U,     0x847e4f61U, \
    0x7b11cf5eU,     0xbe300fa3U,     0x86aeb5aaU,     0xea4a7bd8U, \
    0xbbf09e6aU,     0x630bb81eU,     0xcbe7b6b6U,     0x09ce9efcU, \
    0xd28ccdbeU,     0xc8016dc4U,     0xcd3b8e0bU,     0xf146d35aU, \
    0xbab5f569U,     0xfc49d8afU,     0x110126beU,     0x07144375U, \
    0xa864c223U,     0xac049807U,     0xe8a8d49fU,     0xd1e5f76aU, \
    0xcfc0998bU,     0x1a727e5eU,     0xfec8ea13U,     0x0d59c618U, \
    0xda820653U,     0x831b0bb9U,     0x5b06dd3cU,     0xb4c1dae4U, \
    0x6f59cbc0U,     0xd98572b9U,     0xb4a257d0U,     0x7403807aU, \
    0x29021078U,     0x9ac14f3dU,     0x6f1b389eU,     0x8892a28aU, \
    0x3a0bf5e5U,     0x5301939cU,     0x82d05490U,     0xeb0a0452U, \
    0x646eb7caU,     0xb48ebf4cU,     0x1ec3677eU,     0x2351eb12U, \
    0x96d1afc7U,     0xde3bbae7U,     0x70fdd1e9U,     0xd04beb34U, \
    0x33eb8032U,     0x10a68fc0U,     0x0f94b255U,     0xd1cc0f04U, \
    0x313a9d83U,     0x12460118U,     0x0a5a7311U,     0xda6f39e9U, \
    0x9bf699d8U,     0x25a38fa6U,     0xa9b1b5a9U,     0xf985b9e7U, \
    0xe3dbac51U,     0x46a36703U,     0x3b458217U,     0xefcd8e0eU, \
    0x188cbdb1U,     0xaa4317b7U,     0xc2947022U,     0x1ebf1decU, \
    0xf8dcd253U,     0xc4c9febbU,     0x7c2219f9U,     0x23c2761bU, \
    0xaf1ef651U,     0x18599cf4U,     0xb2422101U,     0x461e891bU, \
    0x6484beb5U,     0x440c8105U,     0x099c86b6U,     0x157267abU, \
    0xc40b4d6bU,     0xbf1f49f1U,     0x471092a2U,     0x2b3eef4bU, \
    0x4b9ae4beU,     0x23fa3de0U,     0xa4d0b568U,     0xe0e94ba0U, \
    0x81cfa633U,     0xa1920486U,     0x746fa7d0U,     0xec42d52cU, \
    0x8386a2b8U,     0xe2d34932U,     0x2257d6f2U,     0x7895256aU, \
    0xec7ac8bbU,     0x2f0bde1bU,     0x43448c3bU,     0x9c03b6a6U, \
    0xd338e42eU,     0x4f6b5977U,     0x923ebb32U,     0x98a80f63U, \
    0x4353870cU,     0x6b7a33a6U,     0xfa7d59c1U,     0xdad96e9aU, \
    0x072a3329U,     0x8713e4d3U,     0xc885e026U,     0x14fac006U, \
    0x662e5bfdU,     0xf7024fc1U,     0xd8612b6fU,     0xbd7a5909U, \
    0xf0e97944U,     0x184ab7f1U,     0x47f88926U,     0xeefa7591U, \
    0xe2661473U,     0xec4c56f1U,     0x3b9caba9U,     0xa934e5c5U, \
    0x07dcbcffU,     0x92eb6c40U,     0xd98aa112U,     0x2b900aabU, \
    0x16dab3b5U,     0xaf0f5883U,     0xdb19da2eU,     0x7c6e9377U, \
    0x6950a47bU,     0x79740d59U,     0x80514e8fU,     0x057e59cbU, \
    0x3d6f858dU,     0xf8617750U,     0x3d35210aU,     0x8758bc21U, \
    0x405500e4U,     0xaceccbd0U,     0xee8e1b17U,     0x5533d6eaU, \
    0x9b589b4eU,     0x0fe851beU,     0xeeb06ed1U,     0x41450347U, \
    0x4d280c7dU,     0xd17928caU,     0x7bdd8f01U,     0xd4c2b416U, \
    0x8a9d0816U,     0x60e04fe1U,     0x2c37353eU,     0xc3c2694eU, \
    0x440148a9U,     0x3a28073cU,     0x8d8d116bU,     0x344a9b45U, \
    0xe75145d4U,     0x5c56746bU,     0xec80012eU,     0x40787490U, \
    0x4d1d54feU,     0xa5d812e5U,     0xdf8593f0U,     0x6f056238U, \
    0x3fc72bbeU,     0xf07c7600U,     0xb4f1585aU,     0x723af0a9U, \
    0x40b6e14fU,     0x430fce7fU,     0x47003bb8U,     0xa4150d00U, \
    0xbfd04fd3U,     0x49443b85U,     0xd3895122U,     0x6ee41989U, \
    0xfd8907d9U,     0x0325b674U,     0xc0e26c0fU,     0x66606624U, \
    0x98224853U,     0xb7598702U,     0xa00decd4U,     0xe9dd721dU, \
    0xe0d1c547U,     0x71a707f3U,     0xa3200562U,     0xebb081d4U, \
    0xb572c43bU,     0x49122a0eU,     0x9b41cad5U,     0x03e0b2a7U, \
    0x2263151eU,     0x3453fd07U,     0x627479d5U,     0xc7393a7fU, \
    0x726bd09bU,     0x135b7bc2U,     0x517d45a8U,     0xfab45efbU, \
    0x294421f0U,     0x046d6faaU,     0x36874a3cU,     0x95dec337U, \
    0xff634aacU,     0x3ea0949eU,     0x13b7f7d3U,     0x9b173f43U, \
    0x38429f45U,     0x00175173U,     0xd618af98U,     0x332bcb1fU, \
    0x090605b6U,     0x9d95eb54U,     0x2bfd8cfcU,     0xed144c75U, \
    0x15dd965bU,     0x7e8f4531U,     0xfd90e4bfU,     0x19e2a879U, \
    0x89a5a2c5U,     0x1435c959U,     0xb4d14b6eU,     0x09c52f53U, \
    0x0deeeae5U,     0x248a5046U,     0x7f228de7U,     0x433a91a9U, \
    0x623e4dfaU,     0xc8a7d8f7U,     0x8e2863d2U,     0x8225e1e9U, \
    0xec006a8eU,     0x05c30337U,     0x1e838e32U,     0x3417b905U, \
    0xcb7bc4eaU,     0x8ebd3b0fU,     0xc0d71f82U,     0x616d5b3fU, \
    0x4482d638U,     0x1409cf87U,     0x360a2069U,     0xee256a9eU, \
    0x6f164da8U,     0xa5bc44a9U,     0xe415a296U,     0x2479ec67U, \
    0x342872d1U,     0x09e76075U,     0xb059bf9cU,     0xa1879574U, \
    0xfafed330U,     0xd3edc35eU,     0xe44e2084U,     0xf3625c58U, \
    0x8668de21U,     0x59647219U,     0x5031fed8U,     0x2ec3006fU, \
    0xeef5148dU,     0x62043fb8U,     0x8cf577daU,     0x26598509U, \
    0x81e69ab6U,     0x98718bcaU,     0x67649914U,     0xf5b898c7U, \
    0xdb2bd99dU,     0x9f43b44aU,     0xb80ca79eU,     0x7ed6255dU, \
    0x19e8b89aU,     0x303910f2U,     0x56574d29U,     0x3271fc2fU, \
    0xd1bad0d6U,     0x946e2ff9U,     0xf0efaa75U,     0x5ed12f59U, \
    0x236d9f4bU,     0x64ee1c31U,     0x8fa171b4U,     0x4b729af0U, \
    0xf1143f72U,     0xcdb486a8U,     0x7df90424U,     0x11c55396U, \
    0xc1f7d1a6U,     0x0bd5dcdfU,     0xa3c99805U,     0x095a16c5U, \
    0xc02855ceU,     0xeef1f7d5U,     0xf119bea4U,     0x5c06db52U, \
    0x8d249e91U,     0x58f81e10U,     0xd8c0a933U,     0x8abe82faU, \
    0xd9898a6cU,     0x09928442U,     0x71c0c30dU,     0xab92fe6dU, \
    0x77b349b5U,     0x361ced6dU,     0xde14d877U,     0xa3604817U, \
    0xfb9f50a7U,     0x0c3fa2f8U,     0xb3914dafU,     0xf55a3ad7U, \
    0xfac11f89U,     0xe54df0b3U,     0xa001e8efU,     0x7b5dbdb7U, \
    0xd632ba63U,     0xa721526dU,     0xb14006c8U,     0x5aab903cU, \
    0xaa9d9e0aU,     0xa32e2f86U,     0xcc04e6c0U,     0x6761edc5U, \
    0x04ac1a9fU,     0xd32f6b32U,     0x83a93dd0U,     0xf77968f7U, \
    0x95fa9cf0U,     0xbf22e38dU,     0xdac78ed4U,     0x17af1aeaU, \
    0x6936f643U,     0x388d4864U,     0x747b69ccU,     0x702466f5U, \
    0x9a90284eU,     0xa1f003feU,     0x5712837bU,     0xf56087e7U, \
    0x016fc1d0U,     0xd1d4b414U,     0x5a377717U,     0x52b30621U, \
    0xc83a16c0U,     0x335908bcU,     0xc424088aU,     0x31dffcc9U, \
    0xed23e0d7U,     0xa9cd84eaU,     0xf1789f25U,     0x6564ad63U, \
    0xc1bc4252U,     0x3341ed3aU,     0x9993bd36U,     0x274e4c40U, \
    0xf24ccf9fU,     0xa99d1e53U,     0x7c25263fU,     0x8e923fe7U, \
    0x93ada770U,     0x9107812dU,     0x579adb4aU,     0x2594b556U, \
    0xa162fc3eU,     0x383519ddU,     0x9ebfbbf4U,     0xb513911bU, \
    0x1174aae8U,     0x6defd60aU,     0x56371209U,     0x78658ae2U, \
    0x73472a27U,     0x9af0d678U,     0x5433545bU,     0x1557de2cU, \
    0x445b44f8U,     0x1543bacbU,     0x6e2fd459U,     0x74af97c1U, \
    0x9550ecd0U,     0x54a7661fU,     0xaf01383fU,     0x832ea7abU, \
    0xb34df34cU,     0x11a14de8U,     0x92bc53d6U,     0x1565b43bU, \
    0x853a5384U,     0x8a4db449U,     0x955e0b21U,     0x0da7e908U, \
    0xe1b206faU,     0x9852382aU,     0x97be1d25U,     0xcf250567U, \
    0x5aa3b703U,     0x391cf901U,     0x158f12faU,     0x5ec21524U, \
    0xd93647f7U,     0x43a2ae61U,     0xed140717U,     0x258db93aU, \
    0x40c38c69U,     0x143a213cU,     0x7a8c3199U,     0x97c26e35U, \
    0xaae1f370U,     0x19c4f969U,     0x74b85ec3U,     0xc501dea0U, \
    0x7800e54fU,     0x07b18c04U,     0x06cfd49dU,     0x5adcd980U, \
    0x064d8692U,     0xc5b040bdU,     0x40ef5460U,     0xa1afa298U, \
    0xf110618aU,     0xffd074c8U,     0x1a6c24faU,     0xff4ce196U, \
    0x521d85b1U,     0xed59c73bU,     0x72c114a6U,     0xef3c122eU, \
    0x3bd28921U,     0x671068e8U,     0x662e05ebU,     0x5870ab75U, \
    0x87faec19U,     0x4c3fcb3dU,     0x13051ca1U,     0x1052ce09U, \
    0xb6b13dd1U,     0xa0962710U,     0xeb9b8ba5U,     0x8e2c696eU, \
    0x9742c813U,     0xdc9b1812U,     0x240a344cU,     0xffd9b2d9U, \
    0xd268e754U,     0x7d790315U,     0x372ab6a2U,     0xd83c8619U, \
    0x301c6054U,     0x27131959U,     0xf1ea30f2U,     0x434ec68eU, \
    0xec9b6aeaU,     0x8f85c6cdU,     0x5635a77aU,     0xfa69f650U, \
    0x5dff7d83U,     0x1358cc8bU,     0xc0e8dfebU,     0xca502215U, \
    0x5001f2b1U,     0xdd64f46dU,     0xfdbf8f47U,     0x1d984e2eU, \
    0x7362c364U,     0x9ef29554U,     0xe751c705U,     0xf13187bcU, \
    0x3d4c882fU,     0x926c8118U,     0x69413f54U,     0xf208419bU, \
    0x87d28d78U,     0x29c00712U,     0x1bfd7dfcU,     0x3ee54effU, \
    0x152ebb21U,     0x312d97e2U,     0xaaa7cbacU,     0x03b10870U, \
    0x4e3410b9U,     0xec65297dU,     0x6f289452U,     0xd27a08bfU, \
    0x0f8f2663U,     0x7c35e0aeU,     0x97fba2daU,     0xef1b51e5U, \
    0xcbe7b137U,     0x4bde97adU,     0x6d513ceeU,     0x3cb537fcU, \
    0x6aa86115U,     0xf84d24d4U,     0x04c4f787U,     0xe8b46116U, \
    0xa0320f54U,     0xf5cd9f8cU,     0x81674342U,     0x6d73b737U, \
    0x1788c40dU,     0x99fb51e9U,     0x70293d94U,     0xce059aa1U, \
    0xd382e651U,     0x075d607eU,     0xefe11997U,     0xfc17f3c1U, \
    0x0b964627U,     0x657017e8U,     0x0cdcff07U,     0x0595071eU, \
    0xb11bfb87U,     0xa97b4cd4U,     0xb9107e8eU,     0x42873cedU, \
    0x0f72bdc7U,     0x1232e4fdU,     0x0d03db50U,     0x9676032cU, \
    0x145bcca3U,     0xe9648e54U,     0x6d0bf7e3U,     0x52af3896U, \
    0xbb62f814U,     0x75e91587U,     0x2ef0f688U,     0x0a11264dU, \
    0x81faa834U,     0x01b01bcfU,     0xcbfa66a0U,     0x94b897feU, \
    0xab2a0154U,     0x0663761dU,     0x19f5de11U,     0x61f97e2bU, \
    0x1a32332eU,     0x58f0ec65U,     0x1e627592U,     0xc77376f1U, \
    0xbfd7f436U,     0x35952053U,     0x548b7aa2U,     0xabf8111cU, \
    0x9319f8edU,     0xb0ff9f58U,     0xfb5249d1U,     0x1229bd29U, \
    0x5dfe8f8fU,     0x000c33bcU,     0x141f4bdeU,     0xe077e684U, \
    0x9817c5a8U,     0x92647e6eU,     0x1a1ae13dU,     0x5186e85eU, \
    0x3ba6c19bU,     0x21799606U,     0x92ac4f95U,     0xb43baa06U, \
    0x3bef457aU,     0x20ecb474U,     0xbe4f11deU,     0x037cca38U, \
    0x5a81a4fbU,     0x9889e6c3U,     0x7309adb2U,     0xd9782e56U, \
    0x43493fb7U,     0x447ea811U,     0xf5de5487U,     0x17cc9860U, \
    0x24274423U,     0x902b2d8fU,     0x0ea279e8U,     0x7bfc42f3U, \
    0xe230221dU,     0x5aad6882U,     0x203557b6U,     0xefba1e93U, \
    0x8e87e523U,     0x373fa597U,     0x66e96448U,     0xbc3fef3cU, \
    0xd1bf06dbU,     0x17a98799U,     0xd08370ceU,     0xddf63403U, \
    0x9deb9feeU,     0xcad49a69U,     0x518d6127U,     0x1a095170U, \
    0xe8d63531U,     0x9b939294U,     0x747e7583U,     0x585cb241U, \
    0x0ccc2e4cU,     0x9becf515U,     0x2c8b50faU,     0xbde70cf3U, \
    0x85974ce6U,     0x1a8fd3a8U,     0x94717d52U,     0x1dbb02b7U, \
    0xbb1f1a8eU,     0x82f8e3c6U,     0xda203cc4U,     0x4925bb58U, \
    0xb587d59dU,     0xebdbcd46U,     0x8ef31722U,     0x8587c1f2U, \
    0xa4eff258U,     0x17b93a9eU,     0xf669c419U,     0xa618ecd8U, \
    0x160a0443U,     0x978c2c0cU,     0xdc549e58U,     0x90c5fc33U, \
    0xd10dabd2U,     0xade4f147U,     0x2b7ab181U,     0x46374d9cU, \
    0xd79de4cbU,     0x7088ecceU,     0x3c63be51U,     0xb8fa544eU, \
    0x139ac4f6U,     0x348ab7e6U,     0x7f7f18aaU,     0x397b12b9U, \
    0x551e0b60U,     0x1697e757U,     0x37545d5aU,     0x58d72a05U, \
    0x9baf6bf2U,     0x1fca8f2aU,     0x3d2886e2U,     0x62aa3770U, \
    0x49cc5421U,     0x1e8f61bbU,     0xacaa7dacU,     0x3fce670dU, \
    0xa9bb5b16U,     0xb965c2ecU,     0xcffc38f6U,     0xed368d79U, \
    0x63c2d464U,     0xc6c13a97U,     0xe2140c92U,     0x68696d97U, \
    0xdd7ea168U,     0x43f875d3U,     0x3f71f56dU,     0x9ed2db87U, \
    0xff70002fU,     0x8a7dab2cU,     0x74f5be35U,     0xf0df8ca2U, \
    0xa8920e7eU,     0xa1694fd0U,     0x920c4b1bU,     0x4f0e5d02U, \
    0x05fc4fdaU,     0xcc615668U,     0x0340ee0cU,     0x7071a833U, \
    0x62035827U,     0x25cba9f7U,     0x5f4bddbdU,     0xca3b9929U, \
    0x95688613U,     0xd2e81fbfU,     0xa41beeb4U,     0x3533f6fdU, \
    0xba007c53U,     0x5a708948U,     0x06c20e1aU,     0x447b5155U, \
    0x2f371befU,     0x26ab4bd6U,     0x0030c8ceU,     0x13a5d0e8U, \
    0x8d445894U,     0x243256bbU,     0x375dab33U,     0x28fb4462U, \
    0xcf83175eU,     0xe9eba181U,     0xb0fba80eU,     0xa623544fU, \
    0x5e1ddcceU,     0x5ba59a86U,     0xc16bc376U,     0x11f9f241U, \
    0xdcf66a7dU,     0x96ee0297U,     0x730ad8a0U,     0xd123f1dbU, \
    0x6e52ca36U,     0x4b94e6b9U,     0x1de0b89eU,     0x2f07e727U, \
    0x74ae5b34U,     0x865a6c80U,     0x82a2fe0bU,     0xdd04e531U, \
    0xb9eaa4ceU,     0x360ec3fbU,     0x20920a18U,     0x6f26acdaU, \
    0x77701c3dU,     0xe3529471U,     0x9e96231fU,     0x1645e855U, \
    0x71191ad5U,     0xf67bf5c1U,     0xb411f312U,     0x77121dcaU, \
    0x2337172fU,     0xdcaf2ee9U,     0xfade42e4U,     0xa05d47b6U, \
    0x760e5824U,     0xaa5c9e58U,     0x9e8579d5U,     0xb53c0368U, \
    0x5436c9a1U,     0x06fb9430U,     0x4ac4a073U,     0xfcde1797U, \
    0x38f778dfU,     0x34d24b46U,     0xff87c0aaU,     0xe45356b6U, \
    0x4d8a0e08U,     0xc15835a8U,     0xe79f8f2aU,     0xb8e6bb5eU, \
    0x492d8884U,     0x8f883b93U,     0x97377bbfU,     0x3adc96f0U, \
    0xdc01b56cU,     0x1afa5a42U,     0xdf80c4a1U,     0x8bb3f957U, \
    0xc8f6c1a6U,     0x7574cbdfU,     0x0eb2bce5U,     0xb3acd230U, \
    0x24a03945U,     0x8c470ecfU,     0xe685ac01U,     0x7c8e5ab1U, \
    0xe4727123U,     0x7b475648U,     0xd2772986U,     0xfdddb944U, \
    0x75d29a72U,     0xc374183dU,     0xf5ddff68U,     0x4cc3eaeeU, \
    0xfbbf9351U,     0xae365018U,     0x988ab8e6U,     0xf764071eU, \
    0x53b06371U,     0xdd156ea1U,     0xb4fc0c96U,     0x299ce7f6U, \
    0x9ecfcd9eU,     0xcde59871U,     0x14fc6021U,     0x19fc40a4U, \
    0x8f6b0681U,     0x10acce0cU,     0x74b90ceaU,     0x975d9aa8U, \
    0x87b6751cU,     0xa8acbef7U,     0x730307a6U,     0x6f11f009U, \
    0xe1af322fU,     0x779b2f7fU,     0x7e1dbe36U,     0x0566db24U, \
    0xafb12094U,     0xab7a5ddeU,     0x7cbd965bU,     0x951d913cU, \
    0x2fc0f330U,     0x41d36700U,     0xf2f5c4a2U,     0x38c120acU, \
    0xcd59b61dU,     0x69ad0c98U,     0x5f32cbfcU,     0x0bf089caU, \
    0xcd8a57f3U,     0xc5bcaf93U,     0x500c4b30U,     0xf60f4226U, \
    0xc44b186cU,     0x96e99347U,     0x13816a0cU,     0x45b64c96U, \
    0x2b63a07dU,     0x6d79189dU,     0xc81f58e4U,     0x1fc43572U, \
    0x4c737f3eU,     0xcee4f46eU,     0xe1c2766bU,     0x0bd31bb0U, \
    0x1087442fU,     0xa9816b94U,     0x323a3cc0U,     0x74785171U, \
    0x98f72fd6U,     0xbaa4bb1eU,     0x2f4ad505U,     0x5fb1f57fU, \
    0x30149581U,     0x171de2afU,     0xf2e02b73U,     0x638f0760U, \
    0xd3b3f6bfU,     0x59aaabedU,     0x2d568594U,     0xa68daffcU, \
    0xa82aa07fU,     0xf4ac19f5U,     0xc86015deU,     0xe4149da7U, \
    0xb399cd30U,     0xc38d945eU,     0xaf4adc89U,     0xdbce72cdU, \
    0x11d51315U,     0x867201c3U,     0xffd82a94U,     0x67ce5090U, \
    0xf1edf1bfU,     0x264fe757U,     0x4b9b1d0aU,     0x709d6432U, \
    0x91d3fd11U,     0xc4448157U,     0x1e31a41cU,     0xb1f6a490U, \
    0x2ca7ef08U,     0xe3398c5aU,     0xed20798eU,     0xfd325ab6U, \
    0x207236a6U,     0xb324771bU,     0xa01f10e1U,     0x4faf0a9fU, \
    0xcdfb8d94U,     0xd8ebedb5U,     0x69861bdeU,     0x20f5843cU, \
    0x92cd2482U,     0xda75b802U,     0x53c3f457U,     0x117510d8U, \
    0x48e277ceU,     0x53dc4c32U,     0xabf5f711U,     0x3bb39681U, \
    0x8f18f9ccU,     0x5eb7dbe9U,     0x77a53d18U,     0x6f9c78faU, \
    0x0b7aab7bU,     0x65f2acbcU,     0xecfe286cU,     0x4386e224U, \
    0xe0b5c747U,     0x5e600337U,     0xf2c4fcbcU,     0xaa9cf360U, \
    0xf3fee425U,     0x6a57a356U,     0xbacbb72eU,     0xd2af599fU, \
    0x2c91f253U,     0xdf1f30d6U,     0xa2fe57dfU,     0x98678f7fU, \
    0x4efb44f5U,     0x8109a995U,     0x32aef308U,     0x357a7828U, \
    0xb030b956U,     0xcdbca40dU,     0x9e3ae930U,     0xf6aae682U, \
    0xa14fa3b1U,     0xb9e62efaU,     0x18b47b62U,     0x3f69fcfcU, \
    0x6e27a312U,     0x4c752eb1U,     0xdb01c322U,     0x3fcd0110U, \
    0x63082cb8U,     0x21c5fc5cU,     0xfad33c64U,     0x99cf150cU, \
    0x430e2c23U,     0xf089af05U,     0xe8f0cfa1U,     0x96bba300U, \
    0xe8d69709U,     0x6adaa5e9U,     0xcbde08ecU,     0x4020728dU, \
    0x88537253U,     0xd4be38efU,     0x60fc4aaeU,     0x56825eb3U, \
    0xeef47acaU,     0xab4408b1U,     0xa6ff9a29U,     0x6db0059fU, \
    0x453b2fc7U,     0xa7ecd158U,     0xaa228745U,     0x2cf7453cU, \
    0xd2fd4776U,     0x3934f1a5U,     0x1a28e05eU,     0x0b6d2b4cU, \
    0x04ea044cU,     0x5ebf02f8U,     0x948ffe68U,     0xa41398a3U, \
    0x60559491U,     0xe35458fdU,     0x3ed8d651U,     0xc3908f51U, \
    0xdfe2645cU,     0x8b9041c4U,     0xd4fa3952U,     0xe8346138U, \
    0xb67e1914U,     0xe985af8cU,     0x1a6a05a2U,     0x90e22408U, \
    0x4c496fd1U,     0xaa2568c3U,     0xf9da5047U,     0x07b73776U, \
    0x51119c67U,     0x057d8751U,     0x46f21e8dU,     0x8edad92fU, \
    0x93b40d29U,     0xde023c1bU,     0xe6d7b6f9U,     0x8116152aU, \
    0x940ebb7bU,     0xece60f14U,     0x807cdd27U,     0x45a71305U, \
    0x846d9465U,     0xf45d7c1fU,     0x0c29e703U,     0x0c27ffa7U, \
    0x0ed38e76U,     0xf3f98b8aU,     0x3d70b1a6U,     0x0030d986U, \
    0x8832eb89U,     0x70ae529bU,     0xf464d75eU,     0xc9fd46a2U, \
    0x69d7e929U,     0xc18da656U,     0x147ef194U,     0xc80e47c3U, \
    0xa0624831U,     0x238d7dcfU,     0xa2fd52b9U,     0x69395d80U, \
    0x6a17b4c1U,     0x82f5b94eU,     0x63deed9dU,     0x0b431cd2U, \
    0xe0485d23U,     0x1d60e994U,     0xa880a015U,     0xdd2a925dU, \
    0x72e124e4U,     0x8a5d19a1U,     0x08877307U,     0x43d064f3U, \
    0x96a766ecU,     0x8d1a75a0U,     0xc0fbb7e7U,     0x75d8b34cU, \
    0x48c0bb28U,     0x4b12bed0U,     0x5382542dU,     0xf74a1510U, \
    0x657c1b8dU,     0xbd685b5cU,     0x36940a7cU,     0xb78d5eadU, \
    0x7c8a4713U,     0x67047c33U,     0x1f820313U,     0xbae55134U, \
    0xf591edc2U,     0x3c3c488cU,     0xd2c921d4U,     0x9713945bU, \
    0x5c681e3eU,     0xcb60437eU,     0xfe54f411U,     0xbea13f91U, \
    0x8187d239U,     0xca72f4b9U,     0x79e69e38U,     0x0ee4871dU, \
    0x165e8559U,     0xeee5b2a1U,     0xc7ee2cffU,     0x1ee10fd0U, \
    0xec3a2d08U,     0x95158dc0U,     0x9dab8219U,     0x48c777fbU, \
    0x221b8efeU,     0xa78c9288U,     0xc61ccc30U,     0xc86c74a2U, \
    0x8b07e85aU,     0xd1199f29U,     0x46db1bfcU,     0x47cbb868U, \
    0xb64db454U,     0x75ceb941U,     0xe8cc33beU,     0x828113f9U, \
    0x9f451cdcU,     0xca511901U,     0x64f30762U,     0xbe78d356U, \
    0xa4e1192bU,     0x963163e7U,     0x8598dd52U,     0x46d18827U, \
    0x11353ab7U,     0xaed09692U,     0xd3d0cb49U,     0x30046b76U, \
    0x0e0901f5U,     0xcdc6e0f7U,     0x75f53315U,     0x524c0605U, \
    0xea4f82e4U,     0xc368659eU,     0x070d250cU,     0xe1d012ddU, \
    0x1976317aU,     0x37ed1f05U,     0xa6283c6aU,     0xfd92e152U, \
    0x0a9dc317U,     0xa7ca2da6U,     0xbec61e33U,     0xcb49de73U, \
    0x2bc84803U,     0xeeb6422dU,     0x67b6dc2aU,     0xcd4a99a1U, \
    0x2b9a5fd9U,     0xd92d7163U,     0x432202d3U,     0x61f828d1U, \
    0x0c2c77c7U,     0x3db7ea1eU,     0x6623fd5aU,     0xd2410587U, \
    0x214df734U,     0x4cf48505U,     0x984fbd28U,     0x18bda367U, \
    0x16c05178U,     0xccfa9f81U,     0xd89a834dU,     0x09ff9ca3U, \
    0xc0c027a0U,     0xfd835d76U,     0xae6decceU,     0x6bb13e88U, \
    0xcf01aee2U,     0x333a1cc6U,     0xc3b74f52U,     0xc71d9c28U, \
    0x6ab89511U,     0x4f61ca9cU,     0xef8fd2bfU,     0xdc2017bcU, \
    0xb294bea3U,     0x62d7bad4U,     0x583b51cbU,     0x75a82cffU, \
    0xf2677b96U,     0x7899963bU,     0x820d80d5U,     0xcb491a95U, \
    0xe09a25b5U,     0x06b8285eU,     0x12c5efb5U,     0xf10c452eU, \
    0x3a6220b1U,     0xdc9e3e10U,     0x14c2f592U,     0x8e83fc84U, \
    0x38889f6eU,     0x91042a91U,     0x87b5e33fU,     0x7b7be12dU, \
    0x54a53d5fU,     0x09450d63U,     0x30b02038U,     0xeb3df6b7U, \
    0x1d836567U,     0xc7a5fc24U,     0xec18d9e2U,     0x99ed4e7dU, \
    0xbaa2d67bU,     0x19732eb4U,     0x66c2c6d2U,     0x34106a8dU, \
    0xb820756eU,     0x8cb33874U,     0x880ddf8dU,     0xd130c17fU, \
    0x0b24e66eU,     0xa270ba13U,     0xe8e7e471U,     0x363ad2b6U, \
    0xe6857afbU,     0x9dca9944U,     0xdcffa50bU,     0x23a20f2eU, \
    0x37197a06U,     0xebc26c3bU,     0xd93c03e9U,     0x5ddd8188U, \
    0x5066051aU,     0xbc639b56U,     0x58624aa1U,     0x0afdd543U, \
    0x3c657156U,     0x8b282cb5U,     0x8603b2c8U,     0xc249094bU, \
    0x1fcc4ca2U,     0x3119b6bdU,     0x3e9caa77U,     0xab1f3a7fU, \
    0x1bfc181dU,     0x79ec21e7U,     0x0d576e22U,     0xdee283d7U, \
    0x266ca9daU,     0xc0387e9eU,     0xa79dad18U,     0x0522a224U, \
    0x20b14873U,     0xd8bbc3a3U,     0xa33c8817U,     0xcdcd648fU, \
    0xf7f76d76U,     0x96ffcb16U,     0xcff937edU,     0xce116cf2U, \
    0xdc75cae8U,     0x2f1c0e34U,     0x13cfceceU,     0xb94f179fU, \
    0x339ef80cU,     0x5bf9b8fdU,     0x71cf2d23U,     0x07de869dU, \
    0x9b1a2f6fU,     0xdf2f5ca6U,     0x5b565a72U,     0xd16e59e1U, \
    0xb34b3d14U,     0x7af6e35fU,     0xf6e1b6afU,     0x50c30f94U, \
    0xfbdab46cU,     0xcd1dbab5U,     0xa1cfa613U,     0xb5c66187U, \
    0x4858e2deU,     0x5bc1da69U,     0xdd364f54U,     0xd5dd37cdU, \
    0xeb254a89U,     0x52bd2e56U,     0x3c852888U,     0x1d575c6eU, \
    0x6604d183U,     0x2f8e2504U,     0xf288d5c2U,     0x57211906U, \
    0x3dbe5aa6U,     0x3ba4436fU,     0x92498d88U,     0x14a28a19U, \
    0x4e98dd74U,     0x7555868dU,     0xfaa6ac77U,     0x43213b79U, \
    0xfc3a7eddU,     0x1bd3964bU,     0x3f948dcdU,     0x949ee4f7U, \
    0x3f8f48baU,     0xf9d1f2c3U,     0x66b80274U,     0x44190cd2U, \
    0x2846f86dU,     0x7ca24deeU,     0x349f05ceU,     0x96144776U, \
    0x285c9d94U,     0x1324b642U,     0x5ec17d5eU,     0xd866bb63U, \
    0x70abb67dU,     0xec91a087U,     0x75147678U,     0xd24196f9U, \
    0x72f5ce00U,     0xdb3f218bU,     0x395bf639U,     0x5da2378eU, \
    0x62f70cc6U,     0x746be552U,     0x8146de3cU,     0x60e09c89U, \
    0x526eb573U,     0x140fc295U,     0xd6db7543U,     0xbd24e222U, \
    0x7c8f142eU,     0xce13b1e1U,     0xad8c90d7U,     0x77cffed1U, \
    0x5c61b7e8U,     0x3136166dU,     0x63eb95a5U,     0x29e321c0U, \
    0x8e370ba1U,     0x79a41a48U,     0xd0de4c62U,     0x0e006f3aU, \
    0xa04e5cfcU,     0xeb19a0d8U,     0x06fa9d8dU,     0x8ff5c239U, \
    0xade043e5U,     0xcd318285U,     0x969941d5U,     0xc1938f66U, \
    0x49fb6518U,     0x33253c76U,     0x967c73b5U,     0x1f9db282U, \
    0x10b10deeU,     0x49fd89baU,     0x2bcdf1b5U,     0x91407aecU, \
    0x25b9b88aU,     0x43570cd3U,     0x4a89f3f5U,     0xa1d55514U, \
    0x4f9196f6U,     0x58ba9f2eU,     0xceca0e43U,     0xa0e86cb2U, \
    0xbd940091U,     0x606ab8e4U,     0x17de083aU,     0x6ab703e5U, \
    0x099eb533U,     0x50b0c11bU,     0xfbb825baU,     0x1b8ddf12U, \
    0x40875a3bU,     0x7b09b228U,     0x4b6e95fdU,     0xc96cb79dU, \
    0x9502fa09U,     0x2722f1ccU,     0x6f168132U,     0xd160c620U, \
    0x57c78425U,     0x2b40aeb5U,     0xf820eb07U,     0xfc1c2ba6U, \
    0x736802ceU,     0xde67de15U,     0x2e873496U,     0x922b6954U, \
    0x75964426U,     0x57d58887U,     0x896e7bbcU,     0x8cdcc1e2U, \
    0xc8abca95U,     0x7a9aef8fU,     0xa13d6996U,     0xe7633907U, \
    0x1a51bb12U,     0x45df674dU,     0x2588e422U,     0xa0b36389U, \
    0x670b9969U,     0x979d07b5U,     0x237ea264U,     0x2706bc0fU, \
    0x82e38b0aU,     0x2cb8aa41U,     0x7d98db2eU,     0xa8b60158U, \
    0x24ba86dbU,     0x10eff044U,     0xf84fabeeU,     0xdd89fcb1U, \
    0xb295230fU,     0x0a6334c0U,     0xd5e8ad3aU,     0x1da73eabU, \
    0xf302645dU,     0xef5df685U,     0xeb1356baU,     0x4399ba73U, \
    0x8d913144U,     0xfc95b712U,     0xee0bee90U,     0x726315c7U, \
    0x3768b0f9U,     0xdeb7b6d5U,     0x2cc53eb9U,     0xf9868cc7U, \
    0x4aa31990U,     0x6bc2336eU,     0xbf11a8c6U,     0x4f6b96f6U, \
    0x49b048acU,     0x4a4c8e93U,     0xd6e79d20U,     0x99c562dbU, \
    0x4b5992d1U,     0xd8eab12bU,     0xeab7468aU,     0xdd599b18U, \
    0x978a6521U,     0x531abcd0U,     0xcf17284bU,     0x796af9f4U, \
    0x4df594a5U,     0xe65ced82U,     0x7d28b786U,     0x99669e61U, \
    0xb1357590U,     0x3c9adf78U,     0xf483691aU,     0x9c9a4181U, \
    0x8bf58360U,     0xcf7e446aU,     0x039b33a6U,     0x5b64a5dbU, \
    0x2dc79c1cU,     0xd61f15dcU,     0xfb28460cU,     0x062e5583U, \
    0x57e352b4U,     0x13ea0d00U,     0xa0b34f85U,     0x61a28d10U, \
    0xf33defc4U,     0x6d9f8d98U,     0xf6ba61f5U,     0xc2786d3dU, \
    0xb7caea49U,     0x2f1582fdU,     0xbf0c4648U,     0x65471c91U, \
    0x9aa7a0d6U,     0xcfd36f21U,     0x45ae85e6U,     0xad588bf3U, \
    0x5a6fc9daU,     0xb7f1d4edU,     0x485d969fU,     0x6ad3f183U, \
    0x08870f84U,     0x86904b9aU,     0x2de87cc9U,     0x806e3669U, \
    0x79c38348U,     0x0338f718U,     0xf5f4338fU,     0x7b3624ebU, \
    0x22233729U,     0x859c2bdeU,     0xe30f9b29U,     0x9a4e713eU, \
    0x87380b8bU,     0x33c8d339U,     0xbf44aadbU,     0x43314677U, \
    0xcf953124U,     0xe7207f21U,     0xbcd753dbU,     0x647bb3daU, \
    0x54c869fcU,     0x7f1626fdU,     0x64bd53e1U,     0xbb40f012U, \
    0x892db97aU,     0x047e1a8fU,     0x3a16efcfU,     0x4e3f9378U, \
    0x380533f6U,     0x9faf4d85U,     0x285f980eU,     0x2d9e535aU, \
    0xb5e722f8U,     0x9191e6ceU,     0x6cb9468dU,     0x5e1ae278U, \
    0x9e5f76a8U,     0x90e222d4U,     0xaff22d17U,     0x6f498bc1U, \
    0x7766a566U,     0x432b44bbU,     0xd15facbcU,     0x332d7618U, \
    0xe35b481fU,     0xcb7950a6U,     0xbf47b616U,     0xa5894394U, \
    0x841f7f71U,     0x0151c6b0U,     0xc57af657U,     0x5b2ab319U, \
    0x15b7ae76U,     0xd95243a3U,     0x4958c497U,     0x9b02b678U, \
    0x6646692bU,     0xc52aa579U,     0x0f66ddb4U,     0x0a604029U, \
    0x3836274fU,     0x4d789b19U,     0x2f0cfd11U,     0xe1589733U, \
    0x7b3b3bebU,     0xa9980097U,     0xa887c74bU,     0x04be25edU, \
    0x65c24cfcU,     0xcd4ddaccU,     0x7ae82b1fU,     0x0a4a0bdeU, \
    0x7be576ccU,     0x2211053bU,     0x25c87d8aU,     0x484252d5U, \
    0xd82abfecU,     0xc3598314U,     0xe98798aeU,     0x4c01b7efU, \
    0x046c89f1U,     0x16673374U,     0x0f2bda95U,     0x6485b636U, \
    0x0bc7e816U,     0x2faf4c80U,     0x39da1c52U,     0x9db8d642U, \
    0xa030955eU,     0xba640b35U,     0x6ff9b825U,     0xa2846531U, \
    0x1a087515U,     0x8980cfb9U,     0x7a291c9fU,     0xc3e0191bU, \
    0xf22024efU,     0xe54581e1U,     0x10f846c4U,     0xb89dcd70U, \
    0xe2226cbeU,     0x8b6e7a24U,     0x30856427U,     0xae4ac436U, \
    0xb298d7cfU,     0x502ecf36U,     0x95edee5dU,     0x139f62b5U, \
    0x85dca5c3U,     0x4b21e53eU,     0xd73cd16cU,     0x7f555f2cU, \
    0xba640f67U,     0x3d762273U,     0x45fcf10fU,     0x81f8c450U, \
    0x36d3a59eU,     0x83ca3389U,     0x90b09894U,     0x17c13ae4U, \
    0x345e4e16U,     0x3cc4586aU,     0x7c6741f4U,     0x800535ddU, \
    0xf92802acU,     0x2f083740U,     0x57b582f8U,     0xa35a0517U, \
    0xbf131120U,     0x200082cbU,     0x9738f4d7U,     0x31e7aa86U, \
    0xdd41c86dU,     0x71f570b3U,     0xcbd37443U,     0x6e8e249cU, \
    0xa689bbb0U,     0x5afe81bdU,     0x98156243U,     0x1891187cU, \
    0x78f67541U,     0x6312da4fU,     0xb0a2a30fU,     0xc478422bU, \
    0xf5c0257eU,     0xf1708786U,     0xeea9a125U,     0x7a6efc76U, \
    0xe2bc3d23U,     0x13af0175U,     0xb1dbae96U,     0x7cd3cadcU, \
    0x067d2a1bU,     0x67bf05ebU,     0x4dadf927U,     0x9115a7eeU, \
    0x3baad642U,     0x3ec927f2U,     0xfc88d154U,     0x3b32ef6dU, \
    0x7215f464U,     0x11693644U,     0xee5eeaf4U,     0x9c941f0bU, \
    0x0ba487b0U,     0xa407a865U,     0xe3ab6fa1U,     0x9078f986U, \
    0x1c7c99f4U,     0xd9d15633U,     0x6f49a81dU,     0xc07b7807U, \
    0x35f16eecU,     0xd688b04eU,     0x622d296bU,     0xed88cce8U, \
    0x82cabd4dU,     0x9acacec3U,     0x39f5dae4U,     0x8824c35aU, \
    0x44b10bf3U,     0xb317b934U,     0x5603e7b2U,     0xbb42985eU, \
    0xd3f7f707U,     0x7ecd46beU,     0xd3880e44U,     0x963ff99bU, \
    0x137d531fU,     0xa2853761U,     0x069ed98dU,     0x20f3cd13U, \
    0xd30931f6U,     0xb434a7c7U,     0x747f0966U,     0x3a7597b0U, \
    0x7c9b5004U,     0x3ebb4fb8U,     0xbc046facU,     0x208fd900U, \
    0x9dbb315bU,     0x806a670bU,     0x1a08009dU,     0x9311c4a7U, \
    0xa7fb70c2U,     0xc8d7b55aU,     0x42f774faU,     0xd56420fdU, \
    0xfb29fc85U,     0x0457edc9U,     0xe9f0b29dU,     0xbf196524U, \
    0x3b4eed08U,     0x2f15ddf0U,     0x0910231fU,     0xa3077711U, \
    0x98ff4f16U,     0x86bb1e43U,     0x3be419a8U,     0xb62ea1dfU, \
    0x35b768b7U,     0xa756e48aU,     0xc93aeb80U,     0x1ec268acU, \
    0x58dcc329U,     0x7b7b6fc9U,     0x441cbdc3U,     0x63c4efc4U, \
    0x63109cd2U,     0x21ff36a1U,     0xbf5a7cf1U,     0x807353bfU, \
    0xbf7a32c7U,     0x9cd8f450U,     0x9db9bc35U,     0x021ded20U, \
    0x1ac744bfU,     0xcb12f233U,     0x2ec7408bU,     0x6747a8e9U, \
    0x15a1f512U,     0x74fef046U,     0x02b728bbU,     0x321d2bc4U, \
    0x012ccc1fU,     0x89620676U,     0x3f9a217aU,     0xe27b24a1U, \
    0x826e4ee6U,     0x123f1025U,     0x67c3de92U,     0x9010e125U, \
    0xa9ddb87bU,     0x0cc725dbU,     0x969bba9eU,     0x40806784U, \
    0x1f7daac4U,     0x88b6d491U,     0x674e52cfU,     0xd26baf59U, \
    0xef197632U,     0x0167f4b1U,     0x5adc6215U,     0x4366a61dU, \
    0x66ef20b5U,     0x3a484ae1U,     0x5cb88de6U,     0xfde693d7U, \
    0xb84cd107U,     0x710fabcfU,     0xf4094b4bU,     0xabb25941U, \
    0x4ca7f076U,     0x92a40153U,     0x60aac206U,     0x070775aeU, \
    0x5826cf8fU,     0x9233c9b3U,     0xdb080207U,     0x4d5cee18U, \
    0x797cfdbdU,     0x370408dcU,     0x75f9764dU,     0x3f224821U, \
    0x80a6faccU,     0xa66f8267U,     0x6dfc32c3U,     0x2e49e6a2U, \
    0xc504851bU,     0x1a44a9e2U,     0xbdfe2be3U,     0x826a680eU, \
    0xb43213b2U,     0xbfffaa72U,     0xe474845eU,     0x11ab8b28U, \
    0x34337366U,     0xd2fef444U,     0x04c7444fU,     0xbc8bcd82U, \
    0xd55f75eaU,     0xf560c7daU,     0xe9e82ff0U,     0xeed4fd89U, \
    0x4839b3d4U,     0xa3f59fe0U,     0xdc57060bU,     0xc091bf67U, \
    0x11f79e90U,     0x83c840adU,     0x53de979eU,     0x274d5d79U, \
    0xcbf3833fU,     0x35e58c09U,     0x895f9c47U,     0x7aa44759U, \
    0xbd333b4fU,     0xe7d46763U,     0x707fae0fU,     0x7f1fae06U, \
    0xdbcc6891U,     0xf230c615U,     0xb724d073U,     0xe68dad78U, \
    0xadab7286U,     0x5d9f0d58U,     0x8ebb8074U,     0xe5375c52U, \
    0x5882d8a3U,     0x7166e612U,     0x08b85b74U,     0x7e12baedU, \
    0xc1a0d288U,     0x662df5d6U,     0x90891ea6U,     0xd5294d81U, \
    0xc2b9d443U,     0x890bcb4aU,     0x876ace7cU,     0x86d7f5feU, \
    0x8a26953dU,     0xbb5ff9eeU,     0x0d0fbaa6U,     0xaa11808dU, \
    0xac383420U,     0xfb2ce3c2U,     0x96bb6f02U,     0xcaf5ec94U, \
    0x14d06bc8U,     0x173e6f05U,     0x43cc9c89U,     0x03a3438fU, \
    0x145b00cbU,     0xada7faa8U,     0x8472177eU,     0x7ea8b4bcU, \
    0xc74ee8adU,     0x9f3241bbU,     0x3c9bd220U,     0xe31ff286U, \
    0xa833220cU,     0x29e2c2a1U,     0xc8cc28c0U,     0xc45fe4f9U, \
    0xbe55e455U,     0x237ab7f1U,     0xb8c465a9U,     0xcc38a29aU, \
    0xc0505913U,     0x6f7541b7U,     0x7caa5387U,     0x5e8e7a1eU, \
    0x57433359U,     0xe60df52fU,     0x835a9363U,     0x3ea08074U, \
    0xe621e74bU,     0x37fdf01dU,     0xdaa1b990U,     0x0007bf94U, \
    0x89859d2aU,     0xe7eec1e8U,     0x050e56bfU,     0x36a41648U, \
    0xcdfe907bU,     0x05c8c6c8U,     0x1738dfe5U,     0x2d365b75U, \
    0x6b7df6b8U,     0xd37be15dU,     0x51fef699U,     0xadfd235dU, \
    0x21d50d0dU,     0x19c13e7dU,     0xc86ade43U,     0xda30095fU, \
    0x78513d8fU,     0x837570b9U,     0xcb69005eU,     0x14877825U, \
    0x67303a72U,     0x10b7e73eU,     0xb0fe6bf8U,     0xdaa5cd89U, \
    0x23eba768U,     0x651c3580U,     0x09e70f78U,     0x10c40bdfU, \
    0x69b5936cU,     0xe51ac829U,     0x3a69c8daU,     0xa90196c1U, \
    0xe69035f3U,     0x2b4cbf70U,     0x00d5938dU,     0x25f6cd31U, \
    0xea70be7cU,     0x627793dfU,     0xce0e091aU,     0xab3aba3cU, \
    0x5fe25315U,     0x4b7ceef2U,     0x46bd54a2U,     0x171b7ea1U, \
    0x2e4fea9cU,     0xdf3c309dU,     0xe455c121U,     0xe23c57c4U, \
    0x965b5effU,     0xb60dde2eU,     0x39296780U,     0xb9e9cafbU, \
    0x3c2c30bfU,     0x86f4c43dU,     0x43909fbbU,     0x4719de10U, \
    0x7614155bU,     0x573f7025U,     0x63c4352cU,     0x790f29caU, \
    0x454ec726U,     0x797fff5aU,     0xf2bc0c0fU,     0x5c0c0c41U, \
    0x99b1d560U,     0x2aa944a0U,     0x0a21e9a5U,     0x2c59e9b0U, \
    0x38b80782U,     0x613f3925U,     0x46777224U,     0x02ff317bU, \
    0x511dde16U,     0x63b8286aU,     0x4d9cfe93U,     0xa7f5306cU, \
    0x1673453aU,     0x8190684bU,     0x98030a60U,     0x8803f81eU, \
    0xee2f9196U,     0xc6e4e066U,     0xaeafb5faU,     0x819ffc9cU, \
    0x45c2c85fU,     0xde3d8b17U,     0xd56cf80eU,     0x2c23d128U, \
    0x6dbf24e3U,     0xec53a66dU,     0x48117dd4U,     0x589fba2dU, \
    0x02f22258U,     0x128d1098U,     0x68d61b7dU,     0x979c4dd4U, \
    0x8bc9b902U,     0x255f44d5U,     0xd1408df6U,     0x1af4d2ceU, \
    0x44b1b5e9U,     0xcea8cc86U,     0x19f87827U,     0xaa186548U, \
    0x6f409c31U,     0x2f36fc28U,     0x225f72bdU,     0x2f4add70U, \
    0xfbb68e48U,     0x0185f0e3U,     0x4115a938U,     0xdb45f75fU, \
    0xb40f91a9U,     0x32330691U,     0x2bfb9599U,     0x5645e736U, \
    0xa96487a1U,     0x5471027dU,     0xdec11135U,     0x741401e9U, \
    0x2f1a7fa3U,     0xc10b8fe0U,     0xaef50854U,     0x97e86f6dU, \
    0xaec90fbeU,     0xab472f2bU,     0x7b9e0ad7U,     0xcd968fa0U, \
    0x4bb5c0a9U,     0x50538dbfU,     0x5bb2db78U,     0x4a3cc3b7U, \
    0x4de3d8b1U,     0xfa7abf76U,     0xd9a25ac2U,     0x4a2118c7U, \
    0xbeb8e223U,     0x6469aea2U,     0x3b1e178eU,     0x8b476e12U, \
    0xe33f20d9U,     0x460ffb1eU,     0x130eb214U,     0xad9f5c06U, \
    0x05053acfU,     0x08e1e102U,     0x67cc9da3U,     0x6f39bab5U, \
    0xdb34b6cbU,     0xa4b527f7U,     0x78c645bbU,     0x26916eceU, \
    0x6bb04737U,     0x41475ba2U,     0x924bab76U,     0x9abce76aU, \
    0x5f8f4723U,     0x25c6e7eaU,     0x2c531ae3U,     0xdec4cc8dU, \
    0x6cb21678U,     0x9453010bU,     0xddc2499aU,     0x26de7f33U, \
    0xbd4fc212U,     0x2886c83dU,     0xea4ca56eU,     0xc295623eU, \
    0xb4e29e22U,     0xddfa0541U,     0x229e9b8bU,     0x5f956870U, \
    0x650ee24dU,     0x096c6555U,     0x087e88a1U,     0x912d15b5U, \
    0x9b7e5ad5U,     0x57fefa25U,     0x74b210ddU,     0x16514dd9U, \
    0xcd134178U,     0x72808e59U,     0xd91a4c88U,     0xa1e1d1f3U, \
    0xb3747728U,     0x41dd5504U,     0x91b81f1dU,     0xa4559897U, \
    0xb868f5efU,     0xf88e1be6U,     0xe1459b69U,     0xe71811deU, \
    0xe494bd4fU,     0xea81de3bU,     0xb9fea797U,     0x7c53c159U, \
    0xe6fc8ecfU,     0x0a0a6809U,     0xa86b6353U,     0x13913154U, \
    0xfecbad26U,     0x661f2eb6U,     0xc9267ba5U,     0x8e4c70e8U, \
    0x2d85daefU,     0x8793085cU,     0x4a36cd8bU,     0x6e7ec2c6U, \
    0xefb29ed1U,     0xe956e209U,     0xd6c37987U,     0xfc58eef0U, \
    0xb2e5a75cU,     0xe7c67e10U,     0x69ad58e6U,     0x9025c4bbU, \
    0xb280143cU,     0xf5cb6976U,     0x7207804fU,     0x53b236baU, \
    0xc1194fc1U,     0x9a8e221fU,     0x9208c4a7U,     0x24e02ae9U, \
    0x579f7aaaU,     0x8b58037fU,     0x647b4697U,     0x6229aa32U, \
    0x0d846f6cU,     0xdc479cc8U,     0x358146baU,     0xc54f485aU, \
    0x77a0ffa3U,     0x520b02c0U,     0xbc5eacd0U,     0x2e84dd1aU, \
    0x033551cbU,     0x49fc988dU,     0x476e6ec3U,     0xdcbcc1d3U, \
    0xd440fb75U,     0xfcb53d49U,     0x3702d37bU,     0x4a3bfb6aU, \
    0xaac341f4U,     0x0a43477aU,     0x0c6e2dbbU,     0xa3e998f9U, \
    0x9b46c13dU,     0x989fc635U,     0xfead8ee9U,     0xb7b278e1U, \
    0x7353c88aU,     0x9ea2a5e7U,     0xec00d511U,     0xdec8af43U, \
    0x4d761cc0U,     0x3175f5ffU,     0x69566f6aU,     0x352b8967U, \
    0x857a59eeU,     0x3f29fcedU,     0x8ebf01fdU,     0x9a58cad2U, \
    0x86c8285fU,     0x11e51245U,     0xffb940aaU,     0xbb0d1cfcU, \
    0x66315c9aU,     0x5dba681fU,     0xcf48d960U,     0x2f4cb983U, \
    0x56ee2e30U,     0x2655fa25U,     0xba93436eU,     0x515a133fU, \
    0xfbf0b3a5U,     0xd252501eU,     0x65614484U,     0x64279bb1U, \
    0x2f555be2U,     0x06611f5bU,     0xccdb0769U,     0xd5ec0e5cU, \
    0x7fbe3d30U,     0x17572ce4U,     0xe3b6cd08U,     0x800851f9U, \
    0xd974800dU,     0xe3cae287U,     0x9836a1ffU,     0x8f22779bU, \
    0xf89512d9U,     0x554db802U,     0xb411228cU,     0xcc9c40a1U, \
    0xd31cb650U,     0xf5428dd4U,     0x0728f36bU,     0x7a1b9657U, \
    0x9863bf10U,     0x1652db93U,     0xe2c7d4c3U,     0x0ea87c60U, \
    0x16c6a02dU,     0x9f6c088dU,     0x45d3f85cU,     0xe4302db4U, \
    0x46b3fe4eU,     0x7875311eU,     0xb8359ea2U,     0x963cc807U, \
    0x1f9fd46dU,     0xb9c6cbaeU,     0x56861385U,     0x018eb469U, \
    0xac891184U,     0xa10b4c32U,     0x5a05c8d5U,     0x4f9836fbU, \
    0x9c4adfd2U,     0xd2fb45f0U,     0x2c9d6a78U,     0x68ab75deU, \
    0x45c8c976U,     0x20128827U,     0xafa187b3U,     0x826236b6U, \
    0x3b797809U,     0x5787261fU,     0x026d2ecdU,     0x5daceb40U, \
    0x840caaceU,     0xc7a6fecfU,     0x64eb9f7bU,     0x93ac3277U, \
    0xfa400321U,     0x06f71039U,     0x1d7ec920U,     0xfa89ca01U, \
    0x9c20a2c9U,     0xff805028U,     0x74909d5eU,     0x23b8f9f1U, \
    0xe350255aU,     0x8082a133U,     0x833483dbU,     0x01c07c29U, \
    0x69a137fdU,     0x3e18280dU,     0x721569eaU,     0x3108b6afU, \
    0x62ebaf3dU,     0xc901e481U,     0x20675b14U,     0x2405c950U, \
    0x36fff435U,     0x09dc5dbcU,     0x4e27a20aU,     0xc5feace5U, \
    0xb242d437U,     0x8ae4ad39U,     0x2c165348U,     0x685a283fU, \
    0x07f2d11fU,     0x24364a45U,     0x327e4168U,     0xeafd45e8U, \
    0x133f3aa7U,     0x1d2d1198U,     0x5808907fU,     0x22eb62d5U, \
    0x89a97c4cU,     0x2e58b109U,     0x0fdb6625U,     0xd479cc2eU, \
    0xa04a3172U,     0x0e8c772eU,     0xf661cf8fU,     0x4c316d4eU, \
    0x60a63bc3U,     0xe2b43f6dU,     0xffe6edadU,     0x8b3a779fU, \
    0xb20f03a9U,     0x8dfff32bU,     0xcd2970d2U,     0xae9b781fU, \
    0x7bc7997aU,     0x9736cce9U,     0xce6f10b5U,     0x2282ee15U, \
    0x6b3bfc7bU,     0x6f4a2fe0U,     0x7d604fadU,     0x72852417U, \
    0xf79fabfaU,     0x26affab1U,     0xcf4b28a6U,     0xb0ee0c79U, \
    0xc5dfda72U,     0x08581426U,     0x687e8479U,     0xffd9980bU, \
    0xddc09715U,     0xaeb58be0U,     0x2dae6e68U,     0xc0de141fU, \
    0xf719f2c0U,     0x8eb90abfU,     0x5958baa1U,     0x024753a4U, \
    0x967a06d0U,     0x6055aa3eU,     0xe18cd667U,     0xccea957cU, \
    0x381f9c2cU,     0xd3358dd8U,     0xa8155feaU,     0xc0d7ede1U, \
    0x8b348adaU,     0xf54c4a51U,     0x66a5a646U,     0xdb753a1bU, \
    0x90fd550eU,     0xe624babbU,     0xab9fe2f3U,     0x118e2084U, \
    0xf7a3f98aU,     0x55f5a912U,     0x6ec41672U,     0x65ef38e0U, \
    0xa350f66aU,     0xddee671fU,     0x564e78c3U,     0x96719732U, \
    0xf4a1f187U,     0xe91c4ef0U,     0x9bd19581U,     0x6dfd8019U, \
    0xbd29658fU,     0xa4c10280U,     0x7e2d102fU,     0x821db6c8U, \
    0xbaa28373U,     0x7c20d272U,     0xe6b1434fU,     0x8959e35fU, \
    0xeb74538dU,     0xf430b7e4U,     0xa9a3d9b1U,     0x63c2d494U, \
    0x3e06fbf3U,     0x00e2f496U,     0x1796056bU,     0xa285d401U, \
    0x88e687b0U,     0xd3a90bfcU,     0xe7d1f982U,     0xf60dc75fU, \
    0xbc16ceddU,     0x928720b6U,     0xf8e02dacU,     0xd087ae73U, \
    0x75845abaU,     0xc2b322c9U,     0x592ece11U,     0xb722a52aU, \
    0xd71d9ea6U,     0xea883194U,     0xca88b5b9U,     0xffec379dU, \
    0x1f13c337U,     0x5fd36054U,     0x45634dbeU,     0xaca15a29U, \
    0xd1fbed06U,     0x7c6c42dfU,     0x31f29654U,     0x342d0839U, \
    0xcb24324eU,     0x03a9c7beU,     0xc4f82a53U,     0xc1d9198aU, \
    0x8e128842U,     0x9dd5d857U,     0xa910d94eU,     0xd10a5c0dU, \
    0xc0158b6bU,     0xb8e723f2U,     0x98fbfd35U,     0xf5a00aa8U, \
    0x422d6b45U,     0xfd116af4U,     0xa3eb91c9U,     0xcdae6f35U, \
    0xd4652ea0U,     0x6c411927U,     0xd537e502U,     0x4e579382U, \
    0x8e8e2921U,     0xdce674b6U,     0x99a9a280U,     0x15d64841U, \
    0x751b97deU,     0xa8d6ec53U,     0x8111f6d4U,     0x55bffe47U, \
    0x363a4dc1U,     0x28080a2aU,     0x1c8684c9U,     0x38bb6a1cU, \
    0x2e8a282fU,     0x2fff1487U,     0x235a73aeU,     0x1059d4f0U, \
    0x1e71165fU,     0xc08b2c51U,     0xa118c8ebU,     0x7e926819U, \
    0xf36ace00U,     0xa3719c73U,     0x43869dadU,     0x3434dd98U, \
    0xa3ff7d8dU,     0xdc99b9d0U,     0xf1ccba4eU,     0x3696c194U, \
    0x7896e3f6U,     0x4c0e8550U,     0x9c509900U,     0x02021879U, \
    0x7a308823U,     0xc809a7c3U,     0x6af8a938U,     0x45071129U, \
    0x7ab00995U,     0x0096a186U,     0x186ff531U,     0x33a92dfbU, \
    0xa9bd0fc6U,     0x3a8e8e99U,     0x75aeaf80U,     0xec0fadcfU, \
    0xb937f323U,     0xbb7e87a9U,     0x3125238aU,     0x57a9f249U, \
    0x761b568dU,     0x355c3e66U,     0x91839e14U,     0x681e6a35U, \
    0x259808b4U,     0x3e0c72deU,     0xdbdd9ea7U,     0x085c6165U, \
    0xb6254d11U,     0xf936f718U,     0xbd6308c2U,     0x48b4b962U, \
    0x7c7e7088U,     0x054745e5U,     0x310e5770U,     0xb86310d1U, \
    0x90cdbe49U,     0xff549414U,     0x0cd4fcebU,     0x8a5e3138U, \
    0x7dffacc7U,     0xb0fbdb9eU,     0xf4a03b70U,     0x20b78e3fU, \
    0xa74f49a7U,     0xf57ee248U,     0x85d42caaU,     0xce1c1666U, \
    0x651e16f3U,     0x418410c8U,     0x34157446U,     0x3d564b9fU, \
    0x99bdac81U,     0x61c36d07U,     0x5edd096fU,     0xf6526005U, \
    0x6acac6a8U,     0x34c43eddU,     0x9faad587U,     0xf87feff2U, \
    0x97f287c0U,     0x8336788dU,     0x6fab5c48U,     0xac5640e8U, \
    0xe2ee6d21U,     0xb4b0e4e8U,     0x69384b0aU,     0x77e626edU, \
    0x0f16bf4eU,     0x1df73e91U,     0x0818e1f9U,     0x695863a4U, \
    0x60c294fbU,     0xf28b1b60U,     0xc6134cd1U,     0xae8af59aU, \
    0xe05810a2U,     0x8bcbca31U,     0xb160149aU,     0x2236a223U, \
    0x04b47507U,     0x4098ca1dU,     0xd630ec11U,     0x8e19628eU, \
    0xd93882f0U,     0x8d302433U,     0x2de599a3U,     0xfaf7d07bU, \
    0x6f84bbd6U,     0x1ae6f6f1U,     0xb12f532bU,     0x0bff4a2fU, \
    0x484476e2U,     0xb8a56ba1U,     0x54e37d53U,     0x264bfac0U, \
    0xcc0ba0a0U,     0x22f5f470U,     0x07eee2c9U,     0xc64e56caU, \
    0x7f3c0068U,     0x7520620dU,     0x92d7a8edU,     0xb89f93edU, \
    0xfdb6d227U,     0xeb7986bdU,     0xb059fc05U,     0x484bc609U, \
    0x6e45bfa5U,     0x1f4d044bU,     0xa38aa54cU,     0x6c0a89aeU, \
    0x9468a7b7U,     0x873ce295U,     0x87f6cce6U,     0x6d0c4d97U, \
    0xeaa792a1U,     0xa291a568U,     0xd7969b6cU,     0x875c9a66U, \
    0xc5b696c5U,     0xc4f62f22U,     0x8ab3265aU,     0x6083b11aU, \
    0x5e29eb41U,     0x5409e583U,     0x2a829decU,     0x016b0dd5U, \
    0xe410c8efU,     0xe18429e1U,     0x7c6ee569U,     0x99d271c3U, \
    0xc1855331U,     0x772d03adU,     0x8cf84a96U,     0xbb241d22U, \
    0x91762c2bU,     0xd965407eU,     0x4172718dU,     0x1bda44edU, \
    0x95a7d5c7U,     0x65dfd063U,     0x8ee27ef1U,     0x07448414U, \
    0xda3472fcU,     0x7a19a8e2U,     0x9d2ea1f2U,     0xcd1bf08aU, \
    0x06f6f2ccU,     0xc91d64c1U,     0x62b16cdaU,     0x367963edU, \
    0x7063e13cU,     0x7e8224b7U,     0x52dc158bU,     0x9062f5deU, \
    0x89bec4e7U,     0xccb1e1e3U,     0x4b941c80U,     0xd22de113U, \
    0x31df0073U,     0x4293a6e6U,     0x7c679bf6U,     0xa5c6e86fU, \
    0xea584801U,     0x8d420a5eU,     0x202ceb49U,     0x2e56ddd7U, \
    0x9ff8d236U,     0xd991a6f5U,     0x6bab1593U,     0x4b626367U, \
    0x9e7656eaU,     0xf994e540U,     0xe65a462bU,     0x5680924aU, \
    0xcc801dfaU,     0x5a6730dfU,     0x0c559c46U,     0x43d0ac69U, \
    0xcd5fd36fU,     0x2485cd9eU,     0x0cd43da0U,     0x678ec6d7U, \
    0x62506d6aU,     0xe1f52d23U,     0x04563485U,     0x321e083fU, \
    0x13c47becU,     0x00fa54beU,     0xcdd3f850U,     0xb012317bU, \
    0x50e0044bU,     0x1447b196U,     0x3377d7e1U,     0xa9e6f149U, \
    0xc296f96dU,     0x769957d4U,     0xa5af14cdU,     0x6467f969U, \
    0x1696152bU,     0x3da1a02eU,     0xa514b376U,     0x729f4c6aU, \
    0xe51bd543U,     0x30008406U,     0x4a932efcU,     0x55a063b7U, \
    0x42e55bf9U,     0xc4fb7417U,     0x870d8ccfU,     0x6a4bc6a9U, \
    0xfd4d0516U,     0x196b6c24U,     0x969d30b9U,     0xf4afe606U, \
    0x78b551e0U,     0x5453136aU,     0x8ae0843fU,     0x056d1fd4U, \
    0xbccabdeeU,     0x678d6c23U,     0x022f6dd8U,     0x46109ffeU, \
    0x780327c3U,     0x1b71b27aU,     0xf71138aeU,     0x1a35d5f9U, \
    0x22d1cbb1U,     0x003821d2U,     0x074d9938U,     0x2af0721cU, \
    0x66ce7331U,     0x3a0c1bdeU,     0xa9dc1293U,     0x334e258aU, \
    0x134ebd3aU,     0x098213e2U,     0x08401e43U,     0x0db2b8d9U, \
    0x70a90fc2U,     0xee584e58U,     0xdc80035bU,     0xdd2bfb41U, \
    0xbbf39954U,     0xdf266266U,     0xcc8a553bU,     0xdb0a0fcaU, \
    0x642ab52aU,     0xd621a979U,     0x6574f20aU,     0x4e15d808U, \
    0xc1f31ca9U,     0x3c7c9b81U,     0xb3c837d2U,     0x5c7d8f42U, \
    0xbeab362cU,     0xfc3887a8U,     0x6ed46a09U,     0xec439efdU, \
    0x402188f4U,     0x9b2dd2c3U,     0x20d92234U,     0xe77ea583U, \
    0x89899feaU,     0x268c82d6U,     0x40791264U,     0x33f5c119U, \
    0xab9db34aU,     0x70acdb44U,     0xb9b1df16U,     0xfcda96eaU, \
    0x21fc1258U,     0x6c23181dU,     0xada07977U,     0xae017dafU, \
    0x1ad7cd84U,     0xa9f706a8U,     0x75735cedU,     0x64f526f5U, \
    0x53bf7170U,     0x8dba0665U,     0xc1e4a822U,     0x171bc550U, \
    0x194c72a8U,     0x0e1bc38fU,     0x6ee37699U,     0xc2e22570U, \
    0xe1a9f43bU,     0xbff9c691U,     0x11166947U,     0x591f88fbU, \
    0x8cba72deU,     0x13ea70d0U,     0xb8155537U,     0x4387f697U, \
    0xd4497e9bU,     0x073096fbU,     0xc6215b8eU,     0x4730b7fbU, \
    0x6665d3bdU,     0x328ceaeeU,     0x46aa9984U,     0x3a99c1aeU, \
    0x54408a58U,     0x92d9b58dU,     0x9acc62d8U,     0x3c34340bU, \
    0x72efff80U,     0xa9ac8688U,     0x8a25b53cU,     0x84e31d8bU, \
    0xb5d9f6ceU,     0xe59127fdU,     0xa784d3cfU,     0x79bc7e61U, \
    0x4c3cd102U,     0x191ab8bbU,     0x13f7caa9U,     0x4ed87b9cU, \
    0x8b371910U,     0xc76105acU,     0x104c29caU,     0x938679d8U, \
    0x868c0022U,     0x1966c892U,     0x9fc50305U,     0xaef24af8U, \
    0x149310daU,     0xd0af2018U,     0x7009dceaU,     0x121d71cdU, \
    0x0316b3b9U,     0xa7361a72U,     0xa1b68f62U,     0xa2a55589U, \
    0x164a3e86U,     0x733dad5dU,     0xa5fd5e6bU,     0x6d5a22d9U, \
    0x69e64b70U,     0xf3e69baaU,     0x9a650336U,     0x046fb403U, \
    0x71fcf91bU,     0x430ac2faU,     0xfe71b64aU,     0x554badebU, \
    0x9d91c871U,     0x651beccfU,     0xaf520547U,     0xccb7e43dU, \
    0xe3220f68U,     0x343bbc79U,     0x0a187fcbU,     0xe44a76afU, \
    0x5e102622U,     0xf589be78U,     0xb6c9f611U,     0x0eed3f7fU, \
    0xd088f6edU,     0x823439edU,     0x130fd776U,     0x243d3f71U, \
    0xf22dda25U,     0x9e26c7d8U,     0x5bdc1b24U,     0x28aca254U, \
    0x8baf27e3U,     0xbe544695U,     0x2325a795U,     0xbc251513U, \
    0xacfc6850U,     0x578d0495U,     0x34ee1169U,     0x5b592e38U, \
    0xfd648b39U,     0x86522656U,     0x78230b26U,     0xe43df334U, \
    0xa146c437U,     0x80a75d30U,     0xa9ec544cU,     0x601007a3U, \
    0xc86005ebU,     0x3bb0abedU,     0x150da958U,     0x7854db93U, \
    0x273b0c18U,     0x46660ea3U,     0x7636d576U,     0x00aa0522U, \
    0x62891306U,     0x01d67b20U,     0xcaa97919U,     0x3312a5c5U, \
    0xa15b65a4U,     0x61292956U,     0x99447b88U,     0x435acf2fU, \
    0x11802b6fU,     0x29a17b64U,     0x3533ee61U,     0x21287acbU, \
    0x581c0174U,     0xe8c2c02aU,     0xa6ad87d0U,     0xc79c030dU, \
    0xed3469f7U,     0xaa9e3982U,     0xb3794f7fU,     0x23c5af03U, \
    0x2056f6a1U,     0xef38f1b7U,     0xc268f334U,     0x6811fad5U, \
    0xce42e545U,     0x64e7f9b0U,     0x64a22aeaU,     0x7b1e7186U, \
    0x169be438U,     0xa30ee74eU,     0x968c6bc8U,     0x73450f50U, \
    0x8166870dU,     0xf58c181fU,     0xe14e8e2dU,     0xa7da6239U, \
    0x29b14756U,     0xae657a90U,     0x138c9fedU,     0xd0f6d761U, \
    0x93d9b8afU,     0xff3e8e13U,     0x645b8cc7U,     0xecc81b4dU, \
    0x51ca5dc4U,     0xebf34f14U,     0x1355c22fU,     0x1067bf19U, \
    0x7e88a615U,     0x7c516260U,     0x5824fe85U,     0xd468a428U, \
    0x5fad1b6aU,     0xedde746eU,     0x1ce883afU,     0xe77c2108U, \
    0xcc63a746U,     0xf2cfe596U,     0x14930088U,     0xe34e0c66U, \
    0xf68851eaU,     0x1dc0abbfU,     0xd87903d2U,     0x9d3eba13U, \
    0x0e6659acU,     0xe1b2cb55U,     0xbc961f27U,     0x0c5754a3U, \
    0xaf69f947U,     0x795cb911U,     0xa8983965U,     0xdf933599U, \
    0x9e4274d1U,     0xbba47eb8U,     0xb8d12b53U,     0xd1366e75U, \
    0x5d7fb91cU,     0x1bb6ef1aU,     0xb057f268U,     0xbf30a5f9U, \
    0x116ff7f1U,     0x51ccac8fU,     0xbaf8ba0aU,     0x38222ec2U, \
    0xe8a2e825U,     0xe05234edU,     0x72f60adfU,     0x3c51f647U, \
    0xd0797ae1U,     0x35dfdb0bU,     0xc25d0b7eU,     0x6962996fU, \
    0xec9b129eU,     0x2b5759dbU,     0x69266215U,     0x550a3d54U, \
    0x6abd73f2U,     0x77b6fb24U,     0x6ca9a9efU,     0x9b74860aU, \
    0x868ec4ccU,     0x2a633864U,     0x1199b15dU,     0xdae65e71U, \
    0xdb8409b9U,     0x41255b39U,     0x5f39e4d6U,     0x05889eefU, \
    0x71c5c099U,     0xf346fd86U,     0x581a8ef3U,     0xba70b692U, \
    0xee896428U,     0xf7a94044U,     0x2667720cU,     0x81ccce4eU, \
    0x81cc6a61U,     0xb79ff915U,     0xe384a188U,     0xa93616f9U, \
    0x8f30ebd9U,     0x772d730eU,     0x34538cc9U,     0x3516c61eU, \
    0x826d6d1dU,     0x273cf195U,     0xd046f27fU,     0x5fc8b64fU, \
    0xba9d81eeU,     0xb4970e9aU,     0x5ab83270U,     0xe42fae30U, \
    0xb8b9b960U,     0x92dbbb15U,     0x4c789635U,     0xa845d6b7U, \
    0x9221c04bU,     0x7f340e59U,     0x05fba05cU,     0x443dffb7U, \
    0xf7434647U,     0xd240ee0aU,     0x148adad8U,     0x206978b8U, \
    0xfc60e0beU,     0x6839b02eU,     0x0cc44ca9U,     0x9292bf09U, \
    0xe5d7b760U,     0x0e2730beU,     0xedfa5031U,     0xfa66f018U, \
    0x58a1dd12U,     0xe24c49d1U,     0xfd2ea403U,     0x84cd7588U, \
    0x8110256fU,     0x7ad58c01U,     0xb1a25702U,     0xd769d9acU, \
    0xab93cc5dU,     0xc88fd258U,     0x0242c244U,     0x151e09c0U, \
    0x7712f316U,     0xf357305dU,     0x9e19c813U,     0x3e03752fU, \
    0xf489ddbaU,     0x07205ecaU,     0x1fbdf197U,     0x9f04d761U, \
    0xf794872bU,     0xa843d650U,     0x1b9da34fU,     0x81daf596U, \
    0xbd760204U,     0x6ac6ebf3U,     0xf332d4caU,     0xef059e77U, \
    0xa1edb68fU,     0xed5d0a2cU,     0x22cfb6e2U,     0x3b52246bU, \
    0x97b99bf7U,     0xf460aa23U,     0xb121aebdU,     0x606b7d95U, \
    0x386ea763U,     0x0e9cc6dcU,     0x5fdc4463U,     0x3f8a6664U, \
    0x063ba431U,     0x0abf5c69U,     0x8cf53928U,     0x69d899aaU, \
    0xf234148bU,     0x593d4d39U,     0xdbb2ed41U,     0xaa11471eU, \
    0x71c1df68U,     0x146a12d7U,     0x4251ecc1U,     0xa848dfddU, \
    0x75f33abfU,     0xbb29d1d9U,     0xbf0d3861U,     0x187b763eU, \
    0xaf980487U,     0xeda94c9fU,     0xc4c49834U,     0x345f3891U, \
    0x9bc3cfd5U,     0x0deffb08U,     0x77bf9d5cU,     0x096df0d8U, \
    0x1e25c849U,     0x6cd5cab4U,     0xf4ff0b14U,     0x8bdf2aacU, \
    0xd8981b67U,     0x01a4c68fU,     0x7e0b8ec7U,     0x0e7e6cd2U, \
    0x1fcfac51U,     0x172dd1cfU,     0xde284dbeU,     0xd61c5640U, \
    0xfa232363U,     0x594f9a67U,     0x304ee3a7U,     0x00009107U, \
    0x12fff4cbU,     0x66bf626aU,     0xb99ca4feU,     0xdc8c9fa2U, \
    0xc9b8b04bU,     0xb2a08304U,     0xe08ca52aU,     0x1dd2bd1cU, \
    0x14cfa896U,     0x6eb2a1bbU,     0xdcf408ddU,     0xb07a19c5U, \
    0xa6a6fa77U,     0x81500ebfU,     0x7d84d38eU,     0x228b6010U, \
    0xac5756a0U,     0x538bc740U,     0xc656c445U,     0xaba0dea2U, \
    0x56ebe3c5U,     0xd5087901U,     0x8251e308U,     0xb7dca7adU, \
    0x30c942ecU,     0x3dec07e3U,     0xc77c9f43U,     0x7749719bU, \
    0x79641cbcU,     0x08c44c3dU,     0x47aeb679U,     0xf4c3dd7bU, \
    0x827cc5b6U,     0xa0991e87U,     0x3cd7e7beU,     0xa5f98566U, \
    0xd9a28c15U,     0x48a539d3U,     0x841ab7f7U,     0x7a3af923U, \
    0x964e2acfU,     0x3e7543caU,     0x4d4faeacU,     0x0d2f5418U, \
    0xd18e6c7fU,     0x45cafb26U,     0xac458910U,     0xafa036eeU, \
    0x8568fb59U,     0x76d3971dU,     0xbd0071a7U,     0x28439af6U, \
    0x80d8424bU,     0xf0b2fa0dU,     0x8dcc04e2U,     0xf62305beU, \
    0x2969b34dU,     0xdc023376U,     0x4599549dU,     0x824360d0U, \
    0xcddd161eU,     0xe5f2696cU,     0x2e2d5dbbU,     0x91a70c6eU, \
    0x7cf9c8efU,     0x7d901cd5U,     0xbe5d9d78U,     0x570df00fU, \
    0xbd3beef3U,     0xf6d439d8U,     0xa462c570U,     0x4aca4eddU, \
    0x7bc6d761U,     0x961b3045U,     0x68e2dc59U,     0xa6de7464U, \
    0x7953532bU,     0x78df331bU,     0x27dac439U,     0x6ed9180aU, \
    0xf4cf6b7fU,     0xa4b441edU,     0x6eb4ac94U,     0xae37907dU, \
    0xf7c3b960U,     0x9de85612U,     0x52cbf281U,     0x106ee25cU, \
    0x5aa56327U,     0x4ad638aaU,     0x4e73ad1cU,     0x44ec1ca1U, \
    0xc4a025cbU,     0x67f97665U,     0x2db0a6f5U,     0x61974e34U, \
    0x423a6fe8U,     0xb49def1bU,     0x3ec37785U,     0xf45f54d3U, \
    0xa1126b68U,     0x715239d0U,     0xa35c09d1U,     0x5064564bU, \
    0x3a7b228dU,     0xa5cabff0U,     0xc13f1310U,     0x7cbe7cfdU, \
    0x4a8b554fU,     0x89adfe70U,     0xa2ca8cf5U,     0x1e691e0fU, \
    0xc96120c5U,     0x8777bd5bU,     0x9bf2798fU,     0x99fcd09dU, \
    0x0a19e6c6U,     0xa845765eU,     0x256db2a2U,     0x10d8bc8bU, \
    0x9924fc27U,     0x7097efecU,     0xe550c69eU,     0x0667b462U, \
    0x4c5dcffbU,     0xad655e5dU,     0x0ce33f75U,     0x2a23b731U, \
    0x9387037bU,     0x92fa3183U,     0x5fa842acU,     0x118a90d3U, \
    0x4c658b29U,     0x275f50e5U,     0xfa85bd2cU,     0xa001187cU, \
    0x4f2210d8U,     0x5991b5b8U,     0x785c7ad8U,     0xc2d33a42U, \
    0x36f6cfcaU,     0x4aa224d1U,     0xfa0ec27fU,     0xe174bc6fU, \
    0x294bc886U,     0x70754e64U,     0x96b1d247U,     0x9dbbb182U, \
    0xc8b93b52U,     0xf580ade1U,     0x270690c8U,     0xfc32c3daU, \
    0x1b98bd8eU,     0x0bacb30bU,     0xa68ede03U,     0x5f160402U, \
    0xb2da1efdU,     0x0e3cecf6U,     0x326ea2f3U,     0x7fea7410U, \
    0xed693dc9U,     0x1456cf20U,     0x488207d6U,     0xe2df8e6aU, \
    0x7a0acb19U,     0x40d40c36U,     0xae4b9e51U,     0x8f4aef8bU, \
    0xebeaa4d6U,     0xf2195ccfU,     0x4b996db0U,     0x49d1facdU, \
    0x441717ecU,     0xcf760b9aU,     0xa8de3953U,     0x0efc9e11U, \
    0x094a5d4aU,     0xfb2c88bdU,     0x98e00a7fU,     0x51c35e33U, \
    0x8be6fdf0U,     0xab264556U,     0xbf5fe722U,     0xc86a223dU, \
    0xc7267e61U,     0x8c2d2772U,     0xc0bd4362U,     0xd0b94d55U, \
    0x234655f5U,     0x48553569U,     0x43fae135U,     0x338952e7U, \
    0x416d2f50U,     0xdaf5ff9fU,     0x9dd97e94U,     0xc502a98fU, \
    0x462ba417U,     0x0bea0410U,     0xed8c43b0U,     0x59f8f700U, \
    0xe2158d67U,     0x6299e368U,     0x1fd2e4efU,     0x1e2fe14aU, \
    0x33d50a4eU,     0x2e7abeb0U,     0xa660a0b7U,     0xc568e4cbU, \
    0x467373daU,     0xe2547049U,     0xc697a293U,     0xf08863a4U, \
    0xdcbbe656U,     0x94f5c87cU,     0x2bb50113U,     0x43ba7cb0U, \
    0x4ec4e6c2U,     0xedca4ed2U,     0x374f8473U,     0xe1e3f89fU, \
    0x1c478f9cU,     0xe9ec1d73U,     0xea91f2a5U,     0xc6a3bbbdU, \
    0x53a17d7aU,     0xda0782c1U,     0x882fd410U,     0x14cf228eU, \
    0x5ca593baU,     0xb35d8773U,     0xa0870fe7U,     0xb9683e22U, \
    0x3b4a02dbU,     0x750a0212U,     0x52b6e4aaU,     0x32ef4c14U, \
    0xb524dc36U,     0xdbe2b4b3U,     0xc5b68e4aU,     0xcfaa774aU, \
    0x0709b6bbU,     0xe0a61cd9U,     0x76e91d2cU,     0x07a714c3U, \
    0x1e8115d4U,     0xa28408a2U,     0x8f7a2522U,     0x1003ca5cU, \
    0xaedc664bU,     0x0cf9eefaU,     0x4829a55cU,     0xf9abfe2fU, \
    0x952ead24U,     0x66499f2cU,     0x1b89366dU,     0x5914f7dbU, \
    0x433e0dc9U,     0x46676821U,     0xa51286bdU,     0x1c8801caU, \
    0x1f705b08U,     0x3084a68fU,     0xc612fc65U,     0x57bf2542U, \
    0x63403f94U,     0x744d6bedU,     0x785ae40dU,     0x59430f31U, \
    0x553801e9U,     0x952ddba3U,     0x98e9cb37U,     0x5bf4136fU, \
    0x6f9e0950U,     0x7ab32e5dU,     0x123b4fddU,     0xfbd2a822U, \
    0x998bb153U,     0x953c5049U,     0x60510d36U,     0x153534cbU, \
    0xf2f352a6U,     0xcc55d771U,     0xd2b76a7eU,     0xf9b5853eU, \
    0x1ee844cbU,     0xd17566b9U,     0x50b180d8U,     0xafd120c1U, \
    0x6d190cb2U,     0x33414e20U,     0x89d2168dU,     0x8b69b06dU, \
    0x61c230b9U,     0x930c739bU,     0x79ec0a58U,     0x9a164988U, \
    0x41fa52bcU,     0x83e9ced3U,     0x606ed4e6U,     0x0ce86fd7U, \
    0xc8b4cab9U,     0xf78a343dU,     0x3171449bU,     0xc4afa8d8U, \
    0x07b41b5eU,     0x95fbf860U,     0x3a580e7bU,     0x0fe700fdU, \
    0xffe634c7U,     0x345ac6d0U,     0xd08ebab6U,     0xafcf6470U, \
    0x107f7ac2U,     0x288a7eeeU,     0x58e31e96U,     0xa3bb95e6U, \
    0x4a701724U,     0x02e9a5a2U,     0x21e295a1U,     0x8f78a783U, \
    0xb24df709U,     0xf15bef89U,     0x9df20118U,     0x1080c905U, \
    0x674f07c2U,     0xa22c02e1U,     0xacdd08b0U,     0x45e2108bU, \
    0x80db4befU,     0x6eef881dU,     0x7acf6e47U,     0xb4452024U, \
    0xc5fa9a0aU,     0x9cf435bcU,     0xcec0e1dbU,     0xb1196858U, \
    0xea93677fU,     0x1a8b34dfU,     0xcbe10999U,     0x8f59fe27U, \
    0x63177e59U,     0xe314d945U,     0xe9bdd73dU,     0x5d27d943U, \
    0xbe17ad2bU,     0xfb476fecU,     0xa5927644U,     0xea7efe33U, \
    0xa35a5866U,     0x336230edU,     0xcb774a0cU,     0x4f74529dU, \
    0x0ae2ca38U,     0xdb01dcf8U,     0xa2c089a2U,     0xc3d32436U, \
    0x9a3c65abU,     0x0c363feaU,     0x7357c56dU,     0xcd13f70cU, \
    0x5ce5b4ceU,     0xd2518735U,     0xc1a4ad17U,     0xd5058b8eU, \
    0x4e41e4c5U,     0x6d206f8fU,     0x123999acU,     0x4b971dfcU, \
    0x05c6027cU,     0xef3bda2eU,     0x6b93b3eaU,     0xf66200c7U, \
    0x46e6d041U,     0xd79db27dU,     0x18bb020eU,     0x467f6a7dU, \
    0x1722c80fU,     0x52c02769U,     0x47170c6fU,     0xf8737106U, \
    0x0c14b093U,     0xe5abf242U,     0x9b91ae38U,     0x3556713eU, \
    0x054a8f1fU,     0x08313e01U,     0x1c9722aaU,     0xdf4cc55aU, \
    0x52373dfbU,     0x78e4c820U,     0x90dfa08fU,     0xa7534543U, \
    0x4509e51cU,     0x360f8ae1U,     0xf2f95b87U,     0x82780b7aU, \
    0x30306c86U,     0x571e60d0U,     0x916eaf10U,     0xcd9964a3U, \
    0xb1c9c592U,     0x29c36cceU,     0xec12697aU,     0x4ff203a8U, \
    0x36832d26U,     0x20790b12U,     0x42a568ccU,     0x3cfe3d74U, \
    0xfaad67f1U,     0x3b147523U,     0x84453c30U,     0xf80c919aU, \
    0x390c87a7U,     0x05254b72U,     0xcaa35f70U,     0xfe4ec336U, \
    0x34e0210bU,     0x4e6490e0U,     0x2b53fd8aU,     0x10f81618U, \
    0x3cfbd6a1U,     0x87c74adeU,     0x8f3cc82cU,     0x058a388eU, \
    0x9ebd9a22U,     0x46cdc021U,     0x39941090U,     0x29ca53e9U, \
    0xe21a6997U,     0xbbe4c898U,     0xe9768241U,     0x36e727c3U, \
    0xaa328fd2U,     0xb4fda750U,     0x7e3e9f35U,     0xf7fbb9c5U, \
    0xeaafa069U,     0x92dfd722U,     0x93ee435fU,     0x70bb3557U, \
    0x107ba99fU,     0xde76fb7cU,     0xdbd17ef1U,     0x58ae847fU, \
    0xff7b1dbfU,     0x1cef5f86U,     0x9d44a4a6U,     0x42ee34f8U, \
    0xec738bd8U,     0x20e14741U,     0xbdb3f30bU,     0xf68eee95U, \
    0x9600f33aU,     0x06eaf3f7U,     0xf4e2b7c2U,     0x8ce369ebU, \
    0xafb35b99U,     0xf90394d5U,     0x41d54b9eU,     0x2a3306e2U, \
    0x5a720cc0U,     0x5738429bU,     0xb4cc7768U,     0x3da054b7U, \
    0xa6c6c941U,     0x8fdfafd2U,     0x54315da1U,     0x30e81e71U, \
    0x2c199ca1U,     0x69ad0c2bU,     0xca0adf68U,     0xf1746f4dU, \
    0xb98cf20bU,     0x94e670d7U,     0x53c1ae54U,     0x09257c1eU, \
    0x4cb1971cU,     0xc9f7e43aU,     0x2ba0a622U,     0x089375d7U, \
    0x4c7cb05aU,     0xd12109a5U,     0x87639570U,     0xc194f9dcU, \
    0xe0563f85U,     0x2e7e5448U,     0x275252b8U,     0x17039be1U, \
    0x3f8ab30cU,     0xe9236c78U,     0xf5f8aa30U,     0x228b4303U, \
    0xb34349c9U,     0xc5a429a4U,     0x865058b9U,     0xff11511bU, \
    0x45368d2aU,     0x707ec146U,     0x70d8919fU,     0x09fb77e8U, \
    0x818445e2U,     0xb2e851edU,     0x28ec5d01U,     0x457e3aa7U, \
    0xa67c255aU,     0xb7daf00aU,     0x2dfa5177U,     0x5cb278a0U, \
    0x3987a457U,     0xe4dc4d85U,     0xe8ef2c59U,     0x4b18bd75U, \
    0xb0bf3234U,     0x87cbd390U,     0x85b97088U,     0xee53f9bfU, \
    0x46af2701U,     0x5a902a8aU,     0x5b5b6458U,     0x40803986U, \
    0x045c699dU,     0x8af798e5U,     0x158c3e92U,     0x70fa499aU, \
    0xbd884fd0U,     0x21067107U,     0xe6bbb01eU,     0xcef59096U, \
    0xd6bd796dU,     0x573721fcU,     0x69a9d050U,     0x1c00a6e8U, \
    0xa2698fa8U,     0x10a1f03aU,     0x360ce2a5U,     0x39fc9090U, \
    0x6a972758U,     0x7e271c05U,     0x10fff4d5U,     0x6ec01c7eU, \
    0x7c3f04dcU,     0x123f6eb4U,     0xd5a85edbU,     0x559f1cc2U, \
    0x5a8b85f9U,     0x002a4b7cU,     0x3c5d5bb0U,     0xee7ea4e7U, \
    0xade1c068U,     0x059a8ae9U,     0xf190fd25U,     0x5ee2f81dU, \
    0x079793cdU,     0x8220ed20U,     0x19ec0bb8U,     0xcd6d9b63U, \
    0x1f059048U,     0xf99ca40eU,     0xf76e6a80U,     0x4c08277fU, \
    0xbe72114eU,     0x80e71170U,     0x6d045a09U,     0x7cfbc7ceU, \
    0x7fab7729U,     0x76fc1e31U,     0x9704f4fdU,     0xf9c35a01U, \
    0x8e2d7dfaU,     0x13878650U,     0x7f59ec65U,     0x37bb2cadU, \
    0xfe0e9ed2U,     0xda00f0ebU,     0x3b0ffca5U,     0x14e32424U, \
    0x3b0b6cd0U,     0xc409f611U,     0xd4d679e2U,     0xe5aa3f1fU, \
    0xbad4668cU,     0xd494f110U,     0xc5560418U,     0xc353a759U, \
    0x21345761U,     0xcc3e4f31U,     0x191e9a87U,     0x23bd0c44U, \
    0xa02ac027U,     0x5accf087U,     0x4f007a37U,     0x5cc8dfd8U, \
    0x9a9067d7U,     0xde9bf510U,     0x7edb8634U,     0xbf65cf7dU, \
    0xe53e2fbdU,     0xa0348b30U,     0x5ee9baa7U,     0xf96cc7b4U, \
    0x40ad4795U,     0x58405d9fU,     0x1ed3344fU,     0x92d8488eU, \
    0x57e668ceU,     0x1fa5f52cU,     0x229e83feU,     0xffe7916bU, \
    0x0555094bU,     0x1131e5f6U,     0x4b438258U,     0x442991f4U, \
    0xc4b7d32dU,     0x6bbf5529U,     0x1515fe9eU,     0xe54b0ff4U, \
    0x8a1ec0b2U,     0xd5d5ebe2U,     0xd531e75cU,     0x5447e931U, \
    0x2537e5b3U,     0x8899c539U,     0x542fed57U,     0x4f778a8aU, \
    0x4c0636b3U,     0x4b979074U,     0xbcdfaec5U,     0x10e7d4eeU, \
    0xd0253e5dU,     0x84a60ec7U,     0x1de67d71U,     0xda031e8eU, \
    0xd54dc590U,     0xb855e86bU,     0x51dcb17eU,     0x29f981b1U, \
    0xdeddcb71U,     0x7c008e6bU,     0x1d7abe40U,     0x77de6f23U, \
    0x7fb8ac81U,     0xa7c56ab8U,     0xc8ed1232U,     0x2bdc0e2dU, \
    0xaa62c447U,     0x652427bfU,     0xd9ec3dd3U,     0xae2b3614U, \
    0x038791a8U,     0x2b7b67e5U,     0x04a18008U,     0xe42a73d8U, \
    0x6e2d1590U,     0x070b937aU,     0x968800b5U,     0x228e9030U, \
    0x94c2e8acU,     0x81ac67a7U,     0x6b5d2632U,     0x5f77d73cU, \
    0x87b33a5eU,     0x59888676U,     0xd7cf400bU,     0x7cb59af3U, \
    0x5c41519fU,     0x1fe2b70aU,     0x6e02888aU,     0x1e116c55U, \
    0x2fd9883eU,     0x9a2d0640U,     0xf1915058U,     0x3bd9cddaU, \
    0xfa3b2784U,     0x399d15a6U,     0x59174392U,     0x6f358229U, \
    0xf95cf45fU,     0x045a0ba6U,     0x5ee13ba0U,     0x937f4f0bU, \
    0xdd950f8dU,     0x238dc269U,     0x918b016fU,     0x33025f2fU, \
    0x5cf55460U,     0xc1ac5076U,     0xa80f0afeU,     0x91544b66U, \
    0xac423be4U,     0x8da2451eU,     0xbba58c84U,     0xbd56e38dU, \
    0xacae653aU,     0xc1251528U,     0x98981f2fU,     0x5881f010U, \
    0xe3a17313U,     0xef758298U,     0x3f4e1cc5U,     0x0bbde90cU, \
    0x6b2563b9U,     0xd7d34524U,     0xf3baab53U,     0xd3dc7a67U, \
    0x059149ebU,     0x93d1fd31U,     0xde8da39cU,     0xde4cdf57U, \
    0xc04e8830U,     0x9b039efbU,     0xf3ba92fbU,     0x0ebf621aU, \
    0xfc948ff0U,     0xd144c606U,     0x25d7102aU,     0x6a54425fU, \
    0xff3d00c8U,     0xf7a254f7U,     0x2ad88dceU,     0x35b03ffbU, \
    0xfe24b315U,     0x6e532324U,     0xe52abfeeU,     0xa4d8b2f9U, \
    0xdf1e7a8bU,     0x006370eaU,     0x8d8df930U,     0xb1e097a3U, \
    0x5fb45162U,     0xdb4dcf43U,     0x58165632U,     0x7970db48U, \
    0xa6b7ebd5U,     0xd4563336U,     0xf1135fb7U,     0xab493e83U, \
    0x8be36043U,     0x66ff004cU,     0x223610c9U,     0x2624df38U, \
    0xcf684369U,     0x19c33977U,     0x88668b87U,     0xa87d30dbU, \
    0x2304d3c8U,     0x7b006b16U,     0x4553e669U,     0x0f909eebU, \
    0x5440d7a3U,     0x6915294dU,     0xf65eef4fU,     0x063d58d2U, \
    0xb099ec85U,     0x51010010U,     0xb97bad2dU,     0xfb9aeeebU, \
    0x30db66dfU,     0xf4a2f3baU,     0xd619ad5eU,     0x54142916U, \
    0xfece0f08U,     0xa56fc661U,     0xdc4179b6U,     0x191e37b3U, \
    0x3c6f8c61U,     0xac1be42cU,     0x8603c444U,     0x9623b8c8U, \
    0x49f83623U,     0x335fa22bU,     0x9f8d5500U,     0x29df26acU, \
    0x571f8e9fU,     0x5a09a22fU,     0xee2ff6e8U,     0x5b6246eeU, \
    0x3134bd49U,     0x48f69407U,     0xa19d2663U,     0x8c2ffa7eU, \
    0x63a43238U,     0x7ca2566bU,     0x904c857fU,     0x674b7b90U, \
    0x14d862b6U,     0xb6b5035bU,     0xd4978809U,     0x6f58f0d6U, \
    0x5370756eU,     0x12281759U,     0x98b20482U,     0xcaa651a9U, \
    0xf34cb266U,     0x066ba92eU,     0xe080a714U,     0xc74a25c1U, \
    0xcb39658aU,     0x34af2fdbU,     0x16675ea2U,     0x07a718f2U, \
    0x09b69681U,     0x34ffe6afU,     0xb54b0151U,     0xa992682eU, \
    0x0d740789U,     0xaf2c6b90U,     0xddbd7828U,     0xdc8afaecU, \
    0xb0686da9U,     0xd3e837e9U,     0xbea6b555U,     0xd8e2c4a1U, \
    0x950f0b85U,     0x62cd90b2U,     0x57077763U,     0x426f5cb9U, \
    0x2d8f71a1U,     0x87584e33U,     0xc2cb86e0U,     0x57229b1aU, \
    0xc89914cfU,     0xf0012112U,     0x89638e94U,     0x422f1e82U, \
    0x66bf3077U,     0x4b492331U,     0x0485f5d3U,     0xc35009d3U, \
    0x7298f61dU,     0xa6158fc6U,     0xeb923f50U,     0xc77c9bd6U, \
    0xf754bcb9U,     0xdbe38e64U,     0x1877bd2dU,     0xbe791eaeU, \
    0xb3fe1be5U,     0x560ce33fU,     0xa133023aU,     0xd5e97575U, \
    0x32b4e7a2U,     0x32c25accU,     0xe3ecf83aU,     0xa96ac050U, \
    0xb80c7189U,     0xb42a97eaU,     0xc255e2f7U,     0x7f7ba571U, \
    0x19af60a8U,     0x167dd122U,     0x49e10cf9U,     0xead40147U, \
    0x13d2aa7fU,     0xc87494cfU,     0xe121a87eU,     0xac2b13a3U, \
    0x2e04fc0aU,     0x7b2adc24U,     0x2cb316b5U,     0xd20fb988U, \
    0x17e75052U,     0x392a69d6U,     0xea6c49e7U,     0xc85f692cU, \
    0x9daf9e06U,     0xa4218483U,     0x1efd76d8U,     0xca241136U, \
    0x5dd0ea2cU,     0xcc962006U,     0x61304632U,     0x99b3ce52U, \
    0x5069e37cU,     0xb26f5dbfU,     0xfa07c0c5U,     0x72feb69fU, \
    0x3bdd185bU,     0x15b6e8d3U,     0x49dd55caU,     0x5e958678U, \
    0xe2270ccfU,     0xc154c388U,     0x15628017U,     0xd0aa6701U, \
    0x76dbfc8dU,     0x1369d448U,     0xcfb36819U,     0x19fb1a8bU, \
    0xb76e3097U,     0x0c6447bbU,     0xc69e8472U,     0x249f8217U, \
    0x06d52ac5U,     0x77906ce2U,     0x87036236U,     0x02770083U, \
    0x1dd8728aU,     0x5f005c12U,     0xbc1d2584U,     0x5ffddb42U, \
    0xa4645892U,     0xe5babdb1U,     0xc3db2659U,     0x4fac8553U, \
    0x7da51f26U,     0x7e08be65U,     0xaf4e11a0U,     0x99222cd8U, \
    0x3511cb88U,     0x935a5c88U,     0x6e66b0feU,     0x64551596U, \
    0xc5c0a91cU,     0x9d264808U,     0xa6980310U,     0x58a9cb2cU, \
    0x0a79fc42U,     0xc1378f40U,     0xa5854adbU,     0xf8a79ae9U, \
    0xed1308adU,     0x0492f6bbU,     0x50242361U,     0xf06fc20fU, \
    0x8867a4fbU,     0x6652ee51U,     0x00ce5978U,     0x7017412dU, \
    0xf88112b8U,     0x778c6d38U,     0x224ad3fcU,     0x8f66703aU, \
    0x96814102U,     0xb39d83c6U,     0xed09a1ddU,     0xac39b750U, \
    0xfcbaadcaU,     0x2e10d4eaU,     0xf5ab774fU,     0x3bdfba46U, \
    0x8ce99f99U,     0xbf80a18fU,     0x43459d6dU,     0xd221f80dU, \
    0x655cd51dU,     0x510a5c42U,     0x10d1c356U,     0x17eee41bU, \
    0x962ebbd0U,     0x313a8c92U,     0x09d7ef8eU,     0x0231a716U, \
    0x6693d3d8U,     0x2b15bce7U,     0xc82633faU,     0xbf0f7d21U, \
    0xc41a2efaU,     0x2ca42769U,     0x0121f438U,     0xf540f2e4U, \
    0x10a04c51U,     0x3de2a176U,     0xee5f8a45U,     0x7d3c94ceU, \
    0x8eee14faU,     0x0b589758U,     0x9076c959U,     0x85ed3010U, \
    0x9ba4ce1cU,     0x543eceb7U,     0xcc78cdd7U,     0x6c6f80b6U, \
    0x0ea41c9cU,     0xbd1b154fU,     0xb6a43237U,     0x42426631U, \
    0xc1c1fc27U,     0x5f93df84U,     0x0ce15e81U,     0x94c3f94bU, \
    0x96334dd3U,     0x80926cbfU,     0x5ded03bbU,     0x35f49915U, \
    0xb17d257bU,     0x80f41236U,     0xe8ef906aU,     0x8a10cdb2U, \
    0xef3b007aU,     0x25f7cf59U,     0x99764d26U,     0x2eb88320U, \
    0x61e59125U,     0x41a64a2eU,     0xd983174aU,     0xa0b7e4d9U, \
    0xfad43683U,     0x40a62857U,     0xd12c125aU,     0x9cf8a027U, \
    0x89b9e46cU,     0x24b06032U,     0xbcbb5511U,     0x524f80c5U, \
    0x0d0b7a96U,     0xd55d40bfU,     0x06d542cdU,     0x413a4434U, \
    0xd3268a13U,     0x138b1dbfU,     0xd5ea15e7U,     0x7ba101caU, \
    0x73c4ce80U,     0x601259aeU,     0x40b5882aU,     0x6fc340eaU, \
    0x4895e2f2U,     0xc51d3bd9U,     0x8f3758e9U,     0x2e97de43U, \
    0xdc5f6069U,     0xd86dbed9U,     0xe61cda2dU,     0x499fc8b4U, \
    0x26865c0eU,     0x94fde0caU,     0x008ab48aU,     0xb248e74fU, \
    0xd425e7a1U,     0x115cdcedU,     0x3956aa40U,     0xcb76cce3U, \
    0x46096c31U,     0xfe9c8c3bU,     0x8553687aU,     0xec01a9f8U, \
    0xa3cbba9cU,     0xa4491798U,     0x243a0dffU,     0x1dbfa022U, \
    0x95e993c9U,     0x37cdaedbU,     0xec98bc38U,     0xbacb8e41U, \
    0x992d5082U,     0x89bfd9d2U,     0xf0303cccU,     0x9a3fcb40U, \
    0xeff82f86U,     0xb2534d87U,     0x9bdf4469U,     0x45006b13U, \
    0x4bf280d3U,     0x392727f5U,     0x2fd6424aU,     0x771b7e50U, \
    0x4f04637cU,     0x28247f8bU,     0xe9e8ed79U,     0x75b3ddcbU, \
    0x12f2344bU,     0x2c364cdfU,     0xb9f76132U,     0x5bb8a5d3U, \
    0xc08dc3d5U,     0xf917249dU,     0xd5f31f29U,     0x8ef4c89dU, \
    0x193c7fc5U,     0x0fd81265U,     0x2413fa6bU,     0xe684cd9fU, \
    0xca3b9450U,     0xb7a8c405U,     0x3a3f203fU,     0x82d53833U, \
    0xf9c9b560U,     0x3a7dc567U,     0x9bf1c1e6U,     0xf0f0f5acU, \
    0xdbb2fc12U,     0x8ce142b7U,     0xbce62b6dU,     0x049c8883U, \
    0x15c0b262U,     0x774d9cfcU,     0xc62e58c3U,     0x796cede0U, \
    0xbf68106bU,     0xa3069733U,     0x37f73062U,     0xe77cbe10U, \
    0x5f2cd580U,     0x5162d9baU,     0xff4a995cU,     0xe69447eaU, \
    0xcf70c328U,     0x0f0767adU,     0x99f4ae10U,     0xa4a661b2U, \
    0xcf3046a9U,     0xf0b657d3U,     0xcdaefbaeU,     0x3a986ebbU, \
    0x5c5e261eU,     0xf4e19129U,     0x7442b5c5U,     0x33eadc8cU, \
    0x338accabU,     0x670d83afU,     0x73432fbdU,     0x7ff2a5a6U, \
    0xccb6c153U,     0x52ae282dU,     0x0b0f3c40U,     0xf8a8c7faU, \
    0xc02e5eaaU,     0x3b63f195U,     0xd7c441d1U,     0x3db87d3aU, \
    0x08629d90U,     0x930cb209U,     0x6f5a5532U,     0x4ba04bccU, \
    0xa2c95d4aU,     0x9f6798d9U,     0x4732059eU,     0xb4302552U, \
    0x55552f00U,     0xb85bf601U,     0xad6dbe6eU,     0x31a4b51fU, \
    0xc88ca40dU,     0xfb6212d9U,     0x3fc03994U,     0xfc515deeU, \
    0x52c98543U,     0x90e25f5eU,     0x685dd272U,     0x5e952408U, \
    0x63e79004U,     0x8b9b4262U,     0xc59033bcU,     0xa1c934b8U, \
    0xb42e0d00U,     0xd04e0294U,     0xaf6513f1U,     0x77c6424eU, \
    0x43193df9U,     0x52bad342U,     0x59257a7fU,     0x04f5a986U, \
    0x030bf674U,     0x08b7bb28U,     0x6e209b51U,     0x57c88021U, \
    0x57d2e759U,     0x492e1619U,     0xd1b26da7U,     0x99b370c5U, \
    0xaa6c0de0U,     0x5256f0d4U,     0x8b9317a3U,     0xea130d16U, \
    0x9f2cf58bU,     0x14af3a81U,     0xa3d047cbU,     0x1b06b486U, \
    0x725b64beU,     0x53c698ddU,     0xcc5a814dU,     0x254a504dU, \
    0x525cc4f1U,     0x669686dcU,     0xf0e15da0U,     0x16720bd9U, \
    0xe20dd593U,     0x605ef937U,     0xc7bc91abU,     0xfc879ad3U, \
    0x0fe5ae2fU,     0x0cfd12d6U,     0x6c56e83fU,     0xe7883685U, \
    0x6e215013U,     0x6193041cU,     0x4388ad10U,     0xb041e83dU, \
    0xe916fdb3U,     0xbd022eb4U,     0x19b5a77dU,     0xea4c7597U, \
    0xae3f2adcU,     0x59a25e71U,     0xff77144eU,     0x48d445c5U, \
    0x85a4482eU,     0x1b5d72f2U,     0x6a47d8abU,     0x90a98008U, \
    0x479754a3U,     0x422d7664U,     0xe77fead8U,     0xed388e8eU, \
    0xa4759e2cU,     0x70e3a3ccU,     0x887ef407U,     0x48a277c2U, \
    0x42a2af5dU,     0xb41b5df9U,     0x5d367191U,     0x8860e05aU, \
    0x50fc5c46U,     0xe0af6565U,     0x3defa42aU,     0xb75d65adU, \
    0x04b22c3cU,     0x2809d3ecU,     0xd486089eU,     0x180ac855U, \
    0xd5020fe7U,     0xf2713d71U,     0xbb3cc5ccU,     0xd0affb50U, \
    0x44df4428U,     0x54c2c8fbU,     0x268770d6U,     0x9d0c7309U, \
    0xf7ee6612U,     0x731d25a7U,     0xb53c83cbU,     0x9084f1e7U, \
    0xd1707f8dU,     0x317b07feU,     0xfbf72c74U,     0x070694e5U, \
    0x4d6d73cfU,     0xeaab5fa0U,     0xacccd861U,     0xf19e5548U, \
    0x4ea22bcaU,     0xf1c3ae3aU,     0x0ef7879dU,     0xe1c4321eU, \
    0x18c803a6U,     0x1b6c2024U,     0x597ab3d3U,     0x3477aea1U, \
    0x61341d59U,     0x5f880769U,     0x25dc6ee5U,     0xcd63dbf9U, \
    0x2965a4b8U,     0x726b426bU,     0xa7a6547cU,     0xb7676346U, \
    0xe9a36b85U,     0xd221bc4dU,     0x75bffaccU,     0x823a7463U, \
    0x62f4d486U,     0x86dc2f79U,     0xe9afd1a0U,     0x1ad867d8U, \
    0x2721fb29U,     0x20df3ed9U,     0xe32a9cc5U,     0x65138f7cU, \
    0x92ea3a0fU,     0x115c0995U,     0xff6a15bfU,     0xdae751c0U, \
    0xaeb2d8f4U,     0x7bd3bbd4U,     0xc0fc3a08U,     0x73ea7da2U, \
    0x300d3df0U,     0x4c716aa8U,     0xe4fe5afcU,     0xd38c7a34U, \
    0x47c101d1U,     0xede489fcU,     0x97e847c1U,     0xf70be280U, \
    0xc4e031baU,     0xed26cc64U,     0xe329c9aeU,     0xfa23df21U, \
    0x7d10f722U,     0xfac047ddU,     0xbf978ab0U,     0x2c06b865U, \
    0x162869d9U,     0xda71f520U,     0xb138141eU,     0x9f14ca11U, \
    0x6ead25c5U,     0x43a99fb9U,     0x149e976aU,     0xa0c6611cU, \
    0x3cb9cc1aU,     0xba1f5298U,     0xfb7eaeeaU,     0x439995f6U, \
    0x961631abU,     0xb856e013U,     0xcec0cd22U,     0x384e0f6dU, \
    0x12543bfaU,     0xa899efa5U,     0x8b915cb7U,     0x9dacee88U, \
    0xa6cc52ffU,     0xc3ee4e4dU,     0xb7e21e88U,     0xb3aebf6bU, \
    0x67cec1f3U,     0x30f083b8U,     0x249b0607U,     0x8db8936eU, \
    0xec565afdU,     0x4ae9b629U,     0xff0d0a3eU,     0xd96a8819U, \
    0x8974d2b1U,     0x6909515fU,     0x055b0bd2U,     0xae8dfc9aU, \
    0xd9f58ffeU,     0x6da527bdU,     0x4505d6cfU,     0x998065b7U, \
    0x5d47ed2aU,     0x732e557aU,     0x1f48a212U,     0x6e0ad626U, \
    0x95ba9a8fU,     0x4d188395U,     0x6691571cU,     0x51d1a5aeU, \
    0x8f5d5870U,     0xa9ff27ebU,     0xfe92e5f8U,     0x2ac7251bU, \
    0x625bcf50U,     0x77b6d5eeU,     0x50238e89U,     0xdce0ca97U, \
    0x6955b892U,     0x8a82bcc5U,     0x9a429dd7U,     0x1a211a90U, \
    0xd4c37d8cU,     0x04ba19d5U,     0x09d9565aU,     0x784a67ccU, \
    0x4c0aa694U,     0xcbdc95bcU,     0xb5a33a4cU,     0x89001bd7U, \
    0x53dbdcd1U,     0xb50a15e9U,     0xfcb064c4U,     0xf1990a39U, \
    0xeac9631dU,     0x48950f4dU,     0x1f0a51d7U,     0x50d8f788U, \
    0xb28dda6fU,     0x1dd92c63U,     0xf1213c65U,     0x03562514U, \
    0x9b822304U,     0xbce85579U,     0x1630e7b3U,     0x4f89356dU, \
    0xbbaae786U,     0x7dba2297U,     0x4924d89bU,     0x67798b84U, \
    0x8ab0210eU,     0xeebe551fU,     0x507af6eeU,     0x2d481dd9U, \
    0xd8396afdU,     0xb7ba6074U,     0xbbb1105cU,     0x05d04e47U, \
    0xc3b6a2a3U,     0x1516963fU,     0x8303917fU,     0x10e660beU, \
    0x54e89770U,     0xa4bc8628U,     0x4e07ba11U,     0xd32f2746U, \
    0xd50e6d83U,     0x477078aaU,     0xaa891d4aU,     0x893a86f6U, \
    0xa7fb82eeU,     0x1d248f5cU,     0xd57d0188U,     0x17f570d5U, \
    0xa263f9e5U,     0x0eab0bbeU,     0xaf649e2cU,     0x0a1f08bfU, \
    0x5957f57fU,     0x063c9417U,     0x797fb1e4U,     0x5b225885U, \
    0x538e8364U,     0x9b695890U,     0x273c2758U,     0x25c2d1ddU, \
    0xb3a8c680U,     0xf30ef94cU,     0xde27ab6eU,     0xb476fffaU, \
    0x75b9c977U,     0x49fe9472U,     0x91fbfb4aU,     0x490d55a5U, \
    0x42537672U,     0x2869b0e0U,     0x9566fa6bU,     0xdcb2e533U, \
    0xe9947574U,     0xb4e4174bU,     0x99a800f7U,     0x4006e257U, \
    0xabbf75faU,     0x56b5c3d3U,     0x125d85cfU,     0x7a03bce7U, \
    0xcc592814U,     0xde5eab8fU,     0xed480eaeU,     0x2624a68fU, \
    0x44fbff82U,     0x49bdfe31U,     0x48522fdcU,     0xa5dd17acU, \
    0xde3bf29dU,     0x182f12f9U,     0x3d2d770dU,     0xf09a1a44U, \
    0xa04219faU,     0x2455c085U,     0xaf79aa2bU,     0x7829a132U, \
    0xfdcea3b0U,     0x3d21ab1aU,     0x88bbaa97U,     0xe8e49aafU, \
    0xa6726998U,     0xac38c555U,     0x2ecb5469U,     0xe885b8eeU, \
    0x99b3a88fU,     0x4bd74a57U,     0x24d2c128U,     0x8c709b42U, \
    0xcb829bc0U,     0x6d1aefc4U,     0xc951e3ecU,     0xf0f1bdc1U, \
    0xeb25a9b7U,     0xef44cad2U,     0x6abab404U,     0xef149292U, \
    0xfde1b92dU,     0xe51b80b7U,     0xb290d006U,     0x55f576afU, \
    0x874f5f91U,     0xad684a03U,     0x7a264273U,     0x0b146b30U, \
    0x70ff7e62U,     0x6069f8d2U,     0xaef93965U,     0x5d5ef60fU, \
    0xc9016385U,     0xec8381c4U,     0x3c6c0bc0U,     0x70cb157bU, \
    0x45324b38U,     0x63d09d71U,     0x1e86109bU,     0x1ae02af5U, \
    0xa8dcb50eU,     0x96d63f3bU,     0xb9bbe1ddU,     0x3f23e906U, \
    0x418856f8U,     0x0f85caceU,     0x1a91e501U,     0x2168b952U, \
    0xcb422d1dU,     0xce208f97U,     0xeac37308U,     0xc14f0513U, \
    0xcbcb2425U,     0x4c0ac566U,     0xc94d3d69U,     0x1c525b05U, \
    0xeabcee81U,     0x35386c65U,     0xd50ab249U,     0x387d5362U, \
    0x0a10e786U,     0xbe399fcdU,     0x5869bb8cU,     0xf3a17509U, \
    0xda8d7994U,     0x2b4994f0U,     0x24b0fd90U,     0x92ec0078U, \
    0x8acd8834U,     0x46072e16U,     0x54e77d34U,     0x67748527U, \
    0x8dc15187U,     0x59402573U,     0xa7a07729U,     0x715863e7U, \
    0xfdbdb9a7U,     0x5baddf49U,     0x681c7ce8U,     0xd9cf2efdU, \
    0x90a9076aU,     0x67e80fcfU,     0xcfc2350bU,     0x2b7b223aU, \
    0x56a3d05aU,     0xd1f3a5afU,     0xf4e0f667U,     0x95f53b83U, \
    0x2efb45d3U,     0x174f3eacU,     0x151da5abU,     0x164d2bbfU, \
    0x40ab060bU,     0x13788faaU,     0xc408ad93U,     0x764066eaU, \
    0x318a4debU,     0x58454360U,     0x6794abf4U,     0x8165b5aaU, \
    0xbaeab3beU,     0x69359f67U,     0xb8902922U,     0x7b0f59b2U, \
    0xfe51db1fU,     0x06f30780U,     0x2dd08ff4U,     0x477e8142U, \
    0x3536e555U,     0x01398a39U,     0x2eccaa58U,     0x7cd1dc54U, \
    0xe8d64ac7U,     0x36f93479U,     0x941efcffU,     0xd77660ecU, \
    0x6407828eU,     0x00f5ad19U,     0xc342f0ffU,     0x9aaf8742U, \
    0x5566393cU,     0x8d3282c0U,     0xcd5fef79U,     0x153ab182U, \
    0xc783abf6U,     0xfa9fa307U,     0xd9c2265aU,     0x8f038b10U, \
    0x35b1b6cbU,     0x1cdfb888U,     0x658f5cabU,     0x9c226f20U, \
    0xe09816aeU,     0x13325b29U,     0xa855cdaaU,     0xb6da2bd9U, \
    0x91807f2eU,     0xd1acc4fcU,     0xb23344beU,     0x63935c75U, \
    0xf767628cU,     0xbc8f34c0U,     0x5b9812f9U,     0x585d9aa8U, \
    0xd03c609eU,     0x2c1e951bU,     0x07930d8eU,     0xeeb991ebU, \
    0x2619ceb1U,     0x2df571b3U,     0x46614b04U,     0xd2bb5781U, \
    0x9be31d35U,     0x878ecd20U,     0x695758f4U,     0x646503b1U, \
    0xcf058149U,     0x5ff5bb05U,     0x12f91445U,     0x03acfa37U, \
    0xb024a0f3U,     0x66826454U,     0x880657dfU,     0x26e22006U, \
    0x7d8da4b6U,     0xfb72e0e8U,     0x0d7c3db7U,     0x3916410aU, \
    0x43f5a8a4U,     0x10ec1671U,     0x80dec9e6U,     0x6eb1abe9U, \
    0xcfca1544U,     0x9a8047c2U,     0xdf036e71U,     0x9ccb4520U, \
    0xc7e21522U,     0xc4ddcda1U,     0xe7f0a8b5U,     0x69cfcbd5U, \
    0xb22cef95U,     0xf08dccb2U,     0xe5912bdcU,     0x7ff76608U, \
    0x7bd141d6U,     0x2890050dU,     0x95d7f716U,     0xef2c71fdU, \
    0xafd5618aU,     0x7f3b87aeU,     0x0d0a0ebcU,     0xbe497f9bU, \
    0xd8d46b69U,     0x5ffe0b6cU,     0xa600d18cU,     0xfc021b86U, \
    0x1088bea8U,     0x385ced15U,     0x92d55641U,     0xb34b0b6aU, \
    0xb790f97fU,     0x1cfacc5aU,     0x1c15e628U,     0x0b635060U, \
    0xb9a782d4U,     0x6d97e9c0U,     0x1b82406eU,     0x74913436U, \
    0x598af0daU,     0x7126f1c5U,     0xc60edd33U,     0x6f953bd4U, \
    0x563bfeb6U,     0xf9edc4ebU,     0xe1172948U,     0xddfbafc2U, \
    0x97c6cff5U,     0x4366bcf1U,     0x4ffa5961U,     0xbb38f66bU, \
    0xb30d4fb8U,     0x9f49f753U,     0xd65da4fdU,     0x8591a0cfU, \
    0x3c2d64e3U,     0x66fc833fU,     0xdad310b6U,     0x26b4d44dU, \
    0x50e80e76U,     0xefb29365U,     0xca7b562bU,     0xd605b818U, \
    0x4297498cU,     0xf5a989e1U,     0xa8187d7fU,     0x75ef8e8aU, \
    0xa9919744U,     0xfd33886cU,     0x9530f711U,     0xe83fece9U, \
    0xf01d0ff7U,     0xff2607a5U,     0x990f059aU,     0xce28e042U, \
    0x0bd946d6U,     0xcbaa852aU,     0xb521cef0U,     0x5c0816a6U, \
    0x41734f3cU,     0xd5a5aebbU,     0x3f5945f1U,     0x3973eec1U, \
    0xa9a9737aU,     0x2270e728U,     0x77fc3496U,     0x5c7f66e5U, \
    0x564b5abaU,     0xd1775b32U,     0xbf61d2a7U,     0xbb1e36daU, \
    0x872b932bU,     0x9fd09c57U,     0xdeb409f7U,     0xe2d498a0U, \
    0x7bb1d269U,     0x1df9cd44U,     0x5d10add6U,     0x20ed81ebU, \
    0xaabb251aU,     0xc88a4970U,     0x26dd27afU,     0xee1a1051U, \
    0x5d179abcU,     0xf9b14384U,     0x5520f07fU,     0x6e51852fU, \
    0xc18f5571U,     0x91c3b9a2U,     0x0ede68a0U,     0xe470f3d4U, \
    0xb177d86cU,     0xaaffaf45U,     0x02b3bf78U,     0xb30f472bU, \
    0x586c6b04U,     0xa7fbd599U,     0xf3835d20U,     0x76031679U, \
    0x921eb6c2U,     0x7a3d38bcU,     0xf4be74c2U,     0x046b1587U, \
    0x3f302becU,     0x1778938eU,     0x44c71241U,     0xa1dcd3b1U, \
    0xbd25c662U,     0x22a9b85eU,     0xb9c3d1a2U,     0x7c53ca91U, \
    0xf5ef10d2U,     0x584a7940U,     0xf7d54b14U,     0x95232855U, \
    0x14be6381U,     0x5d058537U,     0x1aa8077aU,     0x03fee000U, \
    0x5647c4ccU,     0xe53e8dd2U,     0x01dc168aU,     0xc07a42f0U, \
    0x50a6d6a4U,     0xdb7e8584U,     0xfb3849fbU,     0xcdae5181U, \
    0x2ba27d4dU,     0xb90cea9bU,     0x32afbc70U,     0x99b2fbd6U, \
    0x5d65efc6U,     0xacdfdf6aU,     0x9ada2c8bU,     0x21f849baU, \
    0xeb2b9282U,     0x067e1eecU,     0x5668e3f8U,     0x4ace3cf9U, \
    0x1fa60a81U,     0xb7a1a2d1U,     0xd8e1b57eU,     0xf13c5a95U, \
    0xc7cd5e18U,     0x3c3222d1U,     0x26cddc7fU,     0x1eae3113U, \
    0xf1e05096U,     0x0706650bU,     0x982f196fU,     0xa1a5f043U, \
    0x1464e221U,     0xdda87cb4U,     0x6975f8c0U,     0xc94a7e56U, \
    0xbc7ea9e1U,     0xb698323dU,     0x71aeaa5cU,     0x2b4b7755U, \
    0x96a884aaU,     0xcf7f4680U,     0x5fdcfaf3U,     0x38e0a917U, \
    0x705aa6c5U,     0x80a66d74U,     0x1e5cd63cU,     0x65b31fd4U, \
    0x4c174145U,     0x7e03902dU,     0xb776d55aU,     0x82e31253U, \
    0x1d16f329U,     0x47703b06U,     0x2455278dU,     0xbf821ed5U, \
    0x5516d8faU,     0x65515a94U,     0xf7f074b3U,     0xe8531a1fU, \
    0xacef794dU,     0x8e54e59eU,     0x7aec58d2U,     0x523607ffU, \
    0x2ad0f299U,     0xa292b3d9U,     0xd3480bfdU,     0x7630f20bU, \
    0xa437391fU,     0xabb803eaU,     0x5f9fdf13U,     0xd853277cU, \
    0x50e5cdbeU,     0x77831724U,     0xba240061U,     0x174bb272U, \
    0x20bf96e2U,     0x854b8413U,     0x7a1700d0U,     0x5891959aU, \
    0x922168abU,     0x0b9102d9U,     0xed333217U,     0x135389acU, \
    0x802502daU,     0x804dd146U,     0x00755fb3U,     0x191d76e0U, \
    0x2ebad451U,     0x15fb17c4U,     0xa106d1b1U,     0x719082abU, \
    0x8463aa8aU,     0xdd99d0bcU,     0xa1ee3adfU,     0xedf92394U, \
    0xa1a4d3caU,     0x1c6259e3U,     0xf6fdf6aeU,     0xd1d2102aU, \
    0x02dd581fU,     0x2ecc34a3U,     0x011a78e0U,     0x39d92fe9U, \
    0xf2bef945U,     0xebdaf08aU,     0xcae92f86U,     0x23a6a5b2U, \
    0xf38ea437U,     0x9da6169eU,     0xb51a1830U,     0x3e89c202U, \
    0x10a4b483U,     0x586ece37U,     0x93565cf4U,     0x2c675636U, \
    0xe2ff3265U,     0x4f4d8df5U,     0xd596711dU,     0xeb207b65U, \
    0xc5bbeceaU,     0x0afacb06U,     0x8999643bU,     0x2b439d3fU, \
    0xe1593434U,     0xb13cfe7bU,     0xf6974df0U,     0x077726a2U, \
    0xbd1e5298U,     0x1f686da4U,     0x85a624c4U,     0x2eb751bdU, \
    0x7bc7c7b7U,     0xb6375172U,     0x120d4d1aU,     0x930fd7c4U, \
    0x4fcdc11bU,     0x556bc44cU,     0xaaea99f9U,     0x220b01caU, \
    0x5b0e658bU,     0x62fe406eU,     0xd418596eU,     0xefcaa218U, \
    0xe17de047U,     0xa8e5b785U,     0xaa51f101U,     0xb4cd9b29U, \
    0x37e7013cU,     0xd2f226f0U,     0x86533d36U,     0x181c8e27U, \
    0xc35dd697U,     0x4d1ac344U,     0x98c83519U,     0x1361e8f7U, \
    0x23f3e485U,     0xb8045e4aU,     0x34d8ce2cU,     0x6db50713U, \
    0x3b8d8524U,     0xc5967d73U,     0xb17cc902U,     0x6363f96cU, \
    0x462c408fU,     0xdd053cc6U,     0xe2b020b7U,     0x4e92e6caU, \
    0x799fb21eU,     0x00caee36U,     0xaf815ec6U,     0xcadd91e8U, \
    0x5dc0ac24U,     0xd2122ea8U,     0xa87ade6bU,     0xd26ca786U, \
    0xc7d8445fU,     0xd314886aU,     0xe4781a71U,     0x79bf3530U, \
    0x79a76a2bU,     0x96fa922aU,     0x83db21aeU,     0x7066e6a8U, \
    0x369bfa4bU,     0xbc369e7aU,     0x3574dab5U,     0xb7d59cb6U, \
    0xe408eeb7U,     0xe84a9929U,     0xf7e77cbcU,     0x6d164128U, \
    0x569ce96fU,     0x66f98a14U,     0x5a593f6dU,     0xad5f642eU, \
    0xedc822cdU,     0xa7173732U,     0xa4c4abfcU,     0xbc362fbcU, \
    0x7acfe4e2U,     0x0dd08f2aU,     0xe5f65339U,     0xf97e8dd3U, \
    0x2432c7deU,     0xf37f58c7U,     0x537f2651U,     0x3ea22b56U, \
    0xd89a61c6U,     0x4e21e755U,     0x76f3f9deU,     0x2a36e81aU, \
    0x60151930U,     0x24b87651U,     0xbbcb4f68U,     0x03de46e4U, \
    0xc0c956d4U,     0x5ab1bbcdU,     0xd01882eeU,     0xd841ae60U, \
    0x907f0967U,     0x2d5fb1f3U,     0xccd86ae1U,     0xa83804a3U, \
    0x5e1134a3U,     0xceff30e1U,     0x921e0370U,     0xb8c5d4f2U, \
    0xd0b12403U,     0x08f4030cU,     0x0d30ec99U,     0xb48cf98dU, \
    0x4d4deafeU,     0x3dbeed66U,     0xc26e5c5bU,     0x74013af4U, \
    0x8ece8de7U,     0xfed4faa9U,     0xa71d30e6U,     0xca93b756U, \
    0xf7d8b1dbU,     0xee3f4bf3U,     0xb4306dc7U,     0x6ee66803U, \
    0x8f2b0e9eU,     0x1ea60445U,     0x229d728bU,     0x6c08ff88U, \
    0xaaffc1a4U,     0x7ca97c86U,     0x32d5239bU,     0xb520a970U, \
    0xa19569e9U,     0x04369e62U,     0xb4832b33U,     0x116eb732U, \
    0x10fa9879U,     0x6f85842dU,     0xee2fe58bU,     0x8395a946U, \
    0xacd99a3bU,     0xda5c20ceU,     0xe1ebc64dU,     0x5e9ce7ccU, \
    0xe0d2756eU,     0x40e6a98bU,     0x597da03cU,     0x6ce72e7fU, \
    0x40a64f54U,     0x99436516U,     0x49bcedd8U,     0xb216cd5aU, \
    0x1c498aa7U,     0x403ed0fdU,     0x200a3538U,     0x2e33d4acU, \
    0x6ceacb8fU,     0x7b38d179U,     0x8e1bab98U,     0x73672795U, \
    0xbcd7b4c1U,     0x2c809941U,     0x18ec4aebU,     0x0cbc9d13U, \
    0x373b8c61U,     0x0c75d8c1U,     0x770628e0U,     0xde8018d9U, \
    0xe1d6de40U,     0x7be78762U,     0x921bdb61U,     0x1cb74252U, \
    0x28bd124aU,     0xeb399e0dU,     0xa6550825U,     0xfdffdd6fU, \
    0x6d325d24U,     0xa94753a8U,     0x7b17cf6bU,     0x1e2873e1U, \
    0x26cf2f48U,     0x55ed13fbU,     0x03b3b858U,     0xb9e08edbU, \
    0x5984f5afU,     0xb9639a5bU,     0xecd68cd0U,     0xb970d7cfU, \
    0x822e85f2U,     0xc1fad515U,     0x9ad34466U,     0xb1cacde6U, \
    0x9657c714U,     0xa12ee79aU,     0xe0d3a481U,     0x40f935bbU, \
    0x6a1e845dU,     0x4269495cU,     0x564ff082U,     0xa1c76f7eU, \
    0x89c667f4U,     0xa833bb60U,     0x82763c6dU,     0xd87cbf22U, \
    0x3900727fU,     0x51963f93U,     0x68d0561bU,     0x4a3fc6e9U, \
    0x90c06598U,     0xd6f26378U,     0xa919eb86U,     0x612b7a25U, \
    0x4eb9fd64U,     0xf0b48c2cU,     0xa61102acU,     0x6735b925U, \
    0xeb21e09bU,     0x143e0733U,     0xcc9a8b9bU,     0x5dc39191U, \
    0x84a87d8eU,     0x0c727050U,     0x71b37ddeU,     0xc479ca59U, \
    0xf45e85f6U,     0x491df955U,     0xbc1c243dU,     0x26ae2f02U, \
    0x3da81138U,     0x8ac0517eU,     0xc7680f2eU,     0xe9edab8eU, \
    0xbe3bda35U,     0x77c340a2U,     0x8a840551U,     0xeeb08806U, \
    0x57e1e8d1U,     0x6d907fe3U,     0xf3a65185U,     0x97eb0e58U, \
    0x45ce579cU,     0xe78d65d8U,     0x4d858e1fU,     0xdc568009U, \
    0xbb936714U,     0xc51e8eb7U,     0x26335c55U,     0x15844bdaU, \
    0x7b205aafU,     0xa762f62aU,     0x6c534f66U,     0x8f067f6fU, \
    0x03395b4bU,     0x0cd714beU,     0xbc7f8c42U,     0xfe947eb0U, \
    0x5febfb58U,     0xcc293a90U,     0xebe6c7c3U,     0x4783d794U, \
    0xa6075b6dU,     0xcd7a4b32U,     0x2fa9e392U,     0xd69283c5U, \
    0x9eee3d8fU,     0x955aedc4U,     0x92e7adc3U,     0xb89f56baU, \
    0xe07266f3U,     0xc60d4201U,     0x0dd3732fU,     0x502b5acaU, \
    0x4094421eU,     0x4bbdb097U,     0xf445d3e0U,     0x23cd90e8U, \
    0x89a60993U,     0xdf82af7cU,     0x9d7a71ccU,     0x88e92015U, \
    0xf6315033U,     0x06740044U,     0x5a12e5e5U,     0xe6321747U, \
    0xeca2d14aU,     0x1c444221U,     0x9bf19c21U,     0xe28cc156U, \
    0x197a7ab8U,     0xba0d248cU,     0x38835bd3U,     0xbc532f40U, \
    0xbc4bb905U,     0x226023d4U,     0xef842f0fU,     0x77b02dfeU, \
    0x0d08b89fU,     0xbcd4eb89U,     0x685aa467U,     0x3bf8328fU, \
    0xc14dfaf3U,     0x46669f5fU,     0x8e6ae54eU,     0x3c0dcecfU, \
    0x23f9dc50U,     0xbf30c022U,     0xfb8f4597U,     0x55edc3b9U, \
    0xec937018U,     0x44fc9777U,     0x370dabfcU,     0x99fb74b1U, \
    0x7c16c9feU,     0x5c618f64U,     0x65a07642U,     0xe9dfe62eU, \
    0x82e6dac6U,     0x96f91bdeU,     0x2fc8d373U,     0xa75d5e6dU, \
    0xe9f5d320U,     0xa0daf1bbU,     0xc4ed76d8U,     0x07ef3000U, \
    0xe32ecfbeU,     0x03118cb3U,     0xacd92cf5U,     0x9183b212U, \
    0x819e509cU,     0xe5de1f90U,     0x84907269U,     0xe1b9758bU, \
    0xbb4ec9cbU,     0xe64ecf3dU,     0xf0df8b2aU,     0x47c65e5bU, \
    0xd62a633bU,     0x5ad7b5e5U,     0x0bcb0829U,     0x0a145eacU, \
    0x97c481c6U,     0xb5722fd9U,     0x6420b302U,     0xe4a2d937U, \
    0x17070d06U,     0x759a563aU,     0x7ea028d2U,     0x3e31364fU, \
    0x43a121adU,     0x42c73340U,     0x90433f1cU,     0x710b975cU, \
    0x07d47439U,     0x28f0204dU,     0xf6b1f4b8U,     0xd7e236adU, \
    0xf184d027U,     0x6a866f5eU,     0x9c5934caU,     0x55cf0f7cU, \
    0xc3c9ca65U,     0xf4b98fffU,     0x5b38aaceU,     0xc4b29bc3U, \
    0x677bab00U,     0x1a2db2acU,     0xebfb7498U,     0xdef5d69dU, \
    0x1813d0f1U,     0x66647fe9U,     0x8d31c553U,     0xdc03869bU, \
    0xe9bf3c62U,     0x7c4e7b11U,     0xd4437e2fU,     0x25157fd7U, \
    0x4ae014b2U,     0xf7c47d23U,     0x561b9fe4U,     0xca69b841U, \
    0xaa4d05b6U,     0xc86e5b14U,     0x5d188debU,     0xaff813e9U, \
    0x0872f50cU,     0xf99d7fddU,     0x4629ad86U,     0x06f660cdU, \
    0xa3dcfef0U,     0xd513c352U,     0x7ec91d9dU,     0x09b3567aU, \
    0x94000786U,     0x4dc9f3c9U,     0x7e6ae056U,     0x45b60b72U, \
    0x62498537U,     0x7ec60480U,     0xb5ea6f13U,     0x366a4006U, \
    0x05e61c45U,     0x9c84b69bU,     0xc2125459U,     0x2793fe26U, \
    0xa1be90a1U,     0x9ba7066cU,     0xa8c71d8eU,     0xeb6ec5feU, \
    0x72b24a36U,     0xff1f88b7U,     0xd59c0697U,     0xcf190505U, \
    0x58bfbaf5U,     0x7909bdb2U,     0xbaf37e42U,     0xd2a682b4U, \
    0x3b0960dcU,     0x905342dcU,     0xba2aeac2U,     0xe9817103U, \
    0xdd004843U,     0x60ca274aU,     0x62a1d14fU,     0x181d310fU, \
    0x8f8e5d9eU,     0x0ff716e8U,     0x293c731dU,     0xfe19c7ddU, \
    0x362b7216U,     0xf0f19968U,     0xf51e0f86U,     0xf0ef556cU, \
    0x5eba253aU,     0x6b0ae794U,     0x57074537U,     0x17db8bc7U, \
    0xaf960961U,     0x7bc90a4eU,     0x6d5c89a5U,     0xf01207edU, \
    0xf2b2bb31U,     0xf25b7500U,     0x7f66d95dU,     0x08f5a0c0U, \
    0x19efd6e8U,     0x75661cc3U,     0x0d4e330dU,     0xb22d4078U, \
    0xa5544f9cU,     0xc5d94155U,     0xd96c6bb0U,     0x1f50472cU, \
    0x400f66beU,     0x23f6d8e5U,     0x7d7084f9U,     0x6227fa18U, \
    0xd4e53e70U,     0xbe7a2f4fU,     0x98ec9d45U,     0x04b02b55U, \
    0x261344f7U,     0x1b6af45fU,     0x150e9ae8U,     0xda8ee5ceU, \
    0x601ccf9cU,     0x43ea24c5U,     0xba809acfU,     0x911f69fbU, \
    0xe9e451daU,     0x5508261fU,     0xf5374864U,     0x7b43d369U, \
    0x7134f729U,     0xb92069e2U,     0x8bc7b3bdU,     0x9f02d65cU, \
    0x8c3d130fU,     0x11ab0fe2U,     0x5f83c3b9U,     0x2e44d33bU, \
    0x3033f610U,     0xdf7a4cf2U,     0xb1169333U,     0x394faf0fU, \
    0x5c4d71dbU,     0xdb7b3acbU,     0xca0d8f5dU,     0xed331677U, \
    0xac708ab3U,     0x4cc3497fU,     0xfa8eec61U,     0x565af558U, \
    0x9185ad9cU,     0x87b2f372U,     0x588b9067U,     0x6da1ffa1U, \
    0xbc782620U,     0x1bc9dec7U,     0x7115519dU,     0x6febd267U, \
    0xf25fd57fU,     0xa592fee1U,     0xcf949c1aU,     0x429ab7a7U, \
    0x61880ce9U,     0xb7c6940eU,     0x247ac791U,     0x7048aa56U, \
    0xb18a73f7U,     0x28adc836U,     0x05acae6bU,     0xcc7460deU, \
    0xaea6931aU,     0xed3188abU,     0x05de16edU,     0x7d5bf319U, \
    0x0e6da86fU,     0x1371ecd5U,     0x654d0ecfU,     0xe1d2218cU, \
    0x0615d661U,     0x14902592U,     0x9bde692eU,     0x66072295U, \
    0xd5945ff3U,     0x2beaa526U,     0xace45c1aU,     0xa9a7292bU, \
    0x93a012fbU,     0x6cc05188U,     0x4474893aU,     0xda6d002dU, \
    0x562d1e0dU,     0xa1e3d438U,     0xbe07d552U,     0x6665ed21U, \
    0xd67e0367U,     0xd0a2b6b0U,     0x73999249U,     0xbab6793cU, \
    0x3da1ff35U,     0x5cd184fcU,     0xb466ea27U,     0x0309ed7dU, \
    0xc3c6a5c1U,     0x1f33347eU,     0x28af62c3U,     0x193affceU, \
    0x564e347bU,     0x10a98657U,     0x015f7fd5U,     0x5427689eU, \
    0xd2a641a6U,     0x11c19057U,     0x74cddf84U,     0x0095f5a9U, \
    0x81e74d02U,     0xb0bad90dU,     0xafc47275U,     0xc909c75cU, \
    0xdeebcda6U,     0xf742932dU,     0x5c567376U,     0x35df7f78U, \
    0x3d55593fU,     0x2410de63U,     0xbea71db7U,     0x005ee354U, \
    0x2d2d0674U,     0x2f3434bfU,     0x75208d23U,     0x3a698834U, \
    0x4771c731U,     0xe292515aU,     0x334de299U,     0xba3940abU, \
    0x23e06cb6U,     0x02df388dU,     0x9db51c02U,     0x85b00240U, \
    0x738f8952U,     0x72275c29U,     0xd078e7ccU,     0x6bde0957U, \
    0xc8dc9723U,     0xe8daa042U,     0x257ba340U,     0x67e54f36U, \
    0xb08c623cU,     0xda72f9adU,     0x80b8b6a1U,     0xf49559d9U, \
    0x8a55df19U,     0x367849eeU,     0x8e16354fU,     0x343f4057U, \
    0x88e7c744U,     0x00623b6fU,     0x25d877a7U,     0x7a1fcb0dU, \
    0x3e26fa22U,     0x35ac71a6U,     0x3e98e3bfU,     0xf424be4cU, \
    0xaa61255bU,     0xe9834978U,     0xced95b62U,     0x059ef345U, \
    0x342e98e9U,     0x386f521fU,     0x8153d39dU,     0x87e539e8U, \
    0x98beed4dU,     0x027c4e83U,     0x7b574600U,     0xda4cfa4bU, \
    0x3e6f7638U,     0x580d4f63U,     0xd872f120U,     0x3a06201bU, \
    0xcd68a5e5U,     0xe9fd90baU,     0x8c5e4db3U,     0x4e5cccdeU, \
    0x741bb322U,     0x5fd8dbe6U,     0x7d18d892U,     0x4822f472U, \
    0x78d439e5U,     0x8dfc5bf1U,     0xb017b2b5U,     0x9a9474ffU, \
    0xca12181aU,     0x6bfbb1a4U,     0xf7017b63U,     0x104dd1caU, \
    0xc2393c4bU,     0xf6d42aeaU,     0x57d3417fU,     0x34433403U, \
    0x8203c37bU,     0xff6978c9U,     0x54133705U,     0x9543235bU, \
    0x1e3fa139U,     0xa4814568U,     0x10274b79U,     0x1e3ef670U, \
    0x8b2f1b21U,     0x9a17068aU,     0x4238dcf3U,     0x633acb2dU, \
    0x2a3bea29U,     0x8a5abd1fU,     0xbb1464e5U,     0xb98e1e28U, \
    0xfea1b26cU,     0x622c3657U,     0xdd71411cU,     0xbd0c9065U, \
    0x271613caU,     0xf8ed7ee4U,     0x064eb2c7U,     0x957f68f6U, \
    0x93a66ec4U,     0x3ebd2e54U,     0x73cd288dU,     0xb8f92579U, \
    0x1f14bb97U,     0x400332bdU,     0xac85c9d5U,     0xd2e3b13bU, \
    0x469a0374U,     0x9c73d230U,     0x35cc8a93U,     0x62a75eb5U, \
    0x563c5672U,     0xafc49c95U,     0x2791e812U,     0xad270042U, \
    0x8b193d32U,     0x1377a4acU,     0x4dffaffcU,     0xa040a4f4U, \
    0x626e16f0U,     0x1ecffa8eU,     0x0b89086aU,     0x7205b15fU, \
    0x3088ba7cU,     0x5de6f72aU,     0x314f99ddU,     0x7bf42d6dU, \
    0xefd9bf94U,     0x2086ce29U,     0x027c9927U,     0x5320389eU, \
    0x38200b26U,     0x7ae58315U,     0xa0bd3f0fU,     0x1da5c611U, \
    0x56632d0bU,     0xf95afbfcU,     0x7e648ba4U,     0xb4480b0fU, \
    0x2d003f8aU,     0x41abb76fU,     0x0517279bU,     0x87b84726U, \
    0x6360a236U,     0x10f54520U,     0x9a3a0f48U,     0xdbf78cefU, \
    0xb0df6f26U,     0xd092e32aU,     0x989e69f0U,     0x0f436340U, \
    0x024383e4U,     0xf123b051U,     0x36586993U,     0x03bcce49U, \
    0xb194c3d3U,     0xd4fa3181U,     0x92433682U,     0xc40290feU, \
    0x433fd907U,     0x08bc1471U,     0x07a8de4bU,     0xc374089dU, \
    0x0aa26e13U,     0x4693a35cU,     0x3984d366U,     0x829f8c53U, \
    0xb12cc8b8U,     0x845d7fa9U,     0x38701d71U,     0x8579707cU, \
    0xf0d86210U,     0x7c0e2818U,     0x7af0dcd5U,     0x544b27a0U, \
    0x782ff7d5U,     0xf36bc51fU,     0x30b3889bU,     0xaffe738bU, \
    0xcfd68ff2U,     0x389af332U,     0x7575b9e5U,     0xd1c32520U, \
    0xc08a35d6U,     0xe126dd5aU,     0x38e7a644U,     0xc8636a4aU, \
    0xd7d5352eU,     0xbf4ef1b2U,     0x3eb6b655U,     0x9a056d22U, \
    0xdceb5e9fU,     0x1d73c8f1U,     0xb1204c37U,     0x88b35f11U, \
    0x24784c5aU,     0x0d93d88aU,     0x2f3542deU,     0x0ebec697U, \
    0x2f47fd52U,     0xc7bb286eU,     0x6735bd2cU,     0x5f62d52eU, \
    0x7358625fU,     0xdd1e57cdU,     0x901b7aaaU,     0xf21fa825U, \
    0x631f4b8cU,     0x635db822U,     0x570375a2U,     0x54e718a3U, \
    0x9d6dc45cU,     0x68b2c4ddU,     0xbc632056U,     0x876a2e07U, \
    0x7cc43f66U,     0x906de80aU,     0xc5843b5fU,     0x75813e68U, \
    0xa6e7ecc6U,     0xab130021U,     0x2a246233U,     0x7c974c9fU, \
    0x57d2f25eU,     0xd25f1d53U,     0xaaad71ecU,     0xab6d1ea3U, \
    0xdb0ad24aU,     0xe2e4a35cU,     0xb59522d5U,     0xd0bb5f9aU, \
    0xb34fc245U,     0x226c28c1U,     0xad826100U,     0x4fbe21d2U, \
    0x41eec787U,     0xd30d0c39U,     0x7f61d8d9U,     0x8ecea26dU, \
    0x7a33011eU,     0x594c1ed9U,     0x92e7e731U,     0xcd8c319aU, \
    0xa6c79623U,     0x3bca5b89U,     0x31a64231U,     0x0265e9fcU, \
    0x64f624e5U,     0x554c3a20U,     0x22427effU,     0x50ad3a9bU, \
    0x54b70cfeU,     0x1ceecc43U,     0x51284e42U,     0x2471bedaU, \
    0x78e15faeU,     0x36dcc59eU,     0x84ed7747U,     0x5d4af534U, \
    0x86c194c0U,     0xb26aeedfU,     0xb71776a9U,     0xd947145aU, \
    0xa1fb867cU,     0x65843487U,     0x75625456U,     0x9a7bd028U, \
    0x386c7673U,     0xd2336f79U,     0xce215942U,     0xabed9dd2U, \
    0xce417f08U,     0xf26423dcU,     0x51a89d44U,     0xa49df992U, \
    0x40dd632aU,     0x5dcc3f24U,     0x3e9127d4U,     0x7eedd2f5U, \
    0x48033ddeU,     0x40300c84U,     0xe00238e8U,     0xf6192978U, \
    0xf66696daU,     0xff2ab18cU,     0xe3278f31U,     0x0fcb13f3U, \
    0xca505595U,     0xa15c2dedU,     0x73f90401U,     0xa43d8725U, \
    0xaf60caaeU,     0x42babd5dU,     0xf4794d63U,     0x517efd3bU, \
    0x7d781e3dU,     0x8e1d5785U,     0x8ce2b256U,     0x66956e4fU, \
    0xa2167ef0U,     0x6cd23b12U,     0x784b8a7cU,     0x93b3f3acU, \
    0x278fba68U,     0x51bb0527U,     0x3884b89bU,     0x1daf7aa8U, \
    0x8951a02aU,     0x36db3dcdU,     0x8df764d3U,     0xc3408b15U, \
    0x79a40f64U,     0x423ab701U,     0x88addf19U,     0xf1125c90U, \
    0x873309fcU,     0x58e894a1U,     0x6eb380ddU,     0xccc0bfa8U, \
    0xad015395U,     0x017c5a37U,     0xdc8a9973U,     0x82d27332U, \
    0x5a381dbfU,     0x23c5049dU,     0x3e5d2213U,     0x99cf86e2U, \
    0xc5a9bdffU,     0x86cd4077U,     0xeee3e58fU,     0xe57e3b1bU, \
    0xf3d35fecU,     0xa8d33010U,     0x1e695728U,     0x366c10e2U, \
    0x9901074fU,     0xf38196d5U,     0x1945eed0U,     0x126c602fU, \
    0x4fe4e795U,     0x1b18495eU,     0xec540a33U,     0xa92df813U, \
    0x2de4f8a5U,     0x1677b49eU,     0xc33b389dU,     0x1752d7f3U, \
    0x20b8cec2U,     0xbe684e81U,     0x93eea39eU,     0x57879840U, \
    0x2c24fee0U,     0xb86564b6U,     0x63feb98cU,     0xf12960c0U, \
    0x32aba89aU,     0x95c36817U,     0x7466a7d8U,     0xa45285edU, \
    0x2d66d293U,     0xa0699cf1U,     0x49176824U,     0xf87d5ca3U, \
    0x9ed7f843U,     0xba33cef2U,     0x238fcae9U,     0x42b8b95cU, \
    0xf6524d43U,     0x8721ecafU,     0xea5248e4U,     0xfef8c829U, \
    0x27db1fdeU,     0x187cac48U,     0xd59f4befU,     0x06318ba4U, \
    0x1b129fa4U,     0x19725814U,     0x91826641U,     0x1a1b1ed6U, \
    0x50a93306U,     0xdbe4885fU,     0xec008ca9U,     0x8783119fU, \
    0xabc53c24U,     0x4e094fa9U,     0xf13bf9eeU,     0xce077733U, \
    0x52b1ad37U,     0x691790f8U,     0xfd7431e2U,     0x3ac6bba6U, \
    0xa9181090U,     0x04fb1004U,     0x33ac5ed5U,     0x9539627dU, \
    0x53523c7eU,     0x53101ecfU,     0xc1690aa5U,     0xd2cd0fe0U, \
    0xfd07b72eU,     0x1879adacU,     0x6ac844f2U,     0x550a5997U, \
    0x31b06af1U,     0xe1ed7be4U,     0x9aee3b38U,     0x8ad67e47U, \
    0x4151e151U,     0x30e9ab87U,     0x4babda1cU,     0x3641541fU, \
    0x48a2f3daU,     0xfc1cbe9cU,     0x3e0d1251U,     0x9b2b1c83U, \
    0x51bd13d0U,     0x364d1da4U,     0x27464379U,     0xa3804fb3U, \
    0xa1975982U,     0x658a4f64U,     0x17a829a8U,     0x5f76b4b0U, \
    0xadb7573aU,     0x8a2be436U,     0xa4702f14U,     0xdea1434bU, \
    0xb4178d66U,     0xc31cc5dcU,     0xdc8374ceU,     0xc2bde7a2U, \
    0x0f4b243eU,     0xb134b8c8U,     0xcad71bf2U,     0x9c2e3db6U, \
    0x061a090fU,     0xf05ba42cU,     0xb99c7b13U,     0x1e882569U, \
    0x4b05e827U,     0xc50b571aU,     0x83aa4117U,     0x216d6591U, \
    0x6b1d8f1cU,     0x8fec9827U,     0x45b17f00U,     0x32599c0dU, \
    0x5119494bU,     0x25c182a5U,     0x44fb4d9eU,     0x0ad9c031U, \
    0x12711d21U,     0x54c3ab1eU,     0x8fc8fd2fU,     0x1ec3a176U, \
    0xacbc1ef1U,     0x8005bdd7U,     0x9fbad4b9U,     0xa3b96ea1U, \
    0xdd68f3a5U,     0x6800d342U,     0x0c4bde6bU,     0x815695fbU, \
    0xfd8f9363U,     0xbb598625U,     0x64642631U,     0xf6a6a171U, \
    0x556f3744U,     0x83532862U,     0x86efdb98U,     0x8ce6f6f9U, \
    0x575eb2b7U,     0x9a197fa5U,     0xca3d0e67U,     0xfd60b2dbU, \
    0x8b7e25feU,     0xae9440b5U,     0xd1458cb8U,     0xccb304baU, \
    0xcb866d78U,     0x4a8f3695U,     0x4201501dU,     0xc65c970fU, \
    0xcc202ee3U,     0xfa18de60U,     0x4d2a1d89U,     0x3f7c8572U, \
    0xdde54932U,     0xdf4c06a1U,     0xff92305bU,     0xceaf9719U, \
    0x7f9b7f7aU,     0xbe364e25U,     0x86505841U,     0x1c297bf4U, \
    0xc76b50d7U,     0xf13dc340U,     0x67926e07U,     0x8d550d78U, \
    0x9763f9b3U,     0xe6d7243cU,     0xd7f90c77U,     0x0fcc5e63U, \
    0x6ff04710U,     0x001a491eU,     0x14019ea7U,     0xebdf3c79U, \
    0xda0aead9U,     0xfb51b976U,     0x3b11b269U,     0x922ff7a0U, \
    0x138d294fU,     0x12307fa1U,     0x83f7c782U,     0x12763759U, \
    0x36d7d401U,     0x1fc40026U,     0xe0b6cb10U,     0x9726c1acU, \
    0xf0a0a72cU,     0x07f385eaU,     0x230cabdcU,     0x479768ceU, \
    0xfc8a5f6eU,     0xbb9b5e7cU,     0x011cf980U,     0x71d7ccf4U, \
    0xedcad066U,     0x6def91d7U,     0x9499a19dU,     0xba62e0feU, \
    0x933e37c3U,     0xc9487755U,     0xaabcdb06U,     0xd637b688U, \
    0x265c419aU,     0xb3b796d6U,     0x85e67e2fU,     0xda63f988U, \
    0x175b299cU,     0x87074c09U,     0xa3c29882U,     0x39604370U, \
    0x2099e562U,     0x66277de2U,     0x33ed7fcbU,     0xd58060ecU, \
    0xf1e7c2d7U,     0x27b2a568U,     0xac553f21U,     0xc21ad19dU, \
    0x753723bcU,     0x21f28ffdU,     0x1d2beda0U,     0xe2d20ee5U, \
    0x95fe5c32U,     0xbfa01596U,     0x04b5b64eU,     0xf18e1e3aU, \
    0xc551b483U,     0xf70c4a3bU,     0xe9a85f7fU,     0x95316875U, \
    0xc137cbc1U,     0xb9403621U,     0x3630a1aeU,     0x147277ebU, \
    0x5ee156c8U,     0xa512cd51U,     0xc3915adfU,     0x5c73fdd1U, \
    0x5352a617U,     0x9627f98fU,     0x32e104ebU,     0xaebcc418U, \
    0xf0c0434fU,     0xb2df07d7U,     0x7bb9fbdfU,     0xd4695d33U, \
    0x5696743bU,     0x16c5b083U,     0x64c0cb8cU,     0x190a1179U, \
    0x3f5ea5b3U,     0x431ee0dcU,     0x8a74e273U,     0x8a9171a3U, \
    0x1716aad6U,     0x3a41f3bfU,     0xfacbfe38U,     0x2468a6c4U, \
    0xc4d771b8U,     0xe7292415U,     0x3862f7f5U,     0xac08339fU, \
    0xc6389175U,     0x2c86f1d4U,     0x1cfcfb6cU,     0x12810857U, \
    0xe1eda438U,     0x5205860bU,     0xd90c39eeU,     0x9c4bc1cfU, \
    0xf9198d90U,     0x0da41f68U,     0xe47deaabU,     0x24780421U, \
    0x0049eaf3U,     0x653d531fU,     0xd6bc6cecU,     0x720757fbU, \
    0x324c7383U,     0x5835af3fU,     0xc96ea7c8U,     0x78353069U, \
    0xcb10a540U,     0x13b4ba8dU,     0xb7e019d0U,     0x02826988U, \
    0x7228e4a0U,     0x62607af8U,     0x15e119b9U,     0x5ce8c6b7U, \
    0x3d060b92U,     0x65f8b0d5U,     0xf0113c8aU,     0x5a9a93feU, \
    0xa1fa5875U,     0xa1682679U,     0x2cff782cU,     0x4e4c9d74U, \
    0x6fff8245U,     0x6d0393c2U,     0x35ef8443U,     0x22782f13U, \
    0xc2e71fc1U,     0xecf44deeU,     0x81027337U,     0x379c5406U, \
    0xa71b39d7U,     0xdecb0261U,     0xb55c7ce0U,     0xeb270291U, \
    0x551de3ecU,     0xf118174fU,     0xc546d1caU,     0x9bee1504U, \
    0xd0ff2585U,     0x6622dda4U,     0xd7489617U,     0x115aa4b0U, \
    0x05170188U,     0xb72afba8U,     0xec5f069cU,     0x0f081f72U, \
    0x4dda39ebU,     0xadfea99fU,     0x98860570U,     0x13d06b24U, \
    0xbae241b3U,     0x5e146e89U,     0x9ebba7d2U,     0xa9ca8dd3U, \
    0x7bec7638U,     0xea670b8aU,     0x94698aeeU,     0x50a57c2dU, \
    0xc211a411U,     0x7d533af9U,     0xe22493e8U,     0x3145a40aU, \
    0x4cc7e3ebU,     0xa611c870U,     0xf511ca69U,     0xbf83d6bfU, \
    0xf128f063U,     0x0c753ad5U,     0xdf82cebeU,     0x91d4ce2cU, \
    0x487ad5f0U,     0xf75e4782U,     0xe9480087U,     0x5277fd6dU, \
    0x2ecb5027U,     0xef1e79d9U,     0xd6772907U,     0x34c4c773U, \
    0x72fc129fU,     0x7c2c24aaU,     0x246f18f5U,     0x6e7fc86eU, \
    0xbdbd4f7eU,     0x7be83e40U,     0x85a6ac9aU,     0x22f985f8U, \
    0xc7d6b5b7U,     0x174640afU,     0xc457f33cU,     0x819143bdU, \
    0xf5dbab8aU,     0xc722359eU,     0xdc2cbdfdU,     0x2808f11fU, \
    0xaa461e15U,     0xffea038dU,     0x8c4d0ad8U,     0xc3a5741aU, \
    0x7e1c5f5cU,     0xcf64f61aU,     0x9cb28ecfU,     0xbd07a111U, \
    0x19fb3f97U,     0xbd0057acU,     0x7eb725a4U,     0x33091f66U, \
    0xebe42da3U,     0x3097da4dU,     0xcd0a2965U,     0x2db4e2c8U, \
    0x8cdb85adU,     0xbde319abU,     0x5cad2cbdU,     0x4e640e02U, \
    0x8398690fU,     0x7ccccf61U,     0x28b8597bU,     0x10e4b0d0U, \
    0xdbe7040cU,     0xcd9529dbU,     0x2b7e9bdeU,     0xd381c8c5U, \
    0x67d4ae23U,     0x1a127018U,     0x5414a505U,     0x79b1b24aU, \
    0xd6fdc75dU,     0xaf74b44aU,     0xa3dba16bU,     0xfa43744aU, \
    0xdbccb702U,     0xa8b05460U,     0x570e4f1cU,     0xf3b43fd1U, \
    0x1608966eU,     0x054aaa79U,     0xe0e6c27bU,     0x4a7504adU, \
    0x862ea2d3U,     0x2b357b68U,     0xf5faf1e1U,     0xa3ec4b62U, \
    0x5ddf8c65U,     0x1230dc08U,     0xf07951ccU,     0x2c99c2bbU, \
    0xa5f46b02U,     0x1156007cU,     0x59f428d4U,     0x62223298U, \
    0xf715eb00U,     0xe1c93cc2U,     0x014b2d6bU,     0xcfd3580fU, \
    0x02f3b9e5U,     0x8ced779cU,     0x50f51a9aU,     0x9b4b8152U, \
    0xbd9c9010U,     0x6bace60fU,     0xd9e83f47U,     0xa9be8277U, \
    0xb352dfdcU,     0x4ff0e093U,     0x0cb3841aU,     0x1abb39fdU, \
    0xebbdf897U,     0xe9c4a068U,     0x5fdaf2e8U,     0x0a4f0a78U, \
    0xa5d85fe7U,     0xc0c69527U,     0x54b312c7U,     0x25978b88U, \
    0x1f62e063U,     0x2484260dU,     0x2ca0f7e4U,     0xc84c3c59U, \
    0x1e8825b0U,     0x233b1555U,     0x37056c90U,     0x05aac499U, \
    0x64712f77U,     0x995553ccU,     0xbaec0ae7U,     0x7bd5bb32U, \
    0xd7866463U,     0x2e9ab60fU,     0x3d697227U,     0xd16ecc65U, \
    0x345b6fdbU,     0x479f0281U,     0x1479b9fcU,     0x76df3225U, \
    0xe988ef20U,     0x041f22faU,     0x0d45105fU,     0x4c69e32fU, \
    0xb3b30e0bU,     0x9a2c36c4U,     0x78ad68e8U,     0xbc16cbe1U, \
    0x471294d2U,     0xc9437bf2U,     0xacd4ac5bU,     0x1358d1ddU, \
    0xdc2b5546U,     0x9f9b7f61U,     0x726cca3cU,     0x8079abb5U, \
    0x743af3a3U,     0xae6f1aceU,     0x393795f2U,     0xf6e52874U, \
    0x14399b91U,     0x36fd541cU,     0x2bf1d17fU,     0xb5303b41U, \
    0xb67992afU,     0x19a74c29U,     0xd9c73c2dU,     0x93463828U, \
    0xd24ebdb6U,     0xfa94cee2U,     0xc9019d98U,     0x7c976956U, \
    0xd05c45acU,     0xb9357ec2U,     0x26c19644U,     0xcf71dfd5U, \
    0x670c42f3U,     0x7a02c8bbU,     0x7b40f31dU,     0x5bfeed20U, \
    0x0c90937bU,     0x7fe69048U,     0xc9bf1705U,     0xb695ef54U, \
    0xc94b42eaU,     0x9628d9e8U,     0x8703a2bfU,     0x66166052U, \
    0x9cf8df7eU,     0xa70580d9U,     0xc874f2a2U,     0x2e8b50aaU, \
    0xa1f26c1cU,     0xa0957c79U,     0x994924b5U,     0xa25c386fU, \
    0x08b68e93U,     0xbcf70922U,     0xe60e326aU,     0xd3278e04U, \
    0x0614cf88U,     0x1eaea90cU,     0x1c20b011U,     0x5ebb0c78U, \
    0xe1511d4aU,     0x66c95e3dU,     0xdc5cc574U,     0x03153aa9U, \
    0xda569a36U,     0xe1d80652U,     0x5f928476U,     0x514100f1U, \
    0xdf76b17dU,     0x49b6843dU,     0x7e990c50U,     0x90ec3180U, \
    0xd6b06c8fU,     0x2b650f36U,     0x2de89aa6U,     0x796aab9dU, \
    0x661ff848U,     0x953a7e91U,     0x6abde7e5U,     0x2875ada1U, \
    0xf7d46a3eU,     0x4081f63aU,     0xa56e52c4U,     0x25a78b85U, \
    0xd32c23bfU,     0x59677eaaU,     0x0577ffc4U,     0x16c2880dU, \
    0x2c13f795U,     0x10fab481U,     0x436b252eU,     0x45f18e02U, \
    0x1c443aa8U,     0x26c810fcU,     0x5bd7a3caU,     0x676439a2U, \
    0x4803ae90U,     0x3b2f1f26U,     0x6ab50332U,     0xd2b0b686U, \
    0xd2321d2fU,     0x3f71b0cbU,     0xd5793e58U,     0x95044b53U, \
    0xf1fa7b43U,     0x92313951U,     0x77857ea6U,     0xae675838U, \
    0x9455e561U,     0x476d1d15U,     0x8f6fe98dU,     0x02f8b2bbU, \
    0x65026b3cU,     0x29dfb174U,     0x7f5f6a10U,     0x79275877U, \
    0xc40af1c9U,     0x18cce9e2U,     0xb7246855U,     0x224f6f4eU, \
    0x1044e568U,     0x740e0133U,     0x903df82dU,     0xee07f2a0U, \
    0xf23e5555U,     0xcdbec1d0U,     0x3bbcce44U,     0x356d9695U, \
    0x867bce98U,     0x98d702cfU,     0x172dd839U,     0x1a04e3deU, \
    0x632916bdU,     0xe41cd5b4U,     0x56fadbccU,     0x7406d1b8U, \
    0xfcee614eU,     0xfc69c692U,     0x4f5fbb20U,     0x59585835U, \
    0xedcebc51U,     0x95ade93dU,     0xe6f1f305U,     0x1605ba87U, \
    0x6aa32626U,     0x5def7393U,     0x55f54059U,     0x21eb4de5U, \
    0xa6cb89b4U,     0xb8479a78U,     0xaf4a2fcaU,     0x3c7be553U, \
    0x67030c40U,     0x91d169b2U,     0xd247ce2eU,     0x6131de84U, \
    0x89547787U,     0xb33492f6U,     0x8ecab3a3U,     0x7b4962e5U, \
    0xefb5f137U,     0x128cdecfU,     0xc6836927U,     0x28d3b0bbU, \
    0x7b9280d9U,     0x1e6d5118U,     0x0fce2e6cU,     0x45fde01bU, \
    0xedcb7b81U,     0x3973bf6fU,     0xccd1a8a5U,     0xc5395017U, \
    0x577b41e6U,     0xacb7bb3bU,     0x98f5bdf9U,     0x5186f4fcU, \
    0x064fb8c6U,     0xbc2954e5U,     0x9bc4d58fU,     0x4183a077U, \
    0xa4a02c41U,     0x9717524dU,     0x9b0b06beU,     0x60c142feU, \
    0x51cac40bU,     0x0e63ef3fU,     0x7c3bf272U,     0x0c42e721U, \
    0x87e28a89U,     0x0b7b13feU,     0x92408f38U,     0xe9cdd1cdU, \
    0x437241aaU,     0x19365127U,     0x9c348536U,     0x348df3f9U, \
    0x5c7813a8U,     0x2c5b86ddU,     0x1917ac40U,     0x66be6e24U, \
    0x6d72ec2bU,     0x8c77f30bU,     0x7e2d1467U,     0xa852ec37U, \
    0x88d06233U,     0xd9c95587U,     0xde9195daU,     0x58d9ef19U, \
    0x3990ac46U,     0x6b488441U,     0xcf923503U,     0xa65c6f46U, \
    0x68e9b53bU,     0x9b5e5a77U,     0xc548623fU,     0x39b0cbdbU, \
    0xc977e3f9U,     0x74021473U,     0x23698e8dU,     0x9e42e017U, \
    0x043290fcU,     0xaaedf12cU,     0x45ee3d40U,     0x3427a95cU, \
    0x7a918089U,     0x1b4c336eU,     0xb3e9506dU,     0x34ec583eU, \
    0x0697c101U,     0x062ec034U,     0x2a28dafaU,     0x4b4dba39U, \
    0x002e4f6fU,     0xb3d4eb52U,     0xe301318eU,     0x9f0aa901U, \
    0xba8bb0c4U,     0xc045e707U,     0xa5fcc0fdU,     0xf8a4f32dU, \
    0x1c9a275fU,     0x5245701bU,     0x09cad5beU,     0xe657bd42U, \
    0xfcea3833U,     0x1ec66288U,     0x2201ecddU,     0x980fe705U, \
    0x9ff232edU,     0xc5dc7643U,     0x49b540ffU,     0x42fa2a4aU, \
    0x3b71c0e1U,     0xd5ea5d1dU,     0xf64df016U,     0x22f99be7U, \
    0xe1aa925bU,     0x6a1bc4aaU,     0xbef2c519U,     0x1ba59436U, \
    0x3e2934b0U,     0x185edc67U,     0x6a8f474dU,     0xba97d679U, \
    0x9b2f0ae0U,     0x902e332dU,     0xd1ce7764U,     0xc8fd921bU, \
    0x9a219bf0U,     0x6568b822U,     0x47120184U,     0xc7c4b202U, \
    0x8af9aed0U,     0x2fc88615U,     0x53a64f45U,     0x692f4f86U, \
    0xa5f3f7e9U,     0x84bc6ad7U,     0xd4048654U,     0x4d394101U, \
    0x34947f74U,     0x3465841cU,     0x97914b74U,     0x0c36d8aeU, \
    0x622a316bU,     0xb326b019U,     0xf739bf68U,     0xa2705bb0U, \
    0xfa099252U,     0x3bd78bf1U,     0x587bef6bU,     0x5fbd6604U, \
    0x98e98e45U,     0xc84d359aU,     0x04c058b7U,     0xa83c9eb5U, \
    0x5edb05acU,     0xea113202U,     0x2cf67f8cU,     0xe209b6d0U, \
    0xea3526d2U,     0xcea00f01U,     0x2d2bd76fU,     0x48c7346eU, \
    0x2c06045eU,     0xdef5d38aU,     0x787bfa15U,     0xf3af3da2U, \
    0x7a140f92U,     0xb88e2f0aU,     0xc5cf172eU,     0x1fb1eb2fU, \
    0x7e016303U,     0x0d260b52U,     0xc96869bfU,     0xae8b525fU, \
    0xedc5e525U,     0x94349917U,     0x4f39b01fU,     0x3485b1bdU, \
    0xc910e286U,     0xdb966d57U,     0x76d416b9U,     0x33245e3fU, \
    0x8de372adU,     0x725629f7U,     0xaa3ccd31U,     0x4ec8e484U, \
    0xaf0c7bdbU,     0xa9c2308dU,     0xbec6a48aU,     0xded799f7U, \
    0xfadd9bdeU,     0x2fd0add3U,     0xaae4887dU,     0x1876801bU, \
    0x1cb04f50U,     0xcd415aeaU,     0x23416ae5U,     0x2db01e60U, \
    0xe4ab5b81U,     0x5d040da7U,     0x4ee91d08U,     0xa6785018U, \
    0xd8615323U,     0x87ee3ee3U,     0xa3abc653U,     0x496ce5eeU, \
    0x5ab6ae84U,     0xa31188efU,     0x6e1934deU,     0xcf3b63c7U, \
    0xcb050714U,     0x45b608aaU,     0x0a0a487bU,     0x5abb505fU, \
    0x2d36ad2bU,     0x78f0fe49U,     0x55268b3dU,     0x2b1601f6U, \
    0x8620cc4aU,     0xd01e5365U,     0x80f73b7eU,     0x80ecfe16U, \
    0x8e591410U,     0x7a6a97f8U,     0x379e9e1eU,     0xbbe9e9c9U, \
    0x9ec0cabaU,     0xa3731077U,     0xd3fe0086U,     0xe6a25418U, \
    0x13279fe3U,     0x62ab090fU,     0xa9705ec5U,     0x2987e565U, \
    0xf228622eU,     0x682bde39U,     0x9f6246baU,     0xd069cf4bU, \
    0xa94a55f3U,     0x12fb4da9U,     0x2ca2be6cU,     0x9257a9dfU, \
    0x2d67bc46U,     0x5678f203U,     0xe5af46dbU,     0xb3de4908U, \
    0x46460443U,     0xd8ddeff9U,     0xb2817d18U,     0xf0dd1197U, \
    0x4038cf2bU,     0x38972a28U,     0xc368ea9eU,     0xab60fd76U, \
    0xcf893a9dU,     0x8e687067U,     0x1c039c5bU,     0x551d186bU, \
    0xb1d36579U,     0x3c751b00U,     0xc560e740U,     0x2f6b6e81U, \
    0x8f31eab0U,     0x44143c93U,     0x6d109626U,     0xe37be820U, \
    0xe0b5a066U,     0x692335e3U,     0x46c6dd5eU,     0xdbe29fd2U, \
    0x43c57117U,     0x07b70007U,     0x55cf558dU,     0xdfedc89fU, \
    0x9c26b037U,     0x159329feU,     0x19c815ecU,     0x113a6f90U, \
    0x2fee168eU,     0x68cc9f53U,     0xa95a663aU,     0x6dc27606U, \
    0x00342aedU,     0xd99184e7U,     0x0761e1a7U,     0x525efd8bU, \
    0xda69ed29U,     0xbe5962deU,     0xb1615ca0U,     0x5937f00bU, \
    0xa17a9be8U,     0xf4452033U,     0x5438c4a5U,     0x24d98b34U, \
    0x4eb5c07dU,     0x51028db8U,     0x9ff769e0U,     0x31de55f3U, \
    0xd20c84eaU,     0x496ea9d3U,     0x1117e690U,     0x313f173dU, \
    0x3cf93944U,     0x5da222efU,     0x11558f5bU,     0x4ec02891U, \
    0x3ad1f3c7U,     0x2f7c6ed2U,     0xc39db10bU,     0xf2d71aa5U, \
    0xae7ecf49U,     0x951e0390U,     0xb71e24fcU,     0x4eb4ad63U, \
    0x295c2830U,     0x895f038aU,     0xdd4080e8U,     0xf4c65bc9U, \
    0x01bd4778U,     0xda5a296cU,     0x47799470U,     0x5872e90dU, \
    0x7128d1faU,     0xd4729562U,     0x45a3c712U,     0xd15fce2dU, \
    0x1b48e2fbU,     0x6d8dff64U,     0xc13effbcU,     0x0f85adf1U, \
    0x9742907fU,     0xabd75b4cU,     0x1d85e910U,     0x71108175U, \
    0xc3afe95eU,     0x5ea87252U,     0x3b7012ddU,     0x9691a3c9U, \
    0x00f14b67U,     0xc73e17d3U,     0xb562838aU,     0x42cd8c87U, \
    0x1cfc7bd6U,     0xdf296f4fU,     0x5e0413ceU,     0x2a2f8c12U, \
    0xaaec80c6U,     0x51673332U,     0x612c087bU,     0x6daaa5b4U, \
    0x0e55ec8aU,     0x76a9ec7eU,     0x54d67966U,     0xb6c63cdeU, \
    0x9ccc1f47U,     0x1e32e677U,     0x579fa6c1U,     0xb41e506aU, \
    0xbc8d5833U,     0x46404c58U,     0x17c78188U,     0xa5934364U, \
    0xee3cc89aU,     0x8192290cU,     0xc4583cdfU,     0x0e98d74dU, \
    0x2781a010U,     0x19654dc5U,     0xedf772f6U,     0x6e2e84b9U, \
    0xa1ecd588U,     0x157574dcU,     0xf4e47dc0U,     0x72538cd1U, \
    0xd8923f94U,     0xf8e05582U,     0x424dcc21U,     0x2501e802U, \
    0xea8a879aU,     0xae187650U,     0xf75ef8d6U,     0xe50673aaU, \
    0x9a85b291U,     0x27dc735aU,     0xb622f683U,     0x8f52a8a4U, \
    0x05cababfU,     0x8ce16221U,     0xa898b088U,     0x38931250U, \
    0x55d7a581U,     0x4de0fdfcU,     0x38d426d9U,     0xcba3dec6U, \
    0xf1c023e7U,     0x6f1f2810U,     0xd6aaac63U,     0xf676e0b8U, \
    0x2322c623U,     0xbc7da4e7U,     0x609928faU,     0x494817f2U, \
    0xe1d126d2U,     0x2034cfeaU,     0x5081d027U,     0xb5f79998U, \
    0xf71ba138U,     0x8c483914U,     0x56770b91U,     0x6df2161dU, \
    0x31e325b2U,     0xf978c9feU,     0xaa1e03e1U,     0xa0b94327U, \
    0x5d90ef2fU,     0x751f0c22U,     0x3bc59ba2U,     0x27e16911U, \
    0x8d09a487U,     0x5413b834U,     0x93f25036U,     0x07ac1eb4U, \
    0x3961459fU,     0x6fd81982U,     0x9688d726U,     0xcac08cf2U, \
    0xa3f8d904U,     0xfdfe0525U,     0x04f90770U,     0x6731b117U, \
    0xc2990a75U,     0x8b8d0d7fU,     0xa112b346U,     0xdbb08200U, \
    0x9682e64cU,     0x7e283fd4U,     0x8a60990cU,     0x6dccb6f0U, \
    0x40c3d1f6U,     0xb7947d97U,     0xfd81afafU,     0xe4758ccdU, \
    0x8b74780fU,     0x38af44f8U,     0x374e3f72U,     0x1fd316b1U, \
    0x0848b0e5U,     0xb0a0c371U,     0x9dbaca5bU,     0x3b2719beU, \
    0x7484e3bdU,     0xe25f00b0U,     0x494b0952U,     0x747397cfU, \
    0x6e8c1e9bU,     0xac87e3c1U,     0x37e8ee1bU,     0x1f071530U, \
    0xafeb7d1aU,     0xf17852cbU,     0x98b9add0U,     0x4df9c1fbU, \
    0x634e7f9aU,     0xeb0b4d52U,     0x1127cbbfU,     0x88c83ed5U, \
    0x208df012U,     0x4be4eca8U,     0x9d8fcabcU,     0x68da6757U, \
    0x4dd0cf12U,     0xb3197c04U,     0x36e4bf29U,     0x2af83194U, \
    0x109c93beU,     0x226b85a1U,     0xa932e88fU,     0xe3597dcdU, \
    0x7cb44c66U,     0xa85c5930U,     0x996105f4U,     0xd3c7e183U, \
    0xfe6ad94fU,     0x81061b6aU,     0xc1a61e83U,     0xab380b93U, \
    0xddd93da9U,     0xb0258d21U,     0x1a63a43fU,     0x21d0121aU, \
    0x7524350cU,     0x67e61d73U,     0x8dabc378U,     0x0336891bU, \
    0xe71fdaeaU,     0x63776ca7U,     0x58ad6e56U,     0xee5c1682U, \
    0x9a937eebU,     0xdf6ad7beU,     0x75623515U,     0x35a7f4d8U, \
    0x12679a60U,     0x887ff0c9U,     0xc002dac9U,     0x823b7705U, \
    0x06ef609fU,     0x15927551U,     0xdcc77668U,     0x952fc07dU, \
    0x7c2b5a50U,     0x906b09fbU,     0x70c43a8bU,     0x35553abaU, \
    0x7dbed112U,     0xf0cc5cc3U,     0xe94c0bd0U,     0x2d772b84U, \
    0xdf592810U,     0x88ffece4U,     0xf7cdd344U,     0xfbee7578U, \
    0x2984bd45U,     0x40d64974U,     0x48888268U,     0xfb888c9aU, \
    0x35a869e9U,     0x42d13dc9U,     0x7e871454U,     0x2099cbceU, \
    0xcc4a4763U,     0x43ca4a3aU,     0x145056e2U,     0x8a28ea2cU, \
    0xf21e9880U,     0xcdd18f5fU,     0xb66b2c90U,     0x560b996cU, \
    0x562f2074U,     0xf11da626U,     0x2ecaeebeU,     0xb0cb56dcU, \
    0x8fd61cd7U,     0xe19cbb81U,     0x8cbb8ee1U,     0xbae5c1d4U, \
    0x66aeff3aU,     0x9f587d94U,     0xb52b42cbU,     0x9b427a23U, \
    0x58beef46U,     0x684ad6f5U,     0xf4a40a75U,     0x6f8dde9bU, \
    0x98022a5dU,     0x266bbbdbU,     0x04e3bb39U,     0xd53736b1U, \
    0xc3145c9eU,     0xfe88df14U,     0xbb3ac28eU,     0x5b92298fU, \
    0xf3638d4eU,     0x3e320812U,     0x677c2743U,     0x29057e04U, \
    0x23a13e5dU,     0x3b65b00eU,     0x8881d6c2U,     0x2d0ae3e2U, \
    0xc2bf744dU,     0x49d359daU,     0x49865e80U,     0x7c935223U, \
    0x99e47fe9U,     0x492c1cf5U,     0xf26527e9U,     0x627ca24fU, \
    0x4f5665ebU,     0x5012ad1cU,     0x7e4f2463U,     0x1849e0b1U, \
    0x808d7717U,     0xd80b2fcaU,     0x38acddbcU,     0x562b7ed6U, \
    0x6c6a0645U,     0xf1855b00U,     0xf41c2125U,     0x29c2222fU, \
    0x5f03a6f2U,     0x24817ba2U,     0x5b459675U,     0x46bf0f71U, \
    0xd83ed8d3U,     0x18f58896U,     0xddae8932U,     0x8c83dd81U, \
    0x7e98a6efU,     0xc90b6d7eU,     0xa375883dU,     0x804c73c1U, \
    0x6b060439U,     0x2687e99aU,     0x99fea50aU,     0x3e7e8070U, \
    0x4e7684c4U,     0x581cedfaU,     0xb8ebbf03U,     0x315798e8U, \
    0x5a1dc82bU,     0xff9215fcU,     0x6f4230ccU,     0xfdc8a30bU, \
    0x5767d04aU,     0x216425d5U,     0x1d65ce55U,     0xc64b0a62U, \
    0xcdfbbc38U,     0x1726763aU,     0xc005ffebU,     0xeb3fd565U, \
    0x59b41ad2U,     0x0097944eU,     0x7b30a001U,     0xf238036fU, \
    0x452aff46U,     0x47326853U,     0x8ed35e0aU,     0x38d2e67aU, \
    0xd803ccc3U,     0x12ba4b7eU,     0x7c847d67U,     0x93d7a570U, \
    0xa2dfe31cU,     0x41121be7U,     0x56efbb08U,     0xfd137b78U, \
    0x57709e65U,     0x3703e6ebU,     0x70ce0152U,     0x38130918U, \
    0x42773065U,     0xfc2677c5U,     0x4201b347U,     0x0cdbe3a0U, \
    0xdba9b4d9U,     0x1790585bU,     0x2f896f64U,     0x4470fd36U, \
    0x4fcaac51U,     0x4aa99ae7U,     0x7e0dcae9U,     0xcbff8254U, \
    0xdbec3683U,     0x0c458415U,     0xf2072bebU,     0xc504cd4dU, \
    0x9125ce99U,     0x4bc95505U,     0xeaf87053U,     0x3dff0f33U, \
    0x7f9a0de9U,     0x50bcce5bU,     0xc2515999U,     0x8096f747U, \
    0xa06a90e2U,     0x83017c90U,     0x443f6b92U,     0xac0911daU, \
    0xb446d8ccU,     0x39f89ca7U,     0x4bd61746U,     0x9b690f67U, \
    0x7cffe0a6U,     0xb41b1868U,     0xf89e4a45U,     0x0b5a7010U, \
    0x5256f41fU,     0x344d3601U,     0xfe694db9U,     0x38911215U, \
    0xf5f4bb89U,     0x6c8582dfU,     0xe0258165U,     0x620a8356U, \
    0xc71b1dc3U,     0x376c400eU,     0x1e384e49U,     0xae06aeddU, \
    0x33ea0732U,     0x2204f74cU,     0xd75b37d4U,     0x06f83f82U, \
    0x7bc04a44U,     0x3dd8d424U,     0x7500e628U,     0xbc62b75bU, \
    0x58a700edU,     0xbb095590U,     0x801139b6U,     0xc21f459cU, \
    0x331941c1U,     0x90f2b9aeU,     0x6ae51861U,     0xd8302fdfU, \
    0xb3a37aeeU,     0xaa0efa93U,     0x88f43a36U,     0xc30acb3cU, \
    0xfc4bee15U,     0x43041a44U,     0xe98c5ba1U,     0x69c6e6eaU, \
    0xc928f610U,     0x7041d26dU,     0x325f3959U,     0x899e6b44U, \
    0x7fbae0c4U,     0xf97f9570U,     0x777da284U,     0xea9f746eU, \
    0x8e23f96eU,     0x82a03492U,     0xea13e644U,     0xfb7a1bd6U, \
    0x37e62868U,     0x8e0060faU,     0x32db3175U,     0xf5bb4816U, \
    0x3b84c13aU,     0x9d02c871U,     0xa9b58ca2U,     0x58260732U, \
    0xcf117fd4U,     0x0e0caf04U,     0x25c77337U,     0x9815e052U, \
    0x206876e0U,     0xcac4cbb4U,     0xc30fa3d4U,     0xcc55dab2U, \
    0x45d060baU,     0xede813e6U,     0x131400afU,     0xadf109c7U, \
    0xf83b74dfU,     0x9f8fdf6cU,     0x09cbb853U,     0xe4c88039U, \
    0xa0b19b6aU,     0xfa88532eU,     0xb12650f9U,     0x83fc269bU, \
    0xe22323dbU,     0x6b5d4fc9U,     0xc1dec4f2U,     0x162bedd1U, \
    0x331fdf24U,     0x9e85e088U,     0xc7846bc1U,     0x4b7185fdU, \
    0xe4d9ff35U,     0x15584bcbU,     0x6c887d35U,     0x541ab58aU, \
    0x824fb5a4U,     0x1f21bc87U,     0x7c239a4fU,     0x1bdb5272U, \
    0x855eeffcU,     0x98a1729bU,     0x2c219fe4U,     0xe5a0092aU, \
    0x111eac6fU,     0x2943ac7cU,     0x77fb2b30U,     0x85e471dfU, \
    0x064c5b09U,     0xca166dccU,     0xcff27316U,     0x924a1a7dU, \
    0xf216617dU,     0xd1a434dfU,     0xe0888696U,     0xe28f95eeU, \
    0x784cf5ceU,     0xe56fb7f3U,     0x2cd2e859U,     0x23f20034U, \
    0xd9d9bd70U,     0xfa2a5113U,     0x1b1e2e08U,     0x4fd2c68fU, \
    0x1e014008U,     0x72415e13U,     0x26c025a3U,     0xed88e8d5U, \
    0x0cee1619U,     0xe2c4239bU,     0xd272720dU,     0xfca5c4f4U, \
    0x3e22aad0U,     0x11b51b67U,     0xa078bb6dU,     0xbbb4f9daU, \
    0xb8c03995U,     0xff83bef3U,     0x034825a5U,     0xf0ee7e55U, \
    0x93a3dd3cU,     0x3e8a345dU,     0x7d13329cU,     0x6ea608dbU, \
    0xd40ee0f6U,     0xd09091bfU,     0xb7a19665U,     0xcd4b991bU, \
    0x4f41dd27U,     0x7a9281b9U,     0x6c95a86dU,     0x36815a8eU, \
    0xfb780e97U,     0x14ab007fU,     0x86930b86U,     0xfa66d66eU, \
    0x14876c73U,     0x95780f77U,     0xdc2789f4U,     0x79f8d051U, \
    0x4cf29ed4U,     0x6d37db90U,     0x0744a7a1U,     0xa9def9ecU, \
    0x30059403U,     0x8746e8f8U,     0xdc7c69baU,     0xfadeccb1U, \
    0x0a2fba8eU,     0xa7f50bd5U,     0x245d185bU,     0xf67ff29aU, \
    0xf68f5ee6U,     0x05d97ea3U,     0xb0ea75e6U,     0x6b2422c8U, \
    0xaeb2b0bbU,     0x9ab7ca00U,     0x2abb2252U,     0xa5133f11U, \
    0xde917f74U,     0xd62868d0U,     0x5a95cff4U,     0x24395678U, \
    0x3e117083U,     0x4a75a575U,     0xdd4b80c3U,     0x0c128a38U, \
    0x0f0c48a9U,     0xc7b5e09dU,     0x3ae3e6f7U,     0xc7d26f9fU, \
    0xe35e6022U,     0x3c37095dU,     0xee647e54U,     0x87c45138U, \
    0xea72782aU,     0x7c274ec8U,     0xe3b387d3U,     0x2e33ff1cU, \
    0x711ed2a2U,     0x8c3e541fU,     0xda3a1c07U,     0x5e326552U, \
    0x867aeb28U,     0x700c798eU,     0x93bfd31bU,     0x09c8f3c2U, \
    0x6bc82156U,     0x33859e30U,     0x37a918d8U,     0xdf858675U, \
    0xec0fe74eU,     0xd7da11a0U,     0xecf63b81U,     0x40bf1c09U, \
    0xea809cadU,     0x210919f9U,     0x69224999U,     0x71ef1591U, \
    0xa2243c18U,     0xb7394641U,     0xed019534U,     0xd62b55e0U, \
    0x00698acaU,     0x9dc30601U,     0x10a4bc3bU,     0xac9c97bbU, \
    0xb5b30a51U,     0xa6f2918aU,     0xce8c8b44U,     0xb66f57c7U, \
    0xe24ee227U,     0xb840d787U,     0x95150e17U,     0xb8e69cd7U, \
    0x6ca35c47U,     0xa1e2eb29U,     0x9c97c8cfU,     0xb8d2113fU, \
    0x3ccbf499U,     0x192e8a88U,     0x0e30bab7U,     0x934058e2U, \
    0x8c33d188U,     0xfc87c456U,     0xb03d617aU,     0x1fcb0aa1U, \
    0xc8665fe2U,     0x5dbae329U,     0x9d6141e8U,     0x2e8a0b01U, \
    0xaa754052U,     0x6b96de55U,     0x3ac7e7b3U,     0x30e914baU, \
    0xcb3c6faeU,     0x40d4eee8U,     0x54870671U,     0x887e65f5U, \
    0x4ffb1220U,     0xdf066103U,     0x9a8d9573U,     0x008a851dU, \
    0x1e4e06e7U,     0x64d5d831U,     0x3033c717U,     0x7e1dce4dU, \
    0xaf2353b2U,     0xd0982d61U,     0x16fc48a7U,     0x7a2ea910U, \
    0xf9e21d6fU,     0x27d04866U,     0x550d8361U,     0x6d5adce4U, \
    0x3a6e8a42U,     0x885696bbU,     0x9ce329abU,     0x731b6965U, \
    0x4f15bf03U,     0x4c1d65cfU,     0x5b6f31a7U,     0xd77d7ca7U, \
    0x777e5985U,     0x0611c15eU,     0xe8072370U,     0x992ba070U, \
    0x2751628eU,     0x5058d91dU,     0x37a29a5bU,     0x49daefc2U, \
    0xac92cbceU,     0x33a53a73U,     0x0b0dd787U,     0xbfe0ae8dU, \
    0xd430a6a9U,     0x2c4bb6bbU,     0xf276508cU,     0x62ccc151U, \
    0x7c727f97U,     0x0602af6cU,     0x066b6269U,     0xb0c92219U, \
    0x0829bcbbU,     0x452a5857U,     0x6d8a9a61U,     0x7686bcf3U, \
    0xb55c35feU,     0xa9f8c877U,     0x4cff80e6U,     0x6ded7c57U, \
    0x0ab2d9c3U,     0x071e7da8U,     0x586c8d1cU,     0x909c138dU, \
    0x3f5542e7U,     0xdde9c971U,     0x30b4055fU,     0x886aa6acU, \
    0x2eecb8adU,     0x06c5af04U,     0x9b849b4eU,     0x95bba2a6U, \
    0x7d32ab7bU,     0x7cda5f49U,     0x11e4a67eU,     0xead27dcfU, \
    0xe30cdff7U,     0xdf8abd8fU,     0xfb0e504cU,     0x43da0589U, \
    0x379b79acU,     0x7153d19fU,     0x5d6bfa2bU,     0xdb507013U, \
    0x6a91992fU,     0xe4382d1aU,     0x69bcbee0U,     0x89723df7U, \
    0xfaa064b1U,     0x1d3c73b1U,     0x6450a4e7U,     0xc529880eU, \
    0xb3d9f73aU,     0xa7d32197U,     0xf5473dc9U,     0xe3b84ff6U, \
    0xefc40f0cU,     0x34c4d9e0U,     0xee60b8e6U,     0x01b3d8afU, \
    0xf0661394U,     0x5ee6aa24U,     0x96974f1aU,     0xb9f5d1dbU, \
    0x364a59caU,     0xecee4721U,     0xb58c89eaU,     0xd24cb27fU, \
    0x52d12e8dU,     0x5cfe67e9U,     0xe2257ea3U,     0x6b227b59U, \
    0x0c689568U,     0x4fffcbdeU,     0x77c8fbfbU,     0x4321431dU, \
    0xf00635d1U,     0x8106df96U,     0x2b303205U,     0x1e599a12U, \
    0x5670a4a2U,     0xa6a5d6e2U,     0xdfdd61acU,     0xb5868f14U, \
    0xfecb5dfcU,     0xfcb3b299U,     0x6437bf58U,     0xa03ba591U, \
    0x934c76daU,     0x6421d3eaU,     0xba3a2daeU,     0xa92b4301U, \
    0xaf05935aU,     0x7aec45faU,     0xa3110147U,     0x1c469426U, \
    0xf1b89aadU,     0xca2af70eU,     0x279b874bU,     0x62ddf896U, \
    0x6a854940U,     0xcb158037U,     0x5000b97bU,     0x9048d745U, \
    0x86096106U,     0xc9850101U,     0x9f479318U,     0x389399b2U, \
    0x7efe3dadU,     0x410d92f6U,     0x6c727790U,     0xfb5cfaeaU, \
    0x8e861e2cU,     0xe49d32ecU,     0xc7461b25U,     0x5b8d3b77U, \
    0xd70f08c0U,     0x8b711c0dU,     0x2e9ff40cU,     0x2d9acd70U, \
    0x07458bb2U,     0xa113da43U,     0x1021a95aU,     0xd6899bc6U, \
    0x433445ccU,     0x77551d09U,     0x61b3f2fdU,     0xc098d847U, \
    0x742efc9bU,     0xcfc8fbacU,     0x84e8d0ebU,     0xaa270386U, \
    0x0bfe17e2U,     0x19399ac0U,     0x0f10f83fU,     0xc7af1b4eU, \
    0x893af250U,     0x966468a0U,     0x5af45624U,     0xdb348736U, \
    0xe690ce17U,     0x97ce0269U,     0x3c844a88U,     0x5e795fc3U, \
    0x240b1f04U,     0xf1feeb18U,     0xc9920510U,     0x538e1d72U, \
    0x660a3e6fU,     0x770f6a64U,     0x4f291139U,     0x5018d1a6U, \
    0x539d2addU,     0x69d78ab8U,     0x22e907cdU,     0x96def766U, \
    0x6f7ad96cU,     0x04ed8047U,     0xe6707cf4U,     0x5a242f26U, \
    0x56453936U,     0x077be046U,     0x038c7b80U,     0x79bf91b5U, \
    0x42c524d0U,     0x5fb4bff9U,     0xfda5502cU,     0x39adddf1U, \
    0x8f457809U,     0x6822df7fU,     0x4489fc34U,     0x5e705ddeU, \
    0x3c45d11dU,     0x15ef5082U,     0xcd2ddd09U,     0x4b965a23U, \
    0x441cf859U,     0xe02b3f75U,     0x6bdc32ccU,     0x5a86ef6fU, \
    0x476a3a1cU,     0x39667e13U,     0xa29ebd6eU,     0x203e8314U, \
    0x7e364fa8U,     0xcc8afffbU,     0xec67ae85U,     0x9cf09567U, \
    0x22850538U,     0x097686dbU,     0x40d01fc0U,     0xbee9b313U, \
    0x040ae46dU,     0xc9b8f457U,     0x517387adU,     0x45c3e2f8U, \
    0xd89c54ddU,     0x185b85fbU,     0xc73d1f3fU,     0x16382d9fU, \
    0xf34ef31cU,     0x15764340U,     0x391e1fe7U,     0x95b743adU, \
    0x23ffef8aU,     0xd5304ebcU,     0x5e643793U,     0x6a54ff33U, \
    0xbcaf619eU,     0x39dd3f93U,     0x9cba3524U,     0x90856c2cU, \
    0x7d1aa17cU,     0x6f7402f5U,     0xe85d22ebU,     0x69e29b42U, \
    0xa88d781aU,     0x66611431U,     0x7099f688U,     0x2d126b63U, \
    0x238b67b6U,     0x9bbc31abU,     0x947ac43cU,     0xe8058ed4U, \
    0x793aa6ffU,     0x34d17224U,     0x8a51c5e3U,     0x91fc35ccU, \
    0x03884d48U,     0x13064745U,     0x200347bfU,     0x26c03241U, \
    0x9368d9f3U,     0x1f3a799aU,     0x7eb1a883U,     0x174a9333U, \
    0xab735fe4U,     0x258ba1bfU,     0x5772d483U,     0x3ed429b6U, \
    0x10cb67b4U,     0x561ea44dU,     0x064eecbcU,     0x0bd4b666U, \
    0x1ee21d8dU,     0xe2ca2d14U,     0x9a1cff71U,     0xbf42127aU, \
    0xb3be5c9fU,     0xb80c630dU,     0x8d30bfffU,     0xc5ce35a2U, \
    0x6a1b80a3U,     0xc9384f34U,     0x7b014dd4U,     0xe06dfcdeU, \
    0xeb648bf0U,     0x9a93faa5U,     0xc5092ebeU,     0x1ae74c18U, \
    0x0c5264a7U,     0xaaf3e689U,     0x546f0f4aU,     0x9873bd11U, \
    0x6d9ec5caU,     0x66201c18U,     0xc7db4b27U,     0xf079a531U, \
    0x9c5ccbdbU,     0x27ec9993U,     0x9b9e2346U,     0x691cab3bU, \
    0xdfdff751U,     0xb9fb3263U,     0xdd712791U,     0x230700aaU, \
    0x48e28169U,     0xe7bf23f5U,     0x5b625437U,     0x6bc96ce9U, \
    0xb16746a4U,     0x323c1f2eU,     0x5975bd27U,     0xf0e3060aU, \
    0x64c4fbc1U,     0x740089aeU,     0x251e16feU,     0x181d0d56U, \
    0x9933cfceU,     0x2189accbU,     0x1f8ef39cU,     0xa9b523bbU, \
    0x439c5c0dU,     0xc7150676U,     0x6a426a39U,     0xc4392ec6U, \
    0xf6b1b361U,     0xecdc7853U,     0x343d589eU,     0xebb5ac7dU, \
    0xb5bdf273U,     0xd4f27a09U,     0x0b1909d5U,     0x7bd012d4U, \
    0x7b3b93e1U,     0xd5aa22b6U,     0x02d79970U,     0x702fb55eU, \
    0xb14ef8fbU,     0xe0760c44U,     0xfb39e730U,     0xdee7e39cU, \
    0x0abd8008U,     0xc4f15c28U,     0x70609593U,     0xa085867bU, \
    0xe6c31bd0U,     0x4e104fedU,     0xa274d1f0U,     0xa4ed9240U, \
    0x0f484874U,     0xe1eef326U,     0xdaf48441U,     0xe5767eb1U, \
    0x2a52ee5fU,     0x0b79c1aaU,     0xfbd0280bU,     0xe0c24d11U, \
    0xb21bb6c6U,     0x883ce4beU,     0xcdda612dU,     0xe301db09U, \
    0x89c338c9U,     0x9de2ed72U,     0xce95b8e7U,     0x7dc61aa0U, \
    0xe4ef5e75U,     0x2497eebfU,     0x57403b30U,     0x07e9a8e5U, \
    0xc2699abeU,     0x7f4b1730U,     0x20daf959U,     0xcaaf7ba7U, \
    0x8c645531U,     0xf30dd05bU,     0x75c89ba6U,     0x3c914744U, \
    0xa7c5e43bU,     0x66500639U,     0x5ee361ecU,     0xc5899667U, \
    0x34e05dfbU,     0xec3ecbdfU,     0xba826b9fU,     0xa485b366U, \
    0xba766622U,     0x4ae23e0eU,     0xe70747a5U,     0xdf4da92aU, \
    0xfef71a72U,     0x5b56b2f0U,     0x619385d8U,     0xb54f8a5fU, \
    0xae2248daU,     0x4ae89a19U,     0x7fd32b58U,     0x9851c08cU, \
    0xd93c5abaU,     0xf620e5bdU,     0x756d0f29U,     0x1768f475U, \
    0x85efb0a6U,     0x369c5c9fU,     0x787a6ed3U,     0xfd8f89beU, \
    0x48735398U,     0x4fd7984bU,     0x47d452c8U,     0xdfb6fe71U, \
    0x8571fe04U,     0x5ca586e4U,     0xcf55032fU,     0x974e8ec5U, \
    0xdbafdad1U,     0x8efda9c8U,     0x2f3bfad5U,     0x13367565U, \
    0x1364f18eU,     0x50117c0dU,     0x2471c485U,     0x2e44549aU, \
    0x564901e8U,     0xc61521b7U,     0xa642f147U,     0xd2e31b9cU, \
    0x56b55d4bU,     0x92ba2314U,     0x8cb6fb09U,     0x1c7a7de2U, \
    0x8d47124eU,     0xf0aeb0dfU,     0x10cd54cfU,     0x8489bddfU, \
    0x0ae731a6U,     0x32310dd4U,     0xd2609618U,     0x9fca220eU, \
    0x935c5c9dU,     0x45d76680U,     0x2d990eaaU,     0x9a5ed2c2U, \
    0x35ebec4bU,     0xb7b80212U,     0xbf999a6dU,     0x9d9b2fa1U, \
    0x5fdc963bU,     0x031cdbf3U,     0x56357b3bU,     0xb5dc1eefU, \
    0x5501da09U,     0x86c7c83fU,     0x89f5307cU,     0xecb0d159U, \
    0xc4eab271U,     0x1d4aa0f6U,     0x4248b2d3U,     0xbc6a5d82U, \
    0x6dc177cfU,     0x47821f68U,     0x2da09217U,     0xa99c219aU, \
    0xd87032dcU,     0xd9b52616U,     0x088f20eeU,     0xc385f038U, \
    0xbb66a860U,     0x0caa8375U,     0xe3b4d09eU,     0xc8ebabd0U, \
    0xc77983deU,     0xf1312eaeU,     0x102d3ac2U,     0x67eed93cU, \
    0xb4a25b8aU,     0x01572ac0U,     0x6d83a5c6U,     0x579011c6U, \
    0x65e42ac1U,     0x2bb7db63U,     0x054fe33aU,     0xe1bc9336U, \
    0x3398c653U,     0xec91ed9dU,     0x8b62f98cU,     0x9b730db6U, \
    0xc61bc0ffU,     0x23f42151U,     0x106c6abfU,     0x448f09dfU, \
    0xa60dcd94U,     0x850e50d5U,     0xce3ed87bU,     0x7f10863bU, \
    0x020623aeU,     0xe56b842eU,     0xe628c028U,     0xf757e360U, \
    0x98253664U,     0x266daac8U,     0x8c2fe94bU,     0x9c1c1515U, \
    0x706ff076U,     0x28de119eU,     0x4195efbfU,     0xa1e6db74U, \
    0x88556fbdU,     0x99344612U,     0xa5d17a81U,     0xc97b6eaeU, \
    0x09c6c25fU,     0x46ba811dU,     0xb977441dU,     0x0d2cc6aaU, \
    0x36573fb5U,     0x79c90660U,     0xac1bb8e7U,     0x4ac8fabbU, \
    0x1a5800bcU,     0x5481eadfU,     0x445ae852U,     0x2c37e964U, \
    0xb17d9421U,     0xf90c8512U,     0x486bae3cU,     0xecca92fbU, \
    0xdad6a1d4U,     0xd515b68aU,     0x61e0487bU,     0x374cae44U, \
    0x36128402U,     0x8e2bb827U,     0xa4e20785U,     0x6cc231eaU, \
    0x996528acU,     0xf2349536U,     0xa4754ffdU,     0xa85e5d31U, \
    0x7de0da07U,     0x0dc95f29U,     0x0ce0492bU,     0x999b1613U, \
    0x8aed44bcU,     0x4b0f328bU,     0x0d9bf2c3U,     0x3e2d34a7U, \
    0x9d30e18bU,     0x6caaba6dU,     0xbc37486aU,     0x76d54abcU, \
    0xa7dbbfefU,     0xb81bade0U,     0xa8ce600dU,     0x1d4c9459U, \
    0x7683bab4U,     0x1f325543U,     0xcee11f33U,     0x337f9f67U, \
    0x8091b039U,     0xe384b072U,     0x5142795dU,     0x0703b6e8U, \
    0xeed0880bU,     0x3046028eU,     0x7215030fU,     0x8de82da4U, \
    0xe2a920f6U,     0x20be9315U,     0x50e4bdd9U,     0x7aa0058dU, \
    0xe4c7986aU,     0xc871a310U,     0x464fc73dU,     0xf6190e6fU, \
    0xf73a5850U,     0xc198132eU,     0xd1e8a440U,     0x17caf3ceU, \
    0x5698b14aU,     0xb3f7807dU,     0x2017dae1U,     0xa9c31368U, \
    0x440074beU,     0xd46b7b36U,     0x25ac63caU,     0xc99a661dU, \
    0x7540f002U,     0xceba45d7U,     0xa2a7e0bbU,     0xb41063b8U, \
    0x47a76ebbU,     0x0d7f61c4U,     0x43786626U,     0x76604ccdU, \
    0x34e259adU,     0x95f579f5U,     0x0bdaac45U,     0x8131d7d5U, \
    0x22a7cba4U,     0xcbfd49d9U,     0x97717843U,     0xa8af8adaU, \
    0x35686ebdU,     0x604db125U,     0x4ab12087U,     0x49184db1U, \
    0xf5d9b04bU,     0xdd77d044U,     0x45078122U,     0x0a5145b4U, \
    0xa8f20617U,     0xe7b0fbcbU,     0x6a3b7ac0U,     0xf279c81aU, \
    0xc9c3b3a9U,     0x2d0a3b6fU,     0x39f3b782U,     0xe67c6e4bU, \
    0x3a8be58aU,     0x45ecf2ddU,     0x9f919ef5U,     0x7a08265eU, \
    0x54e62fdcU,     0xce770adfU,     0x37b700d6U,     0xeede10c2U, \
    0xd1dfcf33U,     0x9f7613eeU,     0x584a0431U,     0x62a9e888U, \
    0xbc1da708U,     0x9dfc6cbfU,     0xcb4a1242U,     0x4455621fU, \
    0x0c1fe171U,     0x58ff43dbU,     0x75ba376cU,     0xa5f30b24U, \
    0x4e6a0420U,     0xf059e7a6U,     0x98222882U,     0xdb29ccefU, \
    0xcda2c621U,     0xe5b0d42aU,     0xe8d09942U,     0x0cb7a1d8U, \
    0x597defa5U,     0xbf2f3a8bU,     0x3048ca00U,     0x9a6f3f9eU, \
    0x50a83a47U,     0x35d7c34dU,     0x20ace433U,     0x4d015de0U, \
    0xc22de7c3U,     0x26f19d90U,     0xb148b66eU,     0x21c78d1eU, \
    0x5b8c7506U,     0x7ce1a9faU,     0x97363381U,     0x83833c41U, \
    0x435a7850U,     0xd2c336a1U,     0x00bab640U,     0xbef7f20cU, \
    0x46d08d97U,     0x9f5c3c8dU,     0x86bc8d7dU,     0x65d1f4e5U, \
    0xe2bb2e43U,     0xfc9c0d2aU,     0xf6e1d0cfU,     0xb06cfc50U, \
    0x782e0bb2U,     0xc151c715U,     0xf5238b9eU,     0x02289acaU, \
    0xfcedadcdU,     0xd008485bU,     0x237b5901U,     0xca0fdea0U, \
    0x3900c723U,     0x093d9317U,     0xd613b2b1U,     0x0cf50f81U, \
    0xb9c8724dU,     0x896269b2U,     0x97de9a8aU,     0x42fb615dU, \
    0x830b8002U,     0x3869a861U,     0xd6f72026U,     0xc431c4ceU, \
    0xf6b2c03cU,     0x4ccca9c0U,     0x187041b1U,     0xc27df75cU, \
    0xb511d996U,     0x9fc317ebU,     0x0cac6e02U,     0x9bd156afU, \
    0x6b42478eU,     0x48f1aea4U,     0xd1ccc553U,     0xa6ca5167U, \
    0xe031caa2U,     0x10322b17U,     0x43119657U,     0x8e6bea8cU, \
    0x3dd25433U,     0x1310d85aU,     0xb9d11ac4U,     0xaa304caeU, \
    0x92fccb71U,     0xdc348ca0U,     0xd5fe35e6U,     0x046afb36U, \
    0x412356a4U,     0x56826a1aU,     0xbc0a9e7fU,     0x21b7fd5fU, \
    0x0d2581f3U,     0x2bd5d887U,     0x74e308f6U,     0x4788f944U, \
    0xb30ff675U,     0x10c75505U,     0x3ad27132U,     0xc26f5696U, \
    0xd5533d5aU,     0x06c27e39U,     0x3b177ca7U,     0xfc27f751U, \
    0x4233942aU,     0xb74bd83cU,     0x33f18fd7U,     0x9645c374U, \
    0xf95759b6U,     0x043d9c47U,     0xe9b46257U,     0xcea35974U, \
    0x8460e4b0U,     0x0d24af9cU,     0x37b34291U,     0xa6b5fa30U, \
    0xcd515bfaU,     0x7c41b6f9U,     0x0d6639a4U,     0xb768ede7U, \
    0x303bd274U,     0x13eb697aU,     0x23b2b676U,     0xc9a1e5dfU, \
    0xc2d8cd11U,     0x5a67ad1eU,     0xd4efbfa4U,     0x96c2bdbdU, \
    0x61c82cafU,     0xd70b75d1U,     0x4cb0deacU,     0xdf1547a1U, \
    0x8d78497cU,     0xbf8852dfU,     0x59d9c6edU,     0xa3950080U, \
    0x74f4995aU,     0x582722e6U,     0xa81a3681U,     0x67f9f101U, \
    0xdfabc77fU,     0x625955d7U,     0xdb8ae013U,     0x3aca19edU, \
    0xa0ff85b4U,     0xc0c13943U,     0xad5090dcU,     0x69e92125U, \
    0xebbd02dbU,     0x72f6377dU,     0xf6016916U,     0xa67277adU, \
    0x22669d11U,     0xf1dc69dfU,     0x35e8b033U,     0x1423be41U, \
    0x676727e3U,     0xbbbb8ce0U,     0x5fc71ce2U,     0xde4cb272U, \
    0x8d732651U,     0x70842912U,     0xdb0aabb4U,     0x3fc0b552U, \
    0xa9be6e2aU,     0x7be2c46eU,     0xd18ed02dU,     0xeb8cf6b1U, \
    0xc09bfc21U,     0x8ed675a1U,     0xbf65bb4fU,     0x457c10fdU, \
    0x92480cc9U,     0x381a9384U,     0x5a81d859U,     0xc0c4482cU, \
    0xb3c94f4aU,     0x61631568U,     0xe3899ca2U,     0x01780094U, \
    0x991d74ebU,     0x88534964U,     0x854251a1U,     0xfa3d7954U, \
    0x8971e97aU,     0x0fb56a65U,     0xbab4f2aaU,     0xefe5ca99U, \
    0xbbae93bcU,     0xc0e3dafdU,     0xd8863e86U,     0x56b78b0dU, \
    0x2d4fa8f5U,     0xbfbd8b5bU,     0xff52a616U,     0x4c704bc9U, \
    0xa73f5483U,     0x69c0da89U,     0xd46776eeU,     0x85ccaef1U, \
    0x5e31b59bU,     0xcd5ee81bU,     0x6fe57901U,     0xa5985333U, \
    0xd4037173U,     0xbe969e1eU,     0x6ded8677U,     0xf7c05a3fU, \
    0x4b7d3787U,     0xa13383d6U,     0x777f5c00U,     0x7c8dad25U, \
    0x12a02dd8U,     0x1a6754eeU,     0x78721d31U,     0x166ddc9cU, \
    0x8b62e0f3U,     0xefa0a10cU,     0x4c21b8d0U,     0x3e2566dcU, \
    0xf9df1efeU,     0x26cebad4U,     0x02b0f20fU,     0xc62508d6U, \
    0x5f94adc9U,     0x3dd6a739U,     0xca4ecd7dU,     0xafdd522fU, \
    0x0f776fbbU,     0x31ec2a42U,     0x8144e78bU,     0x73ace99dU, \
    0x020dcad3U,     0xfd24f8e0U,     0x70bdf646U,     0xdd6658f9U, \
    0xe7f1fed7U,     0x31900aa5U,     0x610d0f84U,     0xdf247196U, \
    0x3c5f20e2U,     0x8dfebe51U,     0x60aa35afU,     0x221958eeU, \
    0xda63d36aU,     0xd9767306U,     0xdce54e18U,     0xfb97ed93U, \
    0x73571d92U,     0x0055fd89U,     0x8a6f1c42U,     0xa888b717U, \
    0x18819782U,     0x94c9ffbfU,     0xfc5e0a17U,     0x75f7631dU, \
    0xe04b2190U,     0xbc936778U,     0x7c2cb708U,     0x2432910fU, \
    0x7d6b67bfU,     0xcb680dc0U,     0x7a333efaU,     0x781c50c6U, \
    0x9ba304e8U,     0x91a6e47eU,     0xf1d8d870U,     0x3abc5e2fU, \
    0x0e7cf661U,     0xc1f19c94U,     0xadbaacd7U,     0xaa0edaedU, \
    0x0506849aU,     0x9ba1d091U,     0xa982c1cbU,     0xa86cba64U, \
    0x76e67d06U,     0x97ee111eU,     0x7fb8fb5eU,     0x73b6e480U, \
    0x548a6e68U,     0x8ceff4f8U,     0x57efe715U,     0x53284913U, \
    0x556ec5f9U,     0xf1d0bfacU,     0x27c00f80U,     0xe408c9bcU, \
    0x8662c826U,     0x02ef35f3U,     0xe175e1d4U,     0x365762a4U, \
    0x3c695418U,     0x8e78cc94U,     0xab092c20U,     0x68ff38e0U, \
    0xd6ecb0b0U,     0xe6483c5bU,     0xf42056bdU,     0xf2bcce3eU, \
    0xc9d6eac0U,     0xf59108c5U,     0xf1357167U,     0x4c0fa105U, \
    0xca51a794U,     0x858a616fU,     0x6f0f783aU,     0x1cb668d5U, \
    0xb9311dbaU,     0x72df716cU,     0x75f70871U,     0xbe2cad91U, \
    0xf488a36bU,     0x4cfcaf0aU,     0x77e898f4U,     0x0aa41897U, \
    0xff07e2ccU,     0x2b857c3eU,     0xacc1a6bcU,     0x1d5fec9eU, \
    0x59ba645dU,     0xdd59ec7eU,     0xef887302U,     0x7324c880U, \
    0xd2d9448cU,     0x986eb1f6U,     0xe753aaaaU,     0x621cf592U, \
    0x174375a7U,     0x1ebff281U,     0x62002d72U,     0x16eca2a9U, \
    0x14bfe71eU,     0x35b301ecU,     0x736bc6a6U,     0x14bd4759U, \
    0xa7703d88U,     0x9dcfd3f8U,     0xc2461c36U,     0x5ec29a0eU, \
    0x82cb3212U,     0xe8d9a190U,     0x55313594U,     0xc92099c3U, \
    0x0caedde5U,     0x061460dcU,     0xa883729cU,     0xa4b0d363U, \
    0x1bd62ee7U,     0xd93fab6eU,     0x5c1dd1e5U,     0x0afab791U, \
    0xc6ef0d3bU,     0x3d26b11dU,     0x2a4298bcU,     0x313f38e1U, \
    0x94ed90d0U,     0x4c2ef608U,     0x6507c678U,     0x46746e2cU, \
    0x9b250a87U,     0x0299ff2fU,     0x62db27d4U,     0xf152cac7U, \
    0x7dff3208U,     0x58d3a8d8U,     0x2d9ee46eU,     0xc9cc4916U, \
    0xa3069603U,     0xe39dc21eU,     0x89f7cbe3U,     0xbb4edf98U, \
    0xf9dbdd47U,     0xace5a033U,     0xca48072cU,     0x78624f79U, \
    0x6732b812U,     0x5e58cd2bU,     0x0b5ad75dU,     0x622a7507U, \
    0xf34f30a1U,     0x265e6ecfU,     0x2f8dab9aU,     0xeac019a6U, \
    0xd79cf512U,     0xcdd080b1U,     0x4c757d89U,     0x2c456295U, \
    0xe4404a25U,     0xd7accb96U,     0xd2958c72U,     0xdb449018U, \
    0x7ed64f0aU,     0x5d2526f4U,     0xd08e36c4U,     0x6660afe4U, \
    0x77afd83bU,     0xca2a8761U,     0x45860bcaU,     0x75ca2e7bU, \
    0xb66bd9e7U,     0x067d504aU,     0x9603ca2aU,     0xeca87f6cU, \
    0x5d4399f9U,     0xdc3fe87dU,     0x70324e76U,     0x6f97c57bU, \
    0xd3bf1132U,     0x7bfad165U,     0xdb0f8925U,     0x7ad8089bU, \
    0x28d23257U,     0x0de27664U,     0x8dc8aa77U,     0xddabe8ffU, \
    0x51eb1924U,     0x6df4acebU,     0xddadbeb4U,     0x3bd66405U, \
    0xc1d120baU,     0x1834794eU,     0x0e81ac75U,     0x81d26da9U, \
    0x964f1379U,     0x5d20b75eU,     0xce41301cU,     0x7a4c0d74U, \
    0x9ff22763U,     0x37404c3cU,     0xbec8700cU,     0x2f1803ebU, \
    0xc504ad1dU,     0x01bf99f0U,     0x8b4d99e3U,     0x25561c55U, \
    0x9e0410d5U,     0x04fb37bdU,     0x170f26baU,     0x4d720e83U, \
    0x5b040a54U,     0x55f2fb30U,     0x06d27288U,     0x0ff6982eU, \
    0xa1d405d8U,     0x31a0c8a1U,     0x1d58b591U,     0xc210a56cU, \
    0x3b1cc860U,     0x0e87249bU,     0x918a977fU,     0xf041160bU, \
    0x0b6f524bU,     0xc5e40497U,     0x56a68262U,     0x8d97df5dU, \
    0x3ad35accU,     0xc844c4a0U,     0xde4a93f6U,     0x6f3fd9d7U, \
    0x6c6cd141U,     0x82e3fe0dU,     0x5e5d514fU,     0x9666da9eU, \
    0x0a2bb967U,     0x2b327148U,     0x17c8dd34U,     0x0c9860f1U, \
    0xf9e42a8fU,     0x38cdc5d2U,     0xf4230e55U,     0x391344ceU, \
    0x4118a872U,     0xb4b70386U,     0x44dd6b12U,     0xe1ba73e4U, \
    0x71a3ba38U,     0x23af2dd7U,     0x9a9bbf04U,     0xaea023e8U, \
    0x6be4aed2U,     0xfbc9f897U,     0xe90b4298U,     0x0fd5ddbcU, \
    0x59ffbc0eU,     0x32912e0dU,     0x81c5b077U,     0x508e04e4U, \
    0x2b5d6e8cU,     0xcac7b01fU,     0xae42b37cU,     0xf2bc3417U, \
    0x5d790614U,     0xf1ad9f1eU,     0x064ae7a3U,     0x1874db9fU, \
    0xb5e1ab4fU,     0xab253529U,     0x96fd86d3U,     0x8f18a970U, \
    0x5ec288f6U,     0xaeeaf031U,     0xbd7dbf2aU,     0x32878197U, \
    0x1e1b3cccU,     0x09b6bc24U,     0x3579c7cfU,     0x5b4e8dadU, \
    0xba17cd9cU,     0xd1c1a648U,     0x04ddbe95U,     0xa6b66309U, \
    0x4fda3333U,     0x50697684U,     0xeab2f1ffU,     0xe9e24c6bU, \
    0x51986629U,     0xb12391a4U,     0xcd16fd29U,     0x2a685696U, \
    0x596904a0U,     0x2111e1caU,     0xdf6e8ab8U,     0xedb8f5e9U, \
    0xe007c49cU,     0xe678557cU,     0xcaf50390U,     0x602f9fc9U, \
    0x4dc4f62bU,     0xe8f72535U,     0xb66b87aaU,     0x88e8eed3U, \
    0x39c3d13fU,     0xdb2b0f35U,     0xe5c2b9abU,     0x765d104dU, \
    0xa91c51bbU,     0x8a2e7a9dU,     0x603dc829U,     0xcd79950fU, \
    0x26683d53U,     0x5c22002fU,     0x822dad49U,     0xf866774aU, \
    0x4cb5e06dU,     0x88d6006cU,     0x8b221df8U,     0xb7bccec5U, \
    0x2f44bf06U,     0xab6389eaU,     0x8c8d08f4U,     0x7f464ea3U, \
    0x55fa41adU,     0x1ffb8764U,     0x30d4080fU,     0xa82cb5b5U, \
    0x7f760137U,     0xb5146255U,     0xdf5a75bdU,     0xedb25202U, \
    0x491eb496U,     0x365af813U,     0x760c1667U,     0xa084027cU, \
    0xaca08a67U,     0xc7ff4775U,     0xed95177eU,     0xe053c160U, \
    0x52725721U,     0xe4db8c9dU,     0x3e5aa954U,     0x471903a6U, \
    0x2c251582U,     0xbf333ec0U,     0x02faf3e5U,     0x7ea86d54U, \
    0x5a7b25e9U,     0xda401313U,     0xaaaeaa75U,     0x395331c5U, \
    0xa75503e9U,     0x831839a3U,     0xabc9c34fU,     0xe35b312fU, \
    0xd9b24fb4U,     0x5b30da44U,     0xa2b53da6U,     0xe6e4b1c2U, \
    0xab0839fdU,     0x82d6f65fU,     0x1f851ad3U,     0xcd135a19U, \
    0xf8d4d923U,     0x3fe92aeeU,     0x65ac7409U,     0x6ebdd741U, \
    0x7f7d0de2U,     0x4bde5a51U,     0x8515be9bU,     0xa3062ef9U, \
    0xe600e941U,     0xd30e7f3eU,     0xbbdac173U,     0x86c011dfU, \
    0x1b0eb21cU,     0x83b0e246U,     0xa252c144U,     0x198b5fccU, \
    0xd39e9235U,     0x3a7742acU,     0x2e40a980U,     0xebfcbc9fU, \
    0x75c80c5fU,     0x79ce19ffU,     0xd30fdcb2U,     0x19c438c2U, \
    0x183cbea9U,     0xf7ad7285U,     0x51e4b4fbU,     0xb28da32eU, \
    0x0e10148dU,     0xf8b4703dU,     0x798d0349U,     0xcaea3d9eU, \
    0x0a4676ffU,     0xbca02f94U,     0xc509bfbfU,     0x0adc4427U, \
    0x306dddb9U,     0x95776b79U,     0x5aaaee1eU,     0x58e23854U, \
    0x9bdcf015U,     0xa180403eU,     0xdf40d9a4U,     0x7ca87c10U, \
    0x90476fc4U,     0xc516e137U,     0xc2c93604U,     0x7eace505U, \
    0x9218473dU,     0x3f8a1bc9U,     0xab5b4e67U,     0x94761589U, \
    0xf73430f3U,     0x43d4eec5U,     0x9cba82eaU,     0x70fcf147U, \
    0xd574cb33U,     0x01f3a69cU,     0x3085635aU,     0x5a9ca4d8U, \
    0xc83180d8U,     0x2b3e09c2U,     0x7f179afaU,     0xfe6d595aU, \
    0x825d5749U,     0x715c7ad1U,     0x769a0b0bU,     0x1a3602a4U, \
    0xb1b0ae0dU,     0x87d2eed3U,     0xd72470a3U,     0xe7070e5bU, \
    0xa852af03U,     0x415f502dU,     0x2e0b8948U,     0xbc1a2e65U, \
    0xc923b2d2U,     0x70cc0698U,     0x56976d0aU,     0xb4e0028aU, \
    0x65674fb1U,     0x920d4ec7U,     0x3a0de71cU,     0xbe67095fU, \
    0x3030a603U,     0x9d6cac80U,     0x4a65c2ccU,     0x05f20e42U, \
    0xf1190eaeU,     0xb3a72358U,     0xd406586bU,     0x3624be86U, \
    0xa518054fU,     0x6680134eU,     0xf55985dbU,     0x29ace56eU, \
    0x741475eaU,     0xb8954fdeU,     0x6ed062fdU,     0xe4e6de3fU, \
    0x76b04f99U,     0xd934ab7dU,     0xd186f453U,     0x18c840b9U, \
    0x2e63f31cU,     0xfa676f11U,     0x7b6b89b4U,     0x9d3fe514U, \
    0x9dee8ecbU,     0x593231d2U,     0xd4f7795fU,     0x1c4da268U, \
    0x4a13f573U,     0x88845439U,     0x22ddf169U,     0x8181eb38U, \
    0xcf671ce3U,     0x9b535d8bU,     0x5b0a1c43U,     0x3acab9beU, \
    0xb186efddU,     0xa008f2beU,     0x3973cfc0U,     0xe14e8fc2U, \
    0x0638993aU,     0xd374c1e3U,     0x3dae646cU,     0xc1367251U, \
    0xc910a64cU,     0x83c21403U,     0x56a41118U,     0xbbcfb058U, \
    0xc0c4ca0eU,     0xe5d11857U,     0xf4b01129U,     0x0fbfd1ffU, \
    0x8f498ca7U,     0x67dbeb71U,     0x5d8bf627U,     0xf32db406U, \
    0x1369c2f3U,     0xfc67def9U,     0x668afdcdU,     0x08c034a1U, \
    0x15d5d1dcU,     0x96a2548eU,     0x74dad5afU,     0x093e6476U, \
    0x1108d194U,     0xc010e4f8U,     0x322781cdU,     0xdafa969cU, \
    0x7fd57b10U,     0x8046a28eU,     0xb5cfff5bU,     0xf9fc5408U, \
    0x94fd1b65U,     0x142c902dU,     0xc6d27886U,     0xe33f2f9bU, \
    0xbb2858adU,     0x042911c3U,     0x6f69403fU,     0x1ffcda6eU, \
    0xd0f46afdU,     0xf25922ebU,     0x7be441c5U,     0xaf1fc202U, \
    0xfdde6381U,     0x82b46134U,     0x9c7488a3U,     0x05314ffcU, \
    0x6d7658efU,     0x43a17f26U,     0xdb56301eU,     0x118b5c2dU, \
    0x2e6c81fcU,     0x299e52e4U,     0xda74fd45U,     0x81421881U, \
    0x79374865U,     0x2e546616U,     0xc184bed4U,     0x8b90dbb3U, \
    0x4862974cU,     0xe51af4d2U,     0x02b7d6ffU,     0xdd8fc825U, \
    0x4ac07093U,     0x9a8a46ddU,     0xa300e35bU,     0x2e009140U, \
    0xa39732b3U,     0x116a7300U,     0x40c978a7U,     0xacab41f9U, \
    0xc53244e3U,     0xbc93a54dU,     0xaef9f170U,     0x724fa4e1U, \
    0x3000d399U,     0x8266dcc8U,     0xe9a1f8dcU,     0x5fa81efbU, \
    0xf798d414U,     0xe96efb35U,     0xba751dd4U,     0xd5fbd14dU, \
    0x254a4fa3U,     0x4424a3ceU,     0xe9a15a7bU,     0xf996cca0U, \
    0xe597f233U,     0xca00796bU,     0xde33f23dU,     0xa9e6a300U, \
    0xd36162a9U,     0xf428d7a8U,     0xa811fbd4U,     0x14deddbbU, \
    0x8eba571aU,     0x99733ad5U,     0xf6f1d520U,     0xae9aeed3U, \
    0xf7762defU,     0xc9a0037fU,     0x1554f9edU,     0xb6e937feU, \
    0x0be8b5e3U,     0x5354e59eU,     0x1ef66585U,     0xb6471bdaU, \
    0xe88ddb83U,     0x0961d738U,     0xf61516d6U,     0x6edfa457U, \
    0x4185eeb7U,     0x345cf6b9U,     0xcaddb439U,     0x46538d84U, \
    0x95816695U,     0x76d7fabeU,     0x50bc56feU,     0x1bb0efa9U, \
    0xdc7e5c19U,     0x3850f498U,     0xc9e2bf10U,     0x88622777U, \
    0xdbdfec5aU,     0x9b5eb869U,     0x4c4d26aaU,     0xe226af98U, \
    0xd85add87U,     0x1da14fc7U,     0x1346ca84U,     0x26dabe67U, \
    0x7e2e8165U,     0x8ba7a790U,     0x8204c2f7U,     0xa873788cU, \
    0xcc137910U,     0x8d93b79eU,     0x81f212afU,     0x08cfb865U, \
    0x8e8a21fbU,     0x4d9a46c3U,     0x067849d6U,     0x4cf221b0U, \
    0x883c7e8dU,     0xaed6a9d5U,     0xe4fa0862U,     0xd51d1963U, \
    0x7b393c9bU,     0x0b60ebe0U,     0x981c0c91U,     0xdc17b7d5U, \
    0xf04d9e11U,     0x2dd7203aU,     0x825b1053U,     0x3da30873U, \
    0x56685201U,     0xc0d38815U,     0xee570736U,     0x40ed3b57U, \
    0x78609d65U,     0x2d269a13U,     0x6bf4bd1bU,     0x15fc9186U, \
    0x0923ab4dU,     0xbdf061d9U,     0x9e200920U,     0x8f94ef1cU, \
    0x3f90f216U,     0xa1575c53U,     0xfcdfb141U,     0x8ad38322U, \
    0xbda3fdc1U,     0x2ea77765U,     0x3d426413U,     0x7fa63c8aU, \
    0xcdfc3108U,     0x9fbf68abU,     0xd2eb9e31U,     0x0d114d41U, \
    0x6dea9be7U,     0x6ab2d565U,     0x87eee731U,     0xc0117e80U, \
    0x58b64f6eU,     0x751f6568U,     0x8df25456U,     0xcdd93eb4U, \
    0x7337f8e2U,     0x5e69bfb4U,     0x5e2da8d4U,     0x4fe44839U, \
    0x9a730ab0U,     0x41ed4a33U,     0xac220db6U,     0x6e14e245U, \
    0x5fcd386dU,     0x69d33d1cU,     0x43844398U,     0xfaa9e3eeU, \
    0xac7b0f3eU,     0x9df53cdbU,     0x54e8a60eU,     0xb2c4c33aU, \
    0x5dca4c42U,     0xd18fb2f9U,     0x484fa309U,     0x8f0256feU, \
    0x7b104436U,     0x4676d57dU,     0x773bf58aU,     0xccdc74bfU, \
    0x42db5cb6U,     0xa006ddc0U,     0x65da5cfeU,     0xcdb683e9U, \
    0xe7a94137U,     0xf2e55e89U,     0x3d5db375U,     0x3705836aU, \
    0x0e138fffU,     0xb8ddaf0dU,     0xb7aee27bU,     0xbf20eeb4U, \
    0x3cb9649cU,     0xaee25abeU,     0xe9f34627U,     0xa9d099dfU, \
    0xab2b5b36U,     0x917b0ad9U,     0x6ce34818U,     0x7c82b493U, \
    0xadbb5f1dU,     0x4f18294cU,     0xb47e1cd9U,     0xbd0220ffU, \
    0x03f1bc03U,     0x1966b551U,     0xc5ab2379U,     0x301a0155U, \
    0x6f9ca6adU,     0xa97749d1U,     0xd27cc02cU,     0xac29d1a3U, \
    0x005f4449U,     0x3dbd5212U,     0xa63cf02cU,     0x8d7fd276U, \
    0x1dbb1b27U,     0x2e1631a1U,     0xd631ee08U,     0x528d826fU, \
    0xef5dc938U,     0xda1372a3U,     0xd2fe2e7dU,     0x6329acd1U, \
    0xff5376d1U,     0xfe83a9d4U,     0xd8f8925aU,     0x35814d5bU, \
    0x1c903faeU,     0x53471501U,     0x21d055a5U,     0xfda5b1dbU, \
    0xfd623789U,     0x509c305dU,     0x991b93e5U,     0xd1d1b833U, \
    0x666248ebU,     0xc24eececU,     0x0901fbb2U,     0x346e0aa1U, \
    0x2a977100U,     0x4e479e3fU,     0xdcc2b70dU,     0x621cd875U, \
    0x31f6d6f6U,     0x0a966f9aU,     0xa86b0fd8U,     0x9289021dU, \
    0x122fabb3U,     0x017c2a39U,     0x4d8b1d01U,     0x2343fd42U, \
    0x3a5f1fd7U,     0x54a70e90U,     0xbb621b01U,     0xd4baba14U, \
    0x1502decfU,     0x304aafdbU,     0xa42314d4U,     0xf3e931f9U, \
    0xb185b098U,     0x5a4f7359U,     0xdf986603U,     0x90c6d9b2U, \
    0x7044b8e0U,     0x1d3a1259U,     0xf2123334U,     0xe2b6bb87U, \
    0x9a75c201U,     0x7ff56967U,     0x2b6adac2U,     0x57849571U, \
    0x649d66a8U,     0x176edd6fU,     0x6373fdeeU,     0x851c09d4U, \
    0x2648a8f1U,     0xcf4f5a26U,     0x8dcb202cU,     0xdeb563bfU, \
    0x73229c04U,     0x57dc2500U,     0x69f779baU,     0x593a45cfU, \
    0xb4bc6b37U,     0xb858065fU,     0xfff7cbf7U,     0xb2961654U, \
    0xafe0e7b2U,     0xf35d4acbU,     0x476254beU,     0x54719d4dU, \
    0x8300f802U,     0xe99d2aa1U,     0x446c15a3U,     0xbaeb2f76U, \
    0x5fe85c23U,     0x3dffd28aU,     0x954069e3U,     0x161ebf44U, \
    0x393bb3e9U,     0xe0c0c5b8U,     0x7b15d196U,     0xef395bbdU, \
    0xc671b275U,     0x3d254220U,     0xcc8cf0bcU,     0xa4929545U, \
    0xdf74db90U,     0x12ffbe14U,     0xd5f98a83U,     0x298d4e5fU, \
    0x31ec5ec1U,     0xcdb1f89dU,     0xc660ba0fU,     0x3d4101a4U, \
    0x5d0ae241U,     0x85c9c94aU,     0x78e74084U,     0xf1b72518U, \
    0xc1410465U,     0x58c4a6fdU,     0xf274a093U,     0x676f3628U, \
    0xa332266aU,     0x2b51e1deU,     0x955abbffU,     0xeecbf2deU, \
    0x1659d109U,     0x74a9c775U,     0x33ec267eU,     0xedb74750U, \
    0x4656115dU,     0x87dd3430U,     0xf9eafae5U,     0xdae36ec8U, \
    0xa087e043U,     0x4a681c7aU,     0x0c22a326U,     0xae41c0d5U, \
    0xce19bf1cU,     0x06dda8e2U,     0x37604871U,     0x72c9f0c7U, \
    0xd9400abbU,     0xf324f683U,     0xb1150d02U,     0xa712b777U, \
    0x94b49481U,     0x4a4dc0f1U,     0xe137b76cU,     0x4c8845ccU, \
    0x33470561U,     0xe390c86dU,     0x8238569eU,     0xbff49190U, \
    0x5d330072U,     0xf1c87a68U,     0xd25e9ea3U,     0x310525e1U, \
    0x2534c5e5U,     0x8cfc918eU,     0xffbc4dd0U,     0x48cbc6f3U, \
    0x50ef7463U,     0x76724de9U,     0x2aae2190U,     0x874d557cU, \
    0x99e597a0U,     0xb6b0ad70U,     0x112c1e73U,     0xca0394ceU, \
    0xead67ab0U,     0xb2734232U,     0x29c0e080U,     0xaaad6543U, \
    0x3208aa0bU,     0xa0314c74U,     0x1639d0ccU,     0x14f5a6bcU, \
    0xde550d24U,     0x3d5eeab9U,     0x6a4e5ed7U,     0xcda13abfU, \
    0x1e7dc6ecU,     0x9805c111U,     0xc2cd6fe5U,     0xfa1c2c9fU, \
    0x348bd0c8U,     0x2c6f811aU,     0xe22f4602U,     0x8047cfd8U, \
    0xda48ecbdU,     0xba2207d0U,     0x66a067f4U,     0xecf11986U, \
    0x4ea25b24U,     0x44ec144fU,     0x65a137a3U,     0xcb01d370U, \
    0x5042e8a4U,     0x9b1c269dU,     0x32cf1d08U,     0x9f38325cU, \
    0xfa9b7ffdU,     0x678e8a48U,     0xe447e54fU,     0x5d1ae662U, \
    0x47dffe29U,     0xe2a3acd7U,     0x481a6b3dU,     0xd11412e1U, \
    0xbcc386c6U,     0x4226e747U,     0x278d49cbU,     0xa531f1edU, \
    0x60a61748U,     0x97799294U,     0xc8e7667dU,     0xa3d0eb01U, \
    0x741b9bbbU,     0xe3bcd3efU,     0x31ef6d52U,     0xd4c0c7dcU, \
    0xace49e56U,     0xc4604f38U,     0x71a9ae65U,     0x8714e356U, \
    0x0390c726U,     0xe690c8e3U,     0xbb54dfffU,     0x11e9d633U, \
    0xc5e80a12U,     0x1231cc03U,     0x10d91210U,     0xd38784f9U, \
    0x9e1585b4U,     0x52a5e0c7U,     0xdf5ab9a8U,     0xf49a1193U, \
    0x82e8a84fU,     0xc59564ccU,     0xc3b373e5U,     0xcbea7abcU, \
    0xb2757204U,     0x23e97e57U,     0x52df7b74U,     0x13f34f9eU, \
    0x2db4e103U,     0xe8d142e7U,     0x8c34805dU,     0xeb21cdd5U, \
    0x81be480cU,     0xc07b9e83U,     0x7a40705cU,     0xf2be2711U, \
    0x4e9cf574U,     0x039be5e7U,     0x74e8bea6U,     0x4f8fdd4aU, \
    0x97322b2cU,     0x5b390769U,     0x8639ce75U,     0xe59f2330U, \
    0x0b2bdc2fU,     0xd68d763aU,     0x6aedc592U,     0xcb3f0003U, \
    0x6871a05bU,     0x8b72a65dU,     0x97ce6590U,     0xe448ebb0U, \
    0xaf826e15U,     0x279bb975U,     0x7e621220U,     0x55d47c80U, \
    0x07c5b2c8U,     0x67c6b29aU,     0x590f4f7dU,     0xb73ad32cU, \
    0xd818cbc3U,     0x29f5d8f5U,     0x2974dad1U,     0xdfd1a031U, \
    0x41e8311bU,     0x0fc0a997U,     0xcf44c17eU,     0x47904975U, \
    0x4bea69f2U,     0x79aa358aU,     0x325851a0U,     0xd0430ea6U, \
    0x71edd923U,     0x52bd27bfU,     0xe419b9c1U,     0xa7d841c5U, \
    0x5c55d5ccU,     0x75bf7f8bU,     0x0b8f9311U,     0xdcfaeb52U, \
    0x0066f48eU,     0xdc2575b0U,     0xf81cf9d3U,     0x67d1d7a5U, \
    0x166fa342U,     0x26941c1dU,     0xc75edf5dU,     0x57e6a0fbU, \
    0x90a8def6U,     0x52ffe6f1U,     0xcf68ba04U,     0x7306e191U, \
    0x675ec749U,     0x79f469a9U,     0x370e1db3U,     0x9321de08U, \
    0x716ffcdbU,     0x83177f27U,     0x84145b23U,     0x95ca139aU, \
    0x05ad251cU,     0x5f8217bfU,     0xd089a839U,     0x7a64ab9fU, \
    0x6233dfa2U,     0xd2381ba4U,     0xab927d4eU,     0xd891a237U, \
    0x6a097aa0U,     0x01991344U,     0x41cdc734U,     0x3b05ebbcU, \
    0xc58dd108U,     0x5e3d63edU,     0x1fbfcb5dU,     0x625edde8U, \
    0x44d4c6edU,     0xfcc7e4ebU,     0x22d25da8U,     0x4762a723U, \
    0xba4fb804U,     0x4682ca80U,     0x11ba0225U,     0xc21f6541U, \
    0x47c81f87U,     0x713540bfU,     0xb38dcd3eU,     0xef533d32U, \
    0xa30a80d5U,     0x4783b7e4U,     0x7088f344U,     0x34fac3dfU, \
    0xab77b638U,     0xb01a3d95U,     0xa4326bbfU,     0x6e3e12dfU, \
    0xb102a238U,     0x62246eb9U,     0x4dbdac40U,     0xd2487f13U, \
    0xd13589a5U,     0x4a36d1a9U,     0x066d4c1cU,     0x9f6a270bU, \
    0x58bf151bU,     0xd435e2e0U,     0x3267af13U,     0x1516752aU, \
    0xe4035560U,     0x15c02146U,     0x8de9506cU,     0xd854e798U, \
    0x511eac9bU,     0x54cc9affU,     0x5c1b286aU,     0x5f4e800aU, \
    0xb0f43681U,     0xeb464daaU,     0x9544674aU,     0x9d03d147U, \
    0x8f7e3097U,     0x4ede541aU,     0x9a780405U,     0x2d718797U, \
    0x95a9f86aU,     0x7df49ff2U,     0xd0abe44fU,     0xa05b14f6U, \
    0x27b4fab8U,     0x56c7edd0U,     0x015324fcU,     0x877d58b6U, \
    0x77cef517U,     0x053293beU,     0xd65804bbU,     0x228839cdU, \
    0xa3724270U,     0x2cd1b917U,     0xa457aa6dU,     0x0eccc5ebU, \
    0x02ac8ecfU,     0xd42c51cbU,     0x5e3d355cU,     0x711f6489U, \
    0x9cf1660bU,     0xf0125c34U,     0xec4e9c47U,     0xf801e32bU, \
    0x2f21b46aU,     0x02b38516U,     0xf4c67bedU,     0xd32be4b6U, \
    0x4a6fa688U,     0x9d20b1f0U,     0x35464f77U,     0xe650b9c9U, \
    0x87074b14U,     0xea2c9137U,     0x798b3b3dU,     0x93551fa4U, \
    0xb8e891b0U,     0x2f276cbdU,     0x453e3cc2U,     0xc3ef319dU, \
    0xce4c688bU,     0x878a350cU,     0xacdd8008U,     0x37e7f9acU, \
    0x1aef3ebaU,     0x0cd135b9U,     0x63f79f3cU,     0x93f62fdfU, \
    0x98f95323U,     0x0817171aU,     0xf57292ebU,     0x5b37c599U, \
    0x31e7942aU,     0x2f564122U,     0x6b9d65dfU,     0x7d369db1U, \
    0xb08f6917U,     0xc23ad1d9U,     0x295ee4eeU,     0x53d3afa9U, \
    0xb32e4c1eU,     0xc0f380abU,     0x5fd2d796U,     0xb4c92e7eU, \
    0x0ae5d10bU,     0x6e14f5b6U,     0x575676c1U,     0x17f42a5eU, \
    0xf2c76e6bU,     0xf1a42d9fU,     0xf416a237U,     0x318037adU, \
    0x64974901U,     0x0f1458bdU,     0x62a73caaU,     0xb2292c28U, \
    0x3cd46a7bU,     0xc9c7ff1eU,     0x87e5335aU,     0x3248cb91U, \
    0xdc1c3383U,     0xbad951a9U,     0x48bfb475U,     0x824e0007U, \
    0x2ad74d5cU,     0xe0e2da8bU,     0x25dee277U,     0xbb48c06fU, \
    0xcb0d78c2U,     0xa94e8f7eU,     0xb62dc951U,     0x923f10e1U, \
    0x419ec940U,     0x6ef17c40U,     0x24143e34U,     0x544d4652U, \
    0x2c4c9255U,     0x840bb3c9U,     0xf3605e12U,     0x73717bfbU, \
    0x0fb67653U,     0x3a06e8b4U,     0x5f8c381aU,     0x873e700aU, \
    0xd29f1fdcU,     0xd3c625d3U,     0x368757b0U,     0x41e472a0U, \
    0xe37f108aU,     0x46c946ccU,     0x86fd335dU,     0x0d5fa533U, \
    0x212f071bU,     0xd9703698U,     0xf70986a1U,     0x0d55c327U, \
    0xcf48dcf1U,     0x36302cafU,     0xdfd30b37U,     0x55519b9aU, \
    0xa326e4a4U,     0x5b63fc08U,     0x2e3e8d57U,     0xd97d01deU, \
    0xfa1a4374U,     0xea18c7f0U,     0x3df1e2eaU,     0x5797c5edU, \
    0x744dcce2U,     0x4fc32855U,     0x05d8ce63U,     0x96e96b74U, \
    0xcafb6cc3U,     0x69075e81U,     0xc89ef71eU,     0x9c273dafU, \
    0xf41b8462U,     0xa4a10a8dU,     0x7f2ae770U,     0xf9e25981U, \
    0x65826005U,     0xe30fb5b7U,     0xdf8ff69fU,     0x0e3f4bbaU, \
    0xf4709ad4U,     0x9116495bU,     0x61d4f3b2U,     0x0a164135U, \
    0x04e196b9U,     0x604f1284U,     0xf4290984U,     0x37ea91e3U, \
    0x2e87a733U,     0xfbc31a09U,     0xf03a2b44U,     0xaa062734U, \
    0x42edf131U,     0x23c82814U,     0xe30e0f36U,     0x12f5c11aU, \
    0xa114bbc7U,     0xd548482bU,     0x3d313d56U,     0x5b8c9fc6U, \
    0x2da94e22U,     0xda97b6dbU,     0x671c76c7U,     0x2412cf1aU, \
    0xc7d59ed3U,     0x8dd5ceb0U,     0xceeb4f30U,     0xa02da503U, \
    0x1304b1b7U,     0xa9ae795eU,     0x514dd452U,     0x9b06fe6dU, \
    0x6d803178U,     0xad76fe56U,     0x0c30f576U,     0x2dd3ff81U, \
    0xd5c15a18U,     0x37ed3d33U,     0x187ca768U,     0x04deef60U, \
    0x79a40663U,     0x2fb4ade4U,     0x27570a1dU,     0x710ff3b2U, \
    0xd63f7c9aU,     0xb256e26aU,     0xc58022b3U,     0x685502f1U, \
    0x71858a3aU,     0x1b10917aU,     0x047bac7fU,     0xc6ec1d22U, \
    0x430a2052U,     0xc08dcbc1U,     0xb9a94f14U,     0x97aad2bcU, \
    0x40430790U,     0x8a8f7175U,     0x450272b2U,     0x98036a19U, \
    0x08753928U,     0x0133bd10U,     0x4645245cU,     0x3391bce0U, \
    0x1f7c9d4dU,     0x49168a08U,     0x890d5274U,     0xa13013dbU, \
    0x9fd59babU,     0xea8dba9aU,     0xa6c05c73U,     0xc28bc3f0U, \
    0xa5ae459cU,     0x2df76324U,     0x7b3b5db8U,     0x1c0b3d86U, \
    0xcf6fa3fbU,     0x0d4b01a9U,     0xe47a68aaU,     0x61488d4dU, \
    0x18d45393U,     0x43f25f73U,     0xf40b910bU,     0xaa9284fbU, \
    0x59a141c6U,     0x0f388060U,     0xccc09bd4U,     0xf6a2bbb1U, \
    0xdc450c6aU,     0xbfe8c743U,     0xf93d5cedU,     0x2ec6a6a9U, \
    0x68588dfcU,     0xfd0159f8U,     0xba4c62e7U,     0x689f9c43U, \
    0xd0cdac4aU,     0x227a1ad7U,     0x0ad3d2ccU,     0x0273d817U, \
    0xa39e0a8eU,     0x7f3a3aebU,     0xf2125b4bU,     0xaeeec86dU, \
    0xc11566f4U,     0x84521213U,     0x55e967ecU,     0x2b910518U, \
    0x4b86fdbdU,     0xadb5f342U,     0x0e35c3a4U,     0xa21a3410U, \
    0x15df8245U,     0x8a096873U,     0x1d695118U,     0x9cb5d6a3U, \
    0x32dec935U,     0x86984976U,     0x9dbd7cf0U,     0x77a1b29aU, \
    0x21295fd6U,     0xb6544e92U,     0x4c8eec8dU,     0x2f5f6d25U, \
    0x1852af61U,     0xc30d8125U,     0xe3a5afc9U,     0x75c29ac1U, \
    0xf793c83cU,     0x661c12e8U,     0xf6c43058U,     0x19e5d192U, \
    0x3a81f377U,     0x109c77e0U,     0x8a3adecdU,     0xc3928f86U, \
    0x70dd303bU,     0xec2e4a91U,     0xcdbe3a64U,     0x9a1dc609U, \
    0xf86d714cU,     0xcaa37d28U,     0x98010a2dU,     0x74111a3dU, \
    0x8a0f6ba2U,     0x45196271U,     0xe3d7f58eU,     0xc720c913U, \
    0x6f6c5848U,     0xf4a8b060U,     0x3f09580eU,     0x259d48b6U, \
    0x09996ce7U,     0xc554f627U,     0x8cc2f120U,     0x0b48ad43U, \
    0xc732bd83U,     0x05d1ff2eU,     0x6f1ee006U,     0x14ce988dU, \
    0x6f395350U,     0x99c48d20U,     0x7576c119U,     0xccdf8050U, \
    0xd71bbc12U,     0xe6039568U,     0x100bd5f1U,     0x3f0edb11U, \
    0x3874fd7eU,     0xc7c8ca5bU,     0xdf59ae8dU,     0xe5b6d0dcU, \
    0x45c2e1e1U,     0x04fd3589U,     0xd7b48d70U,     0x7e03358bU, \
    0x52d989f8U,     0x172a5378U,     0xe8ad830eU,     0x420835a5U, \
    0x05fb8d03U,     0x9f3493d2U,     0x8b8d3485U,     0x844c0189U, \
    0xfd2083afU,     0x5ffa0a3aU,     0x556629e1U,     0xe0c8f5d8U, \
    0x67bfeabeU,     0x3323ee56U,     0x948ec860U,     0x411bd56bU, \
    0xab0e2c30U,     0xc5d03b5bU,     0xd8e90971U,     0xf312d725U, \
    0x6b60828fU,     0x30ab8f61U,     0xc5a92220U,     0x0663353cU, \
    0xeeae85d5U,     0x9945f05aU,     0x702a79e3U,     0x68e190e9U, \
    0x4ce247c3U,     0x2a6e82a5U,     0x4618eccbU,     0xceb723b0U, \
    0xde3e82eaU,     0xdab00e0bU,     0x101398f8U,     0xacc53c01U, \
    0x24b4b655U,     0xb637c8c7U,     0x7f1bc2fdU,     0x730aaef4U, \
    0x0e36347dU,     0xc506b7ddU,     0x74aef81cU,     0xd64b1129U, \
    0xb304186bU,     0x950845e5U,     0xe468bc5dU,     0x0b79af30U, \
    0x0b727392U,     0x649d1c51U,     0x2077f12cU,     0x8fbcf587U, \
    0x7a64ed00U,     0xafea24fcU,     0xbf2dd032U,     0x746cc909U, \
    0x218a7a5cU,     0x39a12ab6U,     0x1df1ed7aU,     0x2821ff50U, \
    0xfea7e094U,     0xc785b164U,     0x5a080114U,     0xdac6a5e5U, \
    0xdf14e4dbU,     0x966c86feU,     0x048a052bU,     0x026d3eb4U, \
    0xc92adec4U,     0x5230f7f5U,     0x6b23fd0eU,     0x92554c41U, \
    0x35d0e2a5U,     0x8aa31235U,     0x1a000e52U,     0xeb0acfcdU, \
    0x72805e46U,     0x6d93a1b6U,     0x32431edeU,     0x747a400cU, \
    0xe6e2c824U,     0xf9f8f613U,     0x04463d19U,     0x4bc17e84U, \
    0x4d289c27U,     0x739cf872U,     0x17e721d2U,     0x4df950a3U, \
    0x41bcf8baU,     0xbc6235fbU,     0x4ec2d81eU,     0x268d9d2fU, \
    0x390cab3aU,     0x63397dd2U,     0xbde88477U,     0xb424bd14U, \
    0x14b9bee7U,     0x85bce138U,     0xe4f5457bU,     0x11e242fcU, \
    0x050aed0bU,     0x7b5e8633U,     0x2cb30e00U,     0xe334ef66U, \
    0x8d495ffeU,     0xfb65cacaU,     0xc13d356fU,     0x61b1bc6eU, \
    0x5efec431U,     0x15658d39U,     0x2bbb5409U,     0xaacab29fU, \
    0x09714bf9U,     0xca4f069cU,     0xce7ef519U,     0xc90ad6b4U, \
    0x0453244dU,     0xfbde0c82U,     0x3b4b712dU,     0x1c82a58bU, \
    0xa45da006U,     0xea50c0e5U,     0xc17470c1U,     0xac6f211aU, \
    0x2c293031U,     0x9830262eU,     0x36fad5bdU,     0xc19da2edU, \
    0xb1bc6e98U,     0x138e480bU,     0x87a3324cU,     0x8b8c92d9U, \
    0x32abb0dcU,     0xe3621689U,     0x71005386U,     0xd363ceccU, \
    0x54ef05f6U,     0x98452fa2U,     0xc9db05bbU,     0x787bdb47U, \
    0x65454a3fU,     0x6563ea73U,     0xaca842d4U,     0x2de30ffcU, \
    0xec84cd61U,     0xc4e7beabU,     0x3e21d9feU,     0xbae62fc7U, \
    0xa611dbbaU,     0xc0e36805U,     0x25929b37U,     0xbee89df3U, \
    0x976deabfU,     0xcbb13655U,     0x1e3d12a4U,     0xd5c8ae03U, \
    0x594fddfdU,     0xecbfd649U,     0xea6123d9U,     0xec70b167U, \
    0xf2e48c42U,     0x5922b900U,     0x5c500f1eU,     0xdc8ed773U, \
    0xda2702eeU,     0x7b89a71dU,     0xb509f336U,     0x89c4da41U, \
    0xa4f9be32U,     0xf6a036bcU,     0x178d923cU,     0x1d160e26U, \
    0xa8578526U,     0x5ec5f300U,     0xf501c1deU,     0x16c92520U, \
    0xfd9b271fU,     0xf180162eU,     0x400c08f9U,     0x36bd62edU, \
    0x9e9a0263U,     0xa0182422U,     0xbca42042U,     0x8358c93bU, \
    0x863adbdaU,     0x220c1ad2U,     0x0cd921c2U,     0xa56accf0U, \
    0xb7f8f381U,     0xff578da9U,     0x71a231a7U,     0xc0d9df28U, \
    0x6e123bc3U,     0x70a74652U,     0xd7bc15a2U,     0x4f392dd2U, \
    0x8a060fefU,     0x4013c6beU,     0xdb4af09fU,     0x6b63c859U, \
    0x7044db3eU,     0x9263c9f4U,     0xaa4522eeU,     0x13630866U, \
    0xd4d5487aU,     0xea51b818U,     0xb785a8a9U,     0xa78a6263U, \
    0x71c8a5d6U,     0xd9b28814U,     0xf28ef926U,     0x0fe864f1U, \
    0xecc0ca53U,     0xaa180fa3U,     0x241152f3U,     0x5060ea13U, \
    0x8ae281a2U,     0x2f2dafe1U,     0xadf24909U,     0x26561944U, \
    0x51c2c55dU,     0x203269feU,     0xaa971f9fU,     0x94dec281U, \
    0x2e830d38U,     0xdf8f485eU,     0x9cd06f24U,     0x9412fd32U, \
    0x65e23aafU,     0x42d786c2U,     0x9b7be953U,     0x6cd88080U, \
    0xf2cf2881U,     0xd8f1b303U,     0x878efeceU,     0x4493daa4U, \
    0x3ab98d9aU,     0xa356eeeeU,     0x9bec5a9aU,     0xdcb6120dU, \
    0x0c5214dfU,     0x838b7cd1U,     0xf983d70fU,     0x5c70cb6fU, \
    0x42848d99U,     0x83b3a03eU,     0x6f74264fU,     0x76ab9bb2U, \
    0xcd70f417U,     0x30448563U,     0x5c59cbf1U,     0x61b0aa5cU, \
    0x98fb3e8fU,     0xe45798dfU,     0x90258801U,     0xaa8590faU, \
    0x54213f90U,     0x897f6f5cU,     0xbb2524fbU,     0xf5b55452U, \
    0xf284f1c7U,     0x913d1c8dU,     0x70f98577U,     0xfac147dbU, \
    0xd1a69597U,     0xe8516c57U,     0xc602d724U,     0x32495686U, \
    0xf83b2e6aU,     0xab324cd9U,     0x32cc16ebU,     0xda4b6d9dU, \
    0x4b6d0154U,     0xfefade55U,     0x34af99ebU,     0xc0788e1dU, \
    0xb0559f92U,     0xeb238575U,     0x50edda08U,     0x905ed157U, \
    0xa3852c3dU,     0xde4ae8a7U,     0xa4d2ad3fU,     0x6f8a5a66U, \
    0x5c2e349aU,     0x38e86a17U,     0xc5dde437U,     0xd2311d23U, \
    0xcde3ee70U,     0x0896f9b3U,     0xd8dd6cb9U,     0x7fb3c44aU, \
    0xb7b2a053U,     0x11e8105fU,     0xa694fd8dU,     0x9af69b39U, \
    0x21a84626U,     0xdc9dedb0U,     0x9be6f908U,     0x564a3b8aU, \
    0x29d0ab22U,     0x26a044ddU,     0xec445435U,     0x85119138U, \
    0x437dcf4fU,     0x64143108U,     0xafe8fcb3U,     0xb7fbcf63U, \
    0xe4e07df7U,     0x0b128714U,     0x11be53a9U,     0x6905433aU, \
    0xd9100956U,     0x9e41f53cU,     0x1035de62U,     0x97b04a2dU, \
    0xf268ebd7U,     0xaad16991U,     0x333558faU,     0x1af59f14U, \
    0x81b95106U,     0x123f615eU,     0xa26ac645U,     0xe39dcc9bU, \
    0x3782e45dU,     0x95d4e8deU,     0x2573fa3cU,     0x8facc3b2U, \
    0x1ecf4864U,     0xde00657cU,     0xef5236e1U,     0x2bbcc5a2U, \
    0x35ecfb9eU,     0xcf79cc4bU,     0x2689a8ecU,     0xe5a64515U, \
    0xb88d206aU,     0xc1df78ecU,     0x11007f36U,     0xdf301e2bU, \
    0x17cf470bU,     0x0882bbfaU,     0xe335a74dU,     0x380edbbfU, \
    0x1a7ca172U,     0x9be1959eU,     0x4bf97d70U,     0xe361daa7U, \
    0x072941b4U,     0xd1d87afdU,     0x6b5b9f64U,     0x916153deU, \
    0xf90d1db7U,     0x5cfa0f08U,     0xcf2522adU,     0x45c921eaU, \
    0x9fb21a84U,     0xbbcc0425U,     0x55814fbcU,     0xe045cdacU, \
    0xd24b4195U,     0x0eb80b5aU,     0x1c275c94U,     0x6bb93c57U, \
    0x3fdaf55bU,     0x250498f9U,     0xe7a740acU,     0xdb4ec149U, \
    0x73466876U,     0xf133359dU,     0x60fbeff4U,     0x538b1306U, \
    0x5bdba541U,     0x90b0d0cfU,     0xac6e5ba2U,     0x71c1daeeU, \
    0x75ff0825U,     0x5a68469dU,     0x909496e3U,     0xbf4aa36bU, \
    0x3307527cU,     0xfb008df3U,     0x6dda38cfU,     0x54273076U, \
    0x6fdf6095U,     0xc30d6798U,     0x9229f250U,     0x6b0e11f3U, \
    0xecc3dee7U,     0xecfe4b65U,     0x5ef99223U,     0x28f4d34dU, \
    0x4186cfbbU,     0x2363cd3cU,     0x2289cee1U,     0x65c836c3U, \
    0x46b7d960U,     0xee1a79ccU,     0xfcff481bU,     0x42ead6b5U, \
    0xafa5f883U,     0x5e22a476U,     0xed9a8656U,     0x1a03c829U, \
    0x0d0b56dbU,     0xf3c49004U,     0x79afa785U,     0x159d2433U, \
    0xe9e9773fU,     0xfe38ee7dU,     0x082ba6d2U,     0x02244da2U, \
    0x2ea33df4U,     0x76100652U,     0x48efecb6U,     0x5437553aU, \
    0xccb210c5U,     0xc5969018U,     0xfc5bd4caU,     0xb64bb971U, \
    0xd1186257U,     0xe2b357f7U,     0x3f372959U,     0xf1ac0c5cU, \
    0x0f06315bU,     0xc74ed0bbU,     0x27ce89bcU,     0x5169b680U, \
    0x744c39a4U,     0x34013906U,     0x2665fb99U,     0x9e2f7c49U, \
    0x47e034a1U,     0xc628f840U,     0xc3acf852U,     0xc15f5fb2U, \
    0x417746d1U,     0x9aa3510dU,     0x2bedcd1bU,     0xe0b6e2c8U, \
    0xd1beb31fU,     0x8c91256fU,     0x5f33690fU,     0x75af5cc8U, \
    0x2cb8c218U,     0x1a85a4e7U,     0x287ce1c4U,     0x038fca30U, \
    0x343ae894U,     0x104eb8c3U,     0x085cc843U,     0x83ba9723U, \
    0x672d6518U,     0x1a3bf322U,     0xacdf1cb1U,     0xb5c6744fU, \
    0x60fa9060U,     0xc84107b9U,     0xc07e24dbU,     0xcde5e93bU, \
    0x5cbab921U,     0xb13ff416U,     0x99767f10U,     0x3b915437U, \
    0xb34fad27U,     0x7a10212aU,     0xdc799fafU,     0x228904f7U, \
    0x2d72ad48U,     0x44c5de14U,     0x8ef231e2U,     0x2f44b8beU, \
    0xa879b3bdU,     0xfc2bb053U,     0x45639069U,     0x1217d637U, \
    0x0c77cceaU,     0xac303551U,     0xbf9a6633U,     0x2af1a3efU, \
    0x79968123U,     0xc0405996U,     0x3dbd0184U,     0xe97d857cU, \
    0xbc969913U,     0x850c3de1U,     0x732f969cU,     0x0f20cb9aU, \
    0xcc94c5ecU,     0x237baa47U,     0xbc8dfc28U,     0x069b1ed0U, \
    0x40f13ed1U,     0x00a3efd8U,     0xcb525842U,     0x5de3d8dbU, \
    0x8d66060aU,     0xd8e98305U,     0x1db1d5c9U,     0xbcebd5e8U, \
    0x33ed3831U,     0x7c9b3202U,     0x96ec45c6U,     0x76dd13bfU, \
    0xc3d25adaU,     0x4c8e2b31U,     0xf1844dd7U,     0xda682f26U, \
    0x24556953U,     0xb7d4b830U,     0x0f810bcbU,     0x63dd1489U, \
    0xd38acd27U,     0x6534842dU,     0x3a1a307dU,     0x8d00e88eU, \
    0x2f97b499U,     0xb1d30727U,     0xd58e3eb2U,     0xd28ede1aU, \
    0x6f21ffc0U,     0x0e27ba4dU,     0xffcfdfc1U,     0x4fd32d8eU, \
    0xbcc41153U,     0x4d71d502U,     0x6a026763U,     0x008c0bd8U, \
    0xed612595U,     0x0c667593U,     0xb8d5e67fU,     0xf32ca23aU, \
    0xce05cf61U,     0x53807a9eU,     0x0d113931U,     0x4aa95954U, \
    0x51759720U,     0x31532c4aU,     0x81f4205dU,     0xb96b8e82U, \
    0x9132e225U,     0x858ef7aaU,     0x5f3d3d1fU,     0x39a4c455U, \
    0x9ea60623U,     0x254f2f90U,     0xf61dda31U,     0x5aa9e35fU, \
    0xf5b2cabdU,     0xea1ce98eU,     0x7b0cd6dcU,     0x14e6c404U, \
    0x61001e69U,     0x9546cfb0U,     0xc82e50d9U,     0x27be6e9fU, \
    0x500ae31bU,     0xb866f16fU,     0x597c87dbU,     0xa696eff7U, \
    0x428c8b0cU,     0x0102543fU,     0xdefe64c6U,     0x58ddfe2bU, \
    0xde2ec640U,     0x0964e6e0U,     0xf62fb444U,     0xaee2a123U, \
    0x948e5473U,     0x40b23f71U,     0x26b0136aU,     0xabbe1669U, \
    0xb3438804U,     0x0d5d5209U,     0x251b67b4U,     0x44f4b866U, \
    0x985a6f0bU,     0xdf0f36c9U,     0x6a60c3b0U,     0x81427098U, \
    0x2063e952U,     0x14eb5d82U,     0xe9d6eeb9U,     0xd475e113U, \
    0x96bc1191U,     0x8df822f0U,     0x066156d9U,     0x7e735aeeU, \
    0x6d428757U,     0xd158861bU,     0xc22b9a34U,     0x69b8fb16U, \
    0xb18a651aU,     0xaadaea51U,     0x8783091bU,     0x5de96f45U, \
    0x123ca34cU,     0x9758f8ceU,     0xd9e1bdf8U,     0xf2f54ae0U, \
    0xead99840U,     0x78c71dd4U,     0x8566c971U,     0x4fa4c9f2U, \
    0x2a9aeddcU,     0x3ccd1654U,     0xd7774c78U,     0xcf231b3fU, \
    0x91ceeb59U,     0x2c07fb3dU,     0xcf79d7aeU,     0xc3b3ca4fU, \
    0xbc76776cU,     0x8a5112aeU,     0x36aee3efU,     0x84e9ab71U, \
    0xfa2e2e8dU,     0x2df8a58fU,     0xb886d6e8U,     0x4b8eaa08U, \
    0xd63f111eU,     0x36ed1c99U,     0x9fc946c9U,     0xc7441e47U, \
    0xc8f7f335U,     0x7201c6faU,     0x71e4b981U,     0xa18173baU, \
    0xf3f5b4faU,     0x937174abU,     0x62605b74U,     0xd8be22f3U, \
    0x6698769aU,     0x6bebc943U,     0xbaa3241fU,     0x9bd9158aU, \
    0x1115abbaU,     0x285196f0U,     0x9997ec5fU,     0xc0ff1366U, \
    0xeb52ba09U,     0xdf7b8f18U,     0xff93473bU,     0x028799b4U, \
    0xa3004831U,     0x620262e8U,     0xae7e23c0U,     0x3736c989U, \
    0xa7f9278dU,     0xaf9528dcU,     0x3bf5376eU,     0xebb436e0U, \
    0xb4316195U,     0x53364a85U,     0xd5f19ad5U,     0x90b5784bU, \
    0x557eef47U,     0xbd35f66dU,     0x0a8c232cU,     0xce91243eU, \
    0x0d17040fU,     0xd0f936a1U,     0x7d95da4aU,     0x90caa109U, \
    0x8495642fU,     0xcf08fd4eU,     0xa96d69f8U,     0xbcb4af74U, \
    0x24d2d233U,     0xa66c6cb8U,     0x4504cb8cU,     0xc129a7bcU, \
    0x2c26cbadU,     0x8a221960U,     0x3f5590c4U,     0x06a3b97fU, \
    0x080f15e8U,     0x0c9f62d4U,     0xf34a6d53U,     0x76140903U, \
    0xbb69d892U,     0x19ec88fbU,     0x5a1fba02U,     0x57dd952fU, \
    0x29c2472eU,     0x452efd1fU,     0x34e0cd79U,     0x64fa9defU, \
    0xc1c3309bU,     0xa2333435U,     0xd3b2bff3U,     0x82a631b5U, \
    0x78e039a8U,     0x4cd54876U,     0x3fd19d40U,     0x456ebe26U, \
    0xa22f9a76U,     0x75b2dabfU,     0x98f21d58U,     0xd79d8768U, \
    0x5749e78cU,     0xe917ee7fU,     0xd6701e6eU,     0xd54c0c5dU, \
    0x51710c52U,     0x4581b1d4U,     0x39560814U,     0x71380378U, \
    0xa16f6aedU,     0x1f16d618U,     0xce3e9111U,     0x597dd087U, \
    0xdabb290fU,     0x81ff27ceU,     0x1604baf1U,     0x0c5e39e1U, \
    0xc00788cfU,     0x1a0781f8U,     0x4154bb40U,     0xe7fb1d13U, \
    0xd7e0604cU,     0x830824deU,     0xcfa0a819U,     0x7d2edb00U, \
    0xe195e4efU,     0xc6c401c4U,     0x539ac2e6U,     0xc656b272U, \
    0x11353387U,     0xf6297004U,     0x7ea7b81eU,     0x54aa054dU, \
    0x370fa131U,     0x0f0fc64dU,     0x2f0642daU,     0x4967ddcfU, \
    0xcac89bf6U,     0x5fb6ed7eU,     0x796b2298U,     0xe6a9bf11U, \
    0x956690e9U,     0x834f1c31U,     0xe489ee42U,     0xe1a3df8eU, \
    0x57143353U,     0xfc1b0f6cU,     0x3dfc6c6dU,     0xf19482adU, \
    0xf6864125U,     0x6248ebd8U,     0x0cada8b3U,     0x535c90b6U, \
    0xf1844a9dU,     0x085aaf8dU,     0xe0b95fe7U,     0x18d7f3a3U, \
    0x5a83a715U,     0x76f2c06fU,     0xfaea289eU,     0xa7eab554U, \
    0x16e1ad79U,     0x1a6f3234U,     0xe3db2789U,     0xe1e0d3aeU, \
    0x226b3d29U,     0xc3a0e680U,     0x0108db0aU,     0x1425de86U, \
    0xb87841f7U,     0x2def802dU,     0xcbc65082U,     0x946f1d57U, \
    0x2a2edc38U,     0x9dcbdbe3U,     0xb3cc6d78U,     0x6b90a280U, \
    0xb8f66a28U,     0x2faee816U,     0xf5a9d3d0U,     0xbe9ffb05U, \
    0xbd981738U,     0x35ca8490U,     0xb42dfe51U,     0xe4979780U, \
    0x522a8d27U,     0xdd457a72U,     0x3a029c3aU,     0x36598901U, \
    0xc43d0c74U,     0x95f503abU,     0xff5eac79U,     0x621c6a9eU, \
    0xe85df4f0U,     0x88f78471U,     0x4c9bf25aU,     0x34df0d9eU, \
    0xae163c1cU,     0xd300e092U,     0xb6931155U,     0x8a5ed3b9U, \
    0xdba1ae6eU,     0x24968afbU,     0x607147c9U,     0xe28cadecU, \
    0x950918adU,     0x61ab0813U,     0xa719a2fcU,     0x79e13f0dU, \
    0x98566780U,     0xb7439953U,     0x400ac2e2U,     0x444fd682U, \
    0x755c01bcU,     0x96f76721U,     0x7eb0ff07U,     0xa2a147caU, \
    0xa49ad15aU,     0xf6fd9765U,     0x065d2201U,     0xf767aafbU, \
    0xad348276U,     0x19728479U,     0x933543c9U,     0xdcb502d4U, \
    0x92292dbbU,     0x89a75848U,     0xcbdc9708U,     0xbd5882efU, \
    0x9a0a75ffU,     0x317e6268U,     0x082b9571U,     0x5470f056U, \
    0x8dd78dfeU,     0xaba9697cU,     0x539656aeU,     0x8f980122U, \
    0x79cfd6c0U,     0x67df70ffU,     0xb8ab56b2U,     0xe19cfd64U, \
    0x2d151dcbU,     0xee12b144U,     0xbb23f2dcU,     0x80819a78U, \
    0x448e87e7U,     0x7e9edd11U,     0x7d6bf988U,     0xbcca2731U, \
    0xe77005a5U,     0x6919098dU,     0xb4909092U,     0x36c4edc1U, \
    0x6b0677edU,     0xbeae5090U,     0xa167d2e7U,     0xb58108cfU, \
    0x35de9e8aU,     0xec196b8cU,     0x2c4f33a1U,     0xfbcad0fdU, \
    0x6d2eb03aU,     0x67d0a371U,     0x043c49e8U,     0x6e79cc61U, \
    0x274d5509U,     0x4894e206U,     0x15e0ce29U,     0x78651abeU, \
    0x7d393457U,     0x9654e9dbU,     0xd3d8254cU,     0xb04c8323U, \
    0xe2052350U,     0x4c43d383U,     0x1440ca3dU,     0x7ffe3380U, \
    0xcf191413U,     0x3fd79416U,     0x7bfe81bcU,     0xd1fbff0fU, \
    0x9c143410U,     0x69fa4426U,     0xf160e19dU,     0x6d83918fU, \
    0x09e340e1U,     0x8575a0cfU,     0x098bd21cU,     0x7d6202dcU, \
    0x0ed34742U,     0x8a97e8a3U,     0x572e8d91U,     0x2bf5368dU, \
    0x1295bf75U,     0x2e0b1341U,     0x2aff76f0U,     0x4fc1375fU, \
    0xd186299bU,     0x3c6caf79U,     0xfd7cac56U,     0xdb226f89U, \
    0x4291c7f9U,     0x8dbc57d4U,     0x314f7f3eU,     0x82229b33U, \
    0xe197e01eU,     0x7b4f1fd5U,     0xf9823ab1U,     0x0c0b3fb4U, \
    0x8edd8fdbU,     0x861efa14U,     0x4fff31ffU,     0xffa358dbU, \
    0xfb112e4aU,     0x6f8234b1U,     0x07fc6a0bU,     0x6d7026ceU, \
    0xef61ea1dU,     0x0b4c6c76U,     0xb5548f1fU,     0x31242d02U, \
    0x96124580U,     0xc31e6bb6U,     0xd3d21c93U,     0xf812b90eU, \
    0xf47bab86U,     0xaf610133U,     0x0b716dbcU,     0xededa6ccU, \
    0x04a572e0U,     0xa1e0d734U,     0x045c1ea4U,     0x34298f01U, \
    0xa0fc768eU,     0x1cfbc22aU,     0xe3a4a6e8U,     0x40475347U, \
    0xa9a7f74dU,     0xd7138d75U,     0x44fc6837U,     0x0bc586bfU, \
    0x76ab2bb7U,     0xa68a6880U,     0x7854e7c6U,     0x93c26694U, \
    0xd73d3b7cU,     0xf604904bU,     0xee94acf6U,     0x46a19168U, \
    0x8f31594fU,     0xfc47cef3U,     0x55a5727fU,     0x7c1b43c9U, \
    0x6bc4f274U,     0xfb9d29caU,     0xe83917d6U,     0xf1e04a7cU, \
    0x0ec4e338U,     0x2ebefaa3U,     0x3acb0e93U,     0xf77e4251U, \
    0xc9d4822eU,     0x9d428224U,     0xb2e051f7U,     0x11f00231U, \
    0x56475aa6U,     0xf02ef8e3U,     0x0620985aU,     0xdf3de72cU, \
    0xe8d6d8c0U,     0xde81e5d0U,     0xf57600a0U,     0x5451a698U, \
    0xae00e3d8U,     0xb6931309U,     0x4fe85674U,     0x23043abbU, \
    0xa8883433U,     0x4719420fU,     0x80700d7dU,     0xe083e24aU, \
    0xed7dd636U,     0xdabcbe35U,     0x38a59374U,     0xc97f61ceU, \
    0x5e9b9bd9U,     0x7a27a4eaU,     0xfcf5c361U,     0x5dd9452aU, \
    0xedcad1e4U,     0x2283ed45U,     0xd1ca2c5aU,     0x0a964755U, \
    0x0cdb9d0fU,     0xba06c8ceU,     0x43aa2c4aU,     0xf3836ad7U, \
    0x25da955fU,     0x766d28c8U,     0x4c0c2b3bU,     0x0fb9592fU, \
    0x9d736223U,     0x4a7e24c9U,     0x0d2e5697U,     0xc4d44fe7U, \
    0x412b6a41U,     0x62630263U,     0x8b335f5bU,     0x720cdcfaU, \
    0x1aeb5854U,     0xa2bad304U,     0x16e8ed42U,     0x01ff6d73U, \
    0xf8adce41U,     0xdf279011U,     0x56fe8676U,     0x97e6aae4U, \
    0xd779a1a0U,     0x28f5dec4U,     0xd69fc7b2U,     0xbf08b039U, \
    0xa7365b0eU,     0x6c8429eaU,     0x89987752U,     0xb7cc89c3U, \
    0x27e97239U,     0xc523a5f2U,     0xc90a2e30U,     0x0fba0015U, \
    0xadc53b87U,     0xc3aa362bU,     0x4ab1517fU,     0x2c045bb3U, \
    0xdca82732U,     0xc0574d57U,     0xcb89daa2U,     0x518b26baU, \
    0x15f4b4b2U,     0x72502168U,     0x06542412U,     0xbfae97e7U, \
    0x19efc801U,     0x2ad4fae9U,     0xffce2dccU,     0x58ba3f68U, \
    0x9d68ed04U,     0x31c194f8U,     0xf7ff9b7aU,     0x9e683bffU, \
    0x07954ba1U,     0xb7f12bccU,     0x17d3d599U,     0x8e5c26b7U, \
    0x505f231dU,     0x177ae25fU,     0xc3b5a915U,     0x2bb1982fU, \
    0x0261d040U,     0x02171f33U,     0x11308d37U,     0xaa40b508U, \
    0xcebc525fU,     0xeaf7e592U,     0x8d6d5743U,     0x593f1ef7U, \
    0x297c54cbU,     0x63c39325U,     0x34428415U,     0x3a4c0f9bU, \
    0x6052b184U,     0x4fa72741U,     0x3cf2ae27U,     0x89f00ba8U, \
    0x800a1d04U,     0x0ae7cbcfU,     0xda2e8696U,     0x7e27f873U, \
    0x04ddffbaU,     0x123ce2f4U,     0xc0be47d9U,     0xcf6e3860U, \
    0xd251d8a4U,     0x37561e71U,     0x0a6328aeU,     0xb8c02061U, \
    0x52d661cfU,     0xa27bebe7U,     0x994c75a9U,     0xb3129e5fU, \
    0xb35f1e10U,     0x9523c511U,     0x405f0c95U,     0x5df6b14dU, \
    0x2b712070U,     0x98ef6d97U,     0x1851e599U,     0xef3d231fU, \
    0x2a3bfa8cU,     0x81f11ae5U,     0x82c347f7U,     0xf9d4bf51U, \
    0x93d1d6d0U,     0x593de9edU,     0xeb26d2d7U,     0xad3527e6U, \
    0xc3cd7e0fU,     0x413dd1eeU,     0x3ccef052U,     0x4213fbb5U, \
    0x31af6b9fU,     0xcf7a99feU,     0xc26ab426U,     0x2478d6fbU, \
    0x84a8230eU,     0xcb281b1aU,     0x2b413c55U,     0x9627fa47U, \
    0xc627dc7cU,     0xdaeb1117U,     0x61b822cfU,     0x2495d9fbU, \
    0xa332274aU,     0xc5b1e03fU,     0xcc1c73c3U,     0xd27958ccU, \
    0x3c1844c8U,     0xaf0207dfU,     0xebc5a057U,     0xc975b89aU, \
    0x5c0458b9U,     0x86c34bf7U,     0xab366444U,     0x7f818c28U, \
    0xaf246c0bU,     0xca3300f7U,     0x18a3f86eU,     0x8b44ca0fU, \
    0x1ce9bcd5U,     0x27c70d94U,     0x112e3d0dU,     0xde141eb1U, \
    0x00a41fdcU,     0xa7294ddcU,     0xed51f96aU,     0xef82d587U, \
    0xab404b3cU,     0x7f41c00cU,     0x4e859ddcU,     0xc005d013U, \
    0x7a06d9eaU,     0xa52f1f01U,     0x0b877a2fU,     0x44f35a24U, \
    0x00a573e6U,     0x157b97d9U,     0x67ab3f15U,     0x870dd29fU, \
    0x874f3238U,     0x44e0301fU,     0x43d8edfdU,     0xf959e6b6U, \
    0x46ee0c1aU,     0x39bb80f5U,     0x07558a1cU,     0xc51c0838U, \
    0x4770dd8cU,     0x1a58cec1U,     0xa5384dd6U,     0x9e8e51eaU, \
    0x1eb48605U,     0x69f8ee43U,     0xa8b24637U,     0xabcf71cfU, \
    0x55087272U,     0xbc1326f4U,     0x74173716U,     0x0a02be63U, \
    0xacf184d8U,     0xfad67f9fU,     0x473a4ae7U,     0xee65b529U, \
    0xce597be0U,     0x20af7dfdU,     0x9eef6d1cU,     0xefcf1085U, \
    0xedbe48a9U,     0x8366896dU,     0xc9eb458cU,     0xbcd4eefaU, \
    0x9710adecU,     0x0a8b8363U,     0x4537e587U,     0x51dc86faU, \
    0x7325c53dU,     0xaf2c737fU,     0x01481b25U,     0x724953f3U, \
    0xb6aeb3a6U,     0xb1200474U,     0x825f1912U,     0x80cca540U, \
    0xcaf67db2U,     0x239d021fU,     0xb13fdc1eU,     0x8c517636U, \
    0xe45d2e36U,     0xe22610a2U,     0xf20d2a44U,     0x02c06cdaU, \
    0x02f31cd9U,     0x5d260cb0U,     0x17ac56efU,     0x0b47f9bbU, \
    0xe0ef18bfU,     0xb71d1d7dU,     0x5378e5d2U,     0xb10ca220U, \
    0x8bb8d787U,     0xe0b1a47dU,     0x43693ae3U,     0x876c2f98U, \
    0xd9417d4fU,     0xa9e173b7U,     0x07040f13U,     0xb6be2ebdU, \
    0x6fb7347bU,     0x84588c54U,     0xfc9c71a2U,     0x7de462acU, \
    0xe59f5a09U,     0x3c58cf9fU,     0xce3dd074U,     0x13a3711dU, \
    0xd7589308U,     0xb3775bb9U,     0xca67e7a7U,     0xd4ff7477U, \
    0x7229b713U,     0x46759edbU,     0x0e3132adU,     0xb034597dU, \
    0xb964b1d5U,     0xe45fa9a4U,     0xda217e37U,     0x56b667f7U, \
    0xd3369ae3U,     0x1df0e22eU,     0x5fa4b667U,     0xab5a9732U, \
    0xf73a04f5U,     0xd18876ddU,     0x212befa6U,     0xdee903dcU, \
    0xd0c264dcU,     0x53bf789eU,     0x63a4348aU,     0xe17af04dU, \
    0xe395f5a3U,     0xecdaed25U,     0x0d20052cU,     0x14ff095bU, \
    0x7a6a91cdU,     0x048c0aa1U,     0x4d157559U,     0x9ad2f35fU, \
    0x953898e9U,     0x5c559bb3U,     0x65d0cc80U,     0x84901dfbU, \
    0x8de84bbdU,     0xe83dde8bU,     0x030bb164U,     0xe229a373U, \
    0xf5094182U,     0x5eb96c15U,     0x765ba7b9U,     0xb763c8c8U, \
    0x0e7e9d7eU,     0x8c112640U,     0x9ab308baU,     0xebe2619eU, \
    0xbe95e55fU,     0x98ce7c05U,     0x7d0dc9a4U,     0x24c2234aU, \
    0x1ac6e523U,     0xc0388d46U,     0x1fbb9771U,     0xd2469c91U, \
    0x13db8df4U,     0x3cc9f8f3U,     0xb2ee316aU,     0x390f0e79U, \
    0x0a7bfc81U,     0xc1952f70U,     0xf1bc17c4U,     0x08bf0689U, \
    0x927fe9cdU,     0x989a7229U,     0xbc2a1e07U,     0x01b1fa2eU, \
    0x7612a753U,     0xd89285d8U,     0x7e2986afU,     0x6b970e60U, \
    0xa9a102ffU,     0x8a08ccbbU,     0xe5e3a3caU,     0x8c3f79beU, \
    0xdfbaa0b4U,     0x2178ffbeU,     0x90e001f1U,     0x6cd3511aU, \
    0x4df38a2dU,     0x8af5918cU,     0x5abfaaecU,     0x3cd09cedU, \
    0xf8f87af5U,     0x89eeef73U,     0x56e713a1U,     0x8a5115fdU, \
    0x4504cd41U,     0x1a3fdd07U,     0xa7d99a33U,     0x2c1c4901U, \
    0xefc232d9U,     0x2f4e47abU,     0x0f5145f0U,     0x26a520d3U, \
    0xb38afccaU,     0xa11b7afdU,     0xe012171fU,     0x910da3d6U, \
    0x7c37a230U,     0xe2802423U,     0xeb405b06U,     0xf138d5e9U, \
    0xe1e4a08cU,     0x8110c513U,     0x1d627817U,     0x022573c5U, \
    0x9dfaf6a1U,     0x3e2eb5f5U,     0xdceec231U,     0x23a2d865U, \
    0xe4664d23U,     0x85581f5cU,     0xd9224c92U,     0xc1d7eccfU, \
    0xd9a4a55bU,     0x70542e8cU,     0x922b5cb9U,     0xbb13dbaeU, \
    0xde9e38acU,     0x0b5f3034U,     0x6775625fU,     0x38b8cd4aU, \
    0xe98b93b9U,     0x714013aeU,     0xc4500013U,     0x0181ba53U, \
    0xa12b7aabU,     0xc81902aaU,     0xd1d3befeU,     0xdd271397U, \
    0x46b0c0efU,     0x34e5958eU,     0x882c116cU,     0x548c1d84U, \
    0xd028fcb1U,     0xa12fb102U,     0x760b80ebU,     0x3fce4f51U, \
    0xa5594696U,     0x2520184dU,     0xf0ac7406U,     0xb47b261fU, \
    0xeb764936U,     0xe16e6236U,     0x0dd98276U,     0x966768bfU, \
    0x15f8d4bbU,     0x897690cbU,     0xd96c0e14U,     0xd4cd28f1U, \
    0x1636a3d1U,     0xf35d435cU,     0x63b8ac78U,     0x863cec64U, \
    0xe7f67809U,     0x23150636U,     0x7f9947ceU,     0x25daeb6bU, \
    0x01b62e34U,     0x81490e1dU,     0x1b598004U,     0xbd2422d1U, \
    0x38931cbfU,     0xcb7f82eeU,     0x8aca1f5bU,     0x59aad3bcU, \
    0x02c7d3f0U,     0x1ce31f5eU,     0x75a368d1U,     0xba7771e7U, \
    0x068be6e5U,     0xaaf363ebU,     0x52224f8dU,     0x613a783fU, \
    0x858095dbU,     0xf269e6dbU,     0x15361409U,     0x4925230aU, \
    0x231d5a34U,     0xa5813091U,     0xb7f9d571U,     0x5dd8d8bdU, \
    0xc84d6a23U,     0x428b06a2U,     0x41fad61aU,     0xf2631ba6U, \
    0x220b589bU,     0x6b13ad2fU,     0x35618e55U,     0xe49a035aU, \
    0x6c80b0e0U,     0xa86a670bU,     0x1b28d939U,     0x36dfa56dU, \
    0x4e722661U,     0xd56fd319U,     0xd31e2e39U,     0x99e322a8U, \
    0x4bd2589dU,     0xbf863ce5U,     0x0b2cf743U,     0x5b995033U, \
    0xbc603438U,     0xed07ec46U,     0xbc24887cU,     0x2c158495U, \
    0xf54e621cU,     0xeba695fbU,     0x8701f3ecU,     0x8c3adbd2U, \
    0xdb7b2d78U,     0xcc93cf2eU,     0xc9f9babcU,     0x1d9d5bc7U, \
    0x82b175c1U,     0x7c4ad87dU,     0xbb2d9bf3U,     0xe05e7358U, \
    0x13f39699U,     0xd00035e2U,     0xe37ce0eaU,     0x3932a824U, \
    0x6139f4c7U,     0xc0123f77U,     0xf09db578U,     0x4425f473U, \
    0x52e780f9U,     0x72a9b1ccU,     0xb2d0fbeaU,     0xb191a8bfU, \
    0x21c66210U,     0xd49820bfU,     0xace3ed30U,     0xdd3aefc8U, \
    0x2a12fb4bU,     0xc290ba18U,     0x9412fb6bU,     0x64d1a310U, \
    0xc9652e87U,     0xf5396548U,     0x1626397bU,     0x850626d5U, \
    0x515ca653U,     0xeb047f96U,     0xe29b7fd9U,     0xd87e73fbU, \
    0xaa936cdcU,     0x66ce9bf7U,     0xf6efcac2U,     0x7dfeed70U, \
    0x71bc75d9U,     0x51f65501U,     0x4a807069U,     0x6975d8d6U, \
    0x671fc8d7U,     0xf55cecf9U,     0x75ff3974U,     0x3e969cd3U, \
    0x3e30311eU,     0x4f1d80a7U,     0x684f2740U,     0xa528a8f0U, \
    0x4e2d7ee5U,     0x39e98458U,     0xf8ad22b3U,     0x1a02a23eU, \
    0xfb2a7d51U,     0x113ddd67U,     0x13d822f0U,     0x2f6cf467U, \
    0xc3aed255U,     0x72b2078cU,     0xdb3c4123U,     0x9864693cU, \
    0x11bd74bcU,     0x7035877dU,     0x1372de05U,     0x4bbc17e1U, \
    0x257fbb31U,     0xc52dbe80U,     0x0c141443U,     0x0d996453U, \
    0xf2002711U,     0x662ca18dU,     0xf27fb534U,     0x289b9b29U, \
    0xef3f96a0U,     0x223aeacdU,     0xc5f2e92fU,     0xdf789beeU, \
    0x7c3fc85eU,     0xd88748c2U,     0x4ba07f94U,     0x99f15412U, \
    0x815374f1U,     0x9c9547d0U,     0x0687efb5U,     0xaa3f5cd0U, \
    0x2b66837eU,     0x09f55c6aU,     0x038c4a66U,     0x78b7e0eeU, \
    0x0ef6d09fU,     0x66d0b94bU,     0x4dd519b6U,     0xb26061caU, \
    0xa174ce5bU,     0x49674845U,     0xcf94fe83U,     0x9cbf733cU, \
    0x739604edU,     0xc9a7cc0dU,     0x1e76e53aU,     0xa0483bb1U, \
    0x8b7f6adfU,     0x34f19d5eU,     0xd3f8970dU,     0x6371d9bdU, \
    0x90b8231eU,     0x83907979U,     0x388322e4U,     0xd3d5a47eU, \
    0x65d00865U,     0x68328eeaU,     0x364f9530U,     0xb84e11dfU, \
    0x94f8991fU,     0x2a68d3caU,     0xe4c5595dU,     0xf4cf5c90U, \
    0xd354b243U,     0xd2c98e65U,     0x86cab369U,     0xc26d236cU, \
    0x62568ffeU,     0x3784bd3dU,     0x33358164U,     0x1b923ad2U, \
    0xfe08c228U,     0xe2836006U,     0xea9709cbU,     0xe12706ddU, \
    0x4deec82fU,     0xd7ba9dbbU,     0xe590d93bU,     0xf14e5472U, \
    0xd8c26024U,     0xce062c27U,     0xd5e5b763U,     0x65f392a9U, \
    0x6a06f3c0U,     0x424adfb1U,     0x3e2e24c3U,     0x498f752cU, \
    0x9bb74ce0U,     0xaee410caU,     0xb708009cU,     0x1583a43eU, \
    0x993a1296U,     0x35c7f2feU,     0xa7e63460U,     0xc6a9046bU, \
    0x11ab7b6fU,     0x22258386U,     0x0022230bU,     0x5b60ecb5U, \
    0xd9e6597dU,     0x55350843U,     0xf514954fU,     0xe26e00e1U, \
    0x474d68b2U,     0x067bb0ecU,     0xdf529893U,     0x46025198U, \
    0xf0a7496bU,     0xaa73dff6U,     0xe316dd06U,     0xb0679565U, \
    0xcfdf3b3cU,     0x4adf3612U,     0xdc319a29U,     0x386836beU, \
    0x3d151f45U,     0xc1b84f52U,     0xabcdb00bU,     0x8815cc9cU, \
    0xe80ee261U,     0xaa45e1b5U,     0xf0d0f172U,     0x86ac87edU, \
    0x2ee45f0dU,     0x3a392c5cU,     0x21643552U,     0xfeadff78U, \
    0xb51df830U,     0xcd18429cU,     0xad2e5605U,     0xfb63f303U, \
    0xfc0c6b74U,     0xcb7a1d7eU,     0x4a64b326U,     0x3f6e1088U, \
    0xdb0000aeU,     0x6ce4fa01U,     0x70c08f78U,     0x896e6e4fU, \
    0x95b2f1e1U,     0x00093367U,     0x316f1a2eU,     0xc8cf7ddaU, \
    0x7ed379ecU,     0x6cd3a0f6U,     0xbc392721U,     0xdb9f390bU, \
    0xd7224b09U,     0x30b05c02U,     0x7ebd951dU,     0xf044b1bfU, \
    0x1afc19b4U,     0x3ce5d9beU,     0x7a021510U,     0xdc771a03U, \
    0xe0d79644U,     0x895c6b3aU,     0xfc462902U,     0x12381265U, \
    0x28c2fc9bU,     0x6abaf235U,     0x4c83a809U,     0x60751105U, \
    0x69a90ff5U,     0xd70e6a97U,     0xcf214c69U,     0x4258dcf1U, \
    0xe05982d7U,     0x249b894eU,     0x102bf884U,     0x3da6227aU, \
    0xb578d472U,     0x29dbf7eaU,     0x4f875492U,     0x31fe0f33U, \
    0x0b73db98U,     0xf520b23fU,     0x6eb83498U,     0x01331d79U, \
    0x817163b5U,     0x7656f640U,     0x3e58cd6cU,     0xcca1ada2U, \
    0x53724948U,     0x41a94080U,     0x5fecd7a1U,     0xcfcd54f6U, \
    0x1354df7eU,     0x3d582045U,     0xe50a4ed9U,     0xcdb95d46U, \
    0x1f3ed589U,     0xb7710cc8U,     0x764c3247U,     0x1f98475fU, \
    0xfa4655e0U,     0x0d92190aU,     0x2793c521U,     0xabfbf777U, \
    0x367ce135U,     0x5106c37aU,     0x04d8ffbeU,     0xa0344ca2U, \
    0xecfbec68U,     0x88499774U,     0x1336aabfU,     0xd141ee1bU, \
    0xbd865980U,     0x267c5671U,     0x69604688U,     0x2edf86d6U, \
    0x5bfe5ce5U,     0xe70161efU,     0xb1f1d00bU,     0xa0796f73U, \
    0xd66eaa01U,     0xd15c9c75U,     0xee041d9bU,     0x0128e0e1U, \
    0x91b8272cU,     0xeea34bd1U,     0xc660cb5aU,     0xcf6c34a7U, \
    0x1229afbdU,     0x0c5be8e5U,     0x07e6eaf3U,     0xc2d229adU, \
    0xf8a34771U,     0xf34abb1eU,     0x23788b6dU,     0x43530764U, \
    0x747f9cf6U,     0xb041fb84U,     0x012001dcU,     0x0cae0174U, \
    0xc24a4871U,     0xa4c1bebaU,     0x89fd9482U,     0x15f79aa8U, \
    0x7834bef5U,     0xf4695382U,     0x130691eaU,     0x5967fce3U, \
    0x0bdee16fU,     0x0b2ec004U,     0x78dd2018U,     0xf9220d7bU, \
    0x7e659feeU,     0xa8e6249bU,     0x5efa3685U,     0xfa94674eU, \
    0x9a2de772U,     0xc85a9faaU,     0xf948d9aeU,     0x1689e2f9U, \
    0x2e289bd1U,     0x750bf865U,     0x5600cca9U,     0x38164680U, \
    0xc393f7e0U,     0x3784638fU,     0x2053a4afU,     0xee418738U, \
    0x6aa57dd3U,     0x016e7e42U,     0x53af1d72U,     0x84d5686dU, \
    0xa1a91b21U,     0x99b8b02bU,     0x2f9b925bU,     0xaebd4cb6U, \
    0x897a2ad5U,     0x159783a4U,     0x577f1c19U,     0xcd93d475U, \
    0x4afe73c6U,     0xdc84ba05U,     0x3cccff66U,     0x961579a0U, \
    0x85ed9bfaU,     0x83b1d41fU,     0x8b3898a8U,     0xc17afe31U, \
    0x991914d3U,     0xbde811fdU,     0x92774138U,     0x1cd5b505U, \
    0x341a70dfU,     0x6303bb0cU,     0x9c083fe8U,     0x5849bd0cU, \
    0xd1890cabU,     0x032330b9U,     0xcccc664dU,     0xb79dacc2U, \
    0xe7f6ffd9U,     0xf711a767U,     0xffedf7c4U,     0x86d7eae1U, \
    0x4944e3c7U,     0x4447344dU,     0x2127f854U,     0x05969139U, \
    0xe568e162U,     0xe20a1775U,     0xfc76188bU,     0xfc468201U, \
    0x7aa0c52eU,     0xc8e71e98U,     0x9509063fU,     0xc94dab9cU, \
    0x48e8f4c8U,     0x1601637eU,     0x8c2b3463U,     0x214373bfU, \
    0x9abb7878U,     0x1295c323U,     0xbfa2cecaU,     0xa8d9b4d2U, \
    0xb169481aU,     0x2ce87b21U,     0xf6c3e51dU,     0x638a5e01U, \
    0x8da61ed2U,     0x0edc4a7bU,     0x72dff5b3U,     0x311b6352U, \
    0xe4a8071aU,     0x317975b5U,     0xb882171aU,     0x0dc7cabdU, \
    0x16690da3U,     0xcb50f33fU,     0x5a992544U,     0xe7d1ef50U, \
    0xe0d6e779U,     0x59517936U,     0xbfc81327U,     0x0a94e624U, \
    0x4833c5e7U,     0xf744bd7dU,     0xbdea023dU,     0xb38e3c41U, \
    0x7d4afbcdU,     0x27179f82U,     0xdd16cc8cU,     0xe80a8921U, \
    0x57d669a5U,     0x00cb5637U,     0x8a8ac70fU,     0x25c748beU, \
    0x0621a121U,     0xb054405fU,     0x382300c6U,     0x1ff03403U, \
    0x3267d1edU,     0xc68f81d5U,     0x2ba1c258U,     0x38d71ac6U, \
    0x6aafa734U,     0x4699c8acU,     0xd07ef035U,     0x2df55bfcU, \
    0x7765d742U,     0x09a66ae2U,     0x69d10611U,     0xfecf1956U, \
    0xf8d1a814U,     0xbdf6bdbdU,     0xb8392489U,     0xa1c42635U, \
    0x245901e3U,     0x75fa81f3U,     0xd97280adU,     0xb3609d99U, \
    0x48d7571dU,     0x424d81a0U,     0x548aed4aU,     0x50e2389cU, \
    0xccb0c88aU,     0x45a7e533U,     0x84660d91U,     0xf84bd3c6U, \
    0x3131cf4bU,     0xe55c4aa1U,     0xb9d88e96U,     0x7014bf52U, \
    0x46ea35d4U,     0x737bff13U,     0xc491c90bU,     0x0c972dfdU, \
    0x25b496ecU,     0xdbf1c2eaU,     0x82375ed2U,     0x003c6fb9U, \
    0x8410f213U,     0x88392a72U,     0x724cc8f8U,     0xb3540824U, \
    0x2c515e4eU,     0x570b7c21U,     0x4797005fU,     0xa8ac00c7U, \
    0xb02ac07dU,     0x94f2519cU,     0xa0204876U,     0x4db1856bU, \
    0xaa53c0b2U,     0x05faaf48U,     0x75f027edU,     0x1dd6a59cU, \
    0x349adcffU,     0x5aa87538U,     0xfcd308cbU,     0x3959b6fbU, \
    0x2f36e38aU,     0x0c28c857U,     0x81221b16U,     0x8511d923U, \
    0x315f77d9U,     0x5c8168bcU,     0xd7059a33U,     0x51483c46U, \
    0x8cf34162U,     0xdbcb7137U,     0x60f30dffU,     0xc5bd7cc5U, \
    0x07472ba1U,     0x8f69b882U,     0x8220d8d8U,     0x0523db98U, \
    0x1c78a4cbU,     0x16f84dfeU,     0x43d29af9U,     0xbc422f63U, \
    0x64cf259aU,     0x9b0e75a5U,     0xf5f178c7U,     0x429042a8U, \
    0x7b9ac934U,     0xee744764U,     0xad16b2a6U,     0x1e269303U, \
    0xb90ea6d1U,     0x011f85f6U,     0xc1a9163fU,     0xa70ea239U, \
    0x0728e7a3U,     0x4136da43U,     0x3c988cadU,     0x18d01308U, \
    0xb237f6b6U,     0x2f7560e3U,     0xad121540U,     0xd209f0fdU, \
    0xa4a5d54fU,     0x45d199c5U,     0xe1278d26U,     0xfb5c9620U, \
    0x0b5e643aU,     0x773bd867U,     0xbcae4e6fU,     0x0ddb3501U, \
    0xafb62308U,     0xc40e2d28U,     0xab42cdbeU,     0x1d8e9146U, \
    0x10d01e30U,     0xef70e825U,     0xe09889c7U,     0xb451b3ffU, \
    0x6a17d858U,     0xf0b6b5e6U,     0x259f80b2U,     0x3e158deeU, \
    0x9b0f8f90U,     0x7d1a4ea5U,     0x9c9f4a4eU,     0xf7147398U, \
    0xbb3aa6beU,     0x1132c4d4U,     0x874537a9U,     0x2906b621U, \
    0x8fc63433U,     0xfb4bea3fU,     0xd48a3328U,     0x7b2ef944U, \
    0x21856878U,     0x6673232aU,     0x606b2017U,     0x30a6c758U, \
    0x8c70e370U,     0x3817fca3U,     0x557fa02aU,     0x74398aedU, \
    0xb198819cU,     0x86635c76U,     0xa35139c9U,     0xfd436c2bU, \
    0xd6b1841dU,     0xc19b8a27U,     0xe20532f0U,     0xf2e32c8eU, \
    0xb42deea3U,     0x9623b17aU,     0x648b84bcU,     0xfc40182bU, \
    0x4cf431aeU,     0x077aa586U,     0x14ae7af9U,     0x653f7b98U, \
    0xdb38000dU,     0xeb981fcdU,     0x353b3cddU,     0xd6698ac3U, \
    0x00c4f8acU,     0x82e47ea9U,     0xaff2d3f1U,     0x7d6afd98U, \
    0xcf730fe2U,     0x29d67df3U,     0x129d47ccU,     0xe414c8a4U, \
    0x0caca5d3U,     0x5d370f47U,     0x8027efbbU,     0xa8b06ff8U, \
    0xa083cd80U,     0xe8b4f4beU,     0x7610ed5eU,     0x0ed6db7fU, \
    0x584b8074U,     0x31eb2e27U,     0x9566c57bU,     0x2b4dca21U, \
    0x362926e5U,     0xe2fd892bU,     0x9e6c5e80U,     0xc31ee5a7U, \
    0xa1b86153U,     0x17be61dbU,     0x79d40126U,     0x87cff676U, \
    0x5b8e6283U,     0xda173005U,     0xb7ee6862U,     0xcc793b08U, \
    0x362600d4U,     0x2651694eU,     0xbffb42e4U,     0xf8edaa97U, \
    0x0d23f23bU,     0xa1954e84U,     0x96e25890U,     0xae2f1d0aU, \
    0x86024378U,     0x18672a39U,     0xfa0c0997U,     0x5e23db84U, \
    0x4c9edf41U,     0x3debd361U,     0xce3746c4U,     0x8963f399U, \
    0x4985fd0dU,     0x540dc75cU,     0xeee264a6U,     0x555e239eU, \
    0x227723e5U,     0x3c08d122U,     0xff171a6cU,     0xe6c4c191U, \
    0x08afdcadU,     0x7f7382c9U,     0x17c186bdU,     0x1c535b0eU, \
    0x412775f8U,     0xb4e5d68dU,     0x39357810U,     0xbe7ce869U, \
    0xbccd1432U,     0x5cf7ac4fU,     0x1f968571U,     0xa8419ae5U, \
    0xdd678d61U,     0x1c4625b4U,     0x977b53beU,     0x053995fcU, \
    0xc7f5aa70U,     0xb316c111U,     0x4bde15acU,     0x0956a783U, \
    0xdb24a202U,     0x005e0e53U,     0x915994c9U,     0x67c2fdf8U, \
    0xa89b7c37U,     0x304e533aU,     0x9986a2f9U,     0xbc45208cU, \
    0xf5417697U,     0x73555a45U,     0xa6fc0fe6U,     0xb6d5397bU, \
    0x103946afU,     0xd7cc4df4U,     0xafed133aU,     0xbe9c2b09U, \
    0x9bef0231U,     0x244c877bU,     0x036d09efU,     0x4ee655d1U, \
    0xa0a46ab5U,     0xe0c68024U,     0xe3986e00U,     0xf583a20dU, \
    0xaeb885cbU,     0x63c18c29U,     0x015a61d4U,     0x63f2b0b6U, \
    0x1e1209bdU,     0x4d79d61cU,     0x3c0c7b09U,     0x787c89e3U, \
    0x101bc3a7U,     0x02062b1eU,     0x0c27022eU,     0x91b11be2U, \
    0x7cf78ed7U,     0x328db08cU,     0x703ad577U,     0xb59867feU, \
    0x41972991U,     0xfbd57ebbU,     0x7069b914U,     0x01615ea4U, \
    0xa2d06aadU,     0x85762405U,     0xeec7be93U,     0xe0cb9184U, \
    0x2b8a6b6aU,     0x39e33f4fU,     0x1b9edd03U,     0xad5eab08U, \
    0xecb74015U,     0x27252e77U,     0x2d1962aaU,     0x9072a51fU, \
    0x0939f1baU,     0x7030e2faU,     0x629be608U,     0x522a9faaU, \
    0xe48bb430U,     0x1d11a7c9U,     0x7e8f1a74U,     0xbcaa5414U, \
    0x1d046274U,     0xcd667871U,     0xec7f7ca6U,     0x1920fac5U, \
    0xf19183b1U,     0xb4497c02U,     0xb3054732U,     0x36fef427U, \
    0xb42cdf4bU,     0xa79d3fbdU,     0xd3877d2bU,     0xb9c5f0bcU, \
    0x389cf31aU,     0x88d38269U,     0xf890da34U,     0x50261a26U, \
    0xdf93797cU,     0x052a97b5U,     0xe60223cbU,     0xab0bc974U, \
    0xcf089cd5U,     0xff3ce4c2U,     0x69ea1515U,     0x92c250b7U, \
    0x6df70de1U,     0xe26bc222U,     0xcfb21e83U,     0x1b8c6e79U, \
    0x68b30a95U,     0xc87fc52dU,     0x8ecfc398U,     0x24b37818U, \
    0x60fdce42U,     0x7b856762U,     0x08220cafU,     0x08a2786aU, \
    0xb33207f1U,     0xa5ab9f10U,     0x9eac6d92U,     0xee4b9a89U, \
    0x606a42b9U,     0x1ec3c75bU,     0x46387437U,     0x8a37caedU, \
    0x1bf127beU,     0x048e3c58U,     0x8cd5a034U,     0x5b5628eeU, \
    0x3a5bfa2eU,     0x98126b3fU,     0xe7465501U,     0x260bff28U, \
    0xa9ea91d5U,     0x5e1348c9U,     0x07dab3f6U,     0xf4a6bdb9U, \
    0xcd4ecc31U,     0xca29c409U,     0xd9359f50U,     0x2aa42afbU, \
    0x94bc99dcU,     0x12d76cc6U,     0xdcdf8bfdU,     0xfb59c498U, \
    0x13c13757U,     0xbb8cb20aU,     0xeb07ba67U,     0x3a732d14U, \
    0x99ab6e08U,     0x0dbe97b5U,     0x1f6e6fc7U,     0x05b98bbdU, \
    0xc6d48f05U,     0xd5f4756aU,     0x78888affU,     0x85720377U, \
    0xe0c67362U,     0xd4da954dU,     0x8dba20acU,     0xa1239f98U, \
    0x8af2bec5U,     0xf0d2cf3eU,     0x7ead3f2cU,     0x1eb0f3a3U, \
    0x97a497c4U,     0x31cacedaU,     0x395fafeeU,     0x19c2644cU, \
    0x47baac66U,     0x37d26ac0U,     0xef53a38fU,     0x6831aa2fU, \
    0x69ceaf7cU,     0x40c1aeb7U,     0x2f1cdf27U,     0x710a1704U, \
    0x028b8206U,     0x499e9554U,     0xbb4d4087U,     0xe6eae30bU, \
    0x49b175adU,     0xb6b26d64U,     0x2ae700a7U,     0x97a23497U, \
    0xd5a07ce1U,     0x2e6c5983U,     0xf2ab1e16U,     0x50f3fe2eU, \
    0x52dc4764U,     0xfdb0c3d3U,     0xc9b407f3U,     0x661e6237U, \
    0xdd8118ddU,     0x9a7d4da4U,     0x17267148U,     0x1e12b257U, \
    0x7be58502U,     0xf5425c4aU,     0x182d5eadU,     0x9657f85bU, \
    0x919cd4a8U,     0xd29e88e1U,     0x41025da2U,     0x186cd97cU, \
    0xb8dac53cU,     0x6d8d0349U,     0x5ed46967U,     0xf705fc5bU, \
    0xc54212bfU,     0x27eefd45U,     0x508b5a29U,     0x2ce6a963U, \
    0x7e4578feU,     0xae211d50U,     0x007b0934U,     0x4fce937eU, \
    0x5bc746acU,     0x4f7ef419U,     0x7ecfce81U,     0xcb7321c7U, \
    0x48e322c9U,     0x8833df21U,     0x29eb9cbbU,     0x99a6f93cU, \
    0x79a5e4e3U,     0xde3959d1U,     0xcf4f9b91U,     0x0474f586U, \
    0x8a420899U,     0x31406260U,     0xa390d3b3U,     0xe861c101U, \
    0xae7a6026U,     0x2d334e9aU,     0x95f38d9eU,     0xb7bc2c27U, \
    0x94074cc2U,     0x33902a59U,     0xaaac51d5U,     0x24473320U, \
    0x55f8b07cU,     0xbb426df3U,     0x959247b2U,     0x86caf731U, \
    0x3d40f8b8U,     0xf8d596c2U,     0x24f0773cU,     0x7e347eb5U, \
    0xf8904b04U,     0xab064da4U,     0xdd047ca7U,     0x59dabd60U, \
    0x326f1decU,     0x3b7288e8U,     0x7b07ec1cU,     0x75daa15dU, \
    0x11baa305U,     0xdffffacfU,     0xe9500eabU,     0x4a6f21a4U, \
    0xf44a4e3fU,     0xf258d351U,     0x9679dd0cU,     0x55c04e89U, \
    0x13b5b7fdU,     0xc2e36343U,     0x2b95cd68U,     0x6cdcc331U, \
    0x61188f19U,     0x320fbb0eU,     0x449fc233U,     0x54f73297U, \
    0xaed6cb6cU,     0x82814278U,     0x0e8899b6U,     0xc246cfa5U, \
    0x48f9e969U,     0x22932e8eU,     0x4193eb62U,     0x79bfcedcU, \
    0x09230693U,     0x2e678cc6U,     0x53162a26U,     0xaa247ae6U, \
    0xd1c10bc4U,     0x08862b06U,     0x2087cc31U,     0x76534286U, \
    0xd806961fU,     0x97fba7d1U,     0xae1b6531U,     0xea6231daU, \
    0xbba50c71U,     0xf6fda147U,     0xa48b2d90U,     0x30802348U, \
    0xa5f47b0bU,     0x93fc7f15U,     0x56362deaU,     0x79c7fcccU, \
    0x0aa33234U,     0x9dd478b3U,     0xdcbdb0eeU,     0x4bd477f2U, \
    0x5710b21fU,     0x76db45deU,     0x5e5a2f20U,     0xc875990eU, \
    0x5d050a48U,     0x17d975c0U,     0x700bc227U,     0xdc54b007U, \
    0x32e2ae92U,     0x1b81a79cU,     0x5d874957U,     0xca654cd2U, \
    0xe1c5c5f8U,     0xc5bf9175U,     0x6d325590U,     0x06aeff69U, \
    0x6875c6b9U,     0x2f0ba214U,     0x693ec1baU,     0x727d0885U, \
    0xb366144eU,     0xec9d9375U,     0xb4ec3378U,     0x30399bfaU, \
    0x5bbec588U,     0xcc2b135aU,     0xd14d928fU,     0x5600f034U, \
    0xb10ee65fU,     0x88ebddcbU,     0x8e0fcf54U,     0xd79a1de9U, \
    0x75a40635U,     0x03c7f5b4U,     0x8e15bcc7U,     0xd3bcf8d1U, \
    0x84005467U,     0xfb68cdd0U,     0x0bf8662bU,     0x487a7978U, \
    0xe83f2c79U,     0x057a3a7eU,     0x2a42b0bcU,     0xd5354031U, \
    0x71005726U,     0x121eb9d3U,     0xb84f5e17U,     0xfc186a52U, \
    0x26644371U,     0x24fa2587U,     0x0526f288U,     0x79cf8c0aU, \
    0x92302e08U,     0x5f61a13dU,     0x96f8ce06U,     0x8962e706U, \
    0xd28074e1U,     0x78adc98dU,     0x39e78489U,     0x3f4c1319U, \
    0xae961617U,     0xa1c5b17aU,     0x9283ab9dU,     0x022dd9efU, \
    0xc4e187b2U,     0xafd72a05U,     0xc6787d4cU,     0x315ba54bU, \
    0x6fa98af4U,     0xaf83e918U,     0x543b1831U,     0x3bbd88f8U, \
    0xbb4d3342U,     0x999f027aU,     0x9c97a2e4U,     0x14967853U, \
    0x48199893U,     0x58c86274U,     0xb7b64e1eU,     0xc87660d3U, \
    0xedf8a040U,     0x0bf00944U,     0x5281cc06U,     0x0768356dU, \
    0x4f541040U,     0x4a99fc0bU,     0x3370fc0eU,     0x17549cb4U, \
    0x9dd4b53aU,     0xbe3ab8f0U,     0x72647c1aU,     0xdeff427aU, \
    0xfd065275U,     0x461aadd9U,     0xc17b87d1U,     0x2a6d0c52U, \
    0x23df2d28U,     0xdbc47c46U,     0x490e6616U,     0xcb7a223cU, \
    0x26cb50c0U,     0xbea73e0cU,     0x151faf98U,     0x2e0c1fd7U, \
    0x0fb68bedU,     0x5f3e0828U,     0x0b2074b9U,     0x807964ccU, \
    0x1c83743aU,     0x2acd4a8aU,     0x380e43bcU,     0x8a8e46b3U, \
    0x00f64a9eU,     0x8421fa5aU,     0x57114529U,     0x01b32071U, \
    0xf65eece2U,     0x6607ae76U,     0x77636eb5U,     0xd857b515U, \
    0x97b23736U,     0xd4143f1aU,     0x8f853738U,     0x66f987ebU, \
    0x615bad7dU,     0x5ad64083U,     0x1b8b2edaU,     0x9d8b958bU, \
    0xd9ed6342U,     0x434c14adU,     0x23c87cf3U,     0x7557102eU, \
    0x2ec582faU,     0x1246eb1aU,     0x3f9b8b61U,     0x096a91bdU, \
    0xa8178448U,     0xacaf3ccfU,     0xb4a012f5U,     0xc6d8aebdU, \
    0x30060d3eU,     0xfe67b814U,     0x67384d55U,     0x1b31a987U, \
    0xd294816cU,     0x7a6bcc89U,     0x90b7b071U,     0x52a6d430U, \
    0xa947dd3aU,     0xfedf3da4U,     0x0a1ee4ebU,     0xadab05abU, \
    0x16f6f930U,     0x789155dfU,     0x7ee63b94U,     0x22754b26U, \
    0xc16a0396U,     0xe4886105U,     0x7231926dU,     0xead358bfU, \
    0xa49181c1U,     0x7a1e4ecaU,     0xa3e5bf52U,     0xfbf23c25U, \
    0x60b4f08fU,     0xfd07c2a5U,     0x763920f6U,     0xb735bc36U, \
    0x5c37b316U,     0x85257aa3U,     0x99683a68U,     0x7671ec79U, \
    0xe358bc07U,     0x9e4c80f6U,     0x712ffe8fU,     0x68a123c0U, \
    0xbb400c3bU,     0x38eb0512U,     0x32ebaf3fU,     0xc62eee17U, \
    0xe17d23a4U,     0x07ad9807U,     0x1e461eb8U,     0x02154645U, \
    0xec6ecff1U,     0xedec56d9U,     0x50cf0ccaU,     0x6925f98cU, \
    0xcd4f1987U,     0x386eafc8U,     0xde1a766eU,     0x07a09b77U, \
    0x55cdbcf8U,     0x322b2b4dU,     0x6058c5f1U,     0x71c0ed3eU, \
    0x34a796e9U,     0x9e3daf09U,     0xea20b6e6U,     0x908b8d92U, \
    0x536c1d6dU,     0x44fde4dcU,     0x8bab40fbU,     0x684cc73aU, \
    0x3ca654e8U,     0xcd8c064dU,     0xea16fc7aU,     0x7026d985U, \
    0xed7375b5U,     0x4167c9daU,     0x6ea0422dU,     0x9372c1c6U, \
    0x82745fb2U,     0x84595376U,     0xac4fab4bU,     0xab44a9ffU, \
    0xf23c4ff7U,     0x538db32eU,     0x9d25af3aU,     0xbd88abd3U, \
    0xf28dcf9bU,     0x0e9e1987U,     0xd1efc80aU,     0x7c60270bU, \
    0x1b74be14U,     0xea445040U,     0xbdfc3671U,     0x4d5eb9a7U, \
    0x12608259U,     0x4b03dc3eU,     0x1dca4ac6U,     0xb6b7b21cU, \
    0xde026db2U,     0xfc5d7405U,     0xd9e1e21cU,     0xd25d59d1U, \
    0xda85014cU,     0xf8cc9c7eU,     0xc73d79e2U,     0x600d1f29U, \
    0xc9d6771fU,     0x4872b318U,     0x8c071ca7U,     0xc1aa8620U, \
    0xaae0232bU,     0x18a1deabU,     0x2afc76c5U,     0x77df47f7U, \
    0xe87e08e4U,     0xa0a30ce2U,     0x934e1a6fU,     0x1a574593U, \
    0xed81aba2U,     0xf872964cU,     0x18d588daU,     0x4678288fU, \
    0x7b6f7a23U,     0x22869ec9U,     0xfe70ee9eU,     0x5e38b7b3U, \
    0x4bd3ee70U,     0xb83ed3a4U,     0x10c3a602U,     0x6d04edfcU, \
    0x0e920082U,     0xd5c7e6d3U,     0x74fc2545U,     0x6041a084U, \
    0x419d8d9dU,     0x22d820f8U,     0x2288f83dU,     0xc8eaea9fU, \
    0x7a037509U,     0x10c6038dU,     0x70b6c47fU,     0x98b3ebf4U, \
    0x8ea98f59U,     0xc8d54b7bU,     0xdcf92445U,     0xd20e0ee5U, \
    0x965aaef8U,     0x8f1f2b04U,     0x67f9b3a6U,     0x0c5fe7b1U, \
    0x648e1f02U,     0x23de8e3eU,     0x146d9d0cU,     0x72178d7dU, \
    0x01d3bf0bU,     0xf33eee21U,     0x21a5848aU,     0x4cad0290U, \
    0xae3f43d6U,     0x9ff7ffdeU,     0x39b911e7U,     0x7f86a2e6U, \
    0xf0daad70U,     0x8559ed95U,     0x6b90653bU,     0xe0d23af0U, \
    0xa54904f2U,     0xb064aff8U,     0xf8983f69U,     0x43aef777U, \
    0xcd88bab0U,     0x51879d2bU,     0x4130ef1dU,     0xe1383190U, \
    0xf48c8ba3U,     0xd0a5411fU,     0x40c18eacU,     0xd3a431ebU, \
    0xec5202d1U,     0x99c9c6ddU,     0xc57a73ddU,     0x876cc7bfU, \
    0x89a735b1U,     0xeed0d6c5U,     0xb13f9ff4U,     0x9f48db79U, \
    0x04091be0U,     0xb69f212bU,     0xb6b9ffb3U,     0xb06ae358U, \
    0xf6319a0cU,     0x59dc5d82U,     0xa8a2d85dU,     0xeb900ec6U, \
    0x09d13d46U,     0xe6626eaeU,     0x265e8c6dU,     0x27fa4e83U, \
    0xc5f2b51cU,     0x2a4eb825U,     0x527c0ad2U,     0x35a5b580U, \
    0xbec455c8U,     0x4d5ac2c4U,     0x111369baU,     0x0cb3a737U, \
    0x1e88985aU,     0x42cd56c2U,     0x160a1143U,     0x6bd8278eU, \
    0x67f6ddddU,     0xd2d2d9c7U,     0x742ad399U,     0x0e511e4aU, \
    0x530d7446U,     0x59d1b4c6U,     0xea51a222U,     0x1102d65cU, \
    0x7ea218efU,     0x60f7d1ceU,     0xbb24d324U,     0xc88f2d86U, \
    0x40b64b7fU,     0x1162bc5fU,     0x5774cd01U,     0xa4af95cfU, \
    0x33737bfcU,     0x179c1fe2U,     0x55d89fe5U,     0xafd2d684U, \
    0x7cf7b2a7U,     0xa8cdb3f9U,     0xa9cc2497U,     0x14215bfcU, \
    0x2e4f01d6U,     0xc80fc524U,     0x73457e58U,     0x8b12d045U, \
    0xca1e7875U,     0x9c05c1caU,     0xe1a5cfdcU,     0x949ac1bbU, \
    0x4c96f68fU,     0x5337b950U,     0xa3d54f10U,     0xd86dec79U, \
    0x76da331aU,     0xcc0026c7U,     0x3ef74e81U,     0x2573b573U, \
    0x52aecc30U,     0xc7595099U,     0xb37a36cfU,     0xfe80c0fdU, \
    0xacee17eaU,     0xa2adb6a6U,     0x965bd835U,     0x3125d4f7U, \
    0x3b405aacU,     0x68c0b2a6U,     0x128562c8U,     0xdc5bd77dU, \
    0x486bd6e9U,     0x80928dabU,     0x9fb0e5c0U,     0xebd77844U, \
    0xa47cadbdU,     0x9aeeb54eU,     0x5a62206dU,     0x120ba447U, \
    0xa5c06841U,     0xa59fd00dU,     0x5b0bf9cdU,     0xccaa28e7U, \
    0x4b745716U,     0x38223551U,     0x01cc33c8U,     0xf6a6d7d5U, \
    0x41a393c9U,     0x1357863cU,     0xa58a6a52U,     0xffe66470U, \
    0x21c7308cU,     0xcf465ae8U,     0xfeec783fU,     0xa3eba0cfU, \
    0x83379e08U,     0x8b8b1139U,     0xe780f062U,     0xd33c8829U, \
    0x37eb8b21U,     0xca8a0569U,     0x6fbfed9cU,     0x58146657U, \
    0x9c5f7058U,     0x1fe667f6U,     0xd7d70049U,     0xf42b0babU, \
    0x057725a2U,     0x0ff5abdfU,     0xbb7c7f81U,     0x4f2e30f5U, \
    0xdbcd407bU,     0xb579fb8fU,     0xa54030f2U,     0xb19ad596U, \
    0x43110701U,     0xba0406d6U,     0xd4bafaafU,     0xab392526U, \
    0x2e95060cU,     0x37306281U,     0x862dd6bbU,     0x7c611e89U, \
    0x56f4cb02U,     0x9cfd8ac6U,     0x8b0aaec5U,     0xcdcae253U, \
    0x1a31e1d8U,     0xed08e562U,     0x172ce318U,     0x6bf553fdU, \
    0xd001dd72U,     0x8c6ef3caU,     0x1a58575fU,     0x60cff429U, \
    0xfd589ceeU,     0xcd74258aU,     0x6c6d89c7U,     0x4e4c63fcU, \
    0x7821e8beU,     0xbd5a2e3bU,     0xf12e032aU,     0x156a4d3eU, \
    0x9debfb85U,     0x4391253fU,     0xeedbd692U,     0x6209f27aU, \
    0x103819f2U,     0x1159595cU,     0xcc62530fU,     0x18956f46U, \
    0xb76a86c7U,     0x967361b8U,     0x70427181U,     0x91d79f67U, \
    0x062e0ab1U,     0x576bd139U,     0x3aa10cacU,     0xf65a2b8aU, \
    0x60347ad6U,     0x63f1d63fU,     0xf536e990U,     0xb248b4b9U, \
    0x49d3ee03U,     0x97184ad0U,     0xe50c1507U,     0x24e93d31U, \
    0xaa96a9d4U,     0x5f460944U,     0x3e0aa246U,     0x3836c403U, \
    0x0772fd8fU,     0xdbd25472U,     0x409e8915U,     0xe1b8de5dU, \
    0x3c875473U,     0x50246e5aU,     0x94a17026U,     0x6be1dd8bU, \
    0xacd9f91cU,     0x718f0348U,     0x276cb43fU,     0xbcc10529U, \
    0xd1ca01b0U,     0x13f108b2U,     0x6d54678dU,     0x7dd5e538U, \
    0x9f9bf802U,     0x319caa84U,     0x71c0f6e4U,     0xe0bbfa8fU, \
    0xf387fe78U,     0xa2050bccU,     0x5f1a1cd9U,     0x4704b7c6U, \
    0xa8e00f3cU,     0x26ef3a14U,     0x3622fb17U,     0x2595090dU, \
    0x860d48cfU,     0xd0e8fc9dU,     0x85819160U,     0xfbf4a7a0U, \
    0x03ebd99fU,     0x2370a04dU,     0x06a6412bU,     0x6d9178dfU, \
    0x4a6af955U,     0xd2ade2bfU,     0xb8ceb525U,     0x59ef378eU, \
    0x6801aaeeU,     0xd5684f6fU,     0xe6ba5406U,     0xddf4aee5U, \
    0xb660bc73U,     0x2551749aU,     0xa6d67d43U,     0x3ccc142dU, \
    0x1c5e7facU,     0xde13e9d5U,     0x62c6c510U,     0xaf5ea4e2U, \
    0x85d72dd1U,     0xc2c9d9c2U,     0x1fe3bb1fU,     0x60dd482aU, \
    0x81bb6382U,     0x09e7cde8U,     0xd851106aU,     0xafe90704U, \
    0xb56734b2U,     0x99034ecbU,     0x77a18a98U,     0xbcfc8535U, \
    0x9edd9d09U,     0xd7868b3aU,     0x84b6828dU,     0x07f6e3f9U, \
    0x29507dd3U,     0x26e924acU,     0xc8b7c952U,     0xa8eb8f63U, \
    0x077a800cU,     0xb3424e01U,     0xde54859fU,     0x4dfd7146U, \
    0xeddb6634U,     0x19f9623dU,     0xdfd3b299U,     0xd1ff834aU, \
    0xc28fb592U,     0x32f42425U,     0x07c92731U,     0x9d2d9ba1U, \
    0x66e1ea4aU,     0x60b143deU,     0xf7b1fa5bU,     0x28b6232dU, \
    0x371404b8U,     0xf395580cU,     0xe08892cfU,     0x2c2bfcf6U, \
    0x5b153c15U,     0x4554d3bbU,     0x88547111U,     0x976472acU, \
    0x7f516c72U,     0x57b78ffcU,     0x10fd7f20U,     0x6219dc93U, \
    0x72625739U,     0xd02d2c7dU,     0x7eba779dU,     0x972e0868U, \
    0x802b7a48U,     0x7dc8707cU,     0x56cc8d7aU,     0x8ab8ac27U, \
    0xcf88c01dU,     0xad30714eU,     0x2edecd69U,     0x70646c86U, \
    0xc24df6dfU,     0x7c60ae26U,     0xc654898eU,     0x67295effU, \
    0xd0372fc6U,     0x25238ae6U,     0xe00e92f4U,     0x7fac294bU, \
    0xfbb4fd72U,     0xc49d0246U,     0xbc849452U,     0xcb19e619U, \
    0x0386387aU,     0x5f9e3616U,     0x6a1cae5fU,     0x2dab4d45U, \
    0xd087434aU,     0xa3c79646U,     0x982473c2U,     0x6f797635U, \
    0x80062cefU,     0xae32d1a1U,     0x5c6be381U,     0x9bff0c93U, \
    0x4284e18cU,     0x913cf9e0U,     0x8739c4f0U,     0xa6df4147U, \
    0x81478bdfU,     0x31652337U,     0x5a9de90fU,     0x9ecebd69U, \
    0xfa32a03cU,     0xc2d36cc8U,     0xb4c8fae7U,     0x69dc6b38U, \
    0xde7a0b59U,     0xf4017f21U,     0x67387275U,     0x382a404eU, \
    0x3439b411U,     0xd8166910U,     0x813467faU,     0x4d97ce7dU, \
    0x14bdd3c4U,     0x80c58316U,     0x44696332U,     0x8113af23U, \
    0x8597bdf6U,     0x79d981e5U,     0xf9a42a15U,     0x96d2fd5fU, \
    0x07ab16f7U,     0x36a38ed3U,     0xbf57abe1U,     0x82e9b8a3U, \
    0x1a28c7abU,     0x6481c06dU,     0x4403d532U,     0x3dc9f4bcU, \
    0x4b462d31U,     0xb497d47eU,     0x9fb2bb5fU,     0x276604d4U, \
    0xd48221e9U,     0x2133f69cU,     0xefe37e2fU,     0xd55b4f7fU, \
    0x7aa1b598U,     0x0b863236U,     0x99ca955dU,     0x0a3dc52cU, \
    0xd689c829U,     0x7722c411U,     0xe97b4ed9U,     0x50526691U, \
    0x5a6dd987U,     0x5c2c85edU,     0x8a50790fU,     0xf4366ebdU, \
    0xb4d58f85U,     0x5ae10abfU,     0xeb40393aU,     0xcbdce230U, \
    0x2a2fd20dU,     0xbcead2b2U,     0xc9b7e3a5U,     0x7f63ec02U, \
    0xba2d45f0U,     0x8dbce743U,     0x5866dbfeU,     0xd06f0003U, \
    0xc5e55fb0U,     0x9d7d7044U,     0xa9735202U,     0x19e32909U, \
    0x31a1fe14U,     0x48048408U,     0x81632564U,     0x4d6210d6U, \
    0xe87cba04U,     0x6dc960f9U,     0x6294894bU,     0x7063f6c3U, \
    0xa0a17603U,     0xed86ddf8U,     0x48961ad7U,     0x7806e72bU, \
    0x8744a1b7U,     0x62f9d5b2U,     0x8ff87e35U,     0x5f288fe2U, \
    0x2ae03384U,     0x322f7be3U,     0xdec12a7cU,     0xa88e3feeU, \
    0xa1df0b18U,     0x8a0c685eU,     0x7038cc83U,     0x1e7f8c53U, \
    0x4301cb52U,     0xf686e610U,     0xa4c6d523U,     0xcdae1aecU, \
    0xad6c0c42U,     0x265e7020U,     0x11275b5dU,     0x1e733f0eU, \
    0x7181c2a2U,     0xf526f9eaU,     0x31187f0bU,     0x9a43d975U, \
    0xf1297a10U,     0x15a47c5dU,     0x20405b21U,     0xd0ea99a4U, \
    0x42ccbf47U,     0x31deb75dU,     0x4f10a5efU,     0xaf4a1a83U, \
    0x7594aae5U,     0xc156aa02U,     0x6d07a85eU,     0x8470df98U, \
    0xb5c470b0U,     0x511761e9U,     0x39ed2a9fU,     0x5d3dae6eU, \
    0x0b9d1d11U,     0x0fe9fe0cU,     0xff888da0U,     0x1f32deefU, \
    0x23e3ac0eU,     0xa1f62b96U,     0xbd42907bU,     0x80f1f7dfU, \
    0xa8782022U,     0x3d943775U,     0x37897fb3U,     0xc8e78e33U, \
    0x9e4995f8U,     0x73c07ab1U,     0xb912fadeU,     0x656a6445U, \
    0x3989383fU,     0x2ca30cb3U,     0x038a1619U,     0x3b7140e9U, \
    0x7724ea98U,     0xaf1c27c6U,     0x6b3b9b33U,     0xa0639462U, \
    0x03855f48U,     0x5c4b3b5dU,     0x90d6f8f0U,     0x3037eb39U, \
    0xd294581fU,     0x8dc52ea2U,     0x4677bdb6U,     0x97de78adU, \
    0x63186220U,     0x5229b852U,     0x96207ce7U,     0x776d3d10U, \
    0x899f37efU,     0xc8bb30adU,     0x7204e31fU,     0xfe8c6269U, \
    0x9a83dccaU,     0xb4889350U,     0x14aab516U,     0xac20ed32U, \
    0x94f3bb55U,     0x873f49ffU,     0x82aab11cU,     0xe1e9f00dU, \
    0xfb510697U,     0x079007bfU,     0x5eeea242U,     0x821de61aU, \
    0xea22d290U,     0x90cb70d2U,     0x1aa4d97bU,     0x0e95ed38U, \
    0x278aacafU,     0x55e93f87U,     0x13c5cde9U,     0xd9901c1fU, \
    0x5bc4b3e3U,     0xe4a54b50U,     0xb6e12fb2U,     0xe62716f8U, \
    0x1a369642U,     0xe2aee449U,     0x656dc2b4U,     0x2f111ba4U, \
    0x9bd1cc8dU,     0x8288ab7cU,     0x9e2aa16cU,     0xce1523e5U, \
    0x65338c50U,     0x75fb0893U,     0x2be1d00fU,     0x3daa653aU, \
    0xfb34127fU,     0xea3fba3dU,     0xd4ce1aa1U,     0xc2991827U, \
    0xb5c8c4b8U,     0x91598565U,     0x75638136U,     0x9830bcf5U, \
    0xfbbec757U,     0x3047257eU,     0xa7d5cd90U,     0xd9d76c20U, \
    0x7268c938U,     0x3caad0f4U,     0xb13b0a66U,     0xbebf8705U, \
    0x3a71e476U,     0xa3e2b12aU,     0x71546742U,     0xe1b4a919U, \
    0x75a6caf2U,     0x8ffb86aeU,     0x6b67df46U,     0x1d5579e0U, \
    0x38535ce8U,     0xc6e4ddaaU,     0x173f7b2dU,     0x6d0119a2U, \
    0xc7aed537U,     0x96a1d775U,     0x4d2d0716U,     0xdab65e5cU, \
    0x0150f17eU,     0xbff654b6U,     0x538456acU,     0xa0e88348U, \
    0xc686d9b9U,     0xf14aa9b6U,     0x84357d88U,     0x330e8bf1U, \
    0xf49d987dU,     0xdf731f8aU,     0x4078cd54U,     0x1139fde6U, \
    0x56f0d6d9U,     0x33773d0cU,     0xe0afb24eU,     0xe5c04249U, \
    0x0bd7a075U,     0xc5bc52c4U,     0x3a6ccb0cU,     0xaddaacc6U, \
    0x5731aecfU,     0x49452e4aU,     0x1ceb4c4cU,     0x518121cfU, \
    0x4c4dea4aU,     0xea34820dU,     0x8a64938dU,     0xa62cad00U, \
    0x533d3b5dU,     0x2507158cU,     0x80adcd08U,     0xd8e204b8U, \
    0x02d50b5eU,     0x96101f08U,     0x41f110cdU,     0x5d7acb85U, \
    0x09a306c3U,     0x2699d903U,     0x0f43e9bcU,     0x37d10fb8U, \
    0xb50eb139U,     0x326d26adU,     0xd3f43904U,     0x43e373e2U, \
    0xf71231caU,     0x2065f433U,     0xb4e86b33U,     0xe6bea95eU, \
    0x40cb7767U,     0x273a799cU,     0x890eeaccU,     0x58a749f5U, \
    0xad2a5b0aU,     0xfb666284U,     0x0149aa54U,     0xa8244a97U, \
    0x9abb87eaU,     0xd52903a5U,     0x2171e594U,     0x5ab3b4d1U, \
    0x17f26d21U,     0xe5392953U,     0xdc4df3a2U,     0x0c990dd5U, \
    0x550db751U,     0xd225e097U,     0x7afe7f6bU,     0x6875f2c6U, \
    0x829562aeU,     0x0e1d6ce7U,     0x6529d1cdU,     0xa8bb899bU, \
    0x2e8ab024U,     0xf77398d4U,     0x0a4a8fc7U,     0x5acb8fabU, \
    0x4bd3f876U,     0x93b89c70U,     0xe30e7431U,     0xad663094U, \
    0x097d85b2U,     0xb7234613U,     0x29d3162dU,     0x4276d65bU, \
    0x3869d1c9U,     0xe93b2791U,     0xfcb64bcbU,     0x52855482U, \
    0xc849e61cU,     0xeeeae030U,     0x116ac0dfU,     0x6df751a4U, \
    0x77ea54edU,     0x5da1ad9cU,     0xa9d1894dU,     0xac2a5469U, \
    0x42aab6b8U,     0xe72feadeU,     0x4f2308e2U,     0xbae6c047U, \
    0x7edf3573U,     0xe1d32fa1U,     0xfedc55bfU,     0x54e595e2U, \
    0x33190c67U,     0x0aa1500cU,     0x5e471edcU,     0xbde033c3U, \
    0x50a7dc4aU,     0x028810a1U,     0x7d60ddc7U,     0xaadbaca8U, \
    0xeb2a826cU,     0x74a5ff95U,     0x279d89eaU,     0x167c2a97U, \
    0x21b4b38cU,     0x50482774U,     0x4555ac83U,     0xc217d439U, \
    0xe3a8d472U,     0xe99c6caaU,     0x51e9f4f7U,     0xb23b6dfeU, \
    0x4c0b93a7U,     0x8958e77bU,     0xe0042c5fU,     0x4c16859dU, \
    0x3009ebf9U,     0xbf6e19c9U,     0x9f201e84U,     0x2631dc5eU, \
    0xc09a6c57U,     0xf1c4d7ebU,     0xc72712baU,     0xfbe70a21U, \
    0xe4ff985cU,     0x3f2ab8fbU,     0x6a9fecc7U,     0xc60d4a81U, \
    0xfe6b3cd7U,     0xeeafe2e3U,     0xe5d377edU,     0xe36a46bcU, \
    0x0e88c60aU,     0xe807022aU,     0xb1deaa15U,     0x3e1e2849U, \
    0x2fdb584eU,     0xd4d105a7U,     0x10a10cb5U,     0x65785252U, \
    0xbb69423dU,     0x314b27caU,     0x324a7729U,     0x5a87ede6U, \
    0x1b85225fU,     0x7712fa01U,     0xc480f990U,     0xb5a7f343U, \
    0xda9ed26fU,     0x4ffa5564U,     0xe3d41146U,     0xfa16f6fcU, \
    0x78ed0df3U,     0x474db7e9U,     0x80946f9dU,     0x1aad2487U, \
    0xfaac5cf8U,     0x4da817a3U,     0x7d15d478U,     0x412ffdbeU, \
    0x534b276cU,     0x3f2e4783U,     0xa923dbdfU,     0xe69d9ac3U, \
    0x30118aacU,     0x900eb219U,     0xb86c2eb3U,     0x80395a97U, \
    0xabf8344dU,     0xc58c65f6U,     0xf31db2dcU,     0x5a997722U, \
    0xfb87f113U,     0x63f3b7d8U,     0x1df19740U,     0xb2ad46a3U, \
    0xaf276b11U,     0xdab1fb41U,     0x2b6b5fbfU,     0x299d6389U, \
    0xc71dfef8U,     0x33e5d8f2U,     0x59cf494aU,     0x08a54962U, \
    0x1ba27be7U,     0xe14afe3eU,     0xa5b1ac56U,     0x1e011e80U, \
    0x753d12bbU,     0xbaa05bc6U,     0xe5725590U,     0xf7ddaf90U, \
    0x44d29f77U,     0x02403dbcU,     0x98e0fff6U,     0x6fe0dc7fU, \
    0xc5c30bfbU,     0x15f17f7aU,     0x9a88caa9U,     0xbaf13ed3U, \
    0x983dcce3U,     0x8b50b3d4U,     0x5071a35bU,     0x1becdcffU, \
    0x200bb0f2U,     0x74ff17f8U,     0x56119c56U,     0xf24d5b42U, \
    0x7922d9a3U,     0x42b96b33U,     0xe03bb7b2U,     0x119d7800U, \
    0x6694cf59U,     0x8c5c7578U,     0xc9c0a992U,     0x02c3a21bU, \
    0x594eb321U,     0xcd85b027U,     0xd54b0292U,     0xd8cdf741U, \
    0x962dc21eU,     0xcd8408f5U,     0xbb36b948U,     0xe8ea23c3U, \
    0xdd6f6e57U,     0x976a1eddU,     0x95470598U,     0x833b0183U, \
    0x4e8931cfU,     0xa32a9371U,     0x4112a86cU,     0x1df7650bU, \
    0x3d54919aU,     0xca1f233bU,     0x2e436410U,     0x51842b60U, \
    0x975c09b8U,     0x2c8ec070U,     0x4eef7642U,     0xba4870adU, \
    0xa64a7eb3U,     0x8efcdd60U,     0x6929d459U,     0xaf5a5c64U, \
    0xabdcc012U,     0x0a434df2U,     0xfd3b2151U,     0x9b73c69fU, \
    0xec0bde5aU,     0x284657c2U,     0x4653d6f8U,     0x93bbe4cbU, \
    0x9cbdb912U,     0xc98d75e1U,     0x339d06b1U,     0x0ee5c773U, \
    0x5b8443bfU,     0xb27f536cU,     0x91b04a38U,     0x29ce8bdbU, \
    0xb8808bd5U,     0xb4b884d0U,     0xe2bb5ea9U,     0xf67d6ca9U, \
    0x301594b7U,     0x10515e82U,     0x5fded76dU,     0x882fe1b6U, \
    0xf90369afU,     0x4dfbc4cbU,     0x2723a265U,     0xfcc94ed5U, \
    0xd03d5acbU,     0x0af8f309U,     0x737b1d15U,     0x842ce0bdU, \
    0xcdbcecafU,     0x4d87a2b9U,     0x56b1a41dU,     0xc44f142eU, \
    0x89817638U,     0x57ad4ef2U,     0xe608e22aU,     0xb1fa7008U, \
    0x15d1cb5fU,     0x4d3f8532U,     0xad5a40b8U,     0x0ebce078U, \
    0x37171ec3U,     0xc26df014U,     0xa562e3c6U,     0x30e86b09U, \
    0x791a04eaU,     0xe533e9f1U,     0x27291295U,     0x882f4dbdU, \
    0x136f8db7U,     0xd339cea2U,     0xd52aa215U,     0xcd822a15U, \
    0xff526e11U,     0x731edde1U,     0x2e7813cbU,     0x5f6b17c1U, \
    0x5b1075e4U,     0xae01042eU,     0x0d860f8cU,     0x584f62b4U, \
    0xd9bfa188U,     0xad687fd9U,     0x0ab7614eU,     0x2cc03925U, \
    0x5acb0c7aU,     0x16e76b6fU,     0x57372884U,     0x04b68df6U, \
    0x2b962e8bU,     0xaf8b779cU,     0x80f87035U,     0xd0d6e81eU, \
    0xe9d05e4fU,     0x6d8a5942U,     0x248a9f7aU,     0x3d6356efU, \
    0x9d993fe0U,     0xf1698254U,     0x7e175a7cU,     0xa7afcc5aU, \
    0x5cb6079aU,     0x6a49699aU,     0xe7640e10U,     0xc598d31bU, \
    0xcf1839b7U,     0xd62aa1d3U,     0x48a40627U,     0xddbc3bf1U, \
    0x2bcf07d8U,     0x5caf1891U,     0xbe57382eU,     0x80433239U, \
    0x9d099614U,     0xda02bcc0U,     0x64c84216U,     0x52f859ccU, \
    0x699d9582U,     0xbfdb8ae0U,     0x54d5b244U,     0xb5fd7d92U, \
    0x69d6a564U,     0xe8b51214U,     0x303b8303U,     0x3ad4032fU, \
    0x8bfd30a2U,     0xb3c06524U,     0x6cb0318dU,     0x8d7e85dfU, \
    0xf6b82e40U,     0xe3b1c767U,     0x22f675d9U,     0x050156e1U, \
    0x86fb3e5aU,     0x9dea214eU,     0xfaff4fb4U,     0x3c78ce30U, \
    0x625d1502U,     0xca7dd5bdU,     0x94ba4c0eU,     0x73309049U, \
    0x51d642c0U,     0xa8c29b14U,     0x809dc356U,     0xaf7a1885U, \
    0x13fb53b8U,     0xde9f3703U,     0x69705fbfU,     0x1a014057U, \
    0x482f13fcU,     0x18b985b3U,     0x74128b14U,     0x1ecc5e17U, \
    0x8707664dU,     0x09a609ebU,     0xc4544d52U,     0xaaf29f5bU, \
    0x9287e334U,     0xe054d607U,     0x6a076080U,     0x4e02fe21U, \
    0x484fcfd6U,     0x33967201U,     0xbbdb8201U,     0x84da1b98U, \
    0xb879e5beU,     0xfdbde0d7U,     0x0a05de36U,     0xd3b37d3aU, \
    0xcdb42821U,     0xa39a0866U,     0xcaab426aU,     0x54e7fcc8U, \
    0x58ea1f9eU,     0xe6db15bdU,     0xd982bcb9U,     0xabe68bfeU, \
    0x8e641c1bU,     0x904e4db7U,     0x6ac6d0a1U,     0x227315d2U, \
    0x403c1d1fU,     0x0acd80dcU,     0x58e182e5U,     0xa95a5428U, \
    0x7f8ce0d2U,     0xf31210dbU,     0xc56910baU,     0x72bb4a59U, \
    0x96f3857bU,     0x9201aa09U,     0xe046b189U,     0xfd019371U, \
    0xda069522U,     0x6f4509a7U,     0xb566f9f3U,     0x55047e8cU, \
    0xec531dedU,     0x47ee6902U,     0x327eb8ddU,     0x7788e421U, \
    0x2fb771f4U,     0xabc45133U,     0xa85395b0U,     0xaf75bd3fU, \
    0xde2e38e2U,     0x850f32fbU,     0x26f3efeeU,     0xc4825c5cU, \
    0x1e6a37d1U,     0x165171ebU,     0xa025a86dU,     0xde31f1b6U, \
    0xa8a6e5fbU,     0xf22c3763U,     0x3574691fU,     0x2ba7a44dU, \
    0xedc5aec2U,     0xbddd1ee4U,     0xeea2cc7aU,     0xb94794efU, \
    0x54309678U,     0xc4b7bc62U,     0x96cab824U,     0x0fd7ecc0U, \
    0xd0f0aee3U,     0xccaa3b3aU,     0x64a58807U,     0x2d72c108U, \
    0xa611d833U,     0xe414fe34U,     0x56390757U,     0xe76c57e9U, \
    0x35a9f9f8U,     0xf7307c04U,     0xa3e531f0U,     0x1fad2accU, \
    0xba04639fU,     0x4b23c5c0U,     0x40015664U,     0x23abcf62U, \
    0x88945180U,     0x31badf89U,     0x9e02e51fU,     0x87d140d1U, \
    0xddf543b7U,     0x02bebd54U,     0x94d9488dU,     0xf5b065d9U, \
    0x821b1fe6U,     0x9d545d1eU,     0x00651874U,     0x2034dc5aU, \
    0x6dff2b2cU,     0xeba20d52U,     0x1161eed1U,     0xaacd1891U, \
    0xff92dfc5U,     0x7c2b2773U,     0xa18b39f2U,     0xec317493U, \
    0x6c34eccbU,     0x99587605U,     0x03fbd887U,     0x3fddb7b2U, \
    0x33793201U,     0x041ecdefU,     0x4e02c1a5U,     0xbddfd554U, \
    0x0443035dU,     0xea14ac9bU,     0x286b0498U,     0x1d2e7fe7U, \
    0xd3e0b764U,     0x1d3503a2U,     0x6583ac8bU,     0xe485055fU, \
    0xa4347961U,     0x1e084b23U,     0xcdf7ffbeU,     0xcccf310aU, \
    0x303bcaaeU,     0xc91a751fU,     0x483e1b6eU,     0x43917ef5U, \
    0x3631d856U,     0x4c816601U,     0x233190c5U,     0xfff1c069U, \
    0x1db53396U,     0x0c220827U,     0xa44e62aeU,     0x25021d5fU, \
    0x8ca6efbbU,     0x9748cb66U,     0x0a5cea68U,     0xdfd278b0U, \
    0x31a2fb18U,     0x1d97d74fU,     0x194fa9b3U,     0x252c2790U, \
    0x24fa9275U,     0x53cb1c28U,     0xfa1402faU,     0x38d6dc77U, \
    0xa046be24U,     0x47f39ce5U,     0xfacb0f75U,     0x895fc128U, \
    0x864b572bU,     0x946d1363U,     0xc6c15120U,     0xfc111e0aU, \
    0x9e1be5b8U,     0x4525caf5U,     0x625b1e8eU,     0x0ee608b0U, \
    0x30229369U,     0x72d2dd76U,     0xc279cc2dU,     0xeaa18066U, \
    0x360a7c59U,     0x5fcfcf33U,     0xa21d1ec8U,     0x0bfca5baU, \
    0xf96cd902U,     0x79e0e582U,     0xb7bb79afU,     0x642300a7U, \
    0x529dd6e4U,     0xd2e11ddaU,     0x10385462U,     0xe4940ed9U, \
    0x999d7127U,     0xf24d8b08U,     0xfd5b888eU,     0x9b39d411U, \
    0x4e7b8d5eU,     0x877c59f3U,     0xcfdc7ee1U,     0xb6661a16U, \
    0x4ff0fdc5U,     0xd353b19cU,     0x9f387419U,     0x64b72798U, \
    0x0b259ea2U,     0xbf698c8bU,     0x8cbf64abU,     0x50406c2aU, \
    0x7ff34d0eU,     0xa7169974U,     0x6fccc9a5U,     0xa36c1286U, \
    0x55004a74U,     0xe541b3c8U,     0x6e38f0c8U,     0xd322b3f4U, \
    0x4d3a51adU,     0x7b7b8703U,     0x32cc6ad6U,     0xa8a12d49U, \
    0x0f4f46fcU,     0x83eea76bU,     0x2b47ac05U,     0xb2a9b9d8U, \
    0x78425387U,     0x90119996U,     0xc2b81544U,     0xfc6a1f47U, \
    0x680c3d70U,     0xdb4166bbU,     0xc35a7314U,     0xca49f942U, \
    0xaf3f9d28U,     0x113995b0U,     0xbd7a097bU,     0x6d4dc603U, \
    0x1cc4fe89U,     0xec749408U,     0xcbc8bef7U,     0xccf1c924U, \
    0x7c6ac28aU,     0xc1901e50U,     0x9189abfbU,     0x44fde717U, \
    0x06cca832U,     0x935b2e4cU,     0xab22a4dfU,     0x0ff5bc38U, \
    0x5ac3c80aU,     0x462986deU,     0x924f0b54U,     0x0df058eaU, \
    0x3c632202U,     0x68c6c29cU,     0x4ebdfae5U,     0xdf64247dU, \
    0x0af8f24dU,     0x7f301d9bU,     0xea5194faU,     0x4b12229eU, \
    0xc42b39dbU,     0xccf1b54dU,     0x035d2d1aU,     0x5a2cdbb8U, \
    0xfc690a20U,     0xff76394eU,     0x90ecde86U,     0x4ab98ea0U, \
    0xa2969edeU,     0xef16cc24U,     0x66a347b2U,     0x06642b5fU, \
    0xcc00a83eU,     0x2172f101U,     0xffe43bbfU,     0x2af751acU, \
    0x240a4053U,     0x3aebf7b5U,     0xcb1b4497U,     0x50ba449aU, \
    0x92d4fb8cU,     0x5bd5544bU,     0xc0ceeaa2U,     0xd2a98580U, \
    0x04003cbdU,     0x5c410529U,     0x56422e4fU,     0x232dfbceU, \
    0x540d9a43U,     0x9fe899c2U,     0x492c398aU,     0xc22a2ad5U, \
    0x86e3e7a2U,     0x9ed62d56U,     0x260d2590U,     0x98fa2dcaU, \
    0xc8606977U,     0xff26055cU,     0xbaa23970U,     0xcdeebc08U, \
    0x43040499U,     0x2b232344U,     0x14c2250aU,     0xc8dbabeaU, \
    0xe632c11eU,     0x61bf5452U,     0xf5643540U,     0x06e4fb62U, \
    0x19293b6aU,     0xf784336cU,     0x4589fe3aU,     0x718d0421U, \
    0xf0d4c418U,     0x60fd6604U,     0x322f4d81U,     0x429e14c1U, \
    0xf538a114U,     0xae1020c4U,     0xd21e4e67U,     0x39278e30U, \
    0x51e13134U,     0x813c6e8fU,     0x98c6bb66U,     0xaaad5ff3U, \
    0xe2697463U,     0x40461dfcU,     0x4867fd06U,     0xace48e33U, \
    0xecabf042U,     0xd8acfb8aU,     0xfc195eabU,     0x321cc494U, \
    0x7039eeaaU,     0xf6e6c5d2U,     0x830ab127U,     0xa0ff890dU, \
    0xd08e1819U,     0x8c9b390fU,     0x6cd7a488U,     0xdf2d7145U, \
    0x2bd3a08eU,     0x1e5b1ab4U,     0xf6899e36U,     0xbe7f7fe4U, \
    0xce94c957U,     0x5edb8431U,     0x0cbc2dffU,     0x9063fbb5U, \
    0x636491baU,     0x73038faaU,     0x695d899aU,     0xa6fa37f1U, \
    0x72b0da20U,     0x5a3c8265U,     0x939da7d4U,     0x810218a5U, \
    0xe7eb2f66U,     0x8e486a09U,     0x867c678dU,     0xc7bbe664U, \
    0x84c3944bU,     0x0d2b0b0aU,     0x4113687fU,     0x473c7895U, \
    0x8f54ca42U,     0x02ad3573U,     0x102a9e91U,     0xf7dcb696U, \
    0x5826b957U,     0xe713d1abU,     0x420fc092U,     0xa85f6537U, \
    0x2dd737a5U,     0xadc77136U,     0x780cf3fdU,     0xaa13e6d0U, \
    0xb9023ebfU,     0xe463144eU,     0xbe1950f0U,     0x49a3ae9dU, \
    0xa4b5f244U,     0x8b2b8b42U,     0xa1864659U,     0x4b9fc337U, \
    0x87b63ea3U,     0x8a680509U,     0x55da459bU,     0xf98a4c6bU, \
    0x0e88397bU,     0x96022a8bU,     0xda4fc6fdU,     0x40589e62U, \
    0x0cb498f7U,     0x4d57cba9U,     0xb51e1298U,     0xccbda43eU, \
    0x7cee3f13U,     0x1a5f54efU,     0x43140372U,     0x9cd2784aU, \
    0x84a34ed0U,     0xe342c966U,     0xd014cbf8U,     0x477e5edfU, \
    0x7d7e27f2U,     0x9167634cU,     0x3e678552U,     0xcc79099cU, \
    0xe16802a8U,     0x2375802aU,     0xb72065b3U,     0x1d95ef01U, \
    0x960081acU,     0x59289327U,     0xec64771dU,     0x4a1ed4efU, \
    0x27dce134U,     0x546886adU,     0x4a87b58aU,     0x884d8436U, \
    0xf8cf3893U,     0xc9890c71U,     0xa046d5bfU,     0xa059bb27U, \
    0xc0b0e9bfU,     0xf5bf390bU,     0x6e3c93cdU,     0x41cf1ab5U, \
    0xfd3d1f43U,     0x6b76b1ebU,     0xbb2af34fU,     0x5011404dU, \
    0xe896a57fU,     0x5d673d0cU,     0x25d36926U,     0x1789a11bU, \
    0x18f8d2f8U,     0x52cbd90aU,     0x0e07574bU,     0xf0a26f1fU, \
    0x34577509U,     0x39486167U,     0x89d1012fU,     0xe7ad973eU, \
    0x89a03b85U,     0xb69a8619U,     0x6a7413c3U,     0xf406a7d9U, \
    0x129d047eU,     0x6eac76d3U,     0x3811a767U,     0xc79db283U, \
    0xbea9a7f0U,     0x62b75653U,     0xfc9ef2f2U,     0x011cffdbU, \
    0x370a62a0U,     0xa775199bU,     0x808b73f5U,     0x17fa8ff7U, \
    0x29765edeU,     0x5dba864dU,     0xb2804173U,     0x7a17f621U, \
    0xcde28841U,     0x21d1c912U,     0x05489eb3U,     0x587e640fU, \
    0xd50df45cU,     0x66346a82U,     0x32139cb0U,     0x0323ce7dU, \
    0x17882a2eU,     0x9b0d9eb7U,     0xdd56b62dU,     0x8486d620U, \
    0x32e567b2U,     0x760baa58U,     0x1b205dfbU,     0x6b0b42ffU, \
    0xdb3d9b03U,     0xb4451f87U,     0xea4879ebU,     0x0b9d4befU, \
    0x61c6f567U,     0x9e012cf2U,     0x8f263c32U,     0x9b4712d6U, \
    0x8d1d1795U,     0x2767dba2U,     0xa94c689aU,     0xa3583b4aU, \
    0xae59dc69U,     0x4b98fa0fU,     0x34b63d9aU,     0xa3173047U, \
    0xbe575b9eU,     0x6bdfaed9U,     0xc422de65U,     0xd2892f3eU, \
    0xb209e910U,     0x32ab908cU,     0xae2ac16fU,     0x05a83d13U, \
    0x1506655aU,     0x74ed60b9U,     0xd3fb0568U,     0x68e8e8bfU, \
    0xb6b71ba5U,     0xc85fe3b8U,     0xd645a44eU,     0xfefc2313U, \
    0x38fe33adU,     0x3e357f62U,     0x52381bbcU,     0x79044b31U, \
    0x0706638bU,     0xaa0da788U,     0x149cf2f6U,     0xc2ee5307U, \
    0x6b7200a4U,     0x282ce808U,     0xe9f20553U,     0x3b92c57cU, \
    0x84ce6f47U,     0x813d577fU,     0xdab75b39U,     0x95de12b4U, \
    0x5dfb9d8dU,     0x4bbf2cd3U,     0x61e493f6U,     0xdca10da7U, \
    0x67e28519U,     0x7450bd29U,     0x294cbee1U,     0x341f6943U, \
    0x8cea9416U,     0x8dc61cdeU,     0x9b48f782U,     0x2c7f8aa8U, \
    0x0dcdbd73U,     0x2d3f1279U,     0xcdba351cU,     0x3740cc86U, \
    0x6b3516d4U,     0xa363b202U,     0x5d0b3732U,     0x9e034f1aU, \
    0xc13de116U,     0xd3dd59a6U,     0x71a446aaU,     0xfa3a9919U, \
    0x501e406fU,     0x14beac32U,     0x912c5953U,     0xa6378d29U, \
    0x4fc7c698U,     0xa86ff0a9U,     0x1f88fe4bU,     0x04a5a13bU, \
    0x8fc253b6U,     0xf02b9db9U,     0x84262b66U,     0xd626b4dbU, \
    0xff7eb80cU,     0xf6731676U,     0x3f7a9537U,     0xbf2f2966U, \
    0xa4af42d6U,     0xea53b301U,     0xee00cce6U,     0x36f3ae93U, \
    0xac4a3f67U,     0x721fbb1dU,     0xd1783c69U,     0x618fbb04U, \
    0xad775f9bU,     0xdb229efdU,     0xbcbbd145U,     0xbb541d17U, \
    0xd5576480U,     0x9883ebc6U,     0x0b9e550bU,     0x83b5ab1eU, \
    0x473cce8fU,     0x6b6b354cU,     0xf8939e7eU,     0x8d47a161U, \
    0xe8cf6b3bU,     0xb4fdee43U,     0xfb1088d1U,     0xb8c436e7U, \
    0x34c660a3U,     0xa4e38690U,     0x9cea97f0U,     0x12e3815aU, \
    0xe31163b3U,     0x95be2e14U,     0xb39f96ebU,     0x9003f942U, \
    0x77f1685cU,     0x1d533f09U,     0x43f21a7fU,     0x5a75748cU, \
    0x252e3c36U,     0x8d368f24U,     0xc1fc5d17U,     0x66a02644U, \
    0x29aec24dU,     0x7f5e64b6U,     0x74f214fdU,     0x6da28ec9U, \
    0xa6aecf10U,     0x8a880715U,     0xaffd889eU,     0x9eaa1093U, \
    0x7239fd5eU,     0x85e56edbU,     0x2e5a68d1U,     0x71170913U, \
    0x1d4bd3dfU,     0xf3f9d7fbU,     0x15ed8ff1U,     0xb7008ba2U, \
    0xdc85addbU,     0xba6f7984U,     0x13a81309U,     0xc28c8758U, \
    0xb2ecee59U,     0x67ea486fU,     0xec22b56bU,     0x197db45aU, \
    0xc1ba9262U,     0x5339296bU,     0xf5e327d7U,     0x1bf629aaU, \
    0x5e0c83ebU,     0x3aae7d74U,     0x322763fbU,     0xc607d1a9U, \
    0x4ecb9df4U,     0xeb13d604U,     0x27cdf8d8U,     0xb79c49b6U, \
    0x5fa6ad96U,     0xc87a290cU,     0xcb22ee00U,     0x805b2371U, \
    0x5956d2b0U,     0x5810b6dcU,     0x43a96b2cU,     0x6f71ae9aU, \
    0xd3e09d9cU,     0xd13a5e31U,     0x6f7d561aU,     0x3dec3ee6U, \
    0x9cdd1322U,     0x2e4b1650U,     0x09b054d6U,     0x80232d0eU, \
    0xf11163c7U,     0x28b7a791U,     0x9e9938caU,     0xf90c589fU, \
    0x6f1e5f74U,     0x52780c79U,     0x3cdca8d6U,     0xcf5faf9eU, \
    0x57c98fcbU,     0x827600a8U,     0x666abea8U,     0xedbe1138U, \
    0xc3358134U,     0xbd79fa00U,     0xa51748bbU,     0x9cf09ef9U, \
    0xe5878da5U,     0xfdd5e778U,     0x38509936U,     0x9100bf85U, \
    0x6afefc0eU,     0xf01899deU,     0x42b40064U,     0x23282eacU, \
    0xf3d20976U,     0xa9ffde21U,     0xc701f737U,     0x434717abU, \
    0x255afa7cU,     0xb53103edU,     0x861c185cU,     0xd6593bb6U, \
    0x849283bdU,     0xdd9ad482U,     0xa2c8cf8cU,     0xf4cf3dd9U, \
    0xe616404dU,     0x17ffbe65U,     0x678b4874U,     0x90d6ff5fU, \
    0x0bcf9313U,     0x2b0b52bbU,     0x8441024cU,     0x7763344eU, \
    0x11cef7b8U,     0x6ee2a621U,     0x7c32c402U,     0x72f1394bU, \
    0xd1e837aaU,     0x6e2bec25U,     0x609f0886U,     0xe56a8086U, \
    0xe6e54c31U,     0xd75e5360U,     0xc78a0363U,     0xa8e6f7e1U, \
    0xc33d9a00U,     0x99875b75U,     0x8481e62eU,     0x2261cabdU, \
    0xb7546bd5U,     0x15375b9bU,     0x68243862U,     0xa5302b24U, \
    0xbe2b4e80U,     0x15350f0eU,     0x36bd4238U,     0xd0adb562U, \
    0x9a134dd7U,     0x85a65b85U,     0xaa85007eU,     0x478e2da0U, \
    0xd3c692adU,     0x1edd7349U,     0x24ef708aU,     0xc6a699e6U, \
    0xdba9b694U,     0xcdf53ecfU,     0xd11e15c9U,     0xedcfda69U, \
    0x16ee8361U,     0x52e877c0U,     0xaa42d553U,     0x807ab89eU, \
    0x57a0cf98U,     0xa6f587cbU,     0xb61ca711U,     0xe5690cdcU, \
    0x0fe75c13U,     0x61cf3c8bU,     0x3abf35f4U,     0xb4d6123fU, \
    0xa08b9bacU,     0x3ed424ddU,     0xd3cf9132U,     0x0ee9d563U, \
    0x80bf6b2eU,     0x586dd0fbU,     0xd1945870U,     0xeaeda6ebU, \
    0x324dc409U,     0xf9102e0cU,     0x9d672c18U,     0x130ffec9U, \
    0x7b14a7baU,     0xdbd1cf15U,     0x18d804b0U,     0x0d0e71ceU, \
    0xe52e732eU,     0xfb19de7aU,     0x832a4098U,     0xf3e65aa5U, \
    0xc0962e32U,     0x3b90ac02U,     0x913a27e0U,     0xd441812aU, \
    0xd4196100U,     0x7508ef02U,     0x0a2c1699U,     0xb5a73cdbU, \
    0x1693f5ceU,     0xe1464307U,     0xd8cb2212U,     0x9c5f7c11U, \
    0x0a94c726U,     0x8eeae388U,     0x8e1fb2c2U,     0x621b5d34U, \
    0xb49993a2U,     0x4ae31042U,     0x0949eca4U,     0x0282b6deU, \
    0x2cdb275dU,     0xe669ffdfU,     0xbf9eef8fU,     0xb8c7e9f2U, \
    0x08bfa6cdU,     0x2cf79faeU,     0xa2d22efbU,     0x579d5e6cU, \
    0xf933f77aU,     0x5954b68eU,     0x3531faf2U,     0x02734e03U, \
    0xe4c34475U,     0xd704fe1dU,     0x77f659ecU,     0x4efee250U, \
    0x974a6020U,     0x3ecabc27U,     0xea605d95U,     0xe26f3b4aU, \
    0x7444ea48U,     0x8d176929U,     0xb173667aU,     0x80a16d2eU, \
    0x5b71bbe2U,     0x0f7ca28aU,     0x47bcce94U,     0x1cbc3200U, \
    0x899c5dfcU,     0xa6644275U,     0x9a7ee79eU,     0x66b1610cU, \
    0x75c78394U,     0xec0147faU,     0xcf18ca3dU,     0x6f8fdf48U, \
    0x2476a52bU,     0x504947c8U,     0x0f75ee2dU,     0x07c55128U, \
    0xa947e2ddU,     0x563f4703U,     0x85e93ef9U,     0xc5a5f94cU, \
    0x4af89000U,     0xda698fd8U,     0xfbf6ee95U,     0x595be086U, \
    0xae4062d5U,     0xb8abc0d2U,     0xf24d667cU,     0x0a073809U, \
    0x678aaa51U,     0x385ad637U,     0x4da5a0fdU,     0xa1404937U, \
    0xfb44a80aU,     0xff062b74U,     0x572948b2U,     0xc6ec727eU, \
    0xd6a4fd6dU,     0xd246d306U,     0x3aa4b75bU,     0x1407725bU, \
    0x29ede8d1U,     0x1a39310cU,     0x0e7dd3d7U,     0xcf8b60e5U, \
    0x0d298c2bU,     0x0427e5acU,     0x6b926e93U,     0x1db8b589U, \
    0x9891fa18U,     0x96badd3aU,     0x2f63bf06U,     0x0e42e196U, \
    0x68af8de8U,     0xbe527925U,     0xedd3eeedU,     0xe9adef69U, \
    0x75835c21U,     0x79c8fe33U,     0x440bcdadU,     0xd7747b66U, \
    0x755df08bU,     0x865156feU,     0xedde2861U,     0x1bd5f281U, \
    0xb497a305U,     0x84cc22e2U,     0x6cbeeb61U,     0xe9ee258aU, \
    0xcff0cf9cU,     0xf244e291U,     0x00c30861U,     0x122db9fdU, \
    0x301d32c9U,     0xa288e730U,     0x2c23e2d8U,     0x4330b6d0U, \
    0x76339852U,     0xcfa0ee01U,     0x04a8e751U,     0x557c2ea3U, \
    0x9235bebcU,     0xaf3076bbU,     0x07d85a28U,     0xb4def379U, \
    0x97259c01U,     0x618491d4U,     0xbb4bb6f1U,     0xe819a304U, \
    0x1f4bc9bcU,     0xc8ec62beU,     0x08dff1caU,     0xd3e768bfU, \
    0xee5035e6U,     0x412d187fU,     0xa757ebfeU,     0xa2a19183U, \
    0x13620867U,     0x16a09e8dU,     0x874381c4U,     0x98967a7cU, \
    0xd376a059U,     0x397a6e20U,     0x1eec1f1dU,     0xcf85d5b9U, \
    0xaa35e466U,     0x9d5ad37bU,     0xa3eec252U,     0x555d35f1U, \
    0x2e547ebbU,     0x4aa8f367U,     0x780b96beU,     0xf6f2abb7U, \
    0x2a9d2679U,     0x37b894b2U,     0x63e3f299U,     0x216f5626U, \
    0xf5d99eabU,     0xc3f206d2U,     0x216c05c8U,     0x5effcfaeU, \
    0x96e68b83U,     0x9d42170eU,     0x9dd54cf2U,     0x294cae56U, \
    0xfb5385bbU,     0xb471a06cU,     0x239e9f51U,     0xa5a8f115U, \
    0x8184b2a9U,     0x7e3efe1bU,     0x6417de41U,     0x33135a68U, \
    0xcfd6f464U,     0x8c3f3d1eU,     0xbb44716bU,     0x34ad4706U, \
    0xb6a33169U,     0xda70bdf9U,     0x60f219e8U,     0x08ab8150U, \
    0x73814976U,     0xbca4e942U,     0x9e5976f7U,     0x91911cfbU, \
    0x23fe057aU,     0x6196e7dcU,     0xdf17047aU,     0x35069a48U, \
    0xf4e438d5U,     0xe4b010beU,     0x2489b816U,     0x93139ab8U, \
    0xa152aeb9U,     0xcf4a9154U,     0xadfd3478U,     0x4a135ed0U, \
    0x7e2e350bU,     0x7da7413dU,     0x7b129e19U,     0xb79c44fbU, \
    0x4eb67112U,     0x7584efdbU,     0x340f454dU,     0x5d9f82f4U, \
    0x0c26ff55U,     0xf05fe432U,     0x9a5e8dccU,     0x8d4cdd7dU, \
    0xa318053fU,     0xb584d434U,     0xaa0cc6f3U,     0x9920bfddU, \
    0x334801d1U,     0xf1cec417U,     0x2bc7780fU,     0x8571ab95U, \
    0x44b2ad16U,     0x2b6b6559U,     0x984874f0U,     0x6e321aeeU, \
    0xca9f2b12U,     0x619f6a86U,     0xa5a49b3bU,     0xb003cf4eU, \
    0x48975222U,     0x7386230cU,     0x8ae98b26U,     0xb81c36d9U, \
    0xb852dad4U,     0xda3c7b56U,     0x35482744U,     0x0d75b651U, \
    0xf6334642U,     0x5803c179U,     0xddc2431cU,     0x23266cabU, \
    0x04278ccaU,     0x319bfb17U,     0x8b63919bU,     0xfd8273a9U, \
    0x80823a3dU,     0x54a171deU,     0x9f64d133U,     0xd8662347U, \
    0xe72a3714U,     0xcbcb5337U,     0xfabb1cbaU,     0xfa81cd25U, \
    0x41055224U,     0xcc3d54b5U,     0x4a6f50daU,     0xc07cdf87U, \
    0xaf9b1519U,     0x659fe97cU,     0xca522d61U,     0x595cb8f6U, \
    0xbbd76c93U,     0x1ec23cb5U,     0x77795651U,     0xc637ed2dU, \
    0xe9f677ceU,     0x60675864U,     0xf7da1b58U,     0x249ba249U, \
    0x4095ca02U,     0x3a89e94fU,     0x4ad0a68bU,     0x9900ddc0U, \
    0x406ff5bcU,     0xd03171d8U,     0x0673877bU,     0xf0f27a6cU, \
    0xa06f1e02U,     0x657c5a0bU,     0xdbc1161dU,     0x840a5d1bU, \
    0x3972f8e1U,     0x9e495849U,     0xb93eb72aU,     0x769979e6U, \
    0x24ddc760U,     0x377b6484U,     0x8296350bU,     0xabe7f1bdU, \
    0x157be452U,     0xf0d12745U,     0x7017ab8cU,     0x29a2b28dU, \
    0xea8d9f05U,     0x50605f23U,     0x6af1a992U,     0xb2c20f63U, \
    0x0b477f57U,     0x06b91b7fU,     0xb44e96fcU,     0xfbd586deU, \
    0x8fe3679eU,     0xe0e00110U,     0x9a5582f4U,     0x33d0ea61U, \
    0xde7ab1b7U,     0xdd3fea53U,     0x7add5eb9U,     0xa734c1c0U, \
    0x15bba3b8U,     0x20d50364U,     0x0c72a5dfU,     0xd136c264U, \
    0x657fccceU,     0xfc5302f9U,     0x1fe2eaffU,     0x927682f7U, \
    0xbe9964fcU,     0x3c0509aeU,     0x79c5a377U,     0xe3a79f4cU, \
    0xef63c61fU,     0x006e2282U,     0x9058a2a1U,     0x6e7157c0U, \
    0xf35179b4U,     0x3ab6aea6U,     0x7dd0ca45U,     0x41e400b8U, \
    0xbade84f2U,     0x21de8707U,     0x0bb2d8beU,     0x8b7e6d36U, \
    0xb5c87232U,     0x3e1009f1U,     0x3e8f0956U,     0xec713117U, \
    0x92def3c8U,     0x18c36110U,     0x67e5eb53U,     0x7486e1c8U, \
    0xcb71ee3aU,     0xd5f57aa5U,     0x66f7e565U,     0x8dcf9556U, \
    0x2ccba58aU,     0x3b960f71U,     0x1524ec3eU,     0x92fcf45eU, \
    0x2e4f8e25U,     0x6785883fU,     0x47351b19U,     0x5425e5a5U, \
    0x140a2ad3U,     0x9a944b38U,     0x02204edbU,     0x428d2a2bU, \
    0xeecb617aU,     0x1e06b98dU,     0x8d8413f5U,     0xd788109fU, \
    0x408fb38aU,     0xb11d4ca8U,     0xb3d97abfU,     0xd86988d8U, \
    0xe6216fc9U,     0x02d25244U,     0x3e89be8dU,     0xfe01b61bU, \
    0xbf512bdaU,     0x0a2ca6a4U,     0xb4cdbebbU,     0x5efec9d9U, \
    0x90fe268aU,     0x20121c90U,     0x77f267a3U,     0xfc738899U, \
    0xd26aa1d9U,     0xfd8117c6U,     0xa96dca90U,     0x46b72317U, \
    0x3b609a8aU,     0x40f7c355U,     0x8e25eaa2U,     0x19cddf69U, \
    0xfea5a19fU,     0xe476f40bU,     0x3569cbafU,     0x37ec09b3U, \
    0x8ba5e526U,     0x9b9bc243U,     0x823ffd23U,     0xb8400edfU, \
    0xb715a92cU,     0xfb3d24a3U,     0xb8fdfa9cU,     0xcd3b9fc6U, \
    0x44a101a9U,     0x29fd8108U,     0x59cb8a83U,     0xe1b52664U, \
    0x9012bbd8U,     0xf7bcfa1cU,     0xd647ed7aU,     0x54fbd19cU, \
    0xfd2308a9U,     0xefeda034U,     0xa8dd1e9aU,     0x63eb9960U, \
    0xbc6909b6U,     0xc0bb7cdbU,     0xe79a24e3U,     0x77e861fbU, \
    0xa6a9cbe2U,     0xe0fdd31eU,     0xe7ce5aa1U,     0x17a96fa4U, \
    0x5cb33c9eU,     0x3d429ab3U,     0x8d8cbcd2U,     0x40b4567fU, \
    0x9e2d7d42U,     0x388ce6afU,     0x70dfa345U,     0xacccf72fU, \
    0x3dc9385bU,     0x5bd59b6fU,     0x76be0c34U,     0x8a43ea57U, \
    0xbd914d77U,     0xc34bd4b5U,     0x05b245dbU,     0xba9f49efU, \
    0xa3b71f79U,     0x674ab050U,     0x3ab9e1e4U,     0xc532cce5U, \
    0xe05336c1U,     0x2d50fbf2U,     0x510afe43U,     0xb28c8340U, \
    0x55623b2eU,     0x7784ce6fU,     0x43099a3eU,     0xde6762e4U, \
    0x42f662a6U,     0x723be1ebU,     0xfe32edecU,     0xa245a0c0U, \
    0xf9cd7b2dU,     0x63e18ce2U,     0x48e3f29cU,     0xb87c3e8dU, \
    0x93741f1cU,     0x03153df2U,     0x3d47209bU,     0x5595a967U, \
    0xbca14c0bU,     0x015519c6U,     0xa659c4fdU,     0x1712d7ddU, \
    0x484dc29bU,     0xbb089b17U,     0xa973b854U,     0xfcdf4bb7U, \
    0x1d781cfdU,     0x80c302d9U,     0x7a398bd4U,     0x385e432dU, \
    0xa2d4bf92U,     0x93bdc55cU,     0x889ffd25U,     0x1979b533U, \
    0xef149d21U,     0xf32b1ea2U,     0xece6015fU,     0x4fa06fe7U, \
    0x223678e8U,     0x235b4c2bU,     0xbe268aaeU,     0x37768cbdU, \
    0x046e9477U,     0x2ddd0539U,     0xf288ab2cU,     0x5cf977b7U, \
    0xf7653d5cU,     0x25cb7b84U,     0x3a8e81f5U,     0x9e1f6569U, \
    0x6ed23026U,     0xcf81ff78U,     0xebec367aU,     0x56beb6abU, \
    0x9eb6a9a1U,     0x89a3454eU,     0x13e5c326U,     0xd5dd2421U, \
    0x149eb01aU,     0xbe80d915U,     0x98ff8430U,     0xddf94128U, \
    0x85e43987U,     0x31dcac87U,     0xbe2dc5bdU,     0x38b933c8U, \
    0x0d402022U,     0x56df59caU,     0x3e272bc6U,     0x4b6dc42aU, \
    0x2de7fa62U,     0x3599d52eU,     0x086aeeddU,     0x91755894U, \
    0x54bca64bU,     0x2cdd20fdU,     0xd09a4063U,     0x42ee6129U, \
    0x15ae375eU,     0x749b3b11U,     0xb0c28d6dU,     0x777cf2f5U, \
    0xf6475f61U,     0x3a38e502U,     0x1c4cabf4U,     0xadd0e332U, \
    0x9752a08aU,     0xca595d56U,     0x4ab89347U,     0xb42c0e9fU, \
    0xf33bbeb0U,     0xdf47d7e8U,     0xf847c5f3U,     0x4e069033U, \
    0x55630e32U,     0x80f736a9U,     0xf85ed491U,     0xbb66d7d3U, \
    0x5904acf5U,     0xbefa0a16U,     0xaa1937e1U,     0x13cce15bU, \
    0x0f0c6296U,     0xa6270050U,     0xeca51efeU,     0x6d38b967U, \
    0xfa0c5713U,     0x8557a579U,     0xd24efd4cU,     0x1ad7a276U, \
    0x98f076bcU,     0x301a9112U,     0x678c91a2U,     0xa6162a5fU, \
    0x87b446d7U,     0x98f48af6U,     0xb58d99a9U,     0xb699412eU, \
    0xf47598e2U,     0xa9a29fccU,     0x40881e68U,     0xc4dee6ceU, \
    0xba36ee45U,     0x33ba0a92U,     0xb4262466U,     0x24a99d12U, \
    0xcf47aa25U,     0x8dec213aU,     0x1d750d13U,     0x9a9b8a96U, \
    0xcf9c52b2U,     0xe2e27c49U,     0x4874e08dU,     0x22759b0cU, \
    0x869027ffU,     0xa2b9901cU,     0x0a959cd1U,     0xda243ac9U, \
    0x9af8a388U,     0x2a550addU,     0xf43db5d0U,     0xc09ec83aU, \
    0x642abbbfU,     0xb08a90d1U,     0x4464f3e5U,     0xf93841dcU, \
    0x7691fb70U,     0x8b2d1e19U,     0x7d26af00U,     0x473d9913U, \
    0x3110fbfcU,     0xcb9fa1e3U,     0x05380aadU,     0x8107b61aU, \
    0x6b3adbb5U,     0x42869c3cU,     0xbd1ff98dU,     0x80a522caU, \
    0xa7b425b6U,     0x0adb6b5aU,     0x9cdc4bf3U,     0x5de841c4U, \
    0xdb847d3cU,     0x72c8937bU,     0x5ea94018U,     0xbc5ff2a3U, \
    0x7c54cbe5U,     0xd842165fU,     0xbe7c8affU,     0xa1b11328U, \
    0xa660799dU,     0x25cd78c2U,     0xc876fafeU,     0x32b2f5e6U, \
    0x04847d14U,     0xc78d1852U,     0x5346a440U,     0x68ce3c87U, \
    0x30935d32U,     0x8e55674cU,     0x04d8d6b5U,     0x82e956a2U, \
    0x365d0c57U,     0x93f6b840U,     0x7a8cd2d2U,     0x5fb36b48U, \
    0xe163d2efU,     0xcc68a1abU,     0xefcd2717U,     0x9f44a5ecU, \
    0x3b19de3bU,     0xf3c274f0U,     0x56544cdfU,     0xa355748dU, \
    0xaf99954eU,     0xefb07eaeU,     0x399fe55eU,     0x95acbc5bU, \
    0x29c4d788U,     0x84b2fb76U,     0xa518c45dU,     0xa46caf96U, \
    0x4a52ee86U,     0x74374923U,     0xee7dce50U,     0xa65acee0U, \
    0x108f49fbU,     0xf813d45dU,     0x0646c203U,     0x9ee12748U, \
    0x8f71eb45U,     0x48c73ee0U,     0xd1409ad8U,     0x48912729U, \
    0x4c42fd5bU,     0x7330cc6fU,     0x0d83d3a8U,     0xf9fa1637U, \
    0x57e1974cU,     0x3bd9879eU,     0x553c064bU,     0xdf4979e7U, \
    0x8f167018U,     0x5dd3ac64U,     0x29c2a7d4U,     0x59d209ceU, \
    0xa1859c89U,     0xcdaa7846U,     0x01a3a8bbU,     0x322bd115U, \
    0xf8c7fe85U,     0x0c683ca6U,     0xd21b6e37U,     0x33a6c164U, \
    0xe951f5ddU,     0xb2bedca4U,     0x6a304aa8U,     0xf6cfbfc4U, \
    0x4b00709eU,     0xe25122aaU,     0x934603e1U,     0xaf65458eU, \
    0x9ecce3d0U,     0x361c4252U,     0xe0bcd22aU,     0x4d2dc573U, \
    0x417b341dU,     0xd5d3147dU,     0xdc080f7dU,     0x0f80a4b8U, \
    0xe84b73c9U,     0xc6a73ed2U,     0x573bdf9bU,     0xb5e06da3U, \
    0xa5bffeecU,     0x09dc5c53U,     0x23c9d5acU,     0x130043fbU, \
    0xd594ca83U,     0x9f6bbea9U,     0x6daef688U,     0x668cc3cfU, \
    0x71126f2bU,     0x87be4b83U,     0x764af20eU,     0x3054451aU, \
    0x8ebc6a3dU,     0x58867b00U,     0xf322e006U,     0x9badbd66U, \
    0xbba78456U,     0xc93d698dU,     0x11abb780U,     0x4ee5a8f7U, \
    0xe5fcd333U,     0x484ec2c3U,     0x61c45d88U,     0x27a639b2U, \
    0xe4fe1d3aU,     0x7bef2df8U,     0x2265b357U,     0x2280c8efU, \
    0xb97426e9U,     0xe8ad9bf6U,     0x57647da2U,     0x7e65b187U, \
    0x29f5bcd6U,     0x7298b5b7U,     0x63f3b8f8U,     0x044fa5d7U, \
    0x66ff073aU,     0x86ac8325U,     0x2d696845U,     0x4a615a31U, \
    0x35184f5fU,     0x10a688faU,     0x0c7c00aaU,     0x26517ecbU, \
    0x8914d8b0U,     0xf2edf851U,     0xa784a718U,     0xd83631b1U, \
    0x48dc597aU,     0xeb28d599U,     0xd01be397U,     0x257993f2U, \
    0xc7e77b26U,     0x936e6628U,     0x73cbec93U,     0x5c8edaa5U, \
    0x568a3f9aU,     0x90298b95U,     0x87ad7067U,     0xc26842b8U, \
    0xc62e05fcU,     0xa3319f95U,     0xda68b393U,     0xc718113bU, \
    0x49ad49e9U,     0x1256db24U,     0xc1fb0fdfU,     0xd28aeb9eU, \
    0x575ce45aU,     0xca70308eU,     0xac3625c3U,     0xb0e83c1aU, \
    0x0223d922U,     0xb0bee1a5U,     0x1d1a56e6U,     0x45844cbcU, \
    0x1bace3faU,     0x4f998522U,     0x16a622deU,     0x0e42bd5fU, \
    0x43ab01efU,     0x259f82e6U,     0x3afc88dbU,     0x6a768c2fU, \
    0x659118e8U,     0xd5e89901U,     0x55b05657U,     0x33087a3eU, \
    0x98315cf0U,     0x0f2ebd67U,     0x6eae57aaU,     0xa1bcd2d5U, \
    0x2cf40c02U,     0xaa56f477U,     0x51b246c1U,     0x411ee02aU, \
    0x809affbeU,     0xff227d30U,     0x02487a7fU,     0xe89d521fU, \
    0xe3a89df4U,     0x6845f8e6U,     0xba37be5cU,     0x6da593d6U, \
    0xb7de2b5dU,     0x958746f7U,     0x867e9713U,     0xd1fbaf68U, \
    0x11067bf1U,     0x30d988c5U,     0xb05982efU,     0x31fc77cdU, \
    0x5a9625dcU,     0x5c04cdddU,     0xdc1f8e5fU,     0x91b11b5aU, \
    0x3509991aU,     0x3a954107U,     0xda5c7f9fU,     0x30688ae4U, \
    0xdf3cee8cU,     0x3169bff9U,     0xec4e1c96U,     0xbf68091eU, \
    0x8eacb74bU,     0x694664c0U,     0x2ec6bee8U,     0x22d3ee9cU, \
    0xe7d4c8fdU,     0xb38d4a2eU,     0xb823e982U,     0x92d10460U, \
    0x0aa198a2U,     0x4bf64a8eU,     0xcf815c00U,     0xf5cb219aU, \
    0x1d3e8ec1U,     0xb9ad61e7U,     0xd0a40c98U,     0x5b9eff7dU, \
    0xcb7e580cU,     0x9d361a49U,     0x57f60194U,     0x706c040cU, \
    0x28841c04U,     0x70341f6dU,     0x9fbe1b54U,     0x83c3e180U, \
    0x3d13df71U,     0x890b2dffU,     0x5062884cU,     0x1e54bc63U, \
    0xd225c437U,     0xb17e43f8U,     0x5f03802eU,     0x3b10dc0cU, \
    0x088979d4U,     0xa3e9dd26U,     0x464ea89cU,     0xd83c1424U, \
    0xe9e84f4fU,     0xd2a69682U,     0xc40b1a87U,     0xf0ba2145U, \
    0x12bc2f1fU,     0xa033d03fU,     0x2a1159f8U,     0xdbf75542U, \
    0x9beb9523U,     0xacb47cefU,     0x83dbe916U,     0x10ece22aU, \
    0x4e9ec46bU,     0xd72e4921U,     0x70997d67U,     0x0b88ef86U, \
    0x6b588662U,     0xbc77e63bU,     0x03923e43U,     0x60fb2b0bU, \
    0x8780e233U,     0x275eb1a0U,     0x8591baa4U,     0x5f94547aU, \
    0xed9ac207U,     0xfb606cf4U,     0x0fb2a3bdU,     0x018c49eaU, \
    0x71d3c605U,     0xf68e984cU,     0xa3c87802U,     0xe6c10da0U, \
    0x2bee76f3U,     0x8e96246eU,     0x50788f1fU,     0x16231d45U, \
    0x5cd4fd5dU,     0x66b31114U,     0x5ff1f4bcU,     0xbc58a0e4U, \
    0xe4d81cdaU,     0x8661970eU,     0x86c25824U,     0x02e740a0U, \
    0x3d0bfd7eU,     0x1f64c511U,     0xe7ccc9d3U,     0x9512ffafU, \
    0xe21e9fa3U,     0x8c076043U,     0xbfbbbd07U,     0x167ac247U, \
    0x8f2d4907U,     0xe24f7264U,     0x25ddd0b0U,     0x8f6d9d7bU, \
    0xf6e213a1U,     0x728699e7U,     0x5da4d49aU,     0xd8829edbU, \
    0x2c2c065bU,     0xfc390119U,     0xbb0c3396U,     0x9de40f57U, \
    0x99b54613U,     0xf5457793U,     0x581ad090U,     0x972b121aU, \
    0x6afbd40fU,     0x56868bcaU,     0x19649738U,     0x1939707bU, \
    0xfedbdea3U,     0xbbe46a29U,     0xecacfeb0U,     0xf43a13b6U, \
    0x82ab4575U,     0xc7868986U,     0x2704b922U,     0x3b941d06U, \
    0xf4c86a2bU,     0xa49530c5U,     0xd948c4f2U,     0xb50e8944U, \
    0x7e5b06b8U,     0x05706b50U,     0x557cdfeaU,     0x245cc7edU, \
    0xd525c3c2U,     0xff916e5cU,     0x887db184U,     0x922bcd3bU, \
    0x5987b944U,     0x6e579be7U,     0xf7607ad8U,     0xbd74871dU, \
    0x203b5a36U,     0x7dd60281U,     0x93961874U,     0xf1be131aU, \
    0xc7607c94U,     0x2a7ac01fU,     0x97748e39U,     0xca16077fU, \
    0x3e782bcfU,     0x717d640cU,     0x4b3f5a0fU,     0xec636f0aU, \
    0x87d353dcU,     0x04ff4f02U,     0x334e9614U,     0x7fa8f15eU, \
    0x2e3df846U,     0x3c4ba5edU,     0x273de94aU,     0x8635c48eU, \
    0x2445992dU,     0x7833de76U,     0xc9eac2e9U,     0x32413924U, \
    0xb9e89c06U,     0x5b6cb538U,     0x4ca5161cU,     0xe7944c94U, \
    0xd0579d7fU,     0xfc216a96U,     0x12e68af4U,     0xc303bbf7U, \
    0x60c6b55eU,     0x82e9e9d5U,     0x7b1ca786U,     0x85b0d01fU, \
    0xd1cac171U,     0x45031137U,     0xb1ed6e25U,     0x906dde85U, \
    0xee9b8fc3U,     0xc74324f1U,     0x6fd46636U,     0x1223c979U, \
    0x47913218U,     0x36224ac2U,     0xa1f4f029U,     0xcba4d9f5U, \
    0xa2b699b9U,     0x13fba6c6U,     0xfecc40f0U,     0x4ece1c87U, \
    0x6adc112cU,     0x55fecb2bU,     0xd9dccea2U,     0x490415c4U, \
    0x4b4f8019U,     0x475a488dU,     0x9cf061afU,     0x19eba4e8U, \
    0x430bd070U,     0x7fd78981U,     0x07cc54e4U,     0x4797242fU, \
    0x1ae8691eU,     0x6a752129U,     0x45439a2dU,     0x133bf005U, \
    0x79ef4d01U,     0xcf22f7f9U,     0xba9276f5U,     0x12c82109U, \
    0xa0623744U,     0xdd0b24d8U,     0x0ea02edaU,     0x177cd886U, \
    0xa96a9655U,     0x9e2c8652U,     0x0d11eafbU,     0x5ddbe37eU, \
    0x88294937U,     0xd9c3c12eU,     0x9de91bd5U,     0x40a4bbf1U, \
    0x9487a641U,     0xb1b5de3fU,     0x5fc32db9U,     0x68499fd3U, \
    0xee618ef7U,     0x0416f009U,     0x66eb3a7dU,     0xf3e08789U, \
    0xc5abd1a2U,     0x87d92001U,     0x52f1e8bfU,     0x22eb39d7U, \
    0x78d4ff40U,     0x684a0164U,     0x8e9103c0U,     0x88eddf34U, \
    0x6d60abb2U,     0x5fcba198U,     0x03e790c4U,     0x59a15658U, \
    0x7499f592U,     0xaa9dba82U,     0x0cbcdb19U,     0x14ad5696U, \
    0x4b89614dU,     0x45b599e8U,     0x77205d0dU,     0x405642caU, \
    0x04069629U,     0x8cdc74e7U,     0x986e77a5U,     0x6cd260dcU, \
    0x4e239fccU,     0xa9a6a897U,     0x6820b5a1U,     0x5619d967U, \
    0xd05a3acfU,     0x4f0eb93fU,     0xc275b7f6U,     0xf354a635U, \
    0x149561f7U,     0x8b6d0daaU,     0x2993abe9U,     0x8f65bf2bU, \
    0xdb5a75b7U,     0x9c0113f4U,     0x71e9c0b2U,     0x7d85ff42U, \
    0xedc3da5fU,     0xe3299b95U,     0x215e5109U,     0x2b5a2c3eU, \
    0x936f00e8U,     0x8a42adfbU,     0x74188209U,     0x14c943a2U, \
    0xed245d2cU,     0xcc270110U,     0x3be034bdU,     0xb2fa62c8U, \
    0x5e9f4132U,     0xc45f398cU,     0x59e8732aU,     0x36252d07U, \
    0x8b174698U,     0x35d7c82fU,     0x5c1780b2U,     0x9f746614U, \
    0x75a2ab29U,     0x48b88230U,     0x92c6ca7dU,     0xc4999931U, \
    0x40b6ff7cU,     0xc4bab2e3U,     0x7d04f766U,     0x9b6823d3U, \
    0xba8cec62U,     0xf097ea0dU,     0x69019392U,     0x50d32c45U, \
    0x1d3fc75eU,     0x134b3f81U,     0x3d3cd28cU,     0x60605955U, \
    0xdd77d573U,     0x108b4166U,     0x9f709edfU,     0xdd6141dbU, \
    0x0977373dU,     0x53b1049dU,     0xed09069fU,     0x21a0269eU, \
    0x1bbcc856U,     0x4e1d71efU,     0x4b83f6b7U,     0x3bd96825U, \
    0x6bcd455fU,     0xe4447821U,     0x4ea56f15U,     0x98d2113bU, \
    0x49988cf6U,     0x3b6abd01U,     0xb55d6aadU,     0x4389230dU, \
    0x5fcf8698U,     0xd7aab5a9U,     0x6d9b6af7U,     0x9f9461ecU, \
    0xe6de75cfU,     0xf58f0123U,     0x52f6b4d2U,     0x5bae689dU, \
    0x5cdb7ddeU,     0xc2d25ce4U,     0x4f7cfec7U,     0xbb6e2fbaU, \
    0xc7857883U,     0x0f9f9107U,     0x8ad174c3U,     0x7babc60dU, \
    0x446c5908U,     0x7c666d53U,     0xa839b7f8U,     0xbd4e4a04U, \
    0xcdecb8eaU,     0xef8529b8U,     0x9f08549eU,     0x37b6467bU, \
    0x417ab806U,     0x177d003eU,     0x195b1192U,     0xe0d95c32U, \
    0x58d6f7b8U,     0xc60ec2f4U,     0xed0155b5U,     0x922e07bdU, \
    0x66eb1074U,     0x20084b34U,     0x1ad10787U,     0xfd470eafU, \
    0xd923a7eeU,     0xacc2df4eU,     0x431b7b8cU,     0x381eaf5dU, \
    0x989d4d5aU,     0x02854d7dU,     0xaa613c22U,     0x1c762553U, \
    0xf30aa62bU,     0x52890b93U,     0xccca3294U,     0x2206c3c7U, \
    0x3f6f3b69U,     0x31e375dfU,     0xe46364edU,     0x57f294daU, \
    0xfe9d4677U,     0xf7db7ae9U,     0xb1bf7800U,     0xa3cc78a0U, \
    0x24a9d14aU,     0x3fb870c3U,     0x007db857U,     0xf7c6f739U, \
    0xbeb83b1eU,     0x8c054963U,     0xb0e3fc55U,     0xd9e3b1a8U, \
    0x4132cbfdU,     0x849dc6dbU,     0xad3b8b95U,     0x942199a9U, \
    0x23aaf4faU,     0x76b18ec1U,     0x165eaf41U,     0x8a3a60b4U, \
    0xdd97e44fU,     0x56b9ac6eU,     0x05e7e8f7U,     0x4473376bU, \
    0x6d11d3f6U,     0xd32dea61U,     0x1374ddeaU,     0x552727ebU, \
    0x0ee59b67U,     0x17a5ed04U,     0xca460efbU,     0x9e0485d6U, \
    0xa1c5d4acU,     0x445696adU,     0x37d0d992U,     0x25563d29U, \
    0xf69ebc0cU,     0x324d5639U,     0x95374310U,     0x6b6a6cd6U, \
    0x4e990d74U,     0x1d157570U,     0xbe49ad79U,     0x9c85ec49U, \
    0x7fd7726bU,     0x13a3e5a7U,     0x44a312b2U,     0x70f1781eU, \
    0xb117e9eeU,     0xb27effabU,     0x9df68a91U,     0xc21d52c5U, \
    0xdb97f260U,     0x30d625aeU,     0x2507857bU,     0xcd59dbf4U, \
    0x32db5de2U,     0xb82d840fU,     0x8ab673d4U,     0xf98830cfU, \
    0x53bfcfd8U,     0x91a9b024U,     0x298b0283U,     0x3c1010d6U, \
    0xd154fc98U,     0x71e2f2adU,     0xa5811ba5U,     0xd2223a29U, \
    0x77e98856U,     0x829d06a9U,     0xba88fc92U,     0xc96e79fbU, \
    0xd656d62cU,     0x6f7fa629U,     0x70add3ddU,     0xedca0baeU, \
    0x020e0eb2U,     0x58e05f6eU,     0x88d7dc6cU,     0x6f959c7aU, \
    0xf24543d4U,     0x673c7943U,     0xa5a05ac6U,     0xec28191aU, \
    0x0ad543b3U,     0x39dd7364U,     0x3b031884U,     0xc2f9652aU, \
    0xbba8238dU,     0x89e4529fU,     0x3e99e07bU,     0x7ef56661U, \
    0xc056436aU,     0x9d12ba31U,     0xaa5da339U,     0x3a50b81bU, \
    0x5f37fcd0U,     0x339eb0d0U,     0xb85ca1d3U,     0x869f27d3U, \
    0x2051e6aeU,     0x9e06cb15U,     0xe795e3b0U,     0xf51c4786U, \
    0x6c4bc291U,     0x135a5f4fU,     0xbf596f8bU,     0x3cab740cU, \
    0x32ea6c70U,     0xcb7b62dfU,     0x70ddb8a2U,     0x75a5b2b8U, \
    0xe3a858edU,     0x4c768054U,     0x1096becbU,     0xf1174ce3U, \
    0xa09c8a63U,     0x153dd9d4U,     0x01fca522U,     0xf9de3878U, \
    0x40ab9d62U,     0x3cf4c6b7U,     0xe3295c85U,     0xe594172cU, \
    0xade61e33U,     0x5f406045U,     0x4f4fed06U,     0x18ed70ffU, \
    0xaed7406eU,     0x007792c0U,     0x7e919d4cU,     0xbbd4d3c1U, \
    0x64e871f3U,     0xe2d76cb5U,     0xf7c302edU,     0xb3870a0cU, \
    0xb2e2cc4bU,     0xef56cfb1U,     0x68d91aabU,     0xa7d34a51U, \
    0x1f96c5c9U,     0x714e7b43U,     0xfef135f2U,     0xa19f7ebbU, \
    0x89096edeU,     0xc1c0a0d4U,     0x5d9dfde1U,     0xee216293U, \
    0xf7093c89U,     0x645c88d1U,     0x29672c01U,     0xea193530U, \
    0x2be9b75cU,     0x9bb74e00U,     0x679c8b67U,     0xc6ca9d7aU, \
    0x8586517cU,     0x81b38167U,     0xdb9b8d6cU,     0x5ae83750U, \
    0x27214ec3U,     0x086181b2U,     0x5566ac5fU,     0x0e187eecU, \
    0x84028469U,     0xc81f089cU,     0xe660bdb4U,     0x4c135705U, \
    0xd5c25271U,     0xe1a85ce2U,     0xc243a5d8U,     0x81346efbU, \
    0x2e83922dU,     0x9af95910U,     0x56f5e6f0U,     0x3a03f6ddU, \
    0xdae6ab4bU,     0x1b1959c3U,     0x8c078ed0U,     0x5a46b604U, \
    0x760e770aU,     0x787f2f27U,     0x831ab653U,     0xb3f09453U, \
    0x9323dd36U,     0x5ecda8daU,     0x48fe2244U,     0x6513c96eU, \
    0xe53a3e1fU,     0x9ce5b542U,     0x701fead1U,     0xdf28d922U, \
    0x7fc280ebU,     0xc8682063U,     0x91fdbae8U,     0x4ee19509U, \
    0xade8aa42U,     0x12f9e744U,     0x602d172dU,     0x2d9518b5U, \
    0xef8a13f9U,     0x74391c52U,     0xefb76522U,     0xf70b185aU, \
    0xb75399e8U,     0x30d3275eU,     0x828e6840U,     0x5251962eU, \
    0x2c5dc19dU,     0xa642d890U,     0xfbc1c7f1U,     0xf371e084U, \
    0xb40c3c1cU,     0x36156704U,     0x488df1b7U,     0x389fc832U, \
    0xebd61cd4U,     0x4d657d55U,     0x7b930549U,     0xb6439e87U, \
    0x98906c1bU,     0x654d3d22U,     0x42c0b8f3U,     0x7a413661U, \
    0xcab85e5cU,     0xaf5942a4U,     0xd88b5531U,     0x560633e9U, \
    0xb453f704U,     0xdae976d3U,     0xb5dfdf80U,     0x6d4dbb01U, \
    0x4a5d5634U,     0x43c9742aU,     0x8d4b5050U,     0x7d9d2c70U, \
    0x76d10230U,     0x9e0230a5U,     0xf47e8af6U,     0xc05c0bdbU, \
    0x234ae47fU,     0x1ecf809eU,     0xfbfdd6f9U,     0x04b7a7e9U, \
    0x7265547bU,     0x71be3bb2U,     0x73e6b6cbU,     0x067551dcU, \
    0x9a39ef6aU,     0x28fac89eU,     0xe9a6a3a8U,     0x8cd52dbfU, \
    0xd4f9ec3eU,     0xd98e73d2U,     0x1698eb98U,     0x19f2f07eU, \
    0x191257b1U,     0xf23d9ae2U,     0x05f7a496U,     0x48485d56U, \
    0xb492092eU,     0xef286971U,     0xf9f1cb27U,     0x440552deU, \
    0xa16445e8U,     0x4b4f03a3U,     0x571f13b6U,     0xcda66539U, \
    0x87b7481cU,     0x6bfaa600U,     0x096146a2U,     0xefc77a6dU, \
    0x83995d67U,     0xa2b3ddc1U,     0xeb78f2f9U,     0xe80a2513U, \
    0x81a774b3U,     0x83c33f05U,     0xbc4f5b2bU,     0x0b03b9d5U, \
    0xf7ac9fd4U,     0x34afaf22U,     0xf7c81113U,     0x05a86961U, \
    0x41c24060U,     0x261bef0eU,     0x0494f830U,     0xb4519207U, \
    0xabba5383U,     0xb89835a1U,     0x65f16fb4U,     0x5eb0777fU, \
    0x57447435U,     0x4574dec3U,     0xd5f635c0U,     0x8cf9e4afU, \
    0xfaf6d80dU,     0x853e2d26U,     0xdbdd399cU,     0x4a7591bcU, \
    0x7dbb2194U,     0x18704f5bU,     0x57b35894U,     0x84e3ed66U, \
    0x5f14605dU,     0x2eb954a0U,     0xcf8867d2U,     0x3c19f278U, \
    0x2733c613U,     0x08c67affU,     0x60820e49U,     0xb837ef1fU, \
    0x96415ce0U,     0x9b86b8dcU,     0x98f99ce7U,     0x4df2be87U, \
    0x5a8e17e3U,     0x4dd4cca6U,     0xc2425dadU,     0xe2e8be91U, \
    0x1b506f98U,     0xee9eac2cU,     0xb791db82U,     0x5c3029cfU, \
    0x1cfc5c5cU,     0x80ee05d0U,     0x4d0c4b9cU,     0x5705eac2U, \
    0x218bd24bU,     0x6e1464fdU,     0x3609a544U,     0x949587f3U, \
    0x42bf0545U,     0x66a3f195U,     0x73e9056bU,     0xaa40a0bfU, \
    0xf217da88U,     0xd6dec1cdU,     0xcbafb4c3U,     0x4f0fef2dU, \
    0x65ffa935U,     0x2b8195f4U,     0x46bb25ceU,     0x243ece4fU, \
    0x3cc754b9U,     0x7cc8f7e2U,     0x7a79a126U,     0x410a2f23U, \
    0x43f79242U,     0x6a654dcbU,     0x51f5699fU,     0x0d7c5f46U, \
    0x5967bd0dU,     0x4d9f0570U,     0xc56202bcU,     0xf797fd5eU, \
    0x1e0312f8U,     0x4606f5e5U,     0xaa143f96U,     0x33b3f001U, \
    0x02c2883eU,     0x4bf03e00U,     0xbf58d70fU,     0x476a343cU, \
    0x252ca4f7U,     0x6ea47d43U,     0x1ebf7b00U,     0xee74496eU, \
    0x3fbd2f5fU,     0x279cc532U,     0x40430353U,     0xe8a5cc9eU, \
    0x3bda8779U,     0x54277008U,     0xeae1694aU,     0x7c23b6feU, \
    0x3d057bdaU,     0x40fdc7b1U,     0xc251abd0U,     0xc9aae956U, \
    0xcc570091U,     0x4f7aa7a1U,     0x40295b43U,     0x78432522U, \
    0xb9299a0aU,     0x7cdd9ed4U,     0xa16b3868U,     0xdf7737dfU, \
    0x1ee77ef3U,     0xcf9de06eU,     0xb2824e02U,     0x6369c9baU, \
    0xc626f167U,     0x48e8b502U,     0xe1c22217U,     0x705ccb3aU, \
    0x4462e230U,     0xd0d4542eU,     0x02355497U,     0x78ee41e9U, \
    0x3a1ee4c7U,     0x60779500U,     0x2de2de27U,     0xee85d270U, \
    0x71f18b75U,     0x2d973092U,     0xf1ea2729U,     0xb634f2ffU, \
    0x0f5f5b31U,     0x6bd4b864U,     0x68c3d046U,     0x54d3b41bU, \
    0x0622d188U,     0xb6853775U,     0x733b4439U,     0x1812b2b6U, \
    0xe9ea4344U,     0x7acc04b4U,     0x01f3e509U,     0x255896c9U, \
    0xeaf74e3bU,     0x59e77755U,     0x2d502cc0U,     0x2fffa923U, \
    0x91d96df7U,     0xacec4e9eU,     0x0dbbf2f4U,     0x4da05c3eU, \
    0xc2956f6aU,     0xff0de6b0U,     0xe4e8e812U,     0xad1ad78cU, \
    0x1af54f39U,     0x4b626fc8U,     0x104a3ed2U,     0x2896bb92U, \
    0x56b2fda9U,     0x6d6ac0aaU,     0x4f5e8da5U,     0x47ae5fa3U, \
    0x409d48f7U,     0x01b16e2fU,     0xe2910f60U,     0x7a5d9800U, \
    0x0073934aU,     0x9a28647bU,     0xc63fd16bU,     0xa790cc29U, \
    0x5673974aU,     0x7e715676U,     0x330933dfU,     0x539d4bb3U, \
    0x0145d353U\
} /* 265572 bytes */
